/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __BAD_STRUCT_OPS2_SKEL_H__
#define __BAD_STRUCT_OPS2_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct bad_struct_ops2 {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *foo;
	} progs;
	struct {
		struct bpf_link *foo;
	} links;

#ifdef __cplusplus
	static inline struct bad_struct_ops2 *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct bad_struct_ops2 *open_and_load();
	static inline int load(struct bad_struct_ops2 *skel);
	static inline int attach(struct bad_struct_ops2 *skel);
	static inline void detach(struct bad_struct_ops2 *skel);
	static inline void destroy(struct bad_struct_ops2 *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
bad_struct_ops2__destroy(struct bad_struct_ops2 *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
bad_struct_ops2__create_skeleton(struct bad_struct_ops2 *obj);

static inline struct bad_struct_ops2 *
bad_struct_ops2__open_opts(const struct bpf_object_open_opts *opts)
{
	struct bad_struct_ops2 *obj;
	int err;

	obj = (struct bad_struct_ops2 *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = bad_struct_ops2__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	bad_struct_ops2__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct bad_struct_ops2 *
bad_struct_ops2__open(void)
{
	return bad_struct_ops2__open_opts(NULL);
}

static inline int
bad_struct_ops2__load(struct bad_struct_ops2 *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct bad_struct_ops2 *
bad_struct_ops2__open_and_load(void)
{
	struct bad_struct_ops2 *obj;
	int err;

	obj = bad_struct_ops2__open();
	if (!obj)
		return NULL;
	err = bad_struct_ops2__load(obj);
	if (err) {
		bad_struct_ops2__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
bad_struct_ops2__attach(struct bad_struct_ops2 *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
bad_struct_ops2__detach(struct bad_struct_ops2 *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *bad_struct_ops2__elf_bytes(size_t *sz);

static inline int
bad_struct_ops2__create_skeleton(struct bad_struct_ops2 *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "bad_struct_ops2";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "foo";
	s->progs[0].prog = &obj->progs.foo;
	s->progs[0].link = &obj->links.foo;

	s->data = bad_struct_ops2__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *bad_struct_ops2__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xe0\x02\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x74\
\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x66\x6f\x6f\0\x6c\x69\x63\x65\x6e\x73\x65\
\0\x62\x61\x64\x5f\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x32\x2e\x63\0\x66\
\x6f\x6f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\
\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\0\
\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x3a\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x3e\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x47\x50\x4c\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x78\0\0\0\x78\0\0\0\xdb\
\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\x01\0\0\0\x01\0\0\x0c\x01\0\0\0\x05\0\0\0\0\0\
\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x05\0\0\0\x04\
\0\0\0\x0a\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x1e\0\0\0\0\0\0\x0e\x04\0\0\0\
\x01\0\0\0\xc4\0\0\0\x01\0\0\x0f\x04\0\0\0\x06\0\0\0\0\0\0\0\x04\0\0\0\0\x66\
\x6f\x6f\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\
\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\
\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\
\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\
\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\
\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\
\x6f\x67\x73\x2f\x62\x61\x64\x5f\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x32\
\x2e\x63\0\x76\x6f\x69\x64\x20\x66\x6f\x6f\x28\x76\x6f\x69\x64\x29\x20\x7b\x7d\
\0\x6c\x69\x63\x65\x6e\x73\x65\0\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\
\x66\x6f\x6f\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\
\x1c\0\0\0\x30\0\0\0\0\0\0\0\x08\0\0\0\xcc\0\0\0\x01\0\0\0\0\0\0\0\x02\0\0\0\
\x10\0\0\0\xcc\0\0\0\x01\0\0\0\0\0\0\0\x27\0\0\0\xb2\0\0\0\x11\x38\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x55\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x98\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\
\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x01\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x20\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\x6b\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4c\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x90\x02\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct bad_struct_ops2 *bad_struct_ops2::open(const struct bpf_object_open_opts *opts) { return bad_struct_ops2__open_opts(opts); }
struct bad_struct_ops2 *bad_struct_ops2::open_and_load() { return bad_struct_ops2__open_and_load(); }
int bad_struct_ops2::load(struct bad_struct_ops2 *skel) { return bad_struct_ops2__load(skel); }
int bad_struct_ops2::attach(struct bad_struct_ops2 *skel) { return bad_struct_ops2__attach(skel); }
void bad_struct_ops2::detach(struct bad_struct_ops2 *skel) { bad_struct_ops2__detach(skel); }
void bad_struct_ops2::destroy(struct bad_struct_ops2 *skel) { bad_struct_ops2__destroy(skel); }
const void *bad_struct_ops2::elf_bytes(size_t *sz) { return bad_struct_ops2__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
bad_struct_ops2__assert(struct bad_struct_ops2 *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __BAD_STRUCT_OPS2_SKEL_H__ */
