/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __CG_STORAGE_MULTI_EGRESS_ONLY_SKEL_H__
#define __CG_STORAGE_MULTI_EGRESS_ONLY_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct cg_storage_multi_egress_only {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *cgroup_storage;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *egress;
	} progs;
	struct {
		struct bpf_link *egress;
	} links;
	struct cg_storage_multi_egress_only__bss {
		__u32 invocations;
	} *bss;

#ifdef __cplusplus
	static inline struct cg_storage_multi_egress_only *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct cg_storage_multi_egress_only *open_and_load();
	static inline int load(struct cg_storage_multi_egress_only *skel);
	static inline int attach(struct cg_storage_multi_egress_only *skel);
	static inline void detach(struct cg_storage_multi_egress_only *skel);
	static inline void destroy(struct cg_storage_multi_egress_only *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
cg_storage_multi_egress_only__destroy(struct cg_storage_multi_egress_only *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
cg_storage_multi_egress_only__create_skeleton(struct cg_storage_multi_egress_only *obj);

static inline struct cg_storage_multi_egress_only *
cg_storage_multi_egress_only__open_opts(const struct bpf_object_open_opts *opts)
{
	struct cg_storage_multi_egress_only *obj;
	int err;

	obj = (struct cg_storage_multi_egress_only *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = cg_storage_multi_egress_only__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	cg_storage_multi_egress_only__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct cg_storage_multi_egress_only *
cg_storage_multi_egress_only__open(void)
{
	return cg_storage_multi_egress_only__open_opts(NULL);
}

static inline int
cg_storage_multi_egress_only__load(struct cg_storage_multi_egress_only *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct cg_storage_multi_egress_only *
cg_storage_multi_egress_only__open_and_load(void)
{
	struct cg_storage_multi_egress_only *obj;
	int err;

	obj = cg_storage_multi_egress_only__open();
	if (!obj)
		return NULL;
	err = cg_storage_multi_egress_only__load(obj);
	if (err) {
		cg_storage_multi_egress_only__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
cg_storage_multi_egress_only__attach(struct cg_storage_multi_egress_only *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
cg_storage_multi_egress_only__detach(struct cg_storage_multi_egress_only *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *cg_storage_multi_egress_only__elf_bytes(size_t *sz);

static inline int
cg_storage_multi_egress_only__create_skeleton(struct cg_storage_multi_egress_only *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "cg_storage_multi_egress_only";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "cgroup_storage";
	map->map = &obj->maps.cgroup_storage;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "cg_stora.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "egress";
	s->progs[0].prog = &obj->progs.egress;
	s->progs[0].link = &obj->links.egress;

	s->data = cg_storage_multi_egress_only__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *cg_storage_multi_egress_only__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xf8\x09\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x63\x67\
\x72\x6f\x75\x70\x5f\x73\x6b\x62\x2f\x65\x67\x72\x65\x73\x73\0\x2e\x62\x73\x73\
\0\x2e\x6d\x61\x70\x73\0\x63\x67\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x6d\x75\
\x6c\x74\x69\x5f\x65\x67\x72\x65\x73\x73\x5f\x6f\x6e\x6c\x79\x2e\x63\0\x65\x67\
\x72\x65\x73\x73\0\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\0\
\x69\x6e\x76\x6f\x63\x61\x74\x69\x6f\x6e\x73\0\x2e\x72\x65\x6c\x63\x67\x72\x6f\
\x75\x70\x5f\x73\x6b\x62\x2f\x65\x67\x72\x65\x73\x73\0\x2e\x42\x54\x46\0\x2e\
\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x2e\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4d\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\
\x60\0\0\0\0\0\0\0\x54\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x63\
\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\0\0\0\x51\0\0\0\xb4\x01\0\0\x01\0\0\0\xc3\
\x10\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\xc3\
\x21\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x30\0\0\0\0\0\0\0\
\x01\0\0\0\x05\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xd8\x03\0\0\xd8\x03\0\0\
\x87\x03\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\
\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x13\0\0\0\x05\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\x19\0\0\0\x02\0\0\x04\x10\
\0\0\0\x30\0\0\0\x07\0\0\0\0\0\0\0\x40\0\0\0\x09\0\0\0\x40\0\0\0\x4c\0\0\0\0\0\
\0\x08\x08\0\0\0\x52\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\x65\0\0\0\0\0\0\x08\
\x0a\0\0\0\x6b\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x0c\0\0\0\
\x78\0\0\0\x02\0\0\x04\x08\0\0\0\x85\0\0\0\x09\0\0\0\0\0\0\0\x91\0\0\0\x09\0\0\
\0\x20\0\0\0\0\0\0\0\x03\0\0\x04\x18\0\0\0\x9e\0\0\0\x01\0\0\0\0\0\0\0\xa3\0\0\
\0\x05\0\0\0\x40\0\0\0\xa7\0\0\0\x0b\0\0\0\x80\0\0\0\xad\0\0\0\0\0\0\x0e\x0d\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x10\0\0\0\xbc\0\0\0\x22\0\0\x04\xc0\0\0\0\xc6\
\0\0\0\x09\0\0\0\0\0\0\0\xca\0\0\0\x09\0\0\0\x20\0\0\0\xd3\0\0\0\x09\0\0\0\x40\
\0\0\0\xd8\0\0\0\x09\0\0\0\x60\0\0\0\xe6\0\0\0\x09\0\0\0\x80\0\0\0\xef\0\0\0\
\x09\0\0\0\xa0\0\0\0\xfc\0\0\0\x09\0\0\0\xc0\0\0\0\x05\x01\0\0\x09\0\0\0\xe0\0\
\0\0\x10\x01\0\0\x09\0\0\0\0\x01\0\0\x19\x01\0\0\x09\0\0\0\x20\x01\0\0\x29\x01\
\0\0\x09\0\0\0\x40\x01\0\0\x31\x01\0\0\x09\0\0\0\x60\x01\0\0\x3a\x01\0\0\x11\0\
\0\0\x80\x01\0\0\x3d\x01\0\0\x09\0\0\0\x20\x02\0\0\x42\x01\0\0\x09\0\0\0\x40\
\x02\0\0\x4d\x01\0\0\x09\0\0\0\x60\x02\0\0\x52\x01\0\0\x09\0\0\0\x80\x02\0\0\
\x5b\x01\0\0\x09\0\0\0\xa0\x02\0\0\x63\x01\0\0\x09\0\0\0\xc0\x02\0\0\x6a\x01\0\
\0\x09\0\0\0\xe0\x02\0\0\x75\x01\0\0\x09\0\0\0\0\x03\0\0\x7f\x01\0\0\x12\0\0\0\
\x20\x03\0\0\x8a\x01\0\0\x12\0\0\0\xa0\x03\0\0\x94\x01\0\0\x09\0\0\0\x20\x04\0\
\0\xa0\x01\0\0\x09\0\0\0\x40\x04\0\0\xab\x01\0\0\x09\0\0\0\x60\x04\0\0\0\0\0\0\
\x13\0\0\0\x80\x04\0\0\xb5\x01\0\0\x07\0\0\0\xc0\x04\0\0\xbc\x01\0\0\x09\0\0\0\
\0\x05\0\0\xc5\x01\0\0\x09\0\0\0\x20\x05\0\0\0\0\0\0\x15\0\0\0\x40\x05\0\0\xce\
\x01\0\0\x09\0\0\0\x80\x05\0\0\xd7\x01\0\0\x17\0\0\0\xa0\x05\0\0\xe3\x01\0\0\
\x07\0\0\0\xc0\x05\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x09\0\0\0\x04\0\0\0\x05\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\0\0\x09\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\x05\
\x08\0\0\0\xec\x01\0\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x1c\0\0\0\0\0\0\0\
\x01\0\0\x05\x08\0\0\0\xf6\x01\0\0\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x1d\0\0\
\0\xf9\x01\0\0\0\0\0\x08\x18\0\0\0\xfe\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\
\0\0\0\x01\0\0\x0d\x02\0\0\0\x0c\x02\0\0\x0f\0\0\0\x10\x02\0\0\x01\0\0\x0c\x19\
\0\0\0\x17\x02\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\x23\x02\0\0\0\0\0\x07\0\0\0\0\
\x31\x02\0\0\0\0\0\x07\0\0\0\0\x6a\x03\0\0\x01\0\0\x0f\x04\0\0\0\x1b\0\0\0\0\0\
\0\0\x04\0\0\0\x6f\x03\0\0\x01\0\0\x0f\x18\0\0\0\x0e\0\0\0\0\0\0\0\x18\0\0\0\0\
\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\
\x45\x5f\x5f\0\x62\x70\x66\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\
\x67\x65\x5f\x6b\x65\x79\0\x63\x67\x72\x6f\x75\x70\x5f\x69\x6e\x6f\x64\x65\x5f\
\x69\x64\0\x61\x74\x74\x61\x63\x68\x5f\x74\x79\x70\x65\0\x5f\x5f\x75\x36\x34\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x5f\
\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x63\x67\
\x72\x6f\x75\x70\x5f\x76\x61\x6c\x75\x65\0\x65\x67\x72\x65\x73\x73\x5f\x70\x6b\
\x74\x73\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x70\x6b\x74\x73\0\x74\x79\x70\x65\0\
\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\
\x72\x61\x67\x65\0\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\
\x74\x5f\x74\x79\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\
\x70\x70\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\
\x70\x72\x65\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\
\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\
\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\
\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\
\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\
\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\
\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\
\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\
\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\
\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\
\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\
\x69\x7a\x65\0\x74\x73\x74\x61\x6d\x70\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\
\x74\x61\x6d\x70\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x73\x6b\0\x5f\x5f\x75\
\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x73\x6b\x62\0\x65\
\x67\x72\x65\x73\x73\0\x69\x6e\x76\x6f\x63\x61\x74\x69\x6f\x6e\x73\0\x62\x70\
\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\
\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\
\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\
\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\
\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\
\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\
\x2f\x70\x72\x6f\x67\x73\x2f\x63\x67\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x6d\
\x75\x6c\x74\x69\x5f\x65\x67\x72\x65\x73\x73\x5f\x6f\x6e\x6c\x79\x2e\x63\0\x09\
\x09\x62\x70\x66\x5f\x67\x65\x74\x5f\x6c\x6f\x63\x61\x6c\x5f\x73\x74\x6f\x72\
\x61\x67\x65\x28\x26\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\
\x2c\x20\x30\x29\x3b\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\
\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\x70\x74\x72\x5f\x63\x67\x5f\x73\x74\x6f\
\x72\x61\x67\x65\x2d\x3e\x65\x67\x72\x65\x73\x73\x5f\x70\x6b\x74\x73\x2c\x20\
\x31\x29\x3b\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\
\x64\x5f\x61\x64\x64\x28\x26\x69\x6e\x76\x6f\x63\x61\x74\x69\x6f\x6e\x73\x2c\
\x20\x31\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x31\x3b\0\x2e\x62\x73\x73\0\
\x2e\x6d\x61\x70\x73\0\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\x2f\x65\x67\x72\
\x65\x73\x73\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x4c\0\0\0\
\x60\0\0\0\0\0\0\0\x08\0\0\0\x75\x03\0\0\x01\0\0\0\0\0\0\0\x1a\0\0\0\x10\0\0\0\
\x75\x03\0\0\x04\0\0\0\0\0\0\0\x3a\x02\0\0\xd2\x02\0\0\x03\x6c\0\0\x20\0\0\0\
\x3a\x02\0\0\xff\x02\0\0\x02\x74\0\0\x30\0\0\0\x3a\x02\0\0\x37\x03\0\0\x02\x78\
\0\0\x50\0\0\0\x3a\x02\0\0\x5f\x03\0\0\x02\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\x93\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\
\x90\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\
\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x01\0\0\0\0\0\0\x60\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x23\0\0\0\x08\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x01\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xc8\x01\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6f\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xe0\x01\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x02\0\0\0\0\0\0\x77\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x8a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x09\0\0\0\0\0\
\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct cg_storage_multi_egress_only *cg_storage_multi_egress_only::open(const struct bpf_object_open_opts *opts) { return cg_storage_multi_egress_only__open_opts(opts); }
struct cg_storage_multi_egress_only *cg_storage_multi_egress_only::open_and_load() { return cg_storage_multi_egress_only__open_and_load(); }
int cg_storage_multi_egress_only::load(struct cg_storage_multi_egress_only *skel) { return cg_storage_multi_egress_only__load(skel); }
int cg_storage_multi_egress_only::attach(struct cg_storage_multi_egress_only *skel) { return cg_storage_multi_egress_only__attach(skel); }
void cg_storage_multi_egress_only::detach(struct cg_storage_multi_egress_only *skel) { cg_storage_multi_egress_only__detach(skel); }
void cg_storage_multi_egress_only::destroy(struct cg_storage_multi_egress_only *skel) { cg_storage_multi_egress_only__destroy(skel); }
const void *cg_storage_multi_egress_only::elf_bytes(size_t *sz) { return cg_storage_multi_egress_only__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
cg_storage_multi_egress_only__assert(struct cg_storage_multi_egress_only *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->invocations) == 4, "unexpected size of 'invocations'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __CG_STORAGE_MULTI_EGRESS_ONLY_SKEL_H__ */
