/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __CONNECT_UNIX_PROG_SKEL_H__
#define __CONNECT_UNIX_PROG_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct connect_unix_prog {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *data;
	} maps;
	struct {
		struct bpf_program *connect_unix_prog;
		struct bpf_program *connect_unix_deny_prog;
	} progs;
	struct {
		struct bpf_link *connect_unix_prog;
		struct bpf_link *connect_unix_deny_prog;
	} links;
	struct connect_unix_prog__data {
		__u8 SERVUN_REWRITE_ADDRESS[30];
	} *data;

#ifdef __cplusplus
	static inline struct connect_unix_prog *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct connect_unix_prog *open_and_load();
	static inline int load(struct connect_unix_prog *skel);
	static inline int attach(struct connect_unix_prog *skel);
	static inline void detach(struct connect_unix_prog *skel);
	static inline void destroy(struct connect_unix_prog *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
connect_unix_prog__destroy(struct connect_unix_prog *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
connect_unix_prog__create_skeleton(struct connect_unix_prog *obj);

static inline struct connect_unix_prog *
connect_unix_prog__open_opts(const struct bpf_object_open_opts *opts)
{
	struct connect_unix_prog *obj;
	int err;

	obj = (struct connect_unix_prog *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = connect_unix_prog__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	connect_unix_prog__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct connect_unix_prog *
connect_unix_prog__open(void)
{
	return connect_unix_prog__open_opts(NULL);
}

static inline int
connect_unix_prog__load(struct connect_unix_prog *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct connect_unix_prog *
connect_unix_prog__open_and_load(void)
{
	struct connect_unix_prog *obj;
	int err;

	obj = connect_unix_prog__open();
	if (!obj)
		return NULL;
	err = connect_unix_prog__load(obj);
	if (err) {
		connect_unix_prog__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
connect_unix_prog__attach(struct connect_unix_prog *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
connect_unix_prog__detach(struct connect_unix_prog *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *connect_unix_prog__elf_bytes(size_t *sz);

static inline int
connect_unix_prog__create_skeleton(struct connect_unix_prog *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "connect_unix_prog";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "connect_.data";
	map->map = &obj->maps.data;
	map->mmaped = (void **)&obj->data;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "connect_unix_prog";
	s->progs[0].prog = &obj->progs.connect_unix_prog;
	s->progs[0].link = &obj->links.connect_unix_prog;

	s->progs[1].name = "connect_unix_deny_prog";
	s->progs[1].prog = &obj->progs.connect_unix_deny_prog;
	s->progs[1].link = &obj->links.connect_unix_deny_prog;

	s->data = connect_unix_prog__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *connect_unix_prog__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x98\x12\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x63\x67\
\x72\x6f\x75\x70\x2f\x63\x6f\x6e\x6e\x65\x63\x74\x5f\x75\x6e\x69\x78\0\x2e\x64\
\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x63\x6f\x6e\x6e\x65\x63\x74\x5f\
\x75\x6e\x69\x78\x5f\x70\x72\x6f\x67\x2e\x63\0\x63\x6f\x6e\x6e\x65\x63\x74\x5f\
\x75\x6e\x69\x78\x5f\x70\x72\x6f\x67\0\x62\x70\x66\x5f\x63\x61\x73\x74\x5f\x74\
\x6f\x5f\x6b\x65\x72\x6e\x5f\x63\x74\x78\0\x53\x45\x52\x56\x55\x4e\x5f\x52\x45\
\x57\x52\x49\x54\x45\x5f\x41\x44\x44\x52\x45\x53\x53\0\x62\x70\x66\x5f\x73\x6f\
\x63\x6b\x5f\x61\x64\x64\x72\x5f\x73\x65\x74\x5f\x73\x75\x6e\x5f\x70\x61\x74\
\x68\0\x62\x70\x66\x5f\x72\x64\x6f\x6e\x6c\x79\x5f\x63\x61\x73\x74\0\x63\x6f\
\x6e\x6e\x65\x63\x74\x5f\x75\x6e\x69\x78\x5f\x64\x65\x6e\x79\x5f\x70\x72\x6f\
\x67\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x63\x67\x72\x6f\x75\
\x70\x2f\x63\x6f\x6e\x6e\x65\x63\x74\x5f\x75\x6e\x69\x78\0\x2e\x42\x54\x46\0\
\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x33\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\
\x08\x06\0\0\0\0\0\0\x59\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6e\0\
\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x1e\0\0\0\0\0\0\0\x85\0\0\0\x20\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xa0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb0\0\0\0\x12\0\x03\0\x08\x06\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xc7\0\0\0\x11\0\
\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x06\0\
\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x03\0\0\
\x1d\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbc\x01\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\
\x56\x01\xb4\0\0\0\0\0\xb7\x01\0\0\x02\0\0\0\x61\x62\x20\0\0\0\0\0\x04\x01\0\0\
\x1d\0\0\0\x5e\x12\xb0\0\0\0\0\0\x79\x61\x08\0\0\0\0\0\x18\x02\0\0\x1d\0\0\0\0\
\0\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb7\x02\0\0\x02\0\0\0\xbf\x01\0\0\0\
\0\0\0\x0f\x21\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x24\x05\0\0\
\0\0\0\x64\x04\0\0\x08\0\0\0\x71\x23\x04\0\0\0\0\0\x4c\x34\0\0\0\0\0\0\x71\x25\
\x06\0\0\0\0\0\x64\x05\0\0\x10\0\0\0\x71\x23\x07\0\0\0\0\0\x64\x03\0\0\x18\0\0\
\0\x4c\x53\0\0\0\0\0\0\x71\x25\0\0\0\0\0\0\x71\x26\x01\0\0\0\0\0\x67\x06\0\0\
\x08\0\0\0\x4f\x56\0\0\0\0\0\0\x71\x27\x02\0\0\0\0\0\x67\x07\0\0\x10\0\0\0\x71\
\x25\x03\0\0\0\0\0\x67\x05\0\0\x18\0\0\0\x4f\x75\0\0\0\0\0\0\x4f\x65\0\0\0\0\0\
\0\x4c\x43\0\0\0\0\0\0\x71\x04\x02\0\0\0\0\0\x71\x10\x01\0\0\0\0\0\x67\0\0\0\
\x08\0\0\0\x4f\x40\0\0\0\0\0\0\x71\x16\x02\0\0\0\0\0\x67\x06\0\0\x10\0\0\0\x71\
\x14\x03\0\0\0\0\0\x67\x04\0\0\x18\0\0\0\x4f\x64\0\0\0\0\0\0\x67\x03\0\0\x20\0\
\0\0\x4f\x53\0\0\0\0\0\0\x4f\x04\0\0\0\0\0\0\x71\x15\x05\0\0\0\0\0\x64\x05\0\0\
\x08\0\0\0\x71\x10\x04\0\0\0\0\0\x4c\x05\0\0\0\0\0\0\x71\x10\x06\0\0\0\0\0\x64\
\0\0\0\x10\0\0\0\x71\x16\x07\0\0\0\0\0\x64\x06\0\0\x18\0\0\0\x4c\x06\0\0\0\0\0\
\0\x4c\x56\0\0\0\0\0\0\x67\x06\0\0\x20\0\0\0\x4f\x46\0\0\0\0\0\0\x5d\x36\x7b\0\
\0\0\0\0\x71\x24\x0d\0\0\0\0\0\x64\x04\0\0\x08\0\0\0\x71\x23\x0c\0\0\0\0\0\x4c\
\x34\0\0\0\0\0\0\x71\x25\x0e\0\0\0\0\0\x64\x05\0\0\x10\0\0\0\x71\x23\x0f\0\0\0\
\0\0\x64\x03\0\0\x18\0\0\0\x4c\x53\0\0\0\0\0\0\x71\x25\x08\0\0\0\0\0\x71\x20\
\x09\0\0\0\0\0\x67\0\0\0\x08\0\0\0\x4f\x50\0\0\0\0\0\0\x71\x26\x0a\0\0\0\0\0\
\x67\x06\0\0\x10\0\0\0\x71\x25\x0b\0\0\0\0\0\x67\x05\0\0\x18\0\0\0\x4f\x65\0\0\
\0\0\0\0\x4f\x05\0\0\0\0\0\0\x4c\x43\0\0\0\0\0\0\x71\x12\x08\0\0\0\0\0\x71\x14\
\x09\0\0\0\0\0\x67\x04\0\0\x08\0\0\0\x4f\x24\0\0\0\0\0\0\x71\x10\x0a\0\0\0\0\0\
\x67\0\0\0\x10\0\0\0\x71\x12\x0b\0\0\0\0\0\x67\x02\0\0\x18\0\0\0\x4f\x02\0\0\0\
\0\0\0\x67\x03\0\0\x20\0\0\0\x4f\x53\0\0\0\0\0\0\x4f\x42\0\0\0\0\0\0\x71\x14\
\x0d\0\0\0\0\0\x64\x04\0\0\x08\0\0\0\x71\x15\x0c\0\0\0\0\0\x4c\x54\0\0\0\0\0\0\
\x71\x15\x0e\0\0\0\0\0\x64\x05\0\0\x10\0\0\0\x71\x10\x0f\0\0\0\0\0\x64\0\0\0\
\x18\0\0\0\x4c\x50\0\0\0\0\0\0\x4c\x40\0\0\0\0\0\0\x67\0\0\0\x20\0\0\0\x4f\x20\
\0\0\0\0\0\0\x5d\x30\x4e\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x24\
\x15\0\0\0\0\0\x64\x04\0\0\x08\0\0\0\x71\x23\x14\0\0\0\0\0\x4c\x34\0\0\0\0\0\0\
\x71\x25\x16\0\0\0\0\0\x64\x05\0\0\x10\0\0\0\x71\x23\x17\0\0\0\0\0\x64\x03\0\0\
\x18\0\0\0\x4c\x53\0\0\0\0\0\0\x71\x25\x10\0\0\0\0\0\x71\x20\x11\0\0\0\0\0\x67\
\0\0\0\x08\0\0\0\x4f\x50\0\0\0\0\0\0\x71\x26\x12\0\0\0\0\0\x67\x06\0\0\x10\0\0\
\0\x71\x25\x13\0\0\0\0\0\x67\x05\0\0\x18\0\0\0\x4f\x65\0\0\0\0\0\0\x4f\x05\0\0\
\0\0\0\0\x4c\x43\0\0\0\0\0\0\x71\x14\x10\0\0\0\0\0\x71\x10\x11\0\0\0\0\0\x67\0\
\0\0\x08\0\0\0\x4f\x40\0\0\0\0\0\0\x71\x16\x12\0\0\0\0\0\x67\x06\0\0\x10\0\0\0\
\x71\x14\x13\0\0\0\0\0\x67\x04\0\0\x18\0\0\0\x4f\x64\0\0\0\0\0\0\x67\x03\0\0\
\x20\0\0\0\x4f\x53\0\0\0\0\0\0\x4f\x04\0\0\0\0\0\0\x71\x15\x15\0\0\0\0\0\x64\
\x05\0\0\x08\0\0\0\x71\x10\x14\0\0\0\0\0\x4c\x05\0\0\0\0\0\0\x71\x10\x16\0\0\0\
\0\0\x64\0\0\0\x10\0\0\0\x71\x16\x17\0\0\0\0\0\x64\x06\0\0\x18\0\0\0\x4c\x06\0\
\0\0\0\0\0\x4c\x56\0\0\0\0\0\0\x67\x06\0\0\x20\0\0\0\x4f\x46\0\0\0\0\0\0\x5d\
\x36\x1f\0\0\0\0\0\x71\x23\x19\0\0\0\0\0\x64\x03\0\0\x08\0\0\0\x71\x24\x18\0\0\
\0\0\0\x4c\x43\0\0\0\0\0\0\x71\x24\x1a\0\0\0\0\0\x64\x04\0\0\x10\0\0\0\x71\x22\
\x1b\0\0\0\0\0\x64\x02\0\0\x18\0\0\0\x4c\x42\0\0\0\0\0\0\x4c\x32\0\0\0\0\0\0\
\x71\x13\x19\0\0\0\0\0\x64\x03\0\0\x08\0\0\0\x71\x14\x18\0\0\0\0\0\x4c\x43\0\0\
\0\0\0\0\x71\x14\x1a\0\0\0\0\0\x64\x04\0\0\x10\0\0\0\x71\x15\x1b\0\0\0\0\0\x64\
\x05\0\0\x18\0\0\0\x4c\x45\0\0\0\0\0\0\x4c\x35\0\0\0\0\0\0\x5e\x25\x0a\0\0\0\0\
\0\xb4\x02\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x33\x1c\0\0\0\0\
\0\x71\x11\x1c\0\0\0\0\0\x5e\x31\x04\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x16\x02\x01\
\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\x05\0\xfa\
\xff\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\x62\x70\x66\x5f\x63\x67\x72\
\x6f\x75\x70\x5f\x75\x6e\x69\x78\x5f\x74\x65\x73\x74\x5f\x72\x65\x77\x72\x69\
\x74\x65\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x18\0\
\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x30\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x88\0\0\
\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\xa8\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x88\x03\0\
\0\0\0\0\0\x01\0\0\0\x05\0\0\0\xb0\x05\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x9f\xeb\
\x01\0\x18\0\0\0\0\0\0\0\xe0\x03\0\0\xe0\x03\0\0\x4f\x04\0\0\0\0\0\0\0\0\0\x02\
\x02\0\0\0\x01\0\0\0\x0a\0\0\x04\x48\0\0\0\x0f\0\0\0\x03\0\0\0\0\0\0\0\x1b\0\0\
\0\x03\0\0\0\x20\0\0\0\x24\0\0\0\x05\0\0\0\x40\0\0\0\x2d\0\0\0\x03\0\0\0\xc0\0\
\0\0\x37\0\0\0\x03\0\0\0\xe0\0\0\0\x3e\0\0\0\x03\0\0\0\0\x01\0\0\x43\0\0\0\x03\
\0\0\0\x20\x01\0\0\x4c\0\0\0\x03\0\0\0\x40\x01\0\0\x58\0\0\0\x05\0\0\0\x60\x01\
\0\0\0\0\0\0\x07\0\0\0\0\x02\0\0\x64\0\0\0\0\0\0\x08\x04\0\0\0\x6a\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x06\0\0\0\x04\0\0\
\0\x77\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x8b\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x2c\0\0\0\0\0\0\0\x01\0\0\x0d\x0a\0\0\
\0\x8e\0\0\0\x01\0\0\0\x92\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x96\0\0\0\x01\
\0\0\x0c\x09\0\0\0\0\0\0\0\x01\0\0\x0d\x0d\0\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\
\0\x02\0\0\0\0\xa8\0\0\0\x02\0\0\x0c\x0c\0\0\0\0\0\0\0\x03\0\0\x0d\x0a\0\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\x11\0\0\
\0\xbd\0\0\0\x05\0\0\x04\x28\0\0\0\x8b\0\0\0\x12\0\0\0\0\0\0\0\xd0\0\0\0\x13\0\
\0\0\x40\0\0\0\xd6\0\0\0\x14\0\0\0\x80\0\0\0\xde\0\0\0\x0d\0\0\0\xc0\0\0\0\xe4\
\0\0\0\x17\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\x02\x2d\0\0\0\0\0\0\0\0\0\0\x02\x2b\0\
\0\0\xed\0\0\0\0\0\0\x08\x15\0\0\0\xf1\0\0\0\0\0\0\x08\x16\0\0\0\xf7\0\0\0\0\0\
\0\x01\x08\0\0\0\x40\0\0\0\x0a\x01\0\0\0\0\0\x08\x03\0\0\0\0\0\0\0\0\0\0\x02\
\x19\0\0\0\0\0\0\0\0\0\0\x0a\x1a\0\0\0\x0e\x01\0\0\0\0\0\x08\x1b\0\0\0\x13\x01\
\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\x21\x01\0\0\x02\0\0\x0c\x0f\0\0\0\x3c\x01\0\
\0\x02\0\0\x04\x6e\0\0\0\x48\x01\0\0\x1e\0\0\0\0\0\0\0\x53\x01\0\0\x21\0\0\0\
\x10\0\0\0\x5c\x01\0\0\0\0\0\x08\x1f\0\0\0\x71\x01\0\0\0\0\0\x01\x02\0\0\0\x10\
\0\0\0\x80\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\
\x20\0\0\0\x06\0\0\0\x6c\0\0\0\0\0\0\0\x02\0\0\x0d\x0d\0\0\0\0\0\0\0\x23\0\0\0\
\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\x24\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\x85\
\x01\0\0\x02\0\0\x0c\x22\0\0\0\x95\x01\0\0\x01\0\0\x0c\x09\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\0\x1a\0\0\0\x06\0\0\0\x1e\0\0\0\xac\x01\0\0\0\0\0\x0e\x27\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x20\0\0\0\x06\0\0\0\x04\0\0\0\xc3\x01\0\0\0\0\
\0\x0e\x29\0\0\0\x01\0\0\0\xcc\x01\0\0\0\0\0\x07\0\0\0\0\xd5\x01\0\0\0\0\0\x07\
\0\0\0\0\xde\x01\0\0\0\0\0\x07\0\0\0\0\x26\x04\0\0\x01\0\0\x0f\x1e\0\0\0\x28\0\
\0\0\0\0\0\0\x1e\0\0\0\x2c\x04\0\0\x01\0\0\x0f\x04\0\0\0\x2a\0\0\0\0\0\0\0\x04\
\0\0\0\x34\x04\0\0\x03\0\0\x0f\0\0\0\0\x0e\0\0\0\0\0\0\0\0\0\0\0\x1c\0\0\0\0\0\
\0\0\0\0\0\0\x25\0\0\0\0\0\0\0\0\0\0\0\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\
\x61\x64\x64\x72\0\x75\x73\x65\x72\x5f\x66\x61\x6d\x69\x6c\x79\0\x75\x73\x65\
\x72\x5f\x69\x70\x34\0\x75\x73\x65\x72\x5f\x69\x70\x36\0\x75\x73\x65\x72\x5f\
\x70\x6f\x72\x74\0\x66\x61\x6d\x69\x6c\x79\0\x74\x79\x70\x65\0\x70\x72\x6f\x74\
\x6f\x63\x6f\x6c\0\x6d\x73\x67\x5f\x73\x72\x63\x5f\x69\x70\x34\0\x6d\x73\x67\
\x5f\x73\x72\x63\x5f\x69\x70\x36\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\
\x5f\x54\x59\x50\x45\x5f\x5f\0\x73\x6b\0\x63\x74\x78\0\x69\x6e\x74\0\x63\x6f\
\x6e\x6e\x65\x63\x74\x5f\x75\x6e\x69\x78\x5f\x70\x72\x6f\x67\0\x62\x70\x66\x5f\
\x63\x61\x73\x74\x5f\x74\x6f\x5f\x6b\x65\x72\x6e\x5f\x63\x74\x78\0\x62\x70\x66\
\x5f\x73\x6f\x63\x6b\x5f\x61\x64\x64\x72\x5f\x6b\x65\x72\x6e\0\x75\x61\x64\x64\
\x72\0\x74\x6d\x70\x5f\x72\x65\x67\0\x74\x5f\x63\x74\x78\0\x75\x61\x64\x64\x72\
\x6c\x65\x6e\0\x75\x36\x34\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x75\x33\x32\0\x5f\x5f\x75\x38\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x62\x70\x66\x5f\x73\x6f\
\x63\x6b\x5f\x61\x64\x64\x72\x5f\x73\x65\x74\x5f\x73\x75\x6e\x5f\x70\x61\x74\
\x68\0\x73\x6f\x63\x6b\x61\x64\x64\x72\x5f\x75\x6e\0\x73\x75\x6e\x5f\x66\x61\
\x6d\x69\x6c\x79\0\x73\x75\x6e\x5f\x70\x61\x74\x68\0\x5f\x5f\x6b\x65\x72\x6e\
\x65\x6c\x5f\x73\x61\x5f\x66\x61\x6d\x69\x6c\x79\x5f\x74\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\0\x63\x68\x61\x72\0\x62\x70\x66\x5f\x72\
\x64\x6f\x6e\x6c\x79\x5f\x63\x61\x73\x74\0\x63\x6f\x6e\x6e\x65\x63\x74\x5f\x75\
\x6e\x69\x78\x5f\x64\x65\x6e\x79\x5f\x70\x72\x6f\x67\0\x53\x45\x52\x56\x55\x4e\
\x5f\x52\x45\x57\x52\x49\x54\x45\x5f\x41\x44\x44\x52\x45\x53\x53\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x73\x6f\x63\x6b\x61\x64\x64\x72\0\x62\x70\x66\x5f\x73\
\x6f\x63\x6b\0\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\
\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\
\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\
\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\
\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\
\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\
\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x63\x6f\x6e\x6e\
\x65\x63\x74\x5f\x75\x6e\x69\x78\x5f\x70\x72\x6f\x67\x2e\x63\0\x09\x73\x74\x72\
\x75\x63\x74\x20\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x61\x64\x64\x72\x5f\x6b\
\x65\x72\x6e\x20\x2a\x73\x61\x5f\x6b\x65\x72\x6e\x20\x3d\x20\x62\x70\x66\x5f\
\x63\x61\x73\x74\x5f\x74\x6f\x5f\x6b\x65\x72\x6e\x5f\x63\x74\x78\x28\x63\x74\
\x78\x29\x3b\0\x09\x72\x65\x74\x20\x3d\x20\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\
\x61\x64\x64\x72\x5f\x73\x65\x74\x5f\x73\x75\x6e\x5f\x70\x61\x74\x68\x28\x73\
\x61\x5f\x6b\x65\x72\x6e\x2c\x20\x53\x45\x52\x56\x55\x4e\x5f\x52\x45\x57\x52\
\x49\x54\x45\x5f\x41\x44\x44\x52\x45\x53\x53\x2c\0\x09\x69\x66\x20\x28\x72\x65\
\x74\x29\0\x09\x69\x66\x20\x28\x73\x61\x5f\x6b\x65\x72\x6e\x2d\x3e\x75\x61\x64\
\x64\x72\x6c\x65\x6e\x20\x21\x3d\x20\x75\x6e\x61\x64\x64\x72\x6c\x65\x6e\x29\0\
\x09\x5f\x5f\x75\x33\x32\x20\x75\x6e\x61\x64\x64\x72\x6c\x65\x6e\x20\x3d\x20\
\x6f\x66\x66\x73\x65\x74\x6f\x66\x28\x73\x74\x72\x75\x63\x74\x20\x73\x6f\x63\
\x6b\x61\x64\x64\x72\x5f\x75\x6e\x2c\x20\x73\x75\x6e\x5f\x70\x61\x74\x68\x29\
\x20\x2b\0\x09\x73\x61\x5f\x6b\x65\x72\x6e\x5f\x75\x6e\x61\x64\x64\x72\x20\x3d\
\x20\x62\x70\x66\x5f\x63\x6f\x72\x65\x5f\x63\x61\x73\x74\x28\x73\x61\x5f\x6b\
\x65\x72\x6e\x2d\x3e\x75\x61\x64\x64\x72\x2c\x20\x73\x74\x72\x75\x63\x74\x20\
\x73\x6f\x63\x6b\x61\x64\x64\x72\x5f\x75\x6e\x29\x3b\0\x09\x69\x66\x20\x28\x6d\
\x65\x6d\x63\x6d\x70\x28\x73\x61\x5f\x6b\x65\x72\x6e\x5f\x75\x6e\x61\x64\x64\
\x72\x2d\x3e\x73\x75\x6e\x5f\x70\x61\x74\x68\x2c\x20\x53\x45\x52\x56\x55\x4e\
\x5f\x52\x45\x57\x52\x49\x54\x45\x5f\x41\x44\x44\x52\x45\x53\x53\x2c\0\x09\x09\
\x09\x73\x69\x7a\x65\x6f\x66\x28\x53\x45\x52\x56\x55\x4e\x5f\x52\x45\x57\x52\
\x49\x54\x45\x5f\x41\x44\x44\x52\x45\x53\x53\x29\x20\x2d\x20\x31\x29\x20\x21\
\x3d\x20\x30\x29\0\x7d\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x30\x3a\x31\
\0\x30\x3a\x34\0\x30\0\x2e\x64\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x6b\x73\x79\x6d\x73\0\x63\x67\x72\x6f\x75\x70\x2f\x63\x6f\x6e\x6e\x65\x63\x74\
\x5f\x75\x6e\x69\x78\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x1c\0\0\0\x1c\0\0\0\
\xcc\0\0\0\xe8\0\0\0\x6c\0\0\0\x08\0\0\0\x3b\x04\0\0\x02\0\0\0\0\0\0\0\x0b\0\0\
\0\x08\x06\0\0\x26\0\0\0\x10\0\0\0\x3b\x04\0\0\x0c\0\0\0\0\0\0\0\xe3\x01\0\0\
\x70\x02\0\0\x27\x40\0\0\x10\0\0\0\xe3\x01\0\0\xb1\x02\0\0\x08\x5c\0\0\x48\0\0\
\0\xe3\x01\0\0\xf4\x02\0\0\x06\x64\0\0\x58\0\0\0\xe3\x01\0\0\xfe\x02\0\0\x0f\
\x70\0\0\x60\0\0\0\xe3\x01\0\0\x23\x03\0\0\x14\x48\0\0\x68\0\0\0\xe3\x01\0\0\
\xfe\x02\0\0\x06\x70\0\0\x70\0\0\0\xe3\x01\0\0\x5f\x03\0\0\x13\x7c\0\0\xa8\0\0\
\0\xe3\x01\0\0\xa4\x03\0\0\x06\x80\0\0\xe0\x05\0\0\xe3\x01\0\0\xe2\x03\0\0\x28\
\x84\0\0\xf0\x05\0\0\xe3\x01\0\0\x0f\x04\0\0\x01\x94\0\0\0\x06\0\0\xe3\x01\0\0\
\xa4\x03\0\0\x06\x80\0\0\x08\x06\0\0\xe3\x01\0\0\x11\x04\0\0\x02\xa8\0\0\x10\0\
\0\0\x3b\x04\0\0\x06\0\0\0\x50\0\0\0\x1d\0\0\0\x1c\x04\0\0\0\0\0\0\x58\0\0\0\
\x11\0\0\0\x20\x04\0\0\0\0\0\0\x70\0\0\0\x11\0\0\0\x1c\x04\0\0\0\0\0\0\x78\0\0\
\0\x1d\0\0\0\x24\x04\0\0\x07\0\0\0\x90\0\0\0\x1d\0\0\0\x1c\x04\0\0\0\0\0\0\x58\
\x01\0\0\x1d\0\0\0\x1c\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\xf6\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x01\0\0\0\0\0\0\xf0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x02\0\0\0\0\0\0\x18\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x25\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x08\0\0\0\0\0\0\x1e\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2b\0\0\0\x01\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x5e\x08\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x68\x08\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\xe8\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\
\x08\0\0\0\0\0\0\x47\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xed\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x11\0\0\0\0\0\
\0\x74\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct connect_unix_prog *connect_unix_prog::open(const struct bpf_object_open_opts *opts) { return connect_unix_prog__open_opts(opts); }
struct connect_unix_prog *connect_unix_prog::open_and_load() { return connect_unix_prog__open_and_load(); }
int connect_unix_prog::load(struct connect_unix_prog *skel) { return connect_unix_prog__load(skel); }
int connect_unix_prog::attach(struct connect_unix_prog *skel) { return connect_unix_prog__attach(skel); }
void connect_unix_prog::detach(struct connect_unix_prog *skel) { connect_unix_prog__detach(skel); }
void connect_unix_prog::destroy(struct connect_unix_prog *skel) { connect_unix_prog__destroy(skel); }
const void *connect_unix_prog::elf_bytes(size_t *sz) { return connect_unix_prog__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
connect_unix_prog__assert(struct connect_unix_prog *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->data->SERVUN_REWRITE_ADDRESS) == 30, "unexpected size of 'SERVUN_REWRITE_ADDRESS'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __CONNECT_UNIX_PROG_SKEL_H__ */
