/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __CONNECT6_PROG_SKEL_H__
#define __CONNECT6_PROG_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct connect6_prog {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *connect_v6_prog;
		struct bpf_program *connect_v6_deny_prog;
	} progs;
	struct {
		struct bpf_link *connect_v6_prog;
		struct bpf_link *connect_v6_deny_prog;
	} links;

#ifdef __cplusplus
	static inline struct connect6_prog *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct connect6_prog *open_and_load();
	static inline int load(struct connect6_prog *skel);
	static inline int attach(struct connect6_prog *skel);
	static inline void detach(struct connect6_prog *skel);
	static inline void destroy(struct connect6_prog *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
connect6_prog__destroy(struct connect6_prog *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
connect6_prog__create_skeleton(struct connect6_prog *obj);

static inline struct connect6_prog *
connect6_prog__open_opts(const struct bpf_object_open_opts *opts)
{
	struct connect6_prog *obj;
	int err;

	obj = (struct connect6_prog *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = connect6_prog__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	connect6_prog__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct connect6_prog *
connect6_prog__open(void)
{
	return connect6_prog__open_opts(NULL);
}

static inline int
connect6_prog__load(struct connect6_prog *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct connect6_prog *
connect6_prog__open_and_load(void)
{
	struct connect6_prog *obj;
	int err;

	obj = connect6_prog__open();
	if (!obj)
		return NULL;
	err = connect6_prog__load(obj);
	if (err) {
		connect6_prog__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
connect6_prog__attach(struct connect6_prog *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
connect6_prog__detach(struct connect6_prog *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *connect6_prog__elf_bytes(size_t *sz);

static inline int
connect6_prog__create_skeleton(struct connect6_prog *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "connect6_prog";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "connect_v6_prog";
	s->progs[0].prog = &obj->progs.connect_v6_prog;
	s->progs[0].link = &obj->links.connect_v6_prog;

	s->progs[1].name = "connect_v6_deny_prog";
	s->progs[1].prog = &obj->progs.connect_v6_deny_prog;
	s->progs[1].link = &obj->links.connect_v6_deny_prog;

	s->data = connect6_prog__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *connect6_prog__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x70\x0d\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x63\x67\
\x72\x6f\x75\x70\x2f\x63\x6f\x6e\x6e\x65\x63\x74\x36\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x63\x6f\x6e\x6e\x65\x63\x74\x36\x5f\x70\x72\x6f\x67\x2e\x63\0\x63\x6f\
\x6e\x6e\x65\x63\x74\x5f\x76\x36\x5f\x70\x72\x6f\x67\0\x63\x6f\x6e\x6e\x65\x63\
\x74\x5f\x76\x36\x5f\x64\x65\x6e\x79\x5f\x70\x72\x6f\x67\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x29\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x39\0\
\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x48\x02\0\0\0\0\0\0\x49\0\0\0\x12\0\x03\0\x48\
\x02\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x5e\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\
\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x7b\x1a\
\xf0\xff\0\0\0\0\xb4\x07\0\0\0\0\0\0\x7a\x0a\xd8\xff\0\0\0\0\x7a\x0a\xe0\xff\0\
\0\0\0\x7a\x0a\xe8\xff\0\0\0\0\x62\x0a\xf8\xff\0\0\x1a\x0a\x61\x61\x20\0\0\0\0\
\0\xbc\x12\0\0\0\0\0\0\x04\x02\0\0\xff\xff\xff\xff\x26\x02\x21\0\x01\0\0\0\x56\
\x01\x08\0\x01\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xd8\xff\xff\xff\xbf\x61\0\
\0\0\0\0\0\xb4\x03\0\0\x24\0\0\0\xb7\x04\0\0\xff\xff\xff\xff\xb7\x05\0\0\0\0\0\
\0\x85\0\0\0\x54\0\0\0\x05\0\x07\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xd8\
\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb4\x03\0\0\x24\0\0\0\xb7\x04\0\0\xff\xff\xff\
\xff\xb7\x05\0\0\0\0\0\0\x85\0\0\0\x55\0\0\0\x15\0\x10\0\0\0\0\0\x61\x01\x1c\0\
\0\0\0\0\x61\xa2\xe8\xff\0\0\0\0\x5e\x21\x0b\0\0\0\0\0\x61\x01\x20\0\0\0\0\0\
\x61\xa2\xec\xff\0\0\0\0\x5e\x21\x08\0\0\0\0\0\x61\x01\x24\0\0\0\0\0\x61\xa2\
\xf0\xff\0\0\0\0\x5e\x21\x05\0\0\0\0\0\x61\x01\x28\0\0\0\0\0\x61\xa2\xf4\xff\0\
\0\0\0\x5e\x21\x02\0\0\0\0\0\x61\x01\x2c\0\0\0\0\0\x16\x01\x04\0\x0a\x1a\0\0\
\xbf\x01\0\0\0\0\0\0\x85\0\0\0\x56\0\0\0\xbc\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\xbf\x01\0\0\0\0\0\0\x85\0\0\0\x56\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\x7b\x16\x10\0\0\0\0\0\x62\x06\x18\0\x1a\x0a\0\0\x7a\x06\x08\0\0\0\0\0\x62\x0a\
\xc8\xff\0\0\0\0\x62\x0a\xd0\xff\0\0\0\0\x62\x0a\xcc\xff\0\0\0\0\x62\x0a\xd4\
\xff\0\0\0\0\x62\x0a\xc4\xff\0\0\0\0\x62\x0a\xc0\xff\0\0\0\0\x62\x0a\xbc\xff\
\x0a\0\0\0\x62\x0a\xc8\xff\0\0\0\0\x62\x0a\xd0\xff\0\0\0\x06\xbf\xa2\0\0\0\0\0\
\0\x07\x02\0\0\xbc\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb4\x03\0\0\x1c\0\0\0\x85\0\
\0\0\x40\0\0\0\xb4\x07\0\0\x01\0\0\0\x15\0\xe7\xff\0\0\0\0\xb4\x07\0\0\0\0\0\0\
\x05\0\xe5\xff\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\
\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x90\x01\0\0\x90\x01\0\0\x86\x05\0\0\0\0\0\0\
\0\0\0\x02\x02\0\0\0\x01\0\0\0\x0a\0\0\x04\x48\0\0\0\x0f\0\0\0\x03\0\0\0\0\0\0\
\0\x1b\0\0\0\x03\0\0\0\x20\0\0\0\x24\0\0\0\x05\0\0\0\x40\0\0\0\x2d\0\0\0\x03\0\
\0\0\xc0\0\0\0\x37\0\0\0\x03\0\0\0\xe0\0\0\0\x3e\0\0\0\x03\0\0\0\0\x01\0\0\x43\
\0\0\0\x03\0\0\0\x20\x01\0\0\x4c\0\0\0\x03\0\0\0\x40\x01\0\0\x58\0\0\0\x05\0\0\
\0\x60\x01\0\0\0\0\0\0\x07\0\0\0\0\x02\0\0\x64\0\0\0\0\0\0\x08\x04\0\0\0\x6a\0\
\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x06\0\0\
\0\x04\0\0\0\x77\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\
\0\0\x8b\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x10\0\0\0\0\0\0\0\x01\0\0\
\x0d\x0a\0\0\0\x8e\0\0\0\x01\0\0\0\x92\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\
\x96\0\0\0\x01\0\0\x0c\x09\0\0\0\xa6\0\0\0\x01\0\0\x0c\x09\0\0\0\xbb\0\0\0\0\0\
\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x0d\0\0\0\x06\0\0\0\x04\
\0\0\0\xc0\0\0\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\xc9\0\0\0\0\0\0\x07\0\0\0\0\x6e\
\x05\0\0\x01\0\0\x0f\x04\0\0\0\x0f\0\0\0\0\0\0\0\x04\0\0\0\0\x62\x70\x66\x5f\
\x73\x6f\x63\x6b\x5f\x61\x64\x64\x72\0\x75\x73\x65\x72\x5f\x66\x61\x6d\x69\x6c\
\x79\0\x75\x73\x65\x72\x5f\x69\x70\x34\0\x75\x73\x65\x72\x5f\x69\x70\x36\0\x75\
\x73\x65\x72\x5f\x70\x6f\x72\x74\0\x66\x61\x6d\x69\x6c\x79\0\x74\x79\x70\x65\0\
\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x6d\x73\x67\x5f\x73\x72\x63\x5f\x69\x70\x34\
\0\x6d\x73\x67\x5f\x73\x72\x63\x5f\x69\x70\x36\0\x5f\x5f\x75\x33\x32\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\
\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x73\x6b\0\x63\x74\x78\0\x69\x6e\x74\
\0\x63\x6f\x6e\x6e\x65\x63\x74\x5f\x76\x36\x5f\x70\x72\x6f\x67\0\x63\x6f\x6e\
\x6e\x65\x63\x74\x5f\x76\x36\x5f\x64\x65\x6e\x79\x5f\x70\x72\x6f\x67\0\x63\x68\
\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\
\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\
\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\
\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\
\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\
\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\
\x2f\x70\x72\x6f\x67\x73\x2f\x63\x6f\x6e\x6e\x65\x63\x74\x36\x5f\x70\x72\x6f\
\x67\x2e\x63\0\x69\x6e\x74\x20\x63\x6f\x6e\x6e\x65\x63\x74\x5f\x76\x36\x5f\x70\
\x72\x6f\x67\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x73\x6f\x63\x6b\
\x5f\x61\x64\x64\x72\x20\x2a\x63\x74\x78\x29\0\x09\x74\x75\x70\x6c\x65\x2e\x69\
\x70\x76\x36\x2e\x64\x61\x64\x64\x72\x5b\x30\x5d\x20\x3d\x20\x62\x70\x66\x5f\
\x68\x74\x6f\x6e\x6c\x28\x44\x53\x54\x5f\x52\x45\x57\x52\x49\x54\x45\x5f\x49\
\x50\x36\x5f\x30\x29\x3b\0\x09\x6d\x65\x6d\x73\x65\x74\x28\x26\x74\x75\x70\x6c\
\x65\x2e\x69\x70\x76\x36\x2e\x73\x70\x6f\x72\x74\x2c\x20\x30\x2c\x20\x73\x69\
\x7a\x65\x6f\x66\x28\x74\x75\x70\x6c\x65\x2e\x69\x70\x76\x36\x2e\x73\x70\x6f\
\x72\x74\x29\x29\x3b\0\x09\x69\x66\x20\x28\x63\x74\x78\x2d\x3e\x74\x79\x70\x65\
\x20\x21\x3d\x20\x53\x4f\x43\x4b\x5f\x53\x54\x52\x45\x41\x4d\x20\x26\x26\x20\
\x63\x74\x78\x2d\x3e\x74\x79\x70\x65\x20\x21\x3d\x20\x53\x4f\x43\x4b\x5f\x44\
\x47\x52\x41\x4d\x29\0\x09\x65\x6c\x73\x65\x20\x69\x66\x20\x28\x63\x74\x78\x2d\
\x3e\x74\x79\x70\x65\x20\x3d\x3d\x20\x53\x4f\x43\x4b\x5f\x53\x54\x52\x45\x41\
\x4d\x29\0\x09\x09\x73\x6b\x20\x3d\x20\x62\x70\x66\x5f\x73\x6b\x5f\x6c\x6f\x6f\
\x6b\x75\x70\x5f\x74\x63\x70\x28\x63\x74\x78\x2c\x20\x26\x74\x75\x70\x6c\x65\
\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x74\x75\x70\x6c\x65\x2e\x69\x70\x76\x36\
\x29\x2c\0\x09\x09\x73\x6b\x20\x3d\x20\x62\x70\x66\x5f\x73\x6b\x5f\x6c\x6f\x6f\
\x6b\x75\x70\x5f\x75\x64\x70\x28\x63\x74\x78\x2c\x20\x26\x74\x75\x70\x6c\x65\
\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x74\x75\x70\x6c\x65\x2e\x69\x70\x76\x36\
\x29\x2c\0\x09\x69\x66\x20\x28\x21\x73\x6b\x29\0\x09\x69\x66\x20\x28\x73\x6b\
\x2d\x3e\x73\x72\x63\x5f\x69\x70\x36\x5b\x30\x5d\x20\x21\x3d\x20\x74\x75\x70\
\x6c\x65\x2e\x69\x70\x76\x36\x2e\x64\x61\x64\x64\x72\x5b\x30\x5d\x20\x7c\x7c\0\
\x09\x20\x20\x20\x20\x73\x6b\x2d\x3e\x73\x72\x63\x5f\x69\x70\x36\x5b\x31\x5d\
\x20\x21\x3d\x20\x74\x75\x70\x6c\x65\x2e\x69\x70\x76\x36\x2e\x64\x61\x64\x64\
\x72\x5b\x31\x5d\x20\x7c\x7c\0\x09\x20\x20\x20\x20\x73\x6b\x2d\x3e\x73\x72\x63\
\x5f\x69\x70\x36\x5b\x32\x5d\x20\x21\x3d\x20\x74\x75\x70\x6c\x65\x2e\x69\x70\
\x76\x36\x2e\x64\x61\x64\x64\x72\x5b\x32\x5d\x20\x7c\x7c\0\x09\x20\x20\x20\x20\
\x73\x6b\x2d\x3e\x73\x72\x63\x5f\x69\x70\x36\x5b\x33\x5d\x20\x21\x3d\x20\x74\
\x75\x70\x6c\x65\x2e\x69\x70\x76\x36\x2e\x64\x61\x64\x64\x72\x5b\x33\x5d\x20\
\x7c\x7c\0\x09\x20\x20\x20\x20\x73\x6b\x2d\x3e\x73\x72\x63\x5f\x70\x6f\x72\x74\
\x20\x21\x3d\x20\x44\x53\x54\x5f\x52\x45\x57\x52\x49\x54\x45\x5f\x50\x4f\x52\
\x54\x36\x29\x20\x7b\0\x09\x09\x62\x70\x66\x5f\x73\x6b\x5f\x72\x65\x6c\x65\x61\
\x73\x65\x28\x73\x6b\x29\x3b\0\x7d\0\x09\x62\x70\x66\x5f\x73\x6b\x5f\x72\x65\
\x6c\x65\x61\x73\x65\x28\x73\x6b\x29\x3b\0\x09\x63\x74\x78\x2d\x3e\x75\x73\x65\
\x72\x5f\x69\x70\x36\x5b\x32\x5d\x20\x3d\x20\x62\x70\x66\x5f\x68\x74\x6f\x6e\
\x6c\x28\x44\x53\x54\x5f\x52\x45\x57\x52\x49\x54\x45\x5f\x49\x50\x36\x5f\x32\
\x29\x3b\0\x09\x63\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\x70\x6f\x72\x74\x20\x3d\
\x20\x62\x70\x66\x5f\x68\x74\x6f\x6e\x73\x28\x44\x53\x54\x5f\x52\x45\x57\x52\
\x49\x54\x45\x5f\x50\x4f\x52\x54\x36\x29\x3b\0\x09\x63\x74\x78\x2d\x3e\x75\x73\
\x65\x72\x5f\x69\x70\x36\x5b\x30\x5d\x20\x3d\x20\x62\x70\x66\x5f\x68\x74\x6f\
\x6e\x6c\x28\x44\x53\x54\x5f\x52\x45\x57\x52\x49\x54\x45\x5f\x49\x50\x36\x5f\
\x30\x29\x3b\0\x09\x6d\x65\x6d\x73\x65\x74\x28\x26\x73\x61\x2c\x20\x30\x2c\x20\
\x73\x69\x7a\x65\x6f\x66\x28\x73\x61\x29\x29\x3b\0\x09\x73\x61\x2e\x73\x69\x6e\
\x36\x5f\x66\x61\x6d\x69\x6c\x79\x20\x3d\x20\x41\x46\x5f\x49\x4e\x45\x54\x36\
\x3b\0\x09\x73\x61\x2e\x73\x69\x6e\x36\x5f\x61\x64\x64\x72\x2e\x73\x36\x5f\x61\
\x64\x64\x72\x33\x32\x5b\x31\x5d\x20\x3d\x20\x62\x70\x66\x5f\x68\x74\x6f\x6e\
\x6c\x28\x53\x52\x43\x5f\x52\x45\x57\x52\x49\x54\x45\x5f\x49\x50\x36\x5f\x31\
\x29\x3b\0\x09\x73\x61\x2e\x73\x69\x6e\x36\x5f\x61\x64\x64\x72\x2e\x73\x36\x5f\
\x61\x64\x64\x72\x33\x32\x5b\x33\x5d\x20\x3d\x20\x62\x70\x66\x5f\x68\x74\x6f\
\x6e\x6c\x28\x53\x52\x43\x5f\x52\x45\x57\x52\x49\x54\x45\x5f\x49\x50\x36\x5f\
\x33\x29\x3b\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x62\x69\x6e\x64\x28\x63\x74\
\x78\x2c\x20\x28\x73\x74\x72\x75\x63\x74\x20\x73\x6f\x63\x6b\x61\x64\x64\x72\
\x20\x2a\x29\x26\x73\x61\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x61\x29\x29\
\x20\x21\x3d\x20\x30\x29\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x63\x67\x72\x6f\x75\x70\x2f\x63\x6f\x6e\x6e\x65\x63\x74\
\x36\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x1c\0\0\0\x1c\0\0\0\x5c\x02\0\0\x78\
\x02\0\0\0\0\0\0\x08\0\0\0\x76\x05\0\0\x02\0\0\0\0\0\0\0\x0b\0\0\0\x48\x02\0\0\
\x0c\0\0\0\x10\0\0\0\x76\x05\0\0\x25\0\0\0\0\0\0\0\xd2\0\0\0\x5b\x01\0\0\0\x70\
\0\0\x18\0\0\0\xd2\0\0\0\x8a\x01\0\0\x16\x98\0\0\x40\0\0\0\xd2\0\0\0\xbf\x01\0\
\0\x02\x90\0\0\x48\0\0\0\xd2\0\0\0\xf8\x01\0\0\x0b\xb4\0\0\x50\0\0\0\xd2\0\0\0\
\xf8\x01\0\0\x1f\xb4\0\0\x68\0\0\0\xd2\0\0\0\x32\x02\0\0\x0b\xbc\0\0\x80\0\0\0\
\xd2\0\0\0\x56\x02\0\0\x08\xc0\0\0\xa8\0\0\0\xd2\0\0\0\x56\x02\0\0\x03\xc0\0\0\
\xc0\0\0\0\xd2\0\0\0\x90\x02\0\0\x08\xcc\0\0\xe8\0\0\0\xd2\0\0\0\xca\x02\0\0\
\x06\xd8\0\0\xf0\0\0\0\xd2\0\0\0\xd4\x02\0\0\x06\xe4\0\0\xf8\0\0\0\xd2\0\0\0\
\xd4\x02\0\0\x18\xe4\0\0\0\x01\0\0\xd2\0\0\0\xd4\x02\0\0\x2c\xe4\0\0\x08\x01\0\
\0\xd2\0\0\0\x02\x03\0\0\x06\xe8\0\0\x10\x01\0\0\xd2\0\0\0\x02\x03\0\0\x18\xe8\
\0\0\x18\x01\0\0\xd2\0\0\0\x02\x03\0\0\x2c\xe8\0\0\x20\x01\0\0\xd2\0\0\0\x30\
\x03\0\0\x06\xec\0\0\x28\x01\0\0\xd2\0\0\0\x30\x03\0\0\x18\xec\0\0\x30\x01\0\0\
\xd2\0\0\0\x30\x03\0\0\x2c\xec\0\0\x38\x01\0\0\xd2\0\0\0\x5e\x03\0\0\x06\xf0\0\
\0\x40\x01\0\0\xd2\0\0\0\x5e\x03\0\0\x18\xf0\0\0\x48\x01\0\0\xd2\0\0\0\x5e\x03\
\0\0\x2c\xf0\0\0\x50\x01\0\0\xd2\0\0\0\x8c\x03\0\0\x0a\xf4\0\0\x58\x01\0\0\xd2\
\0\0\0\xd4\x02\0\0\x06\xe4\0\0\x60\x01\0\0\xd2\0\0\0\xb6\x03\0\0\x03\xf8\0\0\
\x70\x01\0\0\xd2\0\0\0\xcc\x03\0\0\x01\x6c\x01\0\x80\x01\0\0\xd2\0\0\0\xce\x03\
\0\0\x02\x08\x01\0\xa0\x01\0\0\xd2\0\0\0\xe3\x03\0\0\x13\x1c\x01\0\xa8\x01\0\0\
\xd2\0\0\0\x15\x04\0\0\x11\x28\x01\0\xb0\x01\0\0\xd2\0\0\0\x45\x04\0\0\x13\x14\
\x01\0\xb8\x01\0\0\xd2\0\0\0\x77\x04\0\0\x02\x34\x01\0\xe8\x01\0\0\xd2\0\0\0\
\x94\x04\0\0\x11\x3c\x01\0\xf0\x01\0\0\xd2\0\0\0\xb0\x04\0\0\x1c\x4c\x01\0\xf8\
\x01\0\0\xd2\0\0\0\xeb\x04\0\0\x1c\x54\x01\0\x10\x02\0\0\xd2\0\0\0\x26\x05\0\0\
\x06\x5c\x01\0\x30\x02\0\0\xd2\0\0\0\x26\x05\0\0\x38\x5c\x01\0\x48\x02\0\0\xd2\
\0\0\0\x63\x05\0\0\x02\x80\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\x75\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x01\0\0\0\0\0\0\x58\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x21\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xa0\x03\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x67\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xa8\x03\0\0\0\0\0\0\x2e\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x6c\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x0a\0\0\
\0\0\0\0\x98\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct connect6_prog *connect6_prog::open(const struct bpf_object_open_opts *opts) { return connect6_prog__open_opts(opts); }
struct connect6_prog *connect6_prog::open_and_load() { return connect6_prog__open_and_load(); }
int connect6_prog::load(struct connect6_prog *skel) { return connect6_prog__load(skel); }
int connect6_prog::attach(struct connect6_prog *skel) { return connect6_prog__attach(skel); }
void connect6_prog::detach(struct connect6_prog *skel) { connect6_prog__detach(skel); }
void connect6_prog::destroy(struct connect6_prog *skel) { connect6_prog__destroy(skel); }
const void *connect6_prog::elf_bytes(size_t *sz) { return connect6_prog__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
connect6_prog__assert(struct connect6_prog *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __CONNECT6_PROG_SKEL_H__ */
