/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TAILCALL_BPF2BPF_HIERARCHY2_SKEL_H__
#define __TAILCALL_BPF2BPF_HIERARCHY2_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct tailcall_bpf2bpf_hierarchy2 {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *jmp_table;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *classifier_0;
		struct bpf_program *classifier_1;
		struct bpf_program *tailcall_bpf2bpf_hierarchy_2;
	} progs;
	struct {
		struct bpf_link *classifier_0;
		struct bpf_link *classifier_1;
		struct bpf_link *tailcall_bpf2bpf_hierarchy_2;
	} links;
	struct tailcall_bpf2bpf_hierarchy2__bss {
		int count0;
		int count1;
	} *bss;

#ifdef __cplusplus
	static inline struct tailcall_bpf2bpf_hierarchy2 *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct tailcall_bpf2bpf_hierarchy2 *open_and_load();
	static inline int load(struct tailcall_bpf2bpf_hierarchy2 *skel);
	static inline int attach(struct tailcall_bpf2bpf_hierarchy2 *skel);
	static inline void detach(struct tailcall_bpf2bpf_hierarchy2 *skel);
	static inline void destroy(struct tailcall_bpf2bpf_hierarchy2 *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
tailcall_bpf2bpf_hierarchy2__destroy(struct tailcall_bpf2bpf_hierarchy2 *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
tailcall_bpf2bpf_hierarchy2__create_skeleton(struct tailcall_bpf2bpf_hierarchy2 *obj);

static inline struct tailcall_bpf2bpf_hierarchy2 *
tailcall_bpf2bpf_hierarchy2__open_opts(const struct bpf_object_open_opts *opts)
{
	struct tailcall_bpf2bpf_hierarchy2 *obj;
	int err;

	obj = (struct tailcall_bpf2bpf_hierarchy2 *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = tailcall_bpf2bpf_hierarchy2__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	tailcall_bpf2bpf_hierarchy2__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct tailcall_bpf2bpf_hierarchy2 *
tailcall_bpf2bpf_hierarchy2__open(void)
{
	return tailcall_bpf2bpf_hierarchy2__open_opts(NULL);
}

static inline int
tailcall_bpf2bpf_hierarchy2__load(struct tailcall_bpf2bpf_hierarchy2 *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct tailcall_bpf2bpf_hierarchy2 *
tailcall_bpf2bpf_hierarchy2__open_and_load(void)
{
	struct tailcall_bpf2bpf_hierarchy2 *obj;
	int err;

	obj = tailcall_bpf2bpf_hierarchy2__open();
	if (!obj)
		return NULL;
	err = tailcall_bpf2bpf_hierarchy2__load(obj);
	if (err) {
		tailcall_bpf2bpf_hierarchy2__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
tailcall_bpf2bpf_hierarchy2__attach(struct tailcall_bpf2bpf_hierarchy2 *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
tailcall_bpf2bpf_hierarchy2__detach(struct tailcall_bpf2bpf_hierarchy2 *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *tailcall_bpf2bpf_hierarchy2__elf_bytes(size_t *sz);

static inline int
tailcall_bpf2bpf_hierarchy2__create_skeleton(struct tailcall_bpf2bpf_hierarchy2 *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "tailcall_bpf2bpf_hierarchy2";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "jmp_table";
	map->map = &obj->maps.jmp_table;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "tailcall.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "classifier_0";
	s->progs[0].prog = &obj->progs.classifier_0;
	s->progs[0].link = &obj->links.classifier_0;

	s->progs[1].name = "classifier_1";
	s->progs[1].prog = &obj->progs.classifier_1;
	s->progs[1].link = &obj->links.classifier_1;

	s->progs[2].name = "tailcall_bpf2bpf_hierarchy_2";
	s->progs[2].prog = &obj->progs.tailcall_bpf2bpf_hierarchy_2;
	s->progs[2].link = &obj->links.tailcall_bpf2bpf_hierarchy_2;

	s->data = tailcall_bpf2bpf_hierarchy2__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *tailcall_bpf2bpf_hierarchy2__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x80\x10\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0d\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x74\x63\0\x2e\x6d\x61\x70\x73\0\x2e\x62\x73\x73\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x74\x61\x69\x6c\x63\x61\x6c\x6c\x5f\x62\x70\x66\x32\x62\x70\
\x66\x5f\x68\x69\x65\x72\x61\x72\x63\x68\x79\x32\x2e\x63\0\x73\x75\x62\x70\x72\
\x6f\x67\x5f\x74\x61\x69\x6c\x30\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x74\x61\x69\
\x6c\x31\0\x63\x6c\x61\x73\x73\x69\x66\x69\x65\x72\x5f\x30\0\x63\x6f\x75\x6e\
\x74\x30\0\x63\x6c\x61\x73\x73\x69\x66\x69\x65\x72\x5f\x31\0\x63\x6f\x75\x6e\
\x74\x31\0\x6a\x6d\x70\x5f\x74\x61\x62\x6c\x65\0\x74\x61\x69\x6c\x63\x61\x6c\
\x6c\x5f\x62\x70\x66\x32\x62\x70\x66\x5f\x68\x69\x65\x72\x61\x72\x63\x68\x79\
\x5f\x32\0\x5f\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x74\x65\
\x78\x74\0\x2e\x72\x65\x6c\x74\x63\0\x2e\x72\x65\x6c\x2e\x6d\x61\x70\x73\0\x2e\
\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2d\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4b\0\0\0\x02\0\x03\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\x59\0\0\0\x02\0\x03\0\x40\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\x67\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x74\0\0\0\x11\0\x06\0\
\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x7b\0\0\0\x12\0\x04\0\x40\0\0\0\0\0\0\0\x40\
\0\0\0\0\0\0\0\x88\0\0\0\x11\0\x06\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x8f\0\
\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x99\0\0\0\x12\0\x04\0\x80\0\
\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\xb6\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\xbf\x16\0\0\0\0\0\0\x18\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x61\0\0\0\
\0\0\0\xbf\x72\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x0c\0\0\0\x95\0\0\0\0\
\0\0\0\xbf\x16\0\0\0\0\0\0\x18\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x61\0\0\0\0\
\0\0\xbf\x72\0\0\0\0\0\0\xb7\x03\0\0\x01\0\0\0\x85\0\0\0\x0c\0\0\0\x95\0\0\0\0\
\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x23\0\0\0\0\0\0\x04\x03\0\0\x01\
\0\0\0\x63\x32\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\
\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x23\0\0\0\0\0\0\x04\x03\0\
\0\x01\0\0\0\x63\x32\0\0\0\0\0\0\x85\x10\0\0\x07\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\
\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x62\x0a\xfc\xff\0\0\0\0\x85\x10\0\0\xff\xff\
\xff\xff\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\x07\0\0\0\xb7\x01\0\0\0\0\0\0\x18\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x61\x20\0\0\0\0\0\0\x64\0\0\0\x10\0\0\0\x4c\x10\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x48\0\0\0\
\0\0\0\0\x01\0\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x28\0\0\0\0\0\
\0\0\x0a\0\0\0\x02\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x68\0\0\0\0\0\0\
\0\x0a\0\0\0\x02\0\0\0\x90\0\0\0\0\0\0\0\x0a\0\0\0\x02\0\0\0\xa0\0\0\0\0\0\0\0\
\x0a\0\0\0\x02\0\0\0\xb0\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\xc8\0\0\0\0\0\0\0\
\x01\0\0\0\x09\0\0\0\x18\0\0\0\0\0\0\0\x02\0\0\0\x06\0\0\0\x20\0\0\0\0\0\0\0\
\x02\0\0\0\x08\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xd8\x04\0\0\xd8\x04\0\0\
\xff\x04\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\
\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x03\0\0\0\x05\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\0\0\0\0\x03\0\
\0\0\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\x02\x0a\0\0\0\0\0\0\0\0\0\0\
\x0d\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x09\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x04\
\0\0\x04\x18\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\
\x2a\0\0\0\x07\0\0\0\x80\0\0\0\x33\0\0\0\x0b\0\0\0\xc0\0\0\0\x3a\0\0\0\0\0\0\
\x0e\x0c\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0f\0\0\0\x44\0\0\0\x22\0\0\x04\xc0\
\0\0\0\x4e\0\0\0\x10\0\0\0\0\0\0\0\x52\0\0\0\x10\0\0\0\x20\0\0\0\x5b\0\0\0\x10\
\0\0\0\x40\0\0\0\x60\0\0\0\x10\0\0\0\x60\0\0\0\x6e\0\0\0\x10\0\0\0\x80\0\0\0\
\x77\0\0\0\x10\0\0\0\xa0\0\0\0\x84\0\0\0\x10\0\0\0\xc0\0\0\0\x8d\0\0\0\x10\0\0\
\0\xe0\0\0\0\x98\0\0\0\x10\0\0\0\0\x01\0\0\xa1\0\0\0\x10\0\0\0\x20\x01\0\0\xb1\
\0\0\0\x10\0\0\0\x40\x01\0\0\xb9\0\0\0\x10\0\0\0\x60\x01\0\0\xc2\0\0\0\x12\0\0\
\0\x80\x01\0\0\xc5\0\0\0\x10\0\0\0\x20\x02\0\0\xca\0\0\0\x10\0\0\0\x40\x02\0\0\
\xd5\0\0\0\x10\0\0\0\x60\x02\0\0\xda\0\0\0\x10\0\0\0\x80\x02\0\0\xe3\0\0\0\x10\
\0\0\0\xa0\x02\0\0\xeb\0\0\0\x10\0\0\0\xc0\x02\0\0\xf2\0\0\0\x10\0\0\0\xe0\x02\
\0\0\xfd\0\0\0\x10\0\0\0\0\x03\0\0\x07\x01\0\0\x13\0\0\0\x20\x03\0\0\x12\x01\0\
\0\x13\0\0\0\xa0\x03\0\0\x1c\x01\0\0\x10\0\0\0\x20\x04\0\0\x28\x01\0\0\x10\0\0\
\0\x40\x04\0\0\x33\x01\0\0\x10\0\0\0\x60\x04\0\0\0\0\0\0\x14\0\0\0\x80\x04\0\0\
\x3d\x01\0\0\x16\0\0\0\xc0\x04\0\0\x44\x01\0\0\x10\0\0\0\0\x05\0\0\x4d\x01\0\0\
\x10\0\0\0\x20\x05\0\0\0\0\0\0\x18\0\0\0\x40\x05\0\0\x56\x01\0\0\x10\0\0\0\x80\
\x05\0\0\x5f\x01\0\0\x1a\0\0\0\xa0\x05\0\0\x6b\x01\0\0\x16\0\0\0\xc0\x05\0\0\
\x74\x01\0\0\0\0\0\x08\x11\0\0\0\x7a\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\0\0\x10\0\0\0\x04\0\0\0\x05\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x10\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x87\x01\0\0\x15\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x2b\0\0\0\x91\x01\0\0\0\0\0\x08\x17\0\0\0\x97\
\x01\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\xaa\x01\0\
\0\x19\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x2c\0\0\0\xad\x01\0\0\0\0\0\x08\x1b\0\0\
\0\xb2\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\xc0\
\x01\0\0\x0e\0\0\0\xc4\x01\0\0\x01\0\0\x0c\x1c\0\0\0\xd1\x01\0\0\0\0\0\x11\x1d\
\0\0\0\xff\xff\xff\xff\xe8\x01\0\0\x01\0\0\x0c\x1c\0\0\0\xd1\x01\0\0\0\0\0\x11\
\x1f\0\0\0\xff\xff\xff\xff\xf5\x01\0\0\0\0\0\x0c\x1c\0\0\0\x03\x02\0\0\0\0\0\
\x0c\x1c\0\0\0\x11\x02\0\0\x01\0\0\x0c\x1c\0\0\0\x2e\x02\0\0\0\0\0\x11\x23\0\0\
\0\xff\xff\xff\xff\x4a\x02\0\0\0\0\0\x11\x23\0\0\0\xff\xff\xff\xff\x61\x02\0\0\
\0\0\0\x0e\x02\0\0\0\x01\0\0\0\x68\x02\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\x6f\
\x02\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x28\0\0\0\
\x04\0\0\0\x04\0\0\0\x74\x02\0\0\0\0\0\x0e\x29\0\0\0\x01\0\0\0\x7e\x02\0\0\0\0\
\0\x07\0\0\0\0\x8c\x02\0\0\0\0\0\x07\0\0\0\0\xe3\x04\0\0\x01\0\0\x0f\x28\0\0\0\
\x0d\0\0\0\0\0\0\0\x28\0\0\0\xe9\x04\0\0\x02\0\0\x0f\x08\0\0\0\x26\0\0\0\0\0\0\
\0\x04\0\0\0\x27\0\0\0\x04\0\0\0\x04\0\0\0\xee\x04\0\0\x01\0\0\x0f\x04\0\0\0\
\x2a\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\
\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6d\x61\x78\
\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\
\x6c\x75\x65\x73\0\x6a\x6d\x70\x5f\x74\x61\x62\x6c\x65\0\x5f\x5f\x73\x6b\x5f\
\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\x61\x72\
\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\x6f\x74\
\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\x76\x6c\
\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\x72\
\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\
\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\
\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\x74\
\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\
\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\
\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\
\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\
\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\
\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\
\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\x69\x7a\x65\0\x74\x73\x74\x61\x6d\x70\
\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\x74\x61\x6d\x70\0\x5f\x5f\x75\x33\x32\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x66\x6c\x6f\x77\x5f\x6b\x65\
\x79\x73\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\
\x6e\x67\x20\x6c\x6f\x6e\x67\0\x73\x6b\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x63\x68\x61\x72\0\x73\x6b\x62\0\x63\x6c\x61\x73\x73\x69\x66\
\x69\x65\x72\x5f\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x61\
\x75\x78\x69\x6c\x69\x61\x72\x79\0\x63\x6c\x61\x73\x73\x69\x66\x69\x65\x72\x5f\
\x31\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x74\x61\x69\x6c\x30\0\x73\x75\x62\x70\
\x72\x6f\x67\x5f\x74\x61\x69\x6c\x31\0\x74\x61\x69\x6c\x63\x61\x6c\x6c\x5f\x62\
\x70\x66\x32\x62\x70\x66\x5f\x68\x69\x65\x72\x61\x72\x63\x68\x79\x5f\x32\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x73\x75\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x72\x65\x74\x76\x61\x6c\x3d\x33\x33\0\x63\x6f\x75\x6e\x74\x30\0\x63\x6f\
\x75\x6e\x74\x31\0\x63\x68\x61\x72\0\x5f\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\
\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x62\x70\x66\x5f\x73\x6f\x63\
\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\
\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\
\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\
\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\
\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\
\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\
\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x61\x69\x6c\x63\x61\x6c\x6c\x5f\x62\x70\
\x66\x32\x62\x70\x66\x5f\x68\x69\x65\x72\x61\x72\x63\x68\x79\x32\x2e\x63\0\x69\
\x6e\x74\x20\x73\x75\x62\x70\x72\x6f\x67\x5f\x74\x61\x69\x6c\x30\x28\x73\x74\
\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\
\x29\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\
\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\
\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\
\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\
\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\
\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\
\x66\x2f\x74\x6f\x6f\x6c\x73\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\
\x2f\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\x73\x2e\x68\0\x09\x61\x73\x6d\x20\
\x76\x6f\x6c\x61\x74\x69\x6c\x65\x28\x22\x72\x31\x20\x3d\x20\x25\x5b\x63\x74\
\x78\x5d\x5c\x6e\x5c\x74\x22\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x69\
\x6e\x74\x20\x73\x75\x62\x70\x72\x6f\x67\x5f\x74\x61\x69\x6c\x31\x28\x73\x74\
\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\
\x29\0\x09\x63\x6f\x75\x6e\x74\x30\x2b\x2b\x3b\0\x09\x73\x75\x62\x70\x72\x6f\
\x67\x5f\x74\x61\x69\x6c\x30\x28\x73\x6b\x62\x29\x3b\0\x09\x63\x6f\x75\x6e\x74\
\x31\x2b\x2b\x3b\0\x09\x73\x75\x62\x70\x72\x6f\x67\x5f\x74\x61\x69\x6c\x31\x28\
\x73\x6b\x62\x29\x3b\0\x69\x6e\x74\x20\x74\x61\x69\x6c\x63\x61\x6c\x6c\x5f\x62\
\x70\x66\x32\x62\x70\x66\x5f\x68\x69\x65\x72\x61\x72\x63\x68\x79\x5f\x32\x28\
\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\
\x6b\x62\x29\0\x09\x69\x6e\x74\x20\x72\x65\x74\x20\x3d\x20\x30\x3b\0\x09\x72\
\x65\x74\x75\x72\x6e\x20\x28\x63\x6f\x75\x6e\x74\x31\x20\x3c\x3c\x20\x31\x36\
\x29\x20\x7c\x20\x63\x6f\x75\x6e\x74\x30\x3b\0\x2e\x6d\x61\x70\x73\0\x2e\x62\
\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x74\x65\x78\x74\0\x74\x63\0\0\x9f\
\xeb\x01\0\x20\0\0\0\0\0\0\0\x3c\0\0\0\x3c\0\0\0\x64\x01\0\0\xa0\x01\0\0\0\0\0\
\0\x08\0\0\0\xf6\x04\0\0\x02\0\0\0\0\0\0\0\x21\0\0\0\x40\0\0\0\x22\0\0\0\xfc\
\x04\0\0\x03\0\0\0\0\0\0\0\x1d\0\0\0\x40\0\0\0\x1f\0\0\0\x80\0\0\0\x23\0\0\0\
\x10\0\0\0\xf6\x04\0\0\x06\0\0\0\0\0\0\0\x95\x02\0\0\x2c\x03\0\0\0\x64\0\0\x08\
\0\0\0\x55\x03\0\0\xe8\x03\0\0\x02\x84\x02\0\x38\0\0\0\x95\x02\0\0\x08\x04\0\0\
\x02\x70\0\0\x40\0\0\0\x95\x02\0\0\x13\x04\0\0\0\xa4\0\0\x48\0\0\0\x55\x03\0\0\
\xe8\x03\0\0\x02\x84\x02\0\x78\0\0\0\x95\x02\0\0\x08\x04\0\0\x02\xb0\0\0\xfc\
\x04\0\0\x0f\0\0\0\0\0\0\0\x95\x02\0\0\x3c\x04\0\0\x08\x8c\0\0\x28\0\0\0\x95\
\x02\0\0\x47\x04\0\0\x02\x90\0\0\x30\0\0\0\x95\x02\0\0\x08\x04\0\0\x02\x94\0\0\
\x40\0\0\0\x95\x02\0\0\x5c\x04\0\0\x08\xcc\0\0\x68\0\0\0\x95\x02\0\0\x67\x04\0\
\0\x02\xd0\0\0\x70\0\0\0\x95\x02\0\0\x08\x04\0\0\x02\xd4\0\0\x80\0\0\0\x95\x02\
\0\0\x7c\x04\0\0\0\xec\0\0\x88\0\0\0\x95\x02\0\0\xb4\x04\0\0\x06\xf4\0\0\x90\0\
\0\0\x95\x02\0\0\x47\x04\0\0\x02\xfc\0\0\x98\0\0\0\x95\x02\0\0\x67\x04\0\0\x02\
\0\x01\0\xb0\0\0\0\x95\x02\0\0\xc2\x04\0\0\x1a\x0c\x01\0\xc8\0\0\0\x95\x02\0\0\
\xc2\x04\0\0\x0a\x0c\x01\0\xe0\0\0\0\x95\x02\0\0\xc2\x04\0\0\x11\x0c\x01\0\xe8\
\0\0\0\x95\x02\0\0\xc2\x04\0\0\x18\x0c\x01\0\xf0\0\0\0\x95\x02\0\0\xc2\x04\0\0\
\x02\x0c\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\
\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xe9\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x30\x01\0\0\0\0\0\0\x38\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x68\x02\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xe8\x02\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x1a\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x03\0\0\0\
\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\
\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x04\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x25\0\0\0\x01\0\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x04\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\0\0\0\x09\0\0\0\x40\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x10\x04\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\
\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xca\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x30\x04\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\
\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xd1\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xb0\x04\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x05\0\0\0\x08\0\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\xdb\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\
\x04\0\0\0\0\0\0\xef\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xe0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x0e\0\0\0\0\0\
\0\xc0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct tailcall_bpf2bpf_hierarchy2 *tailcall_bpf2bpf_hierarchy2::open(const struct bpf_object_open_opts *opts) { return tailcall_bpf2bpf_hierarchy2__open_opts(opts); }
struct tailcall_bpf2bpf_hierarchy2 *tailcall_bpf2bpf_hierarchy2::open_and_load() { return tailcall_bpf2bpf_hierarchy2__open_and_load(); }
int tailcall_bpf2bpf_hierarchy2::load(struct tailcall_bpf2bpf_hierarchy2 *skel) { return tailcall_bpf2bpf_hierarchy2__load(skel); }
int tailcall_bpf2bpf_hierarchy2::attach(struct tailcall_bpf2bpf_hierarchy2 *skel) { return tailcall_bpf2bpf_hierarchy2__attach(skel); }
void tailcall_bpf2bpf_hierarchy2::detach(struct tailcall_bpf2bpf_hierarchy2 *skel) { tailcall_bpf2bpf_hierarchy2__detach(skel); }
void tailcall_bpf2bpf_hierarchy2::destroy(struct tailcall_bpf2bpf_hierarchy2 *skel) { tailcall_bpf2bpf_hierarchy2__destroy(skel); }
const void *tailcall_bpf2bpf_hierarchy2::elf_bytes(size_t *sz) { return tailcall_bpf2bpf_hierarchy2__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
tailcall_bpf2bpf_hierarchy2__assert(struct tailcall_bpf2bpf_hierarchy2 *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->count0) == 4, "unexpected size of 'count0'");
	_Static_assert(sizeof(s->bss->count1) == 4, "unexpected size of 'count1'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TAILCALL_BPF2BPF_HIERARCHY2_SKEL_H__ */
