/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __CRYPTO_BASIC_SKEL_H__
#define __CRYPTO_BASIC_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct crypto_basic {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *__crypto_ctx_map;
		struct bpf_map *bss;
		struct bpf_map *rodata;
	} maps;
	struct {
		struct bpf_program *crypto_release;
		struct bpf_program *crypto_acquire;
	} progs;
	struct {
		struct bpf_link *crypto_release;
		struct bpf_link *crypto_acquire;
	} links;
	struct crypto_basic__bss {
		int status;
	} *bss;

#ifdef __cplusplus
	static inline struct crypto_basic *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct crypto_basic *open_and_load();
	static inline int load(struct crypto_basic *skel);
	static inline int attach(struct crypto_basic *skel);
	static inline void detach(struct crypto_basic *skel);
	static inline void destroy(struct crypto_basic *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
crypto_basic__destroy(struct crypto_basic *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
crypto_basic__create_skeleton(struct crypto_basic *obj);

static inline struct crypto_basic *
crypto_basic__open_opts(const struct bpf_object_open_opts *opts)
{
	struct crypto_basic *obj;
	int err;

	obj = (struct crypto_basic *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = crypto_basic__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	crypto_basic__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct crypto_basic *
crypto_basic__open(void)
{
	return crypto_basic__open_opts(NULL);
}

static inline int
crypto_basic__load(struct crypto_basic *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct crypto_basic *
crypto_basic__open_and_load(void)
{
	struct crypto_basic *obj;
	int err;

	obj = crypto_basic__open();
	if (!obj)
		return NULL;
	err = crypto_basic__load(obj);
	if (err) {
		crypto_basic__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
crypto_basic__attach(struct crypto_basic *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
crypto_basic__detach(struct crypto_basic *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *crypto_basic__elf_bytes(size_t *sz);

static inline int
crypto_basic__create_skeleton(struct crypto_basic *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "crypto_basic";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "__crypto_ctx_map";
	map->map = &obj->maps.__crypto_ctx_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "crypto_b.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "crypto_b.rodata";
	map->map = &obj->maps.rodata;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "crypto_release";
	s->progs[0].prog = &obj->progs.crypto_release;
	s->progs[0].link = &obj->links.crypto_release;

	s->progs[1].name = "crypto_acquire";
	s->progs[1].prog = &obj->progs.crypto_acquire;
	s->progs[1].link = &obj->links.crypto_acquire;

	s->data = crypto_basic__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *crypto_basic__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd8\x13\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x79\
\x73\x63\x61\x6c\x6c\0\x2e\x62\x73\x73\0\x2e\x72\x6f\x64\x61\x74\x61\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x63\x72\x79\x70\x74\x6f\x5f\x62\
\x61\x73\x69\x63\x2e\x63\0\x63\x72\x79\x70\x74\x6f\x5f\x72\x65\x6c\x65\x61\x73\
\x65\0\x73\x74\x61\x74\x75\x73\0\x62\x70\x66\x5f\x63\x72\x79\x70\x74\x6f\x5f\
\x63\x74\x78\x5f\x63\x72\x65\x61\x74\x65\0\x62\x70\x66\x5f\x63\x72\x79\x70\x74\
\x6f\x5f\x63\x74\x78\x5f\x72\x65\x6c\x65\x61\x73\x65\0\x63\x72\x79\x70\x74\x6f\
\x5f\x61\x63\x71\x75\x69\x72\x65\0\x62\x70\x66\x5f\x63\x72\x79\x70\x74\x6f\x5f\
\x63\x74\x78\x5f\x61\x63\x71\x75\x69\x72\x65\0\x5f\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x5f\x5f\x63\x72\x79\x70\x74\x6f\x5f\x63\x74\x78\x5f\x6d\x61\x70\0\x2e\
\x72\x65\x6c\x73\x79\x73\x63\x61\x6c\x6c\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\
\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x34\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x43\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x60\x02\
\0\0\0\0\0\0\x52\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x59\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6f\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x86\0\0\0\x12\0\x03\0\x60\x02\0\0\0\0\0\0\x88\x02\0\0\0\0\0\0\
\x95\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xac\0\0\0\x11\0\x06\0\0\0\
\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb6\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x20\0\0\0\
\0\0\0\0\xb7\x01\0\0\x10\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\x18\x01\0\0\x65\x63\x62\
\x28\0\0\0\0\x61\x65\x73\x29\x7b\x1a\x78\xfe\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\
\x1a\xf0\xff\0\0\0\0\x7b\x1a\xe8\xff\0\0\0\0\x7b\x1a\xe0\xff\0\0\0\0\x7b\x1a\
\xd8\xff\0\0\0\0\x7b\x1a\xd0\xff\0\0\0\0\x7b\x1a\xc8\xff\0\0\0\0\x7b\x1a\xc0\
\xff\0\0\0\0\x7b\x1a\xb8\xff\0\0\0\0\x7b\x1a\xb0\xff\0\0\0\0\x7b\x1a\xa8\xff\0\
\0\0\0\x7b\x1a\xa0\xff\0\0\0\0\x7b\x1a\x98\xff\0\0\0\0\x7b\x1a\x90\xff\0\0\0\0\
\x7b\x1a\x88\xff\0\0\0\0\x7b\x1a\x80\xff\0\0\0\0\x7b\x1a\x78\xff\0\0\0\0\x7b\
\x1a\x70\xff\0\0\0\0\x7b\x1a\x68\xff\0\0\0\0\x7b\x1a\x60\xff\0\0\0\0\x7b\x1a\
\x58\xff\0\0\0\0\x7b\x1a\x50\xff\0\0\0\0\x7b\x1a\x48\xff\0\0\0\0\x7b\x1a\x40\
\xff\0\0\0\0\x7b\x1a\x38\xff\0\0\0\0\x7b\x1a\x30\xff\0\0\0\0\x7b\x1a\x28\xff\0\
\0\0\0\x7b\x1a\x20\xff\0\0\0\0\x7b\x1a\x18\xff\0\0\0\0\x7b\x1a\x10\xff\0\0\0\0\
\x7b\x1a\x08\xff\0\0\0\0\x7b\x1a\0\xff\0\0\0\0\x7b\x1a\xf8\xfe\0\0\0\0\x7b\x1a\
\xf0\xfe\0\0\0\0\x7b\x1a\xe8\xfe\0\0\0\0\x7b\x1a\xe0\xfe\0\0\0\0\x7b\x1a\xd8\
\xfe\0\0\0\0\x7b\x1a\xd0\xfe\0\0\0\0\x7b\x1a\xc8\xfe\0\0\0\0\x7b\x1a\xc0\xfe\0\
\0\0\0\x7b\x1a\xb8\xfe\0\0\0\0\x7b\x1a\xb0\xfe\0\0\0\0\x7b\x1a\xa8\xfe\0\0\0\0\
\x7b\x1a\xa0\xfe\0\0\0\0\x7b\x1a\x98\xfe\0\0\0\0\x7b\x1a\x90\xfe\0\0\0\0\x7b\
\x1a\x88\xfe\0\0\0\0\x7b\x1a\x80\xfe\0\0\0\0\x7b\x1a\x70\xfe\0\0\0\0\x18\x01\0\
\0\x73\x6b\x63\x69\0\0\0\0\x70\x68\x65\x72\x7b\x1a\x68\xfe\0\0\0\0\x18\x06\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\x63\x16\0\0\0\0\0\0\x63\x1a\x64\
\xfe\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\x68\xfe\xff\xff\xbf\xa3\0\0\0\0\0\
\0\x07\x03\0\0\x64\xfe\xff\xff\xb4\x02\0\0\x98\x01\0\0\x85\x10\0\0\xff\xff\xff\
\xff\x55\0\x03\0\0\0\0\0\x61\xa1\x64\xfe\0\0\0\0\x63\x16\0\0\0\0\0\0\x05\0\x02\
\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\xb7\x01\0\0\x10\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\x18\x01\0\0\
\x65\x63\x62\x28\0\0\0\0\x61\x65\x73\x29\x7b\x1a\x78\xfe\0\0\0\0\xb7\x01\0\0\0\
\0\0\0\x7b\x1a\xf0\xff\0\0\0\0\x7b\x1a\xe8\xff\0\0\0\0\x7b\x1a\xe0\xff\0\0\0\0\
\x7b\x1a\xd8\xff\0\0\0\0\x7b\x1a\xd0\xff\0\0\0\0\x7b\x1a\xc8\xff\0\0\0\0\x7b\
\x1a\xc0\xff\0\0\0\0\x7b\x1a\xb8\xff\0\0\0\0\x7b\x1a\xb0\xff\0\0\0\0\x7b\x1a\
\xa8\xff\0\0\0\0\x7b\x1a\xa0\xff\0\0\0\0\x7b\x1a\x98\xff\0\0\0\0\x7b\x1a\x90\
\xff\0\0\0\0\x7b\x1a\x88\xff\0\0\0\0\x7b\x1a\x80\xff\0\0\0\0\x7b\x1a\x78\xff\0\
\0\0\0\x7b\x1a\x70\xff\0\0\0\0\x7b\x1a\x68\xff\0\0\0\0\x7b\x1a\x60\xff\0\0\0\0\
\x7b\x1a\x58\xff\0\0\0\0\x7b\x1a\x50\xff\0\0\0\0\x7b\x1a\x48\xff\0\0\0\0\x7b\
\x1a\x40\xff\0\0\0\0\x7b\x1a\x38\xff\0\0\0\0\x7b\x1a\x30\xff\0\0\0\0\x7b\x1a\
\x28\xff\0\0\0\0\x7b\x1a\x20\xff\0\0\0\0\x7b\x1a\x18\xff\0\0\0\0\x7b\x1a\x10\
\xff\0\0\0\0\x7b\x1a\x08\xff\0\0\0\0\x7b\x1a\0\xff\0\0\0\0\x7b\x1a\xf8\xfe\0\0\
\0\0\x7b\x1a\xf0\xfe\0\0\0\0\x7b\x1a\xe8\xfe\0\0\0\0\x7b\x1a\xe0\xfe\0\0\0\0\
\x7b\x1a\xd8\xfe\0\0\0\0\x7b\x1a\xd0\xfe\0\0\0\0\x7b\x1a\xc8\xfe\0\0\0\0\x7b\
\x1a\xc0\xfe\0\0\0\0\x7b\x1a\xb8\xfe\0\0\0\0\x7b\x1a\xb0\xfe\0\0\0\0\x7b\x1a\
\xa8\xfe\0\0\0\0\x7b\x1a\xa0\xfe\0\0\0\0\x7b\x1a\x98\xfe\0\0\0\0\x7b\x1a\x90\
\xfe\0\0\0\0\x7b\x1a\x88\xfe\0\0\0\0\x7b\x1a\x80\xfe\0\0\0\0\x7b\x1a\x70\xfe\0\
\0\0\0\x18\x01\0\0\x73\x6b\x63\x69\0\0\0\0\x70\x68\x65\x72\x7b\x1a\x68\xfe\0\0\
\0\0\x18\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x06\0\0\0\0\0\0\x63\x67\0\0\0\0\0\
\0\x63\x6a\x64\xfe\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\x68\xfe\xff\xff\xbf\
\xa3\0\0\0\0\0\0\x07\x03\0\0\x64\xfe\xff\xff\xb4\x02\0\0\x98\x01\0\0\x85\x10\0\
\0\xff\xff\xff\xff\x55\0\x03\0\0\0\0\0\x61\xa1\x64\xfe\0\0\0\0\x63\x17\0\0\0\0\
\0\0\x05\0\x07\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb4\
\x06\0\0\xea\xff\xff\xff\x15\0\x03\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\x85\x10\0\0\
\xff\xff\xff\xff\xb4\x06\0\0\0\0\0\0\xbc\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x73\
\x6b\x63\x69\x70\x68\x65\x72\0\0\0\0\0\0\0\0\x65\x63\x62\x28\x61\x65\x73\x29\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x47\x50\x4c\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\
\x01\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x18\x02\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\
\x48\x02\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x28\x04\0\0\0\0\0\0\x01\0\0\0\x04\0\0\
\0\x78\x04\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\xa8\x04\0\0\0\0\0\0\x0a\0\0\0\x08\0\
\0\0\xc8\x04\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\
\xbc\x04\0\0\xbc\x04\0\0\xf3\x03\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\
\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\
\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\
\0\0\0\0\0\x02\x07\0\0\0\x19\0\0\0\x01\0\0\x04\x08\0\0\0\x2c\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x02\x36\0\0\0\0\0\0\0\0\0\0\x02\x0a\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\x30\0\0\0\x04\0\0\x04\x20\0\0\0\x3a\
\0\0\0\x01\0\0\0\0\0\0\0\x3f\0\0\0\x05\0\0\0\x40\0\0\0\x43\0\0\0\x06\0\0\0\x80\
\0\0\0\x49\0\0\0\x09\0\0\0\xc0\0\0\0\x55\0\0\0\0\0\0\x0e\x0b\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x2c\0\0\0\x0d\0\0\0\x66\
\0\0\0\x01\0\0\x0c\x0e\0\0\0\0\0\0\0\x03\0\0\x0d\x11\0\0\0\0\0\0\0\x20\0\0\0\0\
\0\0\0\x15\0\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\0\0\0\x02\x12\0\0\0\x75\0\0\0\x05\0\
\0\x04\x30\0\0\0\x3a\0\0\0\x13\0\0\0\0\0\0\0\x84\0\0\0\x0d\0\0\0\x40\0\0\0\x88\
\0\0\0\x15\0\0\0\x80\0\0\0\x90\0\0\0\x18\0\0\0\xc0\0\0\0\x94\0\0\0\x1c\0\0\0\
\x40\x01\0\0\0\0\0\0\0\0\0\x02\x14\0\0\0\0\0\0\0\0\0\0\x0a\x37\0\0\0\x9a\0\0\0\
\0\0\0\x08\x16\0\0\0\x9e\0\0\0\0\0\0\x08\x17\0\0\0\xa4\0\0\0\0\0\0\x01\x04\0\0\
\0\x20\0\0\0\xb1\0\0\0\x02\0\0\x04\x10\0\0\0\xbf\0\0\0\x19\0\0\0\0\0\0\0\xc4\0\
\0\0\x1a\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x18\0\0\0\0\0\0\0\0\0\0\x02\x1b\0\0\
\0\0\0\0\0\x01\0\0\x0d\0\0\0\0\0\0\0\0\x19\0\0\0\xc9\0\0\0\0\0\0\x08\x1d\0\0\0\
\xd4\0\0\0\x01\0\0\x04\x04\0\0\0\xe4\0\0\0\x1e\0\0\0\0\0\0\0\xe9\0\0\0\0\0\0\
\x08\x1f\0\0\0\0\0\0\0\x01\0\0\x04\x04\0\0\0\xf2\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x02\x21\0\0\0\0\0\0\0\0\0\0\x0a\x22\0\0\0\xfa\0\0\0\x06\0\0\x04\x98\
\x01\0\0\x3a\0\0\0\x24\0\0\0\0\0\0\0\x0c\x01\0\0\x28\0\0\0\x70\0\0\0\x15\x01\0\
\0\x29\0\0\0\x80\0\0\0\x3f\0\0\0\x2a\0\0\0\x80\x04\0\0\x1a\x01\0\0\x15\0\0\0\
\x80\x0c\0\0\x22\x01\0\0\x15\0\0\0\xa0\x0c\0\0\x2b\x01\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x23\0\0\0\x04\0\0\0\x0e\0\0\0\x30\x01\0\
\0\0\0\0\x08\x26\0\0\0\x33\x01\0\0\0\0\0\x08\x27\0\0\0\x38\x01\0\0\0\0\0\x01\
\x01\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x25\0\0\0\x04\0\0\0\x02\0\0\0\0\
\0\0\0\0\0\0\x03\0\0\0\0\x23\0\0\0\x04\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\0\x25\0\0\0\x04\0\0\0\0\x01\0\0\x46\x01\0\0\x02\0\0\x0c\x10\0\0\0\0\0\0\0\x01\
\0\0\x0d\0\0\0\0\0\0\0\0\x11\0\0\0\x5c\x01\0\0\x02\0\0\x0c\x2c\0\0\0\x73\x01\0\
\0\x01\0\0\x0c\x0e\0\0\0\x82\x01\0\0\0\0\0\x11\x2e\0\0\0\xff\xff\xff\xff\x9e\
\x01\0\0\0\0\0\x11\x2e\0\0\0\xff\xff\xff\xff\0\0\0\0\x01\0\0\x0d\x11\0\0\0\0\0\
\0\0\x11\0\0\0\xcd\x01\0\0\x02\0\0\x0c\x31\0\0\0\xe4\x01\0\0\0\0\0\x0e\x02\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x23\0\0\0\x04\0\0\0\x04\0\0\0\xeb\x01\0\
\0\0\0\0\x0e\x34\0\0\0\x01\0\0\0\xf5\x01\0\0\0\0\0\x12\x12\0\0\0\xfa\x01\0\0\0\
\0\0\x07\0\0\0\0\xc9\x03\0\0\x01\0\0\x0f\x04\0\0\0\x33\0\0\0\0\0\0\0\x04\0\0\0\
\xce\x03\0\0\0\0\0\x0f\x98\x01\0\0\xd6\x03\0\0\x01\0\0\x0f\x04\0\0\0\x35\0\0\0\
\0\0\0\0\x04\0\0\0\xde\x03\0\0\x01\0\0\x0f\x20\0\0\0\x0c\0\0\0\0\0\0\0\x20\0\0\
\0\xe4\x03\0\0\x03\0\0\x0f\0\0\0\0\x2b\0\0\0\0\0\0\0\0\0\0\0\x2d\0\0\0\0\0\0\0\
\0\0\0\0\x32\0\0\0\0\0\0\0\0\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\
\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x5f\x63\x72\x79\x70\x74\
\x6f\x5f\x63\x74\x78\x5f\x76\x61\x6c\x75\x65\0\x63\x74\x78\0\x61\x72\x72\x61\
\x79\x5f\x6d\x61\x70\0\x74\x79\x70\x65\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\
\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x5f\x5f\x63\x72\x79\x70\x74\x6f\
\x5f\x63\x74\x78\x5f\x6d\x61\x70\0\x63\x72\x79\x70\x74\x6f\x5f\x72\x65\x6c\x65\
\x61\x73\x65\0\x62\x70\x66\x5f\x63\x72\x79\x70\x74\x6f\x5f\x63\x74\x78\0\x74\
\x66\x6d\0\x73\x69\x76\x5f\x6c\x65\x6e\0\x72\x63\x75\0\x75\x73\x61\x67\x65\0\
\x75\x33\x32\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\
\x6e\x74\0\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x68\x65\x61\x64\0\x6e\x65\x78\
\x74\0\x66\x75\x6e\x63\0\x72\x65\x66\x63\x6f\x75\x6e\x74\x5f\x74\0\x72\x65\x66\
\x63\x6f\x75\x6e\x74\x5f\x73\x74\x72\x75\x63\x74\0\x72\x65\x66\x73\0\x61\x74\
\x6f\x6d\x69\x63\x5f\x74\0\x63\x6f\x75\x6e\x74\x65\x72\0\x62\x70\x66\x5f\x63\
\x72\x79\x70\x74\x6f\x5f\x70\x61\x72\x61\x6d\x73\0\x72\x65\x73\x65\x72\x76\x65\
\x64\0\x61\x6c\x67\x6f\0\x6b\x65\x79\x5f\x6c\x65\x6e\0\x61\x75\x74\x68\x73\x69\
\x7a\x65\0\x63\x68\x61\x72\0\x75\x38\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x63\x68\x61\x72\0\x62\x70\x66\x5f\x63\x72\x79\x70\x74\x6f\x5f\
\x63\x74\x78\x5f\x63\x72\x65\x61\x74\x65\0\x62\x70\x66\x5f\x63\x72\x79\x70\x74\
\x6f\x5f\x63\x74\x78\x5f\x72\x65\x6c\x65\x61\x73\x65\0\x63\x72\x79\x70\x74\x6f\
\x5f\x61\x63\x71\x75\x69\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x3d\x30\x3d\x55\x6e\x72\x65\x6c\x65\x61\x73\x65\x64\x20\x72\x65\x66\x65\
\x72\x65\x6e\x63\x65\0\x62\x70\x66\x5f\x63\x72\x79\x70\x74\x6f\x5f\x63\x74\x78\
\x5f\x61\x63\x71\x75\x69\x72\x65\0\x73\x74\x61\x74\x75\x73\0\x5f\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x6b\x70\x74\x72\0\x62\x70\x66\x5f\x63\x72\x79\x70\x74\
\x6f\x5f\x74\x79\x70\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\
\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\
\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\
\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\
\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\
\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x63\x72\x79\x70\x74\x6f\
\x5f\x62\x61\x73\x69\x63\x2e\x63\0\x69\x6e\x74\x20\x63\x72\x79\x70\x74\x6f\x5f\
\x72\x65\x6c\x65\x61\x73\x65\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\
\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x63\x72\x79\x70\x74\x6f\x5f\x70\
\x61\x72\x61\x6d\x73\x20\x70\x61\x72\x61\x6d\x73\x20\x3d\x20\x7b\0\x09\x73\x74\
\x61\x74\x75\x73\x20\x3d\x20\x30\x3b\0\x09\x69\x6e\x74\x20\x65\x72\x72\x20\x3d\
\x20\x30\x3b\0\x09\x63\x63\x74\x78\x20\x3d\x20\x62\x70\x66\x5f\x63\x72\x79\x70\
\x74\x6f\x5f\x63\x74\x78\x5f\x63\x72\x65\x61\x74\x65\x28\x26\x70\x61\x72\x61\
\x6d\x73\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x70\x61\x72\x61\x6d\x73\x29\x2c\
\x20\x26\x65\x72\x72\x29\x3b\0\x09\x69\x66\x20\x28\x21\x63\x63\x74\x78\x29\x20\
\x7b\0\x09\x09\x73\x74\x61\x74\x75\x73\x20\x3d\x20\x65\x72\x72\x3b\0\x09\x09\
\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x09\x62\x70\x66\x5f\x63\x72\x79\x70\x74\
\x6f\x5f\x63\x74\x78\x5f\x72\x65\x6c\x65\x61\x73\x65\x28\x63\x63\x74\x78\x29\
\x3b\0\x7d\0\x69\x6e\x74\x20\x63\x72\x79\x70\x74\x6f\x5f\x61\x63\x71\x75\x69\
\x72\x65\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x63\x63\x74\x78\x20\
\x3d\x20\x62\x70\x66\x5f\x63\x72\x79\x70\x74\x6f\x5f\x63\x74\x78\x5f\x61\x63\
\x71\x75\x69\x72\x65\x28\x63\x63\x74\x78\x29\x3b\0\x09\x69\x66\x20\x28\x21\x63\
\x63\x74\x78\x29\0\x2e\x62\x73\x73\0\x2e\x72\x6f\x64\x61\x74\x61\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x2e\x6b\x73\x79\x6d\x73\0\x73\x79\x73\
\x63\x61\x6c\x6c\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x1c\0\0\0\x1c\0\0\0\x8c\
\x01\0\0\xa8\x01\0\0\0\0\0\0\x08\0\0\0\xeb\x03\0\0\x02\0\0\0\0\0\0\0\x0f\0\0\0\
\x60\x02\0\0\x2e\0\0\0\x10\0\0\0\xeb\x03\0\0\x18\0\0\0\0\0\0\0\x0a\x02\0\0\x92\
\x02\0\0\0\x34\0\0\x08\0\0\0\x0a\x02\0\0\xb0\x02\0\0\x1b\x3c\0\0\xc8\x01\0\0\
\x0a\x02\0\0\xd5\x02\0\0\x09\x60\0\0\xe8\x01\0\0\x0a\x02\0\0\xe2\x02\0\0\x06\
\x58\0\0\x10\x02\0\0\x0a\x02\0\0\xf0\x02\0\0\x09\x68\0\0\x20\x02\0\0\x0a\x02\0\
\0\x2e\x03\0\0\x06\x70\0\0\x28\x02\0\0\x0a\x02\0\0\x3c\x03\0\0\x0c\x74\0\0\x30\
\x02\0\0\x0a\x02\0\0\x3c\x03\0\0\x0a\x74\0\0\x38\x02\0\0\x0a\x02\0\0\x4c\x03\0\
\0\x03\x78\0\0\x40\x02\0\0\x0a\x02\0\0\x58\x03\0\0\x02\x84\0\0\x50\x02\0\0\x0a\
\x02\0\0\x77\x03\0\0\x01\x90\0\0\x60\x02\0\0\x0a\x02\0\0\x79\x03\0\0\0\xa0\0\0\
\x68\x02\0\0\x0a\x02\0\0\xb0\x02\0\0\x1b\xa8\0\0\x28\x04\0\0\x0a\x02\0\0\xd5\
\x02\0\0\x09\xc8\0\0\x48\x04\0\0\x0a\x02\0\0\xe2\x02\0\0\x06\xc0\0\0\x70\x04\0\
\0\x0a\x02\0\0\xf0\x02\0\0\x09\xd0\0\0\x80\x04\0\0\x0a\x02\0\0\x2e\x03\0\0\x06\
\xd8\0\0\x88\x04\0\0\x0a\x02\0\0\x3c\x03\0\0\x0c\xdc\0\0\x90\x04\0\0\x0a\x02\0\
\0\x3c\x03\0\0\x0a\xdc\0\0\x98\x04\0\0\x0a\x02\0\0\x4c\x03\0\0\x03\xe0\0\0\xa0\
\x04\0\0\x0a\x02\0\0\x97\x03\0\0\x09\xec\0\0\xb8\x04\0\0\x0a\x02\0\0\xbd\x03\0\
\0\x06\xf0\0\0\xc0\x04\0\0\x0a\x02\0\0\x58\x03\0\0\x02\xfc\0\0\xd8\x04\0\0\x0a\
\x02\0\0\x77\x03\0\0\x01\x08\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\xe1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x01\0\0\0\0\0\0\x08\x01\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x02\0\0\0\0\0\0\xe8\x04\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\x08\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x18\x07\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x18\x07\0\0\0\0\0\0\x98\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb0\x08\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x2e\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x08\0\0\0\
\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc7\
\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x08\0\0\0\0\0\0\x70\0\0\
\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xd3\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x09\0\0\0\0\0\0\xc7\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x12\0\0\0\0\0\0\xc8\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct crypto_basic *crypto_basic::open(const struct bpf_object_open_opts *opts) { return crypto_basic__open_opts(opts); }
struct crypto_basic *crypto_basic::open_and_load() { return crypto_basic__open_and_load(); }
int crypto_basic::load(struct crypto_basic *skel) { return crypto_basic__load(skel); }
int crypto_basic::attach(struct crypto_basic *skel) { return crypto_basic__attach(skel); }
void crypto_basic::detach(struct crypto_basic *skel) { crypto_basic__detach(skel); }
void crypto_basic::destroy(struct crypto_basic *skel) { crypto_basic__destroy(skel); }
const void *crypto_basic::elf_bytes(size_t *sz) { return crypto_basic__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
crypto_basic__assert(struct crypto_basic *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->status) == 4, "unexpected size of 'status'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __CRYPTO_BASIC_SKEL_H__ */
