/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __LOCAL_KPTR_STASH_FAIL_SKEL_H__
#define __LOCAL_KPTR_STASH_FAIL_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct local_kptr_stash_fail {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *some_nodes;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *stash_rb_nodes;
		struct bpf_program *drop_rb_node_off;
	} progs;
	struct {
		struct bpf_link *stash_rb_nodes;
		struct bpf_link *drop_rb_node_off;
	} links;
	struct local_kptr_stash_fail__bss {
		struct node_data *just_here_because_btf_bug;
	} *bss;

#ifdef __cplusplus
	static inline struct local_kptr_stash_fail *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct local_kptr_stash_fail *open_and_load();
	static inline int load(struct local_kptr_stash_fail *skel);
	static inline int attach(struct local_kptr_stash_fail *skel);
	static inline void detach(struct local_kptr_stash_fail *skel);
	static inline void destroy(struct local_kptr_stash_fail *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
local_kptr_stash_fail__destroy(struct local_kptr_stash_fail *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
local_kptr_stash_fail__create_skeleton(struct local_kptr_stash_fail *obj);

static inline struct local_kptr_stash_fail *
local_kptr_stash_fail__open_opts(const struct bpf_object_open_opts *opts)
{
	struct local_kptr_stash_fail *obj;
	int err;

	obj = (struct local_kptr_stash_fail *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = local_kptr_stash_fail__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	local_kptr_stash_fail__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct local_kptr_stash_fail *
local_kptr_stash_fail__open(void)
{
	return local_kptr_stash_fail__open_opts(NULL);
}

static inline int
local_kptr_stash_fail__load(struct local_kptr_stash_fail *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct local_kptr_stash_fail *
local_kptr_stash_fail__open_and_load(void)
{
	struct local_kptr_stash_fail *obj;
	int err;

	obj = local_kptr_stash_fail__open();
	if (!obj)
		return NULL;
	err = local_kptr_stash_fail__load(obj);
	if (err) {
		local_kptr_stash_fail__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
local_kptr_stash_fail__attach(struct local_kptr_stash_fail *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
local_kptr_stash_fail__detach(struct local_kptr_stash_fail *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *local_kptr_stash_fail__elf_bytes(size_t *sz);

static inline int
local_kptr_stash_fail__create_skeleton(struct local_kptr_stash_fail *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "local_kptr_stash_fail";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "some_nodes";
	map->map = &obj->maps.some_nodes;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "local_kp.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "stash_rb_nodes";
	s->progs[0].prog = &obj->progs.stash_rb_nodes;
	s->progs[0].link = &obj->links.stash_rb_nodes;

	s->progs[1].name = "drop_rb_node_off";
	s->progs[1].prog = &obj->progs.drop_rb_node_off;
	s->progs[1].link = &obj->links.drop_rb_node_off;

	s->data = local_kptr_stash_fail__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *local_kptr_stash_fail__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x98\x0c\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x63\0\
\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x6c\x6f\
\x63\x61\x6c\x5f\x6b\x70\x74\x72\x5f\x73\x74\x61\x73\x68\x5f\x66\x61\x69\x6c\
\x2e\x63\0\x73\x74\x61\x73\x68\x5f\x72\x62\x5f\x6e\x6f\x64\x65\x73\0\x73\x6f\
\x6d\x65\x5f\x6e\x6f\x64\x65\x73\0\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\
\x5f\x69\x6d\x70\x6c\0\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\x5f\x69\
\x6d\x70\x6c\0\x64\x72\x6f\x70\x5f\x72\x62\x5f\x6e\x6f\x64\x65\x5f\x6f\x66\x66\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x6a\x75\x73\x74\x5f\x68\x65\x72\x65\x5f\
\x62\x65\x63\x61\x75\x73\x65\x5f\x62\x74\x66\x5f\x62\x75\x67\0\x2e\x72\x65\x6c\
\x74\x63\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3f\0\0\0\
\x12\0\x03\0\0\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\x4e\0\0\0\x11\0\x04\0\0\0\0\0\0\
\0\0\0\x20\0\0\0\0\0\0\0\x59\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x6a\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7c\0\0\0\x12\0\x03\0\xd8\
\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x8d\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\x96\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xb4\x01\0\0\
\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\
\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x07\0\0\0\0\0\
\0\xb7\x06\0\0\x01\0\0\0\x15\x07\x0f\0\0\0\0\0\x18\x01\0\0\x11\0\0\0\0\0\0\0\0\
\0\0\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x15\0\x0a\0\0\0\0\0\xb7\
\x01\0\0\x28\0\0\0\x7b\x10\0\0\0\0\0\0\xbf\x71\0\0\0\0\0\0\xbf\x02\0\0\0\0\0\0\
\x85\0\0\0\xc2\0\0\0\xb7\x06\0\0\0\0\0\0\x15\0\x03\0\0\0\0\0\xbf\x01\0\0\0\0\0\
\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x60\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\
\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\
\0\xb7\x06\0\0\x01\0\0\0\x15\0\x0a\0\0\0\0\0\x18\x01\0\0\x1d\0\0\0\0\0\0\0\0\0\
\0\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x15\0\x05\0\0\0\0\0\x07\0\
\0\0\x10\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\
\xff\xb7\x06\0\0\0\0\0\0\xbf\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x20\0\0\
\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x68\0\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\xc0\0\0\0\
\0\0\0\0\x0a\0\0\0\x06\0\0\0\xf8\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x38\x01\0\0\
\0\0\0\0\x0a\0\0\0\x05\0\0\0\x60\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x9f\xeb\
\x01\0\x18\0\0\0\0\0\0\0\x1c\x03\0\0\x1c\x03\0\0\xbb\x03\0\0\0\0\0\0\0\0\0\x02\
\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\
\0\0\0\x02\x02\0\0\0\0\0\0\0\0\0\0\x02\x07\0\0\0\x19\0\0\0\x01\0\0\x04\x08\0\0\
\0\x23\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x24\0\0\0\0\0\0\0\x04\0\0\x04\
\x20\0\0\0\x28\0\0\0\x01\0\0\0\0\0\0\0\x2d\0\0\0\x05\0\0\0\x40\0\0\0\x31\0\0\0\
\x06\0\0\0\x80\0\0\0\x37\0\0\0\x01\0\0\0\xc0\0\0\0\x43\0\0\0\0\0\0\x0e\x09\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x0d\0\0\0\x4e\0\0\0\
\x0b\0\0\0\x52\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\x57\0\0\0\x01\0\0\x0c\x0c\
\0\0\0\x66\0\0\0\0\0\0\x11\x0e\0\0\0\xff\xff\xff\xff\x82\0\0\0\0\0\0\x11\x0e\0\
\0\0\xff\xff\xff\xff\xdf\0\0\0\x01\0\0\x04\x20\0\0\0\x2d\0\0\0\x12\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0d\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\x02\0\0\x0d\
\x0b\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\x0b\0\0\0\xea\0\0\0\0\0\0\x08\x15\0\0\0\
\xf0\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\x03\x01\0\0\x02\0\0\x0c\x13\0\0\0\0\0\
\0\0\x02\0\0\x0d\0\0\0\0\0\0\0\0\x0b\0\0\0\0\0\0\0\x0b\0\0\0\x14\x01\0\0\x02\0\
\0\x0c\x17\0\0\0\x26\x01\0\0\x01\0\0\x0c\x0c\0\0\0\x66\0\0\0\0\0\0\x11\x19\0\0\
\0\xff\xff\xff\xff\x37\x01\0\0\0\0\0\x11\x19\0\0\0\xff\xff\xff\xff\x86\x01\0\0\
\x03\0\0\x04\x30\0\0\0\x2d\0\0\0\x0d\0\0\0\0\0\0\0\x90\x01\0\0\x0d\0\0\0\x40\0\
\0\0\x23\0\0\0\x1d\0\0\0\x80\0\0\0\x95\x01\0\0\x01\0\0\x04\x20\0\0\0\xa1\x01\0\
\0\x1e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x14\0\0\0\x04\0\0\0\x04\0\0\0\
\xaa\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x1f\0\0\
\0\x04\0\0\0\x04\0\0\0\xaf\x01\0\0\0\0\0\x0e\x20\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\x02\x1c\0\0\0\xb8\x01\0\0\0\0\0\x0e\x22\0\0\0\x01\0\0\0\xd2\x01\0\0\0\0\0\x12\
\x1c\0\0\0\x9e\x03\0\0\x01\0\0\x0f\x20\0\0\0\x0a\0\0\0\0\0\0\0\x20\0\0\0\xa4\
\x03\0\0\x01\0\0\x0f\x04\0\0\0\x21\0\0\0\0\0\0\0\x04\0\0\0\xac\x03\0\0\x01\0\0\
\x0f\x08\0\0\0\x23\0\0\0\0\0\0\0\x08\0\0\0\xb1\x03\0\0\x02\0\0\x0f\0\0\0\0\x16\
\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\
\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x6d\x61\x70\
\x5f\x76\x61\x6c\x75\x65\0\x6e\x6f\x64\x65\0\x74\x79\x70\x65\0\x6b\x65\x79\0\
\x76\x61\x6c\x75\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x73\x6f\
\x6d\x65\x5f\x6e\x6f\x64\x65\x73\0\x63\x74\x78\0\x6c\x6f\x6e\x67\0\x73\x74\x61\
\x73\x68\x5f\x72\x62\x5f\x6e\x6f\x64\x65\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x3d\x30\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x6b\x70\x74\x72\
\x20\x61\x63\x63\x65\x73\x73\x2c\x20\x52\x32\x20\x74\x79\x70\x65\x3d\x70\x74\
\x72\x5f\x6e\x6f\x64\x65\x5f\x64\x61\x74\x61\x32\x20\x65\x78\x70\x65\x63\x74\
\x65\x64\x3d\x70\x74\x72\x5f\x6e\x6f\x64\x65\x5f\x64\x61\x74\x61\0\x6e\x6f\x64\
\x65\x5f\x64\x61\x74\x61\x32\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x62\x70\x66\x5f\x6f\x62\x6a\
\x5f\x6e\x65\x77\x5f\x69\x6d\x70\x6c\0\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x64\x72\
\x6f\x70\x5f\x69\x6d\x70\x6c\0\x64\x72\x6f\x70\x5f\x72\x62\x5f\x6e\x6f\x64\x65\
\x5f\x6f\x66\x66\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x3d\x52\x31\x20\x6d\x75\x73\x74\x20\
\x68\x61\x76\x65\x20\x7a\x65\x72\x6f\x20\x6f\x66\x66\x73\x65\x74\x20\x77\x68\
\x65\x6e\x20\x70\x61\x73\x73\x65\x64\x20\x74\x6f\x20\x72\x65\x6c\x65\x61\x73\
\x65\x20\x66\x75\x6e\x63\0\x6e\x6f\x64\x65\x5f\x64\x61\x74\x61\0\x64\x61\x74\
\x61\0\x62\x70\x66\x5f\x72\x62\x5f\x6e\x6f\x64\x65\0\x5f\x5f\x6f\x70\x61\x71\
\x75\x65\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x6a\x75\x73\x74\
\x5f\x68\x65\x72\x65\x5f\x62\x65\x63\x61\x75\x73\x65\x5f\x62\x74\x66\x5f\x62\
\x75\x67\0\x6b\x70\x74\x72\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\
\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\
\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\
\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\
\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\
\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\
\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x6c\x6f\x63\x61\x6c\
\x5f\x6b\x70\x74\x72\x5f\x73\x74\x61\x73\x68\x5f\x66\x61\x69\x6c\x2e\x63\0\x6c\
\x6f\x6e\x67\x20\x73\x74\x61\x73\x68\x5f\x72\x62\x5f\x6e\x6f\x64\x65\x73\x28\
\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x69\x6e\x74\x20\x69\x64\x78\x20\
\x3d\x20\x30\x3b\0\x09\x6d\x61\x70\x76\x61\x6c\x20\x3d\x20\x62\x70\x66\x5f\x6d\
\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x73\x6f\x6d\
\x65\x5f\x6e\x6f\x64\x65\x73\x2c\x20\x26\x69\x64\x78\x29\x3b\0\x09\x69\x66\x20\
\x28\x21\x6d\x61\x70\x76\x61\x6c\x29\0\x09\x72\x65\x73\x20\x3d\x20\x62\x70\x66\
\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x28\x74\x79\x70\x65\x6f\x66\x28\x2a\x72\x65\
\x73\x29\x29\x3b\0\x09\x69\x66\x20\x28\x21\x72\x65\x73\x29\0\x09\x72\x65\x73\
\x2d\x3e\x6b\x65\x79\x5b\x30\x5d\x20\x3d\x20\x34\x30\x3b\0\x09\x72\x65\x73\x20\
\x3d\x20\x62\x70\x66\x5f\x6b\x70\x74\x72\x5f\x78\x63\x68\x67\x28\x26\x6d\x61\
\x70\x76\x61\x6c\x2d\x3e\x6e\x6f\x64\x65\x2c\x20\x72\x65\x73\x29\x3b\0\x09\x69\
\x66\x20\x28\x72\x65\x73\x29\0\x09\x09\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x64\x72\
\x6f\x70\x28\x72\x65\x73\x29\x3b\0\x7d\0\x6c\x6f\x6e\x67\x20\x64\x72\x6f\x70\
\x5f\x72\x62\x5f\x6e\x6f\x64\x65\x5f\x6f\x66\x66\x28\x76\x6f\x69\x64\x20\x2a\
\x63\x74\x78\x29\0\x09\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\x28\x26\
\x72\x65\x73\x2d\x3e\x6e\x6f\x64\x65\x29\x3b\0\x30\0\x2e\x6d\x61\x70\x73\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6b\x73\x79\x6d\x73\0\x74\x63\
\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x1c\0\0\0\x1c\0\0\0\x3c\x01\0\0\x58\x01\0\
\0\x2c\0\0\0\x08\0\0\0\xb8\x03\0\0\x02\0\0\0\0\0\0\0\x0e\0\0\0\xd8\0\0\0\x19\0\
\0\0\x10\0\0\0\xb8\x03\0\0\x13\0\0\0\0\0\0\0\xd7\x01\0\0\x68\x02\0\0\0\xb0\0\0\
\x08\0\0\0\xd7\x01\0\0\x87\x02\0\0\x06\xc0\0\0\x20\0\0\0\xd7\x01\0\0\x95\x02\0\
\0\x0b\xc8\0\0\x48\0\0\0\xd7\x01\0\0\xc7\x02\0\0\x06\xcc\0\0\x50\0\0\0\xd7\x01\
\0\0\xd5\x02\0\0\x08\xd8\0\0\x70\0\0\0\xd7\x01\0\0\xf7\x02\0\0\x06\xdc\0\0\x80\
\0\0\0\xd7\x01\0\0\x02\x03\0\0\x0e\xe4\0\0\x88\0\0\0\xd7\x01\0\0\x15\x03\0\0\
\x08\xec\0\0\xa8\0\0\0\xd7\x01\0\0\x3f\x03\0\0\x06\xf0\0\0\xb0\0\0\0\xd7\x01\0\
\0\x49\x03\0\0\x03\xf4\0\0\xc8\0\0\0\xd7\x01\0\0\x5e\x03\0\0\x01\xfc\0\0\xd8\0\
\0\0\xd7\x01\0\0\x60\x03\0\0\0\x0c\x01\0\xe0\0\0\0\xd7\x01\0\0\x87\x02\0\0\x06\
\x1c\x01\0\xf8\0\0\0\xd7\x01\0\0\x95\x02\0\0\x0b\x24\x01\0\x18\x01\0\0\xd7\x01\
\0\0\xc7\x02\0\0\x06\x28\x01\0\x20\x01\0\0\xd7\x01\0\0\xd5\x02\0\0\x08\x34\x01\
\0\x40\x01\0\0\xd7\x01\0\0\xf7\x02\0\0\x06\x38\x01\0\x48\x01\0\0\xd7\x01\0\0\
\x81\x03\0\0\x02\x44\x01\0\x70\x01\0\0\xd7\x01\0\0\x5e\x03\0\0\x01\x4c\x01\0\
\x10\0\0\0\xb8\x03\0\0\x02\0\0\0\x50\0\0\0\x11\0\0\0\x9c\x03\0\0\x06\0\0\0\x20\
\x01\0\0\x1c\0\0\0\x9c\x03\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\
\0\0\0\0\0\0\0\xc5\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x01\0\0\0\0\0\0\
\xf0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\
\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x01\0\0\0\0\0\0\x80\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x14\0\0\0\x01\0\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x03\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1a\0\0\0\x01\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x98\x03\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xa0\x03\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xb0\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\
\x03\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\xef\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbc\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x0a\0\0\0\0\0\0\xa4\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct local_kptr_stash_fail *local_kptr_stash_fail::open(const struct bpf_object_open_opts *opts) { return local_kptr_stash_fail__open_opts(opts); }
struct local_kptr_stash_fail *local_kptr_stash_fail::open_and_load() { return local_kptr_stash_fail__open_and_load(); }
int local_kptr_stash_fail::load(struct local_kptr_stash_fail *skel) { return local_kptr_stash_fail__load(skel); }
int local_kptr_stash_fail::attach(struct local_kptr_stash_fail *skel) { return local_kptr_stash_fail__attach(skel); }
void local_kptr_stash_fail::detach(struct local_kptr_stash_fail *skel) { local_kptr_stash_fail__detach(skel); }
void local_kptr_stash_fail::destroy(struct local_kptr_stash_fail *skel) { local_kptr_stash_fail__destroy(skel); }
const void *local_kptr_stash_fail::elf_bytes(size_t *sz) { return local_kptr_stash_fail__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
local_kptr_stash_fail__assert(struct local_kptr_stash_fail *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->just_here_because_btf_bug) == 8, "unexpected size of 'just_here_because_btf_bug'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __LOCAL_KPTR_STASH_FAIL_SKEL_H__ */
