/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __BPF_ITER_TEST_KERN4_SKEL_H__
#define __BPF_ITER_TEST_KERN4_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct bpf_iter_test_kern4 {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
		struct bpf_map *rodata;
	} maps;
	struct {
		struct bpf_program *dump_bpf_map;
	} progs;
	struct {
		struct bpf_link *dump_bpf_map;
	} links;
	struct bpf_iter_test_kern4__bss {
		__u32 map1_id;
		__u32 map2_id;
		__u32 map1_accessed;
		__u32 map2_accessed;
		__u64 map1_seqnum;
		__u64 map2_seqnum1;
		__u64 map2_seqnum2;
	} *bss;
	struct bpf_iter_test_kern4__rodata {
		__u32 ret1;
		__u32 print_len;
	} *rodata;

#ifdef __cplusplus
	static inline struct bpf_iter_test_kern4 *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct bpf_iter_test_kern4 *open_and_load();
	static inline int load(struct bpf_iter_test_kern4 *skel);
	static inline int attach(struct bpf_iter_test_kern4 *skel);
	static inline void detach(struct bpf_iter_test_kern4 *skel);
	static inline void destroy(struct bpf_iter_test_kern4 *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
bpf_iter_test_kern4__destroy(struct bpf_iter_test_kern4 *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
bpf_iter_test_kern4__create_skeleton(struct bpf_iter_test_kern4 *obj);

static inline struct bpf_iter_test_kern4 *
bpf_iter_test_kern4__open_opts(const struct bpf_object_open_opts *opts)
{
	struct bpf_iter_test_kern4 *obj;
	int err;

	obj = (struct bpf_iter_test_kern4 *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = bpf_iter_test_kern4__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	bpf_iter_test_kern4__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct bpf_iter_test_kern4 *
bpf_iter_test_kern4__open(void)
{
	return bpf_iter_test_kern4__open_opts(NULL);
}

static inline int
bpf_iter_test_kern4__load(struct bpf_iter_test_kern4 *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct bpf_iter_test_kern4 *
bpf_iter_test_kern4__open_and_load(void)
{
	struct bpf_iter_test_kern4 *obj;
	int err;

	obj = bpf_iter_test_kern4__open();
	if (!obj)
		return NULL;
	err = bpf_iter_test_kern4__load(obj);
	if (err) {
		bpf_iter_test_kern4__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
bpf_iter_test_kern4__attach(struct bpf_iter_test_kern4 *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
bpf_iter_test_kern4__detach(struct bpf_iter_test_kern4 *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *bpf_iter_test_kern4__elf_bytes(size_t *sz);

static inline int
bpf_iter_test_kern4__create_skeleton(struct bpf_iter_test_kern4 *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "bpf_iter_test_kern4";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "bpf_iter.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "bpf_iter.rodata";
	map->map = &obj->maps.rodata;
	map->mmaped = (void **)&obj->rodata;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "dump_bpf_map";
	s->progs[0].prog = &obj->progs.dump_bpf_map;
	s->progs[0].link = &obj->links.dump_bpf_map;

	s->data = bpf_iter_test_kern4__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *bpf_iter_test_kern4__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x30\x21\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x69\x74\
\x65\x72\x2f\x62\x70\x66\x5f\x6d\x61\x70\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x62\x73\x73\0\x2e\x72\x6f\x64\x61\x74\x61\0\x62\x70\x66\x5f\x69\x74\x65\x72\
\x5f\x74\x65\x73\x74\x5f\x6b\x65\x72\x6e\x34\x2e\x63\0\x64\x75\x6d\x70\x5f\x62\
\x70\x66\x5f\x6d\x61\x70\0\x6d\x61\x70\x31\x5f\x69\x64\0\x6d\x61\x70\x32\x5f\
\x69\x64\0\x6d\x61\x70\x31\x5f\x73\x65\x71\x6e\x75\x6d\0\x6d\x61\x70\x31\x5f\
\x61\x63\x63\x65\x73\x73\x65\x64\0\x6d\x61\x70\x32\x5f\x61\x63\x63\x65\x73\x73\
\x65\x64\0\x6d\x61\x70\x32\x5f\x73\x65\x71\x6e\x75\x6d\x31\0\x72\x65\x74\x31\0\
\x6d\x61\x70\x32\x5f\x73\x65\x71\x6e\x75\x6d\x32\0\x70\x72\x69\x6e\x74\x5f\x6c\
\x65\x6e\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x69\x74\x65\x72\
\x2f\x62\x70\x66\x5f\x6d\x61\x70\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\
\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x33\0\0\0\x04\0\
\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x49\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x78\x02\0\0\0\0\0\0\x56\0\
\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x5e\0\0\0\x11\0\x05\0\x04\0\
\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x66\0\0\0\x11\0\x05\0\x10\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\x72\0\0\0\x11\0\x05\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x80\0\0\0\
\x11\0\x05\0\x0c\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x8e\0\0\0\x11\0\x05\0\x18\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\x9b\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\xa0\0\0\0\x11\0\x05\0\x20\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xad\0\0\0\x11\
\0\x06\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb7\0\0\0\x11\0\x04\0\0\0\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\x7b\x3a\xf0\xff\
\0\0\0\0\x79\x26\0\0\0\0\0\0\x79\x12\x08\0\0\0\0\0\x15\x02\x47\0\0\0\0\0\x61\
\x24\x34\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x33\0\0\0\0\0\0\x1d\
\x34\x05\0\0\0\0\0\x18\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x44\0\0\0\0\0\0\x61\
\x25\x34\0\0\0\0\0\x5d\x45\x3d\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x79\x11\x10\0\0\0\
\0\0\x7b\x1a\xf8\xff\0\0\0\0\x61\x24\x34\0\0\0\0\0\x5d\x34\x08\0\0\0\0\0\x18\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x13\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x61\x34\0\0\0\0\0\0\x07\x04\0\0\x01\0\0\0\x63\x43\0\0\0\0\0\0\xb7\
\x04\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x33\0\0\0\0\0\0\x61\
\x22\x34\0\0\0\0\0\x5d\x32\x14\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x61\x22\0\0\0\0\0\0\x55\x02\x09\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x7b\x13\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\
\x15\x01\x05\0\0\0\0\0\xb7\x04\0\0\x01\0\0\0\x05\0\x03\0\0\0\0\0\x18\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x7b\x13\0\0\0\0\0\0\x07\x02\0\0\x01\0\0\0\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x63\x21\0\0\0\0\0\0\x7b\x4a\xf0\xff\0\0\0\0\x18\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x61\x81\0\0\0\0\0\0\x67\x01\0\0\x20\0\0\0\xc7\x01\0\0\
\x20\0\0\0\xc5\x01\x0f\0\x01\0\0\0\xb7\x09\0\0\0\0\0\0\x18\x07\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\xbf\x61\0\0\0\0\
\0\0\xb7\x03\0\0\x08\0\0\0\x85\0\0\0\x7f\0\0\0\x67\x09\0\0\x20\0\0\0\x0f\x79\0\
\0\0\0\0\0\xc7\x09\0\0\x20\0\0\0\x61\x81\0\0\0\0\0\0\x67\x01\0\0\x20\0\0\0\xc7\
\x01\0\0\x20\0\0\0\xcd\x19\xf4\xff\0\0\0\0\x79\xa0\xf0\xff\0\0\0\0\x95\0\0\0\0\
\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\x01\0\0\0\x04\0\
\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\xa8\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\
\0\xc0\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\xf0\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\
\x18\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x38\x01\0\0\0\0\0\0\x01\0\0\0\x09\0\0\
\0\x50\x01\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x80\x01\0\0\0\0\0\0\x01\0\0\0\x0b\0\
\0\0\xa0\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\xc0\x01\0\0\0\0\0\0\x01\0\0\0\x0c\
\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x94\x0a\0\0\x94\x0a\0\0\xc9\x0d\0\0\0\0\
\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x02\0\0\x04\x10\0\0\0\x13\0\0\0\x03\0\0\0\0\
\0\0\0\x18\0\0\0\x04\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\0\0\0\0\
\x02\x0c\0\0\0\0\0\0\0\x01\0\0\x0d\x06\0\0\0\x1c\0\0\0\x01\0\0\0\x20\0\0\0\0\0\
\0\x01\x04\0\0\0\x20\0\0\x01\x24\0\0\0\x01\0\0\x0c\x05\0\0\0\x31\0\0\0\x03\0\0\
\x04\x18\0\0\0\x3f\0\0\0\x09\0\0\0\0\0\0\0\x43\0\0\0\x0a\0\0\0\x40\0\0\0\x4e\0\
\0\0\x0a\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\x02\x55\0\0\0\x56\0\0\0\0\0\0\x08\x0b\0\
\0\0\x5c\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\x6f\0\0\0\x1e\0\0\x04\xf8\0\0\0\
\x77\0\0\0\x0d\0\0\0\0\0\0\0\x7b\0\0\0\x04\0\0\0\x40\0\0\0\x8a\0\0\0\x0f\0\0\0\
\x80\0\0\0\x93\0\0\0\x10\0\0\0\xc0\0\0\0\x9c\0\0\0\x11\0\0\0\xe0\0\0\0\xa5\0\0\
\0\x11\0\0\0\0\x01\0\0\xb0\0\0\0\x11\0\0\0\x20\x01\0\0\xbc\0\0\0\x14\0\0\0\x40\
\x01\0\0\xc6\0\0\0\x11\0\0\0\x80\x01\0\0\xd0\0\0\0\x11\0\0\0\xa0\x01\0\0\xd3\0\
\0\0\x15\0\0\0\xc0\x01\0\0\xda\0\0\0\x06\0\0\0\0\x02\0\0\xe4\0\0\0\x11\0\0\0\
\x20\x02\0\0\xf4\0\0\0\x11\0\0\0\x40\x02\0\0\x06\x01\0\0\x11\0\0\0\x60\x02\0\0\
\x20\x01\0\0\x16\0\0\0\x80\x02\0\0\x24\x01\0\0\x17\0\0\0\xc0\x02\0\0\x2a\x01\0\
\0\x19\0\0\0\0\x03\0\0\x2f\x01\0\0\x1b\0\0\0\x80\x03\0\0\x3c\x01\0\0\x1d\0\0\0\
\x80\x04\0\0\x43\x01\0\0\x1d\0\0\0\xc0\x04\0\0\0\0\0\0\x34\0\0\0\0\x05\0\0\x4b\
\x01\0\0\x1d\0\0\0\0\x06\0\0\x54\x01\0\0\x3e\0\0\0\x40\x06\0\0\x5a\x01\0\0\x45\
\0\0\0\0\x07\0\0\x69\x01\0\0\x45\0\0\0\x08\x07\0\0\x70\x01\0\0\x45\0\0\0\x10\
\x07\0\0\x87\x01\0\0\x45\0\0\0\x18\x07\0\0\x99\x01\0\0\x1d\0\0\0\x40\x07\0\0\
\xaa\x01\0\0\x47\0\0\0\x80\x07\0\0\0\0\0\0\0\0\0\x02\x0e\0\0\0\0\0\0\0\0\0\0\
\x0a\x59\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\xb5\x01\0\0\x25\0\0\x06\x04\0\0\0\xc2\
\x01\0\0\0\0\0\0\xd6\x01\0\0\x01\0\0\0\xe8\x01\0\0\x02\0\0\0\xfb\x01\0\0\x03\0\
\0\0\x13\x02\0\0\x04\0\0\0\x31\x02\0\0\x05\0\0\0\x4a\x02\0\0\x06\0\0\0\x64\x02\
\0\0\x07\0\0\0\x7d\x02\0\0\x08\0\0\0\x97\x02\0\0\x09\0\0\0\xad\x02\0\0\x0a\0\0\
\0\xca\x02\0\0\x0b\0\0\0\xe0\x02\0\0\x0c\0\0\0\xfb\x02\0\0\x0d\0\0\0\x15\x03\0\
\0\x0e\0\0\0\x29\x03\0\0\x0f\0\0\0\x3e\x03\0\0\x10\0\0\0\x52\x03\0\0\x11\0\0\0\
\x66\x03\0\0\x12\0\0\0\x7c\x03\0\0\x13\0\0\0\xa3\x03\0\0\x13\0\0\0\xbf\x03\0\0\
\x14\0\0\0\xe0\x03\0\0\x15\0\0\0\x0e\x04\0\0\x15\0\0\0\x31\x04\0\0\x16\0\0\0\
\x44\x04\0\0\x17\0\0\0\x57\x04\0\0\x18\0\0\0\x6f\x04\0\0\x19\0\0\0\x88\x04\0\0\
\x1a\0\0\0\xa0\x04\0\0\x1b\0\0\0\xb5\x04\0\0\x1c\0\0\0\xd0\x04\0\0\x1d\0\0\0\
\xea\x04\0\0\x1e\0\0\0\x04\x05\0\0\x1f\0\0\0\x1e\x05\0\0\x20\0\0\0\x38\x05\0\0\
\x21\0\0\0\x4b\x05\0\0\x22\0\0\0\x5e\x05\0\0\0\0\0\x08\x12\0\0\0\x62\x05\0\0\0\
\0\0\x08\x13\0\0\0\x68\x05\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x75\x05\0\0\0\0\0\
\x08\x0a\0\0\0\0\0\0\0\0\0\0\x02\x58\0\0\0\0\0\0\0\0\0\0\x02\x56\0\0\0\0\0\0\0\
\0\0\0\x02\x5a\0\0\0\x79\x05\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\
\x03\0\0\0\0\x18\0\0\0\x1a\0\0\0\x10\0\0\0\x7e\x05\0\0\0\0\0\x01\x04\0\0\0\x20\
\0\0\0\x92\x05\0\0\x04\0\0\x04\x20\0\0\0\x54\x01\0\0\x1c\0\0\0\0\0\0\0\x98\x05\
\0\0\x22\0\0\0\x40\0\0\0\xa2\x05\0\0\x2f\0\0\0\x60\0\0\0\xa6\x05\0\0\x32\0\0\0\
\x80\0\0\0\xb0\x05\0\0\0\0\0\x08\x1d\0\0\0\xbe\x05\0\0\0\0\0\x08\x1e\0\0\0\0\0\
\0\0\x01\0\0\x04\x08\0\0\0\xc9\x05\0\0\x1f\0\0\0\0\0\0\0\xd1\x05\0\0\0\0\0\x08\
\x20\0\0\0\xd5\x05\0\0\0\0\0\x08\x21\0\0\0\xdb\x05\0\0\0\0\0\x01\x08\0\0\0\x40\
\0\0\x01\xe5\x05\0\0\0\0\0\x08\x23\0\0\0\xf4\x05\0\0\x01\0\0\x04\x04\0\0\0\x01\
\x06\0\0\x24\0\0\0\0\0\0\0\x0a\x06\0\0\0\0\0\x08\x25\0\0\0\x1a\x06\0\0\x01\0\0\
\x04\x04\0\0\0\0\0\0\0\x26\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\x05\x04\0\0\0\x24\x06\
\0\0\x11\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\x04\x04\0\0\0\
\x28\x06\0\0\x28\0\0\0\0\0\0\0\x2f\x06\0\0\x2e\0\0\0\x10\0\0\0\x38\x06\0\0\0\0\
\0\x08\x29\0\0\0\x3c\x06\0\0\0\0\0\x08\x2a\0\0\0\x42\x06\0\0\0\0\0\x01\x02\0\0\
\0\x10\0\0\0\x51\x06\0\0\0\0\0\x08\x2c\0\0\0\x54\x06\0\0\0\0\0\x08\x2d\0\0\0\
\x59\x06\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x2b\0\0\0\
\x1a\0\0\0\x02\0\0\0\x67\x06\0\0\x01\0\0\x04\x04\0\0\0\x7d\x06\0\0\x30\0\0\0\0\
\0\0\0\x82\x06\0\0\0\0\0\x08\x31\0\0\0\0\0\0\0\x01\0\0\x04\x04\0\0\0\xc9\x05\0\
\0\x06\0\0\0\0\0\0\0\x8b\x06\0\0\x02\0\0\x04\x10\0\0\0\x95\x06\0\0\x33\0\0\0\0\
\0\0\0\x9a\x06\0\0\x33\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x32\0\0\0\0\0\0\0\x02\
\0\0\x05\x20\0\0\0\x9f\x06\0\0\x35\0\0\0\0\0\0\0\xa4\x06\0\0\x3a\0\0\0\0\0\0\0\
\xa8\x06\0\0\x03\0\0\x04\x20\0\0\0\xb4\x06\0\0\x1c\0\0\0\0\0\0\0\xb9\x06\0\0\
\x32\0\0\0\x40\0\0\0\xbf\x06\0\0\x36\0\0\0\xc0\0\0\0\xc4\x06\0\0\0\0\0\x08\x37\
\0\0\0\0\0\0\0\0\0\0\x02\x38\0\0\0\0\0\0\0\x01\0\0\x0d\0\0\0\0\0\0\0\0\x39\0\0\
\0\0\0\0\0\0\0\0\x02\x35\0\0\0\xd0\x06\0\0\x02\0\0\x04\x10\0\0\0\x95\x06\0\0\
\x3b\0\0\0\0\0\0\0\xbf\x06\0\0\x3c\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x3a\0\0\0\
\0\0\0\0\0\0\0\x02\x3d\0\0\0\0\0\0\0\x01\0\0\x0d\0\0\0\0\0\0\0\0\x3b\0\0\0\0\0\
\0\0\x05\0\0\x04\x18\0\0\0\xde\x06\0\0\x3f\0\0\0\0\0\0\0\xf0\x06\0\0\x41\0\0\0\
\x40\0\0\0\xf5\x06\0\0\x44\0\0\0\x60\0\0\0\xfa\x06\0\0\x45\0\0\0\x80\0\0\0\0\
\x07\0\0\x45\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\x02\x40\0\0\0\0\0\0\0\0\0\0\x0a\x57\
\0\0\0\x0e\x07\0\0\0\0\0\x08\x42\0\0\0\x19\x07\0\0\x01\0\0\x04\x04\0\0\0\0\0\0\
\0\x43\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\x05\x04\0\0\0\x22\x07\0\0\x23\0\0\0\0\0\0\
\0\x28\x07\0\0\x22\0\0\x06\x04\0\0\0\x36\x07\0\0\0\0\0\0\x4b\x07\0\0\x01\0\0\0\
\x67\x07\0\0\x02\0\0\0\x7c\x07\0\0\x03\0\0\0\x94\x07\0\0\x04\0\0\0\xac\x07\0\0\
\x05\0\0\0\xc5\x07\0\0\x06\0\0\0\xd7\x07\0\0\x07\0\0\0\xf0\x07\0\0\x08\0\0\0\
\x09\x08\0\0\x09\0\0\0\x23\x08\0\0\x0a\0\0\0\x38\x08\0\0\x0b\0\0\0\x4e\x08\0\0\
\x0c\0\0\0\x65\x08\0\0\x0d\0\0\0\x7c\x08\0\0\x0e\0\0\0\x91\x08\0\0\x0f\0\0\0\
\xad\x08\0\0\x10\0\0\0\xc2\x08\0\0\x11\0\0\0\xdf\x08\0\0\x12\0\0\0\xfe\x08\0\0\
\x13\0\0\0\x1a\x09\0\0\x14\0\0\0\x33\x09\0\0\x15\0\0\0\x4e\x09\0\0\x16\0\0\0\
\x6b\x09\0\0\x17\0\0\0\x87\x09\0\0\x18\0\0\0\xad\x09\0\0\x19\0\0\0\xca\x09\0\0\
\x1a\0\0\0\xe0\x09\0\0\x1b\0\0\0\xf9\x09\0\0\x1c\0\0\0\x0b\x0a\0\0\x1d\0\0\0\
\x1d\x0a\0\0\x1e\0\0\0\x35\x0a\0\0\x1f\0\0\0\x4b\x0a\0\0\x20\0\0\0\x63\x0a\0\0\
\x21\0\0\0\x77\x0a\0\0\0\0\0\x08\x46\0\0\0\x7c\x0a\0\0\0\0\0\x01\x01\0\0\0\x08\
\0\0\x04\0\0\0\0\0\0\0\x02\x1f\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x18\0\0\0\x1a\0\
\0\0\x04\0\0\0\x82\x0a\0\0\0\0\0\x0e\x48\0\0\0\x01\0\0\0\x8b\x0a\0\0\0\0\0\x0e\
\x12\0\0\0\x01\0\0\0\x93\x0a\0\0\0\0\0\x0e\x12\0\0\0\x01\0\0\0\x9b\x0a\0\0\0\0\
\0\x0e\x12\0\0\0\x01\0\0\0\xa9\x0a\0\0\0\0\0\x0e\x12\0\0\0\x01\0\0\0\xb7\x0a\0\
\0\0\0\0\x0e\x0a\0\0\0\x01\0\0\0\xc3\x0a\0\0\0\0\0\x0e\x0a\0\0\0\x01\0\0\0\xd0\
\x0a\0\0\0\0\0\x0e\x0a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0a\x52\0\0\0\0\0\0\0\0\0\
\0\x09\x12\0\0\0\xdd\x0a\0\0\0\0\0\x0e\x51\0\0\0\x01\0\0\0\xe2\x0a\0\0\0\0\0\
\x0e\x51\0\0\0\x01\0\0\0\xec\x0a\0\0\0\0\0\x07\0\0\0\0\x20\x01\0\0\0\0\0\x07\0\
\0\0\0\xf5\x0a\0\0\0\0\0\x07\0\0\0\0\xfe\x0a\0\0\0\0\0\x07\0\0\0\0\x09\x0b\0\0\
\0\0\0\x07\0\0\0\0\x15\x0b\0\0\0\0\0\x07\0\0\0\0\xa7\x0d\0\0\x01\0\0\x0f\x04\0\
\0\0\x49\0\0\0\0\0\0\0\x04\0\0\0\xaf\x0d\0\0\x07\0\0\x0f\x28\0\0\0\x4a\0\0\0\0\
\0\0\0\x04\0\0\0\x4b\0\0\0\x04\0\0\0\x04\0\0\0\x4c\0\0\0\x08\0\0\0\x04\0\0\0\
\x4d\0\0\0\x0c\0\0\0\x04\0\0\0\x4e\0\0\0\x10\0\0\0\x08\0\0\0\x4f\0\0\0\x18\0\0\
\0\x08\0\0\0\x50\0\0\0\x20\0\0\0\x08\0\0\0\xb4\x0d\0\0\x02\0\0\x0f\x08\0\0\0\
\x53\0\0\0\0\0\0\0\x04\0\0\0\x54\0\0\0\x04\0\0\0\x04\0\0\0\0\x62\x70\x66\x5f\
\x69\x74\x65\x72\x5f\x5f\x62\x70\x66\x5f\x6d\x61\x70\0\x6d\x65\x74\x61\0\x6d\
\x61\x70\0\x63\x74\x78\0\x69\x6e\x74\0\x64\x75\x6d\x70\x5f\x62\x70\x66\x5f\x6d\
\x61\x70\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6d\x65\x74\x61\0\x73\x65\x71\0\
\x73\x65\x73\x73\x69\x6f\x6e\x5f\x69\x64\0\x73\x65\x71\x5f\x6e\x75\x6d\0\x5f\
\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\
\x6f\x6e\x67\0\x62\x70\x66\x5f\x6d\x61\x70\0\x6f\x70\x73\0\x69\x6e\x6e\x65\x72\
\x5f\x6d\x61\x70\x5f\x6d\x65\x74\x61\0\x73\x65\x63\x75\x72\x69\x74\x79\0\x6d\
\x61\x70\x5f\x74\x79\x70\x65\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\
\x75\x65\x5f\x73\x69\x7a\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\
\x6d\x61\x70\x5f\x65\x78\x74\x72\x61\0\x6d\x61\x70\x5f\x66\x6c\x61\x67\x73\0\
\x69\x64\0\x72\x65\x63\x6f\x72\x64\0\x6e\x75\x6d\x61\x5f\x6e\x6f\x64\x65\0\x62\
\x74\x66\x5f\x6b\x65\x79\x5f\x74\x79\x70\x65\x5f\x69\x64\0\x62\x74\x66\x5f\x76\
\x61\x6c\x75\x65\x5f\x74\x79\x70\x65\x5f\x69\x64\0\x62\x74\x66\x5f\x76\x6d\x6c\
\x69\x6e\x75\x78\x5f\x76\x61\x6c\x75\x65\x5f\x74\x79\x70\x65\x5f\x69\x64\0\x62\
\x74\x66\0\x6f\x62\x6a\x63\x67\0\x6e\x61\x6d\x65\0\x66\x72\x65\x65\x7a\x65\x5f\
\x6d\x75\x74\x65\x78\0\x72\x65\x66\x63\x6e\x74\0\x75\x73\x65\x72\x63\x6e\x74\0\
\x77\x72\x69\x74\x65\x63\x6e\x74\0\x6f\x77\x6e\x65\x72\0\x62\x79\x70\x61\x73\
\x73\x5f\x73\x70\x65\x63\x5f\x76\x31\0\x66\x72\x6f\x7a\x65\x6e\0\x66\x72\x65\
\x65\x5f\x61\x66\x74\x65\x72\x5f\x6d\x75\x6c\x74\x5f\x72\x63\x75\x5f\x67\x70\0\
\x66\x72\x65\x65\x5f\x61\x66\x74\x65\x72\x5f\x72\x63\x75\x5f\x67\x70\0\x73\x6c\
\x65\x65\x70\x61\x62\x6c\x65\x5f\x72\x65\x66\x63\x6e\x74\0\x65\x6c\x65\x6d\x5f\
\x63\x6f\x75\x6e\x74\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\x74\x79\x70\x65\0\x42\
\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x55\x4e\x53\x50\x45\x43\0\x42\
\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x48\x41\x53\x48\0\x42\x50\x46\
\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\
\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x50\x52\x4f\x47\x5f\x41\x52\x52\x41\x59\0\
\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\x46\x5f\x45\
\x56\x45\x4e\x54\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\
\x59\x50\x45\x5f\x50\x45\x52\x43\x50\x55\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\
\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\x43\x50\x55\x5f\x41\x52\x52\
\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x54\x41\x43\
\x4b\x5f\x54\x52\x41\x43\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\
\x5f\x43\x47\x52\x4f\x55\x50\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\x5f\x4c\x52\x55\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\
\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x4c\x52\x55\x5f\x50\x45\x52\x43\x50\x55\
\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x4c\
\x50\x4d\x5f\x54\x52\x49\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\
\x5f\x41\x52\x52\x41\x59\x5f\x4f\x46\x5f\x4d\x41\x50\x53\0\x42\x50\x46\x5f\x4d\
\x41\x50\x5f\x54\x59\x50\x45\x5f\x48\x41\x53\x48\x5f\x4f\x46\x5f\x4d\x41\x50\
\x53\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x44\x45\x56\x4d\x41\
\x50\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x4f\x43\x4b\x4d\
\x41\x50\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x43\x50\x55\x4d\
\x41\x50\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x58\x53\x4b\x4d\
\x41\x50\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x4f\x43\x4b\
\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x43\x47\
\x52\x4f\x55\x50\x5f\x53\x54\x4f\x52\x41\x47\x45\x5f\x44\x45\x50\x52\x45\x43\
\x41\x54\x45\x44\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x43\x47\
\x52\x4f\x55\x50\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\x50\
\x5f\x54\x59\x50\x45\x5f\x52\x45\x55\x53\x45\x50\x4f\x52\x54\x5f\x53\x4f\x43\
\x4b\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\
\x50\x45\x52\x43\x50\x55\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x54\x4f\x52\x41\
\x47\x45\x5f\x44\x45\x50\x52\x45\x43\x41\x54\x45\x44\0\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\x43\x50\x55\x5f\x43\x47\x52\x4f\x55\
\x50\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\
\x50\x45\x5f\x51\x55\x45\x55\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\
\x45\x5f\x53\x54\x41\x43\x4b\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\
\x5f\x53\x4b\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\
\x54\x59\x50\x45\x5f\x44\x45\x56\x4d\x41\x50\x5f\x48\x41\x53\x48\0\x42\x50\x46\
\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x54\x52\x55\x43\x54\x5f\x4f\x50\
\x53\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x52\x49\x4e\x47\x42\
\x55\x46\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x49\x4e\x4f\x44\
\x45\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\
\x50\x45\x5f\x54\x41\x53\x4b\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\
\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x42\x4c\x4f\x4f\x4d\x5f\x46\x49\x4c\x54\
\x45\x52\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x55\x53\x45\x52\
\x5f\x52\x49\x4e\x47\x42\x55\x46\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\
\x45\x5f\x43\x47\x52\x50\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\
\x41\x50\x5f\x54\x59\x50\x45\x5f\x41\x52\x45\x4e\x41\0\x5f\x5f\x4d\x41\x58\x5f\
\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\0\x75\x33\x32\0\x5f\x5f\x75\
\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x75\x36\x34\0\x63\
\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\
\x45\x5f\x5f\0\x6d\x75\x74\x65\x78\0\x77\x61\x69\x74\x5f\x6c\x6f\x63\x6b\0\x6f\
\x73\x71\0\x77\x61\x69\x74\x5f\x6c\x69\x73\x74\0\x61\x74\x6f\x6d\x69\x63\x5f\
\x6c\x6f\x6e\x67\x5f\x74\0\x61\x74\x6f\x6d\x69\x63\x36\x34\x5f\x74\0\x63\x6f\
\x75\x6e\x74\x65\x72\0\x73\x36\x34\0\x5f\x5f\x73\x36\x34\0\x6c\x6f\x6e\x67\x20\
\x6c\x6f\x6e\x67\0\x72\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\
\x72\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x72\x61\x77\x5f\x6c\x6f\x63\
\x6b\0\x61\x72\x63\x68\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x71\x73\
\x70\x69\x6e\x6c\x6f\x63\x6b\0\x76\x61\x6c\0\x6c\x6f\x63\x6b\x65\x64\0\x72\x65\
\x73\x65\x72\x76\x65\x64\0\x75\x31\x36\0\x5f\x5f\x75\x31\x36\0\x75\x6e\x73\x69\
\x67\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\0\x75\x38\0\x5f\x5f\x75\x38\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x6f\x70\x74\x69\x6d\x69\x73\x74\
\x69\x63\x5f\x73\x70\x69\x6e\x5f\x71\x75\x65\x75\x65\0\x74\x61\x69\x6c\0\x61\
\x74\x6f\x6d\x69\x63\x5f\x74\0\x6c\x69\x73\x74\x5f\x68\x65\x61\x64\0\x6e\x65\
\x78\x74\0\x70\x72\x65\x76\0\x77\x6f\x72\x6b\0\x72\x63\x75\0\x77\x6f\x72\x6b\
\x5f\x73\x74\x72\x75\x63\x74\0\x64\x61\x74\x61\0\x65\x6e\x74\x72\x79\0\x66\x75\
\x6e\x63\0\x77\x6f\x72\x6b\x5f\x66\x75\x6e\x63\x5f\x74\0\x63\x61\x6c\x6c\x62\
\x61\x63\x6b\x5f\x68\x65\x61\x64\0\x61\x74\x74\x61\x63\x68\x5f\x66\x75\x6e\x63\
\x5f\x70\x72\x6f\x74\x6f\0\x6c\x6f\x63\x6b\0\x74\x79\x70\x65\0\x6a\x69\x74\x65\
\x64\0\x78\x64\x70\x5f\x68\x61\x73\x5f\x66\x72\x61\x67\x73\0\x73\x70\x69\x6e\
\x6c\x6f\x63\x6b\x5f\x74\0\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x72\x6c\x6f\x63\
\x6b\0\x62\x70\x66\x5f\x70\x72\x6f\x67\x5f\x74\x79\x70\x65\0\x42\x50\x46\x5f\
\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x55\x4e\x53\x50\x45\x43\0\x42\x50\x46\
\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x4f\x43\x4b\x45\x54\x5f\x46\
\x49\x4c\x54\x45\x52\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\
\x4b\x50\x52\x4f\x42\x45\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\
\x5f\x53\x43\x48\x45\x44\x5f\x43\x4c\x53\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\
\x54\x59\x50\x45\x5f\x53\x43\x48\x45\x44\x5f\x41\x43\x54\0\x42\x50\x46\x5f\x50\
\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x54\x52\x41\x43\x45\x50\x4f\x49\x4e\x54\0\
\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x58\x44\x50\0\x42\x50\
\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\x46\x5f\x45\x56\
\x45\x4e\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x43\x47\
\x52\x4f\x55\x50\x5f\x53\x4b\x42\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\
\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x4f\x43\x4b\0\x42\x50\x46\x5f\x50\
\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\x57\x54\x5f\x49\x4e\0\x42\x50\x46\x5f\
\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\x57\x54\x5f\x4f\x55\x54\0\x42\x50\
\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\x57\x54\x5f\x58\x4d\x49\
\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x4f\x43\x4b\
\x5f\x4f\x50\x53\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\
\x4b\x5f\x53\x4b\x42\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\
\x43\x47\x52\x4f\x55\x50\x5f\x44\x45\x56\x49\x43\x45\0\x42\x50\x46\x5f\x50\x52\
\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x4b\x5f\x4d\x53\x47\0\x42\x50\x46\x5f\x50\
\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x52\x41\x57\x5f\x54\x52\x41\x43\x45\x50\
\x4f\x49\x4e\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x43\
\x47\x52\x4f\x55\x50\x5f\x53\x4f\x43\x4b\x5f\x41\x44\x44\x52\0\x42\x50\x46\x5f\
\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\x57\x54\x5f\x53\x45\x47\x36\x4c\
\x4f\x43\x41\x4c\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\
\x49\x52\x43\x5f\x4d\x4f\x44\x45\x32\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\
\x59\x50\x45\x5f\x53\x4b\x5f\x52\x45\x55\x53\x45\x50\x4f\x52\x54\0\x42\x50\x46\
\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x46\x4c\x4f\x57\x5f\x44\x49\x53\
\x53\x45\x43\x54\x4f\x52\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\
\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x59\x53\x43\x54\x4c\0\x42\x50\x46\x5f\x50\
\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x52\x41\x57\x5f\x54\x52\x41\x43\x45\x50\
\x4f\x49\x4e\x54\x5f\x57\x52\x49\x54\x41\x42\x4c\x45\0\x42\x50\x46\x5f\x50\x52\
\x4f\x47\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x4f\x43\x4b\
\x4f\x50\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x54\x52\
\x41\x43\x49\x4e\x47\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\
\x53\x54\x52\x55\x43\x54\x5f\x4f\x50\x53\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\
\x54\x59\x50\x45\x5f\x45\x58\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\
\x50\x45\x5f\x4c\x53\x4d\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\
\x5f\x53\x4b\x5f\x4c\x4f\x4f\x4b\x55\x50\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\
\x54\x59\x50\x45\x5f\x53\x59\x53\x43\x41\x4c\x4c\0\x42\x50\x46\x5f\x50\x52\x4f\
\x47\x5f\x54\x59\x50\x45\x5f\x4e\x45\x54\x46\x49\x4c\x54\x45\x52\0\x5f\x5f\x4d\
\x41\x58\x5f\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\0\x62\x6f\x6f\
\x6c\0\x5f\x42\x6f\x6f\x6c\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x6d\x61\x70\x31\
\x5f\x69\x64\0\x6d\x61\x70\x32\x5f\x69\x64\0\x6d\x61\x70\x31\x5f\x61\x63\x63\
\x65\x73\x73\x65\x64\0\x6d\x61\x70\x32\x5f\x61\x63\x63\x65\x73\x73\x65\x64\0\
\x6d\x61\x70\x31\x5f\x73\x65\x71\x6e\x75\x6d\0\x6d\x61\x70\x32\x5f\x73\x65\x71\
\x6e\x75\x6d\x31\0\x6d\x61\x70\x32\x5f\x73\x65\x71\x6e\x75\x6d\x32\0\x72\x65\
\x74\x31\0\x70\x72\x69\x6e\x74\x5f\x6c\x65\x6e\0\x73\x65\x71\x5f\x66\x69\x6c\
\x65\0\x62\x74\x66\x5f\x74\x79\x70\x65\0\x62\x74\x66\x5f\x72\x65\x63\x6f\x72\
\x64\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6f\x70\x73\0\x6f\x62\x6a\x5f\x63\x67\
\x72\x6f\x75\x70\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\
\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\
\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\
\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\
\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\
\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x62\x70\x66\x5f\x69\x74\x65\x72\
\x5f\x74\x65\x73\x74\x5f\x6b\x65\x72\x6e\x34\x2e\x63\0\x09\x73\x74\x72\x75\x63\
\x74\x20\x73\x65\x71\x5f\x66\x69\x6c\x65\x20\x2a\x73\x65\x71\x20\x3d\x20\x63\
\x74\x78\x2d\x3e\x6d\x65\x74\x61\x2d\x3e\x73\x65\x71\x3b\0\x09\x73\x74\x72\x75\
\x63\x74\x20\x62\x70\x66\x5f\x6d\x61\x70\x20\x2a\x6d\x61\x70\x20\x3d\x20\x63\
\x74\x78\x2d\x3e\x6d\x61\x70\x3b\0\x09\x69\x66\x20\x28\x6d\x61\x70\x20\x3d\x3d\
\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x30\x29\0\x09\x69\x66\x20\x28\x6d\x61\x70\
\x2d\x3e\x69\x64\x20\x21\x3d\x20\x6d\x61\x70\x31\x5f\x69\x64\x20\x26\x26\x20\
\x6d\x61\x70\x2d\x3e\x69\x64\x20\x21\x3d\x20\x6d\x61\x70\x32\x5f\x69\x64\x29\0\
\x09\x73\x65\x71\x5f\x6e\x75\x6d\x20\x3d\x20\x63\x74\x78\x2d\x3e\x6d\x65\x74\
\x61\x2d\x3e\x73\x65\x71\x5f\x6e\x75\x6d\x3b\0\x09\x69\x66\x20\x28\x6d\x61\x70\
\x2d\x3e\x69\x64\x20\x3d\x3d\x20\x6d\x61\x70\x31\x5f\x69\x64\x29\x20\x7b\0\x09\
\x09\x6d\x61\x70\x31\x5f\x73\x65\x71\x6e\x75\x6d\x20\x3d\x20\x73\x65\x71\x5f\
\x6e\x75\x6d\x3b\0\x09\x09\x6d\x61\x70\x31\x5f\x61\x63\x63\x65\x73\x73\x65\x64\
\x2b\x2b\x3b\0\x09\x69\x66\x20\x28\x6d\x61\x70\x2d\x3e\x69\x64\x20\x3d\x3d\x20\
\x6d\x61\x70\x32\x5f\x69\x64\x29\x20\x7b\0\x09\x09\x69\x66\x20\x28\x6d\x61\x70\
\x32\x5f\x61\x63\x63\x65\x73\x73\x65\x64\x20\x3d\x3d\x20\x30\x29\x20\x7b\0\x09\
\x09\x09\x6d\x61\x70\x32\x5f\x73\x65\x71\x6e\x75\x6d\x31\x20\x3d\x20\x73\x65\
\x71\x5f\x6e\x75\x6d\x3b\0\x09\x09\x09\x69\x66\x20\x28\x72\x65\x74\x31\x29\0\
\x09\x09\x09\x09\x72\x65\x74\x20\x3d\x20\x31\x3b\0\x09\x09\x09\x6d\x61\x70\x32\
\x5f\x73\x65\x71\x6e\x75\x6d\x32\x20\x3d\x20\x73\x65\x71\x5f\x6e\x75\x6d\x3b\0\
\x09\x09\x6d\x61\x70\x32\x5f\x61\x63\x63\x65\x73\x73\x65\x64\x2b\x2b\x3b\0\x09\
\x66\x6f\x72\x20\x28\x69\x20\x3d\x20\x30\x3b\x20\x69\x20\x3c\x20\x28\x69\x6e\
\x74\x29\x70\x72\x69\x6e\x74\x5f\x6c\x65\x6e\x3b\x20\x69\x2b\x2b\x29\0\x09\x09\
\x62\x70\x66\x5f\x73\x65\x71\x5f\x77\x72\x69\x74\x65\x28\x73\x65\x71\x2c\x20\
\x26\x73\x65\x71\x5f\x6e\x75\x6d\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x65\
\x71\x5f\x6e\x75\x6d\x29\x29\x3b\0\x7d\0\x30\x3a\x30\0\x30\x3a\x31\0\x30\x3a\
\x39\0\x30\x3a\x32\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x72\
\x6f\x64\x61\x74\x61\0\x69\x74\x65\x72\x2f\x62\x70\x66\x5f\x6d\x61\x70\0\0\0\0\
\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x3c\x02\0\0\x50\x02\0\0\
\x9c\0\0\0\x08\0\0\0\xbc\x0d\0\0\x01\0\0\0\0\0\0\0\x07\0\0\0\x10\0\0\0\xbc\x0d\
\0\0\x23\0\0\0\0\0\0\0\x20\x0b\0\0\xaf\x0b\0\0\x1e\x48\0\0\x10\0\0\0\x20\x0b\0\
\0\xaf\x0b\0\0\x24\x48\0\0\x20\0\0\0\x20\x0b\0\0\xd7\x0b\0\0\x1d\x4c\0\0\x28\0\
\0\0\x20\x0b\0\0\xf8\x0b\0\0\x06\x5c\0\0\x30\0\0\0\x20\x0b\0\0\x0f\x0c\0\0\x0b\
\x6c\0\0\x38\0\0\0\x20\x0b\0\0\x0f\x0c\0\0\x11\x6c\0\0\x50\0\0\0\x20\x0b\0\0\
\x0f\x0c\0\0\x19\x6c\0\0\x58\0\0\0\x20\x0b\0\0\x0f\x0c\0\0\x27\x6c\0\0\x70\0\0\
\0\x20\x0b\0\0\x0f\x0c\0\0\x21\x6c\0\0\x78\0\0\0\x20\x0b\0\0\x0f\x0c\0\0\x06\
\x6c\0\0\x80\0\0\0\x20\x0b\0\0\x3e\x0c\0\0\x11\x78\0\0\x88\0\0\0\x20\x0b\0\0\
\x3e\x0c\0\0\x17\x78\0\0\x90\0\0\0\x20\x0b\0\0\x3e\x0c\0\0\x0a\x78\0\0\x98\0\0\
\0\x20\x0b\0\0\x5d\x0c\0\0\x0b\x7c\0\0\xa0\0\0\0\x20\x0b\0\0\x5d\x0c\0\0\x06\
\x7c\0\0\xa8\0\0\0\x20\x0b\0\0\x78\x0c\0\0\x0f\x80\0\0\xc0\0\0\0\x20\x0b\0\0\
\x91\x0c\0\0\x10\x84\0\0\xf0\0\0\0\x20\x0b\0\0\xa4\x0c\0\0\x11\x90\0\0\x08\x01\
\0\0\x20\x0b\0\0\xa4\x0c\0\0\x0b\x90\0\0\x10\x01\0\0\x20\x0b\0\0\xa4\x0c\0\0\
\x06\x90\0\0\x18\x01\0\0\x20\x0b\0\0\xbf\x0c\0\0\x07\x94\0\0\x30\x01\0\0\x20\
\x0b\0\0\xbf\x0c\0\0\x07\x94\0\0\x38\x01\0\0\x20\x0b\0\0\xdb\x0c\0\0\x11\x98\0\
\0\x50\x01\0\0\x20\x0b\0\0\xf6\x0c\0\0\x08\x9c\0\0\x68\x01\0\0\x20\x0b\0\0\xf6\
\x0c\0\0\x08\x9c\0\0\x78\x01\0\0\x20\x0b\0\0\x03\x0d\0\0\x05\xa0\0\0\x80\x01\0\
\0\x20\x0b\0\0\x10\x0d\0\0\x11\xa8\0\0\x98\x01\0\0\x20\x0b\0\0\x2b\x0d\0\0\x10\
\xb0\0\0\xc0\x01\0\0\x20\x0b\0\0\x3e\x0d\0\0\x17\xc0\0\0\xe8\x01\0\0\x20\x0b\0\
\0\x3e\x0d\0\0\x02\xc0\0\0\x18\x02\0\0\x20\x0b\0\0\x64\x0d\0\0\x03\xc4\0\0\x30\
\x02\0\0\x20\x0b\0\0\x3e\x0d\0\0\x23\xc0\0\0\x48\x02\0\0\x20\x0b\0\0\x3e\x0d\0\
\0\x17\xc0\0\0\x60\x02\0\0\x20\x0b\0\0\x3e\x0d\0\0\x02\xc0\0\0\x68\x02\0\0\x20\
\x0b\0\0\x95\x0d\0\0\x01\xd0\0\0\x10\0\0\0\xbc\x0d\0\0\x09\0\0\0\0\0\0\0\x02\0\
\0\0\x97\x0d\0\0\0\0\0\0\x18\0\0\0\x08\0\0\0\x97\x0d\0\0\0\0\0\0\x20\0\0\0\x02\
\0\0\0\x9b\x0d\0\0\0\0\0\0\x30\0\0\0\x0c\0\0\0\x9f\x0d\0\0\0\0\0\0\x70\0\0\0\
\x0c\0\0\0\x9f\x0d\0\0\0\0\0\0\x80\0\0\0\x02\0\0\0\x97\x0d\0\0\0\0\0\0\x88\0\0\
\0\x08\0\0\0\xa3\x0d\0\0\0\0\0\0\x98\0\0\0\x0c\0\0\0\x9f\x0d\0\0\0\0\0\0\x08\
\x01\0\0\x0c\0\0\0\x9f\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\xdf\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\x50\
\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\
\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x02\0\0\0\0\0\0\x78\x02\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x04\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x08\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xf0\x04\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2b\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xf0\x04\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xc0\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x04\
\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\
\0\0\0\0\xd1\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x05\0\0\0\0\0\
\0\x75\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd6\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x1e\0\0\0\0\0\0\x0c\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct bpf_iter_test_kern4 *bpf_iter_test_kern4::open(const struct bpf_object_open_opts *opts) { return bpf_iter_test_kern4__open_opts(opts); }
struct bpf_iter_test_kern4 *bpf_iter_test_kern4::open_and_load() { return bpf_iter_test_kern4__open_and_load(); }
int bpf_iter_test_kern4::load(struct bpf_iter_test_kern4 *skel) { return bpf_iter_test_kern4__load(skel); }
int bpf_iter_test_kern4::attach(struct bpf_iter_test_kern4 *skel) { return bpf_iter_test_kern4__attach(skel); }
void bpf_iter_test_kern4::detach(struct bpf_iter_test_kern4 *skel) { bpf_iter_test_kern4__detach(skel); }
void bpf_iter_test_kern4::destroy(struct bpf_iter_test_kern4 *skel) { bpf_iter_test_kern4__destroy(skel); }
const void *bpf_iter_test_kern4::elf_bytes(size_t *sz) { return bpf_iter_test_kern4__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
bpf_iter_test_kern4__assert(struct bpf_iter_test_kern4 *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->map1_id) == 4, "unexpected size of 'map1_id'");
	_Static_assert(sizeof(s->bss->map2_id) == 4, "unexpected size of 'map2_id'");
	_Static_assert(sizeof(s->bss->map1_accessed) == 4, "unexpected size of 'map1_accessed'");
	_Static_assert(sizeof(s->bss->map2_accessed) == 4, "unexpected size of 'map2_accessed'");
	_Static_assert(sizeof(s->bss->map1_seqnum) == 8, "unexpected size of 'map1_seqnum'");
	_Static_assert(sizeof(s->bss->map2_seqnum1) == 8, "unexpected size of 'map2_seqnum1'");
	_Static_assert(sizeof(s->bss->map2_seqnum2) == 8, "unexpected size of 'map2_seqnum2'");
	_Static_assert(sizeof(s->rodata->ret1) == 4, "unexpected size of 'ret1'");
	_Static_assert(sizeof(s->rodata->print_len) == 4, "unexpected size of 'print_len'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __BPF_ITER_TEST_KERN4_SKEL_H__ */
