/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __MISSED_TP_RECURSION_SKEL_H__
#define __MISSED_TP_RECURSION_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct missed_tp_recursion {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *rodata;
	} maps;
	struct {
		struct bpf_program *trigger;
		struct bpf_program *test1;
		struct bpf_program *test2;
		struct bpf_program *test3;
		struct bpf_program *test4;
	} progs;
	struct {
		struct bpf_link *trigger;
		struct bpf_link *test1;
		struct bpf_link *test2;
		struct bpf_link *test3;
		struct bpf_link *test4;
	} links;

#ifdef __cplusplus
	static inline struct missed_tp_recursion *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct missed_tp_recursion *open_and_load();
	static inline int load(struct missed_tp_recursion *skel);
	static inline int attach(struct missed_tp_recursion *skel);
	static inline void detach(struct missed_tp_recursion *skel);
	static inline void destroy(struct missed_tp_recursion *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
missed_tp_recursion__destroy(struct missed_tp_recursion *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
missed_tp_recursion__create_skeleton(struct missed_tp_recursion *obj);

static inline struct missed_tp_recursion *
missed_tp_recursion__open_opts(const struct bpf_object_open_opts *opts)
{
	struct missed_tp_recursion *obj;
	int err;

	obj = (struct missed_tp_recursion *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = missed_tp_recursion__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	missed_tp_recursion__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct missed_tp_recursion *
missed_tp_recursion__open(void)
{
	return missed_tp_recursion__open_opts(NULL);
}

static inline int
missed_tp_recursion__load(struct missed_tp_recursion *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct missed_tp_recursion *
missed_tp_recursion__open_and_load(void)
{
	struct missed_tp_recursion *obj;
	int err;

	obj = missed_tp_recursion__open();
	if (!obj)
		return NULL;
	err = missed_tp_recursion__load(obj);
	if (err) {
		missed_tp_recursion__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
missed_tp_recursion__attach(struct missed_tp_recursion *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
missed_tp_recursion__detach(struct missed_tp_recursion *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *missed_tp_recursion__elf_bytes(size_t *sz);

static inline int
missed_tp_recursion__create_skeleton(struct missed_tp_recursion *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "missed_tp_recursion";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "missed_t.rodata";
	map->map = &obj->maps.rodata;

	/* programs */
	s->prog_cnt = 5;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "trigger";
	s->progs[0].prog = &obj->progs.trigger;
	s->progs[0].link = &obj->links.trigger;

	s->progs[1].name = "test1";
	s->progs[1].prog = &obj->progs.test1;
	s->progs[1].link = &obj->links.test1;

	s->progs[2].name = "test2";
	s->progs[2].prog = &obj->progs.test2;
	s->progs[2].link = &obj->links.test2;

	s->progs[3].name = "test3";
	s->progs[3].prog = &obj->progs.test3;
	s->progs[3].link = &obj->links.test3;

	s->progs[4].name = "test4";
	s->progs[4].prog = &obj->progs.test4;
	s->progs[4].link = &obj->links.test4;

	s->data = missed_tp_recursion__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *missed_tp_recursion__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x10\x0a\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\
\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\
\x75\x72\x6e\x5f\x74\x65\x73\x74\0\x6b\x70\x72\x6f\x62\x65\x2f\x62\x70\x66\x5f\
\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\x74\x70\x2f\x62\x70\x66\x5f\
\x74\x72\x61\x63\x65\x2f\x62\x70\x66\x5f\x74\x72\x61\x63\x65\x5f\x70\x72\x69\
\x6e\x74\x6b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x6f\x64\x61\x74\x61\0\x6d\
\x69\x73\x73\x65\x64\x5f\x74\x70\x5f\x72\x65\x63\x75\x72\x73\x69\x6f\x6e\x2e\
\x63\0\x74\x65\x73\x74\x31\x2e\x5f\x5f\x5f\x5f\x66\x6d\x74\0\x74\x72\x69\x67\
\x67\x65\x72\0\x74\x65\x73\x74\x31\0\x74\x65\x73\x74\x32\0\x74\x65\x73\x74\x33\
\0\x74\x65\x73\x74\x34\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x6b\
\x70\x72\x6f\x62\x65\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\
\x73\x74\x31\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x75\0\0\0\x04\0\xf1\xff\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8b\0\0\0\x01\0\x07\0\0\0\0\0\
\0\0\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x99\0\0\0\x12\0\x03\0\0\0\
\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xa1\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x30\0\0\0\
\0\0\0\0\xa7\0\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xad\0\0\0\x12\
\0\x05\0\x10\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xb3\0\0\0\x12\0\x05\0\x20\0\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\xb9\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\
\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\
\x02\0\0\x05\0\0\0\x85\0\0\0\x06\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\
\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\
\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\x74\x65\x73\x74\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xec\x03\0\0\xec\
\x03\0\0\x32\x02\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\0\0\
\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\x01\x1c\0\0\0\x01\0\0\x0c\x03\0\0\0\0\0\0\0\0\0\0\x02\
\x07\0\0\0\x24\0\0\0\x02\0\0\x04\x80\x01\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\x10\0\0\0\0\x0b\0\0\0\0\0\0\x02\0\0\x05\x60\x01\0\0\x2c\0\0\0\x09\0\0\0\0\0\0\
\0\0\0\0\0\x0d\0\0\0\0\0\0\0\x36\0\0\0\x0d\0\0\x04\x60\x01\0\0\x43\0\0\0\x0b\0\
\0\0\0\0\0\0\x47\0\0\0\x0a\0\0\0\0\x08\0\0\x4b\0\0\0\x0a\0\0\0\x40\x08\0\0\x4f\
\0\0\0\x0a\0\0\0\x80\x08\0\0\x59\0\0\0\x0a\0\0\0\xc0\x08\0\0\x5d\0\0\0\x0a\0\0\
\0\0\x09\0\0\x62\0\0\0\x0a\0\0\0\x40\x09\0\0\x66\0\0\0\x0a\0\0\0\x80\x09\0\0\
\x6a\0\0\0\x0a\0\0\0\xc0\x09\0\0\x70\0\0\0\x0a\0\0\0\0\x0a\0\0\x75\0\0\0\x0a\0\
\0\0\x40\x0a\0\0\x79\0\0\0\x0a\0\0\0\x80\x0a\0\0\x7f\0\0\0\x0a\0\0\0\xc0\x0a\0\
\0\x86\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0a\0\0\0\
\x0c\0\0\0\x20\0\0\0\x94\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x0d\0\0\
\x04\x60\x01\0\0\x43\0\0\0\x0b\0\0\0\0\0\0\0\x47\0\0\0\x0a\0\0\0\0\x08\0\0\x4b\
\0\0\0\x0a\0\0\0\x40\x08\0\0\x4f\0\0\0\x0a\0\0\0\x80\x08\0\0\x59\0\0\0\x0a\0\0\
\0\xc0\x08\0\0\x5d\0\0\0\x0a\0\0\0\0\x09\0\0\x62\0\0\0\x0a\0\0\0\x40\x09\0\0\
\x66\0\0\0\x0a\0\0\0\x80\x09\0\0\x6a\0\0\0\x0a\0\0\0\xc0\x09\0\0\x70\0\0\0\x0a\
\0\0\0\0\x0a\0\0\0\0\0\0\x0e\0\0\0\x40\x0a\0\0\0\0\0\0\x0f\0\0\0\x80\x0a\0\0\
\x7f\0\0\0\x0a\0\0\0\xc0\x0a\0\0\0\0\0\0\x02\0\0\x05\x08\0\0\0\x75\0\0\0\x0a\0\
\0\0\0\0\0\0\xa8\0\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\x05\x08\0\0\0\x79\0\0\
\0\x0a\0\0\0\0\0\0\0\xad\0\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\x05\x20\0\0\0\
\0\0\0\0\x11\0\0\0\0\0\0\0\xb1\0\0\0\x13\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\x04\x20\
\0\0\0\xb7\0\0\0\x0a\0\0\0\0\0\0\0\xbb\0\0\0\x0a\0\0\0\x40\0\0\0\0\0\0\0\x12\0\
\0\0\x80\0\0\0\xc7\0\0\0\x0a\0\0\0\xc0\0\0\0\0\0\0\0\x02\0\0\x05\x08\0\0\0\xcc\
\0\0\0\x0a\0\0\0\0\0\0\0\xd1\0\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x0a\0\0\0\x0c\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x14\0\0\0\x06\0\0\
\0\xd5\0\0\0\x01\0\0\x0c\x14\0\0\0\xdb\0\0\0\x01\0\0\x0c\x14\0\0\0\xe1\0\0\0\
\x01\0\0\x0c\x14\0\0\0\xe7\0\0\0\x01\0\0\x0c\x14\0\0\0\xed\0\0\0\0\0\0\x01\x01\
\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x19\0\0\0\x0c\0\0\0\x04\0\0\0\xf2\
\0\0\0\0\0\0\x0e\x1a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0a\x19\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\0\x1c\0\0\0\x0c\0\0\0\x05\0\0\0\xfb\0\0\0\0\0\0\x0e\x1d\0\0\0\0\0\0\
\0\xce\x01\0\0\x01\0\0\x0f\x04\0\0\0\x1b\0\0\0\0\0\0\0\x04\0\0\0\xd6\x01\0\0\
\x01\0\0\x0f\x05\0\0\0\x1e\0\0\0\0\0\0\0\x05\0\0\0\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x69\x6e\x74\0\
\x74\x72\x69\x67\x67\x65\x72\0\x70\x74\x5f\x72\x65\x67\x73\0\x75\x73\x65\x72\
\x5f\x72\x65\x67\x73\0\x75\x73\x65\x72\x5f\x70\x74\x5f\x72\x65\x67\x73\0\x67\
\x70\x72\0\x6e\x69\x70\0\x6d\x73\x72\0\x6f\x72\x69\x67\x5f\x67\x70\x72\x33\0\
\x63\x74\x72\0\x6c\x69\x6e\x6b\0\x78\x65\x72\0\x63\x63\x72\0\x73\x6f\x66\x74\
\x65\0\x74\x72\x61\x70\0\x64\x61\x72\0\x64\x73\x69\x73\x72\0\x72\x65\x73\x75\
\x6c\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x5f\x5f\x41\
\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x64\x65\x61\
\x72\0\x65\x73\x72\0\x5f\x5f\x70\x61\x64\0\x70\x70\x72\0\x65\x78\x69\x74\x5f\
\x72\x65\x73\x75\x6c\x74\0\x69\x61\x6d\x72\0\x6b\x75\x61\x70\0\x61\x6d\x72\0\
\x74\x65\x73\x74\x31\0\x74\x65\x73\x74\x32\0\x74\x65\x73\x74\x33\0\x74\x65\x73\
\x74\x34\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\
\x31\x2e\x5f\x5f\x5f\x5f\x66\x6d\x74\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\
\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\
\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\
\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\
\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\
\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\
\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x6d\x69\x73\
\x73\x65\x64\x5f\x74\x70\x5f\x72\x65\x63\x75\x72\x73\x69\x6f\x6e\x2e\x63\0\x69\
\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x72\x69\x67\x67\x65\x72\
\x29\0\x09\x62\x70\x66\x5f\x70\x72\x69\x6e\x74\x6b\x28\x22\x74\x65\x73\x74\x22\
\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x72\x6f\x64\x61\x74\x61\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\
\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\0\
\x6b\x70\x72\x6f\x62\x65\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\
\x65\x73\x74\x31\0\x74\x70\x2f\x62\x70\x66\x5f\x74\x72\x61\x63\x65\x2f\x62\x70\
\x66\x5f\x74\x72\x61\x63\x65\x5f\x70\x72\x69\x6e\x74\x6b\0\0\0\x9f\xeb\x01\0\
\x20\0\0\0\0\0\0\0\x44\0\0\0\x44\0\0\0\x7c\0\0\0\xc0\0\0\0\0\0\0\0\x08\0\0\0\
\xde\x01\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\xfc\x01\0\0\x01\0\0\0\0\0\0\0\x15\0\0\
\0\x14\x02\0\0\x03\0\0\0\0\0\0\0\x16\0\0\0\x10\0\0\0\x17\0\0\0\x20\0\0\0\x18\0\
\0\0\x10\0\0\0\xde\x01\0\0\x01\0\0\0\0\0\0\0\x09\x01\0\0\x98\x01\0\0\x05\x34\0\
\0\xfc\x01\0\0\x02\0\0\0\0\0\0\0\x09\x01\0\0\xae\x01\0\0\x02\x54\0\0\x20\0\0\0\
\x09\x01\0\0\xc3\x01\0\0\x02\x58\0\0\x14\x02\0\0\x03\0\0\0\0\0\0\0\x09\x01\0\0\
\xc3\x01\0\0\x02\x70\0\0\x10\0\0\0\x09\x01\0\0\xc3\x01\0\0\x02\x88\0\0\x20\0\0\
\0\x09\x01\0\0\xc3\x01\0\0\x02\xa0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\
\0\0\xec\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\
\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x01\0\0\0\0\0\0\x38\x01\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\
\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x02\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2f\0\0\0\x01\0\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x78\x02\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xa8\x02\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x65\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\
\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x6d\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdc\x02\0\0\0\0\0\
\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc2\0\0\
\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x02\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xde\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x02\0\0\0\0\0\0\x36\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe3\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x30\x09\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct missed_tp_recursion *missed_tp_recursion::open(const struct bpf_object_open_opts *opts) { return missed_tp_recursion__open_opts(opts); }
struct missed_tp_recursion *missed_tp_recursion::open_and_load() { return missed_tp_recursion__open_and_load(); }
int missed_tp_recursion::load(struct missed_tp_recursion *skel) { return missed_tp_recursion__load(skel); }
int missed_tp_recursion::attach(struct missed_tp_recursion *skel) { return missed_tp_recursion__attach(skel); }
void missed_tp_recursion::detach(struct missed_tp_recursion *skel) { missed_tp_recursion__detach(skel); }
void missed_tp_recursion::destroy(struct missed_tp_recursion *skel) { missed_tp_recursion__destroy(skel); }
const void *missed_tp_recursion::elf_bytes(size_t *sz) { return missed_tp_recursion__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
missed_tp_recursion__assert(struct missed_tp_recursion *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __MISSED_TP_RECURSION_SKEL_H__ */
