/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __PERCPU_ALLOC_FAIL_SKEL_H__
#define __PERCPU_ALLOC_FAIL_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct percpu_alloc_fail {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *array;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *test_array_map_1;
		struct bpf_program *test_array_map_2;
		struct bpf_program *test_array_map_3;
		struct bpf_program *test_array_map_4;
		struct bpf_program *test_array_map_5;
		struct bpf_program *test_array_map_6;
		struct bpf_program *test_array_map_7;
		struct bpf_program *test_array_map_8;
	} progs;
	struct {
		struct bpf_link *test_array_map_1;
		struct bpf_link *test_array_map_2;
		struct bpf_link *test_array_map_3;
		struct bpf_link *test_array_map_4;
		struct bpf_link *test_array_map_5;
		struct bpf_link *test_array_map_6;
		struct bpf_link *test_array_map_7;
		struct bpf_link *test_array_map_8;
	} links;
	struct percpu_alloc_fail__bss {
		long ret;
	} *bss;

#ifdef __cplusplus
	static inline struct percpu_alloc_fail *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct percpu_alloc_fail *open_and_load();
	static inline int load(struct percpu_alloc_fail *skel);
	static inline int attach(struct percpu_alloc_fail *skel);
	static inline void detach(struct percpu_alloc_fail *skel);
	static inline void destroy(struct percpu_alloc_fail *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
percpu_alloc_fail__destroy(struct percpu_alloc_fail *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
percpu_alloc_fail__create_skeleton(struct percpu_alloc_fail *obj);

static inline struct percpu_alloc_fail *
percpu_alloc_fail__open_opts(const struct bpf_object_open_opts *opts)
{
	struct percpu_alloc_fail *obj;
	int err;

	obj = (struct percpu_alloc_fail *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = percpu_alloc_fail__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	percpu_alloc_fail__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct percpu_alloc_fail *
percpu_alloc_fail__open(void)
{
	return percpu_alloc_fail__open_opts(NULL);
}

static inline int
percpu_alloc_fail__load(struct percpu_alloc_fail *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct percpu_alloc_fail *
percpu_alloc_fail__open_and_load(void)
{
	struct percpu_alloc_fail *obj;
	int err;

	obj = percpu_alloc_fail__open();
	if (!obj)
		return NULL;
	err = percpu_alloc_fail__load(obj);
	if (err) {
		percpu_alloc_fail__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
percpu_alloc_fail__attach(struct percpu_alloc_fail *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
percpu_alloc_fail__detach(struct percpu_alloc_fail *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *percpu_alloc_fail__elf_bytes(size_t *sz);

static inline int
percpu_alloc_fail__create_skeleton(struct percpu_alloc_fail *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "percpu_alloc_fail";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "array";
	map->map = &obj->maps.array;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "percpu_a.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 8;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_array_map_1";
	s->progs[0].prog = &obj->progs.test_array_map_1;
	s->progs[0].link = &obj->links.test_array_map_1;

	s->progs[1].name = "test_array_map_2";
	s->progs[1].prog = &obj->progs.test_array_map_2;
	s->progs[1].link = &obj->links.test_array_map_2;

	s->progs[2].name = "test_array_map_3";
	s->progs[2].prog = &obj->progs.test_array_map_3;
	s->progs[2].link = &obj->links.test_array_map_3;

	s->progs[3].name = "test_array_map_4";
	s->progs[3].prog = &obj->progs.test_array_map_4;
	s->progs[3].link = &obj->links.test_array_map_4;

	s->progs[4].name = "test_array_map_5";
	s->progs[4].prog = &obj->progs.test_array_map_5;
	s->progs[4].link = &obj->links.test_array_map_5;

	s->progs[5].name = "test_array_map_6";
	s->progs[5].prog = &obj->progs.test_array_map_6;
	s->progs[5].link = &obj->links.test_array_map_6;

	s->progs[6].name = "test_array_map_7";
	s->progs[6].prog = &obj->progs.test_array_map_7;
	s->progs[6].link = &obj->links.test_array_map_7;

	s->progs[7].name = "test_array_map_8";
	s->progs[7].prog = &obj->progs.test_array_map_8;
	s->progs[7].link = &obj->links.test_array_map_8;

	s->data = percpu_alloc_fail__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *percpu_alloc_fail__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xe0\x1b\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0c\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x3f\x66\
\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\
\x73\x74\x31\0\x3f\x66\x65\x6e\x74\x72\x79\x2e\x73\x2f\x62\x70\x66\x5f\x66\x65\
\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x6d\x61\x70\x73\0\x2e\x62\x73\x73\0\x70\x65\x72\x63\x70\x75\x5f\x61\x6c\x6c\
\x6f\x63\x5f\x66\x61\x69\x6c\x2e\x63\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\
\x5f\x6d\x61\x70\x5f\x31\0\x61\x72\x72\x61\x79\0\x62\x70\x66\x5f\x70\x65\x72\
\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x5f\x69\x6d\x70\x6c\0\x62\x70\x66\
\x5f\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\x5f\x69\x6d\
\x70\x6c\0\x72\x65\x74\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\
\x70\x5f\x32\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x33\
\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x34\0\x62\x70\
\x66\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\x5f\x69\x6d\x70\x6c\0\x74\x65\x73\x74\
\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x35\0\x62\x70\x66\x5f\x6f\x62\x6a\
\x5f\x6e\x65\x77\x5f\x69\x6d\x70\x6c\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\
\x5f\x6d\x61\x70\x5f\x36\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\
\x70\x5f\x37\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x38\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x3f\x66\x65\x6e\x74\x72\
\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\x2e\
\x72\x65\x6c\x3f\x66\x65\x6e\x74\x72\x79\x2e\x73\x2f\x62\x70\x66\x5f\x66\x65\
\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\
\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\0\
\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x6c\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\x7d\0\0\0\x11\0\x06\0\
\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x83\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x9b\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\0\0\0\x11\0\
\x07\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xb8\0\0\0\x12\0\x03\0\xe0\0\0\0\0\0\0\
\0\xc0\0\0\0\0\0\0\0\xc9\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\
\xda\0\0\0\x12\0\x04\0\xf8\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\xeb\0\0\0\x20\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xfd\0\0\0\x12\0\x04\0\x48\x01\0\0\0\0\0\0\x50\
\0\0\0\0\0\0\0\x0e\x01\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1f\x01\0\
\0\x12\0\x04\0\x98\x01\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x30\x01\0\0\x12\0\x04\0\
\xe8\x01\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x41\x01\0\0\x12\0\x04\0\x38\x02\0\0\0\0\
\0\0\x50\0\0\0\0\0\0\0\x52\x01\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\
\0\xb7\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\
\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\
\x06\0\0\0\0\0\0\x15\x06\x11\0\0\0\0\0\x18\x01\0\0\x14\0\0\0\0\0\0\0\0\0\0\0\
\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x15\0\x0c\0\0\0\0\0\x07\x06\0\
\0\x08\0\0\0\xbf\x61\0\0\0\0\0\0\xbf\x02\0\0\0\0\0\0\x85\0\0\0\xc2\0\0\0\x15\0\
\x03\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\
\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x7b\x16\0\0\0\0\0\
\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\
\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x06\0\0\0\0\0\0\x15\x06\x0d\0\0\0\0\0\x18\
\x01\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\
\xff\x15\0\x08\0\0\0\0\0\x07\x06\0\0\x08\0\0\0\xbf\x61\0\0\0\0\0\0\xbf\x02\0\0\
\0\0\0\0\x85\0\0\0\xc2\0\0\0\x15\0\x03\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\x02\0\
\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\
\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\
\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x07\0\
\0\0\0\0\0\x15\x07\x14\0\0\0\0\0\x18\x01\0\0\x14\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\
\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x06\0\0\0\0\0\0\x15\x06\x0e\0\0\0\
\0\0\x07\x07\0\0\x08\0\0\0\xbf\x71\0\0\0\0\0\0\xbf\x62\0\0\0\0\0\0\x85\0\0\0\
\xc2\0\0\0\x15\0\x03\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\x10\
\0\0\xff\xff\xff\xff\xbf\x61\0\0\0\0\0\0\x85\0\0\0\x9a\0\0\0\x79\x01\0\0\0\0\0\
\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x18\x01\0\0\x14\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\
\x85\x10\0\0\xff\xff\xff\xff\x15\0\x03\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\x02\0\
\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\
\x01\0\0\x14\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\
\xff\x15\0\x03\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\
\xff\xff\xff\xff\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\x35\0\0\0\0\0\
\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x15\0\x03\0\0\0\0\
\0\xbf\x01\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb7\0\0\
\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\x3c\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\
\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x15\0\x03\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\
\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\x18\x01\0\0\x44\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\
\xff\xff\xff\xff\x15\0\x03\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\
\x85\x10\0\0\xff\xff\xff\xff\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\
\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x60\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xa8\0\0\
\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\xb0\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\0\x01\0\0\
\0\0\0\0\x01\0\0\0\x05\0\0\0\x40\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x88\x01\0\
\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x60\0\0\0\
\0\0\0\0\x0a\0\0\0\x06\0\0\0\xb0\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\xd0\0\0\0\0\
\0\0\0\x01\0\0\0\x08\0\0\0\x10\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x30\x01\0\0\
\0\0\0\0\x0a\0\0\0\x0c\0\0\0\x60\x01\0\0\0\0\0\0\x0a\0\0\0\x0e\0\0\0\x80\x01\0\
\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\xb0\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xd0\x01\
\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\0\x02\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x20\x02\
\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x50\x02\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x70\
\x02\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xe8\x04\0\
\0\xe8\x04\0\0\xcf\x08\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\
\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\x05\
\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\
\0\0\0\x02\x09\0\0\0\x19\0\0\0\x02\0\0\x04\x10\0\0\0\x1e\0\0\0\x0a\0\0\0\0\0\0\
\0\x22\0\0\0\x0b\0\0\0\x40\0\0\0\x25\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\0\0\
\0\0\0\0\0\x02\x40\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x2a\0\0\0\x01\0\0\0\0\0\
\0\0\x2f\0\0\0\x05\0\0\0\x40\0\0\0\x3b\0\0\0\x07\0\0\0\x80\0\0\0\x3f\0\0\0\x08\
\0\0\0\xc0\0\0\0\x45\0\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0f\
\0\0\0\x4b\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\
\x5e\0\0\0\x0e\0\0\0\x62\0\0\0\x01\0\0\x0c\x10\0\0\0\x73\0\0\0\0\0\0\x11\x11\0\
\0\0\xff\xff\xff\xff\x8f\0\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\xcd\0\0\0\
\x03\0\0\x04\x18\0\0\0\xd3\0\0\0\x0a\0\0\0\0\0\0\0\xd5\0\0\0\x0a\0\0\0\x40\0\0\
\0\xd7\0\0\0\x0a\0\0\0\x80\0\0\0\0\0\0\0\x02\0\0\x0d\x16\0\0\0\0\0\0\0\x17\0\0\
\0\0\0\0\0\x16\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\xd9\0\0\0\0\0\0\x08\x18\0\0\0\
\xdd\0\0\0\0\0\0\x08\x0f\0\0\0\xe3\0\0\0\x02\0\0\x0c\x15\0\0\0\0\0\0\0\x02\0\0\
\x0d\0\0\0\0\0\0\0\0\x16\0\0\0\0\0\0\0\x16\0\0\0\xfb\0\0\0\x02\0\0\x0c\x1a\0\0\
\0\x14\x01\0\0\x01\0\0\x0c\x10\0\0\0\x73\0\0\0\0\0\0\x11\x1c\0\0\0\xff\xff\xff\
\xff\x25\x01\0\0\0\0\0\x11\x1c\0\0\0\xff\xff\xff\xff\x81\x01\0\0\x01\0\0\x04\
\x08\0\0\0\xd3\0\0\0\x0a\0\0\0\0\0\0\0\x88\x01\0\0\x01\0\0\x0c\x10\0\0\0\x73\0\
\0\0\0\0\0\x11\x20\0\0\0\xff\xff\xff\xff\x99\x01\0\0\0\0\0\x11\x20\0\0\0\xff\
\xff\xff\xff\xfd\x01\0\0\x01\0\0\x0c\x10\0\0\0\x73\0\0\0\0\0\0\x11\x23\0\0\0\
\xff\xff\xff\xff\x0e\x02\0\0\0\0\0\x11\x23\0\0\0\xff\xff\xff\xff\x56\x02\0\0\
\x02\0\0\x0c\x1a\0\0\0\x68\x02\0\0\x01\0\0\x0c\x10\0\0\0\x73\0\0\0\0\0\0\x11\
\x27\0\0\0\xff\xff\xff\xff\x79\x02\0\0\0\0\0\x11\x27\0\0\0\xff\xff\xff\xff\xba\
\x02\0\0\x02\0\0\x0c\x15\0\0\0\xcb\x02\0\0\x01\0\0\x0c\x10\0\0\0\x73\0\0\0\0\0\
\0\x11\x2b\0\0\0\xff\xff\xff\xff\xdc\x02\0\0\0\0\0\x11\x2b\0\0\0\xff\xff\xff\
\xff\x39\x03\0\0\x01\0\0\x04\x08\0\0\0\x48\x03\0\0\x2f\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x02\x30\0\0\0\x4a\x03\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\x4f\x03\0\0\x01\
\0\0\x0c\x10\0\0\0\x73\0\0\0\0\0\0\x11\x31\0\0\0\xff\xff\xff\xff\x60\x03\0\0\0\
\0\0\x11\x31\0\0\0\xff\xff\xff\xff\xbe\x03\0\0\x01\0\0\x04\x04\0\0\0\xd1\x03\0\
\0\x35\0\0\0\0\0\0\0\xd6\x03\0\0\x01\0\0\x04\x04\0\0\0\xe4\x03\0\0\x36\0\0\0\0\
\0\0\0\xe8\x03\0\0\0\0\0\x08\x37\0\0\0\xee\x03\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\
\0\xfb\x03\0\0\x01\0\0\x0c\x10\0\0\0\x73\0\0\0\0\0\0\x11\x38\0\0\0\xff\xff\xff\
\xff\x0c\x04\0\0\0\0\0\x11\x38\0\0\0\xff\xff\xff\xff\x5d\x04\0\0\x01\0\0\x04\
\x58\x02\0\0\xd3\0\0\0\x3c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x30\0\0\0\
\x04\0\0\0\x58\x02\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x30\0\0\0\x04\0\0\0\x04\0\0\0\
\x68\x04\0\0\0\0\0\x0e\x3d\0\0\0\x01\0\0\0\x71\x04\0\0\0\0\0\x0e\x0a\0\0\0\x01\
\0\0\0\x75\x04\0\0\0\0\0\x12\x14\0\0\0\x81\x08\0\0\x01\0\0\x0f\x04\0\0\0\x3e\0\
\0\0\0\0\0\0\x04\0\0\0\x89\x08\0\0\x01\0\0\x0f\x20\0\0\0\x0d\0\0\0\0\0\0\0\x20\
\0\0\0\x8f\x08\0\0\x01\0\0\x0f\x08\0\0\0\x3f\0\0\0\0\0\0\0\x08\0\0\0\x94\x08\0\
\0\x04\0\0\x0f\0\0\0\0\x19\0\0\0\0\0\0\0\0\0\0\0\x1b\0\0\0\0\0\0\0\0\0\0\0\x26\
\0\0\0\0\0\0\0\0\0\0\0\x2a\0\0\0\0\0\0\0\0\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\
\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x65\x6c\x65\
\x6d\0\x73\x75\x6d\0\x70\x63\0\x6c\x6f\x6e\x67\0\x74\x79\x70\x65\0\x6d\x61\x78\
\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x61\x72\
\x72\x61\x79\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\
\x6e\x67\0\x63\x74\x78\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\
\x70\x5f\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x30\x3d\x73\
\x74\x6f\x72\x65\x20\x74\x6f\x20\x72\x65\x66\x65\x72\x65\x6e\x63\x65\x64\x20\
\x6b\x70\x74\x72\x20\x64\x69\x73\x61\x6c\x6c\x6f\x77\x65\x64\0\x76\x61\x6c\x5f\
\x74\0\x62\0\x63\0\x64\0\x75\x36\x34\0\x5f\x5f\x75\x36\x34\0\x62\x70\x66\x5f\
\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x5f\x69\x6d\x70\x6c\0\
\x62\x70\x66\x5f\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\
\x5f\x69\x6d\x70\x6c\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\
\x5f\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x31\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x6b\x70\
\x74\x72\x20\x61\x63\x63\x65\x73\x73\x2c\x20\x52\x32\x20\x74\x79\x70\x65\x3d\
\x70\x65\x72\x63\x70\x75\x5f\x70\x74\x72\x5f\x76\x61\x6c\x32\x5f\x74\x20\x65\
\x78\x70\x65\x63\x74\x65\x64\x3d\x70\x74\x72\x5f\x76\x61\x6c\x5f\x74\0\x76\x61\
\x6c\x32\x5f\x74\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\
\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x32\x3d\x52\x31\x20\x74\x79\x70\x65\x3d\x73\x63\x61\
\x6c\x61\x72\x20\x65\x78\x70\x65\x63\x74\x65\x64\x3d\x70\x65\x72\x63\x70\x75\
\x5f\x70\x74\x72\x5f\x2c\x20\x70\x65\x72\x63\x70\x75\x5f\x72\x63\x75\x5f\x70\
\x74\x72\x5f\x2c\x20\x70\x65\x72\x63\x70\x75\x5f\x74\x72\x75\x73\x74\x65\x64\
\x5f\x70\x74\x72\x5f\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\
\x5f\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x33\x3d\x61\x72\x67\x23\x30\x20\x65\x78\x70\x65\
\x63\x74\x65\x64\x20\x66\x6f\x72\x20\x62\x70\x66\x5f\x70\x65\x72\x63\x70\x75\
\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\x5f\x69\x6d\x70\x6c\x28\x29\0\x62\x70\x66\
\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\x5f\x69\x6d\x70\x6c\0\x74\x65\x73\x74\x5f\
\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x35\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x34\x3d\x61\
\x72\x67\x23\x30\x20\x65\x78\x70\x65\x63\x74\x65\x64\x20\x66\x6f\x72\x20\x62\
\x70\x66\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\x5f\x69\x6d\x70\x6c\x28\x29\0\x62\
\x70\x66\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x5f\x69\x6d\x70\x6c\0\x74\x65\x73\x74\
\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x35\x3d\
\x62\x70\x66\x5f\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x20\
\x74\x79\x70\x65\x20\x49\x44\x20\x61\x72\x67\x75\x6d\x65\x6e\x74\x20\x6d\x75\
\x73\x74\x20\x62\x65\x20\x6f\x66\x20\x61\x20\x73\x74\x72\x75\x63\x74\x20\x6f\
\x66\x20\x73\x63\x61\x6c\x61\x72\x73\0\x76\x61\x6c\x5f\x77\x69\x74\x68\x5f\x70\
\x74\x72\x5f\x74\0\x70\0\x63\x68\x61\x72\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\
\x79\x5f\x6d\x61\x70\x5f\x37\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x36\x3d\x62\x70\x66\x5f\x70\
\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x20\x74\x79\x70\x65\x20\
\x49\x44\x20\x61\x72\x67\x75\x6d\x65\x6e\x74\x20\x6d\x75\x73\x74\x20\x6e\x6f\
\x74\x20\x63\x6f\x6e\x74\x61\x69\x6e\x20\x73\x70\x65\x63\x69\x61\x6c\x20\x66\
\x69\x65\x6c\x64\x73\0\x76\x61\x6c\x5f\x77\x69\x74\x68\x5f\x72\x62\x5f\x72\x6f\
\x6f\x74\x5f\x74\0\x6c\x6f\x63\x6b\0\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x6c\
\x6f\x63\x6b\0\x76\x61\x6c\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x69\x6e\x74\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\
\x5f\x38\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x37\x3d\x62\x70\x66\x5f\x70\x65\x72\x63\x70\x75\
\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x20\x74\x79\x70\x65\x20\x73\x69\x7a\x65\x20\
\x28\x36\x30\x30\x29\x20\x69\x73\x20\x67\x72\x65\x61\x74\x65\x72\x20\x74\x68\
\x61\x6e\x20\x35\x31\x32\0\x76\x61\x6c\x5f\x36\x30\x30\x62\x5f\x74\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x72\x65\x74\0\x70\x65\x72\x63\x70\x75\x5f\x6b\x70\
\x74\x72\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\
\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\
\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\
\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\
\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\
\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\
\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x70\x65\x72\x63\x70\x75\x5f\x61\x6c\x6c\
\x6f\x63\x5f\x66\x61\x69\x6c\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\
\x4f\x47\x28\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x31\
\x29\0\x09\x69\x6e\x74\x20\x69\x6e\x64\x65\x78\x20\x3d\x20\x30\x3b\0\x09\x65\
\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\
\x6c\x65\x6d\x28\x26\x61\x72\x72\x61\x79\x2c\x20\x26\x69\x6e\x64\x65\x78\x29\
\x3b\0\x09\x69\x66\x20\x28\x21\x65\x29\0\x09\x70\x20\x3d\x20\x62\x70\x66\x5f\
\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x28\x73\x74\x72\x75\
\x63\x74\x20\x76\x61\x6c\x5f\x74\x29\x3b\0\x09\x69\x66\x20\x28\x21\x70\x29\0\
\x09\x70\x20\x3d\x20\x62\x70\x66\x5f\x6b\x70\x74\x72\x5f\x78\x63\x68\x67\x28\
\x26\x65\x2d\x3e\x70\x63\x2c\x20\x70\x29\x3b\0\x09\x69\x66\x20\x28\x70\x29\0\
\x09\x09\x62\x70\x66\x5f\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x64\x72\
\x6f\x70\x28\x70\x29\x3b\0\x09\x65\x2d\x3e\x70\x63\x20\x3d\x20\x28\x73\x74\x72\
\x75\x63\x74\x20\x76\x61\x6c\x5f\x74\x20\x5f\x5f\x70\x65\x72\x63\x70\x75\x5f\
\x6b\x70\x74\x72\x20\x2a\x29\x72\x65\x74\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\
\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\
\x5f\x32\x29\0\x09\x70\x32\x20\x3d\x20\x62\x70\x66\x5f\x70\x65\x72\x63\x70\x75\
\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x28\x73\x74\x72\x75\x63\x74\x20\x76\x61\x6c\
\x32\x5f\x74\x29\x3b\0\x09\x69\x66\x20\x28\x21\x70\x32\x29\0\x09\x70\x20\x3d\
\x20\x62\x70\x66\x5f\x6b\x70\x74\x72\x5f\x78\x63\x68\x67\x28\x26\x65\x2d\x3e\
\x70\x63\x2c\x20\x70\x32\x29\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\
\x47\x28\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x33\x29\0\
\x09\x70\x31\x20\x3d\x20\x62\x70\x66\x5f\x6b\x70\x74\x72\x5f\x78\x63\x68\x67\
\x28\x26\x65\x2d\x3e\x70\x63\x2c\x20\x70\x29\x3b\0\x09\x69\x66\x20\x28\x70\x31\
\x29\0\x09\x09\x62\x70\x66\x5f\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x64\
\x72\x6f\x70\x28\x70\x31\x29\x3b\0\x09\x76\x20\x3d\x20\x62\x70\x66\x5f\x74\x68\
\x69\x73\x5f\x63\x70\x75\x5f\x70\x74\x72\x28\x70\x29\x3b\0\x09\x72\x65\x74\x20\
\x3d\x20\x76\x2d\x3e\x62\x3b\0\x09\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\
\x70\x28\x70\x29\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\
\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x34\x29\0\x09\x70\x20\
\x3d\x20\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x28\x73\x74\x72\x75\x63\
\x74\x20\x76\x61\x6c\x5f\x74\x29\x3b\0\x09\x62\x70\x66\x5f\x70\x65\x72\x63\x70\
\x75\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\x28\x70\x29\x3b\0\x69\x6e\x74\x20\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x5f\
\x6d\x61\x70\x5f\x35\x29\0\x09\x70\x20\x3d\x20\x62\x70\x66\x5f\x70\x65\x72\x63\
\x70\x75\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x28\x73\x74\x72\x75\x63\x74\x20\x76\
\x61\x6c\x5f\x77\x69\x74\x68\x5f\x70\x74\x72\x5f\x74\x29\x3b\0\x69\x6e\x74\x20\
\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\
\x5f\x6d\x61\x70\x5f\x36\x29\0\x09\x70\x20\x3d\x20\x62\x70\x66\x5f\x70\x65\x72\
\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x28\x73\x74\x72\x75\x63\x74\x20\
\x76\x61\x6c\x5f\x77\x69\x74\x68\x5f\x72\x62\x5f\x72\x6f\x6f\x74\x5f\x74\x29\
\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x5f\
\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x37\x29\0\x09\x70\x20\x3d\x20\x62\x70\
\x66\x5f\x70\x65\x72\x63\x70\x75\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x28\x73\x74\
\x72\x75\x63\x74\x20\x76\x61\x6c\x5f\x36\x30\x30\x62\x5f\x74\x29\x3b\0\x69\x6e\
\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x5f\x61\x72\x72\
\x61\x79\x5f\x6d\x61\x70\x5f\x38\x29\0\x30\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x6d\x61\x70\x73\0\x2e\x62\x73\x73\0\x2e\x6b\x73\x79\x6d\x73\0\x3f\x66\x65\x6e\
\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\
\x31\0\x3f\x66\x65\x6e\x74\x72\x79\x2e\x73\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\
\x72\x79\x5f\x74\x65\x73\x74\x31\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x54\0\0\0\
\x54\0\0\0\xb4\x03\0\0\x08\x04\0\0\x94\0\0\0\x08\0\0\0\x9b\x08\0\0\x02\0\0\0\0\
\0\0\0\x11\0\0\0\xe0\0\0\0\x1c\0\0\0\xb4\x08\0\0\x06\0\0\0\0\0\0\0\x20\0\0\0\
\xf8\0\0\0\x23\0\0\0\x48\x01\0\0\x27\0\0\0\x98\x01\0\0\x2b\0\0\0\xe8\x01\0\0\
\x31\0\0\0\x38\x02\0\0\x38\0\0\0\x10\0\0\0\x9b\x08\0\0\x18\0\0\0\0\0\0\0\x81\
\x04\0\0\x0e\x05\0\0\0\xa0\0\0\x08\0\0\0\x81\x04\0\0\x2d\x05\0\0\x06\xb0\0\0\
\x20\0\0\0\x81\x04\0\0\x3d\x05\0\0\x06\xb8\0\0\x40\0\0\0\x81\x04\0\0\x67\x05\0\
\0\x06\xbc\0\0\x48\0\0\0\x81\x04\0\0\x70\x05\0\0\x06\xc8\0\0\x68\0\0\0\x81\x04\
\0\0\x97\x05\0\0\x06\xcc\0\0\x70\0\0\0\x81\x04\0\0\xa0\x05\0\0\x18\xd8\0\0\x78\
\0\0\0\x81\x04\0\0\xa0\x05\0\0\x06\xd8\0\0\x90\0\0\0\x81\x04\0\0\xbf\x05\0\0\
\x06\xdc\0\0\x98\0\0\0\x81\x04\0\0\xc7\x05\0\0\x03\xe0\0\0\xb0\0\0\0\x81\x04\0\
\0\xe1\x05\0\0\x28\xe8\0\0\xc8\0\0\0\x81\x04\0\0\xe1\x05\0\0\x08\xe8\0\0\xd0\0\
\0\0\x81\x04\0\0\x0e\x05\0\0\x05\xa0\0\0\xe0\0\0\0\x81\x04\0\0\x0d\x06\0\0\0\0\
\x01\0\xe8\0\0\0\x81\x04\0\0\x2d\x05\0\0\x06\x14\x01\0\0\x01\0\0\x81\x04\0\0\
\x3d\x05\0\0\x06\x1c\x01\0\x20\x01\0\0\x81\x04\0\0\x67\x05\0\0\x06\x20\x01\0\
\x28\x01\0\0\x81\x04\0\0\x2c\x06\0\0\x07\x2c\x01\0\x48\x01\0\0\x81\x04\0\0\x55\
\x06\0\0\x06\x30\x01\0\x50\x01\0\0\x81\x04\0\0\x5f\x06\0\0\x18\x3c\x01\0\x58\
\x01\0\0\x81\x04\0\0\x5f\x06\0\0\x06\x3c\x01\0\x70\x01\0\0\x81\x04\0\0\xbf\x05\
\0\0\x06\x40\x01\0\x78\x01\0\0\x81\x04\0\0\xc7\x05\0\0\x03\x44\x01\0\x90\x01\0\
\0\x81\x04\0\0\x0d\x06\0\0\x05\0\x01\0\xb4\x08\0\0\x22\0\0\0\0\0\0\0\x81\x04\0\
\0\x7f\x06\0\0\0\x60\x01\0\x08\0\0\0\x81\x04\0\0\x2d\x05\0\0\x06\x74\x01\0\x20\
\0\0\0\x81\x04\0\0\x3d\x05\0\0\x06\x7c\x01\0\x40\0\0\0\x81\x04\0\0\x67\x05\0\0\
\x06\x80\x01\0\x48\0\0\0\x81\x04\0\0\x70\x05\0\0\x06\x8c\x01\0\x70\0\0\0\x81\
\x04\0\0\x97\x05\0\0\x06\x90\x01\0\x78\0\0\0\x81\x04\0\0\x9e\x06\0\0\x19\x9c\
\x01\0\x80\0\0\0\x81\x04\0\0\x9e\x06\0\0\x07\x9c\x01\0\x98\0\0\0\x81\x04\0\0\
\xbe\x06\0\0\x06\xa0\x01\0\xa0\0\0\0\x81\x04\0\0\xc7\x06\0\0\x03\xa4\x01\0\xb8\
\0\0\0\x81\x04\0\0\xe2\x06\0\0\x06\xac\x01\0\xc8\0\0\0\x81\x04\0\0\xfc\x06\0\0\
\x0b\xb0\x01\0\xd0\0\0\0\x81\x04\0\0\xfc\x06\0\0\x06\xb0\x01\0\xe8\0\0\0\x81\
\x04\0\0\x7f\x06\0\0\x05\x60\x01\0\xf8\0\0\0\x81\x04\0\0\x70\x05\0\0\x06\xd8\
\x01\0\x18\x01\0\0\x81\x04\0\0\x97\x05\0\0\x06\xdc\x01\0\x20\x01\0\0\x81\x04\0\
\0\x09\x07\0\0\x02\xe8\x01\0\x38\x01\0\0\x81\x04\0\0\x1b\x07\0\0\x05\xc8\x01\0\
\x48\x01\0\0\x81\x04\0\0\x3a\x07\0\0\x06\x10\x02\0\x68\x01\0\0\x81\x04\0\0\x97\
\x05\0\0\x06\x14\x02\0\x70\x01\0\0\x81\x04\0\0\x5a\x07\0\0\x02\x20\x02\0\x88\
\x01\0\0\x81\x04\0\0\x73\x07\0\0\x05\0\x02\0\x98\x01\0\0\x81\x04\0\0\x92\x07\0\
\0\x06\x48\x02\0\xb8\x01\0\0\x81\x04\0\0\x97\x05\0\0\x06\x4c\x02\0\xc0\x01\0\0\
\x81\x04\0\0\x5a\x07\0\0\x02\x58\x02\0\xd8\x01\0\0\x81\x04\0\0\xc2\x07\0\0\x05\
\x38\x02\0\xe8\x01\0\0\x81\x04\0\0\xe1\x07\0\0\x06\x80\x02\0\x08\x02\0\0\x81\
\x04\0\0\x97\x05\0\0\x06\x84\x02\0\x10\x02\0\0\x81\x04\0\0\x5a\x07\0\0\x02\x90\
\x02\0\x28\x02\0\0\x81\x04\0\0\x15\x08\0\0\x05\x70\x02\0\x38\x02\0\0\x81\x04\0\
\0\x34\x08\0\0\x06\xb8\x02\0\x58\x02\0\0\x81\x04\0\0\x97\x05\0\0\x06\xbc\x02\0\
\x60\x02\0\0\x81\x04\0\0\x5a\x07\0\0\x02\xc8\x02\0\x78\x02\0\0\x81\x04\0\0\x60\
\x08\0\0\x05\xa8\x02\0\x10\0\0\0\x9b\x08\0\0\x02\0\0\0\x48\0\0\0\x14\0\0\0\x7f\
\x08\0\0\x06\0\0\0\x28\x01\0\0\x1f\0\0\0\x7f\x08\0\0\x06\0\0\0\xb4\x08\0\0\x06\
\0\0\0\x48\0\0\0\x14\0\0\0\x7f\x08\0\0\x06\0\0\0\xf8\0\0\0\x14\0\0\0\x7f\x08\0\
\0\x06\0\0\0\x48\x01\0\0\x14\0\0\0\x7f\x08\0\0\x06\0\0\0\x98\x01\0\0\x2e\0\0\0\
\x7f\x08\0\0\x06\0\0\0\xe8\x01\0\0\x34\0\0\0\x7f\x08\0\0\x06\0\0\0\x38\x02\0\0\
\x3b\0\0\0\x7f\x08\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\
\0\0\0\xa5\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x01\0\0\0\0\0\0\xc8\
\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\
\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x03\0\0\0\0\0\0\xa0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2a\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x05\0\0\0\0\0\0\x88\x02\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x45\0\0\0\x01\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd8\x07\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4d\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xe0\x07\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x53\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x5b\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\x70\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x78\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x08\0\0\0\0\0\0\
\xe0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x97\
\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x09\0\0\0\0\0\0\xcf\x0d\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9c\x01\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x17\0\0\0\0\0\0\xbc\x04\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct percpu_alloc_fail *percpu_alloc_fail::open(const struct bpf_object_open_opts *opts) { return percpu_alloc_fail__open_opts(opts); }
struct percpu_alloc_fail *percpu_alloc_fail::open_and_load() { return percpu_alloc_fail__open_and_load(); }
int percpu_alloc_fail::load(struct percpu_alloc_fail *skel) { return percpu_alloc_fail__load(skel); }
int percpu_alloc_fail::attach(struct percpu_alloc_fail *skel) { return percpu_alloc_fail__attach(skel); }
void percpu_alloc_fail::detach(struct percpu_alloc_fail *skel) { percpu_alloc_fail__detach(skel); }
void percpu_alloc_fail::destroy(struct percpu_alloc_fail *skel) { percpu_alloc_fail__destroy(skel); }
const void *percpu_alloc_fail::elf_bytes(size_t *sz) { return percpu_alloc_fail__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
percpu_alloc_fail__assert(struct percpu_alloc_fail *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->ret) == 8, "unexpected size of 'ret'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __PERCPU_ALLOC_FAIL_SKEL_H__ */
