/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __PRIV_PROG_SKEL_H__
#define __PRIV_PROG_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct priv_prog {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *kprobe_prog;
	} progs;
	struct {
		struct bpf_link *kprobe_prog;
	} links;

#ifdef __cplusplus
	static inline struct priv_prog *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct priv_prog *open_and_load();
	static inline int load(struct priv_prog *skel);
	static inline int attach(struct priv_prog *skel);
	static inline void detach(struct priv_prog *skel);
	static inline void destroy(struct priv_prog *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
priv_prog__destroy(struct priv_prog *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
priv_prog__create_skeleton(struct priv_prog *obj);

static inline struct priv_prog *
priv_prog__open_opts(const struct bpf_object_open_opts *opts)
{
	struct priv_prog *obj;
	int err;

	obj = (struct priv_prog *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = priv_prog__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	priv_prog__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct priv_prog *
priv_prog__open(void)
{
	return priv_prog__open_opts(NULL);
}

static inline int
priv_prog__load(struct priv_prog *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct priv_prog *
priv_prog__open_and_load(void)
{
	struct priv_prog *obj;
	int err;

	obj = priv_prog__open();
	if (!obj)
		return NULL;
	err = priv_prog__load(obj);
	if (err) {
		priv_prog__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
priv_prog__attach(struct priv_prog *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
priv_prog__detach(struct priv_prog *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *priv_prog__elf_bytes(size_t *sz);

static inline int
priv_prog__create_skeleton(struct priv_prog *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "priv_prog";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "kprobe_prog";
	s->progs[0].prog = &obj->progs.kprobe_prog;
	s->progs[0].link = &obj->links.kprobe_prog;

	s->data = priv_prog__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *priv_prog__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\x01\
\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x6b\x70\x72\
\x6f\x62\x65\0\x6c\x69\x63\x65\x6e\x73\x65\0\x70\x72\x69\x76\x5f\x70\x72\x6f\
\x67\x2e\x63\0\x6b\x70\x72\x6f\x62\x65\x5f\x70\x72\x6f\x67\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2c\0\
\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x38\0\0\0\x11\0\x04\0\0\0\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\
\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x9c\0\0\0\x9c\0\0\0\xd6\0\0\0\0\0\0\
\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x03\0\0\0\x01\0\0\0\x01\0\0\0\x05\0\0\
\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x09\0\0\0\x01\0\0\x0c\x02\0\0\0\x15\0\0\0\0\
\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x05\0\0\0\x07\0\0\0\
\x04\0\0\0\x1a\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x2e\0\0\0\0\0\0\x0e\x06\0\0\
\0\x01\0\0\0\xc7\0\0\0\x01\0\0\x0f\x04\0\0\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\x63\
\x74\x78\0\x69\x6e\x74\0\x6b\x70\x72\x6f\x62\x65\x5f\x70\x72\x6f\x67\0\x63\x68\
\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\
\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\
\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\
\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\
\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x70\
\x72\x69\x76\x5f\x70\x72\x6f\x67\x2e\x63\0\x09\x72\x65\x74\x75\x72\x6e\x20\x31\
\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x6b\x70\x72\x6f\x62\x65\0\0\0\0\0\0\0\x9f\
\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x1c\0\0\0\x30\0\0\0\0\0\0\0\
\x08\0\0\0\xcf\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\0\x10\0\0\0\xcf\0\0\0\x01\0\0\0\
\0\0\0\0\x37\0\0\0\xbc\0\0\0\x02\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\
\0\0\0\x4f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\
\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x78\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\
\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x01\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x01\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x41\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x20\x01\0\0\0\0\0\0\x8a\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x46\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\
\x02\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct priv_prog *priv_prog::open(const struct bpf_object_open_opts *opts) { return priv_prog__open_opts(opts); }
struct priv_prog *priv_prog::open_and_load() { return priv_prog__open_and_load(); }
int priv_prog::load(struct priv_prog *skel) { return priv_prog__load(skel); }
int priv_prog::attach(struct priv_prog *skel) { return priv_prog__attach(skel); }
void priv_prog::detach(struct priv_prog *skel) { priv_prog__detach(skel); }
void priv_prog::destroy(struct priv_prog *skel) { priv_prog__destroy(skel); }
const void *priv_prog::elf_bytes(size_t *sz) { return priv_prog__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
priv_prog__assert(struct priv_prog *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __PRIV_PROG_SKEL_H__ */
