/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __READ_VSYSCALL_SKEL_H__
#define __READ_VSYSCALL_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct read_vsyscall {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *do_probe_read;
		struct bpf_program *do_copy_from_user;
	} progs;
	struct {
		struct bpf_link *do_probe_read;
		struct bpf_link *do_copy_from_user;
	} links;
	struct read_vsyscall__bss {
		int target_pid;
		char __pad0[4];
		void *user_ptr;
		int read_ret[9];
	} *bss;

#ifdef __cplusplus
	static inline struct read_vsyscall *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct read_vsyscall *open_and_load();
	static inline int load(struct read_vsyscall *skel);
	static inline int attach(struct read_vsyscall *skel);
	static inline void detach(struct read_vsyscall *skel);
	static inline void destroy(struct read_vsyscall *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
read_vsyscall__destroy(struct read_vsyscall *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
read_vsyscall__create_skeleton(struct read_vsyscall *obj);

static inline struct read_vsyscall *
read_vsyscall__open_opts(const struct bpf_object_open_opts *opts)
{
	struct read_vsyscall *obj;
	int err;

	obj = (struct read_vsyscall *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = read_vsyscall__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	read_vsyscall__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct read_vsyscall *
read_vsyscall__open(void)
{
	return read_vsyscall__open_opts(NULL);
}

static inline int
read_vsyscall__load(struct read_vsyscall *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct read_vsyscall *
read_vsyscall__open_and_load(void)
{
	struct read_vsyscall *obj;
	int err;

	obj = read_vsyscall__open();
	if (!obj)
		return NULL;
	err = read_vsyscall__load(obj);
	if (err) {
		read_vsyscall__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
read_vsyscall__attach(struct read_vsyscall *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
read_vsyscall__detach(struct read_vsyscall *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *read_vsyscall__elf_bytes(size_t *sz);

static inline int
read_vsyscall__create_skeleton(struct read_vsyscall *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "read_vsyscall";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "read_vsy.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "do_probe_read";
	s->progs[0].prog = &obj->progs.do_probe_read;
	s->progs[0].link = &obj->links.do_probe_read;

	s->progs[1].name = "do_copy_from_user";
	s->progs[1].prog = &obj->progs.do_copy_from_user;
	s->progs[1].link = &obj->links.do_copy_from_user;

	s->data = read_vsyscall__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *read_vsyscall__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x48\x0e\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\
\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x65\x5f\x73\x79\x73\x5f\x6e\x61\x6e\x6f\x73\
\x6c\x65\x65\x70\0\x66\x65\x6e\x74\x72\x79\x2e\x73\x2f\x5f\x5f\x73\x65\x5f\x73\
\x79\x73\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x2e\x62\x73\x73\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x72\x65\x61\x64\x5f\x76\x73\x79\x73\x63\x61\x6c\x6c\x2e\
\x63\0\x64\x6f\x5f\x70\x72\x6f\x62\x65\x5f\x72\x65\x61\x64\0\x74\x61\x72\x67\
\x65\x74\x5f\x70\x69\x64\0\x75\x73\x65\x72\x5f\x70\x74\x72\0\x72\x65\x61\x64\
\x5f\x72\x65\x74\0\x64\x6f\x5f\x63\x6f\x70\x79\x5f\x66\x72\x6f\x6d\x5f\x75\x73\
\x65\x72\0\x62\x70\x66\x5f\x63\x6f\x70\x79\x5f\x66\x72\x6f\x6d\x5f\x75\x73\x65\
\x72\x5f\x73\x74\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x66\
\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x65\x5f\x73\x79\x73\x5f\x6e\x61\x6e\x6f\
\x73\x6c\x65\x65\x70\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2e\x73\x2f\x5f\
\x5f\x73\x65\x5f\x73\x79\x73\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x2e\x42\
\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x54\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x64\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x70\x01\0\0\0\0\
\0\0\x72\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x7d\0\0\0\x11\0\
\x05\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x86\0\0\0\x11\0\x05\0\x10\0\0\0\0\0\
\0\0\x24\0\0\0\0\0\0\0\x8f\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x20\x01\0\0\0\0\0\
\0\xa1\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\0\0\0\x11\0\x06\0\0\
\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x67\x01\0\0\x20\0\0\0\xc7\
\x01\0\0\x20\0\0\0\x5d\x10\x24\0\0\0\0\0\x18\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x79\x73\0\0\0\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xf8\xff\xff\xff\xbf\x61\0\
\0\0\0\0\0\xb7\x02\0\0\x08\0\0\0\x85\0\0\0\x71\0\0\0\x18\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x63\x08\0\0\0\0\0\0\x79\x73\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\xb7\x02\
\0\0\x08\0\0\0\x85\0\0\0\x73\0\0\0\x63\x08\x04\0\0\0\0\0\x79\x73\0\0\0\0\0\0\
\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\x08\0\0\0\x85\0\0\0\x04\0\0\0\x63\x08\x08\0\0\
\0\0\0\x79\x73\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\x08\0\0\0\x85\0\0\0\
\x2d\0\0\0\x63\x08\x0c\0\0\0\0\0\x79\x73\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\xb7\
\x02\0\0\x08\0\0\0\x85\0\0\0\x70\0\0\0\x63\x08\x10\0\0\0\0\0\x79\x73\0\0\0\0\0\
\0\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\x08\0\0\0\x85\0\0\0\x72\0\0\0\x63\x08\x14\0\
\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\
\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x67\x01\0\0\x20\
\0\0\0\xc7\x01\0\0\x20\0\0\0\x5d\x10\x1a\0\0\0\0\0\x18\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x79\x83\0\0\0\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xf8\xff\xff\xff\
\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\x08\0\0\0\x85\0\0\0\x94\0\0\0\x18\x09\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x63\x09\x18\0\0\0\0\0\x79\x87\0\0\0\0\0\0\x85\0\0\0\x9e\0\
\0\0\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\x08\0\0\0\xbf\x73\0\0\0\0\0\0\xbf\x04\0\0\
\0\0\0\0\xb7\x05\0\0\0\0\0\0\x85\0\0\0\xbf\0\0\0\x63\x09\x1c\0\0\0\0\0\x79\x83\
\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\x08\0\0\0\xb7\x04\0\0\0\0\0\0\x85\
\x10\0\0\xff\xff\xff\xff\x63\x09\x20\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\x47\x50\x4c\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x40\0\0\0\0\0\
\0\0\x01\0\0\0\x06\0\0\0\x80\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x10\0\0\0\0\0\0\
\0\x01\0\0\0\x05\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x80\0\0\0\0\0\0\0\
\x01\0\0\0\x07\0\0\0\0\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x9f\xeb\x01\0\x18\0\
\0\0\0\0\0\0\xd8\x01\0\0\xd8\x01\0\0\x40\x04\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\
\0\0\x01\0\0\x0d\x03\0\0\0\x01\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\x01\x09\0\0\0\x01\0\0\x0c\x02\0\0\0\x17\0\0\0\x01\0\0\x0c\x02\0\0\0\0\
\0\0\0\x04\0\0\x0d\x03\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x07\0\0\0\0\0\0\0\x0a\0\
\0\0\0\0\0\0\x0c\0\0\0\x29\0\0\0\0\0\0\x08\x08\0\0\0\x2d\0\0\0\0\0\0\x08\x09\0\
\0\0\x33\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x0b\0\0\0\0\0\0\
\0\0\0\0\x0a\0\0\0\0\x40\0\0\0\0\0\0\x08\x0d\0\0\0\x44\0\0\0\0\0\0\x08\x0e\0\0\
\0\x4a\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\x5d\0\0\0\x02\0\0\x0c\x06\0\0\0\x74\
\0\0\0\0\0\0\x0e\x03\0\0\0\x01\0\0\0\x7f\0\0\0\0\0\0\x0e\x01\0\0\0\x01\0\0\0\
\x88\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x12\0\0\0\
\x14\0\0\0\x04\0\0\0\x8d\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\xa1\0\0\0\0\0\0\
\x0e\x13\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x14\0\0\0\x09\0\0\
\0\xaa\0\0\0\0\0\0\x0e\x16\0\0\0\x01\0\0\0\xf6\x03\0\0\x03\0\0\x0f\x34\0\0\0\
\x10\0\0\0\0\0\0\0\x04\0\0\0\x11\0\0\0\x08\0\0\0\x08\0\0\0\x17\0\0\0\x10\0\0\0\
\x24\0\0\0\xfb\x03\0\0\x01\0\0\x0f\x04\0\0\0\x15\0\0\0\0\0\0\0\x04\0\0\0\x03\
\x04\0\0\x01\0\0\x0f\0\0\0\0\x0f\0\0\0\0\0\0\0\0\0\0\0\0\x63\x74\x78\0\x69\x6e\
\x74\0\x64\x6f\x5f\x70\x72\x6f\x62\x65\x5f\x72\x65\x61\x64\0\x64\x6f\x5f\x63\
\x6f\x70\x79\x5f\x66\x72\x6f\x6d\x5f\x75\x73\x65\x72\0\x75\x33\x32\0\x5f\x5f\
\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x75\x36\x34\0\
\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\
\x6c\x6f\x6e\x67\0\x62\x70\x66\x5f\x63\x6f\x70\x79\x5f\x66\x72\x6f\x6d\x5f\x75\
\x73\x65\x72\x5f\x73\x74\x72\0\x74\x61\x72\x67\x65\x74\x5f\x70\x69\x64\0\x75\
\x73\x65\x72\x5f\x70\x74\x72\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\
\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x72\x65\x61\x64\x5f\x72\x65\x74\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\
\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\
\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\
\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\
\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\
\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x72\x65\
\x61\x64\x5f\x76\x73\x79\x73\x63\x61\x6c\x6c\x2e\x63\0\x09\x69\x66\x20\x28\x28\
\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\
\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x29\x20\x21\x3d\x20\x74\
\x61\x72\x67\x65\x74\x5f\x70\x69\x64\x29\0\x09\x72\x65\x61\x64\x5f\x72\x65\x74\
\x5b\x30\x5d\x20\x3d\x20\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\x72\x65\x61\
\x64\x5f\x6b\x65\x72\x6e\x65\x6c\x28\x62\x75\x66\x2c\x20\x73\x69\x7a\x65\x6f\
\x66\x28\x62\x75\x66\x29\x2c\x20\x75\x73\x65\x72\x5f\x70\x74\x72\x29\x3b\0\x09\
\x72\x65\x61\x64\x5f\x72\x65\x74\x5b\x31\x5d\x20\x3d\x20\x62\x70\x66\x5f\x70\
\x72\x6f\x62\x65\x5f\x72\x65\x61\x64\x5f\x6b\x65\x72\x6e\x65\x6c\x5f\x73\x74\
\x72\x28\x62\x75\x66\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x62\x75\x66\x29\x2c\
\x20\x75\x73\x65\x72\x5f\x70\x74\x72\x29\x3b\0\x09\x72\x65\x61\x64\x5f\x72\x65\
\x74\x5b\x32\x5d\x20\x3d\x20\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\x72\x65\
\x61\x64\x28\x62\x75\x66\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x62\x75\x66\x29\
\x2c\x20\x75\x73\x65\x72\x5f\x70\x74\x72\x29\x3b\0\x09\x72\x65\x61\x64\x5f\x72\
\x65\x74\x5b\x33\x5d\x20\x3d\x20\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\x72\
\x65\x61\x64\x5f\x73\x74\x72\x28\x62\x75\x66\x2c\x20\x73\x69\x7a\x65\x6f\x66\
\x28\x62\x75\x66\x29\x2c\x20\x75\x73\x65\x72\x5f\x70\x74\x72\x29\x3b\0\x09\x72\
\x65\x61\x64\x5f\x72\x65\x74\x5b\x34\x5d\x20\x3d\x20\x62\x70\x66\x5f\x70\x72\
\x6f\x62\x65\x5f\x72\x65\x61\x64\x5f\x75\x73\x65\x72\x28\x62\x75\x66\x2c\x20\
\x73\x69\x7a\x65\x6f\x66\x28\x62\x75\x66\x29\x2c\x20\x75\x73\x65\x72\x5f\x70\
\x74\x72\x29\x3b\0\x09\x72\x65\x61\x64\x5f\x72\x65\x74\x5b\x35\x5d\x20\x3d\x20\
\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\x72\x65\x61\x64\x5f\x75\x73\x65\x72\
\x5f\x73\x74\x72\x28\x62\x75\x66\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x62\x75\
\x66\x29\x2c\x20\x75\x73\x65\x72\x5f\x70\x74\x72\x29\x3b\0\x7d\0\x09\x72\x65\
\x61\x64\x5f\x72\x65\x74\x5b\x36\x5d\x20\x3d\x20\x62\x70\x66\x5f\x63\x6f\x70\
\x79\x5f\x66\x72\x6f\x6d\x5f\x75\x73\x65\x72\x28\x62\x75\x66\x2c\x20\x73\x69\
\x7a\x65\x6f\x66\x28\x62\x75\x66\x29\x2c\x20\x75\x73\x65\x72\x5f\x70\x74\x72\
\x29\x3b\0\x09\x72\x65\x61\x64\x5f\x72\x65\x74\x5b\x37\x5d\x20\x3d\x20\x62\x70\
\x66\x5f\x63\x6f\x70\x79\x5f\x66\x72\x6f\x6d\x5f\x75\x73\x65\x72\x5f\x74\x61\
\x73\x6b\x28\x62\x75\x66\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x62\x75\x66\x29\
\x2c\x20\x75\x73\x65\x72\x5f\x70\x74\x72\x2c\0\x09\x09\x09\x09\x09\x20\x20\x20\
\x20\x20\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\
\x74\x61\x73\x6b\x5f\x62\x74\x66\x28\x29\x2c\x20\x30\x29\x3b\0\x09\x72\x65\x61\
\x64\x5f\x72\x65\x74\x5b\x38\x5d\x20\x3d\x20\x62\x70\x66\x5f\x63\x6f\x70\x79\
\x5f\x66\x72\x6f\x6d\x5f\x75\x73\x65\x72\x5f\x73\x74\x72\x28\x28\x63\x68\x61\
\x72\x20\x2a\x29\x62\x75\x66\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x62\x75\x66\
\x29\x2c\x20\x75\x73\x65\x72\x5f\x70\x74\x72\x2c\x20\x30\x29\x3b\0\x2e\x62\x73\
\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6b\x73\x79\x6d\x73\0\x66\x65\x6e\x74\
\x72\x79\x2f\x5f\x5f\x73\x65\x5f\x73\x79\x73\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\
\x65\x70\0\x66\x65\x6e\x74\x72\x79\x2e\x73\x2f\x5f\x5f\x73\x65\x5f\x73\x79\x73\
\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x24\
\0\0\0\x24\0\0\0\x74\x02\0\0\x98\x02\0\0\0\0\0\0\x08\0\0\0\x0a\x04\0\0\x01\0\0\
\0\0\0\0\0\x04\0\0\0\x24\x04\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\x10\0\0\0\x0a\x04\
\0\0\x17\0\0\0\0\0\0\0\xb3\0\0\0\x3c\x01\0\0\x07\x64\0\0\x08\0\0\0\xb3\0\0\0\
\x3c\x01\0\0\x22\x64\0\0\x10\0\0\0\xb3\0\0\0\x3c\x01\0\0\x2c\x64\0\0\x38\0\0\0\
\xb3\0\0\0\x3c\x01\0\0\x06\x64\0\0\x40\0\0\0\xb3\0\0\0\x73\x01\0\0\x38\x70\0\0\
\x68\0\0\0\xb3\0\0\0\x73\x01\0\0\x10\x70\0\0\x80\0\0\0\xb3\0\0\0\x73\x01\0\0\
\x0e\x70\0\0\x98\0\0\0\xb3\0\0\0\xb5\x01\0\0\x3c\x74\0\0\xa0\0\0\0\xb3\0\0\0\
\xb5\x01\0\0\x10\x74\0\0\xb8\0\0\0\xb3\0\0\0\xb5\x01\0\0\x0e\x74\0\0\xc0\0\0\0\
\xb3\0\0\0\xfb\x01\0\0\x31\x78\0\0\xc8\0\0\0\xb3\0\0\0\xfb\x01\0\0\x10\x78\0\0\
\xe0\0\0\0\xb3\0\0\0\xfb\x01\0\0\x0e\x78\0\0\xe8\0\0\0\xb3\0\0\0\x36\x02\0\0\
\x35\x7c\0\0\xf0\0\0\0\xb3\0\0\0\x36\x02\0\0\x10\x7c\0\0\x08\x01\0\0\xb3\0\0\0\
\x36\x02\0\0\x0e\x7c\0\0\x10\x01\0\0\xb3\0\0\0\x75\x02\0\0\x36\x80\0\0\x18\x01\
\0\0\xb3\0\0\0\x75\x02\0\0\x10\x80\0\0\x30\x01\0\0\xb3\0\0\0\x75\x02\0\0\x0e\
\x80\0\0\x38\x01\0\0\xb3\0\0\0\xb5\x02\0\0\x3a\x84\0\0\x40\x01\0\0\xb3\0\0\0\
\xb5\x02\0\0\x10\x84\0\0\x58\x01\0\0\xb3\0\0\0\xb5\x02\0\0\x0e\x84\0\0\x60\x01\
\0\0\xb3\0\0\0\xf9\x02\0\0\x01\x90\0\0\x24\x04\0\0\x0f\0\0\0\0\0\0\0\xb3\0\0\0\
\x3c\x01\0\0\x07\xac\0\0\x08\0\0\0\xb3\0\0\0\x3c\x01\0\0\x22\xac\0\0\x10\0\0\0\
\xb3\0\0\0\x3c\x01\0\0\x2c\xac\0\0\x38\0\0\0\xb3\0\0\0\x3c\x01\0\0\x06\xac\0\0\
\x40\0\0\0\xb3\0\0\0\xfb\x02\0\0\x35\xb8\0\0\x68\0\0\0\xb3\0\0\0\xfb\x02\0\0\
\x10\xb8\0\0\x80\0\0\0\xb3\0\0\0\xfb\x02\0\0\x0e\xb8\0\0\x98\0\0\0\xb3\0\0\0\
\x3a\x03\0\0\x3a\xbc\0\0\xa0\0\0\0\xb3\0\0\0\x7d\x03\0\0\x0c\xc0\0\0\xa8\0\0\0\
\xb3\0\0\0\x3a\x03\0\0\x10\xbc\0\0\xd8\0\0\0\xb3\0\0\0\x3a\x03\0\0\x0e\xbc\0\0\
\xe0\0\0\0\xb3\0\0\0\xa8\x03\0\0\x41\xc4\0\0\xe8\0\0\0\xb3\0\0\0\xa8\x03\0\0\
\x10\xc4\0\0\x08\x01\0\0\xb3\0\0\0\xa8\x03\0\0\x0e\xc4\0\0\x10\x01\0\0\xb3\0\0\
\0\xf9\x02\0\0\x01\xd0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x0d\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x01\0\0\0\0\0\0\x08\x01\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x02\0\0\0\0\0\0\x70\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2b\0\0\0\x01\0\0\0\x06\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xc8\x03\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xe8\x04\0\0\0\0\0\0\x34\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x4c\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\
\x04\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xc1\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x04\0\0\0\0\0\
\0\x30\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\xdf\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x05\0\0\0\0\0\0\x40\
\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xff\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x05\0\0\0\0\0\0\x30\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x01\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x0b\0\0\0\0\0\0\xb8\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct read_vsyscall *read_vsyscall::open(const struct bpf_object_open_opts *opts) { return read_vsyscall__open_opts(opts); }
struct read_vsyscall *read_vsyscall::open_and_load() { return read_vsyscall__open_and_load(); }
int read_vsyscall::load(struct read_vsyscall *skel) { return read_vsyscall__load(skel); }
int read_vsyscall::attach(struct read_vsyscall *skel) { return read_vsyscall__attach(skel); }
void read_vsyscall::detach(struct read_vsyscall *skel) { read_vsyscall__detach(skel); }
void read_vsyscall::destroy(struct read_vsyscall *skel) { read_vsyscall__destroy(skel); }
const void *read_vsyscall::elf_bytes(size_t *sz) { return read_vsyscall__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
read_vsyscall__assert(struct read_vsyscall *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->target_pid) == 4, "unexpected size of 'target_pid'");
	_Static_assert(sizeof(s->bss->user_ptr) == 8, "unexpected size of 'user_ptr'");
	_Static_assert(sizeof(s->bss->read_ret) == 36, "unexpected size of 'read_ret'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __READ_VSYSCALL_SKEL_H__ */
