/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_ACCESS_VARIABLE_ARRAY_SKEL_H__
#define __TEST_ACCESS_VARIABLE_ARRAY_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_access_variable_array {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *fentry_fentry;
	} progs;
	struct {
		struct bpf_link *fentry_fentry;
	} links;
	struct test_access_variable_array__bss {
		unsigned long span;
	} *bss;

#ifdef __cplusplus
	static inline struct test_access_variable_array *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_access_variable_array *open_and_load();
	static inline int load(struct test_access_variable_array *skel);
	static inline int attach(struct test_access_variable_array *skel);
	static inline void detach(struct test_access_variable_array *skel);
	static inline void destroy(struct test_access_variable_array *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_access_variable_array__destroy(struct test_access_variable_array *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_access_variable_array__create_skeleton(struct test_access_variable_array *obj);

static inline struct test_access_variable_array *
test_access_variable_array__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_access_variable_array *obj;
	int err;

	obj = (struct test_access_variable_array *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_access_variable_array__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_access_variable_array__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_access_variable_array *
test_access_variable_array__open(void)
{
	return test_access_variable_array__open_opts(NULL);
}

static inline int
test_access_variable_array__load(struct test_access_variable_array *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_access_variable_array *
test_access_variable_array__open_and_load(void)
{
	struct test_access_variable_array *obj;
	int err;

	obj = test_access_variable_array__open();
	if (!obj)
		return NULL;
	err = test_access_variable_array__load(obj);
	if (err) {
		test_access_variable_array__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_access_variable_array__attach(struct test_access_variable_array *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_access_variable_array__detach(struct test_access_variable_array *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_access_variable_array__elf_bytes(size_t *sz);

static inline int
test_access_variable_array__create_skeleton(struct test_access_variable_array *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_access_variable_array";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "test_acc.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "fentry_fentry";
	s->progs[0].prog = &obj->progs.fentry_fentry;
	s->progs[0].link = &obj->links.fentry_fentry;

	s->data = test_access_variable_array__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_access_variable_array__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x40\x0a\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\
\x6e\x74\x72\x79\x2f\x73\x63\x68\x65\x64\x5f\x62\x61\x6c\x61\x6e\x63\x65\x5f\
\x72\x71\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\
\x61\x63\x63\x65\x73\x73\x5f\x76\x61\x72\x69\x61\x62\x6c\x65\x5f\x61\x72\x72\
\x61\x79\x2e\x63\0\x66\x65\x6e\x74\x72\x79\x5f\x66\x65\x6e\x74\x72\x79\0\x73\
\x70\x61\x6e\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x66\x65\x6e\
\x74\x72\x79\x2f\x73\x63\x68\x65\x64\x5f\x62\x61\x6c\x61\x6e\x63\x65\x5f\x72\
\x71\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x36\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x53\0\
\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\x61\0\0\0\x11\0\x04\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\x66\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\x79\x11\x10\0\0\0\0\0\x79\x11\x20\x01\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\
\0\x08\x04\0\0\x08\x04\0\0\xbc\x03\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\
\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x14\0\0\0\x01\0\0\0\
\x18\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x1c\0\0\0\x01\0\0\x0c\x03\0\0\0\x2a\
\0\0\0\x2a\0\0\x04\x20\x01\0\0\x37\0\0\0\x07\0\0\0\0\0\0\0\x3e\0\0\0\x07\0\0\0\
\x40\0\0\0\x44\0\0\0\x08\0\0\0\x80\0\0\0\x4b\0\0\0\x09\0\0\0\xc0\0\0\0\x58\0\0\
\0\x09\0\0\0\0\x01\0\0\x65\0\0\0\x0a\0\0\0\x40\x01\0\0\x71\0\0\0\x0a\0\0\0\x60\
\x01\0\0\x7f\0\0\0\x0a\0\0\0\x80\x01\0\0\x90\0\0\0\x0a\0\0\0\xa0\x01\0\0\x9c\0\
\0\0\x04\0\0\0\xc0\x01\0\0\xa6\0\0\0\x04\0\0\0\xe0\x01\0\0\xac\0\0\0\x04\0\0\0\
\0\x02\0\0\xb2\0\0\0\x09\0\0\0\x40\x02\0\0\xbf\0\0\0\x0a\0\0\0\x80\x02\0\0\xd0\
\0\0\0\x0a\0\0\0\xa0\x02\0\0\xe2\0\0\0\x0b\0\0\0\xc0\x02\0\0\xf6\0\0\0\x09\0\0\
\0\0\x03\0\0\x0d\x01\0\0\x0d\0\0\0\x40\x03\0\0\x16\x01\0\0\x0d\0\0\0\xa0\x03\0\
\0\x20\x01\0\0\x0d\0\0\0\0\x04\0\0\x2c\x01\0\0\x0d\0\0\0\x60\x04\0\0\x39\x01\0\
\0\x0d\0\0\0\xc0\x04\0\0\x43\x01\0\0\x0d\0\0\0\x20\x05\0\0\x51\x01\0\0\x0d\0\0\
\0\x80\x05\0\0\x5c\x01\0\0\x0d\0\0\0\xe0\x05\0\0\x67\x01\0\0\x0a\0\0\0\x40\x06\
\0\0\x71\x01\0\0\x0a\0\0\0\x60\x06\0\0\x7c\x01\0\0\x0a\0\0\0\x80\x06\0\0\x87\
\x01\0\0\x0a\0\0\0\xa0\x06\0\0\x91\x01\0\0\x0a\0\0\0\xc0\x06\0\0\x9e\x01\0\0\
\x0a\0\0\0\xe0\x06\0\0\xa9\x01\0\0\x0a\0\0\0\0\x07\0\0\xb3\x01\0\0\x0a\0\0\0\
\x20\x07\0\0\xc0\x01\0\0\x0a\0\0\0\x40\x07\0\0\xcb\x01\0\0\x0a\0\0\0\x60\x07\0\
\0\xdc\x01\0\0\x0a\0\0\0\x80\x07\0\0\xed\x01\0\0\x0a\0\0\0\xa0\x07\0\0\xff\x01\
\0\0\x0f\0\0\0\xc0\x07\0\0\0\0\0\0\x11\0\0\0\0\x08\0\0\x04\x02\0\0\x17\0\0\0\
\x80\x08\0\0\x0b\x02\0\0\x0a\0\0\0\xc0\x08\0\0\x17\x02\0\0\x18\0\0\0\0\x09\0\0\
\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x02\x1c\0\0\0\x1c\x02\0\0\0\0\0\x01\
\x08\0\0\0\x40\0\0\0\x2a\x02\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x37\x02\0\0\0\0\
\0\x08\x0c\0\0\0\x3b\x02\0\0\0\0\0\x08\x02\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0a\
\0\0\0\x0e\0\0\0\x03\0\0\0\x41\x02\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\
\0\0\x02\x10\0\0\0\x55\x02\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\x02\0\0\
\x05\x10\0\0\0\x5a\x02\0\0\x12\0\0\0\0\0\0\0\x62\x02\0\0\x13\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x02\0\0\0\0\x66\x02\0\0\x02\0\0\x04\x10\0\0\0\x74\x02\0\0\x14\0\0\0\
\0\0\0\0\x79\x02\0\0\x15\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x13\0\0\0\0\0\0\0\0\
\0\0\x02\x16\0\0\0\0\0\0\0\x01\0\0\x0d\0\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\0\0\0\
\x02\x1d\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x09\0\0\0\x0e\0\0\0\0\0\0\0\x17\x02\0\
\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x10\0\0\0\x0e\0\0\0\
\x04\0\0\0\x7e\x02\0\0\0\0\0\x0e\x1a\0\0\0\x01\0\0\0\x87\x02\0\0\0\0\0\x07\0\0\
\0\0\x93\x02\0\0\0\0\0\x07\0\0\0\0\x97\x03\0\0\x01\0\0\x0f\x08\0\0\0\x19\0\0\0\
\0\0\0\0\x08\0\0\0\x9c\x03\0\0\x01\0\0\x0f\x04\0\0\0\x1b\0\0\0\0\0\0\0\x04\0\0\
\0\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\
\x63\x74\x78\0\x69\x6e\x74\0\x66\x65\x6e\x74\x72\x79\x5f\x66\x65\x6e\x74\x72\
\x79\0\x73\x63\x68\x65\x64\x5f\x64\x6f\x6d\x61\x69\x6e\0\x70\x61\x72\x65\x6e\
\x74\0\x63\x68\x69\x6c\x64\0\x67\x72\x6f\x75\x70\x73\0\x6d\x69\x6e\x5f\x69\x6e\
\x74\x65\x72\x76\x61\x6c\0\x6d\x61\x78\x5f\x69\x6e\x74\x65\x72\x76\x61\x6c\0\
\x62\x75\x73\x79\x5f\x66\x61\x63\x74\x6f\x72\0\x69\x6d\x62\x61\x6c\x61\x6e\x63\
\x65\x5f\x70\x63\x74\0\x63\x61\x63\x68\x65\x5f\x6e\x69\x63\x65\x5f\x74\x72\x69\
\x65\x73\0\x69\x6d\x62\x5f\x6e\x75\x6d\x61\x5f\x6e\x72\0\x6e\x6f\x68\x7a\x5f\
\x69\x64\x6c\x65\0\x66\x6c\x61\x67\x73\0\x6c\x65\x76\x65\x6c\0\x6c\x61\x73\x74\
\x5f\x62\x61\x6c\x61\x6e\x63\x65\0\x62\x61\x6c\x61\x6e\x63\x65\x5f\x69\x6e\x74\
\x65\x72\x76\x61\x6c\0\x6e\x72\x5f\x62\x61\x6c\x61\x6e\x63\x65\x5f\x66\x61\x69\
\x6c\x65\x64\0\x6d\x61\x78\x5f\x6e\x65\x77\x69\x64\x6c\x65\x5f\x6c\x62\x5f\x63\
\x6f\x73\x74\0\x6c\x61\x73\x74\x5f\x64\x65\x63\x61\x79\x5f\x6d\x61\x78\x5f\x6c\
\x62\x5f\x63\x6f\x73\x74\0\x6c\x62\x5f\x63\x6f\x75\x6e\x74\0\x6c\x62\x5f\x66\
\x61\x69\x6c\x65\x64\0\x6c\x62\x5f\x62\x61\x6c\x61\x6e\x63\x65\x64\0\x6c\x62\
\x5f\x69\x6d\x62\x61\x6c\x61\x6e\x63\x65\0\x6c\x62\x5f\x67\x61\x69\x6e\x65\x64\
\0\x6c\x62\x5f\x68\x6f\x74\x5f\x67\x61\x69\x6e\x65\x64\0\x6c\x62\x5f\x6e\x6f\
\x62\x75\x73\x79\x67\0\x6c\x62\x5f\x6e\x6f\x62\x75\x73\x79\x71\0\x61\x6c\x62\
\x5f\x63\x6f\x75\x6e\x74\0\x61\x6c\x62\x5f\x66\x61\x69\x6c\x65\x64\0\x61\x6c\
\x62\x5f\x70\x75\x73\x68\x65\x64\0\x73\x62\x65\x5f\x63\x6f\x75\x6e\x74\0\x73\
\x62\x65\x5f\x62\x61\x6c\x61\x6e\x63\x65\x64\0\x73\x62\x65\x5f\x70\x75\x73\x68\
\x65\x64\0\x73\x62\x66\x5f\x63\x6f\x75\x6e\x74\0\x73\x62\x66\x5f\x62\x61\x6c\
\x61\x6e\x63\x65\x64\0\x73\x62\x66\x5f\x70\x75\x73\x68\x65\x64\0\x74\x74\x77\
\x75\x5f\x77\x61\x6b\x65\x5f\x72\x65\x6d\x6f\x74\x65\0\x74\x74\x77\x75\x5f\x6d\
\x6f\x76\x65\x5f\x61\x66\x66\x69\x6e\x65\0\x74\x74\x77\x75\x5f\x6d\x6f\x76\x65\
\x5f\x62\x61\x6c\x61\x6e\x63\x65\0\x6e\x61\x6d\x65\0\x73\x68\x61\x72\x65\x64\0\
\x73\x70\x61\x6e\x5f\x77\x65\x69\x67\x68\x74\0\x73\x70\x61\x6e\0\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x69\x6e\x74\0\x75\x36\x34\0\x5f\x5f\x75\x36\x34\0\x5f\x5f\x41\x52\x52\x41\x59\
\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x63\x68\x61\x72\0\x70\x72\
\x69\x76\x61\x74\x65\0\x72\x63\x75\0\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x68\
\x65\x61\x64\0\x6e\x65\x78\x74\0\x66\x75\x6e\x63\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x73\x63\x68\x65\x64\x5f\x67\x72\x6f\x75\x70\0\x73\x63\x68\x65\x64\x5f\
\x64\x6f\x6d\x61\x69\x6e\x5f\x73\x68\x61\x72\x65\x64\0\x2f\x62\x75\x69\x6c\x64\
\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\
\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\
\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\
\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\
\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\
\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\
\x2f\x74\x65\x73\x74\x5f\x61\x63\x63\x65\x73\x73\x5f\x76\x61\x72\x69\x61\x62\
\x6c\x65\x5f\x61\x72\x72\x61\x79\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\
\x52\x4f\x47\x28\x66\x65\x6e\x74\x72\x79\x5f\x66\x65\x6e\x74\x72\x79\x2c\x20\
\x69\x6e\x74\x20\x74\x68\x69\x73\x5f\x63\x70\x75\x2c\x20\x73\x74\x72\x75\x63\
\x74\x20\x72\x71\x20\x2a\x74\x68\x69\x73\x5f\x72\x71\x2c\0\x09\x73\x70\x61\x6e\
\x20\x3d\x20\x73\x64\x2d\x3e\x73\x70\x61\x6e\x5b\x30\x5d\x3b\0\x30\x3a\x34\x31\
\x3a\x30\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x66\x65\x6e\x74\x72\
\x79\x2f\x73\x63\x68\x65\x64\x5f\x62\x61\x6c\x61\x6e\x63\x65\x5f\x72\x71\0\0\0\
\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x4c\0\0\0\x60\0\0\0\
\x1c\0\0\0\x08\0\0\0\xa4\x03\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\x10\0\0\0\xa4\x03\
\0\0\x04\0\0\0\0\0\0\0\xa7\x02\0\0\x3d\x03\0\0\x05\x2c\0\0\x08\0\0\0\xa7\x02\0\
\0\x7b\x03\0\0\x09\x38\0\0\x10\0\0\0\xa7\x02\0\0\x7b\x03\0\0\x07\x38\0\0\x28\0\
\0\0\xa7\x02\0\0\x3d\x03\0\0\x05\x2c\0\0\x10\0\0\0\xa4\x03\0\0\x01\0\0\0\x08\0\
\0\0\x06\0\0\0\x90\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\
\0\0\0\0\x99\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\x90\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\
\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x01\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x29\0\0\0\x08\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x01\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2e\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xa8\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x6f\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb0\x01\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x8b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x01\
\0\0\0\0\0\0\xdc\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x90\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x09\0\0\0\0\0\0\
\x9c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_access_variable_array *test_access_variable_array::open(const struct bpf_object_open_opts *opts) { return test_access_variable_array__open_opts(opts); }
struct test_access_variable_array *test_access_variable_array::open_and_load() { return test_access_variable_array__open_and_load(); }
int test_access_variable_array::load(struct test_access_variable_array *skel) { return test_access_variable_array__load(skel); }
int test_access_variable_array::attach(struct test_access_variable_array *skel) { return test_access_variable_array__attach(skel); }
void test_access_variable_array::detach(struct test_access_variable_array *skel) { test_access_variable_array__detach(skel); }
void test_access_variable_array::destroy(struct test_access_variable_array *skel) { test_access_variable_array__destroy(skel); }
const void *test_access_variable_array::elf_bytes(size_t *sz) { return test_access_variable_array__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_access_variable_array__assert(struct test_access_variable_array *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->span) == 8, "unexpected size of 'span'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_ACCESS_VARIABLE_ARRAY_SKEL_H__ */
