/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_D_PATH_CHECK_TYPES_SKEL_H__
#define __TEST_D_PATH_CHECK_TYPES_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_d_path_check_types {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *ringbuf;
	} maps;
	struct {
		struct bpf_program *d_path_check_rdonly_mem;
	} progs;
	struct {
		struct bpf_link *d_path_check_rdonly_mem;
	} links;

#ifdef __cplusplus
	static inline struct test_d_path_check_types *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_d_path_check_types *open_and_load();
	static inline int load(struct test_d_path_check_types *skel);
	static inline int attach(struct test_d_path_check_types *skel);
	static inline void detach(struct test_d_path_check_types *skel);
	static inline void destroy(struct test_d_path_check_types *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_d_path_check_types__destroy(struct test_d_path_check_types *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_d_path_check_types__create_skeleton(struct test_d_path_check_types *obj);

static inline struct test_d_path_check_types *
test_d_path_check_types__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_d_path_check_types *obj;
	int err;

	obj = (struct test_d_path_check_types *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_d_path_check_types__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_d_path_check_types__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_d_path_check_types *
test_d_path_check_types__open(void)
{
	return test_d_path_check_types__open_opts(NULL);
}

static inline int
test_d_path_check_types__load(struct test_d_path_check_types *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_d_path_check_types *
test_d_path_check_types__open_and_load(void)
{
	struct test_d_path_check_types *obj;
	int err;

	obj = test_d_path_check_types__open();
	if (!obj)
		return NULL;
	err = test_d_path_check_types__load(obj);
	if (err) {
		test_d_path_check_types__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_d_path_check_types__attach(struct test_d_path_check_types *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_d_path_check_types__detach(struct test_d_path_check_types *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_d_path_check_types__elf_bytes(size_t *sz);

static inline int
test_d_path_check_types__create_skeleton(struct test_d_path_check_types *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_d_path_check_types";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "ringbuf";
	map->map = &obj->maps.ringbuf;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "d_path_check_rdonly_mem";
	s->progs[0].prog = &obj->progs.d_path_check_rdonly_mem;
	s->progs[0].link = &obj->links.d_path_check_rdonly_mem;

	s->data = test_d_path_check_types__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_d_path_check_types__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x68\x06\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\
\x6e\x74\x72\x79\x2f\x73\x65\x63\x75\x72\x69\x74\x79\x5f\x69\x6e\x6f\x64\x65\
\x5f\x67\x65\x74\x61\x74\x74\x72\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\
\x70\x73\0\x74\x65\x73\x74\x5f\x64\x5f\x70\x61\x74\x68\x5f\x63\x68\x65\x63\x6b\
\x5f\x74\x79\x70\x65\x73\x2e\x63\0\x64\x5f\x70\x61\x74\x68\x5f\x63\x68\x65\x63\
\x6b\x5f\x72\x64\x6f\x6e\x6c\x79\x5f\x6d\x65\x6d\0\x62\x70\x66\x5f\x70\x72\x6f\
\x67\x5f\x61\x63\x74\x69\x76\x65\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x72\x69\
\x6e\x67\x62\x75\x66\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x73\x65\x63\
\x75\x72\x69\x74\x79\x5f\x69\x6e\x6f\x64\x65\x5f\x67\x65\x74\x61\x74\x74\x72\0\
\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x3d\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x57\0\0\0\x12\0\x03\0\0\0\
\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\x6f\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x7f\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x88\0\0\0\x11\0\
\x05\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x85\0\0\0\x08\0\0\0\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xbf\x02\0\0\0\0\0\0\x85\0\0\0\x99\0\0\0\x15\0\x03\0\0\0\0\0\
\xbf\x01\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\0\0\0\x84\0\0\0\xb7\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x74\x01\0\0\
\x74\x01\0\0\x1f\x02\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\
\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x1b\0\0\0\x05\0\
\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\0\x10\0\0\0\0\0\0\x02\0\0\x04\x10\0\0\0\x19\0\
\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x2a\0\0\0\0\0\0\x0e\x07\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0a\0\0\0\x32\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\
\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x45\0\0\0\x09\0\0\0\x49\0\0\0\x01\0\0\x0c\
\x0b\0\0\0\x61\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\
\x0d\0\0\0\x04\0\0\0\x04\0\0\0\x66\0\0\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\x0a\x02\0\0\0\x6f\0\0\0\0\0\0\x0e\x10\0\0\0\x02\0\0\0\xec\x01\0\0\x01\0\
\0\x0f\x04\0\0\0\x0f\0\0\0\0\0\0\0\x04\0\0\0\xf4\x01\0\0\x01\0\0\x0f\x10\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\xfa\x01\0\0\x01\0\0\x0f\0\0\0\0\x11\0\0\0\0\0\0\0\
\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\
\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\
\x69\x65\x73\0\x72\x69\x6e\x67\x62\x75\x66\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x64\x5f\x70\x61\x74\
\x68\x5f\x63\x68\x65\x63\x6b\x5f\x72\x64\x6f\x6e\x6c\x79\x5f\x6d\x65\x6d\0\x63\
\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x70\x72\x6f\
\x67\x5f\x61\x63\x74\x69\x76\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\
\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\
\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\
\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\
\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\
\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\
\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\
\x5f\x64\x5f\x70\x61\x74\x68\x5f\x63\x68\x65\x63\x6b\x5f\x74\x79\x70\x65\x73\
\x2e\x63\0\x09\x63\x70\x75\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x6d\
\x70\x5f\x70\x72\x6f\x63\x65\x73\x73\x6f\x72\x5f\x69\x64\x28\x29\x3b\0\x09\x61\
\x63\x74\x69\x76\x65\x20\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x62\x70\x66\
\x5f\x70\x65\x72\x5f\x63\x70\x75\x5f\x70\x74\x72\x28\x26\x62\x70\x66\x5f\x70\
\x72\x6f\x67\x5f\x61\x63\x74\x69\x76\x65\x2c\x20\x63\x70\x75\x29\x3b\0\x09\x69\
\x66\x20\x28\x61\x63\x74\x69\x76\x65\x29\x20\x7b\0\x09\x09\x62\x70\x66\x5f\x72\
\x69\x6e\x67\x62\x75\x66\x5f\x73\x75\x62\x6d\x69\x74\x28\x61\x63\x74\x69\x76\
\x65\x2c\x20\x30\x29\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\
\x64\x5f\x70\x61\x74\x68\x5f\x63\x68\x65\x63\x6b\x5f\x72\x64\x6f\x6e\x6c\x79\
\x5f\x6d\x65\x6d\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x70\x61\x74\x68\x20\x2a\
\x70\x61\x74\x68\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x6b\x73\x74\x61\x74\x20\
\x2a\x73\x74\x61\x74\x2c\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\
\x2e\x6b\x73\x79\x6d\x73\0\x66\x65\x6e\x74\x72\x79\x2f\x73\x65\x63\x75\x72\x69\
\x74\x79\x5f\x69\x6e\x6f\x64\x65\x5f\x67\x65\x74\x61\x74\x74\x72\0\0\0\0\0\0\
\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x5c\0\0\0\x70\0\0\0\0\0\0\
\0\x08\0\0\0\x01\x02\0\0\x01\0\0\0\0\0\0\0\x0c\0\0\0\x10\0\0\0\x01\x02\0\0\x05\
\0\0\0\0\0\0\0\x7f\0\0\0\x12\x01\0\0\x08\x54\0\0\x08\0\0\0\x7f\0\0\0\x35\x01\0\
\0\x13\x58\0\0\x28\0\0\0\x7f\0\0\0\x6f\x01\0\0\x06\x5c\0\0\x30\0\0\0\x7f\0\0\0\
\x7e\x01\0\0\x03\x6c\0\0\x48\0\0\0\x7f\0\0\0\x9f\x01\0\0\x05\x3c\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\
\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x01\0\0\0\
\0\0\0\x58\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2f\
\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x37\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x02\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\0\0\0\x09\0\0\0\x40\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xb2\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x28\x02\0\0\0\0\0\0\xab\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\
\x05\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_d_path_check_types *test_d_path_check_types::open(const struct bpf_object_open_opts *opts) { return test_d_path_check_types__open_opts(opts); }
struct test_d_path_check_types *test_d_path_check_types::open_and_load() { return test_d_path_check_types__open_and_load(); }
int test_d_path_check_types::load(struct test_d_path_check_types *skel) { return test_d_path_check_types__load(skel); }
int test_d_path_check_types::attach(struct test_d_path_check_types *skel) { return test_d_path_check_types__attach(skel); }
void test_d_path_check_types::detach(struct test_d_path_check_types *skel) { test_d_path_check_types__detach(skel); }
void test_d_path_check_types::destroy(struct test_d_path_check_types *skel) { test_d_path_check_types__destroy(skel); }
const void *test_d_path_check_types::elf_bytes(size_t *sz) { return test_d_path_check_types__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_d_path_check_types__assert(struct test_d_path_check_types *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_D_PATH_CHECK_TYPES_SKEL_H__ */
