/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_LEGACY_PRINTK_SKEL_H__
#define __TEST_LEGACY_PRINTK_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_legacy_printk {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *my_pid_map;
		struct bpf_map *res_map;
		struct bpf_map *bss;
		struct bpf_map *rodata_str1_1;
	} maps;
	struct {
		struct bpf_program *handle_legacy;
		struct bpf_program *handle_modern;
	} progs;
	struct {
		struct bpf_link *handle_legacy;
		struct bpf_link *handle_modern;
	} links;
	struct test_legacy_printk__bss {
		int my_pid_var;
		int res_var;
	} *bss;

#ifdef __cplusplus
	static inline struct test_legacy_printk *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_legacy_printk *open_and_load();
	static inline int load(struct test_legacy_printk *skel);
	static inline int attach(struct test_legacy_printk *skel);
	static inline void detach(struct test_legacy_printk *skel);
	static inline void destroy(struct test_legacy_printk *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_legacy_printk__destroy(struct test_legacy_printk *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_legacy_printk__create_skeleton(struct test_legacy_printk *obj);

static inline struct test_legacy_printk *
test_legacy_printk__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_legacy_printk *obj;
	int err;

	obj = (struct test_legacy_printk *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_legacy_printk__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_legacy_printk__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_legacy_printk *
test_legacy_printk__open(void)
{
	return test_legacy_printk__open_opts(NULL);
}

static inline int
test_legacy_printk__load(struct test_legacy_printk *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_legacy_printk *
test_legacy_printk__open_and_load(void)
{
	struct test_legacy_printk *obj;
	int err;

	obj = test_legacy_printk__open();
	if (!obj)
		return NULL;
	err = test_legacy_printk__load(obj);
	if (err) {
		test_legacy_printk__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_legacy_printk__attach(struct test_legacy_printk *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_legacy_printk__detach(struct test_legacy_printk *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_legacy_printk__elf_bytes(size_t *sz);

static inline int
test_legacy_printk__create_skeleton(struct test_legacy_printk *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_legacy_printk";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 4;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "my_pid_map";
	map->map = &obj->maps.my_pid_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "res_map";
	map->map = &obj->maps.res_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "test_leg.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 3 * s->map_skel_sz);
	map->name = ".rodata.str1.1";
	map->map = &obj->maps.rodata_str1_1;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "handle_legacy";
	s->progs[0].prog = &obj->progs.handle_legacy;
	s->progs[0].link = &obj->links.handle_legacy;

	s->progs[1].name = "handle_modern";
	s->progs[1].prog = &obj->progs.handle_modern;
	s->progs[1].link = &obj->links.handle_modern;

	s->data = test_legacy_printk__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_legacy_printk__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x90\x0c\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x70\
\x2f\x72\x61\x77\x5f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\
\x6e\x74\x65\x72\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6d\x61\
\x70\x73\0\x2e\x72\x6f\x64\x61\x74\x61\x2e\x73\x74\x72\x31\x2e\x31\0\x74\x65\
\x73\x74\x5f\x6c\x65\x67\x61\x63\x79\x5f\x70\x72\x69\x6e\x74\x6b\x2e\x63\0\x68\
\x61\x6e\x64\x6c\x65\x5f\x6c\x65\x67\x61\x63\x79\0\x6d\x79\x5f\x70\x69\x64\x5f\
\x6d\x61\x70\0\x72\x65\x73\x5f\x6d\x61\x70\0\x68\x61\x6e\x64\x6c\x65\x5f\x6d\
\x6f\x64\x65\x72\x6e\0\x6d\x79\x5f\x70\x69\x64\x5f\x76\x61\x72\0\x72\x65\x73\
\x5f\x76\x61\x72\0\x4c\x49\x43\x45\x4e\x53\x45\0\x2e\x72\x65\x6c\x74\x70\x2f\
\x72\x61\x77\x5f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\
\x74\x65\x72\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4d\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\0\0\0\
\x12\0\x03\0\0\0\0\0\0\0\0\0\x88\x01\0\0\0\0\0\0\x70\0\0\0\x11\0\x06\0\0\0\0\0\
\0\0\0\0\x20\0\0\0\0\0\0\0\x7b\0\0\0\x11\0\x06\0\x20\0\0\0\0\0\0\0\x20\0\0\0\0\
\0\0\0\x83\0\0\0\x12\0\x03\0\x88\x01\0\0\0\0\0\0\x28\x01\0\0\0\0\0\0\x91\0\0\0\
\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x9c\0\0\0\x11\0\x05\0\x04\0\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\xa4\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\xb7\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\
\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\
\x07\0\0\0\0\0\0\x15\x07\x26\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\xbf\x06\0\0\0\0\0\0\
\x77\x06\0\0\x20\0\0\0\x61\x71\0\0\0\0\0\0\x5d\x61\x21\0\0\0\0\0\xbf\xa2\0\0\0\
\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\
\0\x01\0\0\0\x15\0\x1b\0\0\0\0\0\x61\x01\0\0\0\0\0\0\x55\x01\x17\0\0\0\0\0\xb7\
\x01\0\0\0\0\0\0\x73\x1a\xf4\xff\0\0\0\0\xb7\x01\0\0\x20\x25\x64\x0a\x63\x1a\
\xf0\xff\0\0\0\0\x18\x01\0\0\x65\x73\x74\x2c\0\0\0\0\x20\x70\x69\x64\x7b\x1a\
\xe8\xff\0\0\0\0\x18\x01\0\0\x70\x72\x69\x6e\0\0\0\0\x74\x6b\x20\x74\x7b\x1a\
\xe0\xff\0\0\0\0\x18\x01\0\0\x61\x73\x65\x20\0\0\0\0\x62\x70\x66\x5f\x7b\x1a\
\xd8\xff\0\0\0\0\x18\x01\0\0\x4c\x65\x67\x61\0\0\0\0\x63\x79\x2d\x63\x7b\x1a\
\xd0\xff\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xd0\xff\xff\xff\xb7\x02\0\0\
\x25\0\0\0\xbf\x63\0\0\0\0\0\0\xbf\x06\0\0\0\0\0\0\x85\0\0\0\x06\0\0\0\xbf\x60\
\0\0\0\0\0\0\xb7\x01\0\0\x01\0\0\0\x63\x10\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\x95\
\0\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\xb7\x01\0\0\x01\0\0\0\x77\0\0\0\x20\0\0\0\
\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x22\0\0\0\0\0\0\x5d\x02\x1c\0\0\0\0\0\
\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x61\0\0\0\0\0\0\x55\x01\x15\0\0\0\0\0\
\xb7\x01\0\0\0\0\0\0\x73\x1a\xfc\xff\0\0\0\0\xb7\x01\0\0\x20\x25\x64\x0a\x63\
\x1a\xf8\xff\0\0\0\0\x18\x01\0\0\x65\x73\x74\x2c\0\0\0\0\x20\x70\x69\x64\x7b\
\x1a\xf0\xff\0\0\0\0\x18\x01\0\0\x70\x72\x69\x6e\0\0\0\0\x74\x6b\x20\x74\x7b\
\x1a\xe8\xff\0\0\0\0\x18\x01\0\0\x61\x73\x65\x20\0\0\0\0\x62\x70\x66\x5f\x7b\
\x1a\xe0\xff\0\0\0\0\x18\x01\0\0\x4d\x6f\x64\x65\0\0\0\0\x72\x6e\x2d\x63\x7b\
\x1a\xd8\xff\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xd8\xff\xff\xff\xb7\x02\0\
\0\x25\0\0\0\xbf\x03\0\0\0\0\0\0\x85\0\0\0\x06\0\0\0\xb7\x01\0\0\x01\0\0\0\x63\
\x16\0\0\0\0\0\0\x61\x61\0\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\
\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4c\x65\
\x67\x61\x63\x79\x2d\x63\x61\x73\x65\x20\x62\x70\x66\x5f\x70\x72\x69\x6e\x74\
\x6b\x20\x74\x65\x73\x74\x2c\x20\x70\x69\x64\x20\x25\x64\x0a\0\x4d\x6f\x64\x65\
\x72\x6e\x2d\x63\x61\x73\x65\x20\x62\x70\x66\x5f\x70\x72\x69\x6e\x74\x6b\x20\
\x74\x65\x73\x74\x2c\x20\x70\x69\x64\x20\x25\x64\x0a\0\0\0\0\0\0\0\x20\0\0\0\0\
\0\0\0\x01\0\0\0\x04\0\0\0\x80\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\xa0\x01\0\0\0\
\0\0\0\x01\0\0\0\x07\0\0\0\xc0\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x9f\xeb\x01\
\0\x18\0\0\0\0\0\0\0\xcc\x01\0\0\xcc\x01\0\0\x3f\x03\0\0\0\0\0\0\0\0\0\x02\x03\
\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\
\0\0\0\x04\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\
\0\x02\x02\0\0\0\0\0\0\0\0\0\0\x02\x07\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\
\0\x04\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\
\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x22\0\0\0\x05\0\0\0\x80\0\0\0\x28\0\0\0\x06\0\
\0\0\xc0\0\0\0\x34\0\0\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\x3f\0\0\0\0\0\0\x0e\x08\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x47\0\
\0\0\x0b\0\0\0\x4b\0\0\0\x01\0\0\x0c\x0c\0\0\0\x59\0\0\0\x01\0\0\x0c\x0c\0\0\0\
\x67\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x0f\0\0\0\
\x04\0\0\0\x04\0\0\0\x6c\0\0\0\0\0\0\x0e\x10\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x09\
\x02\0\0\0\x74\0\0\0\0\0\0\x0e\x12\0\0\0\x01\0\0\0\x7f\0\0\0\0\0\0\x0e\x12\0\0\
\0\x01\0\0\0\x12\x03\0\0\x01\0\0\x0f\x04\0\0\0\x11\0\0\0\0\0\0\0\x04\0\0\0\x1a\
\x03\0\0\x02\0\0\x0f\x08\0\0\0\x13\0\0\0\0\0\0\0\x04\0\0\0\x14\0\0\0\x04\0\0\0\
\x04\0\0\0\x1f\x03\0\0\x02\0\0\x0f\x40\0\0\0\x09\0\0\0\0\0\0\0\x20\0\0\0\x0a\0\
\0\0\x20\0\0\0\x20\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\
\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6b\x65\x79\0\x76\
\x61\x6c\x75\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6d\x79\x5f\
\x70\x69\x64\x5f\x6d\x61\x70\0\x72\x65\x73\x5f\x6d\x61\x70\0\x63\x74\x78\0\x68\
\x61\x6e\x64\x6c\x65\x5f\x6c\x65\x67\x61\x63\x79\0\x68\x61\x6e\x64\x6c\x65\x5f\
\x6d\x6f\x64\x65\x72\x6e\0\x63\x68\x61\x72\0\x4c\x49\x43\x45\x4e\x53\x45\0\x6d\
\x79\x5f\x70\x69\x64\x5f\x76\x61\x72\0\x72\x65\x73\x5f\x76\x61\x72\0\x2f\x62\
\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\
\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\
\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\
\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\
\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\
\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\
\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x6c\x65\x67\x61\x63\x79\x5f\x70\x72\
\x69\x6e\x74\x6b\x2e\x63\0\x69\x6e\x74\x20\x68\x61\x6e\x64\x6c\x65\x5f\x6c\x65\
\x67\x61\x63\x79\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x69\x6e\x74\
\x20\x7a\x65\x72\x6f\x20\x3d\x20\x30\x2c\x20\x2a\x6d\x79\x5f\x70\x69\x64\x2c\
\x20\x63\x75\x72\x5f\x70\x69\x64\x2c\x20\x2a\x6d\x79\x5f\x72\x65\x73\x3b\0\x09\
\x6d\x79\x5f\x70\x69\x64\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\
\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x6d\x79\x5f\x70\x69\x64\x5f\x6d\
\x61\x70\x2c\x20\x26\x7a\x65\x72\x6f\x29\x3b\0\x09\x69\x66\x20\x28\x21\x6d\x79\
\x5f\x70\x69\x64\x29\0\x09\x63\x75\x72\x5f\x70\x69\x64\x20\x3d\x20\x62\x70\x66\
\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\
\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x3b\0\x09\x69\x66\x20\x28\x63\x75\x72\
\x5f\x70\x69\x64\x20\x21\x3d\x20\x2a\x6d\x79\x5f\x70\x69\x64\x29\0\x09\x6d\x79\
\x5f\x72\x65\x73\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\
\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x72\x65\x73\x5f\x6d\x61\x70\x2c\x20\x26\
\x7a\x65\x72\x6f\x29\x3b\0\x09\x69\x66\x20\x28\x21\x6d\x79\x5f\x72\x65\x73\x29\
\0\x09\x69\x66\x20\x28\x2a\x6d\x79\x5f\x72\x65\x73\x20\x3d\x3d\x20\x30\x29\0\
\x09\x09\x62\x70\x66\x5f\x70\x72\x69\x6e\x74\x6b\x28\x22\x4c\x65\x67\x61\x63\
\x79\x2d\x63\x61\x73\x65\x20\x62\x70\x66\x5f\x70\x72\x69\x6e\x74\x6b\x20\x74\
\x65\x73\x74\x2c\x20\x70\x69\x64\x20\x25\x64\x5c\x6e\x22\x2c\x20\x63\x75\x72\
\x5f\x70\x69\x64\x29\x3b\0\x09\x2a\x6d\x79\x5f\x72\x65\x73\x20\x3d\x20\x31\x3b\
\0\x7d\0\x09\x69\x66\x20\x28\x63\x75\x72\x5f\x70\x69\x64\x20\x21\x3d\x20\x6d\
\x79\x5f\x70\x69\x64\x5f\x76\x61\x72\x29\0\x09\x69\x66\x20\x28\x72\x65\x73\x5f\
\x76\x61\x72\x20\x3d\x3d\x20\x30\x29\0\x09\x09\x62\x70\x66\x5f\x70\x72\x69\x6e\
\x74\x6b\x28\x22\x4d\x6f\x64\x65\x72\x6e\x2d\x63\x61\x73\x65\x20\x62\x70\x66\
\x5f\x70\x72\x69\x6e\x74\x6b\x20\x74\x65\x73\x74\x2c\x20\x70\x69\x64\x20\x25\
\x64\x5c\x6e\x22\x2c\x20\x63\x75\x72\x5f\x70\x69\x64\x29\x3b\0\x09\x72\x65\x73\
\x5f\x76\x61\x72\x20\x3d\x20\x31\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x72\x65\
\x73\x5f\x76\x61\x72\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\
\x6d\x61\x70\x73\0\x74\x70\x2f\x72\x61\x77\x5f\x73\x79\x73\x63\x61\x6c\x6c\x73\
\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\
\0\0\0\x1c\0\0\0\x1c\0\0\0\x9c\x01\0\0\xb8\x01\0\0\0\0\0\0\x08\0\0\0\x25\x03\0\
\0\x02\0\0\0\0\0\0\0\x0d\0\0\0\x88\x01\0\0\x0e\0\0\0\x10\0\0\0\x25\x03\0\0\x19\
\0\0\0\0\0\0\0\x87\0\0\0\x15\x01\0\0\0\x70\0\0\x08\0\0\0\x87\0\0\0\x32\x01\0\0\
\x06\x78\0\0\x20\0\0\0\x87\0\0\0\x5c\x01\0\0\x0b\x80\0\0\x40\0\0\0\x87\0\0\0\
\x8f\x01\0\0\x06\x84\0\0\x48\0\0\0\x87\0\0\0\x9d\x01\0\0\x0c\x90\0\0\x58\0\0\0\
\x87\0\0\0\x9d\x01\0\0\x27\x90\0\0\x60\0\0\0\x87\0\0\0\xca\x01\0\0\x11\x94\0\0\
\x68\0\0\0\x87\0\0\0\xca\x01\0\0\x06\x94\0\0\x80\0\0\0\x87\0\0\0\xe3\x01\0\0\
\x0b\xa0\0\0\x98\0\0\0\x87\0\0\0\x13\x02\0\0\x06\xa4\0\0\xa0\0\0\0\x87\0\0\0\
\x21\x02\0\0\x06\xb0\0\0\xa8\0\0\0\x87\0\0\0\x21\x02\0\0\x06\xb0\0\0\xb8\0\0\0\
\x87\0\0\0\x34\x02\0\0\x03\xc8\0\0\x70\x01\0\0\x87\0\0\0\x74\x02\0\0\x0a\xcc\0\
\0\x78\x01\0\0\x87\0\0\0\x82\x02\0\0\x01\xd8\0\0\x88\x01\0\0\x87\0\0\0\x9d\x01\
\0\0\x0c\xf4\0\0\x98\x01\0\0\x87\0\0\0\x9d\x01\0\0\x27\xf4\0\0\xa0\x01\0\0\x87\
\0\0\0\x84\x02\0\0\x11\xf8\0\0\xb8\x01\0\0\x87\0\0\0\x84\x02\0\0\x06\xf8\0\0\
\xc0\x01\0\0\x87\0\0\0\xa0\x02\0\0\x06\x04\x01\0\xd8\x01\0\0\x87\0\0\0\xa0\x02\
\0\0\x06\x04\x01\0\xe8\x01\0\0\x87\0\0\0\xb3\x02\0\0\x03\x14\x01\0\x90\x02\0\0\
\x87\0\0\0\xf3\x02\0\0\x0a\x18\x01\0\x98\x02\0\0\x87\0\0\0\x01\x03\0\0\x09\x20\
\x01\0\xa0\x02\0\0\x87\0\0\0\x82\x02\0\0\x01\x24\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x40\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x01\0\0\0\0\
\0\0\xf0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\
\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x02\0\0\0\0\0\0\xb0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2b\0\0\0\
\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x04\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x33\0\0\0\x08\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbc\x04\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xc0\x04\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x3e\0\0\0\x01\0\0\0\x32\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x05\0\0\0\0\0\0\x4a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\xac\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x05\0\0\
\0\0\0\0\x40\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\xca\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x05\0\0\0\0\0\0\
\x23\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xcf\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x0a\0\0\0\0\0\0\xd8\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_legacy_printk *test_legacy_printk::open(const struct bpf_object_open_opts *opts) { return test_legacy_printk__open_opts(opts); }
struct test_legacy_printk *test_legacy_printk::open_and_load() { return test_legacy_printk__open_and_load(); }
int test_legacy_printk::load(struct test_legacy_printk *skel) { return test_legacy_printk__load(skel); }
int test_legacy_printk::attach(struct test_legacy_printk *skel) { return test_legacy_printk__attach(skel); }
void test_legacy_printk::detach(struct test_legacy_printk *skel) { test_legacy_printk__detach(skel); }
void test_legacy_printk::destroy(struct test_legacy_printk *skel) { test_legacy_printk__destroy(skel); }
const void *test_legacy_printk::elf_bytes(size_t *sz) { return test_legacy_printk__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_legacy_printk__assert(struct test_legacy_printk *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->my_pid_var) == 4, "unexpected size of 'my_pid_var'");
	_Static_assert(sizeof(s->bss->res_var) == 4, "unexpected size of 'res_var'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_LEGACY_PRINTK_SKEL_H__ */
