/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_MAP_LOOKUP_PERCPU_ELEM_SKEL_H__
#define __TEST_MAP_LOOKUP_PERCPU_ELEM_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_map_lookup_percpu_elem {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *percpu_array_map;
		struct bpf_map *percpu_hash_map;
		struct bpf_map *percpu_lru_hash_map;
		struct bpf_map *bss;
		struct bpf_map *rodata;
	} maps;
	struct {
		struct bpf_program *sysenter_getuid;
	} progs;
	struct {
		struct bpf_link *sysenter_getuid;
	} links;
	struct test_map_lookup_percpu_elem__bss {
		__u64 percpu_array_elem_sum;
		__u64 percpu_hash_elem_sum;
		__u64 percpu_lru_hash_elem_sum;
	} *bss;
	struct test_map_lookup_percpu_elem__rodata {
		int my_pid;
		int nr_cpus;
	} *rodata;

#ifdef __cplusplus
	static inline struct test_map_lookup_percpu_elem *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_map_lookup_percpu_elem *open_and_load();
	static inline int load(struct test_map_lookup_percpu_elem *skel);
	static inline int attach(struct test_map_lookup_percpu_elem *skel);
	static inline void detach(struct test_map_lookup_percpu_elem *skel);
	static inline void destroy(struct test_map_lookup_percpu_elem *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_map_lookup_percpu_elem__destroy(struct test_map_lookup_percpu_elem *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_map_lookup_percpu_elem__create_skeleton(struct test_map_lookup_percpu_elem *obj);

static inline struct test_map_lookup_percpu_elem *
test_map_lookup_percpu_elem__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_map_lookup_percpu_elem *obj;
	int err;

	obj = (struct test_map_lookup_percpu_elem *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_map_lookup_percpu_elem__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_map_lookup_percpu_elem__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_map_lookup_percpu_elem *
test_map_lookup_percpu_elem__open(void)
{
	return test_map_lookup_percpu_elem__open_opts(NULL);
}

static inline int
test_map_lookup_percpu_elem__load(struct test_map_lookup_percpu_elem *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_map_lookup_percpu_elem *
test_map_lookup_percpu_elem__open_and_load(void)
{
	struct test_map_lookup_percpu_elem *obj;
	int err;

	obj = test_map_lookup_percpu_elem__open();
	if (!obj)
		return NULL;
	err = test_map_lookup_percpu_elem__load(obj);
	if (err) {
		test_map_lookup_percpu_elem__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_map_lookup_percpu_elem__attach(struct test_map_lookup_percpu_elem *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_map_lookup_percpu_elem__detach(struct test_map_lookup_percpu_elem *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_map_lookup_percpu_elem__elf_bytes(size_t *sz);

static inline int
test_map_lookup_percpu_elem__create_skeleton(struct test_map_lookup_percpu_elem *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_map_lookup_percpu_elem";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 5;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "percpu_array_map";
	map->map = &obj->maps.percpu_array_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "percpu_hash_map";
	map->map = &obj->maps.percpu_hash_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "percpu_lru_hash_map";
	map->map = &obj->maps.percpu_lru_hash_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 3 * s->map_skel_sz);
	map->name = "test_map.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 4 * s->map_skel_sz);
	map->name = "test_map.rodata";
	map->map = &obj->maps.rodata;
	map->mmaped = (void **)&obj->rodata;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "sysenter_getuid";
	s->progs[0].prog = &obj->progs.sysenter_getuid;
	s->progs[0].link = &obj->links.sysenter_getuid;

	s->data = test_map_lookup_percpu_elem__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_map_lookup_percpu_elem__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd8\x10\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0c\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\
\x65\x6e\x74\x65\x72\x5f\x67\x65\x74\x75\x69\x64\0\x2e\x62\x73\x73\0\x2e\x72\
\x6f\x64\x61\x74\x61\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\
\x65\x73\x74\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x70\x65\x72\x63\
\x70\x75\x5f\x65\x6c\x65\x6d\x2e\x63\0\x72\x65\x61\x64\x5f\x70\x65\x72\x63\x70\
\x75\x5f\x65\x6c\x65\x6d\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\0\x73\x79\x73\x65\
\x6e\x74\x65\x72\x5f\x67\x65\x74\x75\x69\x64\0\x6d\x79\x5f\x70\x69\x64\0\x70\
\x65\x72\x63\x70\x75\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\0\x6e\x72\x5f\x63\
\x70\x75\x73\0\x70\x65\x72\x63\x70\x75\x5f\x61\x72\x72\x61\x79\x5f\x65\x6c\x65\
\x6d\x5f\x73\x75\x6d\0\x70\x65\x72\x63\x70\x75\x5f\x68\x61\x73\x68\x5f\x6d\x61\
\x70\0\x70\x65\x72\x63\x70\x75\x5f\x68\x61\x73\x68\x5f\x65\x6c\x65\x6d\x5f\x73\
\x75\x6d\0\x70\x65\x72\x63\x70\x75\x5f\x6c\x72\x75\x5f\x68\x61\x73\x68\x5f\x6d\
\x61\x70\0\x70\x65\x72\x63\x70\x75\x5f\x6c\x72\x75\x5f\x68\x61\x73\x68\x5f\x65\
\x6c\x65\x6d\x5f\x73\x75\x6d\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\
\x6c\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\
\x74\x65\x72\x5f\x67\x65\x74\x75\x69\x64\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\
\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4f\0\0\0\
\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6d\0\
\0\0\x02\0\x03\0\0\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\x87\0\0\0\x12\0\x04\0\0\0\0\
\0\0\0\0\0\xc8\x01\0\0\0\0\0\0\x97\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\x9e\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xaf\0\0\0\x11\
\0\x06\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb7\0\0\0\x11\0\x05\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\xcd\0\0\0\x11\0\x07\0\x20\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\
\0\xdd\0\0\0\x11\0\x05\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xf2\0\0\0\x11\0\
\x07\0\x40\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x06\x01\0\0\x11\0\x05\0\x10\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\x1f\x01\0\0\x11\0\x08\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\xbf\x26\0\0\0\0\0\0\xbf\x13\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf8\
\xff\0\0\0\0\x79\x61\0\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\
\xff\x85\0\0\0\xc3\0\0\0\x15\0\x04\0\0\0\0\0\x79\x01\0\0\0\0\0\0\x79\x62\x08\0\
\0\0\0\0\x0f\x12\0\0\0\0\0\0\x7b\x26\x08\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\
\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x16\0\0\0\0\0\0\x67\x06\0\0\
\x20\0\0\0\xc7\x06\0\0\x20\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\0\0\0\x5d\
\x60\x2f\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x1a\xf0\xff\0\0\0\0\
\xb7\x07\0\0\0\0\0\0\x7b\x7a\xf8\xff\0\0\0\0\x18\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x61\x81\0\0\0\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xf0\xff\xff\xff\x18\x02\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x63\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\
\xb5\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\xa2\xf8\xff\0\0\0\0\x7b\x21\
\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x1a\xf0\xff\0\0\0\0\x7b\
\x7a\xf8\xff\0\0\0\0\x61\x81\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xbf\x63\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xb5\0\0\0\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x79\xa2\xf8\xff\0\0\0\0\x7b\x21\0\0\0\0\0\0\x18\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x7b\x1a\xf0\xff\0\0\0\0\x7b\x7a\xf8\xff\0\0\0\0\x61\x81\0\
\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x63\0\0\0\0\0\0\xb7\x04\0\0\
\0\0\0\0\x85\0\0\0\xb5\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\xa2\xf8\
\xff\0\0\0\0\x7b\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\x06\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x68\0\0\0\0\0\0\0\
\x01\0\0\0\x08\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\xb8\0\0\0\0\0\0\0\
\x01\0\0\0\x09\0\0\0\xd8\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\0\x01\0\0\0\0\0\0\
\x01\0\0\0\x02\0\0\0\x28\x01\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x48\x01\0\0\0\0\0\
\0\x01\0\0\0\x0c\0\0\0\x70\x01\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x98\x01\0\0\0\0\
\0\0\x01\0\0\0\x0d\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xbc\x03\0\0\xbc\x03\0\
\0\x48\x04\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\
\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x06\0\0\0\x05\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\x19\0\0\0\0\0\0\x08\
\x09\0\0\0\x1f\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x0b\0\0\0\
\x2c\0\0\0\0\0\0\x08\x0c\0\0\0\x32\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\
\x04\0\0\x04\x20\0\0\0\x45\0\0\0\x01\0\0\0\0\0\0\0\x4a\0\0\0\x05\0\0\0\x40\0\0\
\0\x56\0\0\0\x07\0\0\0\x80\0\0\0\x5a\0\0\0\x0a\0\0\0\xc0\0\0\0\x60\0\0\0\0\0\0\
\x0e\x0d\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x10\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x05\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x45\0\0\0\x0f\0\0\
\0\0\0\0\0\x4a\0\0\0\x05\0\0\0\x40\0\0\0\x56\0\0\0\x0a\0\0\0\x80\0\0\0\x5a\0\0\
\0\x0a\0\0\0\xc0\0\0\0\x71\0\0\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\x02\x14\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x0a\0\0\0\0\0\0\0\
\x04\0\0\x04\x20\0\0\0\x45\0\0\0\x13\0\0\0\0\0\0\0\x4a\0\0\0\x05\0\0\0\x40\0\0\
\0\x56\0\0\0\x0a\0\0\0\x80\0\0\0\x5a\0\0\0\x0a\0\0\0\xc0\0\0\0\x81\0\0\0\0\0\0\
\x0e\x15\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x18\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\
\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x95\0\0\0\x17\0\0\0\x99\0\0\0\x01\0\0\x0c\x19\0\
\0\0\0\0\0\0\0\0\0\x02\x1c\0\0\0\xa9\0\0\0\x02\0\0\x04\x10\0\0\0\xbe\0\0\0\x1d\
\0\0\0\0\0\0\0\xc2\0\0\0\x0b\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\
\x02\0\0\x0d\x02\0\0\0\xc6\0\0\0\x08\0\0\0\x95\0\0\0\x1b\0\0\0\xcc\0\0\0\0\0\0\
\x0c\x1e\0\0\0\xe6\0\0\0\0\0\0\x0e\x0b\0\0\0\x01\0\0\0\xfc\0\0\0\0\0\0\x0e\x0b\
\0\0\0\x01\0\0\0\x11\x01\0\0\0\0\0\x0e\x0b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0a\
\x24\0\0\0\0\0\0\0\0\0\0\x09\x02\0\0\0\x2a\x01\0\0\0\0\0\x0e\x23\0\0\0\x01\0\0\
\0\x31\x01\0\0\0\0\0\x0e\x23\0\0\0\x01\0\0\0\x39\x01\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x27\0\0\0\x04\0\0\0\x04\0\0\0\x3e\x01\0\
\0\0\0\0\x0e\x28\0\0\0\x01\0\0\0\x0a\x04\0\0\x03\0\0\x0f\x18\0\0\0\x20\0\0\0\0\
\0\0\0\x08\0\0\0\x21\0\0\0\x08\0\0\0\x08\0\0\0\x22\0\0\0\x10\0\0\0\x08\0\0\0\
\x0f\x04\0\0\x02\0\0\x0f\x08\0\0\0\x25\0\0\0\0\0\0\0\x04\0\0\0\x26\0\0\0\x04\0\
\0\0\x04\0\0\0\x17\x04\0\0\x03\0\0\x0f\x60\0\0\0\x0e\0\0\0\0\0\0\0\x20\0\0\0\
\x12\0\0\0\x20\0\0\0\x20\0\0\0\x16\0\0\0\x40\0\0\0\x20\0\0\0\x1d\x04\0\0\x01\0\
\0\x0f\x04\0\0\0\x29\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\
\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x5f\x75\x33\
\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x36\x34\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x74\
\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\
\x61\x6c\x75\x65\0\x70\x65\x72\x63\x70\x75\x5f\x61\x72\x72\x61\x79\x5f\x6d\x61\
\x70\0\x70\x65\x72\x63\x70\x75\x5f\x68\x61\x73\x68\x5f\x6d\x61\x70\0\x70\x65\
\x72\x63\x70\x75\x5f\x6c\x72\x75\x5f\x68\x61\x73\x68\x5f\x6d\x61\x70\0\x63\x74\
\x78\0\x73\x79\x73\x65\x6e\x74\x65\x72\x5f\x67\x65\x74\x75\x69\x64\0\x72\x65\
\x61\x64\x5f\x70\x65\x72\x63\x70\x75\x5f\x65\x6c\x65\x6d\x5f\x63\x74\x78\0\x6d\
\x61\x70\0\x73\x75\x6d\0\x69\x6e\x64\x65\x78\0\x72\x65\x61\x64\x5f\x70\x65\x72\
\x63\x70\x75\x5f\x65\x6c\x65\x6d\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\0\x70\x65\
\x72\x63\x70\x75\x5f\x61\x72\x72\x61\x79\x5f\x65\x6c\x65\x6d\x5f\x73\x75\x6d\0\
\x70\x65\x72\x63\x70\x75\x5f\x68\x61\x73\x68\x5f\x65\x6c\x65\x6d\x5f\x73\x75\
\x6d\0\x70\x65\x72\x63\x70\x75\x5f\x6c\x72\x75\x5f\x68\x61\x73\x68\x5f\x65\x6c\
\x65\x6d\x5f\x73\x75\x6d\0\x6d\x79\x5f\x70\x69\x64\0\x6e\x72\x5f\x63\x70\x75\
\x73\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\
\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\
\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\
\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\
\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\
\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\
\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\
\x73\x2f\x74\x65\x73\x74\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x70\
\x65\x72\x63\x70\x75\x5f\x65\x6c\x65\x6d\x2e\x63\0\x73\x74\x61\x74\x69\x63\x20\
\x69\x6e\x74\x20\x72\x65\x61\x64\x5f\x70\x65\x72\x63\x70\x75\x5f\x65\x6c\x65\
\x6d\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x28\x5f\x5f\x75\x33\x32\x20\x69\x6e\
\x64\x65\x78\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x72\x65\x61\x64\x5f\x70\x65\
\x72\x63\x70\x75\x5f\x65\x6c\x65\x6d\x5f\x63\x74\x78\x20\x2a\x63\x74\x78\x29\0\
\x09\x5f\x5f\x75\x36\x34\x20\x6b\x65\x79\x20\x3d\x20\x30\x3b\0\x09\x76\x61\x6c\
\x75\x65\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\
\x5f\x70\x65\x72\x63\x70\x75\x5f\x65\x6c\x65\x6d\x28\x63\x74\x78\x2d\x3e\x6d\
\x61\x70\x2c\x20\x26\x6b\x65\x79\x2c\x20\x69\x6e\x64\x65\x78\x29\x3b\0\x09\x69\
\x66\x20\x28\x76\x61\x6c\x75\x65\x29\0\x09\x09\x63\x74\x78\x2d\x3e\x73\x75\x6d\
\x20\x2b\x3d\x20\x2a\x76\x61\x6c\x75\x65\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\
\x30\x3b\0\x09\x69\x66\x20\x28\x6d\x79\x5f\x70\x69\x64\x20\x21\x3d\x20\x28\x62\
\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\
\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x29\x29\0\x09\x6d\x61\x70\x5f\
\x63\x74\x78\x2e\x6d\x61\x70\x20\x3d\x20\x26\x70\x65\x72\x63\x70\x75\x5f\x61\
\x72\x72\x61\x79\x5f\x6d\x61\x70\x3b\0\x09\x6d\x61\x70\x5f\x63\x74\x78\x2e\x73\
\x75\x6d\x20\x3d\x20\x30\x3b\0\x09\x62\x70\x66\x5f\x6c\x6f\x6f\x70\x28\x6e\x72\
\x5f\x63\x70\x75\x73\x2c\x20\x72\x65\x61\x64\x5f\x70\x65\x72\x63\x70\x75\x5f\
\x65\x6c\x65\x6d\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x2c\x20\x26\x6d\x61\x70\
\x5f\x63\x74\x78\x2c\x20\x30\x29\x3b\0\x09\x70\x65\x72\x63\x70\x75\x5f\x61\x72\
\x72\x61\x79\x5f\x65\x6c\x65\x6d\x5f\x73\x75\x6d\x20\x3d\x20\x6d\x61\x70\x5f\
\x63\x74\x78\x2e\x73\x75\x6d\x3b\0\x09\x6d\x61\x70\x5f\x63\x74\x78\x2e\x6d\x61\
\x70\x20\x3d\x20\x26\x70\x65\x72\x63\x70\x75\x5f\x68\x61\x73\x68\x5f\x6d\x61\
\x70\x3b\0\x09\x70\x65\x72\x63\x70\x75\x5f\x68\x61\x73\x68\x5f\x65\x6c\x65\x6d\
\x5f\x73\x75\x6d\x20\x3d\x20\x6d\x61\x70\x5f\x63\x74\x78\x2e\x73\x75\x6d\x3b\0\
\x09\x6d\x61\x70\x5f\x63\x74\x78\x2e\x6d\x61\x70\x20\x3d\x20\x26\x70\x65\x72\
\x63\x70\x75\x5f\x6c\x72\x75\x5f\x68\x61\x73\x68\x5f\x6d\x61\x70\x3b\0\x09\x70\
\x65\x72\x63\x70\x75\x5f\x6c\x72\x75\x5f\x68\x61\x73\x68\x5f\x65\x6c\x65\x6d\
\x5f\x73\x75\x6d\x20\x3d\x20\x6d\x61\x70\x5f\x63\x74\x78\x2e\x73\x75\x6d\x3b\0\
\x7d\0\x2e\x62\x73\x73\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x6d\x61\x70\x73\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x74\x65\x78\x74\0\x74\x70\x2f\x73\x79\x73\
\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x67\x65\x74\
\x75\x69\x64\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\x14\
\x02\0\0\x38\x02\0\0\0\0\0\0\x08\0\0\0\x25\x04\0\0\x01\0\0\0\0\0\0\0\x1f\0\0\0\
\x2b\x04\0\0\x01\0\0\0\0\0\0\0\x1a\0\0\0\x10\0\0\0\x25\x04\0\0\x08\0\0\0\0\0\0\
\0\x47\x01\0\0\xde\x01\0\0\0\x9c\0\0\x18\0\0\0\x47\x01\0\0\x32\x02\0\0\x08\xa4\
\0\0\x20\0\0\0\x47\x01\0\0\x42\x02\0\0\x2a\xb0\0\0\x38\0\0\0\x47\x01\0\0\x42\
\x02\0\0\x0a\xb0\0\0\x40\0\0\0\x47\x01\0\0\x7e\x02\0\0\x06\xb4\0\0\x48\0\0\0\
\x47\x01\0\0\x8a\x02\0\0\x0f\xb8\0\0\x50\0\0\0\x47\x01\0\0\x8a\x02\0\0\x0c\xb8\
\0\0\x68\0\0\0\x47\x01\0\0\xa0\x02\0\0\x02\xbc\0\0\x2b\x04\0\0\x18\0\0\0\0\0\0\
\0\x47\x01\0\0\xab\x02\0\0\x06\xdc\0\0\x28\0\0\0\x47\x01\0\0\xab\x02\0\0\x11\
\xdc\0\0\x30\0\0\0\x47\x01\0\0\xab\x02\0\0\x2c\xdc\0\0\x38\0\0\0\x47\x01\0\0\
\xab\x02\0\0\x06\xdc\0\0\x40\0\0\0\x47\x01\0\0\xde\x02\0\0\x0e\xe8\0\0\x60\0\0\
\0\x47\x01\0\0\0\x03\0\0\x0e\xec\0\0\x68\0\0\0\x47\x01\0\0\x12\x03\0\0\x0b\xf0\
\0\0\x78\0\0\0\x47\x01\0\0\x12\x03\0\0\x02\xf0\0\0\xb8\0\0\0\x47\x01\0\0\x4e\
\x03\0\0\x18\xf4\0\0\xc8\0\0\0\x47\x01\0\0\x4e\x03\0\0\x22\xf4\0\0\xd0\0\0\0\
\x47\x01\0\0\x4e\x03\0\0\x18\xf4\0\0\xd8\0\0\0\x47\x01\0\0\x74\x03\0\0\x0e\xfc\
\0\0\xf0\0\0\0\x47\x01\0\0\0\x03\0\0\x0e\0\x01\0\xf8\0\0\0\x47\x01\0\0\x12\x03\
\0\0\x02\x04\x01\0\x28\x01\0\0\x47\x01\0\0\x95\x03\0\0\x17\x08\x01\0\x38\x01\0\
\0\x47\x01\0\0\x95\x03\0\0\x21\x08\x01\0\x40\x01\0\0\x47\x01\0\0\x95\x03\0\0\
\x17\x08\x01\0\x48\x01\0\0\x47\x01\0\0\xba\x03\0\0\x0e\x10\x01\0\x60\x01\0\0\
\x47\x01\0\0\0\x03\0\0\x0e\x14\x01\0\x68\x01\0\0\x47\x01\0\0\x12\x03\0\0\x02\
\x18\x01\0\x98\x01\0\0\x47\x01\0\0\xdf\x03\0\0\x1b\x1c\x01\0\xa8\x01\0\0\x47\
\x01\0\0\xdf\x03\0\0\x25\x1c\x01\0\xb0\x01\0\0\x47\x01\0\0\xdf\x03\0\0\x1b\x1c\
\x01\0\xb8\x01\0\0\x47\x01\0\0\x08\x04\0\0\x01\x28\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x40\0\0\0\0\0\0\0\x57\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x01\0\0\
\0\0\0\0\x68\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\
\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\
\x78\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x03\0\0\0\0\0\0\xc8\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x34\0\0\0\x08\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x05\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x39\0\0\0\x01\0\0\0\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x40\x05\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x41\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x48\x05\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x47\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x05\
\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x28\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x05\0\0\0\0\0\0\
\xb0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x49\
\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x06\0\0\0\0\0\0\x1c\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4e\x01\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x0e\0\0\0\0\0\0\x58\x02\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_map_lookup_percpu_elem *test_map_lookup_percpu_elem::open(const struct bpf_object_open_opts *opts) { return test_map_lookup_percpu_elem__open_opts(opts); }
struct test_map_lookup_percpu_elem *test_map_lookup_percpu_elem::open_and_load() { return test_map_lookup_percpu_elem__open_and_load(); }
int test_map_lookup_percpu_elem::load(struct test_map_lookup_percpu_elem *skel) { return test_map_lookup_percpu_elem__load(skel); }
int test_map_lookup_percpu_elem::attach(struct test_map_lookup_percpu_elem *skel) { return test_map_lookup_percpu_elem__attach(skel); }
void test_map_lookup_percpu_elem::detach(struct test_map_lookup_percpu_elem *skel) { test_map_lookup_percpu_elem__detach(skel); }
void test_map_lookup_percpu_elem::destroy(struct test_map_lookup_percpu_elem *skel) { test_map_lookup_percpu_elem__destroy(skel); }
const void *test_map_lookup_percpu_elem::elf_bytes(size_t *sz) { return test_map_lookup_percpu_elem__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_map_lookup_percpu_elem__assert(struct test_map_lookup_percpu_elem *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->percpu_array_elem_sum) == 8, "unexpected size of 'percpu_array_elem_sum'");
	_Static_assert(sizeof(s->bss->percpu_hash_elem_sum) == 8, "unexpected size of 'percpu_hash_elem_sum'");
	_Static_assert(sizeof(s->bss->percpu_lru_hash_elem_sum) == 8, "unexpected size of 'percpu_lru_hash_elem_sum'");
	_Static_assert(sizeof(s->rodata->my_pid) == 4, "unexpected size of 'my_pid'");
	_Static_assert(sizeof(s->rodata->nr_cpus) == 4, "unexpected size of 'nr_cpus'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_MAP_LOOKUP_PERCPU_ELEM_SKEL_H__ */
