/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_SOCKMAP_LISTEN_SKEL_H__
#define __TEST_SOCKMAP_LISTEN_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_sockmap_listen {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *parser_map;
		struct bpf_map *sock_map;
		struct bpf_map *sock_hash;
		struct bpf_map *verdict_map;
		struct bpf_map *nop_map;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *prog_stream_parser;
		struct bpf_program *prog_stream_verdict;
		struct bpf_program *prog_skb_verdict;
		struct bpf_program *prog_msg_verdict;
		struct bpf_program *prog_reuseport;
	} progs;
	struct {
		struct bpf_link *prog_stream_parser;
		struct bpf_link *prog_stream_verdict;
		struct bpf_link *prog_skb_verdict;
		struct bpf_link *prog_msg_verdict;
		struct bpf_link *prog_reuseport;
	} links;
	struct test_sockmap_listen__bss {
		_Bool test_sockmap;
		_Bool test_ingress;
	} *bss;

#ifdef __cplusplus
	static inline struct test_sockmap_listen *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_sockmap_listen *open_and_load();
	static inline int load(struct test_sockmap_listen *skel);
	static inline int attach(struct test_sockmap_listen *skel);
	static inline void detach(struct test_sockmap_listen *skel);
	static inline void destroy(struct test_sockmap_listen *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_sockmap_listen__destroy(struct test_sockmap_listen *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_sockmap_listen__create_skeleton(struct test_sockmap_listen *obj);

static inline struct test_sockmap_listen *
test_sockmap_listen__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_sockmap_listen *obj;
	int err;

	obj = (struct test_sockmap_listen *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_sockmap_listen__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_sockmap_listen__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_sockmap_listen *
test_sockmap_listen__open(void)
{
	return test_sockmap_listen__open_opts(NULL);
}

static inline int
test_sockmap_listen__load(struct test_sockmap_listen *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_sockmap_listen *
test_sockmap_listen__open_and_load(void)
{
	struct test_sockmap_listen *obj;
	int err;

	obj = test_sockmap_listen__open();
	if (!obj)
		return NULL;
	err = test_sockmap_listen__load(obj);
	if (err) {
		test_sockmap_listen__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_sockmap_listen__attach(struct test_sockmap_listen *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_sockmap_listen__detach(struct test_sockmap_listen *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_sockmap_listen__elf_bytes(size_t *sz);

static inline int
test_sockmap_listen__create_skeleton(struct test_sockmap_listen *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_sockmap_listen";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 6;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "parser_map";
	map->map = &obj->maps.parser_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "sock_map";
	map->map = &obj->maps.sock_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "sock_hash";
	map->map = &obj->maps.sock_hash;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 3 * s->map_skel_sz);
	map->name = "verdict_map";
	map->map = &obj->maps.verdict_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 4 * s->map_skel_sz);
	map->name = "nop_map";
	map->map = &obj->maps.nop_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 5 * s->map_skel_sz);
	map->name = "test_soc.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 5;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "prog_stream_parser";
	s->progs[0].prog = &obj->progs.prog_stream_parser;
	s->progs[0].link = &obj->links.prog_stream_parser;

	s->progs[1].name = "prog_stream_verdict";
	s->progs[1].prog = &obj->progs.prog_stream_verdict;
	s->progs[1].link = &obj->links.prog_stream_verdict;

	s->progs[2].name = "prog_skb_verdict";
	s->progs[2].prog = &obj->progs.prog_skb_verdict;
	s->progs[2].link = &obj->links.prog_skb_verdict;

	s->progs[3].name = "prog_msg_verdict";
	s->progs[3].prog = &obj->progs.prog_msg_verdict;
	s->progs[3].link = &obj->links.prog_msg_verdict;

	s->progs[4].name = "prog_reuseport";
	s->progs[4].prog = &obj->progs.prog_reuseport;
	s->progs[4].link = &obj->links.prog_reuseport;

	s->data = test_sockmap_listen__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_sockmap_listen__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x1c\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x12\0\x01\
\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6b\x5f\
\x73\x6b\x62\x2f\x73\x74\x72\x65\x61\x6d\x5f\x70\x61\x72\x73\x65\x72\0\x73\x6b\
\x5f\x73\x6b\x62\x2f\x73\x74\x72\x65\x61\x6d\x5f\x76\x65\x72\x64\x69\x63\x74\0\
\x73\x6b\x5f\x73\x6b\x62\0\x73\x6b\x5f\x6d\x73\x67\0\x73\x6b\x5f\x72\x65\x75\
\x73\x65\x70\x6f\x72\x74\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x73\x6f\x63\x6b\x6d\x61\x70\x5f\x6c\x69\
\x73\x74\x65\x6e\x2e\x63\0\x70\x72\x6f\x67\x5f\x73\x74\x72\x65\x61\x6d\x5f\x70\
\x61\x72\x73\x65\x72\0\x70\x61\x72\x73\x65\x72\x5f\x6d\x61\x70\0\x70\x72\x6f\
\x67\x5f\x73\x74\x72\x65\x61\x6d\x5f\x76\x65\x72\x64\x69\x63\x74\0\x74\x65\x73\
\x74\x5f\x73\x6f\x63\x6b\x6d\x61\x70\0\x73\x6f\x63\x6b\x5f\x6d\x61\x70\0\x73\
\x6f\x63\x6b\x5f\x68\x61\x73\x68\0\x76\x65\x72\x64\x69\x63\x74\x5f\x6d\x61\x70\
\0\x70\x72\x6f\x67\x5f\x73\x6b\x62\x5f\x76\x65\x72\x64\x69\x63\x74\0\x74\x65\
\x73\x74\x5f\x69\x6e\x67\x72\x65\x73\x73\0\x70\x72\x6f\x67\x5f\x6d\x73\x67\x5f\
\x76\x65\x72\x64\x69\x63\x74\0\x70\x72\x6f\x67\x5f\x72\x65\x75\x73\x65\x70\x6f\
\x72\x74\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x6e\x6f\x70\x5f\x6d\x61\x70\0\x2e\
\x72\x65\x6c\x73\x6b\x5f\x73\x6b\x62\x2f\x73\x74\x72\x65\x61\x6d\x5f\x70\x61\
\x72\x73\x65\x72\0\x2e\x72\x65\x6c\x73\x6b\x5f\x73\x6b\x62\x2f\x73\x74\x72\x65\
\x61\x6d\x5f\x76\x65\x72\x64\x69\x63\x74\0\x2e\x72\x65\x6c\x73\x6b\x5f\x73\x6b\
\x62\0\x2e\x72\x65\x6c\x73\x6b\x5f\x6d\x73\x67\0\x2e\x72\x65\x6c\x73\x6b\x5f\
\x72\x65\x75\x73\x65\x70\x6f\x72\x74\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\
\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6a\0\0\0\
\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\0\
\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\x93\0\0\0\x11\0\x09\0\0\0\0\
\0\0\0\0\0\x20\0\0\0\0\0\0\0\x9e\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\xf0\0\0\0\0\
\0\0\0\xb2\0\0\0\x11\0\x08\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\xbf\0\0\0\x11\0\
\x09\0\x20\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xc8\0\0\0\x11\0\x09\0\x40\0\0\0\0\0\
\0\0\x20\0\0\0\0\0\0\0\xd2\0\0\0\x11\0\x09\0\x60\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\
\0\xde\0\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\xef\0\0\0\x11\0\x08\
\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\xfc\0\0\0\x12\0\x06\0\0\0\0\0\0\0\0\0\
\xf0\0\0\0\0\0\0\0\x0d\x01\0\0\x12\0\x07\0\0\0\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\
\x1c\x01\0\0\x11\0\x0a\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x25\x01\0\0\x11\0\
\x09\0\x80\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb7\x01\0\0\0\0\
\0\0\x63\x1a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x02\0\0\0\0\0\
\x61\0\0\0\0\0\0\0\x55\0\x01\0\0\0\0\0\x61\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\xb7\x02\0\0\0\0\0\0\x63\x2a\xfc\xff\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x71\x22\0\0\0\0\0\0\x55\x02\x06\0\x01\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x34\0\0\0\x05\0\x06\0\0\
\0\0\0\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xfc\xff\xff\xff\x18\x02\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x48\0\0\0\x63\x0a\xf8\xff\0\0\0\0\
\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x03\0\0\0\0\0\x61\x01\0\0\0\0\0\0\x07\x01\0\0\
\x01\0\0\0\x63\x10\0\0\0\0\0\0\x61\xa0\xf8\xff\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\
\x02\0\0\0\0\0\0\x63\x2a\xfc\xff\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x71\x24\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x22\0\0\0\0\0\0\
\x55\x02\x05\0\x01\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\
\0\x85\0\0\0\x34\0\0\0\x05\0\x05\0\0\0\0\0\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xfc\
\xff\xff\xff\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x48\0\0\0\x63\x0a\
\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x03\0\0\0\0\0\x61\x01\0\0\0\0\
\0\0\x07\x01\0\0\x01\0\0\0\x63\x10\0\0\0\0\0\0\x61\xa0\xf8\xff\0\0\0\0\x95\0\0\
\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x63\x2a\xfc\xff\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x71\x22\0\0\0\0\0\0\x55\x02\x06\0\x01\0\0\0\x18\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x3c\0\0\0\x05\
\0\x06\0\0\0\0\0\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xfc\xff\xff\xff\x18\x02\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x47\0\0\0\x63\x0a\xf8\xff\
\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x03\0\0\0\0\0\x61\x01\0\0\0\0\0\0\x07\
\x01\0\0\x01\0\0\0\x63\x10\0\0\0\0\0\0\x61\xa0\xf8\xff\0\0\0\0\x95\0\0\0\0\0\0\
\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x23\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x55\x03\x02\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\
\x03\0\0\0\0\0\0\x63\x3a\xf8\xff\0\0\0\0\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xf8\
\xff\xff\xff\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x52\0\0\0\x67\0\0\0\x20\0\0\0\x77\0\
\0\0\x20\0\0\0\xb7\x01\0\0\x01\0\0\0\x15\0\x01\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\
\x63\x1a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x03\0\0\0\0\0\x61\
\x01\0\0\0\0\0\0\x07\x01\0\0\x01\0\0\0\x63\x10\0\0\0\0\0\0\x61\xa0\xfc\xff\0\0\
\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x28\0\0\0\0\0\0\0\x01\0\0\
\0\x08\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\
\x0b\0\0\0\x70\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\xa8\0\0\0\0\0\0\0\x01\0\0\0\
\x0d\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x0f\0\0\0\x28\0\0\0\0\0\0\0\x01\0\0\0\
\x0a\0\0\0\x48\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x80\0\0\0\0\0\0\0\x01\0\0\0\
\x0c\0\0\0\xb0\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\
\x0a\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x70\0\0\0\0\0\0\0\x01\0\0\0\
\x0c\0\0\0\xa8\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x0a\
\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\
\0\0\xb0\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x8c\
\x07\0\0\x8c\x07\0\0\xed\x06\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\
\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\
\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\
\x40\0\0\0\x2a\0\0\0\x07\0\0\0\x80\0\0\0\x2e\0\0\0\x07\0\0\0\xc0\0\0\0\x34\0\0\
\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0b\0\0\0\0\0\0\0\0\0\0\x03\
\0\0\0\0\x02\0\0\0\x04\0\0\0\x0f\0\0\0\0\0\0\0\0\0\0\x02\x0d\0\0\0\x3f\0\0\0\0\
\0\0\x08\x0e\0\0\0\x45\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\
\x10\0\0\0\x52\0\0\0\0\0\0\x08\x11\0\0\0\x58\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\
\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x0a\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\
\0\x40\0\0\0\x2a\0\0\0\x0c\0\0\0\x80\0\0\0\x2e\0\0\0\x0f\0\0\0\xc0\0\0\0\x6b\0\
\0\0\0\0\0\x0e\x12\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x15\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x12\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\
\0\0\x14\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\x40\0\0\0\x2a\0\0\0\x0c\0\0\0\x80\0\
\0\0\x2e\0\0\0\x0f\0\0\0\xc0\0\0\0\x74\0\0\0\0\0\0\x0e\x16\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\x02\x0e\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\
\0\0\x1e\0\0\0\x01\0\0\0\x40\0\0\0\x2a\0\0\0\x07\0\0\0\x80\0\0\0\x2e\0\0\0\x18\
\0\0\0\xc0\0\0\0\x7e\0\0\0\0\0\0\x0e\x19\0\0\0\x01\0\0\0\x8a\0\0\0\0\0\0\x0e\
\x12\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x1d\0\0\0\x92\0\0\0\x22\0\0\x04\xc0\0\0\
\0\x9c\0\0\0\x0d\0\0\0\0\0\0\0\xa0\0\0\0\x0d\0\0\0\x20\0\0\0\xa9\0\0\0\x0d\0\0\
\0\x40\0\0\0\xae\0\0\0\x0d\0\0\0\x60\0\0\0\xbc\0\0\0\x0d\0\0\0\x80\0\0\0\xc5\0\
\0\0\x0d\0\0\0\xa0\0\0\0\xd2\0\0\0\x0d\0\0\0\xc0\0\0\0\xdb\0\0\0\x0d\0\0\0\xe0\
\0\0\0\xe6\0\0\0\x0d\0\0\0\0\x01\0\0\xef\0\0\0\x0d\0\0\0\x20\x01\0\0\xff\0\0\0\
\x0d\0\0\0\x40\x01\0\0\x07\x01\0\0\x0d\0\0\0\x60\x01\0\0\x10\x01\0\0\x1e\0\0\0\
\x80\x01\0\0\x13\x01\0\0\x0d\0\0\0\x20\x02\0\0\x18\x01\0\0\x0d\0\0\0\x40\x02\0\
\0\x23\x01\0\0\x0d\0\0\0\x60\x02\0\0\x28\x01\0\0\x0d\0\0\0\x80\x02\0\0\x31\x01\
\0\0\x0d\0\0\0\xa0\x02\0\0\x39\x01\0\0\x0d\0\0\0\xc0\x02\0\0\x40\x01\0\0\x0d\0\
\0\0\xe0\x02\0\0\x4b\x01\0\0\x0d\0\0\0\0\x03\0\0\x55\x01\0\0\x1f\0\0\0\x20\x03\
\0\0\x60\x01\0\0\x1f\0\0\0\xa0\x03\0\0\x6a\x01\0\0\x0d\0\0\0\x20\x04\0\0\x76\
\x01\0\0\x0d\0\0\0\x40\x04\0\0\x81\x01\0\0\x0d\0\0\0\x60\x04\0\0\0\0\0\0\x20\0\
\0\0\x80\x04\0\0\x8b\x01\0\0\x10\0\0\0\xc0\x04\0\0\x92\x01\0\0\x0d\0\0\0\0\x05\
\0\0\x9b\x01\0\0\x0d\0\0\0\x20\x05\0\0\0\0\0\0\x22\0\0\0\x40\x05\0\0\xa4\x01\0\
\0\x0d\0\0\0\x80\x05\0\0\xad\x01\0\0\x24\0\0\0\xa0\x05\0\0\xb9\x01\0\0\x10\0\0\
\0\xc0\x05\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0d\0\0\0\x04\0\0\0\x05\0\0\0\0\0\0\0\
\0\0\0\x03\0\0\0\0\x0d\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\
\xc2\x01\0\0\x21\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x3c\0\0\0\0\0\0\0\x01\0\0\x05\
\x08\0\0\0\xcc\x01\0\0\x23\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x3d\0\0\0\xcf\x01\0\
\0\0\0\0\x08\x25\0\0\0\xd4\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\x01\0\
\0\x0d\x02\0\0\0\xe2\x01\0\0\x1c\0\0\0\xe6\x01\0\0\x01\0\0\x0c\x26\0\0\0\xf9\
\x01\0\0\x01\0\0\x0c\x26\0\0\0\x0d\x02\0\0\x01\0\0\x0c\x26\0\0\0\0\0\0\0\0\0\0\
\x02\x2b\0\0\0\x1e\x02\0\0\x0b\0\0\x04\x50\0\0\0\0\0\0\0\x2c\0\0\0\0\0\0\0\0\0\
\0\0\x2e\0\0\0\x40\0\0\0\x39\x01\0\0\x0d\0\0\0\x80\0\0\0\x40\x01\0\0\x0d\0\0\0\
\xa0\0\0\0\x4b\x01\0\0\x0d\0\0\0\xc0\0\0\0\x55\x01\0\0\x1f\0\0\0\xe0\0\0\0\x60\
\x01\0\0\x1f\0\0\0\x60\x01\0\0\x6a\x01\0\0\x0d\0\0\0\xe0\x01\0\0\x76\x01\0\0\
\x0d\0\0\0\0\x02\0\0\x28\x02\0\0\x0d\0\0\0\x20\x02\0\0\0\0\0\0\x22\0\0\0\x40\
\x02\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x23\x01\0\0\x2d\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x28\x01\0\0\x2d\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\x0d\x02\0\0\0\x2d\x02\0\0\x2a\0\0\0\x31\x02\0\0\x01\0\0\x0c\x2f\
\0\0\0\0\0\0\0\0\0\0\x02\x32\0\0\0\x42\x02\0\0\x09\0\0\x04\x38\0\0\0\0\0\0\0\
\x2c\0\0\0\0\0\0\0\0\0\0\0\x2e\0\0\0\x40\0\0\0\x9c\0\0\0\x0d\0\0\0\x80\0\0\0\
\x52\x02\0\0\x0d\0\0\0\xa0\0\0\0\x5f\x02\0\0\x0d\0\0\0\xc0\0\0\0\x6b\x02\0\0\
\x0d\0\0\0\xe0\0\0\0\x13\x01\0\0\x0d\0\0\0\0\x01\0\0\0\0\0\0\x22\0\0\0\x40\x01\
\0\0\0\0\0\0\x33\0\0\0\x80\x01\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x76\x02\0\0\
\x23\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x83\x02\0\0\x31\0\0\0\x89\x02\
\0\0\x01\0\0\x0c\x34\0\0\0\x98\x02\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\x9e\x02\
\0\0\0\0\0\x0e\x36\0\0\0\x01\0\0\0\xab\x02\0\0\0\0\0\x0e\x36\0\0\0\x01\0\0\0\
\xb8\x02\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x39\0\0\
\0\x04\0\0\0\x04\0\0\0\xbd\x02\0\0\0\0\0\x0e\x3a\0\0\0\x01\0\0\0\xc6\x02\0\0\0\
\0\0\x07\0\0\0\0\xd4\x02\0\0\0\0\0\x07\0\0\0\0\x94\x06\0\0\x02\0\0\x0f\x02\0\0\
\0\x37\0\0\0\0\0\0\0\x01\0\0\0\x38\0\0\0\x01\0\0\0\x01\0\0\0\x99\x06\0\0\x05\0\
\0\x0f\xa0\0\0\0\x09\0\0\0\0\0\0\0\x20\0\0\0\x13\0\0\0\x20\0\0\0\x20\0\0\0\x17\
\0\0\0\x40\0\0\0\x20\0\0\0\x1a\0\0\0\x60\0\0\0\x20\0\0\0\x1b\0\0\0\x80\0\0\0\
\x20\0\0\0\x9f\x06\0\0\x01\0\0\x0f\x04\0\0\0\x3b\0\0\0\0\0\0\0\x04\0\0\0\0\x69\
\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\
\x65\x79\0\x76\x61\x6c\x75\x65\0\x70\x61\x72\x73\x65\x72\x5f\x6d\x61\x70\0\x5f\
\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\
\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\
\x6e\x67\0\x73\x6f\x63\x6b\x5f\x6d\x61\x70\0\x73\x6f\x63\x6b\x5f\x68\x61\x73\
\x68\0\x76\x65\x72\x64\x69\x63\x74\x5f\x6d\x61\x70\0\x6e\x6f\x70\x5f\x6d\x61\
\x70\0\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\
\x79\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\
\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\
\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\
\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\
\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\
\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\
\x73\x73\x69\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\
\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\
\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\
\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\
\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\
\x74\x61\x5f\x6d\x65\x74\x61\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\x5f\
\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\x69\x7a\
\x65\0\x74\x73\x74\x61\x6d\x70\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\x74\x61\
\x6d\x70\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x73\x6b\0\x5f\x5f\x75\x38\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x73\x6b\x62\0\x70\x72\
\x6f\x67\x5f\x73\x74\x72\x65\x61\x6d\x5f\x70\x61\x72\x73\x65\x72\0\x70\x72\x6f\
\x67\x5f\x73\x74\x72\x65\x61\x6d\x5f\x76\x65\x72\x64\x69\x63\x74\0\x70\x72\x6f\
\x67\x5f\x73\x6b\x62\x5f\x76\x65\x72\x64\x69\x63\x74\0\x73\x6b\x5f\x6d\x73\x67\
\x5f\x6d\x64\0\x73\x69\x7a\x65\0\x6d\x73\x67\0\x70\x72\x6f\x67\x5f\x6d\x73\x67\
\x5f\x76\x65\x72\x64\x69\x63\x74\0\x73\x6b\x5f\x72\x65\x75\x73\x65\x70\x6f\x72\
\x74\x5f\x6d\x64\0\x65\x74\x68\x5f\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x69\x70\
\x5f\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x62\x69\x6e\x64\x5f\x69\x6e\x61\x6e\x79\
\0\x6d\x69\x67\x72\x61\x74\x69\x6e\x67\x5f\x73\x6b\0\x72\x65\x75\x73\x65\0\x70\
\x72\x6f\x67\x5f\x72\x65\x75\x73\x65\x70\x6f\x72\x74\0\x5f\x42\x6f\x6f\x6c\0\
\x74\x65\x73\x74\x5f\x73\x6f\x63\x6b\x6d\x61\x70\0\x74\x65\x73\x74\x5f\x69\x6e\
\x67\x72\x65\x73\x73\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\
\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x62\x70\x66\x5f\x73\x6f\x63\
\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\
\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\
\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\
\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\
\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\
\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\
\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x73\x6f\x63\x6b\x6d\x61\
\x70\x5f\x6c\x69\x73\x74\x65\x6e\x2e\x63\0\x69\x6e\x74\x20\x70\x72\x6f\x67\x5f\
\x73\x74\x72\x65\x61\x6d\x5f\x70\x61\x72\x73\x65\x72\x28\x73\x74\x72\x75\x63\
\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x5f\
\x5f\x75\x33\x32\x20\x6b\x65\x79\x20\x3d\x20\x30\x3b\0\x09\x76\x61\x6c\x75\x65\
\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\
\x6c\x65\x6d\x28\x26\x70\x61\x72\x73\x65\x72\x5f\x6d\x61\x70\x2c\x20\x26\x6b\
\x65\x79\x29\x3b\0\x09\x69\x66\x20\x28\x76\x61\x6c\x75\x65\x20\x26\x26\x20\x2a\
\x76\x61\x6c\x75\x65\x29\0\x09\x72\x65\x74\x75\x72\x6e\x20\x73\x6b\x62\x2d\x3e\
\x6c\x65\x6e\x3b\0\x7d\0\x69\x6e\x74\x20\x70\x72\x6f\x67\x5f\x73\x74\x72\x65\
\x61\x6d\x5f\x76\x65\x72\x64\x69\x63\x74\x28\x73\x74\x72\x75\x63\x74\x20\x5f\
\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x5f\x5f\x75\x33\
\x32\x20\x7a\x65\x72\x6f\x20\x3d\x20\x30\x3b\0\x09\x69\x66\x20\x28\x74\x65\x73\
\x74\x5f\x73\x6f\x63\x6b\x6d\x61\x70\x29\0\x09\x09\x76\x65\x72\x64\x69\x63\x74\
\x20\x3d\x20\x62\x70\x66\x5f\x73\x6b\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\
\x6d\x61\x70\x28\x73\x6b\x62\x2c\x20\x26\x73\x6f\x63\x6b\x5f\x6d\x61\x70\x2c\
\x20\x7a\x65\x72\x6f\x2c\x20\x30\x29\x3b\0\x09\x09\x76\x65\x72\x64\x69\x63\x74\
\x20\x3d\x20\x62\x70\x66\x5f\x73\x6b\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\
\x68\x61\x73\x68\x28\x73\x6b\x62\x2c\x20\x26\x73\x6f\x63\x6b\x5f\x68\x61\x73\
\x68\x2c\x20\x26\x7a\x65\x72\x6f\x2c\x20\x30\x29\x3b\0\x09\x63\x6f\x75\x6e\x74\
\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\
\x6c\x65\x6d\x28\x26\x76\x65\x72\x64\x69\x63\x74\x5f\x6d\x61\x70\x2c\x20\x26\
\x76\x65\x72\x64\x69\x63\x74\x29\x3b\0\x09\x69\x66\x20\x28\x63\x6f\x75\x6e\x74\
\x29\0\x09\x09\x28\x2a\x63\x6f\x75\x6e\x74\x29\x2b\x2b\x3b\0\x09\x72\x65\x74\
\x75\x72\x6e\x20\x76\x65\x72\x64\x69\x63\x74\x3b\0\x69\x6e\x74\x20\x70\x72\x6f\
\x67\x5f\x73\x6b\x62\x5f\x76\x65\x72\x64\x69\x63\x74\x28\x73\x74\x72\x75\x63\
\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x09\
\x76\x65\x72\x64\x69\x63\x74\x20\x3d\x20\x62\x70\x66\x5f\x73\x6b\x5f\x72\x65\
\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x28\x73\x6b\x62\x2c\x20\x26\x73\x6f\
\x63\x6b\x5f\x6d\x61\x70\x2c\x20\x7a\x65\x72\x6f\x2c\0\x09\x09\x76\x65\x72\x64\
\x69\x63\x74\x20\x3d\x20\x62\x70\x66\x5f\x73\x6b\x5f\x72\x65\x64\x69\x72\x65\
\x63\x74\x5f\x68\x61\x73\x68\x28\x73\x6b\x62\x2c\x20\x26\x73\x6f\x63\x6b\x5f\
\x68\x61\x73\x68\x2c\x20\x26\x7a\x65\x72\x6f\x2c\0\x69\x6e\x74\x20\x70\x72\x6f\
\x67\x5f\x6d\x73\x67\x5f\x76\x65\x72\x64\x69\x63\x74\x28\x73\x74\x72\x75\x63\
\x74\x20\x73\x6b\x5f\x6d\x73\x67\x5f\x6d\x64\x20\x2a\x6d\x73\x67\x29\0\x09\x09\
\x76\x65\x72\x64\x69\x63\x74\x20\x3d\x20\x62\x70\x66\x5f\x6d\x73\x67\x5f\x72\
\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x28\x6d\x73\x67\x2c\x20\x26\x73\
\x6f\x63\x6b\x5f\x6d\x61\x70\x2c\x20\x7a\x65\x72\x6f\x2c\x20\x30\x29\x3b\0\x09\
\x09\x76\x65\x72\x64\x69\x63\x74\x20\x3d\x20\x62\x70\x66\x5f\x6d\x73\x67\x5f\
\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x68\x61\x73\x68\x28\x6d\x73\x67\x2c\x20\
\x26\x73\x6f\x63\x6b\x5f\x68\x61\x73\x68\x2c\x20\x26\x7a\x65\x72\x6f\x2c\x20\
\x30\x29\x3b\0\x09\x76\x65\x72\x64\x69\x63\x74\x20\x3d\x20\x65\x72\x72\x20\x3f\
\x20\x53\x4b\x5f\x44\x52\x4f\x50\x20\x3a\x20\x53\x4b\x5f\x50\x41\x53\x53\x3b\0\
\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x73\x6b\
\x5f\x73\x6b\x62\x2f\x73\x74\x72\x65\x61\x6d\x5f\x70\x61\x72\x73\x65\x72\0\x73\
\x6b\x5f\x73\x6b\x62\x2f\x73\x74\x72\x65\x61\x6d\x5f\x76\x65\x72\x64\x69\x63\
\x74\0\x73\x6b\x5f\x73\x6b\x62\0\x73\x6b\x5f\x6d\x73\x67\0\x73\x6b\x5f\x72\x65\
\x75\x73\x65\x70\x6f\x72\x74\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\
\x54\0\0\0\x54\0\0\0\x3c\x03\0\0\x90\x03\0\0\0\0\0\0\x08\0\0\0\xa7\x06\0\0\x01\
\0\0\0\0\0\0\0\x27\0\0\0\xbc\x06\0\0\x01\0\0\0\0\0\0\0\x28\0\0\0\xd2\x06\0\0\
\x01\0\0\0\0\0\0\0\x29\0\0\0\xd9\x06\0\0\x01\0\0\0\0\0\0\0\x30\0\0\0\xe0\x06\0\
\0\x01\0\0\0\0\0\0\0\x35\0\0\0\x10\0\0\0\xa7\x06\0\0\x08\0\0\0\0\0\0\0\xdd\x02\
\0\0\x6c\x03\0\0\0\xc4\0\0\x10\0\0\0\xdd\x02\0\0\x9a\x03\0\0\x08\xd0\0\0\x28\0\
\0\0\xdd\x02\0\0\xaa\x03\0\0\x0a\xd8\0\0\x40\0\0\0\xdd\x02\0\0\xdb\x03\0\0\x0c\
\xdc\0\0\x48\0\0\0\xdd\x02\0\0\xdb\x03\0\0\x0f\xdc\0\0\x50\0\0\0\xdd\x02\0\0\
\xdb\x03\0\0\x06\xdc\0\0\x58\0\0\0\xdd\x02\0\0\xf1\x03\0\0\x0e\xe8\0\0\x60\0\0\
\0\xdd\x02\0\0\x03\x04\0\0\x01\xec\0\0\xbc\x06\0\0\x0b\0\0\0\0\0\0\0\xdd\x02\0\
\0\x05\x04\0\0\0\xf8\0\0\x08\0\0\0\xdd\x02\0\0\x34\x04\0\0\x08\x04\x01\0\x10\0\
\0\0\xdd\x02\0\0\x45\x04\0\0\x06\x10\x01\0\x28\0\0\0\xdd\x02\0\0\x45\x04\0\0\
\x06\x10\x01\0\x30\0\0\0\xdd\x02\0\0\x58\x04\0\0\x0d\x14\x01\0\x58\0\0\0\xdd\
\x02\0\0\x58\x04\0\0\x03\x14\x01\0\x70\0\0\0\xdd\x02\0\0\x92\x04\0\0\x0d\x1c\
\x01\0\xa8\0\0\0\xdd\x02\0\0\xcf\x04\0\0\x0a\x24\x01\0\xc0\0\0\0\xdd\x02\0\0\
\x05\x05\0\0\x06\x28\x01\0\xc8\0\0\0\xdd\x02\0\0\x11\x05\0\0\x0b\x2c\x01\0\xe0\
\0\0\0\xdd\x02\0\0\x1f\x05\0\0\x02\x34\x01\0\xd2\x06\0\0\x0b\0\0\0\0\0\0\0\xdd\
\x02\0\0\x30\x05\0\0\0\x44\x01\0\x08\0\0\0\xdd\x02\0\0\x34\x04\0\0\x08\x50\x01\
\0\x28\0\0\0\xdd\x02\0\0\x45\x04\0\0\x06\x5c\x01\0\x40\0\0\0\xdd\x02\0\0\x45\
\x04\0\0\x06\x5c\x01\0\x48\0\0\0\xdd\x02\0\0\x5c\x05\0\0\x0d\x60\x01\0\x68\0\0\
\0\xdd\x02\0\0\x5c\x05\0\0\x03\x60\x01\0\x80\0\0\0\xdd\x02\0\0\x92\x05\0\0\x0d\
\x6c\x01\0\xb0\0\0\0\xdd\x02\0\0\xcf\x04\0\0\x0a\x78\x01\0\xc8\0\0\0\xdd\x02\0\
\0\x05\x05\0\0\x06\x7c\x01\0\xd0\0\0\0\xdd\x02\0\0\x11\x05\0\0\x0b\x80\x01\0\
\xe8\0\0\0\xdd\x02\0\0\x1f\x05\0\0\x02\x88\x01\0\xd9\x06\0\0\x0b\0\0\0\0\0\0\0\
\xdd\x02\0\0\xcb\x05\0\0\0\x98\x01\0\x08\0\0\0\xdd\x02\0\0\x34\x04\0\0\x08\xa4\
\x01\0\x10\0\0\0\xdd\x02\0\0\x45\x04\0\0\x06\xb0\x01\0\x28\0\0\0\xdd\x02\0\0\
\x45\x04\0\0\x06\xb0\x01\0\x30\0\0\0\xdd\x02\0\0\xf7\x05\0\0\x0d\xb4\x01\0\x58\
\0\0\0\xdd\x02\0\0\xf7\x05\0\0\x03\xb4\x01\0\x70\0\0\0\xdd\x02\0\0\x32\x06\0\0\
\x0d\xbc\x01\0\xa8\0\0\0\xdd\x02\0\0\xcf\x04\0\0\x0a\xc4\x01\0\xc0\0\0\0\xdd\
\x02\0\0\x05\x05\0\0\x06\xc8\x01\0\xc8\0\0\0\xdd\x02\0\0\x11\x05\0\0\x0b\xcc\
\x01\0\xe0\0\0\0\xdd\x02\0\0\x1f\x05\0\0\x02\xd4\x01\0\xe0\x06\0\0\x08\0\0\0\0\
\0\0\0\xdd\x02\0\0\x45\x04\0\0\x06\xfc\x01\0\x48\0\0\0\xdd\x02\0\0\x34\x04\0\0\
\x08\xf4\x01\0\x70\0\0\0\xdd\x02\0\0\x70\x06\0\0\x0c\x0c\x02\0\x98\0\0\0\xdd\
\x02\0\0\x70\x06\0\0\x0a\x0c\x02\0\xb0\0\0\0\xdd\x02\0\0\xcf\x04\0\0\x0a\x14\
\x02\0\xc8\0\0\0\xdd\x02\0\0\x05\x05\0\0\x06\x18\x02\0\xd0\0\0\0\xdd\x02\0\0\
\x11\x05\0\0\x0b\x1c\x02\0\xe8\0\0\0\xdd\x02\0\0\x1f\x05\0\0\x02\x24\x02\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x95\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xd8\x01\0\0\0\0\0\0\xe0\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb8\x03\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x26\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x04\0\0\0\
\0\0\0\xf0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3c\
\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x05\0\0\0\0\0\0\xf8\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x43\0\0\0\x01\0\0\
\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x06\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4a\0\0\0\x01\0\0\0\x06\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xf8\x06\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x57\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xf0\x07\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x5c\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\
\x07\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x62\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x08\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2d\x01\
\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x08\0\0\0\0\0\0\x10\0\0\0\
\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x46\x01\0\0\
\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x08\0\0\0\0\0\0\x40\0\0\0\0\0\
\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x60\x01\0\0\x09\0\
\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x08\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\
\x02\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x6b\x01\0\0\x09\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x09\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x02\0\
\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x76\x01\0\0\x09\0\0\0\x40\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x09\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x02\0\0\0\
\x07\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x87\x01\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb8\x09\0\0\0\0\0\0\x91\x0e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8c\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x50\x18\0\0\0\0\0\0\xb0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_sockmap_listen *test_sockmap_listen::open(const struct bpf_object_open_opts *opts) { return test_sockmap_listen__open_opts(opts); }
struct test_sockmap_listen *test_sockmap_listen::open_and_load() { return test_sockmap_listen__open_and_load(); }
int test_sockmap_listen::load(struct test_sockmap_listen *skel) { return test_sockmap_listen__load(skel); }
int test_sockmap_listen::attach(struct test_sockmap_listen *skel) { return test_sockmap_listen__attach(skel); }
void test_sockmap_listen::detach(struct test_sockmap_listen *skel) { test_sockmap_listen__detach(skel); }
void test_sockmap_listen::destroy(struct test_sockmap_listen *skel) { test_sockmap_listen__destroy(skel); }
const void *test_sockmap_listen::elf_bytes(size_t *sz) { return test_sockmap_listen__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_sockmap_listen__assert(struct test_sockmap_listen *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->test_sockmap) == 1, "unexpected size of 'test_sockmap'");
	_Static_assert(sizeof(s->bss->test_ingress) == 1, "unexpected size of 'test_ingress'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_SOCKMAP_LISTEN_SKEL_H__ */
