/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_SUBPROGS_EXTABLE_SKEL_H__
#define __TEST_SUBPROGS_EXTABLE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_subprogs_extable {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *test_array;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *handle_fexit_ret_subprogs;
		struct bpf_program *handle_fexit_ret_subprogs2;
		struct bpf_program *handle_fexit_ret_subprogs3;
	} progs;
	struct {
		struct bpf_link *handle_fexit_ret_subprogs;
		struct bpf_link *handle_fexit_ret_subprogs2;
		struct bpf_link *handle_fexit_ret_subprogs3;
	} links;
	struct test_subprogs_extable__bss {
		unsigned int triggered;
	} *bss;

#ifdef __cplusplus
	static inline struct test_subprogs_extable *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_subprogs_extable *open_and_load();
	static inline int load(struct test_subprogs_extable *skel);
	static inline int attach(struct test_subprogs_extable *skel);
	static inline void detach(struct test_subprogs_extable *skel);
	static inline void destroy(struct test_subprogs_extable *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_subprogs_extable__destroy(struct test_subprogs_extable *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_subprogs_extable__create_skeleton(struct test_subprogs_extable *obj);

static inline struct test_subprogs_extable *
test_subprogs_extable__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_subprogs_extable *obj;
	int err;

	obj = (struct test_subprogs_extable *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_subprogs_extable__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_subprogs_extable__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_subprogs_extable *
test_subprogs_extable__open(void)
{
	return test_subprogs_extable__open_opts(NULL);
}

static inline int
test_subprogs_extable__load(struct test_subprogs_extable *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_subprogs_extable *
test_subprogs_extable__open_and_load(void)
{
	struct test_subprogs_extable *obj;
	int err;

	obj = test_subprogs_extable__open();
	if (!obj)
		return NULL;
	err = test_subprogs_extable__load(obj);
	if (err) {
		test_subprogs_extable__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_subprogs_extable__attach(struct test_subprogs_extable *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_subprogs_extable__detach(struct test_subprogs_extable *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_subprogs_extable__elf_bytes(size_t *sz);

static inline int
test_subprogs_extable__create_skeleton(struct test_subprogs_extable *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_subprogs_extable";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "test_array";
	map->map = &obj->maps.test_array;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "test_sub.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "handle_fexit_ret_subprogs";
	s->progs[0].prog = &obj->progs.handle_fexit_ret_subprogs;
	s->progs[0].link = &obj->links.handle_fexit_ret_subprogs;

	s->progs[1].name = "handle_fexit_ret_subprogs2";
	s->progs[1].prog = &obj->progs.handle_fexit_ret_subprogs2;
	s->progs[1].link = &obj->links.handle_fexit_ret_subprogs2;

	s->progs[2].name = "handle_fexit_ret_subprogs3";
	s->progs[2].prog = &obj->progs.handle_fexit_ret_subprogs3;
	s->progs[2].link = &obj->links.handle_fexit_ret_subprogs3;

	s->data = test_subprogs_extable__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_subprogs_extable__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xa8\x22\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x66\x65\x78\x69\x74\x2f\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\
\x64\x5f\x72\x65\x74\x75\x72\x6e\x5f\x70\x74\x72\0\x6c\x69\x63\x65\x6e\x73\x65\
\0\x2e\x6d\x61\x70\x73\0\x2e\x62\x73\x73\0\x74\x65\x73\x74\x5f\x73\x75\x62\x70\
\x72\x6f\x67\x73\x5f\x65\x78\x74\x61\x62\x6c\x65\x2e\x63\0\x74\x65\x73\x74\x5f\
\x63\x62\0\x68\x61\x6e\x64\x6c\x65\x5f\x66\x65\x78\x69\x74\x5f\x72\x65\x74\x5f\
\x73\x75\x62\x70\x72\x6f\x67\x73\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\0\
\x74\x72\x69\x67\x67\x65\x72\x65\x64\0\x68\x61\x6e\x64\x6c\x65\x5f\x66\x65\x78\
\x69\x74\x5f\x72\x65\x74\x5f\x73\x75\x62\x70\x72\x6f\x67\x73\x32\0\x68\x61\x6e\
\x64\x6c\x65\x5f\x66\x65\x78\x69\x74\x5f\x72\x65\x74\x5f\x73\x75\x62\x70\x72\
\x6f\x67\x73\x33\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x66\x65\
\x78\x69\x74\x2f\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x72\x65\x74\
\x75\x72\x6e\x5f\x70\x74\x72\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\
\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\0\0\0\x04\0\
\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5f\0\0\0\
\x02\0\x03\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x67\0\0\0\x12\0\x04\0\0\0\0\0\0\
\0\0\0\x88\0\0\0\0\0\0\0\x81\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\
\0\x8c\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x96\0\0\0\x12\0\x04\
\0\x88\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\xb1\0\0\0\x12\0\x04\0\x10\x01\0\0\0\0\0\
\0\x88\0\0\0\0\0\0\0\xcc\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\xb7\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\x79\x11\x08\0\0\0\0\0\x79\x12\0\0\0\0\0\
\0\x61\x11\x0c\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xa4\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x12\0\0\0\0\0\0\x07\x02\0\0\x01\0\0\0\
\x63\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x11\x08\0\0\0\0\0\
\x79\x12\0\0\0\0\0\0\x61\x11\x0c\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\
\x85\0\0\0\xa4\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x12\0\0\0\0\0\0\
\x07\x02\0\0\x01\0\0\0\x63\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x79\x11\x08\0\0\0\0\0\x79\x12\0\0\0\0\0\0\x61\x11\x0c\0\0\0\0\0\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\
\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xa4\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x61\x12\0\0\0\0\0\0\x07\x02\0\0\x01\0\0\0\x63\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\
\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x28\0\0\0\0\
\0\0\0\x01\0\0\0\x02\0\0\0\x50\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\xa0\0\0\0\0\0\
\0\0\x01\0\0\0\x06\0\0\0\xb0\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\xd8\0\0\0\0\0\0\
\0\x01\0\0\0\x07\0\0\0\x28\x01\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x38\x01\0\0\0\0\
\0\0\x01\0\0\0\x02\0\0\0\x60\x01\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x9f\xeb\x01\0\
\x18\0\0\0\0\0\0\0\x54\x0d\0\0\x54\x0d\0\0\xaf\x0e\0\0\0\0\0\0\0\0\0\x02\x03\0\
\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\
\0\0\x04\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\
\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\x02\x08\0\0\0\x19\0\0\0\0\0\0\x08\x09\0\0\0\x1f\0\0\0\0\0\0\x01\x04\0\0\
\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x0b\0\0\0\x2c\0\0\0\0\0\0\x08\x0c\0\0\0\x32\0\0\
\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x45\0\0\0\x01\0\
\0\0\0\0\0\0\x4a\0\0\0\x05\0\0\0\x40\0\0\0\x56\0\0\0\x07\0\0\0\x80\0\0\0\x5a\0\
\0\0\x0a\0\0\0\xc0\0\0\0\x60\0\0\0\0\0\0\x0e\x0d\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\x02\x0c\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x6b\0\0\0\x0f\0\0\0\x6f\0\0\0\x01\
\0\0\x0c\x10\0\0\0\x89\0\0\0\x13\0\0\x04\xb8\0\0\0\x8e\0\0\0\x13\0\0\0\0\0\0\0\
\x96\0\0\0\x19\0\0\0\x40\0\0\0\x9d\0\0\0\x29\0\0\0\x60\0\0\0\xa4\0\0\0\x2a\0\0\
\0\x80\0\0\0\xa9\0\0\0\x2c\0\0\0\xc0\0\0\0\xb3\0\0\0\x2d\0\0\0\0\x01\0\0\xc0\0\
\0\0\x2e\0\0\0\x40\x01\0\0\xc8\0\0\0\x09\0\0\0\x80\x01\0\0\xd0\0\0\0\x09\0\0\0\
\xa0\x01\0\0\xdd\0\0\0\x2f\0\0\0\xc0\x01\0\0\xe4\0\0\0\x31\0\0\0\0\x02\0\0\0\0\
\0\0\x34\0\0\0\x80\x02\0\0\xeb\0\0\0\x3d\0\0\0\x80\x03\0\0\xf1\0\0\0\x2d\0\0\0\
\xc0\x03\0\0\xfc\0\0\0\x3f\0\0\0\0\x04\0\0\x04\x01\0\0\x40\0\0\0\x40\x04\0\0\
\x0d\x01\0\0\x40\0\0\0\x60\x04\0\0\x16\x01\0\0\x41\0\0\0\x80\x04\0\0\0\0\0\0\
\x42\0\0\0\xc0\x04\0\0\x1b\x01\0\0\0\0\0\x08\x14\0\0\0\x29\x01\0\0\0\0\0\x08\
\x15\0\0\0\0\0\0\0\x01\0\0\x04\x08\0\0\0\x34\x01\0\0\x16\0\0\0\0\0\0\0\x3c\x01\
\0\0\0\0\0\x08\x17\0\0\0\x40\x01\0\0\0\0\0\x08\x18\0\0\0\x46\x01\0\0\0\0\0\x01\
\x08\0\0\0\x40\0\0\x01\x50\x01\0\0\0\0\0\x08\x1a\0\0\0\x5b\x01\0\0\x01\0\0\x04\
\x04\0\0\0\0\0\0\0\x1b\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\x05\x04\0\0\0\x64\x01\0\0\
\x1c\0\0\0\0\0\0\0\x6a\x01\0\0\x01\0\0\x04\x04\0\0\0\x77\x01\0\0\x1d\0\0\0\0\0\
\0\0\x80\x01\0\0\0\0\0\x08\x1e\0\0\0\x90\x01\0\0\x01\0\0\x04\x04\0\0\0\0\0\0\0\
\x1f\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\x05\x04\0\0\0\x9a\x01\0\0\x20\0\0\0\0\0\0\0\
\0\0\0\0\x21\0\0\0\0\0\0\0\x9e\x01\0\0\0\0\0\x08\x08\0\0\0\0\0\0\0\x02\0\0\x04\
\x04\0\0\0\xa2\x01\0\0\x22\0\0\0\0\0\0\0\xa9\x01\0\0\x28\0\0\0\x10\0\0\0\xb2\
\x01\0\0\0\0\0\x08\x23\0\0\0\xb6\x01\0\0\0\0\0\x08\x24\0\0\0\xbc\x01\0\0\0\0\0\
\x01\x02\0\0\0\x10\0\0\0\xcb\x01\0\0\0\0\0\x08\x26\0\0\0\xce\x01\0\0\0\0\0\x08\
\x27\0\0\0\xd3\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x25\0\0\0\x04\0\0\0\x02\0\0\0\xe1\x01\0\0\0\0\0\x08\x09\0\0\0\0\0\0\0\0\0\0\
\x02\x2b\0\0\0\0\0\0\0\0\0\0\x0a\x6c\0\0\0\0\0\0\0\0\0\0\x02\x6e\0\0\0\0\0\0\0\
\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x02\x6f\0\0\0\0\0\0\0\0\0\0\x02\x30\0\0\0\0\0\
\0\0\0\0\0\x0a\x76\0\0\0\xe9\x01\0\0\x02\0\0\x04\x10\0\0\0\xee\x01\0\0\x32\0\0\
\0\0\0\0\0\xf2\x01\0\0\x33\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x6d\0\0\0\0\0\0\0\
\0\0\0\x02\x6b\0\0\0\0\0\0\0\x02\0\0\x05\x20\0\0\0\xf9\x01\0\0\x35\0\0\0\0\0\0\
\0\x04\x02\0\0\x3c\0\0\0\0\0\0\0\x0b\x02\0\0\x04\0\0\x04\x20\0\0\0\x11\x02\0\0\
\x13\0\0\0\0\0\0\0\x17\x02\0\0\x36\0\0\0\x40\0\0\0\x21\x02\0\0\x37\0\0\0\x60\0\
\0\0\x25\x02\0\0\x3a\0\0\0\x80\0\0\0\x2f\x02\0\0\0\0\0\x08\x1c\0\0\0\x3e\x02\0\
\0\x01\0\0\x04\x04\0\0\0\x54\x02\0\0\x38\0\0\0\0\0\0\0\x59\x02\0\0\0\0\0\x08\
\x39\0\0\0\0\0\0\0\x01\0\0\x04\x04\0\0\0\x34\x01\0\0\x02\0\0\0\0\0\0\0\x62\x02\
\0\0\x02\0\0\x04\x10\0\0\0\x6c\x02\0\0\x3b\0\0\0\0\0\0\0\x71\x02\0\0\x3b\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\x02\x3a\0\0\0\x76\x02\0\0\0\0\0\x08\x0b\0\0\0\x7a\x02\
\0\0\0\0\0\x08\x3e\0\0\0\x81\x02\0\0\0\0\0\x08\x18\0\0\0\0\0\0\0\0\0\0\x02\x77\
\0\0\0\x91\x02\0\0\0\0\0\x08\x20\0\0\0\0\0\0\0\0\0\0\x02\x70\0\0\0\0\0\0\0\x04\
\0\0\x05\x20\0\0\0\x9a\x02\0\0\x43\0\0\0\0\0\0\0\xa6\x02\0\0\x47\0\0\0\0\0\0\0\
\xae\x02\0\0\x49\0\0\0\0\0\0\0\xb3\x02\0\0\x4b\0\0\0\0\0\0\0\xbd\x02\0\0\x02\0\
\0\x04\x10\0\0\0\x6c\x02\0\0\x44\0\0\0\0\0\0\0\xcb\x02\0\0\x45\0\0\0\x40\0\0\0\
\0\0\0\0\0\0\0\x02\x43\0\0\0\0\0\0\0\0\0\0\x02\x46\0\0\0\0\0\0\0\x01\0\0\x0d\0\
\0\0\0\0\0\0\0\x44\0\0\0\xd0\x02\0\0\x01\0\0\x04\x08\0\0\0\x6c\x02\0\0\x48\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x02\x47\0\0\0\xdb\x02\0\0\x06\0\0\x04\x20\0\0\0\xe9\
\x02\0\0\x4a\0\0\0\0\0\0\0\xef\x02\0\0\x09\0\0\0\x40\0\0\0\xf4\x02\0\0\x09\0\0\
\0\x60\0\0\0\xff\x02\0\0\x09\0\0\0\x80\0\0\0\x08\x03\0\0\x09\0\0\0\xa0\0\0\0\
\x12\x03\0\0\x3d\0\0\0\xc0\0\0\0\x1b\x03\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\x29\
\x03\0\0\0\0\0\x08\x4c\0\0\0\0\0\0\0\x01\0\0\x04\x08\0\0\0\x33\x03\0\0\x4a\0\0\
\0\0\0\0\0\x35\x03\0\0\x01\0\0\x0c\x10\0\0\0\x50\x03\0\0\x01\0\0\x0c\x10\0\0\0\
\0\0\0\0\0\0\0\x02\x50\0\0\0\x6b\x03\0\0\x1e\0\0\x04\xf8\0\0\0\x73\x03\0\0\x51\
\0\0\0\0\0\0\0\x77\x03\0\0\x4f\0\0\0\x40\0\0\0\x86\x03\0\0\x2d\0\0\0\x80\0\0\0\
\x8f\x03\0\0\x53\0\0\0\xc0\0\0\0\x98\x03\0\0\x20\0\0\0\xe0\0\0\0\xa1\x03\0\0\
\x20\0\0\0\0\x01\0\0\x4a\0\0\0\x20\0\0\0\x20\x01\0\0\xac\x03\0\0\x3c\0\0\0\x40\
\x01\0\0\xb6\x03\0\0\x20\0\0\0\x80\x01\0\0\xc0\x03\0\0\x20\0\0\0\xa0\x01\0\0\
\xc3\x03\0\0\x54\0\0\0\xc0\x01\0\0\xca\x03\0\0\x02\0\0\0\0\x02\0\0\xd4\x03\0\0\
\x20\0\0\0\x20\x02\0\0\xe4\x03\0\0\x20\0\0\0\x40\x02\0\0\xf6\x03\0\0\x20\0\0\0\
\x60\x02\0\0\x10\x04\0\0\x55\0\0\0\x80\x02\0\0\x14\x04\0\0\x56\0\0\0\xc0\x02\0\
\0\x1a\x04\0\0\x58\0\0\0\0\x03\0\0\x1f\x04\0\0\x35\0\0\0\x80\x03\0\0\x2c\x04\0\
\0\x14\0\0\0\x80\x04\0\0\x33\x04\0\0\x14\0\0\0\xc0\x04\0\0\0\0\0\0\x59\0\0\0\0\
\x05\0\0\x3b\x04\0\0\x14\0\0\0\0\x06\0\0\x11\x02\0\0\x5f\0\0\0\x40\x06\0\0\x44\
\x04\0\0\x63\0\0\0\0\x07\0\0\x53\x04\0\0\x63\0\0\0\x08\x07\0\0\x5a\x04\0\0\x63\
\0\0\0\x10\x07\0\0\x71\x04\0\0\x63\0\0\0\x18\x07\0\0\x83\x04\0\0\x14\0\0\0\x40\
\x07\0\0\x94\x04\0\0\x65\0\0\0\x80\x07\0\0\0\0\0\0\0\0\0\x02\x52\0\0\0\0\0\0\0\
\0\0\0\x0a\x74\0\0\0\x9f\x04\0\0\x25\0\0\x06\x04\0\0\0\xac\x04\0\0\0\0\0\0\xc0\
\x04\0\0\x01\0\0\0\xd2\x04\0\0\x02\0\0\0\xe5\x04\0\0\x03\0\0\0\xfd\x04\0\0\x04\
\0\0\0\x1b\x05\0\0\x05\0\0\0\x34\x05\0\0\x06\0\0\0\x4e\x05\0\0\x07\0\0\0\x67\
\x05\0\0\x08\0\0\0\x81\x05\0\0\x09\0\0\0\x97\x05\0\0\x0a\0\0\0\xb4\x05\0\0\x0b\
\0\0\0\xca\x05\0\0\x0c\0\0\0\xe5\x05\0\0\x0d\0\0\0\xff\x05\0\0\x0e\0\0\0\x13\
\x06\0\0\x0f\0\0\0\x28\x06\0\0\x10\0\0\0\x3c\x06\0\0\x11\0\0\0\x50\x06\0\0\x12\
\0\0\0\x66\x06\0\0\x13\0\0\0\x8d\x06\0\0\x13\0\0\0\xa9\x06\0\0\x14\0\0\0\xca\
\x06\0\0\x15\0\0\0\xf8\x06\0\0\x15\0\0\0\x1b\x07\0\0\x16\0\0\0\x2e\x07\0\0\x17\
\0\0\0\x41\x07\0\0\x18\0\0\0\x59\x07\0\0\x19\0\0\0\x72\x07\0\0\x1a\0\0\0\x8a\
\x07\0\0\x1b\0\0\0\x9f\x07\0\0\x1c\0\0\0\xba\x07\0\0\x1d\0\0\0\xd4\x07\0\0\x1e\
\0\0\0\xee\x07\0\0\x1f\0\0\0\x08\x08\0\0\x20\0\0\0\x22\x08\0\0\x21\0\0\0\x35\
\x08\0\0\x22\0\0\0\0\0\0\0\0\0\0\x02\x73\0\0\0\0\0\0\0\0\0\0\x02\x71\0\0\0\0\0\
\0\0\0\0\0\x02\x75\0\0\0\x48\x08\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\
\0\0\x03\0\0\0\0\x57\0\0\0\x04\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\x05\x20\0\0\0\
\x4d\x08\0\0\x5a\0\0\0\0\0\0\0\x52\x08\0\0\x43\0\0\0\0\0\0\0\x56\x08\0\0\x03\0\
\0\x04\x20\0\0\0\x62\x08\0\0\x13\0\0\0\0\0\0\0\x67\x08\0\0\x3a\0\0\0\x40\0\0\0\
\xcb\x02\0\0\x5b\0\0\0\xc0\0\0\0\x6d\x08\0\0\0\0\0\x08\x5c\0\0\0\0\0\0\0\0\0\0\
\x02\x5d\0\0\0\0\0\0\0\x01\0\0\x0d\0\0\0\0\0\0\0\0\x5e\0\0\0\0\0\0\0\0\0\0\x02\
\x5a\0\0\0\0\0\0\0\x05\0\0\x04\x18\0\0\0\x79\x08\0\0\x60\0\0\0\0\0\0\0\x8b\x08\
\0\0\x19\0\0\0\x40\0\0\0\x45\0\0\0\x62\0\0\0\x60\0\0\0\x90\x08\0\0\x63\0\0\0\
\x80\0\0\0\x96\x08\0\0\x63\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\x02\x61\0\0\0\0\0\0\0\
\0\0\0\x0a\x72\0\0\0\xa4\x08\0\0\x22\0\0\x06\x04\0\0\0\xb2\x08\0\0\0\0\0\0\xc7\
\x08\0\0\x01\0\0\0\xe3\x08\0\0\x02\0\0\0\xf8\x08\0\0\x03\0\0\0\x10\x09\0\0\x04\
\0\0\0\x28\x09\0\0\x05\0\0\0\x41\x09\0\0\x06\0\0\0\x53\x09\0\0\x07\0\0\0\x6c\
\x09\0\0\x08\0\0\0\x85\x09\0\0\x09\0\0\0\x9f\x09\0\0\x0a\0\0\0\xb4\x09\0\0\x0b\
\0\0\0\xca\x09\0\0\x0c\0\0\0\xe1\x09\0\0\x0d\0\0\0\xf8\x09\0\0\x0e\0\0\0\x0d\
\x0a\0\0\x0f\0\0\0\x29\x0a\0\0\x10\0\0\0\x3e\x0a\0\0\x11\0\0\0\x5b\x0a\0\0\x12\
\0\0\0\x7a\x0a\0\0\x13\0\0\0\x96\x0a\0\0\x14\0\0\0\xaf\x0a\0\0\x15\0\0\0\xca\
\x0a\0\0\x16\0\0\0\xe7\x0a\0\0\x17\0\0\0\x03\x0b\0\0\x18\0\0\0\x29\x0b\0\0\x19\
\0\0\0\x46\x0b\0\0\x1a\0\0\0\x5c\x0b\0\0\x1b\0\0\0\x75\x0b\0\0\x1c\0\0\0\x87\
\x0b\0\0\x1d\0\0\0\x99\x0b\0\0\x1e\0\0\0\xb1\x0b\0\0\x1f\0\0\0\xc7\x0b\0\0\x20\
\0\0\0\xdf\x0b\0\0\x21\0\0\0\xf3\x0b\0\0\0\0\0\x08\x64\0\0\0\xf8\x0b\0\0\0\0\0\
\x01\x01\0\0\0\x08\0\0\x04\0\0\0\0\0\0\0\x02\x16\0\0\0\0\0\0\0\x04\0\0\x0d\x0b\
\0\0\0\xfe\x0b\0\0\x4f\0\0\0\x56\0\0\0\x07\0\0\0\x9a\x01\0\0\x0a\0\0\0\x62\x08\
\0\0\x2d\0\0\0\x02\x0c\0\0\0\0\0\x0c\x66\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x57\0\
\0\0\x04\0\0\0\x04\0\0\0\x0a\x0c\0\0\0\0\0\x0e\x68\0\0\0\x01\0\0\0\x13\x0c\0\0\
\0\0\0\x0e\x09\0\0\0\x01\0\0\0\xf2\x01\0\0\0\0\0\x07\0\0\0\0\x1d\x0c\0\0\0\0\0\
\x07\0\0\0\0\x2d\x0c\0\0\0\0\0\x07\0\0\0\0\x36\x0c\0\0\0\0\0\x07\0\0\0\0\x44\
\x0c\0\0\0\0\0\x07\0\0\0\0\x4a\x0c\0\0\0\0\0\x07\0\0\0\0\x10\x04\0\0\0\0\0\x07\
\0\0\0\0\x55\x0c\0\0\0\0\0\x07\0\0\0\0\x5e\x0c\0\0\0\0\0\x07\0\0\0\0\x69\x0c\0\
\0\0\0\0\x07\0\0\0\0\x75\x0c\0\0\0\0\0\x07\0\0\0\0\x80\x0c\0\0\0\0\0\x07\0\0\0\
\0\x85\x0c\0\0\0\0\0\x07\0\0\0\0\x79\x0e\0\0\x01\0\0\x0f\x04\0\0\0\x69\0\0\0\0\
\0\0\0\x04\0\0\0\x81\x0e\0\0\x01\0\0\x0f\x20\0\0\0\x0e\0\0\0\0\0\0\0\x20\0\0\0\
\x87\x0e\0\0\x01\0\0\x0f\x04\0\0\0\x6a\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\
\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\
\x6f\x6e\x67\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\
\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\0\
\x63\x74\x78\0\x68\x61\x6e\x64\x6c\x65\x5f\x66\x65\x78\x69\x74\x5f\x72\x65\x74\
\x5f\x73\x75\x62\x70\x72\x6f\x67\x73\0\x66\x69\x6c\x65\0\x66\x5f\x63\x6f\x75\
\x6e\x74\0\x66\x5f\x6c\x6f\x63\x6b\0\x66\x5f\x6d\x6f\x64\x65\0\x66\x5f\x6f\x70\
\0\x66\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\x69\x76\x61\x74\x65\x5f\x64\
\x61\x74\x61\0\x66\x5f\x69\x6e\x6f\x64\x65\0\x66\x5f\x66\x6c\x61\x67\x73\0\x66\
\x5f\x69\x6f\x63\x62\x5f\x66\x6c\x61\x67\x73\0\x66\x5f\x63\x72\x65\x64\0\x66\
\x5f\x70\x61\x74\x68\0\x66\x5f\x70\x6f\x73\0\x66\x5f\x73\x65\x63\x75\x72\x69\
\x74\x79\0\x66\x5f\x6f\x77\x6e\x65\x72\0\x66\x5f\x77\x62\x5f\x65\x72\x72\0\x66\
\x5f\x73\x62\x5f\x65\x72\x72\0\x66\x5f\x65\x70\0\x61\x74\x6f\x6d\x69\x63\x5f\
\x6c\x6f\x6e\x67\x5f\x74\0\x61\x74\x6f\x6d\x69\x63\x36\x34\x5f\x74\0\x63\x6f\
\x75\x6e\x74\x65\x72\0\x73\x36\x34\0\x5f\x5f\x73\x36\x34\0\x6c\x6f\x6e\x67\x20\
\x6c\x6f\x6e\x67\0\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x73\x70\x69\x6e\
\x6c\x6f\x63\x6b\0\x72\x6c\x6f\x63\x6b\0\x72\x61\x77\x5f\x73\x70\x69\x6e\x6c\
\x6f\x63\x6b\0\x72\x61\x77\x5f\x6c\x6f\x63\x6b\0\x61\x72\x63\x68\x5f\x73\x70\
\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x71\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x76\
\x61\x6c\0\x75\x33\x32\0\x6c\x6f\x63\x6b\x65\x64\0\x72\x65\x73\x65\x72\x76\x65\
\x64\0\x75\x31\x36\0\x5f\x5f\x75\x31\x36\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x73\x68\x6f\x72\x74\0\x75\x38\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x63\x68\x61\x72\0\x66\x6d\x6f\x64\x65\x5f\x74\0\x70\x61\x74\x68\0\x6d\
\x6e\x74\0\x64\x65\x6e\x74\x72\x79\0\x66\x5f\x70\x6f\x73\x5f\x6c\x6f\x63\x6b\0\
\x66\x5f\x70\x69\x70\x65\0\x6d\x75\x74\x65\x78\0\x6f\x77\x6e\x65\x72\0\x77\x61\
\x69\x74\x5f\x6c\x6f\x63\x6b\0\x6f\x73\x71\0\x77\x61\x69\x74\x5f\x6c\x69\x73\
\x74\0\x72\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x6f\x70\x74\
\x69\x6d\x69\x73\x74\x69\x63\x5f\x73\x70\x69\x6e\x5f\x71\x75\x65\x75\x65\0\x74\
\x61\x69\x6c\0\x61\x74\x6f\x6d\x69\x63\x5f\x74\0\x6c\x69\x73\x74\x5f\x68\x65\
\x61\x64\0\x6e\x65\x78\x74\0\x70\x72\x65\x76\0\x75\x36\x34\0\x6c\x6f\x66\x66\
\x5f\x74\0\x5f\x5f\x6b\x65\x72\x6e\x65\x6c\x5f\x6c\x6f\x66\x66\x5f\x74\0\x65\
\x72\x72\x73\x65\x71\x5f\x74\0\x66\x5f\x74\x61\x73\x6b\x5f\x77\x6f\x72\x6b\0\
\x66\x5f\x6c\x6c\x69\x73\x74\0\x66\x5f\x72\x61\0\x66\x5f\x66\x72\x65\x65\x70\
\x74\x72\0\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x68\x65\x61\x64\0\x66\x75\x6e\
\x63\0\x6c\x6c\x69\x73\x74\x5f\x6e\x6f\x64\x65\0\x66\x69\x6c\x65\x5f\x72\x61\
\x5f\x73\x74\x61\x74\x65\0\x73\x74\x61\x72\x74\0\x73\x69\x7a\x65\0\x61\x73\x79\
\x6e\x63\x5f\x73\x69\x7a\x65\0\x72\x61\x5f\x70\x61\x67\x65\x73\0\x6d\x6d\x61\
\x70\x5f\x6d\x69\x73\x73\0\x70\x72\x65\x76\x5f\x70\x6f\x73\0\x75\x6e\x73\x69\
\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x66\x72\x65\x65\x70\x74\x72\x5f\x74\0\
\x76\0\x68\x61\x6e\x64\x6c\x65\x5f\x66\x65\x78\x69\x74\x5f\x72\x65\x74\x5f\x73\
\x75\x62\x70\x72\x6f\x67\x73\x32\0\x68\x61\x6e\x64\x6c\x65\x5f\x66\x65\x78\x69\
\x74\x5f\x72\x65\x74\x5f\x73\x75\x62\x70\x72\x6f\x67\x73\x33\0\x62\x70\x66\x5f\
\x6d\x61\x70\0\x6f\x70\x73\0\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\x5f\x6d\x65\
\x74\x61\0\x73\x65\x63\x75\x72\x69\x74\x79\0\x6d\x61\x70\x5f\x74\x79\x70\x65\0\
\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\
\x6d\x61\x70\x5f\x65\x78\x74\x72\x61\0\x6d\x61\x70\x5f\x66\x6c\x61\x67\x73\0\
\x69\x64\0\x72\x65\x63\x6f\x72\x64\0\x6e\x75\x6d\x61\x5f\x6e\x6f\x64\x65\0\x62\
\x74\x66\x5f\x6b\x65\x79\x5f\x74\x79\x70\x65\x5f\x69\x64\0\x62\x74\x66\x5f\x76\
\x61\x6c\x75\x65\x5f\x74\x79\x70\x65\x5f\x69\x64\0\x62\x74\x66\x5f\x76\x6d\x6c\
\x69\x6e\x75\x78\x5f\x76\x61\x6c\x75\x65\x5f\x74\x79\x70\x65\x5f\x69\x64\0\x62\
\x74\x66\0\x6f\x62\x6a\x63\x67\0\x6e\x61\x6d\x65\0\x66\x72\x65\x65\x7a\x65\x5f\
\x6d\x75\x74\x65\x78\0\x72\x65\x66\x63\x6e\x74\0\x75\x73\x65\x72\x63\x6e\x74\0\
\x77\x72\x69\x74\x65\x63\x6e\x74\0\x62\x79\x70\x61\x73\x73\x5f\x73\x70\x65\x63\
\x5f\x76\x31\0\x66\x72\x6f\x7a\x65\x6e\0\x66\x72\x65\x65\x5f\x61\x66\x74\x65\
\x72\x5f\x6d\x75\x6c\x74\x5f\x72\x63\x75\x5f\x67\x70\0\x66\x72\x65\x65\x5f\x61\
\x66\x74\x65\x72\x5f\x72\x63\x75\x5f\x67\x70\0\x73\x6c\x65\x65\x70\x61\x62\x6c\
\x65\x5f\x72\x65\x66\x63\x6e\x74\0\x65\x6c\x65\x6d\x5f\x63\x6f\x75\x6e\x74\0\
\x62\x70\x66\x5f\x6d\x61\x70\x5f\x74\x79\x70\x65\0\x42\x50\x46\x5f\x4d\x41\x50\
\x5f\x54\x59\x50\x45\x5f\x55\x4e\x53\x50\x45\x43\0\x42\x50\x46\x5f\x4d\x41\x50\
\x5f\x54\x59\x50\x45\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\
\x59\x50\x45\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\
\x50\x45\x5f\x50\x52\x4f\x47\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\x46\x5f\x45\x56\x45\x4e\x54\x5f\x41\
\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x50\x45\
\x52\x43\x50\x55\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\
\x50\x45\x5f\x50\x45\x52\x43\x50\x55\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\
\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x54\x41\x43\x4b\x5f\x54\x52\x41\x43\
\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\
\x50\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\
\x5f\x4c\x52\x55\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\
\x50\x45\x5f\x4c\x52\x55\x5f\x50\x45\x52\x43\x50\x55\x5f\x48\x41\x53\x48\0\x42\
\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x4c\x50\x4d\x5f\x54\x52\x49\
\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x41\x52\x52\x41\x59\
\x5f\x4f\x46\x5f\x4d\x41\x50\x53\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\
\x45\x5f\x48\x41\x53\x48\x5f\x4f\x46\x5f\x4d\x41\x50\x53\0\x42\x50\x46\x5f\x4d\
\x41\x50\x5f\x54\x59\x50\x45\x5f\x44\x45\x56\x4d\x41\x50\0\x42\x50\x46\x5f\x4d\
\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x4f\x43\x4b\x4d\x41\x50\0\x42\x50\x46\x5f\
\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x43\x50\x55\x4d\x41\x50\0\x42\x50\x46\x5f\
\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x58\x53\x4b\x4d\x41\x50\0\x42\x50\x46\x5f\
\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x4f\x43\x4b\x48\x41\x53\x48\0\x42\x50\
\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\
\x54\x4f\x52\x41\x47\x45\x5f\x44\x45\x50\x52\x45\x43\x41\x54\x45\x44\0\x42\x50\
\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\
\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\
\x52\x45\x55\x53\x45\x50\x4f\x52\x54\x5f\x53\x4f\x43\x4b\x41\x52\x52\x41\x59\0\
\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\x43\x50\x55\
\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x54\x4f\x52\x41\x47\x45\x5f\x44\x45\x50\
\x52\x45\x43\x41\x54\x45\x44\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\
\x5f\x50\x45\x52\x43\x50\x55\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x54\x4f\x52\
\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x51\x55\x45\
\x55\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x54\x41\x43\
\x4b\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x4b\x5f\x53\x54\
\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x44\
\x45\x56\x4d\x41\x50\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\
\x59\x50\x45\x5f\x53\x54\x52\x55\x43\x54\x5f\x4f\x50\x53\0\x42\x50\x46\x5f\x4d\
\x41\x50\x5f\x54\x59\x50\x45\x5f\x52\x49\x4e\x47\x42\x55\x46\0\x42\x50\x46\x5f\
\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x49\x4e\x4f\x44\x45\x5f\x53\x54\x4f\x52\
\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x54\x41\x53\
\x4b\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\
\x50\x45\x5f\x42\x4c\x4f\x4f\x4d\x5f\x46\x49\x4c\x54\x45\x52\0\x42\x50\x46\x5f\
\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x55\x53\x45\x52\x5f\x52\x49\x4e\x47\x42\
\x55\x46\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x50\
\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\
\x45\x5f\x41\x52\x45\x4e\x41\0\x5f\x5f\x4d\x41\x58\x5f\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\0\x63\x68\x61\x72\0\x77\x6f\x72\x6b\0\x72\x63\x75\0\
\x77\x6f\x72\x6b\x5f\x73\x74\x72\x75\x63\x74\0\x64\x61\x74\x61\0\x65\x6e\x74\
\x72\x79\0\x77\x6f\x72\x6b\x5f\x66\x75\x6e\x63\x5f\x74\0\x61\x74\x74\x61\x63\
\x68\x5f\x66\x75\x6e\x63\x5f\x70\x72\x6f\x74\x6f\0\x6c\x6f\x63\x6b\0\x6a\x69\
\x74\x65\x64\0\x78\x64\x70\x5f\x68\x61\x73\x5f\x66\x72\x61\x67\x73\0\x62\x70\
\x66\x5f\x70\x72\x6f\x67\x5f\x74\x79\x70\x65\0\x42\x50\x46\x5f\x50\x52\x4f\x47\
\x5f\x54\x59\x50\x45\x5f\x55\x4e\x53\x50\x45\x43\0\x42\x50\x46\x5f\x50\x52\x4f\
\x47\x5f\x54\x59\x50\x45\x5f\x53\x4f\x43\x4b\x45\x54\x5f\x46\x49\x4c\x54\x45\
\x52\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4b\x50\x52\x4f\
\x42\x45\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x43\x48\
\x45\x44\x5f\x43\x4c\x53\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\
\x5f\x53\x43\x48\x45\x44\x5f\x41\x43\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\
\x54\x59\x50\x45\x5f\x54\x52\x41\x43\x45\x50\x4f\x49\x4e\x54\0\x42\x50\x46\x5f\
\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x58\x44\x50\0\x42\x50\x46\x5f\x50\x52\
\x4f\x47\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\x46\x5f\x45\x56\x45\x4e\x54\0\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\
\x5f\x53\x4b\x42\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x43\
\x47\x52\x4f\x55\x50\x5f\x53\x4f\x43\x4b\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\
\x54\x59\x50\x45\x5f\x4c\x57\x54\x5f\x49\x4e\0\x42\x50\x46\x5f\x50\x52\x4f\x47\
\x5f\x54\x59\x50\x45\x5f\x4c\x57\x54\x5f\x4f\x55\x54\0\x42\x50\x46\x5f\x50\x52\
\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\x57\x54\x5f\x58\x4d\x49\x54\0\x42\x50\x46\
\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x4f\x43\x4b\x5f\x4f\x50\x53\0\
\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x4b\x5f\x53\x4b\
\x42\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\
\x55\x50\x5f\x44\x45\x56\x49\x43\x45\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\
\x59\x50\x45\x5f\x53\x4b\x5f\x4d\x53\x47\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\
\x54\x59\x50\x45\x5f\x52\x41\x57\x5f\x54\x52\x41\x43\x45\x50\x4f\x49\x4e\x54\0\
\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\
\x50\x5f\x53\x4f\x43\x4b\x5f\x41\x44\x44\x52\0\x42\x50\x46\x5f\x50\x52\x4f\x47\
\x5f\x54\x59\x50\x45\x5f\x4c\x57\x54\x5f\x53\x45\x47\x36\x4c\x4f\x43\x41\x4c\0\
\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\x49\x52\x43\x5f\
\x4d\x4f\x44\x45\x32\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\
\x53\x4b\x5f\x52\x45\x55\x53\x45\x50\x4f\x52\x54\0\x42\x50\x46\x5f\x50\x52\x4f\
\x47\x5f\x54\x59\x50\x45\x5f\x46\x4c\x4f\x57\x5f\x44\x49\x53\x53\x45\x43\x54\
\x4f\x52\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\
\x4f\x55\x50\x5f\x53\x59\x53\x43\x54\x4c\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\
\x54\x59\x50\x45\x5f\x52\x41\x57\x5f\x54\x52\x41\x43\x45\x50\x4f\x49\x4e\x54\
\x5f\x57\x52\x49\x54\x41\x42\x4c\x45\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\
\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x4f\x43\x4b\x4f\x50\x54\0\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x54\x52\x41\x43\x49\x4e\
\x47\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x54\x52\x55\
\x43\x54\x5f\x4f\x50\x53\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\
\x5f\x45\x58\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\
\x53\x4d\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x4b\x5f\
\x4c\x4f\x4f\x4b\x55\x50\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\
\x5f\x53\x59\x53\x43\x41\x4c\x4c\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\
\x50\x45\x5f\x4e\x45\x54\x46\x49\x4c\x54\x45\x52\0\x5f\x5f\x4d\x41\x58\x5f\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\0\x62\x6f\x6f\x6c\0\x5f\x42\
\x6f\x6f\x6c\0\x6d\x61\x70\0\x74\x65\x73\x74\x5f\x63\x62\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x74\x72\x69\x67\x67\x65\x72\x65\x64\0\x66\x69\x6c\x65\x5f\x6f\
\x70\x65\x72\x61\x74\x69\x6f\x6e\x73\0\x76\x66\x73\x6d\x6f\x75\x6e\x74\0\x61\
\x64\x64\x72\x65\x73\x73\x5f\x73\x70\x61\x63\x65\0\x69\x6e\x6f\x64\x65\0\x68\
\x6c\x69\x73\x74\x5f\x68\x65\x61\x64\0\x62\x74\x66\x5f\x74\x79\x70\x65\0\x62\
\x74\x66\x5f\x72\x65\x63\x6f\x72\x64\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6f\x70\
\x73\0\x6f\x62\x6a\x5f\x63\x67\x72\x6f\x75\x70\0\x63\x72\x65\x64\0\x66\x6f\x77\
\x6e\x5f\x73\x74\x72\x75\x63\x74\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\
\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\
\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\
\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\
\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\
\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\
\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\
\x5f\x73\x75\x62\x70\x72\x6f\x67\x73\x5f\x65\x78\x74\x61\x62\x6c\x65\x2e\x63\0\
\x09\x72\x65\x74\x75\x72\x6e\x20\x31\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\
\x52\x4f\x47\x28\x68\x61\x6e\x64\x6c\x65\x5f\x66\x65\x78\x69\x74\x5f\x72\x65\
\x74\x5f\x73\x75\x62\x70\x72\x6f\x67\x73\x2c\x20\x69\x6e\x74\x20\x61\x72\x67\
\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x66\x69\x6c\x65\x20\x2a\x72\x65\x74\x29\0\
\x09\x2a\x28\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x6c\x6f\x6e\x67\x20\x2a\x29\
\x72\x65\x74\x3b\0\x09\x2a\x28\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x69\x6e\x74\
\x20\x2a\x29\x26\x72\x65\x74\x2d\x3e\x66\x5f\x6d\x6f\x64\x65\x3b\0\x09\x62\x70\
\x66\x5f\x66\x6f\x72\x5f\x65\x61\x63\x68\x5f\x6d\x61\x70\x5f\x65\x6c\x65\x6d\
\x28\x26\x74\x65\x73\x74\x5f\x61\x72\x72\x61\x79\x2c\x20\x74\x65\x73\x74\x5f\
\x63\x62\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\x30\x29\x3b\0\x09\x74\x72\x69\x67\x67\
\x65\x72\x65\x64\x2b\x2b\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\
\x28\x68\x61\x6e\x64\x6c\x65\x5f\x66\x65\x78\x69\x74\x5f\x72\x65\x74\x5f\x73\
\x75\x62\x70\x72\x6f\x67\x73\x32\x2c\x20\x69\x6e\x74\x20\x61\x72\x67\x2c\x20\
\x73\x74\x72\x75\x63\x74\x20\x66\x69\x6c\x65\x20\x2a\x72\x65\x74\x29\0\x69\x6e\
\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x68\x61\x6e\x64\x6c\x65\x5f\x66\
\x65\x78\x69\x74\x5f\x72\x65\x74\x5f\x73\x75\x62\x70\x72\x6f\x67\x73\x33\x2c\
\x20\x69\x6e\x74\x20\x61\x72\x67\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x66\x69\
\x6c\x65\x20\x2a\x72\x65\x74\x29\0\x30\x3a\x32\0\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2e\x6d\x61\x70\x73\0\x2e\x62\x73\x73\0\x2e\x74\x65\x78\x74\0\x66\x65\x78\x69\
\x74\x2f\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x72\x65\x74\x75\x72\
\x6e\x5f\x70\x74\x72\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x34\0\0\0\x34\
\0\0\0\x44\x01\0\0\x78\x01\0\0\x3c\0\0\0\x08\0\0\0\x8c\x0e\0\0\x01\0\0\0\0\0\0\
\0\x67\0\0\0\x92\x0e\0\0\x03\0\0\0\0\0\0\0\x11\0\0\0\x88\0\0\0\x4d\0\0\0\x10\
\x01\0\0\x4e\0\0\0\x10\0\0\0\x8c\x0e\0\0\x01\0\0\0\0\0\0\0\x91\x0c\0\0\x22\x0d\
\0\0\x02\x48\0\0\x92\x0e\0\0\x12\0\0\0\0\0\0\0\x91\x0c\0\0\x2d\x0d\0\0\x05\x58\
\0\0\x08\0\0\0\x91\x0c\0\0\x70\x0d\0\0\x02\x60\0\0\x10\0\0\0\x91\x0c\0\0\x88\
\x0d\0\0\x02\x64\0\0\x18\0\0\0\x91\x0c\0\0\xa8\x0d\0\0\x02\x68\0\0\x50\0\0\0\
\x91\x0c\0\0\xdf\x0d\0\0\x0b\x6c\0\0\x78\0\0\0\x91\x0c\0\0\x2d\x0d\0\0\x05\x58\
\0\0\x88\0\0\0\x91\x0c\0\0\xed\x0d\0\0\x05\x80\0\0\x90\0\0\0\x91\x0c\0\0\x70\
\x0d\0\0\x02\x88\0\0\x98\0\0\0\x91\x0c\0\0\x88\x0d\0\0\x02\x8c\0\0\xa0\0\0\0\
\x91\x0c\0\0\xa8\x0d\0\0\x02\x90\0\0\xd8\0\0\0\x91\x0c\0\0\xdf\x0d\0\0\x0b\x94\
\0\0\0\x01\0\0\x91\x0c\0\0\xed\x0d\0\0\x05\x80\0\0\x10\x01\0\0\x91\x0c\0\0\x31\
\x0e\0\0\x05\xa8\0\0\x18\x01\0\0\x91\x0c\0\0\x70\x0d\0\0\x02\xb0\0\0\x20\x01\0\
\0\x91\x0c\0\0\x88\x0d\0\0\x02\xb4\0\0\x28\x01\0\0\x91\x0c\0\0\xa8\x0d\0\0\x02\
\xb8\0\0\x60\x01\0\0\x91\x0c\0\0\xdf\x0d\0\0\x0b\xbc\0\0\x88\x01\0\0\x91\x0c\0\
\0\x31\x0e\0\0\x05\xa8\0\0\x10\0\0\0\x92\x0e\0\0\x03\0\0\0\x10\0\0\0\x12\0\0\0\
\x75\x0e\0\0\0\0\0\0\x98\0\0\0\x12\0\0\0\x75\x0e\0\0\0\0\0\0\x20\x01\0\0\x12\0\
\0\0\x75\x0e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\x04\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\
\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x01\0\0\0\0\0\0\x08\x01\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\
\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x02\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\x06\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x60\x02\0\0\0\0\0\0\x98\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x34\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xf8\x03\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x3c\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x42\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x04\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd5\0\0\
\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x04\0\0\0\0\0\0\x90\0\0\0\0\
\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xf6\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x04\0\0\0\0\0\0\x1b\x1c\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xfb\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd0\x20\0\0\0\0\0\0\xd4\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_subprogs_extable *test_subprogs_extable::open(const struct bpf_object_open_opts *opts) { return test_subprogs_extable__open_opts(opts); }
struct test_subprogs_extable *test_subprogs_extable::open_and_load() { return test_subprogs_extable__open_and_load(); }
int test_subprogs_extable::load(struct test_subprogs_extable *skel) { return test_subprogs_extable__load(skel); }
int test_subprogs_extable::attach(struct test_subprogs_extable *skel) { return test_subprogs_extable__attach(skel); }
void test_subprogs_extable::detach(struct test_subprogs_extable *skel) { test_subprogs_extable__detach(skel); }
void test_subprogs_extable::destroy(struct test_subprogs_extable *skel) { test_subprogs_extable__destroy(skel); }
const void *test_subprogs_extable::elf_bytes(size_t *sz) { return test_subprogs_extable__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_subprogs_extable__assert(struct test_subprogs_extable *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->triggered) == 4, "unexpected size of 'triggered'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_SUBPROGS_EXTABLE_SKEL_H__ */
