/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_XDP_SKEL_H__
#define __TEST_XDP_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_xdp {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *rxcnt;
		struct bpf_map *vip2tnl;
	} maps;
	struct {
		struct bpf_program *_xdp_tx_iptunnel;
	} progs;
	struct {
		struct bpf_link *_xdp_tx_iptunnel;
	} links;

#ifdef __cplusplus
	static inline struct test_xdp *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_xdp *open_and_load();
	static inline int load(struct test_xdp *skel);
	static inline int attach(struct test_xdp *skel);
	static inline void detach(struct test_xdp *skel);
	static inline void destroy(struct test_xdp *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_xdp__destroy(struct test_xdp *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_xdp__create_skeleton(struct test_xdp *obj);

static inline struct test_xdp *
test_xdp__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_xdp *obj;
	int err;

	obj = (struct test_xdp *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_xdp__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_xdp__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_xdp *
test_xdp__open(void)
{
	return test_xdp__open_opts(NULL);
}

static inline int
test_xdp__load(struct test_xdp *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_xdp *
test_xdp__open_and_load(void)
{
	struct test_xdp *obj;
	int err;

	obj = test_xdp__open();
	if (!obj)
		return NULL;
	err = test_xdp__load(obj);
	if (err) {
		test_xdp__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_xdp__attach(struct test_xdp *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_xdp__detach(struct test_xdp *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_xdp__elf_bytes(size_t *sz);

static inline int
test_xdp__create_skeleton(struct test_xdp *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_xdp";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "rxcnt";
	map->map = &obj->maps.rxcnt;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "vip2tnl";
	map->map = &obj->maps.vip2tnl;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "_xdp_tx_iptunnel";
	s->progs[0].prog = &obj->progs._xdp_tx_iptunnel;
	s->progs[0].link = &obj->links._xdp_tx_iptunnel;

	s->data = test_xdp__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_xdp__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x88\x1e\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x78\x64\
\x70\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x74\x65\x73\x74\x5f\
\x78\x64\x70\x2e\x63\0\x5f\x78\x64\x70\x5f\x74\x78\x5f\x69\x70\x74\x75\x6e\x6e\
\x65\x6c\0\x76\x69\x70\x32\x74\x6e\x6c\0\x72\x78\x63\x6e\x74\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x78\x64\x70\0\x2e\x42\x54\x46\0\x2e\x42\x54\
\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x23\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2e\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x20\x08\0\
\0\0\0\0\0\x3f\0\0\0\x11\0\x05\0\x20\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x47\0\0\0\
\x11\0\x05\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x4d\0\0\0\x11\0\x04\0\0\0\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\x61\x13\x04\0\0\0\0\0\x61\x12\0\0\
\0\0\0\0\xbf\x24\0\0\0\0\0\0\x07\x04\0\0\x0e\0\0\0\x2d\x34\xfd\0\0\0\0\0\x71\
\x25\x0c\0\0\0\0\0\x71\x24\x0d\0\0\0\0\0\x67\x04\0\0\x08\0\0\0\x4f\x54\0\0\0\0\
\0\0\x15\x04\x11\0\x86\xdd\0\0\x55\x04\xf7\0\x08\0\0\0\xb7\x04\0\0\0\0\0\0\x63\
\x4a\xf0\xff\0\0\0\0\x63\x4a\xec\xff\0\0\0\0\x63\x4a\xe8\xff\0\0\0\0\x63\x4a\
\xe4\xff\0\0\0\0\x63\x4a\xf4\xff\0\0\0\0\xbf\x25\0\0\0\0\0\0\x07\x05\0\0\x22\0\
\0\0\x2d\x35\xee\0\0\0\0\0\x71\x25\x17\0\0\0\0\0\x15\x05\x11\0\x11\0\0\0\x55\
\x05\x14\0\x06\0\0\0\xbf\x24\0\0\0\0\0\0\x07\x04\0\0\x36\0\0\0\x2d\x34\xe8\0\0\
\0\0\0\x05\0\x0f\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x63\x4a\xf4\xff\0\0\0\0\xbf\x25\
\0\0\0\0\0\0\x07\x05\0\0\x36\0\0\0\x2d\x35\xe2\0\0\0\0\0\x71\x25\x14\0\0\0\0\0\
\x15\x05\x71\0\x11\0\0\0\x55\x05\x74\0\x06\0\0\0\xbf\x24\0\0\0\0\0\0\x07\x04\0\
\0\x4a\0\0\0\x2d\x34\xdc\0\0\0\0\0\x05\0\x6f\0\0\0\0\0\xbf\x24\0\0\0\0\0\0\x07\
\x04\0\0\x2a\0\0\0\x2d\x34\xd8\0\0\0\0\0\x69\x24\x24\0\0\0\0\0\x73\x5a\xf4\xff\
\0\0\0\0\xb7\x03\0\0\x02\0\0\0\x6b\x3a\xf2\xff\0\0\0\0\x61\x23\x1e\0\0\0\0\0\
\x6b\x4a\xf0\xff\0\0\0\0\x63\x3a\xe0\xff\0\0\0\0\x69\x28\x10\0\0\0\0\0\xbf\xa2\
\0\0\0\0\0\0\x07\x02\0\0\xe0\xff\xff\xff\xbf\x17\0\0\0\0\0\0\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x06\0\0\0\0\0\0\xb7\0\0\0\x02\0\0\0\
\x15\x06\xc7\0\0\0\0\0\x69\x61\x20\0\0\0\0\0\x55\x01\xc5\0\x02\0\0\0\xbf\x71\0\
\0\0\0\0\0\x18\x02\0\0\xec\xff\xff\xff\0\0\0\0\0\0\0\0\x85\0\0\0\x2c\0\0\0\xbf\
\x01\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\x55\x01\xbe\0\0\0\0\0\x61\x71\0\0\0\0\0\0\
\x61\x72\x04\0\0\0\0\0\xbf\x13\0\0\0\0\0\0\x07\x03\0\0\x0e\0\0\0\x2d\x23\xb9\0\
\0\0\0\0\xbf\x13\0\0\0\0\0\0\x07\x03\0\0\x22\0\0\0\x2d\x23\xb6\0\0\0\0\0\xdc\
\x08\0\0\x10\0\0\0\x71\x12\x19\0\0\0\0\0\x73\x21\x0b\0\0\0\0\0\x71\x12\x18\0\0\
\0\0\0\x73\x21\x0a\0\0\0\0\0\x71\x12\x17\0\0\0\0\0\x73\x21\x09\0\0\0\0\0\x71\
\x12\x16\0\0\0\0\0\x73\x21\x08\0\0\0\0\0\x71\x12\x15\0\0\0\0\0\x73\x21\x07\0\0\
\0\0\0\x71\x12\x14\0\0\0\0\0\x73\x21\x06\0\0\0\0\0\x71\x62\x26\0\0\0\0\0\x71\
\x63\x27\0\0\0\0\0\x71\x64\x22\0\0\0\0\0\x71\x65\x23\0\0\0\0\0\x71\x60\x24\0\0\
\0\0\0\x71\x67\x25\0\0\0\0\0\xb7\x09\0\0\x04\0\0\0\x73\x91\x17\0\0\0\0\0\xb7\
\x09\0\0\x45\0\0\0\x6b\x91\x0e\0\0\0\0\0\xb7\x09\0\0\0\0\0\0\x6b\x91\x14\0\0\0\
\0\0\x6b\x91\x18\0\0\0\0\0\x73\x91\x0d\0\0\0\0\0\x73\x71\x03\0\0\0\0\0\x73\x01\
\x02\0\0\0\0\0\x73\x51\x01\0\0\0\0\0\x73\x41\0\0\0\0\0\0\x73\x31\x05\0\0\0\0\0\
\x73\x21\x04\0\0\0\0\0\x07\x08\0\0\x14\0\0\0\xdc\x08\0\0\x10\0\0\0\x6b\x81\x10\
\0\0\0\0\0\xb7\x03\0\0\x08\0\0\0\x73\x31\x0c\0\0\0\0\0\x61\x62\x10\0\0\0\0\0\
\x63\x21\x1e\0\0\0\0\0\x61\x64\0\0\0\0\0\0\x73\x31\x16\0\0\0\0\0\x63\x41\x1a\0\
\0\0\0\0\x69\x13\x12\0\0\0\0\0\x0f\x38\0\0\0\0\0\0\x69\x13\x16\0\0\0\0\0\x0f\
\x38\0\0\0\0\0\0\xbf\x43\0\0\0\0\0\0\x57\x03\0\0\xff\xff\0\0\x0f\x38\0\0\0\0\0\
\0\x77\x04\0\0\x10\0\0\0\x0f\x48\0\0\0\0\0\0\x57\x02\0\0\xff\xff\0\0\x0f\x28\0\
\0\0\0\0\0\x69\x12\x20\0\0\0\0\0\x0f\x28\0\0\0\0\0\0\x07\x08\0\0\x45\0\0\0\xbf\
\x82\0\0\0\0\0\0\x77\x02\0\0\x10\0\0\0\x0f\x82\0\0\0\0\0\0\xa7\x02\0\0\xff\xff\
\xff\xff\x6b\x21\x18\0\0\0\0\0\x71\xa1\xf4\xff\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\
\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x6f\0\0\0\0\0\x05\0\x6b\0\0\0\0\0\xbf\x24\0\0\
\0\0\0\0\x07\x04\0\0\x3e\0\0\0\x2d\x34\x6c\0\0\0\0\0\x69\x24\x38\0\0\0\0\0\xb7\
\x03\0\0\x0a\0\0\0\x6b\x3a\xf2\xff\0\0\0\0\x73\x5a\xf4\xff\0\0\0\0\x61\x23\x2e\
\0\0\0\0\0\x61\x25\x32\0\0\0\0\0\x61\x20\x26\0\0\0\0\0\x61\x26\x2a\0\0\0\0\0\
\x6b\x4a\xf0\xff\0\0\0\0\x67\x06\0\0\x20\0\0\0\x4f\x06\0\0\0\0\0\0\x7b\x6a\xe0\
\xff\0\0\0\0\x67\x05\0\0\x20\0\0\0\x4f\x35\0\0\0\0\0\0\x7b\x5a\xe8\xff\0\0\0\0\
\x69\x27\x12\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xe0\xff\xff\xff\xbf\x16\
\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x03\0\
\0\0\0\0\0\xb7\0\0\0\x02\0\0\0\x15\x03\x53\0\0\0\0\0\x69\x31\x20\0\0\0\0\0\x55\
\x01\x51\0\x0a\0\0\0\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\xd8\xff\xff\xff\0\0\0\0\0\
\0\0\0\xbf\x38\0\0\0\0\0\0\x85\0\0\0\x2c\0\0\0\xbf\x01\0\0\0\0\0\0\xbf\x82\0\0\
\0\0\0\0\xb7\0\0\0\x01\0\0\0\x55\x01\x48\0\0\0\0\0\x61\x61\0\0\0\0\0\0\x61\x63\
\x04\0\0\0\0\0\xbf\x14\0\0\0\0\0\0\x07\x04\0\0\x0e\0\0\0\x2d\x34\x43\0\0\0\0\0\
\xbf\x14\0\0\0\0\0\0\x07\x04\0\0\x36\0\0\0\x2d\x34\x40\0\0\0\0\0\x71\x13\x2d\0\
\0\0\0\0\x73\x31\x0b\0\0\0\0\0\x71\x13\x2c\0\0\0\0\0\x73\x31\x0a\0\0\0\0\0\x71\
\x13\x2b\0\0\0\0\0\x73\x31\x09\0\0\0\0\0\x71\x13\x2a\0\0\0\0\0\x73\x31\x08\0\0\
\0\0\0\x71\x13\x29\0\0\0\0\0\x73\x31\x07\0\0\0\0\0\x71\x13\x28\0\0\0\0\0\x73\
\x31\x06\0\0\0\0\0\x71\x23\x26\0\0\0\0\0\x71\x24\x27\0\0\0\0\0\x71\x25\x22\0\0\
\0\0\0\x71\x20\x23\0\0\0\0\0\x71\x26\x24\0\0\0\0\0\x71\x28\x25\0\0\0\0\0\xb7\
\x09\0\0\x86\0\0\0\x73\x91\x0c\0\0\0\0\0\xb7\x09\0\0\xdd\0\0\0\x73\x91\x0d\0\0\
\0\0\0\xb7\x09\0\0\x60\0\0\0\x63\x91\x0e\0\0\0\0\0\xb7\x09\0\0\x29\x08\0\0\x6b\
\x91\x14\0\0\0\0\0\xdc\x07\0\0\x10\0\0\0\x07\x07\0\0\x28\0\0\0\xdc\x07\0\0\x10\
\0\0\0\x6b\x71\x12\0\0\0\0\0\x73\x81\x03\0\0\0\0\0\x73\x61\x02\0\0\0\0\0\x73\
\x01\x01\0\0\0\0\0\x73\x51\0\0\0\0\0\0\x73\x41\x05\0\0\0\0\0\x73\x31\x04\0\0\0\
\0\0\x61\x23\x08\0\0\0\0\0\x63\x31\x1e\0\0\0\0\0\x61\x23\x0c\0\0\0\0\0\x63\x31\
\x22\0\0\0\0\0\x61\x23\0\0\0\0\0\0\x63\x31\x16\0\0\0\0\0\x61\x23\x04\0\0\0\0\0\
\x63\x31\x1a\0\0\0\0\0\x61\x23\x1c\0\0\0\0\0\x63\x31\x32\0\0\0\0\0\x61\x23\x18\
\0\0\0\0\0\x63\x31\x2e\0\0\0\0\0\x61\x23\x14\0\0\0\0\0\x63\x31\x2a\0\0\0\0\0\
\x61\x22\x10\0\0\0\0\0\x63\x21\x26\0\0\0\0\0\x71\xa1\xf4\xff\0\0\0\0\x63\x1a\
\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x03\0\0\0\0\0\x79\x01\0\0\0\0\
\0\0\x07\x01\0\0\x01\0\0\0\x7b\x10\0\0\0\0\0\0\xb7\0\0\0\x03\0\0\0\x95\0\0\0\0\
\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb0\x01\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x78\x04\0\0\0\0\0\0\x01\0\0\0\x05\0\0\
\0\x50\x05\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\xd8\x07\0\0\0\0\0\0\x01\0\0\0\x05\0\
\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x84\x03\0\0\x84\x03\0\0\xf6\x09\0\0\0\0\0\
\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\
\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x06\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\
\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\x19\0\0\0\0\0\0\x08\x09\0\0\0\x1f\0\0\0\
\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x0b\0\0\0\x2c\0\0\0\0\0\0\x08\
\x0c\0\0\0\x32\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\
\0\x45\0\0\0\x01\0\0\0\0\0\0\0\x4a\0\0\0\x05\0\0\0\x40\0\0\0\x56\0\0\0\x07\0\0\
\0\x80\0\0\0\x5a\0\0\0\x0a\0\0\0\xc0\0\0\0\x60\0\0\0\0\0\0\x0e\x0d\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\x02\x10\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\x02\x12\0\0\0\x66\0\0\0\x04\0\0\x04\x18\0\0\0\x6a\0\0\
\0\x13\0\0\0\0\0\0\0\x70\0\0\0\x15\0\0\0\x80\0\0\0\x76\0\0\0\x15\0\0\0\x90\0\0\
\0\x7d\0\0\0\x17\0\0\0\xa0\0\0\0\0\0\0\0\x02\0\0\x05\x10\0\0\0\x86\0\0\0\x14\0\
\0\0\0\0\0\0\x89\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x08\0\0\0\
\x04\0\0\0\x04\0\0\0\x8c\0\0\0\0\0\0\x08\x16\0\0\0\x92\0\0\0\0\0\0\x01\x02\0\0\
\0\x10\0\0\0\xa1\0\0\0\0\0\0\x08\x18\0\0\0\xa6\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\x02\x1a\0\0\0\xb4\0\0\0\x04\0\0\x04\x28\0\0\0\xbf\0\0\0\x13\
\0\0\0\0\0\0\0\x6a\0\0\0\x13\0\0\0\x80\0\0\0\x76\0\0\0\x15\0\0\0\0\x01\0\0\xc5\
\0\0\0\x1b\0\0\0\x10\x01\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x17\0\0\0\x04\0\0\0\x06\
\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x45\0\0\0\x0f\0\0\0\0\0\0\0\x4a\0\0\0\x05\
\0\0\0\x40\0\0\0\x56\0\0\0\x11\0\0\0\x80\0\0\0\x5a\0\0\0\x19\0\0\0\xc0\0\0\0\
\xca\0\0\0\0\0\0\x0e\x1c\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x1f\0\0\0\xd2\0\0\0\
\x06\0\0\x04\x18\0\0\0\xd9\0\0\0\x08\0\0\0\0\0\0\0\xde\0\0\0\x08\0\0\0\x20\0\0\
\0\xe7\0\0\0\x08\0\0\0\x40\0\0\0\xf1\0\0\0\x08\0\0\0\x60\0\0\0\x01\x01\0\0\x08\
\0\0\0\x80\0\0\0\x10\x01\0\0\x08\0\0\0\xa0\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\
\x1f\x01\0\0\x1e\0\0\0\x23\x01\0\0\x01\0\0\x0c\x20\0\0\0\x34\x01\0\0\0\0\0\x01\
\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x22\0\0\0\x04\0\0\0\x04\0\0\0\
\x39\x01\0\0\0\0\0\x0e\x23\0\0\0\x01\0\0\0\xe8\x09\0\0\x01\0\0\x0f\x04\0\0\0\
\x24\0\0\0\0\0\0\0\x04\0\0\0\xf0\x09\0\0\x02\0\0\x0f\x40\0\0\0\x0e\0\0\0\0\0\0\
\0\x20\0\0\0\x1d\0\0\0\x20\0\0\0\x20\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\
\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x5f\x75\x33\x32\
\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x36\x34\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x74\x79\
\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\
\x6c\x75\x65\0\x72\x78\x63\x6e\x74\0\x76\x69\x70\0\x64\x61\x64\x64\x72\0\x64\
\x70\x6f\x72\x74\0\x66\x61\x6d\x69\x6c\x79\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\
\x76\x36\0\x76\x34\0\x5f\x5f\x75\x31\x36\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x73\x68\x6f\x72\x74\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x63\x68\x61\x72\0\x69\x70\x74\x6e\x6c\x5f\x69\x6e\x66\x6f\0\x73\x61\x64\x64\
\x72\0\x64\x6d\x61\x63\0\x76\x69\x70\x32\x74\x6e\x6c\0\x78\x64\x70\x5f\x6d\x64\
\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x64\x61\x74\x61\x5f\x6d\
\x65\x74\x61\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\
\x72\x78\x5f\x71\x75\x65\x75\x65\x5f\x69\x6e\x64\x65\x78\0\x65\x67\x72\x65\x73\
\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x78\x64\x70\0\x5f\x78\x64\x70\x5f\x74\
\x78\x5f\x69\x70\x74\x75\x6e\x6e\x65\x6c\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\
\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\
\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\
\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\
\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\
\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x78\x64\x70\
\x2e\x63\0\x69\x6e\x74\x20\x5f\x78\x64\x70\x5f\x74\x78\x5f\x69\x70\x74\x75\x6e\
\x6e\x65\x6c\x28\x73\x74\x72\x75\x63\x74\x20\x78\x64\x70\x5f\x6d\x64\x20\x2a\
\x78\x64\x70\x29\0\x09\x76\x6f\x69\x64\x20\x2a\x64\x61\x74\x61\x5f\x65\x6e\x64\
\x20\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x28\x6c\x6f\x6e\x67\x29\x78\x64\
\x70\x2d\x3e\x64\x61\x74\x61\x5f\x65\x6e\x64\x3b\0\x09\x76\x6f\x69\x64\x20\x2a\
\x64\x61\x74\x61\x20\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x28\x6c\x6f\x6e\
\x67\x29\x78\x64\x70\x2d\x3e\x64\x61\x74\x61\x3b\0\x09\x69\x66\x20\x28\x65\x74\
\x68\x20\x2b\x20\x31\x20\x3e\x20\x64\x61\x74\x61\x5f\x65\x6e\x64\x29\0\x09\x68\
\x5f\x70\x72\x6f\x74\x6f\x20\x3d\x20\x65\x74\x68\x2d\x3e\x68\x5f\x70\x72\x6f\
\x74\x6f\x3b\0\x09\x69\x66\x20\x28\x68\x5f\x70\x72\x6f\x74\x6f\x20\x3d\x3d\x20\
\x62\x70\x66\x5f\x68\x74\x6f\x6e\x73\x28\x45\x54\x48\x5f\x50\x5f\x49\x50\x29\
\x29\0\x09\x73\x74\x72\x75\x63\x74\x20\x76\x69\x70\x20\x76\x69\x70\x20\x3d\x20\
\x7b\x7d\x3b\0\x09\x69\x66\x20\x28\x69\x70\x68\x20\x2b\x20\x31\x20\x3e\x20\x64\
\x61\x74\x61\x5f\x65\x6e\x64\x29\0\x09\x64\x70\x6f\x72\x74\x20\x3d\x20\x67\x65\
\x74\x5f\x64\x70\x6f\x72\x74\x28\x69\x70\x68\x20\x2b\x20\x31\x2c\x20\x64\x61\
\x74\x61\x5f\x65\x6e\x64\x2c\x20\x69\x70\x68\x2d\x3e\x70\x72\x6f\x74\x6f\x63\
\x6f\x6c\x29\x3b\0\x09\x73\x77\x69\x74\x63\x68\x20\x28\x70\x72\x6f\x74\x6f\x63\
\x6f\x6c\x29\x20\x7b\0\x09\x09\x69\x66\x20\x28\x74\x68\x20\x2b\x20\x31\x20\x3e\
\x20\x64\x61\x74\x61\x5f\x65\x6e\x64\x29\0\x09\x69\x66\x20\x28\x69\x70\x36\x68\
\x20\x2b\x20\x31\x20\x3e\x20\x64\x61\x74\x61\x5f\x65\x6e\x64\x29\0\x09\x64\x70\
\x6f\x72\x74\x20\x3d\x20\x67\x65\x74\x5f\x64\x70\x6f\x72\x74\x28\x69\x70\x36\
\x68\x20\x2b\x20\x31\x2c\x20\x64\x61\x74\x61\x5f\x65\x6e\x64\x2c\x20\x69\x70\
\x36\x68\x2d\x3e\x6e\x65\x78\x74\x68\x64\x72\x29\x3b\0\x09\x09\x69\x66\x20\x28\
\x75\x68\x20\x2b\x20\x31\x20\x3e\x20\x64\x61\x74\x61\x5f\x65\x6e\x64\x29\0\x09\
\x76\x69\x70\x2e\x70\x72\x6f\x74\x6f\x63\x6f\x6c\x20\x3d\x20\x69\x70\x68\x2d\
\x3e\x70\x72\x6f\x74\x6f\x63\x6f\x6c\x3b\0\x09\x76\x69\x70\x2e\x66\x61\x6d\x69\
\x6c\x79\x20\x3d\x20\x41\x46\x5f\x49\x4e\x45\x54\x3b\0\x09\x76\x69\x70\x2e\x64\
\x61\x64\x64\x72\x2e\x76\x34\x20\x3d\x20\x69\x70\x68\x2d\x3e\x64\x61\x64\x64\
\x72\x3b\0\x09\x76\x69\x70\x2e\x64\x70\x6f\x72\x74\x20\x3d\x20\x64\x70\x6f\x72\
\x74\x3b\0\x09\x70\x61\x79\x6c\x6f\x61\x64\x5f\x6c\x65\x6e\x20\x3d\x20\x62\x70\
\x66\x5f\x6e\x74\x6f\x68\x73\x28\x69\x70\x68\x2d\x3e\x74\x6f\x74\x5f\x6c\x65\
\x6e\x29\x3b\0\x09\x74\x6e\x6c\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\
\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x76\x69\x70\x32\x74\x6e\x6c\
\x2c\x20\x26\x76\x69\x70\x29\x3b\0\x09\x69\x66\x20\x28\x21\x74\x6e\x6c\x20\x7c\
\x7c\x20\x74\x6e\x6c\x2d\x3e\x66\x61\x6d\x69\x6c\x79\x20\x21\x3d\x20\x41\x46\
\x5f\x49\x4e\x45\x54\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x78\x64\x70\x5f\
\x61\x64\x6a\x75\x73\x74\x5f\x68\x65\x61\x64\x28\x78\x64\x70\x2c\x20\x30\x20\
\x2d\x20\x28\x69\x6e\x74\x29\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\x72\x75\x63\
\x74\x20\x69\x70\x68\x64\x72\x29\x29\x29\0\x09\x64\x61\x74\x61\x20\x3d\x20\x28\
\x76\x6f\x69\x64\x20\x2a\x29\x28\x6c\x6f\x6e\x67\x29\x78\x64\x70\x2d\x3e\x64\
\x61\x74\x61\x3b\0\x09\x64\x61\x74\x61\x5f\x65\x6e\x64\x20\x3d\x20\x28\x76\x6f\
\x69\x64\x20\x2a\x29\x28\x6c\x6f\x6e\x67\x29\x78\x64\x70\x2d\x3e\x64\x61\x74\
\x61\x5f\x65\x6e\x64\x3b\0\x09\x69\x70\x68\x20\x3d\x20\x64\x61\x74\x61\x20\x2b\
\x20\x73\x69\x7a\x65\x6f\x66\x28\x2a\x6e\x65\x77\x5f\x65\x74\x68\x29\x3b\0\x09\
\x69\x66\x20\x28\x6e\x65\x77\x5f\x65\x74\x68\x20\x2b\x20\x31\x20\x3e\x20\x64\
\x61\x74\x61\x5f\x65\x6e\x64\x20\x7c\x7c\0\x09\x6d\x65\x6d\x63\x70\x79\x28\x6e\
\x65\x77\x5f\x65\x74\x68\x2d\x3e\x68\x5f\x73\x6f\x75\x72\x63\x65\x2c\x20\x6f\
\x6c\x64\x5f\x65\x74\x68\x2d\x3e\x68\x5f\x64\x65\x73\x74\x2c\x20\x73\x69\x7a\
\x65\x6f\x66\x28\x6e\x65\x77\x5f\x65\x74\x68\x2d\x3e\x68\x5f\x73\x6f\x75\x72\
\x63\x65\x29\x29\x3b\0\x09\x6d\x65\x6d\x63\x70\x79\x28\x6e\x65\x77\x5f\x65\x74\
\x68\x2d\x3e\x68\x5f\x64\x65\x73\x74\x2c\x20\x74\x6e\x6c\x2d\x3e\x64\x6d\x61\
\x63\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x6e\x65\x77\x5f\x65\x74\x68\x2d\x3e\
\x68\x5f\x64\x65\x73\x74\x29\x29\x3b\0\x09\x69\x70\x68\x2d\x3e\x70\x72\x6f\x74\
\x6f\x63\x6f\x6c\x20\x3d\x20\x49\x50\x50\x52\x4f\x54\x4f\x5f\x49\x50\x49\x50\
\x3b\0\x09\x69\x70\x68\x2d\x3e\x69\x68\x6c\x20\x3d\x20\x73\x69\x7a\x65\x6f\x66\
\x28\x2a\x69\x70\x68\x29\x20\x3e\x3e\x20\x32\x3b\0\x09\x69\x70\x68\x2d\x3e\x66\
\x72\x61\x67\x5f\x6f\x66\x66\x20\x3d\x09\x30\x3b\0\x09\x69\x70\x68\x2d\x3e\x63\
\x68\x65\x63\x6b\x20\x3d\x20\x30\x3b\0\x09\x6e\x65\x77\x5f\x65\x74\x68\x2d\x3e\
\x68\x5f\x70\x72\x6f\x74\x6f\x20\x3d\x20\x68\x5f\x70\x72\x6f\x74\x6f\x3b\0\x09\
\x69\x70\x68\x2d\x3e\x74\x6f\x74\x5f\x6c\x65\x6e\x20\x3d\x20\x62\x70\x66\x5f\
\x68\x74\x6f\x6e\x73\x28\x70\x61\x79\x6c\x6f\x61\x64\x5f\x6c\x65\x6e\x20\x2b\
\x20\x73\x69\x7a\x65\x6f\x66\x28\x2a\x69\x70\x68\x29\x29\x3b\0\x09\x69\x70\x68\
\x2d\x3e\x64\x61\x64\x64\x72\x20\x3d\x20\x74\x6e\x6c\x2d\x3e\x64\x61\x64\x64\
\x72\x2e\x76\x34\x3b\0\x09\x69\x70\x68\x2d\x3e\x73\x61\x64\x64\x72\x20\x3d\x20\
\x74\x6e\x6c\x2d\x3e\x73\x61\x64\x64\x72\x2e\x76\x34\x3b\0\x09\x69\x70\x68\x2d\
\x3e\x74\x74\x6c\x20\x3d\x20\x38\x3b\0\x09\x09\x63\x73\x75\x6d\x20\x2b\x3d\x20\
\x2a\x6e\x65\x78\x74\x5f\x69\x70\x68\x2b\x2b\x3b\0\x09\x69\x70\x68\x2d\x3e\x63\
\x68\x65\x63\x6b\x20\x3d\x20\x7e\x28\x28\x63\x73\x75\x6d\x20\x26\x20\x30\x78\
\x66\x66\x66\x66\x29\x20\x2b\x20\x28\x63\x73\x75\x6d\x20\x3e\x3e\x20\x31\x36\
\x29\x29\x3b\0\x09\x63\x6f\x75\x6e\x74\x5f\x74\x78\x28\x76\x69\x70\x2e\x70\x72\
\x6f\x74\x6f\x63\x6f\x6c\x29\x3b\0\x09\x72\x78\x63\x6e\x74\x5f\x63\x6f\x75\x6e\
\x74\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\
\x65\x6c\x65\x6d\x28\x26\x72\x78\x63\x6e\x74\x2c\x20\x26\x70\x72\x6f\x74\x6f\
\x63\x6f\x6c\x29\x3b\0\x09\x69\x66\x20\x28\x72\x78\x63\x6e\x74\x5f\x63\x6f\x75\
\x6e\x74\x29\0\x09\x09\x2a\x72\x78\x63\x6e\x74\x5f\x63\x6f\x75\x6e\x74\x20\x2b\
\x3d\x20\x31\x3b\0\x09\x76\x69\x70\x2e\x66\x61\x6d\x69\x6c\x79\x20\x3d\x20\x41\
\x46\x5f\x49\x4e\x45\x54\x36\x3b\0\x09\x76\x69\x70\x2e\x70\x72\x6f\x74\x6f\x63\
\x6f\x6c\x20\x3d\x20\x69\x70\x36\x68\x2d\x3e\x6e\x65\x78\x74\x68\x64\x72\x3b\0\
\x09\x6d\x65\x6d\x63\x70\x79\x28\x76\x69\x70\x2e\x64\x61\x64\x64\x72\x2e\x76\
\x36\x2c\x20\x69\x70\x36\x68\x2d\x3e\x64\x61\x64\x64\x72\x2e\x73\x36\x5f\x61\
\x64\x64\x72\x33\x32\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x76\x69\x70\x2e\x64\
\x61\x64\x64\x72\x29\x29\x3b\0\x09\x70\x61\x79\x6c\x6f\x61\x64\x5f\x6c\x65\x6e\
\x20\x3d\x20\x69\x70\x36\x68\x2d\x3e\x70\x61\x79\x6c\x6f\x61\x64\x5f\x6c\x65\
\x6e\x3b\0\x09\x69\x66\x20\x28\x21\x74\x6e\x6c\x20\x7c\x7c\x20\x74\x6e\x6c\x2d\
\x3e\x66\x61\x6d\x69\x6c\x79\x20\x21\x3d\x20\x41\x46\x5f\x49\x4e\x45\x54\x36\
\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x78\x64\x70\x5f\x61\x64\x6a\x75\x73\
\x74\x5f\x68\x65\x61\x64\x28\x78\x64\x70\x2c\x20\x30\x20\x2d\x20\x28\x69\x6e\
\x74\x29\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\x72\x75\x63\x74\x20\x69\x70\x76\
\x36\x68\x64\x72\x29\x29\x29\0\x09\x69\x70\x36\x68\x20\x3d\x20\x64\x61\x74\x61\
\x20\x2b\x20\x73\x69\x7a\x65\x6f\x66\x28\x2a\x6e\x65\x77\x5f\x65\x74\x68\x29\
\x3b\0\x09\x69\x66\x20\x28\x6e\x65\x77\x5f\x65\x74\x68\x20\x2b\x20\x31\x20\x3e\
\x20\x64\x61\x74\x61\x5f\x65\x6e\x64\x20\x7c\x7c\x20\x6f\x6c\x64\x5f\x65\x74\
\x68\x20\x2b\x20\x31\x20\x3e\x20\x64\x61\x74\x61\x5f\x65\x6e\x64\x20\x7c\x7c\0\
\x09\x69\x70\x36\x68\x2d\x3e\x70\x72\x69\x6f\x72\x69\x74\x79\x20\x3d\x20\x30\
\x3b\0\x09\x69\x70\x36\x68\x2d\x3e\x6e\x65\x78\x74\x68\x64\x72\x20\x3d\x20\x49\
\x50\x50\x52\x4f\x54\x4f\x5f\x49\x50\x56\x36\x3b\0\x09\x69\x70\x36\x68\x2d\x3e\
\x70\x61\x79\x6c\x6f\x61\x64\x5f\x6c\x65\x6e\x20\x3d\x20\x62\x70\x66\x5f\x68\
\x74\x6f\x6e\x73\x28\x62\x70\x66\x5f\x6e\x74\x6f\x68\x73\x28\x70\x61\x79\x6c\
\x6f\x61\x64\x5f\x6c\x65\x6e\x29\x20\x2b\x20\x73\x69\x7a\x65\x6f\x66\x28\x2a\
\x69\x70\x36\x68\x29\x29\x3b\0\x09\x6d\x65\x6d\x63\x70\x79\x28\x69\x70\x36\x68\
\x2d\x3e\x73\x61\x64\x64\x72\x2e\x73\x36\x5f\x61\x64\x64\x72\x33\x32\x2c\x20\
\x74\x6e\x6c\x2d\x3e\x73\x61\x64\x64\x72\x2e\x76\x36\x2c\x20\x73\x69\x7a\x65\
\x6f\x66\x28\x74\x6e\x6c\x2d\x3e\x73\x61\x64\x64\x72\x2e\x76\x36\x29\x29\x3b\0\
\x09\x6d\x65\x6d\x63\x70\x79\x28\x69\x70\x36\x68\x2d\x3e\x64\x61\x64\x64\x72\
\x2e\x73\x36\x5f\x61\x64\x64\x72\x33\x32\x2c\x20\x74\x6e\x6c\x2d\x3e\x64\x61\
\x64\x64\x72\x2e\x76\x36\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x74\x6e\x6c\x2d\
\x3e\x64\x61\x64\x64\x72\x2e\x76\x36\x29\x29\x3b\0\x7d\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2e\x6d\x61\x70\x73\0\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\
\x14\0\0\0\x14\0\0\0\xbc\x06\0\0\xd0\x06\0\0\0\0\0\0\x08\0\0\0\x1f\x01\0\0\x01\
\0\0\0\0\0\0\0\x21\0\0\0\x10\0\0\0\x1f\x01\0\0\x6b\0\0\0\0\0\0\0\x42\x01\0\0\
\xc6\x01\0\0\0\x54\x03\0\x08\0\0\0\x42\x01\0\0\xef\x01\0\0\x26\x5c\x03\0\x10\0\
\0\0\x42\x01\0\0\x1e\x02\0\0\x22\x60\x03\0\x18\0\0\0\x42\x01\0\0\x45\x02\0\0\
\x0a\x70\x03\0\x28\0\0\0\x42\x01\0\0\x45\x02\0\0\x06\x70\x03\0\x30\0\0\0\x42\
\x01\0\0\x5e\x02\0\0\x11\x7c\x03\0\x50\0\0\0\x42\x01\0\0\x77\x02\0\0\x06\x84\
\x03\0\x68\0\0\0\x42\x01\0\0\x9c\x02\0\0\x0d\x64\x01\0\x90\0\0\0\x42\x01\0\0\
\xb2\x02\0\0\x0a\x78\x01\0\xa0\0\0\0\x42\x01\0\0\xb2\x02\0\0\x06\x78\x01\0\xa8\
\0\0\0\x42\x01\0\0\xcb\x02\0\0\x2c\x84\x01\0\xb0\0\0\0\x42\x01\0\0\x01\x03\0\0\
\x02\xd4\0\0\xc0\0\0\0\x42\x01\0\0\x16\x03\0\0\x0a\xe0\0\0\xd0\0\0\0\x42\x01\0\
\0\x16\x03\0\0\x07\xe0\0\0\xe8\0\0\0\x42\x01\0\0\x9c\x02\0\0\x0d\x84\x02\0\xf0\
\0\0\0\x42\x01\0\0\x2f\x03\0\0\x0b\x90\x02\0\0\x01\0\0\x42\x01\0\0\x2f\x03\0\0\
\x06\x90\x02\0\x08\x01\0\0\x42\x01\0\0\x49\x03\0\0\x2e\x9c\x02\0\x10\x01\0\0\
\x42\x01\0\0\x01\x03\0\0\x02\xd4\0\0\x20\x01\0\0\x42\x01\0\0\x16\x03\0\0\x0a\
\xe0\0\0\x30\x01\0\0\x42\x01\0\0\x16\x03\0\0\x07\xe0\0\0\x40\x01\0\0\x42\x01\0\
\0\x80\x03\0\0\x0a\xf4\0\0\x50\x01\0\0\x42\x01\0\0\x80\x03\0\0\x07\xf4\0\0\x60\
\x01\0\0\x42\x01\0\0\x99\x03\0\0\x0f\x94\x01\0\x70\x01\0\0\x42\x01\0\0\xb8\x03\
\0\0\x0d\x98\x01\0\x78\x01\0\0\x42\x01\0\0\xcf\x03\0\0\x16\x9c\x01\0\x80\x01\0\
\0\x42\x01\0\0\xeb\x03\0\0\x0c\xa0\x01\0\x88\x01\0\0\x42\x01\0\0\xcf\x03\0\0\
\x0f\x9c\x01\0\x90\x01\0\0\x42\x01\0\0\xff\x03\0\0\x10\xa4\x01\0\xb0\x01\0\0\
\x42\x01\0\0\x27\x04\0\0\x08\xac\x01\0\xd8\x01\0\0\x42\x01\0\0\x53\x04\0\0\x0b\
\xb4\x01\0\xe0\x01\0\0\x42\x01\0\0\x53\x04\0\0\x13\xb4\x01\0\xe8\x01\0\0\x42\
\x01\0\0\x53\x04\0\0\x06\xb4\x01\0\xf0\x01\0\0\x42\x01\0\0\x78\x04\0\0\x06\xc0\
\x01\0\x20\x02\0\0\x42\x01\0\0\x78\x04\0\0\x06\xc0\x01\0\x28\x02\0\0\x42\x01\0\
\0\xb6\x04\0\0\x1c\xcc\x01\0\x30\x02\0\0\x42\x01\0\0\xd7\x04\0\0\x20\xd0\x01\0\
\x38\x02\0\0\x42\x01\0\0\0\x05\0\0\x0d\xdc\x01\0\x48\x02\0\0\x42\x01\0\0\x20\
\x05\0\0\x1d\xe8\x01\0\x70\x02\0\0\x42\x01\0\0\x3f\x05\0\0\x02\x28\x01\0\xd0\
\x02\0\0\x42\x01\0\0\x87\x05\0\0\x02\x2c\x01\0\x08\x03\0\0\x42\x01\0\0\xc5\x05\
\0\0\x10\x10\x02\0\x18\x03\0\0\x42\x01\0\0\xe4\x05\0\0\x0b\x08\x02\0\x28\x03\0\
\0\x42\x01\0\0\x03\x06\0\0\x10\x0c\x02\0\x30\x03\0\0\x42\x01\0\0\x17\x06\0\0\
\x0d\x14\x02\0\x38\x03\0\0\x42\x01\0\0\x28\x06\0\0\x13\x30\x01\0\x40\x03\0\0\
\x42\x01\0\0\x87\x05\0\0\x02\x2c\x01\0\x70\x03\0\0\x42\x01\0\0\x45\x06\0\0\x11\
\x1c\x02\0\x80\x03\0\0\x42\x01\0\0\x45\x06\0\0\x0f\x1c\x02\0\x90\x03\0\0\x42\
\x01\0\0\x28\x06\0\0\x13\x30\x01\0\x98\x03\0\0\x42\x01\0\0\x7c\x06\0\0\x1a\x20\
\x02\0\xa0\x03\0\0\x42\x01\0\0\x7c\x06\0\0\x0d\x20\x02\0\xa8\x03\0\0\x42\x01\0\
\0\x99\x06\0\0\x1a\x24\x02\0\xb0\x03\0\0\x42\x01\0\0\xb6\x06\0\0\x0b\x28\x02\0\
\xb8\x03\0\0\x42\x01\0\0\x99\x06\0\0\x0d\x24\x02\0\xc0\x03\0\0\x42\x01\0\0\xc5\
\x06\0\0\x0b\x3c\x02\0\xc8\x03\0\0\x42\x01\0\0\xc5\x06\0\0\x08\x3c\x02\0\xd0\
\x03\0\0\x42\x01\0\0\xc5\x06\0\0\x0b\x3c\x02\0\xd8\x03\0\0\x42\x01\0\0\xc5\x06\
\0\0\x08\x3c\x02\0\xe0\x03\0\0\x42\x01\0\0\xc5\x06\0\0\x0b\x3c\x02\0\xf0\x03\0\
\0\x42\x01\0\0\xc5\x06\0\0\x08\x3c\x02\0\xf8\x03\0\0\x42\x01\0\0\xc5\x06\0\0\
\x0b\x3c\x02\0\0\x04\0\0\x42\x01\0\0\xc5\x06\0\0\x08\x3c\x02\0\x08\x04\0\0\x42\
\x01\0\0\xc5\x06\0\0\x0b\x3c\x02\0\x10\x04\0\0\x42\x01\0\0\xc5\x06\0\0\x08\x3c\
\x02\0\x18\x04\0\0\x42\x01\0\0\xc5\x06\0\0\x0b\x3c\x02\0\x20\x04\0\0\x42\x01\0\
\0\xc5\x06\0\0\x08\x3c\x02\0\x30\x04\0\0\x42\x01\0\0\xdc\x06\0\0\x29\x44\x02\0\
\x40\x04\0\0\x42\x01\0\0\xdc\x06\0\0\x21\x44\x02\0\x48\x04\0\0\x42\x01\0\0\xdc\
\x06\0\0\x0f\x44\x02\0\x50\x04\0\0\x42\x01\0\0\xdc\x06\0\0\x0d\x44\x02\0\x58\
\x04\0\0\x42\x01\0\0\x0d\x07\0\0\x0f\x4c\x02\0\x78\x04\0\0\x42\x01\0\0\x26\x07\
\0\0\x10\xa8\0\0\x90\x04\0\0\x42\x01\0\0\x5d\x07\0\0\x06\xac\0\0\x98\x04\0\0\
\x42\x01\0\0\x6f\x07\0\0\x10\xb0\0\0\xa0\x04\0\0\x42\x01\0\0\x80\x03\0\0\x0a\
\xf4\0\0\xb0\x04\0\0\x42\x01\0\0\x80\x03\0\0\x07\xf4\0\0\xc8\x04\0\0\x42\x01\0\
\0\x84\x07\0\0\x0d\xb0\x02\0\xd0\x04\0\0\x42\x01\0\0\x9c\x07\0\0\x0f\xac\x02\0\
\xd8\x04\0\0\x42\x01\0\0\xbb\x07\0\0\x02\xb4\x02\0\xf8\x04\0\0\x42\x01\0\0\xeb\
\x03\0\0\x0c\xb8\x02\0\0\x05\0\0\x42\x01\0\0\xbb\x07\0\0\x02\xb4\x02\0\x30\x05\
\0\0\x42\x01\0\0\xfc\x07\0\0\x16\xbc\x02\0\x50\x05\0\0\x42\x01\0\0\x27\x04\0\0\
\x08\xc4\x02\0\x78\x05\0\0\x42\x01\0\0\x1e\x08\0\0\x0b\xcc\x02\0\x80\x05\0\0\
\x42\x01\0\0\x1e\x08\0\0\x13\xcc\x02\0\x88\x05\0\0\x42\x01\0\0\x1e\x08\0\0\x06\
\xcc\x02\0\x90\x05\0\0\x42\x01\0\0\x44\x08\0\0\x06\xd8\x02\0\xd0\x05\0\0\x42\
\x01\0\0\x44\x08\0\0\x06\xd8\x02\0\xd8\x05\0\0\x42\x01\0\0\xb6\x04\0\0\x1c\xe4\
\x02\0\xe0\x05\0\0\x42\x01\0\0\xd7\x04\0\0\x20\xe8\x02\0\xe8\x05\0\0\x42\x01\0\
\0\x84\x08\0\0\x0e\xf4\x02\0\xf8\x05\0\0\x42\x01\0\0\xa5\x08\0\0\x1d\0\x03\0\
\x18\x06\0\0\x42\x01\0\0\x3f\x05\0\0\x02\x28\x01\0\x78\x06\0\0\x42\x01\0\0\x87\
\x05\0\0\x02\x2c\x01\0\xb0\x06\0\0\x42\x01\0\0\x28\x06\0\0\x13\x30\x01\0\xd0\
\x06\0\0\x42\x01\0\0\xde\x08\0\0\x11\x1c\x03\0\xe0\x06\0\0\x42\x01\0\0\xf3\x08\
\0\0\x10\x28\x03\0\xe8\x06\0\0\x42\x01\0\0\x12\x09\0\0\x16\x24\x03\0\0\x07\0\0\
\x42\x01\0\0\x12\x09\0\0\x14\x24\x03\0\x08\x07\0\0\x42\x01\0\0\x87\x05\0\0\x02\
\x2c\x01\0\x38\x07\0\0\x42\x01\0\0\x5a\x09\0\0\x02\x30\x03\0\x78\x07\0\0\x42\
\x01\0\0\xa0\x09\0\0\x02\x34\x03\0\xb8\x07\0\0\x42\x01\0\0\x0d\x07\0\0\x0f\x3c\
\x03\0\xd8\x07\0\0\x42\x01\0\0\x26\x07\0\0\x10\xa8\0\0\xf0\x07\0\0\x42\x01\0\0\
\x5d\x07\0\0\x06\xac\0\0\x18\x08\0\0\x42\x01\0\0\xe6\x09\0\0\x01\xa0\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x6c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xb0\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\
\x01\0\0\0\0\0\0\x20\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x15\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x09\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1d\0\
\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x09\0\0\0\0\0\0\x40\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x56\0\0\0\x09\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x09\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x02\0\
\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x5e\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\x92\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x98\x17\0\0\0\0\0\0\xf0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_xdp *test_xdp::open(const struct bpf_object_open_opts *opts) { return test_xdp__open_opts(opts); }
struct test_xdp *test_xdp::open_and_load() { return test_xdp__open_and_load(); }
int test_xdp::load(struct test_xdp *skel) { return test_xdp__load(skel); }
int test_xdp::attach(struct test_xdp *skel) { return test_xdp__attach(skel); }
void test_xdp::detach(struct test_xdp *skel) { test_xdp__detach(skel); }
void test_xdp::destroy(struct test_xdp *skel) { test_xdp__destroy(skel); }
const void *test_xdp::elf_bytes(size_t *sz) { return test_xdp__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_xdp__assert(struct test_xdp *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_XDP_SKEL_H__ */
