/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TRACING_STRUCT_MANY_ARGS_SKEL_H__
#define __TRACING_STRUCT_MANY_ARGS_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct tracing_struct_many_args {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *test_struct_many_args_1;
		struct bpf_program *test_struct_many_args_2;
		struct bpf_program *test_struct_many_args_3;
		struct bpf_program *test_struct_many_args_4;
		struct bpf_program *test_struct_many_args_5;
		struct bpf_program *test_struct_many_args_6;
	} progs;
	struct {
		struct bpf_link *test_struct_many_args_1;
		struct bpf_link *test_struct_many_args_2;
		struct bpf_link *test_struct_many_args_3;
		struct bpf_link *test_struct_many_args_4;
		struct bpf_link *test_struct_many_args_5;
		struct bpf_link *test_struct_many_args_6;
	} links;
	struct tracing_struct_many_args__bss {
		long t7_a;
		long t7_b;
		long t7_c;
		long t7_d;
		long t7_e;
		long t7_f_a;
		long t7_f_b;
		long t7_ret;
		long t8_a;
		long t8_b;
		long t8_c;
		long t8_d;
		long t8_e;
		long t8_f_a;
		long t8_f_b;
		long t8_g;
		long t8_ret;
		long t9_a;
		long t9_b;
		long t9_c;
		long t9_d;
		long t9_e;
		long t9_f;
		long t9_g;
		long t9_h_a;
		long t9_h_b;
		long t9_h_c;
		long t9_h_d;
		long t9_i;
		long t9_ret;
	} *bss;

#ifdef __cplusplus
	static inline struct tracing_struct_many_args *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct tracing_struct_many_args *open_and_load();
	static inline int load(struct tracing_struct_many_args *skel);
	static inline int attach(struct tracing_struct_many_args *skel);
	static inline void detach(struct tracing_struct_many_args *skel);
	static inline void destroy(struct tracing_struct_many_args *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
tracing_struct_many_args__destroy(struct tracing_struct_many_args *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
tracing_struct_many_args__create_skeleton(struct tracing_struct_many_args *obj);

static inline struct tracing_struct_many_args *
tracing_struct_many_args__open_opts(const struct bpf_object_open_opts *opts)
{
	struct tracing_struct_many_args *obj;
	int err;

	obj = (struct tracing_struct_many_args *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = tracing_struct_many_args__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	tracing_struct_many_args__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct tracing_struct_many_args *
tracing_struct_many_args__open(void)
{
	return tracing_struct_many_args__open_opts(NULL);
}

static inline int
tracing_struct_many_args__load(struct tracing_struct_many_args *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct tracing_struct_many_args *
tracing_struct_many_args__open_and_load(void)
{
	struct tracing_struct_many_args *obj;
	int err;

	obj = tracing_struct_many_args__open();
	if (!obj)
		return NULL;
	err = tracing_struct_many_args__load(obj);
	if (err) {
		tracing_struct_many_args__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
tracing_struct_many_args__attach(struct tracing_struct_many_args *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
tracing_struct_many_args__detach(struct tracing_struct_many_args *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *tracing_struct_many_args__elf_bytes(size_t *sz);

static inline int
tracing_struct_many_args__create_skeleton(struct tracing_struct_many_args *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "tracing_struct_many_args";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "tracing_.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 6;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_struct_many_args_1";
	s->progs[0].prog = &obj->progs.test_struct_many_args_1;
	s->progs[0].link = &obj->links.test_struct_many_args_1;

	s->progs[1].name = "test_struct_many_args_2";
	s->progs[1].prog = &obj->progs.test_struct_many_args_2;
	s->progs[1].link = &obj->links.test_struct_many_args_2;

	s->progs[2].name = "test_struct_many_args_3";
	s->progs[2].prog = &obj->progs.test_struct_many_args_3;
	s->progs[2].link = &obj->links.test_struct_many_args_3;

	s->progs[3].name = "test_struct_many_args_4";
	s->progs[3].prog = &obj->progs.test_struct_many_args_4;
	s->progs[3].link = &obj->links.test_struct_many_args_4;

	s->progs[4].name = "test_struct_many_args_5";
	s->progs[4].prog = &obj->progs.test_struct_many_args_5;
	s->progs[4].link = &obj->links.test_struct_many_args_5;

	s->progs[5].name = "test_struct_many_args_6";
	s->progs[5].prog = &obj->progs.test_struct_many_args_6;
	s->progs[5].link = &obj->links.test_struct_many_args_6;

	s->data = tracing_struct_many_args__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *tracing_struct_many_args__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xa8\x1f\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x13\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\
\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x74\x65\
\x73\x74\x5f\x73\x74\x72\x75\x63\x74\x5f\x61\x72\x67\x5f\x37\0\x66\x65\x78\x69\
\x74\x2f\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x74\x65\x73\x74\x5f\
\x73\x74\x72\x75\x63\x74\x5f\x61\x72\x67\x5f\x37\0\x66\x65\x6e\x74\x72\x79\x2f\
\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x74\x65\x73\x74\x5f\x73\x74\
\x72\x75\x63\x74\x5f\x61\x72\x67\x5f\x38\0\x66\x65\x78\x69\x74\x2f\x62\x70\x66\
\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x74\x65\x73\x74\x5f\x73\x74\x72\x75\x63\
\x74\x5f\x61\x72\x67\x5f\x38\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x74\
\x65\x73\x74\x6d\x6f\x64\x5f\x74\x65\x73\x74\x5f\x73\x74\x72\x75\x63\x74\x5f\
\x61\x72\x67\x5f\x39\0\x66\x65\x78\x69\x74\x2f\x62\x70\x66\x5f\x74\x65\x73\x74\
\x6d\x6f\x64\x5f\x74\x65\x73\x74\x5f\x73\x74\x72\x75\x63\x74\x5f\x61\x72\x67\
\x5f\x39\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x74\x72\x61\x63\x69\
\x6e\x67\x5f\x73\x74\x72\x75\x63\x74\x5f\x6d\x61\x6e\x79\x5f\x61\x72\x67\x73\
\x2e\x63\0\x74\x65\x73\x74\x5f\x73\x74\x72\x75\x63\x74\x5f\x6d\x61\x6e\x79\x5f\
\x61\x72\x67\x73\x5f\x31\0\x74\x37\x5f\x62\0\x74\x37\x5f\x61\0\x74\x37\x5f\x65\
\0\x74\x37\x5f\x66\x5f\x61\0\x74\x37\x5f\x63\0\x74\x37\x5f\x64\0\x74\x37\x5f\
\x66\x5f\x62\0\x74\x65\x73\x74\x5f\x73\x74\x72\x75\x63\x74\x5f\x6d\x61\x6e\x79\
\x5f\x61\x72\x67\x73\x5f\x32\0\x74\x37\x5f\x72\x65\x74\0\x74\x65\x73\x74\x5f\
\x73\x74\x72\x75\x63\x74\x5f\x6d\x61\x6e\x79\x5f\x61\x72\x67\x73\x5f\x33\0\x74\
\x38\x5f\x62\0\x74\x38\x5f\x61\0\x74\x38\x5f\x65\0\x74\x38\x5f\x66\x5f\x61\0\
\x74\x38\x5f\x63\0\x74\x38\x5f\x64\0\x74\x38\x5f\x66\x5f\x62\0\x74\x38\x5f\x67\
\0\x74\x65\x73\x74\x5f\x73\x74\x72\x75\x63\x74\x5f\x6d\x61\x6e\x79\x5f\x61\x72\
\x67\x73\x5f\x34\0\x74\x38\x5f\x72\x65\x74\0\x74\x65\x73\x74\x5f\x73\x74\x72\
\x75\x63\x74\x5f\x6d\x61\x6e\x79\x5f\x61\x72\x67\x73\x5f\x35\0\x74\x39\x5f\x62\
\0\x74\x39\x5f\x61\0\x74\x39\x5f\x65\0\x74\x39\x5f\x68\x5f\x64\0\x74\x39\x5f\
\x69\0\x74\x39\x5f\x68\x5f\x63\0\x74\x39\x5f\x63\0\x74\x39\x5f\x64\0\x74\x39\
\x5f\x66\0\x74\x39\x5f\x67\0\x74\x39\x5f\x68\x5f\x61\0\x74\x39\x5f\x68\x5f\x62\
\0\x74\x65\x73\x74\x5f\x73\x74\x72\x75\x63\x74\x5f\x6d\x61\x6e\x79\x5f\x61\x72\
\x67\x73\x5f\x36\0\x74\x39\x5f\x72\x65\x74\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x74\x65\x73\x74\
\x6d\x6f\x64\x5f\x74\x65\x73\x74\x5f\x73\x74\x72\x75\x63\x74\x5f\x61\x72\x67\
\x5f\x37\0\x2e\x72\x65\x6c\x66\x65\x78\x69\x74\x2f\x62\x70\x66\x5f\x74\x65\x73\
\x74\x6d\x6f\x64\x5f\x74\x65\x73\x74\x5f\x73\x74\x72\x75\x63\x74\x5f\x61\x72\
\x67\x5f\x37\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x74\
\x65\x73\x74\x6d\x6f\x64\x5f\x74\x65\x73\x74\x5f\x73\x74\x72\x75\x63\x74\x5f\
\x61\x72\x67\x5f\x38\0\x2e\x72\x65\x6c\x66\x65\x78\x69\x74\x2f\x62\x70\x66\x5f\
\x74\x65\x73\x74\x6d\x6f\x64\x5f\x74\x65\x73\x74\x5f\x73\x74\x72\x75\x63\x74\
\x5f\x61\x72\x67\x5f\x38\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\
\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x74\x65\x73\x74\x5f\x73\x74\x72\x75\
\x63\x74\x5f\x61\x72\x67\x5f\x39\0\x2e\x72\x65\x6c\x66\x65\x78\x69\x74\x2f\x62\
\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x74\x65\x73\x74\x5f\x73\x74\x72\
\x75\x63\x74\x5f\x61\x72\x67\x5f\x39\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\
\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf9\
\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x06\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x14\x01\0\0\x12\0\x03\0\0\
\0\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\x2c\x01\0\0\x11\0\x0a\0\x08\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x31\x01\0\0\x11\0\x0a\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x36\x01\0\0\x11\0\x0a\0\x20\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x3b\x01\0\0\x11\0\
\x0a\0\x28\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x42\x01\0\0\x11\0\x0a\0\x10\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\x47\x01\0\0\x11\0\x0a\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\x4c\x01\0\0\x11\0\x0a\0\x30\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x53\x01\0\0\
\x12\0\x04\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x6b\x01\0\0\x11\0\x0a\0\x38\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\x72\x01\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\x50\x01\0\
\0\0\0\0\0\x8a\x01\0\0\x11\0\x0a\0\x48\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x8f\x01\
\0\0\x11\0\x0a\0\x40\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x94\x01\0\0\x11\0\x0a\0\
\x60\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x99\x01\0\0\x11\0\x0a\0\x68\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\xa0\x01\0\0\x11\0\x0a\0\x50\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\xa5\x01\0\0\x11\0\x0a\0\x58\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xaa\x01\0\0\x11\0\
\x0a\0\x70\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xb1\x01\0\0\x11\0\x0a\0\x78\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\xb6\x01\0\0\x12\0\x06\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\
\0\0\xce\x01\0\0\x11\0\x0a\0\x80\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xd5\x01\0\0\
\x12\0\x07\0\0\0\0\0\0\0\0\0\x08\x02\0\0\0\0\0\0\xed\x01\0\0\x11\0\x0a\0\x90\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xf2\x01\0\0\x11\0\x0a\0\x88\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\xf7\x01\0\0\x11\0\x0a\0\xa8\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xfc\
\x01\0\0\x11\0\x0a\0\xd8\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x03\x02\0\0\x11\0\x0a\
\0\xe0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x08\x02\0\0\x11\0\x0a\0\xd0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\x0f\x02\0\0\x11\0\x0a\0\x98\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x14\x02\0\0\x11\0\x0a\0\xa0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x19\x02\0\0\x11\
\0\x0a\0\xb0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x1e\x02\0\0\x11\0\x0a\0\xb8\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\x23\x02\0\0\x11\0\x0a\0\xc0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\x2a\x02\0\0\x11\0\x0a\0\xc8\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x31\x02\0\
\0\x12\0\x08\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x49\x02\0\0\x11\0\x0a\0\xe8\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x50\x02\0\0\x11\0\x09\0\0\0\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\x79\x12\x30\0\0\0\0\0\x79\x13\x18\0\0\0\0\0\x79\x14\x10\0\0\0\0\0\
\x79\x15\x28\0\0\0\0\0\x79\x10\x20\0\0\0\0\0\x79\x16\0\0\0\0\0\0\x79\x11\x08\0\
\0\0\0\0\x18\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x17\0\0\0\0\0\0\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x7b\x61\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x7b\x01\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x51\0\0\0\0\0\0\
\x67\x04\0\0\x30\0\0\0\xc7\x04\0\0\x30\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x7b\x41\0\0\0\0\0\0\x67\x03\0\0\x20\0\0\0\xc7\x03\0\0\x20\0\0\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x31\0\0\0\0\0\0\x67\x02\0\0\x20\0\0\0\xc7\x02\0\0\
\x20\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\xb7\0\0\0\0\
\0\0\0\x95\0\0\0\0\0\0\0\x79\x11\x38\0\0\0\0\0\x67\x01\0\0\x20\0\0\0\xc7\x01\0\
\0\x20\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\xb7\0\0\0\
\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x12\x38\0\0\0\0\0\x79\x13\x30\0\0\0\0\0\x79\x14\
\x18\0\0\0\0\0\x79\x15\x10\0\0\0\0\0\x79\x10\x28\0\0\0\0\0\x79\x16\x20\0\0\0\0\
\0\x79\x17\0\0\0\0\0\0\x79\x11\x08\0\0\0\0\0\x18\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x7b\x18\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x71\0\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x61\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x7b\x01\0\0\0\0\0\0\x67\x05\0\0\x30\0\0\0\xc7\x05\0\0\x30\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x51\0\0\0\0\0\0\x67\x04\0\0\x20\0\0\0\
\xc7\x04\0\0\x20\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x41\0\0\0\0\0\0\
\x67\x03\0\0\x20\0\0\0\xc7\x03\0\0\x20\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x7b\x31\0\0\0\0\0\0\x67\x02\0\0\x20\0\0\0\xc7\x02\0\0\x20\0\0\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\x79\x11\x40\0\0\0\0\0\x67\x01\0\0\x20\0\0\0\xc7\x01\0\0\x20\0\0\0\x18\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\x79\x13\x30\0\0\0\0\0\x79\x14\x28\0\0\0\0\0\x79\x15\x18\0\0\0\0\0\x79\x10\
\x10\0\0\0\0\0\x79\x12\x38\0\0\0\0\0\x79\x16\x48\0\0\0\0\0\x7b\x6a\xf8\xff\0\0\
\0\0\x79\x17\x40\0\0\0\0\0\x79\x18\x20\0\0\0\0\0\x79\x19\0\0\0\0\0\0\x79\x11\
\x08\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x16\0\0\0\0\0\0\x18\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x91\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x7b\x81\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x71\0\0\0\0\
\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\xa6\xf8\xff\0\0\0\0\x7b\x61\0\0\0\
\0\0\0\xbf\x21\0\0\0\0\0\0\xc7\x01\0\0\x20\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x7b\x16\0\0\0\0\0\0\x67\0\0\0\x30\0\0\0\xc7\0\0\0\x30\0\0\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x01\0\0\0\0\0\0\x67\x05\0\0\x20\0\0\0\xc7\x05\0\0\
\x20\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x51\0\0\0\0\0\0\x67\x04\0\0\
\x38\0\0\0\xc7\x04\0\0\x38\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x41\0\
\0\0\0\0\0\x67\x03\0\0\x30\0\0\0\xc7\x03\0\0\x30\0\0\0\x18\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x7b\x31\0\0\0\0\0\0\xbf\x21\0\0\0\0\0\0\x67\x01\0\0\x38\0\0\0\xc7\
\x01\0\0\x38\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x13\0\0\0\0\0\0\x67\
\x02\0\0\x20\0\0\0\xc7\x02\0\0\x30\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x7b\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x11\x50\0\0\0\0\0\
\x67\x01\0\0\x20\0\0\0\xc7\x01\0\0\x20\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x7b\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\
\0\x38\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x50\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\
\x68\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x80\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\
\xa8\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\xd0\0\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\
\xf8\0\0\0\0\0\0\0\x01\0\0\0\x0f\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\
\x40\0\0\0\0\0\0\0\x01\0\0\0\x13\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\x14\0\0\0\
\x70\0\0\0\0\0\0\0\x01\0\0\0\x15\0\0\0\x88\0\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\
\xb0\0\0\0\0\0\0\0\x01\0\0\0\x17\0\0\0\xd8\0\0\0\0\0\0\0\x01\0\0\0\x18\0\0\0\0\
\x01\0\0\0\0\0\0\x01\0\0\0\x19\0\0\0\x28\x01\0\0\0\0\0\0\x01\0\0\0\x1a\0\0\0\
\x18\0\0\0\0\0\0\0\x01\0\0\0\x1c\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\x1e\0\0\0\
\x70\0\0\0\0\0\0\0\x01\0\0\0\x1f\0\0\0\x88\0\0\0\0\0\0\0\x01\0\0\0\x20\0\0\0\
\xa0\0\0\0\0\0\0\0\x01\0\0\0\x21\0\0\0\xb8\0\0\0\0\0\0\0\x01\0\0\0\x22\0\0\0\
\xe8\0\0\0\0\0\0\0\x01\0\0\0\x23\0\0\0\x10\x01\0\0\0\0\0\0\x01\0\0\0\x24\0\0\0\
\x38\x01\0\0\0\0\0\0\x01\0\0\0\x25\0\0\0\x60\x01\0\0\0\0\0\0\x01\0\0\0\x26\0\0\
\0\x88\x01\0\0\0\0\0\0\x01\0\0\0\x27\0\0\0\xb8\x01\0\0\0\0\0\0\x01\0\0\0\x28\0\
\0\0\xe0\x01\0\0\0\0\0\0\x01\0\0\0\x29\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x2b\0\
\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x4c\x04\0\0\x4c\x04\0\0\x7f\x06\0\0\0\0\0\
\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\
\x0d\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\
\x1c\0\0\0\x01\0\0\x0c\x03\0\0\0\x34\0\0\0\x01\0\0\x0c\x03\0\0\0\x4c\0\0\0\x01\
\0\0\x0c\x03\0\0\0\x64\0\0\0\x01\0\0\x0c\x03\0\0\0\x7c\0\0\0\x01\0\0\x0c\x03\0\
\0\0\x94\0\0\0\x01\0\0\x0c\x03\0\0\0\xac\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\
\0\0\0\0\0\0\0\x03\0\0\0\0\x0b\0\0\0\x0d\0\0\0\x04\0\0\0\xb1\0\0\0\0\0\0\x01\
\x04\0\0\0\x20\0\0\0\xc5\0\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\xce\0\0\0\0\0\0\
\x01\x08\0\0\0\x40\0\0\x01\xd3\0\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\xd8\0\0\0\0\
\0\0\x0e\x0f\0\0\0\x01\0\0\0\xdd\0\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\xe2\0\0\0\
\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\xe7\0\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\xec\0\0\
\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\xf3\0\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\xfa\0\
\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\x01\x01\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\
\x06\x01\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\x0b\x01\0\0\0\0\0\x0e\x0f\0\0\0\x01\
\0\0\0\x10\x01\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\x15\x01\0\0\0\0\0\x0e\x0f\0\0\
\0\x01\0\0\0\x1a\x01\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\x21\x01\0\0\0\0\0\x0e\
\x0f\0\0\0\x01\0\0\0\x28\x01\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\x2d\x01\0\0\0\0\
\0\x0e\x0f\0\0\0\x01\0\0\0\x34\x01\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\x39\x01\0\
\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\x3e\x01\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\x43\
\x01\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\x48\x01\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\
\0\x4d\x01\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\x52\x01\0\0\0\0\0\x0e\x0f\0\0\0\
\x01\0\0\0\x57\x01\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\x5e\x01\0\0\0\0\0\x0e\x0f\
\0\0\0\x01\0\0\0\x65\x01\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\x6c\x01\0\0\0\0\0\
\x0e\x0f\0\0\0\x01\0\0\0\x73\x01\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\x78\x01\0\0\
\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\x97\x05\0\0\x01\0\0\x0f\x04\0\0\0\x0e\0\0\0\0\0\
\0\0\x04\0\0\0\x9f\x05\0\0\x1e\0\0\x0f\xf0\0\0\0\x10\0\0\0\0\0\0\0\x08\0\0\0\
\x11\0\0\0\x08\0\0\0\x08\0\0\0\x12\0\0\0\x10\0\0\0\x08\0\0\0\x13\0\0\0\x18\0\0\
\0\x08\0\0\0\x14\0\0\0\x20\0\0\0\x08\0\0\0\x15\0\0\0\x28\0\0\0\x08\0\0\0\x16\0\
\0\0\x30\0\0\0\x08\0\0\0\x17\0\0\0\x38\0\0\0\x08\0\0\0\x18\0\0\0\x40\0\0\0\x08\
\0\0\0\x19\0\0\0\x48\0\0\0\x08\0\0\0\x1a\0\0\0\x50\0\0\0\x08\0\0\0\x1b\0\0\0\
\x58\0\0\0\x08\0\0\0\x1c\0\0\0\x60\0\0\0\x08\0\0\0\x1d\0\0\0\x68\0\0\0\x08\0\0\
\0\x1e\0\0\0\x70\0\0\0\x08\0\0\0\x1f\0\0\0\x78\0\0\0\x08\0\0\0\x20\0\0\0\x80\0\
\0\0\x08\0\0\0\x21\0\0\0\x88\0\0\0\x08\0\0\0\x22\0\0\0\x90\0\0\0\x08\0\0\0\x23\
\0\0\0\x98\0\0\0\x08\0\0\0\x24\0\0\0\xa0\0\0\0\x08\0\0\0\x25\0\0\0\xa8\0\0\0\
\x08\0\0\0\x26\0\0\0\xb0\0\0\0\x08\0\0\0\x27\0\0\0\xb8\0\0\0\x08\0\0\0\x28\0\0\
\0\xc0\0\0\0\x08\0\0\0\x29\0\0\0\xc8\0\0\0\x08\0\0\0\x2a\0\0\0\xd0\0\0\0\x08\0\
\0\0\x2b\0\0\0\xd8\0\0\0\x08\0\0\0\x2c\0\0\0\xe0\0\0\0\x08\0\0\0\x2d\0\0\0\xe8\
\0\0\0\x08\0\0\0\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\
\x6f\x6e\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x74\x65\x73\x74\x5f\x73\x74\x72\x75\
\x63\x74\x5f\x6d\x61\x6e\x79\x5f\x61\x72\x67\x73\x5f\x31\0\x74\x65\x73\x74\x5f\
\x73\x74\x72\x75\x63\x74\x5f\x6d\x61\x6e\x79\x5f\x61\x72\x67\x73\x5f\x32\0\x74\
\x65\x73\x74\x5f\x73\x74\x72\x75\x63\x74\x5f\x6d\x61\x6e\x79\x5f\x61\x72\x67\
\x73\x5f\x33\0\x74\x65\x73\x74\x5f\x73\x74\x72\x75\x63\x74\x5f\x6d\x61\x6e\x79\
\x5f\x61\x72\x67\x73\x5f\x34\0\x74\x65\x73\x74\x5f\x73\x74\x72\x75\x63\x74\x5f\
\x6d\x61\x6e\x79\x5f\x61\x72\x67\x73\x5f\x35\0\x74\x65\x73\x74\x5f\x73\x74\x72\
\x75\x63\x74\x5f\x6d\x61\x6e\x79\x5f\x61\x72\x67\x73\x5f\x36\0\x63\x68\x61\x72\
\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x6c\x6f\x6e\x67\0\x74\x37\x5f\x61\0\x74\
\x37\x5f\x62\0\x74\x37\x5f\x63\0\x74\x37\x5f\x64\0\x74\x37\x5f\x65\0\x74\x37\
\x5f\x66\x5f\x61\0\x74\x37\x5f\x66\x5f\x62\0\x74\x37\x5f\x72\x65\x74\0\x74\x38\
\x5f\x61\0\x74\x38\x5f\x62\0\x74\x38\x5f\x63\0\x74\x38\x5f\x64\0\x74\x38\x5f\
\x65\0\x74\x38\x5f\x66\x5f\x61\0\x74\x38\x5f\x66\x5f\x62\0\x74\x38\x5f\x67\0\
\x74\x38\x5f\x72\x65\x74\0\x74\x39\x5f\x61\0\x74\x39\x5f\x62\0\x74\x39\x5f\x63\
\0\x74\x39\x5f\x64\0\x74\x39\x5f\x65\0\x74\x39\x5f\x66\0\x74\x39\x5f\x67\0\x74\
\x39\x5f\x68\x5f\x61\0\x74\x39\x5f\x68\x5f\x62\0\x74\x39\x5f\x68\x5f\x63\0\x74\
\x39\x5f\x68\x5f\x64\0\x74\x39\x5f\x69\0\x74\x39\x5f\x72\x65\x74\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\
\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\
\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\
\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\
\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\
\x6f\x67\x73\x2f\x74\x72\x61\x63\x69\x6e\x67\x5f\x73\x74\x72\x75\x63\x74\x5f\
\x6d\x61\x6e\x79\x5f\x61\x72\x67\x73\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\
\x50\x52\x4f\x47\x32\x28\x74\x65\x73\x74\x5f\x73\x74\x72\x75\x63\x74\x5f\x6d\
\x61\x6e\x79\x5f\x61\x72\x67\x73\x5f\x31\x2c\x20\x5f\x5f\x75\x36\x34\x2c\x20\
\x61\x2c\x20\x76\x6f\x69\x64\x20\x2a\x2c\x20\x62\x2c\x20\x73\x68\x6f\x72\x74\
\x2c\x20\x63\x2c\x20\x69\x6e\x74\x2c\x20\x64\x2c\0\x09\x74\x37\x5f\x62\x20\x3d\
\x20\x28\x6c\x6f\x6e\x67\x29\x62\x3b\0\x09\x74\x37\x5f\x61\x20\x3d\x20\x61\x3b\
\0\x09\x74\x37\x5f\x65\x20\x3d\x20\x28\x6c\x6f\x6e\x67\x29\x65\x3b\0\x09\x74\
\x37\x5f\x66\x5f\x61\x20\x3d\x20\x66\x2e\x61\x3b\0\x09\x74\x37\x5f\x63\x20\x3d\
\x20\x63\x3b\0\x09\x74\x37\x5f\x64\x20\x3d\x20\x64\x3b\0\x09\x74\x37\x5f\x66\
\x5f\x62\x20\x3d\x20\x66\x2e\x62\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\
\x4f\x47\x32\x28\x74\x65\x73\x74\x5f\x73\x74\x72\x75\x63\x74\x5f\x6d\x61\x6e\
\x79\x5f\x61\x72\x67\x73\x5f\x32\x2c\x20\x5f\x5f\x75\x36\x34\x2c\x20\x61\x2c\
\x20\x76\x6f\x69\x64\x20\x2a\x2c\x20\x62\x2c\x20\x73\x68\x6f\x72\x74\x2c\x20\
\x63\x2c\x20\x69\x6e\x74\x2c\x20\x64\x2c\0\x09\x74\x37\x5f\x72\x65\x74\x20\x3d\
\x20\x72\x65\x74\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x32\x28\
\x74\x65\x73\x74\x5f\x73\x74\x72\x75\x63\x74\x5f\x6d\x61\x6e\x79\x5f\x61\x72\
\x67\x73\x5f\x33\x2c\x20\x5f\x5f\x75\x36\x34\x2c\x20\x61\x2c\x20\x76\x6f\x69\
\x64\x20\x2a\x2c\x20\x62\x2c\x20\x73\x68\x6f\x72\x74\x2c\x20\x63\x2c\x20\x69\
\x6e\x74\x2c\x20\x64\x2c\0\x09\x74\x38\x5f\x62\x20\x3d\x20\x28\x6c\x6f\x6e\x67\
\x29\x62\x3b\0\x09\x74\x38\x5f\x61\x20\x3d\x20\x61\x3b\0\x09\x74\x38\x5f\x65\
\x20\x3d\x20\x28\x6c\x6f\x6e\x67\x29\x65\x3b\0\x09\x74\x38\x5f\x66\x5f\x61\x20\
\x3d\x20\x66\x2e\x61\x3b\0\x09\x74\x38\x5f\x63\x20\x3d\x20\x63\x3b\0\x09\x74\
\x38\x5f\x64\x20\x3d\x20\x64\x3b\0\x09\x74\x38\x5f\x66\x5f\x62\x20\x3d\x20\x66\
\x2e\x62\x3b\0\x09\x74\x38\x5f\x67\x20\x3d\x20\x67\x3b\0\x69\x6e\x74\x20\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x32\x28\x74\x65\x73\x74\x5f\x73\x74\x72\x75\x63\
\x74\x5f\x6d\x61\x6e\x79\x5f\x61\x72\x67\x73\x5f\x34\x2c\x20\x5f\x5f\x75\x36\
\x34\x2c\x20\x61\x2c\x20\x76\x6f\x69\x64\x20\x2a\x2c\x20\x62\x2c\x20\x73\x68\
\x6f\x72\x74\x2c\x20\x63\x2c\x20\x69\x6e\x74\x2c\x20\x64\x2c\0\x09\x74\x38\x5f\
\x72\x65\x74\x20\x3d\x20\x72\x65\x74\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\
\x52\x4f\x47\x32\x28\x74\x65\x73\x74\x5f\x73\x74\x72\x75\x63\x74\x5f\x6d\x61\
\x6e\x79\x5f\x61\x72\x67\x73\x5f\x35\x2c\x20\x5f\x5f\x75\x36\x34\x2c\x20\x61\
\x2c\x20\x76\x6f\x69\x64\x20\x2a\x2c\x20\x62\x2c\x20\x73\x68\x6f\x72\x74\x2c\
\x20\x63\x2c\x20\x69\x6e\x74\x2c\x20\x64\x2c\x20\x76\x6f\x69\x64\x20\x2a\x2c\
\x20\x65\x2c\0\x09\x74\x39\x5f\x62\x20\x3d\x20\x28\x6c\x6f\x6e\x67\x29\x62\x3b\
\0\x09\x74\x39\x5f\x61\x20\x3d\x20\x61\x3b\0\x09\x74\x39\x5f\x65\x20\x3d\x20\
\x28\x6c\x6f\x6e\x67\x29\x65\x3b\0\x09\x74\x39\x5f\x68\x5f\x64\x20\x3d\x20\x68\
\x2e\x64\x3b\0\x09\x74\x39\x5f\x69\x20\x3d\x20\x69\x3b\0\x09\x74\x39\x5f\x68\
\x5f\x63\x20\x3d\x20\x68\x2e\x63\x3b\0\x09\x74\x39\x5f\x63\x20\x3d\x20\x63\x3b\
\0\x09\x74\x39\x5f\x64\x20\x3d\x20\x64\x3b\0\x09\x74\x39\x5f\x66\x20\x3d\x20\
\x66\x3b\0\x09\x74\x39\x5f\x67\x20\x3d\x20\x67\x3b\0\x09\x74\x39\x5f\x68\x5f\
\x61\x20\x3d\x20\x68\x2e\x61\x3b\0\x09\x74\x39\x5f\x68\x5f\x62\x20\x3d\x20\x68\
\x2e\x62\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x32\x28\x74\x65\
\x73\x74\x5f\x73\x74\x72\x75\x63\x74\x5f\x6d\x61\x6e\x79\x5f\x61\x72\x67\x73\
\x5f\x36\x2c\x20\x5f\x5f\x75\x36\x34\x2c\x20\x61\x2c\x20\x76\x6f\x69\x64\x20\
\x2a\x2c\x20\x62\x2c\x20\x73\x68\x6f\x72\x74\x2c\x20\x63\x2c\x20\x69\x6e\x74\
\x2c\x20\x64\x2c\x20\x76\x6f\x69\x64\x20\x2a\x2c\x20\x65\x2c\0\x09\x74\x39\x5f\
\x72\x65\x74\x20\x3d\x20\x72\x65\x74\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x62\x73\x73\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\
\x6f\x64\x5f\x74\x65\x73\x74\x5f\x73\x74\x72\x75\x63\x74\x5f\x61\x72\x67\x5f\
\x37\0\x66\x65\x78\x69\x74\x2f\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\
\x74\x65\x73\x74\x5f\x73\x74\x72\x75\x63\x74\x5f\x61\x72\x67\x5f\x37\0\x66\x65\
\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x74\x65\
\x73\x74\x5f\x73\x74\x72\x75\x63\x74\x5f\x61\x72\x67\x5f\x38\0\x66\x65\x78\x69\
\x74\x2f\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x74\x65\x73\x74\x5f\
\x73\x74\x72\x75\x63\x74\x5f\x61\x72\x67\x5f\x38\0\x66\x65\x6e\x74\x72\x79\x2f\
\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x74\x65\x73\x74\x5f\x73\x74\
\x72\x75\x63\x74\x5f\x61\x72\x67\x5f\x39\0\x66\x65\x78\x69\x74\x2f\x62\x70\x66\
\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x74\x65\x73\x74\x5f\x73\x74\x72\x75\x63\
\x74\x5f\x61\x72\x67\x5f\x39\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x64\0\
\0\0\x64\0\0\0\x44\x05\0\0\xa8\x05\0\0\0\0\0\0\x08\0\0\0\xa4\x05\0\0\x01\0\0\0\
\0\0\0\0\x05\0\0\0\xc9\x05\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\xed\x05\0\0\x01\0\0\
\0\0\0\0\0\x07\0\0\0\x12\x06\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\x36\x06\0\0\x01\0\
\0\0\0\0\0\0\x09\0\0\0\x5b\x06\0\0\x01\0\0\0\0\0\0\0\x0a\0\0\0\x10\0\0\0\xa4\
\x05\0\0\x12\0\0\0\0\0\0\0\x7f\x01\0\0\x13\x02\0\0\x05\x5c\0\0\x08\0\0\0\x7f\
\x01\0\0\x13\x02\0\0\x05\x5c\0\0\x10\0\0\0\x7f\x01\0\0\x13\x02\0\0\x05\x5c\0\0\
\x18\0\0\0\x7f\x01\0\0\x13\x02\0\0\x05\x5c\0\0\x20\0\0\0\x7f\x01\0\0\x13\x02\0\
\0\x05\x5c\0\0\x28\0\0\0\x7f\x01\0\0\x13\x02\0\0\x05\x5c\0\0\x30\0\0\0\x7f\x01\
\0\0\x13\x02\0\0\x05\x5c\0\0\x38\0\0\0\x7f\x01\0\0\x61\x02\0\0\x07\x6c\0\0\x50\
\0\0\0\x7f\x01\0\0\x72\x02\0\0\x07\x68\0\0\x68\0\0\0\x7f\x01\0\0\x7d\x02\0\0\
\x07\x78\0\0\x80\0\0\0\x7f\x01\0\0\x8e\x02\0\0\x09\x7c\0\0\x98\0\0\0\x7f\x01\0\
\0\x9d\x02\0\0\x09\x70\0\0\xa8\0\0\0\x7f\x01\0\0\x9d\x02\0\0\x07\x70\0\0\xc0\0\
\0\0\x7f\x01\0\0\xa8\x02\0\0\x09\x74\0\0\xd0\0\0\0\x7f\x01\0\0\xa8\x02\0\0\x07\
\x74\0\0\xe8\0\0\0\x7f\x01\0\0\xb3\x02\0\0\x0b\x80\0\0\xf8\0\0\0\x7f\x01\0\0\
\xb3\x02\0\0\x09\x80\0\0\x10\x01\0\0\x7f\x01\0\0\x13\x02\0\0\x05\x5c\0\0\xc9\
\x05\0\0\x04\0\0\0\0\0\0\0\x7f\x01\0\0\xc2\x02\0\0\x05\x94\0\0\x08\0\0\0\x7f\
\x01\0\0\x10\x03\0\0\x0b\xa0\0\0\x18\0\0\0\x7f\x01\0\0\x10\x03\0\0\x09\xa0\0\0\
\x30\0\0\0\x7f\x01\0\0\xc2\x02\0\0\x05\x94\0\0\xed\x05\0\0\x15\0\0\0\0\0\0\0\
\x7f\x01\0\0\x1f\x03\0\0\x05\xb4\0\0\x08\0\0\0\x7f\x01\0\0\x1f\x03\0\0\x05\xb4\
\0\0\x10\0\0\0\x7f\x01\0\0\x1f\x03\0\0\x05\xb4\0\0\x18\0\0\0\x7f\x01\0\0\x1f\
\x03\0\0\x05\xb4\0\0\x20\0\0\0\x7f\x01\0\0\x1f\x03\0\0\x05\xb4\0\0\x28\0\0\0\
\x7f\x01\0\0\x1f\x03\0\0\x05\xb4\0\0\x30\0\0\0\x7f\x01\0\0\x1f\x03\0\0\x05\xb4\
\0\0\x38\0\0\0\x7f\x01\0\0\x1f\x03\0\0\x05\xb4\0\0\x40\0\0\0\x7f\x01\0\0\x6d\
\x03\0\0\x07\xc4\0\0\x58\0\0\0\x7f\x01\0\0\x7e\x03\0\0\x07\xc0\0\0\x70\0\0\0\
\x7f\x01\0\0\x89\x03\0\0\x07\xd0\0\0\x88\0\0\0\x7f\x01\0\0\x9a\x03\0\0\x09\xd4\
\0\0\xa0\0\0\0\x7f\x01\0\0\xa9\x03\0\0\x09\xc8\0\0\xb0\0\0\0\x7f\x01\0\0\xa9\
\x03\0\0\x07\xc8\0\0\xc8\0\0\0\x7f\x01\0\0\xb4\x03\0\0\x09\xcc\0\0\xd8\0\0\0\
\x7f\x01\0\0\xb4\x03\0\0\x07\xcc\0\0\xf0\0\0\0\x7f\x01\0\0\xbf\x03\0\0\x0b\xd8\
\0\0\0\x01\0\0\x7f\x01\0\0\xbf\x03\0\0\x09\xd8\0\0\x18\x01\0\0\x7f\x01\0\0\xce\
\x03\0\0\x09\xdc\0\0\x28\x01\0\0\x7f\x01\0\0\xce\x03\0\0\x07\xdc\0\0\x40\x01\0\
\0\x7f\x01\0\0\x1f\x03\0\0\x05\xb4\0\0\x12\x06\0\0\x04\0\0\0\0\0\0\0\x7f\x01\0\
\0\xd9\x03\0\0\x05\xf0\0\0\x08\0\0\0\x7f\x01\0\0\x27\x04\0\0\x0b\0\x01\0\x18\0\
\0\0\x7f\x01\0\0\x27\x04\0\0\x09\0\x01\0\x30\0\0\0\x7f\x01\0\0\xd9\x03\0\0\x05\
\xf0\0\0\x36\x06\0\0\x1e\0\0\0\0\0\0\0\x7f\x01\0\0\x36\x04\0\0\x05\x14\x01\0\
\x08\0\0\0\x7f\x01\0\0\x36\x04\0\0\x05\x14\x01\0\x10\0\0\0\x7f\x01\0\0\x36\x04\
\0\0\x05\x14\x01\0\x18\0\0\0\x7f\x01\0\0\x36\x04\0\0\x05\x14\x01\0\x20\0\0\0\
\x7f\x01\0\0\x36\x04\0\0\x05\x14\x01\0\x28\0\0\0\x7f\x01\0\0\x36\x04\0\0\x05\
\x14\x01\0\x30\0\0\0\x7f\x01\0\0\x36\x04\0\0\x05\x14\x01\0\x40\0\0\0\x7f\x01\0\
\0\x36\x04\0\0\x05\x14\x01\0\x48\0\0\0\x7f\x01\0\0\x36\x04\0\0\x05\x14\x01\0\
\x50\0\0\0\x7f\x01\0\0\x36\x04\0\0\x05\x14\x01\0\x58\0\0\0\x7f\x01\0\0\x8f\x04\
\0\0\x07\x24\x01\0\x70\0\0\0\x7f\x01\0\0\xa0\x04\0\0\x07\x20\x01\0\x88\0\0\0\
\x7f\x01\0\0\xab\x04\0\0\x07\x30\x01\0\xa0\0\0\0\x7f\x01\0\0\xbc\x04\0\0\x09\
\x48\x01\0\xb8\0\0\0\x7f\x01\0\0\xcb\x04\0\0\x07\x4c\x01\0\xd8\0\0\0\x7f\x01\0\
\0\xd6\x04\0\0\x0b\x44\x01\0\xe8\0\0\0\x7f\x01\0\0\xd6\x04\0\0\x09\x44\x01\0\0\
\x01\0\0\x7f\x01\0\0\xe5\x04\0\0\x09\x28\x01\0\x10\x01\0\0\x7f\x01\0\0\xe5\x04\
\0\0\x07\x28\x01\0\x28\x01\0\0\x7f\x01\0\0\xf0\x04\0\0\x09\x2c\x01\0\x38\x01\0\
\0\x7f\x01\0\0\xf0\x04\0\0\x07\x2c\x01\0\x50\x01\0\0\x7f\x01\0\0\xfb\x04\0\0\
\x09\x34\x01\0\x60\x01\0\0\x7f\x01\0\0\xfb\x04\0\0\x07\x34\x01\0\x78\x01\0\0\
\x7f\x01\0\0\x06\x05\0\0\x09\x38\x01\0\x88\x01\0\0\x7f\x01\0\0\x06\x05\0\0\x07\
\x38\x01\0\xa0\x01\0\0\x7f\x01\0\0\x11\x05\0\0\x0b\x3c\x01\0\xb8\x01\0\0\x7f\
\x01\0\0\x11\x05\0\0\x09\x3c\x01\0\xd0\x01\0\0\x7f\x01\0\0\x20\x05\0\0\x0b\x40\
\x01\0\xe0\x01\0\0\x7f\x01\0\0\x20\x05\0\0\x09\x40\x01\0\xf8\x01\0\0\x7f\x01\0\
\0\x36\x04\0\0\x05\x14\x01\0\x5b\x06\0\0\x04\0\0\0\0\0\0\0\x7f\x01\0\0\x2f\x05\
\0\0\x05\x60\x01\0\x08\0\0\0\x7f\x01\0\0\x88\x05\0\0\x0b\x6c\x01\0\x18\0\0\0\
\x7f\x01\0\0\x88\x05\0\0\x09\x6c\x01\0\x30\0\0\0\x7f\x01\0\0\x2f\x05\0\0\x05\
\x60\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\
\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x5a\x03\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xa0\x03\0\0\0\0\0\0\x38\x04\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xd8\x07\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x36\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xf8\x08\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x5a\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x09\0\0\0\
\0\0\0\x50\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x7f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x0a\0\0\0\0\0\0\x40\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa3\0\0\0\x01\
\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x0a\0\0\0\0\0\0\x08\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\0\0\0\x01\0\0\0\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x0c\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xec\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x10\x0d\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xf4\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x18\x0d\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x59\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x0d\0\0\
\0\0\0\0\x70\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\x82\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x0d\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\xaa\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x0d\0\0\0\0\0\0\
\x80\0\0\0\0\0\0\0\x02\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xd3\
\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x0e\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x02\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xfb\x02\0\
\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x0e\0\0\0\0\0\0\xc0\0\0\0\0\
\0\0\0\x02\0\0\0\x07\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x24\x03\0\0\x09\
\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x0e\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x02\0\0\0\x08\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x4c\x03\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x0e\0\0\0\0\0\0\xe3\x0a\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x51\x03\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xe0\x19\0\0\0\0\0\0\xc8\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct tracing_struct_many_args *tracing_struct_many_args::open(const struct bpf_object_open_opts *opts) { return tracing_struct_many_args__open_opts(opts); }
struct tracing_struct_many_args *tracing_struct_many_args::open_and_load() { return tracing_struct_many_args__open_and_load(); }
int tracing_struct_many_args::load(struct tracing_struct_many_args *skel) { return tracing_struct_many_args__load(skel); }
int tracing_struct_many_args::attach(struct tracing_struct_many_args *skel) { return tracing_struct_many_args__attach(skel); }
void tracing_struct_many_args::detach(struct tracing_struct_many_args *skel) { tracing_struct_many_args__detach(skel); }
void tracing_struct_many_args::destroy(struct tracing_struct_many_args *skel) { tracing_struct_many_args__destroy(skel); }
const void *tracing_struct_many_args::elf_bytes(size_t *sz) { return tracing_struct_many_args__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
tracing_struct_many_args__assert(struct tracing_struct_many_args *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->t7_a) == 8, "unexpected size of 't7_a'");
	_Static_assert(sizeof(s->bss->t7_b) == 8, "unexpected size of 't7_b'");
	_Static_assert(sizeof(s->bss->t7_c) == 8, "unexpected size of 't7_c'");
	_Static_assert(sizeof(s->bss->t7_d) == 8, "unexpected size of 't7_d'");
	_Static_assert(sizeof(s->bss->t7_e) == 8, "unexpected size of 't7_e'");
	_Static_assert(sizeof(s->bss->t7_f_a) == 8, "unexpected size of 't7_f_a'");
	_Static_assert(sizeof(s->bss->t7_f_b) == 8, "unexpected size of 't7_f_b'");
	_Static_assert(sizeof(s->bss->t7_ret) == 8, "unexpected size of 't7_ret'");
	_Static_assert(sizeof(s->bss->t8_a) == 8, "unexpected size of 't8_a'");
	_Static_assert(sizeof(s->bss->t8_b) == 8, "unexpected size of 't8_b'");
	_Static_assert(sizeof(s->bss->t8_c) == 8, "unexpected size of 't8_c'");
	_Static_assert(sizeof(s->bss->t8_d) == 8, "unexpected size of 't8_d'");
	_Static_assert(sizeof(s->bss->t8_e) == 8, "unexpected size of 't8_e'");
	_Static_assert(sizeof(s->bss->t8_f_a) == 8, "unexpected size of 't8_f_a'");
	_Static_assert(sizeof(s->bss->t8_f_b) == 8, "unexpected size of 't8_f_b'");
	_Static_assert(sizeof(s->bss->t8_g) == 8, "unexpected size of 't8_g'");
	_Static_assert(sizeof(s->bss->t8_ret) == 8, "unexpected size of 't8_ret'");
	_Static_assert(sizeof(s->bss->t9_a) == 8, "unexpected size of 't9_a'");
	_Static_assert(sizeof(s->bss->t9_b) == 8, "unexpected size of 't9_b'");
	_Static_assert(sizeof(s->bss->t9_c) == 8, "unexpected size of 't9_c'");
	_Static_assert(sizeof(s->bss->t9_d) == 8, "unexpected size of 't9_d'");
	_Static_assert(sizeof(s->bss->t9_e) == 8, "unexpected size of 't9_e'");
	_Static_assert(sizeof(s->bss->t9_f) == 8, "unexpected size of 't9_f'");
	_Static_assert(sizeof(s->bss->t9_g) == 8, "unexpected size of 't9_g'");
	_Static_assert(sizeof(s->bss->t9_h_a) == 8, "unexpected size of 't9_h_a'");
	_Static_assert(sizeof(s->bss->t9_h_b) == 8, "unexpected size of 't9_h_b'");
	_Static_assert(sizeof(s->bss->t9_h_c) == 8, "unexpected size of 't9_h_c'");
	_Static_assert(sizeof(s->bss->t9_h_d) == 8, "unexpected size of 't9_h_d'");
	_Static_assert(sizeof(s->bss->t9_i) == 8, "unexpected size of 't9_i'");
	_Static_assert(sizeof(s->bss->t9_ret) == 8, "unexpected size of 't9_ret'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TRACING_STRUCT_MANY_ARGS_SKEL_H__ */
