/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __USER_RINGBUF_FAIL_SKEL_H__
#define __USER_RINGBUF_FAIL_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct user_ringbuf_fail {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *user_ringbuf;
		struct bpf_map *ringbuf;
		struct bpf_map *rodata;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *user_ringbuf_callback_bad_access1;
		struct bpf_program *user_ringbuf_callback_bad_access2;
		struct bpf_program *user_ringbuf_callback_write_forbidden;
		struct bpf_program *user_ringbuf_callback_null_context_write;
		struct bpf_program *user_ringbuf_callback_null_context_read;
		struct bpf_program *user_ringbuf_callback_discard_dynptr;
		struct bpf_program *user_ringbuf_callback_submit_dynptr;
		struct bpf_program *user_ringbuf_callback_invalid_return;
		struct bpf_program *user_ringbuf_callback_reinit_dynptr_mem;
		struct bpf_program *user_ringbuf_callback_reinit_dynptr_ringbuf;
		struct bpf_program *user_ringbuf_callback_const_ptr_to_dynptr_reg_off;
	} progs;
	struct {
		struct bpf_link *user_ringbuf_callback_bad_access1;
		struct bpf_link *user_ringbuf_callback_bad_access2;
		struct bpf_link *user_ringbuf_callback_write_forbidden;
		struct bpf_link *user_ringbuf_callback_null_context_write;
		struct bpf_link *user_ringbuf_callback_null_context_read;
		struct bpf_link *user_ringbuf_callback_discard_dynptr;
		struct bpf_link *user_ringbuf_callback_submit_dynptr;
		struct bpf_link *user_ringbuf_callback_invalid_return;
		struct bpf_link *user_ringbuf_callback_reinit_dynptr_mem;
		struct bpf_link *user_ringbuf_callback_reinit_dynptr_ringbuf;
		struct bpf_link *user_ringbuf_callback_const_ptr_to_dynptr_reg_off;
	} links;

#ifdef __cplusplus
	static inline struct user_ringbuf_fail *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct user_ringbuf_fail *open_and_load();
	static inline int load(struct user_ringbuf_fail *skel);
	static inline int attach(struct user_ringbuf_fail *skel);
	static inline void detach(struct user_ringbuf_fail *skel);
	static inline void destroy(struct user_ringbuf_fail *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
user_ringbuf_fail__destroy(struct user_ringbuf_fail *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
user_ringbuf_fail__create_skeleton(struct user_ringbuf_fail *obj);

static inline struct user_ringbuf_fail *
user_ringbuf_fail__open_opts(const struct bpf_object_open_opts *opts)
{
	struct user_ringbuf_fail *obj;
	int err;

	obj = (struct user_ringbuf_fail *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = user_ringbuf_fail__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	user_ringbuf_fail__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct user_ringbuf_fail *
user_ringbuf_fail__open(void)
{
	return user_ringbuf_fail__open_opts(NULL);
}

static inline int
user_ringbuf_fail__load(struct user_ringbuf_fail *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct user_ringbuf_fail *
user_ringbuf_fail__open_and_load(void)
{
	struct user_ringbuf_fail *obj;
	int err;

	obj = user_ringbuf_fail__open();
	if (!obj)
		return NULL;
	err = user_ringbuf_fail__load(obj);
	if (err) {
		user_ringbuf_fail__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
user_ringbuf_fail__attach(struct user_ringbuf_fail *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
user_ringbuf_fail__detach(struct user_ringbuf_fail *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *user_ringbuf_fail__elf_bytes(size_t *sz);

static inline int
user_ringbuf_fail__create_skeleton(struct user_ringbuf_fail *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "user_ringbuf_fail";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 4;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "user_ringbuf";
	map->map = &obj->maps.user_ringbuf;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "ringbuf";
	map->map = &obj->maps.ringbuf;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "user_rin.rodata";
	map->map = &obj->maps.rodata;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 3 * s->map_skel_sz);
	map->name = "user_rin.bss";
	map->map = &obj->maps.bss;

	/* programs */
	s->prog_cnt = 11;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "user_ringbuf_callback_bad_access1";
	s->progs[0].prog = &obj->progs.user_ringbuf_callback_bad_access1;
	s->progs[0].link = &obj->links.user_ringbuf_callback_bad_access1;

	s->progs[1].name = "user_ringbuf_callback_bad_access2";
	s->progs[1].prog = &obj->progs.user_ringbuf_callback_bad_access2;
	s->progs[1].link = &obj->links.user_ringbuf_callback_bad_access2;

	s->progs[2].name = "user_ringbuf_callback_write_forbidden";
	s->progs[2].prog = &obj->progs.user_ringbuf_callback_write_forbidden;
	s->progs[2].link = &obj->links.user_ringbuf_callback_write_forbidden;

	s->progs[3].name = "user_ringbuf_callback_null_context_write";
	s->progs[3].prog = &obj->progs.user_ringbuf_callback_null_context_write;
	s->progs[3].link = &obj->links.user_ringbuf_callback_null_context_write;

	s->progs[4].name = "user_ringbuf_callback_null_context_read";
	s->progs[4].prog = &obj->progs.user_ringbuf_callback_null_context_read;
	s->progs[4].link = &obj->links.user_ringbuf_callback_null_context_read;

	s->progs[5].name = "user_ringbuf_callback_discard_dynptr";
	s->progs[5].prog = &obj->progs.user_ringbuf_callback_discard_dynptr;
	s->progs[5].link = &obj->links.user_ringbuf_callback_discard_dynptr;

	s->progs[6].name = "user_ringbuf_callback_submit_dynptr";
	s->progs[6].prog = &obj->progs.user_ringbuf_callback_submit_dynptr;
	s->progs[6].link = &obj->links.user_ringbuf_callback_submit_dynptr;

	s->progs[7].name = "user_ringbuf_callback_invalid_return";
	s->progs[7].prog = &obj->progs.user_ringbuf_callback_invalid_return;
	s->progs[7].link = &obj->links.user_ringbuf_callback_invalid_return;

	s->progs[8].name = "user_ringbuf_callback_reinit_dynptr_mem";
	s->progs[8].prog = &obj->progs.user_ringbuf_callback_reinit_dynptr_mem;
	s->progs[8].link = &obj->links.user_ringbuf_callback_reinit_dynptr_mem;

	s->progs[9].name = "user_ringbuf_callback_reinit_dynptr_ringbuf";
	s->progs[9].prog = &obj->progs.user_ringbuf_callback_reinit_dynptr_ringbuf;
	s->progs[9].link = &obj->links.user_ringbuf_callback_reinit_dynptr_ringbuf;

	s->progs[10].name = "user_ringbuf_callback_const_ptr_to_dynptr_reg_off";
	s->progs[10].prog = &obj->progs.user_ringbuf_callback_const_ptr_to_dynptr_reg_off;
	s->progs[10].link = &obj->links.user_ringbuf_callback_const_ptr_to_dynptr_reg_off;

	s->data = user_ringbuf_fail__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *user_ringbuf_fail__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x28\x27\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0d\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x3f\x72\x61\x77\x5f\x74\x70\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x6d\x61\x70\x73\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\x75\x73\x65\
\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x66\x61\x69\x6c\x2e\x63\0\x62\x61\x64\
\x5f\x61\x63\x63\x65\x73\x73\x31\0\x62\x61\x64\x5f\x61\x63\x63\x65\x73\x73\x31\
\x2e\x5f\x5f\x5f\x5f\x66\x6d\x74\0\x62\x61\x64\x5f\x61\x63\x63\x65\x73\x73\x32\
\0\x62\x61\x64\x5f\x61\x63\x63\x65\x73\x73\x32\x2e\x5f\x5f\x5f\x5f\x66\x6d\x74\
\0\x77\x72\x69\x74\x65\x5f\x66\x6f\x72\x62\x69\x64\x64\x65\x6e\0\x6e\x75\x6c\
\x6c\x5f\x63\x6f\x6e\x74\x65\x78\x74\x5f\x77\x72\x69\x74\x65\0\x6e\x75\x6c\x6c\
\x5f\x63\x6f\x6e\x74\x65\x78\x74\x5f\x72\x65\x61\x64\0\x6e\x75\x6c\x6c\x5f\x63\
\x6f\x6e\x74\x65\x78\x74\x5f\x72\x65\x61\x64\x2e\x5f\x5f\x5f\x5f\x66\x6d\x74\0\
\x74\x72\x79\x5f\x64\x69\x73\x63\x61\x72\x64\x5f\x64\x79\x6e\x70\x74\x72\0\x74\
\x72\x79\x5f\x73\x75\x62\x6d\x69\x74\x5f\x64\x79\x6e\x70\x74\x72\0\x69\x6e\x76\
\x61\x6c\x69\x64\x5f\x64\x72\x61\x69\x6e\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\
\x5f\x72\x65\x74\x75\x72\x6e\0\x74\x72\x79\x5f\x72\x65\x69\x6e\x69\x74\x5f\x64\
\x79\x6e\x70\x74\x72\x5f\x6d\x65\x6d\0\x6d\x61\x70\x5f\x76\x61\x6c\x75\x65\0\
\x74\x72\x79\x5f\x72\x65\x69\x6e\x69\x74\x5f\x64\x79\x6e\x70\x74\x72\x5f\x72\
\x69\x6e\x67\x62\x75\x66\0\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x61\x64\x6a\x75\
\x73\x74\x5f\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x5f\x72\x65\x67\x5f\x6f\
\x66\x66\0\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x63\x61\x6c\x6c\
\x62\x61\x63\x6b\x5f\x62\x61\x64\x5f\x61\x63\x63\x65\x73\x73\x31\0\x75\x73\x65\
\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\0\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\
\x75\x66\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x62\x61\x64\x5f\x61\x63\x63\
\x65\x73\x73\x32\0\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x63\x61\
\x6c\x6c\x62\x61\x63\x6b\x5f\x77\x72\x69\x74\x65\x5f\x66\x6f\x72\x62\x69\x64\
\x64\x65\x6e\0\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x63\x61\x6c\
\x6c\x62\x61\x63\x6b\x5f\x6e\x75\x6c\x6c\x5f\x63\x6f\x6e\x74\x65\x78\x74\x5f\
\x77\x72\x69\x74\x65\0\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x63\
\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x6e\x75\x6c\x6c\x5f\x63\x6f\x6e\x74\x65\x78\
\x74\x5f\x72\x65\x61\x64\0\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\
\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x64\x69\x73\x63\x61\x72\x64\x5f\x64\x79\
\x6e\x70\x74\x72\0\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x63\x61\
\x6c\x6c\x62\x61\x63\x6b\x5f\x73\x75\x62\x6d\x69\x74\x5f\x64\x79\x6e\x70\x74\
\x72\0\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x63\x61\x6c\x6c\x62\
\x61\x63\x6b\x5f\x69\x6e\x76\x61\x6c\x69\x64\x5f\x72\x65\x74\x75\x72\x6e\0\x75\
\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x63\x61\x6c\x6c\x62\x61\x63\
\x6b\x5f\x72\x65\x69\x6e\x69\x74\x5f\x64\x79\x6e\x70\x74\x72\x5f\x6d\x65\x6d\0\
\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x63\x61\x6c\x6c\x62\x61\
\x63\x6b\x5f\x72\x65\x69\x6e\x69\x74\x5f\x64\x79\x6e\x70\x74\x72\x5f\x72\x69\
\x6e\x67\x62\x75\x66\0\x72\x69\x6e\x67\x62\x75\x66\0\x67\x6c\x6f\x62\x61\x6c\
\x5f\x63\x61\x6c\x6c\x5f\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x5f\x64\x61\
\x74\x61\0\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x63\x61\x6c\x6c\
\x62\x61\x63\x6b\x5f\x63\x6f\x6e\x73\x74\x5f\x70\x74\x72\x5f\x74\x6f\x5f\x64\
\x79\x6e\x70\x74\x72\x5f\x72\x65\x67\x5f\x6f\x66\x66\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2e\x72\x65\x6c\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x3f\x72\x61\
\x77\x5f\x74\x70\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3a\0\0\0\x04\0\xf1\xff\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4e\0\0\0\x02\0\x03\0\
\0\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\x5a\0\0\0\x01\0\x07\0\0\0\0\0\0\0\0\0\x22\0\
\0\0\0\0\0\0\x6e\0\0\0\x02\0\x03\0\x68\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\x7a\0\0\
\0\x01\0\x07\0\x22\0\0\0\0\0\0\0\x22\0\0\0\0\0\0\0\x8e\0\0\0\x02\0\x03\0\xd0\0\
\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x9e\0\0\0\x02\0\x03\0\xf0\0\0\0\0\0\0\0\x20\0\0\
\0\0\0\0\0\xb1\0\0\0\x02\0\x03\0\x10\x01\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\xc3\0\0\
\0\x01\0\x07\0\x44\0\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\xdd\0\0\0\x02\0\x03\0\x48\
\x01\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xf0\0\0\0\x02\0\x03\0\x68\x01\0\0\0\0\0\0\
\x20\0\0\0\0\0\0\0\x02\x01\0\0\x02\0\x03\0\x88\x01\0\0\0\0\0\0\x10\0\0\0\0\0\0\
\0\x20\x01\0\0\x02\0\x03\0\x98\x01\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x36\x01\0\0\
\x01\0\x08\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x40\x01\0\0\x02\0\x03\0\xd8\x01\
\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x5a\x01\0\0\x02\0\x03\0\x40\x02\0\0\0\0\0\0\x20\
\0\0\0\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7d\x01\0\0\x12\0\x04\0\0\0\0\0\0\0\0\
\0\x48\0\0\0\0\0\0\0\x9f\x01\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\xac\x01\0\0\x12\0\x04\0\x48\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\xce\x01\0\0\x12\0\
\x04\0\x90\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\xf4\x01\0\0\x12\0\x04\0\xd8\0\0\0\0\
\0\0\0\x48\0\0\0\0\0\0\0\x1d\x02\0\0\x12\0\x04\0\x20\x01\0\0\0\0\0\0\x48\0\0\0\
\0\0\0\0\x45\x02\0\0\x12\0\x04\0\x68\x01\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x6a\x02\
\0\0\x12\0\x04\0\xb0\x01\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x8e\x02\0\0\x12\0\x04\0\
\xf8\x01\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\xb3\x02\0\0\x12\0\x04\0\x40\x02\0\0\0\0\
\0\0\x48\0\0\0\0\0\0\0\xdb\x02\0\0\x12\0\x04\0\x88\x02\0\0\0\0\0\0\x48\0\0\0\0\
\0\0\0\x07\x03\0\0\x11\0\x06\0\x10\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x0f\x03\0\0\
\x12\0\x03\0\x18\x02\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x2b\x03\0\0\x12\0\x04\0\xd0\
\x02\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x5d\x03\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x07\x01\0\0\xf0\xff\xff\xff\xb7\x02\0\0\0\0\
\0\0\xb7\x03\0\0\x20\0\0\0\x85\0\0\0\xcb\0\0\0\x07\x06\0\0\xff\xff\xff\xff\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\x22\0\0\0\xbf\x63\0\0\0\0\0\0\x85\
\0\0\0\x06\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x07\
\x01\0\0\x10\0\0\0\xb7\x02\0\0\0\0\0\0\xb7\x03\0\0\x20\0\0\0\x85\0\0\0\xcb\0\0\
\0\x07\x06\0\0\x01\0\0\0\x18\x01\0\0\x22\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\x22\
\0\0\0\xbf\x63\0\0\0\0\0\0\x85\0\0\0\x06\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\xb7\x02\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\xb7\x01\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x79\x23\0\0\0\0\0\0\x18\x01\0\0\x44\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\x0d\0\0\
\0\x85\0\0\0\x06\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\
\x85\0\0\0\xc8\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\
\x85\0\0\0\xc7\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\x02\0\0\0\
\x95\0\0\0\0\0\0\0\xbf\x14\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\
\x02\0\0\x04\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\xc5\0\0\0\xb7\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\xbf\x14\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\
\x02\0\0\x08\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\xc6\0\0\0\xb7\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\xb7\x02\0\0\x0a\0\0\0\xb7\x03\0\0\x0a\0\0\0\x85\0\0\0\xcb\0\
\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x07\x01\0\0\0\x40\0\0\x85\x10\0\0\xff\
\xff\xff\xff\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\0\0\
\0\0\x85\0\0\0\xd1\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x18\x02\0\0\x68\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\
\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xd1\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\xd0\0\0\0\0\0\0\0\0\0\0\0\xb7\
\x03\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xd1\0\0\0\xb7\0\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\xf0\0\0\0\0\0\0\
\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xd1\0\0\0\xb7\0\0\
\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\
\x10\x01\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\
\xd1\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x18\x02\0\0\x48\x01\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\0\
\0\0\0\x85\0\0\0\xd1\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\x68\x01\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\
\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xd1\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\x88\x01\0\0\0\0\0\0\0\0\0\0\
\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xd1\0\0\0\xb7\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\x98\x01\0\0\
\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xd1\0\0\0\
\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\
\x02\0\0\xd8\x01\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\
\x85\0\0\0\xd1\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x18\x02\0\0\x40\x02\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\
\x04\0\0\0\0\0\0\x85\0\0\0\xd1\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\
\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x57\x61\x73\x20\x61\x62\x6c\x65\x20\x74\x6f\x20\x70\x61\x73\x73\x20\x62\
\x61\x64\x20\x70\x6f\x69\x6e\x74\x65\x72\x20\x25\x6c\x78\x0a\0\x57\x61\x73\x20\
\x61\x62\x6c\x65\x20\x74\x6f\x20\x70\x61\x73\x73\x20\x62\x61\x64\x20\x70\x6f\
\x69\x6e\x74\x65\x72\x20\x25\x6c\x78\x0a\0\x52\x65\x61\x64\x20\x69\x64\x20\x25\
\x6c\x75\x0a\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x13\0\0\0\x98\0\0\0\0\
\0\0\0\x01\0\0\0\x13\0\0\0\x18\x01\0\0\0\0\0\0\x01\0\0\0\x13\0\0\0\xa0\x01\0\0\
\0\0\0\0\x01\0\0\0\x14\0\0\0\xe0\x01\0\0\0\0\0\0\x01\0\0\0\x20\0\0\0\x48\x02\0\
\0\0\0\0\0\x0a\0\0\0\x21\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\x10\0\0\0\0\
\0\0\0\x01\0\0\0\x02\0\0\0\x48\0\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\x58\0\0\0\0\0\
\0\0\x01\0\0\0\x02\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\xa0\0\0\0\0\0\0\
\0\x01\0\0\0\x02\0\0\0\xd8\0\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\xe8\0\0\0\0\0\0\0\
\x01\0\0\0\x02\0\0\0\x20\x01\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\x30\x01\0\0\0\0\0\
\0\x01\0\0\0\x02\0\0\0\x68\x01\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\x78\x01\0\0\0\0\
\0\0\x01\0\0\0\x02\0\0\0\xb0\x01\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\xc0\x01\0\0\0\
\0\0\0\x01\0\0\0\x02\0\0\0\xf8\x01\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\x08\x02\0\0\
\0\0\0\0\x01\0\0\0\x02\0\0\0\x40\x02\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\x50\x02\0\
\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x88\x02\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\x98\x02\
\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\xd0\x02\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\xe0\
\x02\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x98\x05\0\
\0\x98\x05\0\0\xf9\x0d\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\
\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x1f\0\0\0\x05\
\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\0\x10\0\0\0\0\0\0\x02\0\0\x04\x10\0\0\0\x19\0\
\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x2a\0\0\0\0\0\0\x0e\x07\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0a\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x1b\0\0\0\0\0\0\0\0\0\0\x02\x0c\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\
\0\0\0\x04\0\0\0\x02\0\0\0\0\0\0\0\x02\0\0\x04\x10\0\0\0\x19\0\0\0\x09\0\0\0\0\
\0\0\0\x1e\0\0\0\x0b\0\0\0\x40\0\0\0\x37\0\0\0\0\0\0\x0e\x0d\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x3f\0\0\0\x0f\0\0\0\x43\
\0\0\0\x01\0\0\x0c\x10\0\0\0\x65\0\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\x81\
\0\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\0\0\0\0\0\0\0\x02\x15\0\0\0\xba\0\0\
\0\x01\0\0\x04\x10\0\0\0\xc5\0\0\0\x18\0\0\0\0\0\0\0\xce\0\0\0\0\0\0\x08\x17\0\
\0\0\xd4\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x16\0\0\
\0\x04\0\0\0\x02\0\0\0\0\0\0\0\x02\0\0\x0d\x1a\0\0\0\xe7\0\0\0\x14\0\0\0\xee\0\
\0\0\x0f\0\0\0\xf6\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\xfb\0\0\0\0\0\0\x0c\
\x19\0\0\0\x07\x01\0\0\x01\0\0\x0c\x10\0\0\0\x65\0\0\0\0\0\0\x11\x1c\0\0\0\xff\
\xff\xff\xff\x29\x01\0\0\0\0\0\x11\x1c\0\0\0\xff\xff\xff\xff\x6a\x01\0\0\0\0\0\
\x0c\x19\0\0\0\x76\x01\0\0\x01\0\0\x0c\x10\0\0\0\x65\0\0\0\0\0\0\x11\x20\0\0\0\
\xff\xff\xff\xff\x9c\x01\0\0\0\0\0\x11\x20\0\0\0\xff\xff\xff\xff\xd6\x01\0\0\0\
\0\0\x0c\x19\0\0\0\xe6\x01\0\0\x01\0\0\x0c\x10\0\0\0\x65\0\0\0\0\0\0\x11\x24\0\
\0\0\xff\xff\xff\xff\x0f\x02\0\0\0\0\0\x11\x24\0\0\0\xff\xff\xff\xff\x45\x02\0\
\0\0\0\0\x0c\x19\0\0\0\x58\x02\0\0\x01\0\0\x0c\x10\0\0\0\x65\0\0\0\0\0\0\x11\
\x28\0\0\0\xff\xff\xff\xff\x80\x02\0\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\xff\xb6\
\x02\0\0\0\0\0\x0c\x19\0\0\0\xc8\x02\0\0\x01\0\0\x0c\x10\0\0\0\x65\0\0\0\0\0\0\
\x11\x2c\0\0\0\xff\xff\xff\xff\xed\x02\0\0\0\0\0\x11\x2c\0\0\0\xff\xff\xff\xff\
\x2f\x03\0\0\0\0\0\x0c\x19\0\0\0\x42\x03\0\0\x01\0\0\x0c\x10\0\0\0\x65\0\0\0\0\
\0\0\x11\x30\0\0\0\xff\xff\xff\xff\x66\x03\0\0\0\0\0\x11\x30\0\0\0\xff\xff\xff\
\xff\xa8\x03\0\0\0\0\0\x0c\x19\0\0\0\xba\x03\0\0\x01\0\0\x0c\x10\0\0\0\x65\0\0\
\0\0\0\0\x11\x34\0\0\0\xff\xff\xff\xff\xdf\x03\0\0\0\0\0\x11\x34\0\0\0\xff\xff\
\xff\xff\x21\x04\0\0\0\0\0\x0c\x19\0\0\0\x3f\x04\0\0\x01\0\0\x0c\x10\0\0\0\x65\
\0\0\0\0\0\0\x11\x38\0\0\0\xff\xff\xff\xff\x67\x04\0\0\0\0\0\x11\x38\0\0\0\xff\
\xff\xff\xff\xaa\x04\0\0\0\0\0\x0c\x19\0\0\0\xc0\x04\0\0\x01\0\0\x0c\x10\0\0\0\
\x65\0\0\0\0\0\0\x11\x3c\0\0\0\xff\xff\xff\xff\xec\x04\0\0\0\0\0\x11\x3c\0\0\0\
\xff\xff\xff\xff\x2f\x05\0\0\0\0\0\x0c\x19\0\0\0\0\0\0\0\x01\0\0\x0d\x1a\0\0\0\
\xe7\0\0\0\x14\0\0\0\x49\x05\0\0\x01\0\0\x0c\x40\0\0\0\x65\x05\0\0\x01\0\0\x0c\
\x10\0\0\0\x65\0\0\0\0\0\0\x11\x42\0\0\0\xff\xff\xff\xff\x97\x05\0\0\0\0\0\x11\
\x42\0\0\0\xff\xff\xff\xff\0\0\0\0\x02\0\0\x0d\x1a\0\0\0\xe7\0\0\0\x14\0\0\0\
\x3f\0\0\0\x0f\0\0\0\xf1\x05\0\0\0\0\0\x0c\x45\0\0\0\x14\x06\0\0\0\0\0\x01\x01\
\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x47\0\0\0\x04\0\0\0\x04\0\0\0\x19\
\x06\0\0\0\0\0\x0e\x48\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0a\x47\0\0\0\0\0\0\0\0\0\
\0\x03\0\0\0\0\x4a\0\0\0\x04\0\0\0\x22\0\0\0\x22\x06\0\0\0\0\0\x0e\x4b\0\0\0\0\
\0\0\0\x36\x06\0\0\0\0\0\x0e\x4b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x4a\0\
\0\0\x04\0\0\0\x0d\0\0\0\x4a\x06\0\0\0\0\0\x0e\x4e\0\0\0\0\0\0\0\x64\x06\0\0\0\
\0\0\x0e\x02\0\0\0\0\0\0\0\xd0\x0d\0\0\x01\0\0\x0f\x04\0\0\0\x49\0\0\0\0\0\0\0\
\x04\0\0\0\xd8\x0d\0\0\x02\0\0\x0f\x20\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\x0e\0\
\0\0\x10\0\0\0\x10\0\0\0\xde\x0d\0\0\x03\0\0\x0f\x51\0\0\0\x4c\0\0\0\0\0\0\0\
\x22\0\0\0\x4d\0\0\0\x22\0\0\0\x22\0\0\0\x4f\0\0\0\x44\0\0\0\x0d\0\0\0\xe6\x0d\
\0\0\x01\0\0\x0f\x04\0\0\0\x50\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\
\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\
\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x75\x73\x65\x72\x5f\
\x72\x69\x6e\x67\x62\x75\x66\0\x72\x69\x6e\x67\x62\x75\x66\0\x63\x74\x78\0\x75\
\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x63\x61\x6c\x6c\x62\x61\x63\
\x6b\x5f\x62\x61\x64\x5f\x61\x63\x63\x65\x73\x73\x31\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\
\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x30\x3d\x6e\x65\x67\x61\x74\x69\x76\x65\x20\x6f\
\x66\x66\x73\x65\x74\x20\x64\x79\x6e\x70\x74\x72\x5f\x70\x74\x72\x20\x70\x74\
\x72\0\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\0\x5f\x5f\x6f\x70\x61\x71\x75\
\x65\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\
\x67\x20\x6c\x6f\x6e\x67\0\x64\x79\x6e\x70\x74\x72\0\x63\x6f\x6e\x74\x65\x78\
\x74\0\x6c\x6f\x6e\x67\0\x62\x61\x64\x5f\x61\x63\x63\x65\x73\x73\x31\0\x75\x73\
\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\
\x5f\x62\x61\x64\x5f\x61\x63\x63\x65\x73\x73\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x3d\
\x64\x65\x72\x65\x66\x65\x72\x65\x6e\x63\x65\x20\x6f\x66\x20\x6d\x6f\x64\x69\
\x66\x69\x65\x64\x20\x64\x79\x6e\x70\x74\x72\x5f\x70\x74\x72\x20\x70\x74\x72\0\
\x62\x61\x64\x5f\x61\x63\x63\x65\x73\x73\x32\0\x75\x73\x65\x72\x5f\x72\x69\x6e\
\x67\x62\x75\x66\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x77\x72\x69\x74\x65\
\x5f\x66\x6f\x72\x62\x69\x64\x64\x65\x6e\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x32\x3d\x69\x6e\
\x76\x61\x6c\x69\x64\x20\x6d\x65\x6d\x20\x61\x63\x63\x65\x73\x73\x20\x27\x64\
\x79\x6e\x70\x74\x72\x5f\x70\x74\x72\x27\0\x77\x72\x69\x74\x65\x5f\x66\x6f\x72\
\x62\x69\x64\x64\x65\x6e\0\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\
\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x6e\x75\x6c\x6c\x5f\x63\x6f\x6e\x74\x65\
\x78\x74\x5f\x77\x72\x69\x74\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x33\x3d\x69\x6e\x76\x61\
\x6c\x69\x64\x20\x6d\x65\x6d\x20\x61\x63\x63\x65\x73\x73\x20\x27\x73\x63\x61\
\x6c\x61\x72\x27\0\x6e\x75\x6c\x6c\x5f\x63\x6f\x6e\x74\x65\x78\x74\x5f\x77\x72\
\x69\x74\x65\0\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x63\x61\x6c\
\x6c\x62\x61\x63\x6b\x5f\x6e\x75\x6c\x6c\x5f\x63\x6f\x6e\x74\x65\x78\x74\x5f\
\x72\x65\x61\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x34\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\
\x6d\x65\x6d\x20\x61\x63\x63\x65\x73\x73\x20\x27\x73\x63\x61\x6c\x61\x72\x27\0\
\x6e\x75\x6c\x6c\x5f\x63\x6f\x6e\x74\x65\x78\x74\x5f\x72\x65\x61\x64\0\x75\x73\
\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\
\x5f\x64\x69\x73\x63\x61\x72\x64\x5f\x64\x79\x6e\x70\x74\x72\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x35\x3d\x63\x61\x6e\x6e\x6f\x74\x20\x72\x65\x6c\x65\x61\x73\x65\x20\x75\
\x6e\x6f\x77\x6e\x65\x64\x20\x63\x6f\x6e\x73\x74\x20\x62\x70\x66\x5f\x64\x79\
\x6e\x70\x74\x72\0\x74\x72\x79\x5f\x64\x69\x73\x63\x61\x72\x64\x5f\x64\x79\x6e\
\x70\x74\x72\0\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x63\x61\x6c\
\x6c\x62\x61\x63\x6b\x5f\x73\x75\x62\x6d\x69\x74\x5f\x64\x79\x6e\x70\x74\x72\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x3d\x36\x3d\x63\x61\x6e\x6e\x6f\x74\x20\x72\x65\x6c\x65\x61\
\x73\x65\x20\x75\x6e\x6f\x77\x6e\x65\x64\x20\x63\x6f\x6e\x73\x74\x20\x62\x70\
\x66\x5f\x64\x79\x6e\x70\x74\x72\0\x74\x72\x79\x5f\x73\x75\x62\x6d\x69\x74\x5f\
\x64\x79\x6e\x70\x74\x72\0\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\
\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x69\x6e\x76\x61\x6c\x69\x64\x5f\x72\x65\
\x74\x75\x72\x6e\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x37\x3d\x41\x74\x20\x63\x61\x6c\x6c\x62\
\x61\x63\x6b\x20\x72\x65\x74\x75\x72\x6e\x20\x74\x68\x65\x20\x72\x65\x67\x69\
\x73\x74\x65\x72\x20\x52\x30\x20\x68\x61\x73\x20\0\x69\x6e\x76\x61\x6c\x69\x64\
\x5f\x64\x72\x61\x69\x6e\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x72\x65\x74\
\x75\x72\x6e\0\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x63\x61\x6c\
\x6c\x62\x61\x63\x6b\x5f\x72\x65\x69\x6e\x69\x74\x5f\x64\x79\x6e\x70\x74\x72\
\x5f\x6d\x65\x6d\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x38\x3d\x44\x79\x6e\x70\x74\x72\x20\x68\
\x61\x73\x20\x74\x6f\x20\x62\x65\x20\x61\x6e\x20\x75\x6e\x69\x6e\x69\x74\x69\
\x61\x6c\x69\x7a\x65\x64\x20\x64\x79\x6e\x70\x74\x72\0\x74\x72\x79\x5f\x72\x65\
\x69\x6e\x69\x74\x5f\x64\x79\x6e\x70\x74\x72\x5f\x6d\x65\x6d\0\x75\x73\x65\x72\
\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x72\
\x65\x69\x6e\x69\x74\x5f\x64\x79\x6e\x70\x74\x72\x5f\x72\x69\x6e\x67\x62\x75\
\x66\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x39\x3d\x44\x79\x6e\x70\x74\x72\x20\x68\x61\x73\x20\
\x74\x6f\x20\x62\x65\x20\x61\x6e\x20\x75\x6e\x69\x6e\x69\x74\x69\x61\x6c\x69\
\x7a\x65\x64\x20\x64\x79\x6e\x70\x74\x72\0\x74\x72\x79\x5f\x72\x65\x69\x6e\x69\
\x74\x5f\x64\x79\x6e\x70\x74\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\0\x67\x6c\x6f\
\x62\x61\x6c\x5f\x63\x61\x6c\x6c\x5f\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\
\x5f\x64\x61\x74\x61\0\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x63\
\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x63\x6f\x6e\x73\x74\x5f\x70\x74\x72\x5f\x74\
\x6f\x5f\x64\x79\x6e\x70\x74\x72\x5f\x72\x65\x67\x5f\x6f\x66\x66\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x3d\x31\x30\x3d\x64\x65\x72\x65\x66\x65\x72\x65\x6e\x63\x65\x20\x6f\x66\
\x20\x6d\x6f\x64\x69\x66\x69\x65\x64\x20\x64\x79\x6e\x70\x74\x72\x5f\x70\x74\
\x72\x20\x70\x74\x72\x20\x52\x31\x20\x6f\x66\x66\x3d\x31\x36\x33\x38\x34\x20\
\x64\x69\x73\x61\x6c\x6c\x6f\x77\x65\x64\0\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\
\x61\x64\x6a\x75\x73\x74\x5f\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x5f\x72\
\x65\x67\x5f\x6f\x66\x66\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x62\x61\x64\x5f\x61\x63\x63\x65\x73\x73\x31\x2e\x5f\x5f\x5f\x5f\x66\x6d\x74\0\
\x62\x61\x64\x5f\x61\x63\x63\x65\x73\x73\x32\x2e\x5f\x5f\x5f\x5f\x66\x6d\x74\0\
\x6e\x75\x6c\x6c\x5f\x63\x6f\x6e\x74\x65\x78\x74\x5f\x72\x65\x61\x64\x2e\x5f\
\x5f\x5f\x5f\x66\x6d\x74\0\x6d\x61\x70\x5f\x76\x61\x6c\x75\x65\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\
\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\
\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\
\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\
\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\
\x6f\x67\x73\x2f\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x66\x61\
\x69\x6c\x2e\x63\0\x62\x61\x64\x5f\x61\x63\x63\x65\x73\x73\x31\x28\x73\x74\x72\
\x75\x63\x74\x20\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x20\x2a\x64\x79\x6e\
\x70\x74\x72\x2c\x20\x76\x6f\x69\x64\x20\x2a\x63\x6f\x6e\x74\x65\x78\x74\x29\0\
\x09\x73\x61\x6d\x70\x6c\x65\x20\x3d\x20\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\
\x72\x5f\x64\x61\x74\x61\x28\x64\x79\x6e\x70\x74\x72\x20\x2d\x20\x31\x2c\x20\
\x30\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x2a\x73\x61\x6d\x70\x6c\x65\x29\x29\
\x3b\0\x09\x62\x70\x66\x5f\x70\x72\x69\x6e\x74\x6b\x28\x22\x57\x61\x73\x20\x61\
\x62\x6c\x65\x20\x74\x6f\x20\x70\x61\x73\x73\x20\x62\x61\x64\x20\x70\x6f\x69\
\x6e\x74\x65\x72\x20\x25\x6c\x78\x5c\x6e\x22\x2c\x20\x28\x5f\x5f\x75\x36\x34\
\x29\x64\x79\x6e\x70\x74\x72\x20\x2d\x20\x31\x29\x3b\0\x09\x72\x65\x74\x75\x72\
\x6e\x20\x30\x3b\0\x62\x61\x64\x5f\x61\x63\x63\x65\x73\x73\x32\x28\x73\x74\x72\
\x75\x63\x74\x20\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x20\x2a\x64\x79\x6e\
\x70\x74\x72\x2c\x20\x76\x6f\x69\x64\x20\x2a\x63\x6f\x6e\x74\x65\x78\x74\x29\0\
\x09\x73\x61\x6d\x70\x6c\x65\x20\x3d\x20\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\
\x72\x5f\x64\x61\x74\x61\x28\x64\x79\x6e\x70\x74\x72\x20\x2b\x20\x31\x2c\x20\
\x30\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x2a\x73\x61\x6d\x70\x6c\x65\x29\x29\
\x3b\0\x09\x62\x70\x66\x5f\x70\x72\x69\x6e\x74\x6b\x28\x22\x57\x61\x73\x20\x61\
\x62\x6c\x65\x20\x74\x6f\x20\x70\x61\x73\x73\x20\x62\x61\x64\x20\x70\x6f\x69\
\x6e\x74\x65\x72\x20\x25\x6c\x78\x5c\x6e\x22\x2c\x20\x28\x5f\x5f\x75\x36\x34\
\x29\x64\x79\x6e\x70\x74\x72\x20\x2b\x20\x31\x29\x3b\0\x77\x72\x69\x74\x65\x5f\
\x66\x6f\x72\x62\x69\x64\x64\x65\x6e\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\
\x66\x5f\x64\x79\x6e\x70\x74\x72\x20\x2a\x64\x79\x6e\x70\x74\x72\x2c\x20\x76\
\x6f\x69\x64\x20\x2a\x63\x6f\x6e\x74\x65\x78\x74\x29\0\x09\x2a\x28\x28\x6c\x6f\
\x6e\x67\x20\x2a\x29\x64\x79\x6e\x70\x74\x72\x29\x20\x3d\x20\x30\x3b\0\x6e\x75\
\x6c\x6c\x5f\x63\x6f\x6e\x74\x65\x78\x74\x5f\x77\x72\x69\x74\x65\x28\x73\x74\
\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x20\x2a\x64\x79\
\x6e\x70\x74\x72\x2c\x20\x76\x6f\x69\x64\x20\x2a\x63\x6f\x6e\x74\x65\x78\x74\
\x29\0\x09\x2a\x28\x28\x5f\x5f\x75\x36\x34\x20\x2a\x29\x63\x6f\x6e\x74\x65\x78\
\x74\x29\x20\x3d\x20\x30\x3b\0\x09\x5f\x5f\x75\x36\x34\x20\x69\x64\x20\x3d\x20\
\x2a\x28\x28\x5f\x5f\x75\x36\x34\x20\x2a\x29\x63\x6f\x6e\x74\x65\x78\x74\x29\
\x3b\0\x09\x62\x70\x66\x5f\x70\x72\x69\x6e\x74\x6b\x28\x22\x52\x65\x61\x64\x20\
\x69\x64\x20\x25\x6c\x75\x5c\x6e\x22\x2c\x20\x69\x64\x29\x3b\0\x09\x62\x70\x66\
\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x64\x69\x73\x63\x61\x72\x64\x5f\x64\x79\
\x6e\x70\x74\x72\x28\x64\x79\x6e\x70\x74\x72\x2c\x20\x30\x29\x3b\0\x09\x62\x70\
\x66\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x73\x75\x62\x6d\x69\x74\x5f\x64\x79\
\x6e\x70\x74\x72\x28\x64\x79\x6e\x70\x74\x72\x2c\x20\x30\x29\x3b\0\x09\x72\x65\
\x74\x75\x72\x6e\x20\x32\x3b\0\x74\x72\x79\x5f\x72\x65\x69\x6e\x69\x74\x5f\x64\
\x79\x6e\x70\x74\x72\x5f\x6d\x65\x6d\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\
\x66\x5f\x64\x79\x6e\x70\x74\x72\x20\x2a\x64\x79\x6e\x70\x74\x72\x2c\x20\x76\
\x6f\x69\x64\x20\x2a\x63\x6f\x6e\x74\x65\x78\x74\x29\0\x09\x62\x70\x66\x5f\x64\
\x79\x6e\x70\x74\x72\x5f\x66\x72\x6f\x6d\x5f\x6d\x65\x6d\x28\x26\x6d\x61\x70\
\x5f\x76\x61\x6c\x75\x65\x2c\x20\x34\x2c\x20\x30\x2c\x20\x64\x79\x6e\x70\x74\
\x72\x29\x3b\0\x74\x72\x79\x5f\x72\x65\x69\x6e\x69\x74\x5f\x64\x79\x6e\x70\x74\
\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\
\x66\x5f\x64\x79\x6e\x70\x74\x72\x20\x2a\x64\x79\x6e\x70\x74\x72\x2c\x20\x76\
\x6f\x69\x64\x20\x2a\x63\x6f\x6e\x74\x65\x78\x74\x29\0\x09\x62\x70\x66\x5f\x72\
\x69\x6e\x67\x62\x75\x66\x5f\x72\x65\x73\x65\x72\x76\x65\x5f\x64\x79\x6e\x70\
\x74\x72\x28\x26\x72\x69\x6e\x67\x62\x75\x66\x2c\x20\x38\x2c\x20\x30\x2c\x20\
\x64\x79\x6e\x70\x74\x72\x29\x3b\0\x09\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\
\x5f\x64\x61\x74\x61\x28\x64\x79\x6e\x70\x74\x72\x2c\x20\x30\x78\x41\x2c\x20\
\x30\x78\x41\x29\x3b\0\x09\x67\x6c\x6f\x62\x61\x6c\x5f\x63\x61\x6c\x6c\x5f\x62\
\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x5f\x64\x61\x74\x61\x28\x64\x79\x6e\x70\
\x74\x72\x20\x2b\x3d\x20\x31\x30\x32\x34\x29\x3b\0\x09\x62\x70\x66\x5f\x75\x73\
\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x64\x72\x61\x69\x6e\x28\x26\x75\
\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x2c\x20\x62\x61\x64\x5f\x61\x63\
\x63\x65\x73\x73\x31\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\x30\x29\x3b\0\x09\x62\x70\
\x66\x5f\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x64\x72\x61\x69\
\x6e\x28\x26\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x2c\x20\x62\x61\
\x64\x5f\x61\x63\x63\x65\x73\x73\x32\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\x30\x29\
\x3b\0\x09\x62\x70\x66\x5f\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\
\x64\x72\x61\x69\x6e\x28\x26\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\
\x2c\x20\x77\x72\x69\x74\x65\x5f\x66\x6f\x72\x62\x69\x64\x64\x65\x6e\x2c\x20\
\x4e\x55\x4c\x4c\x2c\x20\x30\x29\x3b\0\x09\x62\x70\x66\x5f\x75\x73\x65\x72\x5f\
\x72\x69\x6e\x67\x62\x75\x66\x5f\x64\x72\x61\x69\x6e\x28\x26\x75\x73\x65\x72\
\x5f\x72\x69\x6e\x67\x62\x75\x66\x2c\x20\x6e\x75\x6c\x6c\x5f\x63\x6f\x6e\x74\
\x65\x78\x74\x5f\x77\x72\x69\x74\x65\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\x30\x29\
\x3b\0\x09\x62\x70\x66\x5f\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\
\x64\x72\x61\x69\x6e\x28\x26\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\
\x2c\x20\x6e\x75\x6c\x6c\x5f\x63\x6f\x6e\x74\x65\x78\x74\x5f\x72\x65\x61\x64\
\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\x30\x29\x3b\0\x09\x62\x70\x66\x5f\x75\x73\x65\
\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x64\x72\x61\x69\x6e\x28\x26\x75\x73\
\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x2c\x20\x74\x72\x79\x5f\x64\x69\x73\
\x63\x61\x72\x64\x5f\x64\x79\x6e\x70\x74\x72\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\
\x30\x29\x3b\0\x09\x62\x70\x66\x5f\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\
\x66\x5f\x64\x72\x61\x69\x6e\x28\x26\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\
\x75\x66\x2c\x20\x74\x72\x79\x5f\x73\x75\x62\x6d\x69\x74\x5f\x64\x79\x6e\x70\
\x74\x72\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\x30\x29\x3b\0\x09\x62\x70\x66\x5f\x75\
\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x64\x72\x61\x69\x6e\x28\x26\
\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x2c\x20\x69\x6e\x76\x61\x6c\
\x69\x64\x5f\x64\x72\x61\x69\x6e\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x72\
\x65\x74\x75\x72\x6e\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\x30\x29\x3b\0\x09\x62\x70\
\x66\x5f\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x64\x72\x61\x69\
\x6e\x28\x26\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x2c\x20\x74\x72\
\x79\x5f\x72\x65\x69\x6e\x69\x74\x5f\x64\x79\x6e\x70\x74\x72\x5f\x6d\x65\x6d\
\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\x30\x29\x3b\0\x09\x62\x70\x66\x5f\x75\x73\x65\
\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x64\x72\x61\x69\x6e\x28\x26\x75\x73\
\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x2c\x20\x74\x72\x79\x5f\x72\x65\x69\
\x6e\x69\x74\x5f\x64\x79\x6e\x70\x74\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x2c\
\x20\x4e\x55\x4c\x4c\x2c\x20\x30\x29\x3b\0\x09\x62\x70\x66\x5f\x75\x73\x65\x72\
\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x64\x72\x61\x69\x6e\x28\x26\x75\x73\x65\
\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x2c\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x6d\x61\x70\x73\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\x2e\x74\x65\
\x78\x74\0\x3f\x72\x61\x77\x5f\x74\x70\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\
\0\0\0\0\xcc\0\0\0\xcc\0\0\0\xa4\x03\0\0\x70\x04\0\0\0\0\0\0\x08\0\0\0\xeb\x0d\
\0\0\x0c\0\0\0\0\0\0\0\x1b\0\0\0\x68\0\0\0\x1f\0\0\0\xd0\0\0\0\x23\0\0\0\xf0\0\
\0\0\x27\0\0\0\x10\x01\0\0\x2b\0\0\0\x48\x01\0\0\x2f\0\0\0\x68\x01\0\0\x33\0\0\
\0\x88\x01\0\0\x37\0\0\0\x98\x01\0\0\x3b\0\0\0\xd8\x01\0\0\x3f\0\0\0\x18\x02\0\
\0\x41\0\0\0\x40\x02\0\0\x46\0\0\0\xf1\x0d\0\0\x0b\0\0\0\0\0\0\0\x11\0\0\0\x48\
\0\0\0\x1c\0\0\0\x90\0\0\0\x20\0\0\0\xd8\0\0\0\x24\0\0\0\x20\x01\0\0\x28\0\0\0\
\x68\x01\0\0\x2c\0\0\0\xb0\x01\0\0\x30\0\0\0\xf8\x01\0\0\x34\0\0\0\x40\x02\0\0\
\x38\0\0\0\x88\x02\0\0\x3c\0\0\0\xd0\x02\0\0\x42\0\0\0\x10\0\0\0\xeb\x0d\0\0\
\x23\0\0\0\0\0\0\0\x6e\x06\0\0\xfb\x06\0\0\0\x78\0\0\x08\0\0\0\x6e\x06\0\0\x31\
\x07\0\0\x22\x88\0\0\x10\0\0\0\x6e\x06\0\0\x31\x07\0\0\x0b\x88\0\0\x28\0\0\0\
\x6e\x06\0\0\x6c\x07\0\0\x02\x8c\0\0\x58\0\0\0\x6e\x06\0\0\xb2\x07\0\0\x02\x94\
\0\0\x68\0\0\0\x6e\x06\0\0\xbd\x07\0\0\0\xd4\0\0\x70\0\0\0\x6e\x06\0\0\xf3\x07\
\0\0\x22\xe4\0\0\x78\0\0\0\x6e\x06\0\0\xf3\x07\0\0\x0b\xe4\0\0\x90\0\0\0\x6e\
\x06\0\0\x2e\x08\0\0\x02\xe8\0\0\xc0\0\0\0\x6e\x06\0\0\xb2\x07\0\0\x02\xf0\0\0\
\xd0\0\0\0\x6e\x06\0\0\x74\x08\0\0\0\x30\x01\0\xd8\0\0\0\x6e\x06\0\0\xae\x08\0\
\0\x14\x38\x01\0\xe0\0\0\0\x6e\x06\0\0\xb2\x07\0\0\x02\x40\x01\0\xf0\0\0\0\x6e\
\x06\0\0\xc6\x08\0\0\0\x80\x01\0\xf8\0\0\0\x6e\x06\0\0\x03\x09\0\0\x16\x88\x01\
\0\0\x01\0\0\x6e\x06\0\0\xb2\x07\0\0\x02\x90\x01\0\x10\x01\0\0\x6e\x06\0\0\x1d\
\x09\0\0\x0d\xd8\x01\0\x18\x01\0\0\x6e\x06\0\0\x3e\x09\0\0\x02\xe0\x01\0\x38\
\x01\0\0\x6e\x06\0\0\xb2\x07\0\0\x02\xe8\x01\0\x48\x01\0\0\x6e\x06\0\0\x60\x09\
\0\0\x02\x30\x02\0\x58\x01\0\0\x6e\x06\0\0\xb2\x07\0\0\x02\x38\x02\0\x68\x01\0\
\0\x6e\x06\0\0\x88\x09\0\0\x02\x80\x02\0\x78\x01\0\0\x6e\x06\0\0\xb2\x07\0\0\
\x02\x88\x02\0\x88\x01\0\0\x6e\x06\0\0\xaf\x09\0\0\x02\xd0\x02\0\x98\x01\0\0\
\x6e\x06\0\0\xba\x09\0\0\0\x10\x03\0\xa0\x01\0\0\x6e\x06\0\0\xfa\x09\0\0\x02\
\x18\x03\0\xc8\x01\0\0\x6e\x06\0\0\xb2\x07\0\0\x02\x1c\x03\0\xd8\x01\0\0\x6e\
\x06\0\0\x2a\x0a\0\0\0\x2c\x03\0\xe0\x01\0\0\x6e\x06\0\0\x6e\x0a\0\0\x02\x34\
\x03\0\x08\x02\0\0\x6e\x06\0\0\xb2\x07\0\0\x02\x38\x03\0\x18\x02\0\0\x6e\x06\0\
\0\xa3\x0a\0\0\x02\x8c\x03\0\x30\x02\0\0\x6e\x06\0\0\xb2\x07\0\0\x02\x90\x03\0\
\x40\x02\0\0\x6e\x06\0\0\xc7\x0a\0\0\x25\xa8\x03\0\x48\x02\0\0\x6e\x06\0\0\xc7\
\x0a\0\0\x02\xa8\x03\0\x50\x02\0\0\x6e\x06\0\0\xb2\x07\0\0\x02\xac\x03\0\xf1\
\x0d\0\0\x16\0\0\0\0\0\0\0\x6e\x06\0\0\xf5\x0a\0\0\x02\xbc\0\0\x38\0\0\0\x6e\
\x06\0\0\xb2\x07\0\0\x02\xc4\0\0\x48\0\0\0\x6e\x06\0\0\x33\x0b\0\0\x02\x18\x01\
\0\x80\0\0\0\x6e\x06\0\0\xb2\x07\0\0\x02\x20\x01\0\x90\0\0\0\x6e\x06\0\0\x71\
\x0b\0\0\x02\x68\x01\0\xc8\0\0\0\x6e\x06\0\0\xb2\x07\0\0\x02\x70\x01\0\xd8\0\0\
\0\x6e\x06\0\0\xb3\x0b\0\0\x02\xb8\x01\0\x10\x01\0\0\x6e\x06\0\0\xb2\x07\0\0\
\x02\xc0\x01\0\x20\x01\0\0\x6e\x06\0\0\xf8\x0b\0\0\x02\x10\x02\0\x58\x01\0\0\
\x6e\x06\0\0\xb2\x07\0\0\x02\x18\x02\0\x68\x01\0\0\x6e\x06\0\0\x3c\x0c\0\0\x02\
\x60\x02\0\xa0\x01\0\0\x6e\x06\0\0\xb2\x07\0\0\x02\x68\x02\0\xb0\x01\0\0\x6e\
\x06\0\0\x81\x0c\0\0\x02\xb0\x02\0\xe8\x01\0\0\x6e\x06\0\0\xb2\x07\0\0\x02\xb8\
\x02\0\xf8\x01\0\0\x6e\x06\0\0\xc5\x0c\0\0\x02\xf8\x02\0\x30\x02\0\0\x6e\x06\0\
\0\xb2\x07\0\0\x02\0\x03\0\x40\x02\0\0\x6e\x06\0\0\x15\x0d\0\0\x02\x54\x03\0\
\x78\x02\0\0\x6e\x06\0\0\xb2\x07\0\0\x02\x58\x03\0\x88\x02\0\0\x6e\x06\0\0\x5d\
\x0d\0\0\x02\x74\x03\0\xc0\x02\0\0\x6e\x06\0\0\xb2\x07\0\0\x02\x78\x03\0\xd0\
\x02\0\0\x6e\x06\0\0\xa9\x0d\0\0\x02\xc8\x03\0\x08\x03\0\0\x6e\x06\0\0\xb2\x07\
\0\0\x02\xd0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x8a\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x03\0\0\0\0\0\0\x60\x03\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x30\x07\0\0\0\0\0\0\x60\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x90\x09\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x1f\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xa8\x0c\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x27\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x0c\0\0\0\
\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2d\
\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x0c\0\0\0\0\0\0\x51\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x35\0\0\0\x08\0\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x24\x0d\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x66\x03\0\0\x09\0\0\0\x40\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x28\x0d\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x02\0\0\0\x03\0\
\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x70\x03\0\0\x09\0\0\0\x40\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x88\x0d\0\0\0\0\0\0\x60\x01\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x7c\x03\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xe8\x0e\0\0\0\0\0\0\xa9\x13\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x81\x03\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x98\x22\0\0\0\0\0\0\x90\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct user_ringbuf_fail *user_ringbuf_fail::open(const struct bpf_object_open_opts *opts) { return user_ringbuf_fail__open_opts(opts); }
struct user_ringbuf_fail *user_ringbuf_fail::open_and_load() { return user_ringbuf_fail__open_and_load(); }
int user_ringbuf_fail::load(struct user_ringbuf_fail *skel) { return user_ringbuf_fail__load(skel); }
int user_ringbuf_fail::attach(struct user_ringbuf_fail *skel) { return user_ringbuf_fail__attach(skel); }
void user_ringbuf_fail::detach(struct user_ringbuf_fail *skel) { user_ringbuf_fail__detach(skel); }
void user_ringbuf_fail::destroy(struct user_ringbuf_fail *skel) { user_ringbuf_fail__destroy(skel); }
const void *user_ringbuf_fail::elf_bytes(size_t *sz) { return user_ringbuf_fail__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
user_ringbuf_fail__assert(struct user_ringbuf_fail *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __USER_RINGBUF_FAIL_SKEL_H__ */
