/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __SKB_PKT_END_SKEL_H__
#define __SKB_PKT_END_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct skb_pkt_end {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *main_prog;
	} progs;
	struct {
		struct bpf_link *main_prog;
	} links;

#ifdef __cplusplus
	static inline struct skb_pkt_end *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct skb_pkt_end *open_and_load();
	static inline int load(struct skb_pkt_end *skel);
	static inline int attach(struct skb_pkt_end *skel);
	static inline void detach(struct skb_pkt_end *skel);
	static inline void destroy(struct skb_pkt_end *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
skb_pkt_end__destroy(struct skb_pkt_end *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
skb_pkt_end__create_skeleton(struct skb_pkt_end *obj);

static inline struct skb_pkt_end *
skb_pkt_end__open_opts(const struct bpf_object_open_opts *opts)
{
	struct skb_pkt_end *obj;
	int err;

	obj = (struct skb_pkt_end *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = skb_pkt_end__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	skb_pkt_end__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct skb_pkt_end *
skb_pkt_end__open(void)
{
	return skb_pkt_end__open_opts(NULL);
}

static inline int
skb_pkt_end__load(struct skb_pkt_end *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct skb_pkt_end *
skb_pkt_end__open_and_load(void)
{
	struct skb_pkt_end *obj;
	int err;

	obj = skb_pkt_end__open();
	if (!obj)
		return NULL;
	err = skb_pkt_end__load(obj);
	if (err) {
		skb_pkt_end__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
skb_pkt_end__attach(struct skb_pkt_end *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
skb_pkt_end__detach(struct skb_pkt_end *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *skb_pkt_end__elf_bytes(size_t *sz);

static inline int
skb_pkt_end__create_skeleton(struct skb_pkt_end *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "skb_pkt_end";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "main_prog";
	s->progs[0].prog = &obj->progs.main_prog;
	s->progs[0].link = &obj->links.main_prog;

	s->data = skb_pkt_end__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *skb_pkt_end__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x68\x09\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x63\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x73\x6b\x62\x5f\x70\x6b\x74\x5f\x65\x6e\x64\x2e\
\x63\0\x6d\x61\x69\x6e\x5f\x70\x72\x6f\x67\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1c\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2a\0\0\0\x12\0\
\x03\0\0\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x34\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\xb4\0\0\0\xff\xff\xff\xff\x61\x13\x50\0\0\0\0\0\x61\x12\x4c\
\0\0\0\0\0\xbf\x24\0\0\0\0\0\0\x07\x04\0\0\x36\0\0\0\x2d\x34\x0e\0\0\0\0\0\x71\
\x23\x17\0\0\0\0\0\x56\x03\x0c\0\x06\0\0\0\x69\x23\x24\0\0\0\0\0\x56\x03\x0a\0\
\0\0\0\0\x69\x26\x34\0\0\0\0\0\xb4\x02\0\0\x07\0\0\0\x73\x2a\xff\xff\0\0\0\0\
\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xff\xff\xff\xff\xb4\x02\0\0\x17\0\0\0\xb4\x04\
\0\0\x01\0\0\0\xb7\x05\0\0\x01\0\0\0\x85\0\0\0\x09\0\0\0\xbc\x60\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x24\
\x03\0\0\x24\x03\0\0\x82\x03\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x22\0\0\
\x04\xc0\0\0\0\x0b\0\0\0\x03\0\0\0\0\0\0\0\x0f\0\0\0\x03\0\0\0\x20\0\0\0\x18\0\
\0\0\x03\0\0\0\x40\0\0\0\x1d\0\0\0\x03\0\0\0\x60\0\0\0\x2b\0\0\0\x03\0\0\0\x80\
\0\0\0\x34\0\0\0\x03\0\0\0\xa0\0\0\0\x41\0\0\0\x03\0\0\0\xc0\0\0\0\x4a\0\0\0\
\x03\0\0\0\xe0\0\0\0\x55\0\0\0\x03\0\0\0\0\x01\0\0\x5e\0\0\0\x03\0\0\0\x20\x01\
\0\0\x6e\0\0\0\x03\0\0\0\x40\x01\0\0\x76\0\0\0\x03\0\0\0\x60\x01\0\0\x7f\0\0\0\
\x05\0\0\0\x80\x01\0\0\x82\0\0\0\x03\0\0\0\x20\x02\0\0\x87\0\0\0\x03\0\0\0\x40\
\x02\0\0\x92\0\0\0\x03\0\0\0\x60\x02\0\0\x97\0\0\0\x03\0\0\0\x80\x02\0\0\xa0\0\
\0\0\x03\0\0\0\xa0\x02\0\0\xa8\0\0\0\x03\0\0\0\xc0\x02\0\0\xaf\0\0\0\x03\0\0\0\
\xe0\x02\0\0\xba\0\0\0\x03\0\0\0\0\x03\0\0\xc4\0\0\0\x07\0\0\0\x20\x03\0\0\xcf\
\0\0\0\x07\0\0\0\xa0\x03\0\0\xd9\0\0\0\x03\0\0\0\x20\x04\0\0\xe5\0\0\0\x03\0\0\
\0\x40\x04\0\0\xf0\0\0\0\x03\0\0\0\x60\x04\0\0\0\0\0\0\x08\0\0\0\x80\x04\0\0\
\xfa\0\0\0\x0a\0\0\0\xc0\x04\0\0\x01\x01\0\0\x03\0\0\0\0\x05\0\0\x0a\x01\0\0\
\x03\0\0\0\x20\x05\0\0\0\0\0\0\x0c\0\0\0\x40\x05\0\0\x13\x01\0\0\x03\0\0\0\x80\
\x05\0\0\x1c\x01\0\0\x0e\0\0\0\xa0\x05\0\0\x28\x01\0\0\x0a\0\0\0\xc0\x05\0\0\
\x31\x01\0\0\0\0\0\x08\x04\0\0\0\x37\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x06\0\0\0\x05\0\0\0\x44\x01\0\0\0\0\0\x01\x04\
\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\
\0\x01\0\0\x05\x08\0\0\0\x58\x01\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x16\0\
\0\0\x62\x01\0\0\0\0\0\x08\x0b\0\0\0\x68\x01\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\
\0\0\0\0\x01\0\0\x05\x08\0\0\0\x7b\x01\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\
\x17\0\0\0\x7e\x01\0\0\0\0\0\x08\x0f\0\0\0\x83\x01\0\0\0\0\0\x01\x01\0\0\0\x08\
\0\0\0\0\0\0\0\x01\0\0\x0d\x11\0\0\0\x91\x01\0\0\x01\0\0\0\x95\x01\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\x01\x99\x01\0\0\x01\0\0\x0c\x10\0\0\0\xa3\x01\0\0\0\0\0\
\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x13\0\0\0\x06\0\0\0\x04\0\
\0\0\xa8\x01\0\0\0\0\0\x0e\x14\0\0\0\x01\0\0\0\xb1\x01\0\0\0\0\0\x07\0\0\0\0\
\xbf\x01\0\0\0\0\0\x07\0\0\0\0\x77\x03\0\0\x01\0\0\x0f\x04\0\0\0\x15\0\0\0\0\0\
\0\0\x04\0\0\0\0\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\
\x74\x5f\x74\x79\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\
\x70\x70\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\
\x70\x72\x65\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\
\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\
\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\
\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\
\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\
\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\
\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\
\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\
\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\
\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\
\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\
\x69\x7a\x65\0\x74\x73\x74\x61\x6d\x70\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\
\x74\x61\x6d\x70\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\
\x45\x5f\x5f\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x5f\x5f\x75\x36\x34\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x73\x6b\
\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x73\
\x6b\x62\0\x69\x6e\x74\0\x6d\x61\x69\x6e\x5f\x70\x72\x6f\x67\0\x63\x68\x61\x72\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\
\x65\x79\x73\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\
\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\
\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\
\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\
\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\
\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\
\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\
\x73\x6b\x62\x5f\x70\x6b\x74\x5f\x65\x6e\x64\x2e\x63\0\x69\x6e\x74\x20\x6d\x61\
\x69\x6e\x5f\x70\x72\x6f\x67\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\
\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x69\x66\x20\x28\x73\x6b\x62\
\x5f\x73\x68\x6f\x72\x74\x65\x72\x28\x73\x6b\x62\x2c\x20\x45\x54\x48\x5f\x49\
\x50\x56\x34\x5f\x54\x43\x50\x5f\x53\x49\x5a\x45\x29\x29\0\x09\x69\x66\x20\x28\
\x21\x28\x69\x70\x20\x3d\x20\x67\x65\x74\x5f\x69\x70\x68\x64\x72\x28\x73\x6b\
\x62\x29\x29\x29\0\x09\x70\x72\x6f\x74\x6f\x20\x3d\x20\x69\x70\x2d\x3e\x70\x72\
\x6f\x74\x6f\x63\x6f\x6c\x3b\0\x09\x69\x66\x20\x28\x70\x72\x6f\x74\x6f\x20\x21\
\x3d\x20\x49\x50\x50\x52\x4f\x54\x4f\x5f\x54\x43\x50\x29\0\x09\x69\x66\x20\x28\
\x74\x63\x70\x2d\x3e\x64\x65\x73\x74\x20\x21\x3d\x20\x30\x29\0\x09\x75\x72\x67\
\x5f\x70\x74\x72\x20\x3d\x20\x74\x63\x70\x2d\x3e\x75\x72\x67\x5f\x70\x74\x72\
\x3b\0\x09\x70\x72\x6f\x74\x6f\x2b\x2b\x3b\0\x09\x62\x70\x66\x5f\x73\x6b\x62\
\x5f\x73\x74\x6f\x72\x65\x5f\x62\x79\x74\x65\x73\x28\x73\x6b\x62\x2c\x20\x6f\
\x66\x66\x73\x65\x74\x2c\x20\x26\x70\x72\x6f\x74\x6f\x2c\x20\x73\x69\x7a\x65\
\x6f\x66\x28\x70\x72\x6f\x74\x6f\x29\x2c\x20\x42\x50\x46\x5f\x46\x5f\x52\x45\
\x43\x4f\x4d\x50\x55\x54\x45\x5f\x43\x53\x55\x4d\x29\x3b\0\x7d\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x74\x63\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\
\0\0\0\xbc\0\0\0\xd0\0\0\0\0\0\0\0\x08\0\0\0\x7f\x03\0\0\x01\0\0\0\0\0\0\0\x12\
\0\0\0\x10\0\0\0\x7f\x03\0\0\x0b\0\0\0\0\0\0\0\xc8\x01\0\0\x4f\x02\0\0\0\x7c\0\
\0\x08\0\0\0\xc8\x01\0\0\x74\x02\0\0\x06\x50\0\0\x28\0\0\0\xc8\x01\0\0\x9e\x02\
\0\0\x06\x9c\0\0\x30\0\0\0\xc8\x01\0\0\xbb\x02\0\0\x0e\xa8\0\0\x38\0\0\0\xc8\
\x01\0\0\xd2\x02\0\0\x06\xb0\0\0\x40\0\0\0\xc8\x01\0\0\xed\x02\0\0\x0b\xc0\0\0\
\x48\0\0\0\xc8\x01\0\0\xed\x02\0\0\x06\xc0\0\0\x50\0\0\0\xc8\x01\0\0\x02\x03\0\
\0\x11\xd4\0\0\x60\0\0\0\xc8\x01\0\0\x1b\x03\0\0\x07\xe0\0\0\x78\0\0\0\xc8\x01\
\0\0\x25\x03\0\0\x02\xe8\0\0\xa0\0\0\0\xc8\x01\0\0\x75\x03\0\0\x01\xfc\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x4b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x90\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\x01\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x14\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x01\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3d\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x01\0\0\0\0\0\0\xbe\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x42\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x08\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct skb_pkt_end *skb_pkt_end::open(const struct bpf_object_open_opts *opts) { return skb_pkt_end__open_opts(opts); }
struct skb_pkt_end *skb_pkt_end::open_and_load() { return skb_pkt_end__open_and_load(); }
int skb_pkt_end::load(struct skb_pkt_end *skel) { return skb_pkt_end__load(skel); }
int skb_pkt_end::attach(struct skb_pkt_end *skel) { return skb_pkt_end__attach(skel); }
void skb_pkt_end::detach(struct skb_pkt_end *skel) { skb_pkt_end__detach(skel); }
void skb_pkt_end::destroy(struct skb_pkt_end *skel) { skb_pkt_end__destroy(skel); }
const void *skb_pkt_end::elf_bytes(size_t *sz) { return skb_pkt_end__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
skb_pkt_end__assert(struct skb_pkt_end *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __SKB_PKT_END_SKEL_H__ */
