/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __STRUCT_OPS_AUTOCREATE_SKEL_H__
#define __STRUCT_OPS_AUTOCREATE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct struct_ops_autocreate {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
		struct bpf_map *testmod_1;
		struct bpf_map *testmod_2;
		struct bpf_map *optional_map;
		struct bpf_map *optional_map2;
	} maps;
	struct {
		struct struct_ops_autocreate__testmod_1__bpf_testmod_ops___v1 {
			struct bpf_program *test_1;
		} *testmod_1;
		struct struct_ops_autocreate__testmod_2__bpf_testmod_ops___v2 {
			struct bpf_program *test_1;
			struct bpf_program *does_not_exist;
		} *testmod_2;
		struct struct_ops_autocreate__optional_map__bpf_testmod_ops___v1 {
			struct bpf_program *test_1;
		} *optional_map;
		struct struct_ops_autocreate__optional_map2__bpf_testmod_ops___v1 {
			struct bpf_program *test_1;
		} *optional_map2;
	} struct_ops;
	struct {
		struct bpf_program *test_1;
		struct bpf_program *test_2;
	} progs;
	struct {
		struct bpf_link *test_1;
		struct bpf_link *test_2;
		struct bpf_link *testmod_1;
		struct bpf_link *testmod_2;
		struct bpf_link *optional_map;
		struct bpf_link *optional_map2;
	} links;
	struct struct_ops_autocreate__bss {
		int test_1_result;
	} *bss;

#ifdef __cplusplus
	static inline struct struct_ops_autocreate *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct struct_ops_autocreate *open_and_load();
	static inline int load(struct struct_ops_autocreate *skel);
	static inline int attach(struct struct_ops_autocreate *skel);
	static inline void detach(struct struct_ops_autocreate *skel);
	static inline void destroy(struct struct_ops_autocreate *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
struct_ops_autocreate__destroy(struct struct_ops_autocreate *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
struct_ops_autocreate__create_skeleton(struct struct_ops_autocreate *obj);

static inline struct struct_ops_autocreate *
struct_ops_autocreate__open_opts(const struct bpf_object_open_opts *opts)
{
	struct struct_ops_autocreate *obj;
	int err;

	obj = (struct struct_ops_autocreate *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = struct_ops_autocreate__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	obj->struct_ops.testmod_1 = (__typeof__(obj->struct_ops.testmod_1))
		bpf_map__initial_value(obj->maps.testmod_1, NULL);

	obj->struct_ops.testmod_2 = (__typeof__(obj->struct_ops.testmod_2))
		bpf_map__initial_value(obj->maps.testmod_2, NULL);

	obj->struct_ops.optional_map = (__typeof__(obj->struct_ops.optional_map))
		bpf_map__initial_value(obj->maps.optional_map, NULL);

	obj->struct_ops.optional_map2 = (__typeof__(obj->struct_ops.optional_map2))
		bpf_map__initial_value(obj->maps.optional_map2, NULL);

	return obj;
err_out:
	struct_ops_autocreate__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct struct_ops_autocreate *
struct_ops_autocreate__open(void)
{
	return struct_ops_autocreate__open_opts(NULL);
}

static inline int
struct_ops_autocreate__load(struct struct_ops_autocreate *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct struct_ops_autocreate *
struct_ops_autocreate__open_and_load(void)
{
	struct struct_ops_autocreate *obj;
	int err;

	obj = struct_ops_autocreate__open();
	if (!obj)
		return NULL;
	err = struct_ops_autocreate__load(obj);
	if (err) {
		struct_ops_autocreate__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
struct_ops_autocreate__attach(struct struct_ops_autocreate *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
struct_ops_autocreate__detach(struct struct_ops_autocreate *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *struct_ops_autocreate__elf_bytes(size_t *sz);

static inline int
struct_ops_autocreate__create_skeleton(struct struct_ops_autocreate *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "struct_ops_autocreate";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 5;
	s->map_skel_sz = 32;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 32 ? sizeof(*s->maps) : 32);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "struct_o.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "testmod_1";
	map->map = &obj->maps.testmod_1;
	map->link = &obj->links.testmod_1;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "testmod_2";
	map->map = &obj->maps.testmod_2;
	map->link = &obj->links.testmod_2;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 3 * s->map_skel_sz);
	map->name = "optional_map";
	map->map = &obj->maps.optional_map;
	map->link = &obj->links.optional_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 4 * s->map_skel_sz);
	map->name = "optional_map2";
	map->map = &obj->maps.optional_map2;
	map->link = &obj->links.optional_map2;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_1";
	s->progs[0].prog = &obj->progs.test_1;
	s->progs[0].link = &obj->links.test_1;

	s->progs[1].name = "test_2";
	s->progs[1].prog = &obj->progs.test_2;
	s->progs[1].link = &obj->links.test_2;

	s->data = struct_ops_autocreate__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *struct_ops_autocreate__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x88\x07\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0f\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x74\
\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x74\x65\x73\x74\x5f\x31\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\
\x2e\x6c\x69\x6e\x6b\0\x3f\x2e\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\0\x3f\
\x2e\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2e\x6c\x69\x6e\x6b\0\x73\x74\x72\
\x75\x63\x74\x5f\x6f\x70\x73\x5f\x61\x75\x74\x6f\x63\x72\x65\x61\x74\x65\x2e\
\x63\0\x74\x65\x73\x74\x5f\x31\0\x74\x65\x73\x74\x5f\x31\x5f\x72\x65\x73\x75\
\x6c\x74\0\x74\x65\x73\x74\x5f\x32\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\
\x73\x74\x6d\x6f\x64\x5f\x31\0\x74\x65\x73\x74\x6d\x6f\x64\x5f\x32\0\x6f\x70\
\x74\x69\x6f\x6e\x61\x6c\x5f\x6d\x61\x70\0\x6f\x70\x74\x69\x6f\x6e\x61\x6c\x5f\
\x6d\x61\x70\x32\0\x2e\x72\x65\x6c\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\
\x74\x65\x73\x74\x5f\x31\0\x2e\x72\x65\x6c\x2e\x73\x74\x72\x75\x63\x74\x5f\x6f\
\x70\x73\x2e\x6c\x69\x6e\x6b\0\x2e\x72\x65\x6c\x3f\x2e\x73\x74\x72\x75\x63\x74\
\x5f\x6f\x70\x73\0\x2e\x72\x65\x6c\x3f\x2e\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\
\x73\x2e\x6c\x69\x6e\x6b\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\x04\0\xf1\
\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x78\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x7f\0\0\0\
\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x8d\0\0\0\x12\0\x03\0\x30\0\0\0\
\0\0\0\0\x10\0\0\0\0\0\0\0\x94\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\x9d\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xa7\0\0\0\x11\0\
\x06\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xb1\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\xbe\0\0\0\x11\0\x08\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x2a\0\0\0\x63\x21\0\0\0\0\0\0\
\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\
\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x02\0\
\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\
\0\x05\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x03\
\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xc8\x01\0\0\xc8\x01\0\0\xe1\x01\0\0\0\0\
\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\
\0\x0d\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\
\x1c\0\0\0\x01\0\0\x0c\x03\0\0\0\x23\0\0\0\x01\0\0\x0c\x03\0\0\0\x2a\0\0\0\0\0\
\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x07\0\0\0\x09\0\0\0\x04\
\0\0\0\x2f\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x43\0\0\0\0\0\0\x0e\x08\0\0\0\
\x01\0\0\0\x4c\0\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\x5a\0\0\0\x01\0\0\x04\x08\0\
\0\0\x1c\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x0e\0\0\0\0\0\0\0\0\0\0\x0d\
\x04\0\0\0\x6f\0\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\x79\0\0\0\x02\0\0\x04\x10\0\
\0\0\x1c\0\0\0\x0d\0\0\0\0\0\0\0\x8e\0\0\0\x0d\0\0\0\x40\0\0\0\x9d\0\0\0\0\0\0\
\x0e\x10\0\0\0\x01\0\0\0\xa7\0\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\xb4\0\0\0\0\0\
\0\x0e\x0c\0\0\0\x01\0\0\0\x92\x01\0\0\x01\0\0\x0f\x04\0\0\0\x0a\0\0\0\0\0\0\0\
\x04\0\0\0\x9a\x01\0\0\x01\0\0\x0f\x04\0\0\0\x0b\0\0\0\0\0\0\0\x04\0\0\0\x9f\
\x01\0\0\x02\0\0\x0f\x18\0\0\0\x0f\0\0\0\0\0\0\0\x08\0\0\0\x11\0\0\0\x08\0\0\0\
\x10\0\0\0\xb0\x01\0\0\x01\0\0\x0f\x08\0\0\0\x12\0\0\0\0\0\0\0\x08\0\0\0\xbd\
\x01\0\0\x01\0\0\x0f\x08\0\0\0\x13\0\0\0\0\0\0\0\x08\0\0\0\0\x75\x6e\x73\x69\
\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x69\
\x6e\x74\0\x74\x65\x73\x74\x5f\x31\0\x74\x65\x73\x74\x5f\x32\0\x63\x68\x61\x72\
\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x31\x5f\x72\x65\x73\
\x75\x6c\x74\0\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x6f\x70\x73\x5f\
\x5f\x5f\x76\x31\0\x74\x65\x73\x74\x6d\x6f\x64\x5f\x31\0\x62\x70\x66\x5f\x74\
\x65\x73\x74\x6d\x6f\x64\x5f\x6f\x70\x73\x5f\x5f\x5f\x76\x32\0\x64\x6f\x65\x73\
\x5f\x6e\x6f\x74\x5f\x65\x78\x69\x73\x74\0\x74\x65\x73\x74\x6d\x6f\x64\x5f\x32\
\0\x6f\x70\x74\x69\x6f\x6e\x61\x6c\x5f\x6d\x61\x70\0\x6f\x70\x74\x69\x6f\x6e\
\x61\x6c\x5f\x6d\x61\x70\x32\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\
\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\
\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\
\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\
\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\
\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\
\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x73\x74\x72\x75\x63\
\x74\x5f\x6f\x70\x73\x5f\x61\x75\x74\x6f\x63\x72\x65\x61\x74\x65\x2e\x63\0\x09\
\x74\x65\x73\x74\x5f\x31\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x34\x32\x3b\0\
\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x5f\x31\
\x29\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x5f\
\x32\x29\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x73\x74\x72\x75\
\x63\x74\x5f\x6f\x70\x73\x2e\x6c\x69\x6e\x6b\0\x3f\x2e\x73\x74\x72\x75\x63\x74\
\x5f\x6f\x70\x73\0\x3f\x2e\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2e\x6c\x69\
\x6e\x6b\0\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x74\x65\x73\x74\x5f\x31\
\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x1c\0\0\0\x1c\0\0\0\x3c\0\0\0\
\x58\0\0\0\0\0\0\0\x08\0\0\0\xcf\x01\0\0\x02\0\0\0\0\0\0\0\x05\0\0\0\x30\0\0\0\
\x06\0\0\0\x10\0\0\0\xcf\x01\0\0\x03\0\0\0\0\0\0\0\xc2\0\0\0\x53\x01\0\0\x10\
\x38\0\0\x20\0\0\0\xc2\0\0\0\x68\x01\0\0\x05\x30\0\0\x30\0\0\0\xc2\0\0\0\x7d\
\x01\0\0\x05\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x2c\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x01\0\0\0\0\0\0\x08\x01\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x78\x02\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x23\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xb8\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x2b\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbc\
\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x30\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x02\0\0\0\0\0\
\0\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x41\0\0\
\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x02\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4e\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x02\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xcc\0\0\0\x09\0\0\0\x40\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xe8\x02\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xe2\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xf8\x02\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x02\0\0\0\x06\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\xf7\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x28\x03\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x07\0\0\0\x08\0\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\x08\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x38\x03\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x08\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x1e\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\
\x03\0\0\0\0\0\0\xc1\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x23\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x07\0\0\0\0\
\0\0\x78\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct struct_ops_autocreate *struct_ops_autocreate::open(const struct bpf_object_open_opts *opts) { return struct_ops_autocreate__open_opts(opts); }
struct struct_ops_autocreate *struct_ops_autocreate::open_and_load() { return struct_ops_autocreate__open_and_load(); }
int struct_ops_autocreate::load(struct struct_ops_autocreate *skel) { return struct_ops_autocreate__load(skel); }
int struct_ops_autocreate::attach(struct struct_ops_autocreate *skel) { return struct_ops_autocreate__attach(skel); }
void struct_ops_autocreate::detach(struct struct_ops_autocreate *skel) { struct_ops_autocreate__detach(skel); }
void struct_ops_autocreate::destroy(struct struct_ops_autocreate *skel) { struct_ops_autocreate__destroy(skel); }
const void *struct_ops_autocreate::elf_bytes(size_t *sz) { return struct_ops_autocreate__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
struct_ops_autocreate__assert(struct struct_ops_autocreate *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->test_1_result) == 4, "unexpected size of 'test_1_result'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __STRUCT_OPS_AUTOCREATE_SKEL_H__ */
