/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_ENDIAN_SKEL_H__
#define __TEST_ENDIAN_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_endian {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *sys_enter;
	} progs;
	struct {
		struct bpf_link *sys_enter;
	} links;
	struct test_endian__bss {
		__u16 in16;
		__u32 in32;
		__u64 in64;
		__u16 out16;
		__u32 out32;
		__u64 out64;
		__u16 const16;
		__u32 const32;
		__u64 const64;
	} *bss;

#ifdef __cplusplus
	static inline struct test_endian *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_endian *open_and_load();
	static inline int load(struct test_endian *skel);
	static inline int attach(struct test_endian *skel);
	static inline void detach(struct test_endian *skel);
	static inline void destroy(struct test_endian *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_endian__destroy(struct test_endian *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_endian__create_skeleton(struct test_endian *obj);

static inline struct test_endian *
test_endian__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_endian *obj;
	int err;

	obj = (struct test_endian *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_endian__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_endian__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_endian *
test_endian__open(void)
{
	return test_endian__open_opts(NULL);
}

static inline int
test_endian__load(struct test_endian *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_endian *
test_endian__open_and_load(void)
{
	struct test_endian *obj;
	int err;

	obj = test_endian__open();
	if (!obj)
		return NULL;
	err = test_endian__load(obj);
	if (err) {
		test_endian__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_endian__attach(struct test_endian *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_endian__detach(struct test_endian *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_endian__elf_bytes(size_t *sz);

static inline int
test_endian__create_skeleton(struct test_endian *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_endian";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "test_end.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "sys_enter";
	s->progs[0].prog = &obj->progs.sys_enter;
	s->progs[0].link = &obj->links.sys_enter;

	s->data = test_endian__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_endian__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x50\x09\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x72\x61\
\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x62\x73\x73\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x65\x6e\x64\x69\x61\x6e\x2e\
\x63\0\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x63\x6f\x6e\x73\x74\x31\x36\0\x63\
\x6f\x6e\x73\x74\x33\x32\0\x63\x6f\x6e\x73\x74\x36\x34\0\x69\x6e\x36\x34\0\x6f\
\x75\x74\x36\x34\0\x69\x6e\x31\x36\0\x6f\x75\x74\x31\x36\0\x69\x6e\x33\x32\0\
\x6f\x75\x74\x33\x32\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x72\
\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x42\x54\x46\
\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x2f\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3d\0\0\0\x12\0\x03\0\0\0\0\0\0\0\
\0\0\x20\x01\0\0\0\0\0\0\x47\0\0\0\x11\0\x04\0\x20\0\0\0\0\0\0\0\x02\0\0\0\0\0\
\0\0\x4f\0\0\0\x11\0\x04\0\x24\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x57\0\0\0\x11\0\
\x04\0\x28\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x5f\0\0\0\x11\0\x04\0\x08\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\x64\0\0\0\x11\0\x04\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x6a\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\x6f\0\0\0\x11\0\x04\
\0\x10\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\x75\0\0\0\x11\0\x04\0\x04\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\x7a\0\0\0\x11\0\x04\0\x14\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\x80\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xb4\x02\0\0\x12\x34\0\0\x6b\x21\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xb4\x02\0\0\x12\x34\x56\x78\x63\x21\0\0\0\0\0\0\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\x12\x34\x56\x78\0\0\0\0\x9a\xbc\xde\xf0\x7b\
\x21\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\xdc\
\x01\0\0\x40\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x69\x11\0\0\0\0\0\0\xdc\x01\0\0\x10\0\0\0\x18\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6b\x12\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x61\x11\0\0\0\0\0\0\xdc\x01\0\0\x20\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x63\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\0\x05\
\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x68\0\0\0\0\0\0\0\x01\0\0\0\x07\0\
\0\0\x88\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\xa0\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\
\0\xc0\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\xd8\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\
\xf8\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x04\x02\
\0\0\x04\x02\0\0\x25\x02\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\0\0\0\x0a\0\0\
\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x01\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\
\0\0\0\x20\0\0\x01\x09\0\0\0\x01\0\0\x0c\x03\0\0\0\x13\0\0\0\0\0\0\x08\x07\0\0\
\0\x19\0\0\0\0\0\0\x01\x02\0\0\0\x10\0\0\0\x28\0\0\0\0\0\0\x0e\x06\0\0\0\x01\0\
\0\0\x2d\0\0\0\0\0\0\x08\x0a\0\0\0\x33\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x40\
\0\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\x45\0\0\0\0\0\0\x08\x0d\0\0\0\x4b\0\0\0\0\
\0\0\x01\x08\0\0\0\x40\0\0\0\x5e\0\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\x63\0\0\0\
\0\0\0\x0e\x06\0\0\0\x01\0\0\0\x69\0\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\x6f\0\0\
\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\x75\0\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\x7d\0\
\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\x85\0\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\x8d\
\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x15\0\0\0\x17\
\0\0\0\x04\0\0\0\x92\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\xa6\0\0\0\0\0\0\x0e\
\x16\0\0\0\x01\0\0\0\x07\x02\0\0\x09\0\0\x0f\x30\0\0\0\x08\0\0\0\0\0\0\0\x02\0\
\0\0\x0b\0\0\0\x04\0\0\0\x04\0\0\0\x0e\0\0\0\x08\0\0\0\x08\0\0\0\x0f\0\0\0\x10\
\0\0\0\x02\0\0\0\x10\0\0\0\x14\0\0\0\x04\0\0\0\x11\0\0\0\x18\0\0\0\x08\0\0\0\
\x12\0\0\0\x20\0\0\0\x02\0\0\0\x13\0\0\0\x24\0\0\0\x04\0\0\0\x14\0\0\0\x28\0\0\
\0\x08\0\0\0\x0c\x02\0\0\x01\0\0\x0f\x04\0\0\0\x18\0\0\0\0\0\0\0\x04\0\0\0\0\
\x63\x74\x78\0\x69\x6e\x74\0\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x5f\x5f\x75\
\x31\x36\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\0\x69\x6e\
\x31\x36\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\
\x74\0\x69\x6e\x33\x32\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x69\x6e\x36\x34\0\x6f\x75\x74\x31\
\x36\0\x6f\x75\x74\x33\x32\0\x6f\x75\x74\x36\x34\0\x63\x6f\x6e\x73\x74\x31\x36\
\0\x63\x6f\x6e\x73\x74\x33\x32\0\x63\x6f\x6e\x73\x74\x36\x34\0\x63\x68\x61\x72\
\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\
\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\
\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\
\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\
\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\
\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\
\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\
\x74\x5f\x65\x6e\x64\x69\x61\x6e\x2e\x63\0\x09\x63\x6f\x6e\x73\x74\x31\x36\x20\
\x3d\x20\x5f\x5f\x5f\x62\x70\x66\x5f\x73\x77\x61\x62\x31\x36\x28\x49\x4e\x31\
\x36\x29\x3b\0\x09\x63\x6f\x6e\x73\x74\x33\x32\x20\x3d\x20\x5f\x5f\x5f\x62\x70\
\x66\x5f\x73\x77\x61\x62\x33\x32\x28\x49\x4e\x33\x32\x29\x3b\0\x09\x63\x6f\x6e\
\x73\x74\x36\x34\x20\x3d\x20\x5f\x5f\x5f\x62\x70\x66\x5f\x73\x77\x61\x62\x36\
\x34\x28\x49\x4e\x36\x34\x29\x3b\0\x09\x6f\x75\x74\x36\x34\x20\x3d\x20\x5f\x5f\
\x62\x75\x69\x6c\x74\x69\x6e\x5f\x62\x73\x77\x61\x70\x36\x34\x28\x69\x6e\x36\
\x34\x29\x3b\0\x09\x6f\x75\x74\x31\x36\x20\x3d\x20\x5f\x5f\x62\x75\x69\x6c\x74\
\x69\x6e\x5f\x62\x73\x77\x61\x70\x31\x36\x28\x69\x6e\x31\x36\x29\x3b\0\x09\x6f\
\x75\x74\x33\x32\x20\x3d\x20\x5f\x5f\x62\x75\x69\x6c\x74\x69\x6e\x5f\x62\x73\
\x77\x61\x70\x33\x32\x28\x69\x6e\x33\x32\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\
\x20\x30\x3b\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x72\x61\x77\x5f\
\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\
\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\xdc\0\0\0\xf0\0\0\0\0\0\0\0\x08\0\0\0\
\x14\x02\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\x10\0\0\0\x14\x02\0\0\x0d\0\0\0\0\0\0\
\0\xaf\0\0\0\x36\x01\0\0\x0a\x78\0\0\x20\0\0\0\xaf\0\0\0\x56\x01\0\0\x0a\x7c\0\
\0\x40\0\0\0\xaf\0\0\0\x76\x01\0\0\x0a\x80\0\0\x68\0\0\0\xaf\0\0\0\x96\x01\0\0\
\x1c\x74\0\0\x80\0\0\0\xaf\0\0\0\x96\x01\0\0\x0a\x74\0\0\x88\0\0\0\xaf\0\0\0\
\x96\x01\0\0\x08\x74\0\0\xa0\0\0\0\xaf\0\0\0\xb8\x01\0\0\x1c\x6c\0\0\xb0\0\0\0\
\xaf\0\0\0\xb8\x01\0\0\x0a\x6c\0\0\xc0\0\0\0\xaf\0\0\0\xb8\x01\0\0\x08\x6c\0\0\
\xd8\0\0\0\xaf\0\0\0\xda\x01\0\0\x1c\x70\0\0\xe8\0\0\0\xaf\0\0\0\xda\x01\0\0\
\x0a\x70\0\0\xf8\0\0\0\xaf\0\0\0\xda\x01\0\0\x08\x70\0\0\x10\x01\0\0\xaf\0\0\0\
\xfc\x01\0\0\x02\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xac\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\x50\x01\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x40\x02\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x60\x03\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\
\x03\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x89\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x03\0\0\0\0\0\
\0\x90\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x9e\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x03\0\0\0\0\0\0\x41\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa3\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x08\0\0\0\0\0\0\x10\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_endian *test_endian::open(const struct bpf_object_open_opts *opts) { return test_endian__open_opts(opts); }
struct test_endian *test_endian::open_and_load() { return test_endian__open_and_load(); }
int test_endian::load(struct test_endian *skel) { return test_endian__load(skel); }
int test_endian::attach(struct test_endian *skel) { return test_endian__attach(skel); }
void test_endian::detach(struct test_endian *skel) { test_endian__detach(skel); }
void test_endian::destroy(struct test_endian *skel) { test_endian__destroy(skel); }
const void *test_endian::elf_bytes(size_t *sz) { return test_endian__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_endian__assert(struct test_endian *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->in16) == 2, "unexpected size of 'in16'");
	_Static_assert(sizeof(s->bss->in32) == 4, "unexpected size of 'in32'");
	_Static_assert(sizeof(s->bss->in64) == 8, "unexpected size of 'in64'");
	_Static_assert(sizeof(s->bss->out16) == 2, "unexpected size of 'out16'");
	_Static_assert(sizeof(s->bss->out32) == 4, "unexpected size of 'out32'");
	_Static_assert(sizeof(s->bss->out64) == 8, "unexpected size of 'out64'");
	_Static_assert(sizeof(s->bss->const16) == 2, "unexpected size of 'const16'");
	_Static_assert(sizeof(s->bss->const32) == 4, "unexpected size of 'const32'");
	_Static_assert(sizeof(s->bss->const64) == 8, "unexpected size of 'const64'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_ENDIAN_SKEL_H__ */
