/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_PROG_ARRAY_INIT_SKEL_H__
#define __TEST_PROG_ARRAY_INIT_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_prog_array_init {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *prog_array_init;
		struct bpf_map *rodata;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *tailcall_1;
		struct bpf_program *entry;
	} progs;
	struct {
		struct bpf_link *tailcall_1;
		struct bpf_link *entry;
	} links;
	struct test_prog_array_init__rodata {
		pid_t my_pid;
	} *rodata;
	struct test_prog_array_init__bss {
		int value;
	} *bss;

#ifdef __cplusplus
	static inline struct test_prog_array_init *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_prog_array_init *open_and_load();
	static inline int load(struct test_prog_array_init *skel);
	static inline int attach(struct test_prog_array_init *skel);
	static inline void detach(struct test_prog_array_init *skel);
	static inline void destroy(struct test_prog_array_init *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_prog_array_init__destroy(struct test_prog_array_init *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_prog_array_init__create_skeleton(struct test_prog_array_init *obj);

static inline struct test_prog_array_init *
test_prog_array_init__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_prog_array_init *obj;
	int err;

	obj = (struct test_prog_array_init *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_prog_array_init__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_prog_array_init__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_prog_array_init *
test_prog_array_init__open(void)
{
	return test_prog_array_init__open_opts(NULL);
}

static inline int
test_prog_array_init__load(struct test_prog_array_init *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_prog_array_init *
test_prog_array_init__open_and_load(void)
{
	struct test_prog_array_init *obj;
	int err;

	obj = test_prog_array_init__open();
	if (!obj)
		return NULL;
	err = test_prog_array_init__load(obj);
	if (err) {
		test_prog_array_init__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_prog_array_init__attach(struct test_prog_array_init *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_prog_array_init__detach(struct test_prog_array_init *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_prog_array_init__elf_bytes(size_t *sz);

static inline int
test_prog_array_init__create_skeleton(struct test_prog_array_init *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_prog_array_init";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "prog_array_init";
	map->map = &obj->maps.prog_array_init;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "test_pro.rodata";
	map->map = &obj->maps.rodata;
	map->mmaped = (void **)&obj->rodata;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "test_pro.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "tailcall_1";
	s->progs[0].prog = &obj->progs.tailcall_1;
	s->progs[0].link = &obj->links.tailcall_1;

	s->progs[1].name = "entry";
	s->progs[1].prog = &obj->progs.entry;
	s->progs[1].link = &obj->links.entry;

	s->data = test_prog_array_init__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_prog_array_init__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x60\x07\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x72\x61\
\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x72\x6f\x64\x61\
\x74\x61\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x74\x65\x73\x74\x5f\x70\x72\
\x6f\x67\x5f\x61\x72\x72\x61\x79\x5f\x69\x6e\x69\x74\x2e\x63\0\x74\x61\x69\x6c\
\x63\x61\x6c\x6c\x5f\x31\0\x76\x61\x6c\x75\x65\0\x65\x6e\x74\x72\x79\0\x6d\x79\
\x5f\x70\x69\x64\0\x70\x72\x6f\x67\x5f\x61\x72\x72\x61\x79\x5f\x69\x6e\x69\x74\
\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\
\x72\0\x2e\x72\x65\x6c\x2e\x6d\x61\x70\x73\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\
\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x35\0\0\0\
\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x4c\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\
\x57\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x5d\0\0\0\x12\0\x03\0\
\x30\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x63\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\x6a\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x18\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x2a\0\0\0\x63\x21\0\0\0\0\0\0\xb4\0\0\
\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x18\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x77\0\0\0\x20\0\0\0\x5e\x01\x05\
\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x03\0\0\
\x01\0\0\0\x85\0\0\0\x0c\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\
\0\x70\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\
\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xe0\x01\0\0\xe0\x01\0\0\xd1\x01\0\0\0\0\0\0\0\
\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\
\0\0\0\0\x02\0\0\0\x04\0\0\0\x03\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\
\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\
\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\x02\x0a\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\0\0\0\0\
\x0b\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x09\0\0\0\x04\0\
\0\0\0\0\0\0\0\0\0\0\x04\0\0\x04\x18\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\
\0\x05\0\0\0\x40\0\0\0\x2a\0\0\0\x07\0\0\0\x80\0\0\0\x33\0\0\0\x0c\0\0\0\xc0\0\
\0\0\x3a\0\0\0\0\0\0\x0e\x0d\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x4a\
\0\0\0\x0b\0\0\0\x4e\0\0\0\x01\0\0\x0c\x0f\0\0\0\x59\0\0\0\x01\0\0\x0c\x0f\0\0\
\0\0\0\0\0\0\0\0\x0a\x13\0\0\0\0\0\0\0\0\0\0\x09\x14\0\0\0\x5f\0\0\0\0\0\0\x08\
\x15\0\0\0\x65\0\0\0\0\0\0\x08\x02\0\0\0\x74\0\0\0\0\0\0\x0e\x12\0\0\0\x01\0\0\
\0\x7b\0\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\xad\x01\0\0\x01\0\0\x0f\x04\0\0\0\
\x16\0\0\0\0\0\0\0\x04\0\0\0\xb5\x01\0\0\x01\0\0\x0f\x04\0\0\0\x17\0\0\0\0\0\0\
\0\x04\0\0\0\xba\x01\0\0\x01\0\0\x0f\x28\0\0\0\x0e\0\0\0\0\0\0\0\x28\0\0\0\0\
\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\
\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\
\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x73\0\x70\x72\x6f\x67\
\x5f\x61\x72\x72\x61\x79\x5f\x69\x6e\x69\x74\0\x63\x74\x78\0\x74\x61\x69\x6c\
\x63\x61\x6c\x6c\x5f\x31\0\x65\x6e\x74\x72\x79\0\x70\x69\x64\x5f\x74\0\x5f\x5f\
\x6b\x65\x72\x6e\x65\x6c\x5f\x70\x69\x64\x5f\x74\0\x6d\x79\x5f\x70\x69\x64\0\
\x76\x61\x6c\x75\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\
\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\
\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\
\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\
\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\
\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\
\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x70\x72\
\x6f\x67\x5f\x61\x72\x72\x61\x79\x5f\x69\x6e\x69\x74\x2e\x63\0\x09\x76\x61\x6c\
\x75\x65\x20\x3d\x20\x34\x32\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\
\x69\x6e\x74\x20\x65\x6e\x74\x72\x79\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\
\x29\0\x09\x70\x69\x64\x5f\x74\x20\x70\x69\x64\x20\x3d\x20\x62\x70\x66\x5f\x67\
\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\
\x28\x29\x20\x3e\x3e\x20\x33\x32\x3b\0\x09\x69\x66\x20\x28\x70\x69\x64\x20\x21\
\x3d\x20\x6d\x79\x5f\x70\x69\x64\x29\0\x09\x62\x70\x66\x5f\x74\x61\x69\x6c\x5f\
\x63\x61\x6c\x6c\x28\x63\x74\x78\x2c\x20\x26\x70\x72\x6f\x67\x5f\x61\x72\x72\
\x61\x79\x5f\x69\x6e\x69\x74\x2c\x20\x31\x29\x3b\0\x7d\0\x2e\x72\x6f\x64\x61\
\x74\x61\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x72\x61\x77\x5f\x74\x70\x2f\
\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\
\0\0\0\x1c\0\0\0\x1c\0\0\0\x9c\0\0\0\xb8\0\0\0\0\0\0\0\x08\0\0\0\xc0\x01\0\0\
\x02\0\0\0\0\0\0\0\x10\0\0\0\x30\0\0\0\x11\0\0\0\x10\0\0\0\xc0\x01\0\0\x09\0\0\
\0\0\0\0\0\x81\0\0\0\x11\x01\0\0\x08\x38\0\0\x20\0\0\0\x81\0\0\0\x1e\x01\0\0\
\x02\x3c\0\0\x30\0\0\0\x81\0\0\0\x29\x01\0\0\0\x78\0\0\x38\0\0\0\x81\0\0\0\x3e\
\x01\0\0\x0e\x80\0\0\x40\0\0\0\x81\0\0\0\x6d\x01\0\0\x0d\x88\0\0\x58\0\0\0\x81\
\0\0\0\x3e\x01\0\0\x29\x80\0\0\x60\0\0\0\x81\0\0\0\x6d\x01\0\0\x06\x88\0\0\x68\
\0\0\0\x81\0\0\0\x81\x01\0\0\x02\x94\0\0\x90\0\0\0\x81\0\0\0\xab\x01\0\0\x01\
\x9c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xa7\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xa8\x01\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x22\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x02\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x2a\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4c\x02\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2f\0\0\0\x01\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x02\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7a\0\0\0\x09\0\0\0\x40\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x02\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x02\0\0\0\x03\
\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x8f\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xa8\x02\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x06\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x99\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xb8\x02\0\0\0\0\0\0\xc9\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x9e\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\
\x06\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_prog_array_init *test_prog_array_init::open(const struct bpf_object_open_opts *opts) { return test_prog_array_init__open_opts(opts); }
struct test_prog_array_init *test_prog_array_init::open_and_load() { return test_prog_array_init__open_and_load(); }
int test_prog_array_init::load(struct test_prog_array_init *skel) { return test_prog_array_init__load(skel); }
int test_prog_array_init::attach(struct test_prog_array_init *skel) { return test_prog_array_init__attach(skel); }
void test_prog_array_init::detach(struct test_prog_array_init *skel) { test_prog_array_init__detach(skel); }
void test_prog_array_init::destroy(struct test_prog_array_init *skel) { test_prog_array_init__destroy(skel); }
const void *test_prog_array_init::elf_bytes(size_t *sz) { return test_prog_array_init__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_prog_array_init__assert(struct test_prog_array_init *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->rodata->my_pid) == 4, "unexpected size of 'my_pid'");
	_Static_assert(sizeof(s->bss->value) == 4, "unexpected size of 'value'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_PROG_ARRAY_INIT_SKEL_H__ */
