/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_SIG_IN_XATTR_SKEL_H__
#define __TEST_SIG_IN_XATTR_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_sig_in_xattr {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
		struct bpf_map *rodata_str1_1;
	} maps;
	struct {
		struct bpf_program *test_file_open;
	} progs;
	struct {
		struct bpf_link *test_file_open;
	} links;
	struct test_sig_in_xattr__bss {
		char digest[44];
		__u32 monitored_pid;
		char sig[1024];
		__u32 sig_size;
		__u32 user_keyring_serial;
	} *bss;

#ifdef __cplusplus
	static inline struct test_sig_in_xattr *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_sig_in_xattr *open_and_load();
	static inline int load(struct test_sig_in_xattr *skel);
	static inline int attach(struct test_sig_in_xattr *skel);
	static inline void detach(struct test_sig_in_xattr *skel);
	static inline void destroy(struct test_sig_in_xattr *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_sig_in_xattr__destroy(struct test_sig_in_xattr *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_sig_in_xattr__create_skeleton(struct test_sig_in_xattr *obj);

static inline struct test_sig_in_xattr *
test_sig_in_xattr__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_sig_in_xattr *obj;
	int err;

	obj = (struct test_sig_in_xattr *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_sig_in_xattr__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_sig_in_xattr__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_sig_in_xattr *
test_sig_in_xattr__open(void)
{
	return test_sig_in_xattr__open_opts(NULL);
}

static inline int
test_sig_in_xattr__load(struct test_sig_in_xattr *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_sig_in_xattr *
test_sig_in_xattr__open_and_load(void)
{
	struct test_sig_in_xattr *obj;
	int err;

	obj = test_sig_in_xattr__open();
	if (!obj)
		return NULL;
	err = test_sig_in_xattr__load(obj);
	if (err) {
		test_sig_in_xattr__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_sig_in_xattr__attach(struct test_sig_in_xattr *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_sig_in_xattr__detach(struct test_sig_in_xattr *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_sig_in_xattr__elf_bytes(size_t *sz);

static inline int
test_sig_in_xattr__create_skeleton(struct test_sig_in_xattr *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_sig_in_xattr";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "test_sig.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = ".rodata.str1.1";
	map->map = &obj->maps.rodata_str1_1;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_file_open";
	s->progs[0].prog = &obj->progs.test_file_open;
	s->progs[0].link = &obj->links.test_file_open;

	s->data = test_sig_in_xattr__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_sig_in_xattr__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x28\x18\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x6c\x73\
\x6d\x2e\x73\x2f\x66\x69\x6c\x65\x5f\x6f\x70\x65\x6e\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x62\x73\x73\0\x2e\x72\x6f\x64\x61\x74\x61\x2e\x73\x74\x72\x31\x2e\
\x31\0\x74\x65\x73\x74\x5f\x73\x69\x67\x5f\x69\x6e\x5f\x78\x61\x74\x74\x72\x2e\
\x63\0\x74\x65\x73\x74\x5f\x66\x69\x6c\x65\x5f\x6f\x70\x65\x6e\0\x6d\x6f\x6e\
\x69\x74\x6f\x72\x65\x64\x5f\x70\x69\x64\0\x64\x69\x67\x65\x73\x74\0\x62\x70\
\x66\x5f\x67\x65\x74\x5f\x66\x73\x76\x65\x72\x69\x74\x79\x5f\x64\x69\x67\x65\
\x73\x74\0\x73\x69\x67\0\x62\x70\x66\x5f\x67\x65\x74\x5f\x66\x69\x6c\x65\x5f\
\x78\x61\x74\x74\x72\0\x75\x73\x65\x72\x5f\x6b\x65\x79\x72\x69\x6e\x67\x5f\x73\
\x65\x72\x69\x61\x6c\0\x62\x70\x66\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x75\x73\x65\
\x72\x5f\x6b\x65\x79\0\x62\x70\x66\x5f\x76\x65\x72\x69\x66\x79\x5f\x70\x6b\x63\
\x73\x37\x5f\x73\x69\x67\x6e\x61\x74\x75\x72\x65\0\x62\x70\x66\x5f\x6b\x65\x79\
\x5f\x70\x75\x74\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x73\x69\x67\x5f\x73\x69\
\x7a\x65\0\x2e\x72\x65\x6c\x6c\x73\x6d\x2e\x73\x2f\x66\x69\x6c\x65\x5f\x6f\x70\
\x65\x6e\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3d\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x51\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\
\x10\x02\0\0\0\0\0\0\x60\0\0\0\x11\0\x05\0\x2c\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\x6e\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x2c\0\0\0\0\0\0\0\x75\0\0\0\x20\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8d\0\0\0\x11\0\x05\0\x30\0\0\0\0\0\0\0\0\x04\0\
\0\0\0\0\0\x91\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa4\0\0\0\x11\0\
\x05\0\x34\x04\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb8\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xcc\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe7\0\0\
\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf3\0\0\0\x11\0\x04\0\0\0\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\xfc\0\0\0\x11\0\x05\0\x30\x04\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\xb4\x07\0\0\0\0\0\0\x79\x16\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x77\0\0\0\x20\0\0\0\x5e\x01\x38\0\0\
\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x01\0\0\x08\0\0\0\xbf\xa8\0\0\0\
\0\0\0\x07\x08\0\0\xf0\xff\xff\xff\xb4\x02\0\0\x24\0\0\0\xb7\x03\0\0\0\0\0\0\
\xbf\x84\0\0\0\0\0\0\x85\0\0\0\xc5\0\0\0\xbf\x61\0\0\0\0\0\0\xbf\x82\0\0\0\0\0\
\0\x85\x10\0\0\xff\xff\xff\xff\xc6\0\x2b\0\0\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\
\0\0\xf0\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x2c\0\0\0\
\xb7\x03\0\0\0\0\0\0\x85\0\0\0\xc5\0\0\0\xbf\xa7\0\0\0\0\0\0\x07\x07\0\0\xe0\
\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\0\x04\0\0\xb7\x03\
\0\0\0\0\0\0\xbf\x74\0\0\0\0\0\0\x85\0\0\0\xc5\0\0\0\xbf\x61\0\0\0\0\0\0\x18\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x73\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\
\xff\xb4\x07\0\0\xff\xff\xff\xff\xc6\0\x15\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x61\x11\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\
\xb4\x07\0\0\xfe\xff\xff\xff\x15\0\x0e\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\
\0\xf0\xff\xff\xff\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xe0\xff\xff\xff\xbf\x03\0\0\
\0\0\0\0\xbf\x06\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbc\x07\0\0\0\0\0\0\
\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbc\x77\0\0\0\0\0\0\xc5\x07\
\x01\0\x01\xf0\xff\xff\xd5\x07\x01\0\0\0\0\0\xb7\x07\0\0\xf2\xff\xff\xff\xbc\
\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\x75\x73\x65\x72\x2e\x73\x69\
\x67\0\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\
\x06\0\0\0\x98\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\xb8\0\0\0\0\0\0\0\x01\0\0\0\
\x06\0\0\0\xf0\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x28\x01\0\0\0\0\0\0\x01\0\0\0\
\x03\0\0\0\x40\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x58\x01\0\0\0\0\0\0\x01\0\0\
\0\x0a\0\0\0\x78\x01\0\0\0\0\0\0\x0a\0\0\0\x0b\0\0\0\xc0\x01\0\0\0\0\0\0\x0a\0\
\0\0\x0c\0\0\0\xd8\x01\0\0\0\0\0\0\x0a\0\0\0\x0d\0\0\0\x9f\xeb\x01\0\x18\0\0\0\
\0\0\0\0\x60\x09\0\0\x60\x09\0\0\x73\x07\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\
\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x14\0\0\0\x01\
\0\0\0\x18\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x1c\0\0\0\x01\0\0\x0c\x03\0\0\
\0\0\0\0\0\x02\0\0\x0d\x04\0\0\0\0\0\0\0\x07\0\0\0\0\0\0\0\x47\0\0\0\0\0\0\0\0\
\0\0\x02\x08\0\0\0\x2b\0\0\0\x13\0\0\x04\xb8\0\0\0\x30\0\0\0\x09\0\0\0\0\0\0\0\
\x38\0\0\0\x0f\0\0\0\x40\0\0\0\x3f\0\0\0\x22\0\0\0\x60\0\0\0\x46\0\0\0\x23\0\0\
\0\x80\0\0\0\x4b\0\0\0\x25\0\0\0\xc0\0\0\0\x55\0\0\0\x26\0\0\0\0\x01\0\0\x62\0\
\0\0\x27\0\0\0\x40\x01\0\0\x6a\0\0\0\x18\0\0\0\x80\x01\0\0\x72\0\0\0\x18\0\0\0\
\xa0\x01\0\0\x7f\0\0\0\x28\0\0\0\xc0\x01\0\0\x86\0\0\0\x2a\0\0\0\0\x02\0\0\0\0\
\0\0\x2d\0\0\0\x80\x02\0\0\x8d\0\0\0\x37\0\0\0\x80\x03\0\0\x93\0\0\0\x26\0\0\0\
\xc0\x03\0\0\x9e\0\0\0\x39\0\0\0\0\x04\0\0\xa6\0\0\0\x3a\0\0\0\x40\x04\0\0\xaf\
\0\0\0\x3a\0\0\0\x60\x04\0\0\xb8\0\0\0\x3b\0\0\0\x80\x04\0\0\0\0\0\0\x3c\0\0\0\
\xc0\x04\0\0\xbd\0\0\0\0\0\0\x08\x0a\0\0\0\xcb\0\0\0\0\0\0\x08\x0b\0\0\0\0\0\0\
\0\x01\0\0\x04\x08\0\0\0\xd6\0\0\0\x0c\0\0\0\0\0\0\0\xde\0\0\0\0\0\0\x08\x0d\0\
\0\0\xe2\0\0\0\0\0\0\x08\x0e\0\0\0\xe8\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\
\xf2\0\0\0\0\0\0\x08\x10\0\0\0\xfd\0\0\0\x01\0\0\x04\x04\0\0\0\0\0\0\0\x11\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\x05\x04\0\0\0\x06\x01\0\0\x12\0\0\0\0\0\0\0\x0c\x01\
\0\0\x01\0\0\x04\x04\0\0\0\x19\x01\0\0\x13\0\0\0\0\0\0\0\x22\x01\0\0\0\0\0\x08\
\x14\0\0\0\x32\x01\0\0\x01\0\0\x04\x04\0\0\0\0\0\0\0\x15\0\0\0\0\0\0\0\0\0\0\0\
\x02\0\0\x05\x04\0\0\0\x3c\x01\0\0\x16\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\0\0\0\0\
\x40\x01\0\0\0\0\0\x08\x17\0\0\0\x44\x01\0\0\0\0\0\x08\x18\0\0\0\x4a\x01\0\0\0\
\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\x04\x04\0\0\0\x57\x01\0\0\x1a\0\0\
\0\0\0\0\0\x5e\x01\0\0\x20\0\0\0\x10\0\0\0\x67\x01\0\0\0\0\0\x08\x1b\0\0\0\x6b\
\x01\0\0\0\0\0\x08\x1c\0\0\0\x71\x01\0\0\0\0\0\x01\x02\0\0\0\x10\0\0\0\x80\x01\
\0\0\0\0\0\x08\x1e\0\0\0\x83\x01\0\0\0\0\0\x08\x1f\0\0\0\x88\x01\0\0\0\0\0\x01\
\x01\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x1d\0\0\0\x21\0\0\0\x02\0\0\0\
\x96\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\xaa\x01\0\0\0\0\0\x08\x18\0\0\0\0\0\
\0\0\0\0\0\x02\x24\0\0\0\0\0\0\0\0\0\0\x0a\x6c\0\0\0\0\0\0\0\0\0\0\x02\x67\0\0\
\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x02\x66\0\0\0\0\0\0\0\0\0\0\x02\x29\
\0\0\0\0\0\0\0\0\0\0\x0a\x6b\0\0\0\xb2\x01\0\0\x02\0\0\x04\x10\0\0\0\xb7\x01\0\
\0\x2b\0\0\0\0\0\0\0\xbb\x01\0\0\x2c\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x6a\0\0\
\0\0\0\0\0\0\0\0\x02\x65\0\0\0\0\0\0\0\x02\0\0\x05\x20\0\0\0\xc2\x01\0\0\x2e\0\
\0\0\0\0\0\0\xcd\x01\0\0\x35\0\0\0\0\0\0\0\xd4\x01\0\0\x04\0\0\x04\x20\0\0\0\
\xda\x01\0\0\x09\0\0\0\0\0\0\0\xe0\x01\0\0\x2f\0\0\0\x40\0\0\0\xea\x01\0\0\x30\
\0\0\0\x60\0\0\0\xee\x01\0\0\x33\0\0\0\x80\0\0\0\xf8\x01\0\0\0\0\0\x08\x12\0\0\
\0\x07\x02\0\0\x01\0\0\x04\x04\0\0\0\x1d\x02\0\0\x31\0\0\0\0\0\0\0\x22\x02\0\0\
\0\0\0\x08\x32\0\0\0\0\0\0\0\x01\0\0\x04\x04\0\0\0\xd6\0\0\0\x04\0\0\0\0\0\0\0\
\x2b\x02\0\0\x02\0\0\x04\x10\0\0\0\x35\x02\0\0\x34\0\0\0\0\0\0\0\x3a\x02\0\0\
\x34\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x33\0\0\0\x3f\x02\0\0\0\0\0\x08\x36\0\0\
\0\x43\x02\0\0\0\0\0\x08\x02\0\0\0\x49\x02\0\0\0\0\0\x08\x38\0\0\0\x50\x02\0\0\
\0\0\0\x08\x0e\0\0\0\0\0\0\0\0\0\0\x02\x6d\0\0\0\x60\x02\0\0\0\0\0\x08\x16\0\0\
\0\0\0\0\0\0\0\0\x02\x68\0\0\0\0\0\0\0\x04\0\0\x05\x20\0\0\0\x69\x02\0\0\x3d\0\
\0\0\0\0\0\0\x75\x02\0\0\x41\0\0\0\0\0\0\0\x7d\x02\0\0\x43\0\0\0\0\0\0\0\x82\
\x02\0\0\x45\0\0\0\0\0\0\0\x8c\x02\0\0\x02\0\0\x04\x10\0\0\0\x35\x02\0\0\x3e\0\
\0\0\0\0\0\0\x9a\x02\0\0\x3f\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x3d\0\0\0\0\0\0\
\0\0\0\0\x02\x40\0\0\0\0\0\0\0\x01\0\0\x0d\0\0\0\0\0\0\0\0\x3e\0\0\0\x9f\x02\0\
\0\x01\0\0\x04\x08\0\0\0\x35\x02\0\0\x42\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x41\0\
\0\0\xaa\x02\0\0\x06\0\0\x04\x20\0\0\0\xb8\x02\0\0\x44\0\0\0\0\0\0\0\xbe\x02\0\
\0\x18\0\0\0\x40\0\0\0\xc3\x02\0\0\x18\0\0\0\x60\0\0\0\xce\x02\0\0\x18\0\0\0\
\x80\0\0\0\xd7\x02\0\0\x18\0\0\0\xa0\0\0\0\xe1\x02\0\0\x37\0\0\0\xc0\0\0\0\xea\
\x02\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\xf8\x02\0\0\0\0\0\x08\x46\0\0\0\0\0\0\0\
\x01\0\0\x04\x08\0\0\0\x02\x03\0\0\x44\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x48\0\0\
\0\x04\x03\0\0\x01\0\0\x04\x10\0\0\0\x0f\x03\0\0\x49\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\0\0\0\x36\0\0\0\x21\0\0\0\x02\0\0\0\x18\x03\0\0\x02\0\0\x0c\x06\0\0\0\
\0\0\0\0\x03\0\0\x0d\x04\0\0\0\0\0\0\0\x07\0\0\0\0\0\0\0\x4c\0\0\0\0\0\0\0\x47\
\0\0\0\0\0\0\0\0\0\0\x02\x4d\0\0\0\0\0\0\0\0\0\0\x0a\x4e\0\0\0\x30\x03\0\0\0\0\
\0\x01\x01\0\0\0\x08\0\0\x01\x35\x03\0\0\x02\0\0\x0c\x4b\0\0\0\0\0\0\0\x02\0\0\
\x0d\x51\0\0\0\0\0\0\0\x16\0\0\0\0\0\0\0\x35\0\0\0\0\0\0\0\0\0\0\x02\x52\0\0\0\
\x48\x03\0\0\x02\0\0\x04\x10\0\0\0\x50\x03\0\0\x53\0\0\0\0\0\0\0\x54\x03\0\0\
\x54\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x69\0\0\0\x5c\x03\0\0\0\0\0\x08\x55\0\0\
\0\x61\x03\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\x67\x03\0\0\x02\0\0\x0c\x50\0\0\
\0\0\0\0\0\x03\0\0\x0d\x04\0\0\0\0\0\0\0\x47\0\0\0\0\0\0\0\x47\0\0\0\0\0\0\0\
\x51\0\0\0\x7b\x03\0\0\x02\0\0\x0c\x57\0\0\0\0\0\0\0\x01\0\0\x0d\0\0\0\0\0\0\0\
\0\x51\0\0\0\x96\x03\0\0\x02\0\0\x0c\x59\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x4e\0\
\0\0\x21\0\0\0\x04\0\0\0\xa2\x03\0\0\0\0\0\x0e\x5b\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\x03\0\0\0\0\x4e\0\0\0\x21\0\0\0\x2c\0\0\0\xab\x03\0\0\0\0\0\x0e\x5d\0\0\0\
\x01\0\0\0\xb2\x03\0\0\0\0\0\x0e\x17\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x4e\0\0\0\x21\0\0\0\0\x04\0\0\xc0\x03\0\0\0\0\0\x0e\x60\0\0\0\x01\0\0\0\xc4\
\x03\0\0\0\0\0\x0e\x17\0\0\0\x01\0\0\0\xcd\x03\0\0\0\0\0\x0e\x17\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\x03\0\0\0\0\x4e\0\0\0\x21\0\0\0\x09\0\0\0\xbb\x01\0\0\0\0\0\
\x07\0\0\0\0\xe1\x03\0\0\0\0\0\x07\0\0\0\0\xe7\x03\0\0\0\0\0\x07\0\0\0\0\xf5\
\x03\0\0\0\0\0\x07\0\0\0\0\x50\x03\0\0\0\0\0\x07\0\0\0\0\0\x04\0\0\0\0\0\x07\0\
\0\0\0\x09\x04\0\0\0\0\0\x07\0\0\0\0\x0e\x04\0\0\0\0\0\x07\0\0\0\0\x1e\x04\0\0\
\0\0\0\x07\0\0\0\0\x4f\x07\0\0\x01\0\0\x0f\x04\0\0\0\x5c\0\0\0\0\0\0\0\x04\0\0\
\0\x57\x07\0\0\x05\0\0\x0f\x38\x04\0\0\x5e\0\0\0\0\0\0\0\x2c\0\0\0\x5f\0\0\0\
\x2c\0\0\0\x04\0\0\0\x61\0\0\0\x30\0\0\0\0\x04\0\0\x62\0\0\0\x30\x04\0\0\x04\0\
\0\0\x63\0\0\0\x34\x04\0\0\x04\0\0\0\x5c\x07\0\0\x05\0\0\x0f\0\0\0\0\x4a\0\0\0\
\0\0\0\0\0\0\0\0\x4f\0\0\0\0\0\0\0\0\0\0\0\x56\0\0\0\0\0\0\0\0\0\0\0\x58\0\0\0\
\0\0\0\0\0\0\0\0\x5a\0\0\0\0\0\0\0\0\0\0\0\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x74\x65\
\x73\x74\x5f\x66\x69\x6c\x65\x5f\x6f\x70\x65\x6e\0\x66\x69\x6c\x65\0\x66\x5f\
\x63\x6f\x75\x6e\x74\0\x66\x5f\x6c\x6f\x63\x6b\0\x66\x5f\x6d\x6f\x64\x65\0\x66\
\x5f\x6f\x70\0\x66\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\x69\x76\x61\x74\
\x65\x5f\x64\x61\x74\x61\0\x66\x5f\x69\x6e\x6f\x64\x65\0\x66\x5f\x66\x6c\x61\
\x67\x73\0\x66\x5f\x69\x6f\x63\x62\x5f\x66\x6c\x61\x67\x73\0\x66\x5f\x63\x72\
\x65\x64\0\x66\x5f\x70\x61\x74\x68\0\x66\x5f\x70\x6f\x73\0\x66\x5f\x73\x65\x63\
\x75\x72\x69\x74\x79\0\x66\x5f\x6f\x77\x6e\x65\x72\0\x66\x5f\x77\x62\x5f\x65\
\x72\x72\0\x66\x5f\x73\x62\x5f\x65\x72\x72\0\x66\x5f\x65\x70\0\x61\x74\x6f\x6d\
\x69\x63\x5f\x6c\x6f\x6e\x67\x5f\x74\0\x61\x74\x6f\x6d\x69\x63\x36\x34\x5f\x74\
\0\x63\x6f\x75\x6e\x74\x65\x72\0\x73\x36\x34\0\x5f\x5f\x73\x36\x34\0\x6c\x6f\
\x6e\x67\x20\x6c\x6f\x6e\x67\0\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x73\
\x70\x69\x6e\x6c\x6f\x63\x6b\0\x72\x6c\x6f\x63\x6b\0\x72\x61\x77\x5f\x73\x70\
\x69\x6e\x6c\x6f\x63\x6b\0\x72\x61\x77\x5f\x6c\x6f\x63\x6b\0\x61\x72\x63\x68\
\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x71\x73\x70\x69\x6e\x6c\x6f\x63\
\x6b\0\x76\x61\x6c\0\x75\x33\x32\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x69\x6e\x74\0\x6c\x6f\x63\x6b\x65\x64\0\x72\x65\x73\x65\x72\
\x76\x65\x64\0\x75\x31\x36\0\x5f\x5f\x75\x31\x36\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x73\x68\x6f\x72\x74\0\x75\x38\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\
\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x66\x6d\x6f\x64\x65\x5f\x74\0\x70\x61\x74\
\x68\0\x6d\x6e\x74\0\x64\x65\x6e\x74\x72\x79\0\x66\x5f\x70\x6f\x73\x5f\x6c\x6f\
\x63\x6b\0\x66\x5f\x70\x69\x70\x65\0\x6d\x75\x74\x65\x78\0\x6f\x77\x6e\x65\x72\
\0\x77\x61\x69\x74\x5f\x6c\x6f\x63\x6b\0\x6f\x73\x71\0\x77\x61\x69\x74\x5f\x6c\
\x69\x73\x74\0\x72\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x6f\
\x70\x74\x69\x6d\x69\x73\x74\x69\x63\x5f\x73\x70\x69\x6e\x5f\x71\x75\x65\x75\
\x65\0\x74\x61\x69\x6c\0\x61\x74\x6f\x6d\x69\x63\x5f\x74\0\x6c\x69\x73\x74\x5f\
\x68\x65\x61\x64\0\x6e\x65\x78\x74\0\x70\x72\x65\x76\0\x75\x36\x34\0\x5f\x5f\
\x75\x36\x34\0\x6c\x6f\x66\x66\x5f\x74\0\x5f\x5f\x6b\x65\x72\x6e\x65\x6c\x5f\
\x6c\x6f\x66\x66\x5f\x74\0\x65\x72\x72\x73\x65\x71\x5f\x74\0\x66\x5f\x74\x61\
\x73\x6b\x5f\x77\x6f\x72\x6b\0\x66\x5f\x6c\x6c\x69\x73\x74\0\x66\x5f\x72\x61\0\
\x66\x5f\x66\x72\x65\x65\x70\x74\x72\0\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x68\
\x65\x61\x64\0\x66\x75\x6e\x63\0\x6c\x6c\x69\x73\x74\x5f\x6e\x6f\x64\x65\0\x66\
\x69\x6c\x65\x5f\x72\x61\x5f\x73\x74\x61\x74\x65\0\x73\x74\x61\x72\x74\0\x73\
\x69\x7a\x65\0\x61\x73\x79\x6e\x63\x5f\x73\x69\x7a\x65\0\x72\x61\x5f\x70\x61\
\x67\x65\x73\0\x6d\x6d\x61\x70\x5f\x6d\x69\x73\x73\0\x70\x72\x65\x76\x5f\x70\
\x6f\x73\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x66\x72\x65\
\x65\x70\x74\x72\x5f\x74\0\x76\0\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\0\x5f\
\x5f\x6f\x70\x61\x71\x75\x65\0\x62\x70\x66\x5f\x67\x65\x74\x5f\x66\x73\x76\x65\
\x72\x69\x74\x79\x5f\x64\x69\x67\x65\x73\x74\0\x63\x68\x61\x72\0\x62\x70\x66\
\x5f\x67\x65\x74\x5f\x66\x69\x6c\x65\x5f\x78\x61\x74\x74\x72\0\x62\x70\x66\x5f\
\x6b\x65\x79\0\x6b\x65\x79\0\x68\x61\x73\x5f\x72\x65\x66\0\x62\x6f\x6f\x6c\0\
\x5f\x42\x6f\x6f\x6c\0\x62\x70\x66\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x75\x73\x65\
\x72\x5f\x6b\x65\x79\0\x62\x70\x66\x5f\x76\x65\x72\x69\x66\x79\x5f\x70\x6b\x63\
\x73\x37\x5f\x73\x69\x67\x6e\x61\x74\x75\x72\x65\0\x62\x70\x66\x5f\x6b\x65\x79\
\x5f\x70\x75\x74\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x64\x69\x67\x65\x73\x74\0\
\x6d\x6f\x6e\x69\x74\x6f\x72\x65\x64\x5f\x70\x69\x64\0\x73\x69\x67\0\x73\x69\
\x67\x5f\x73\x69\x7a\x65\0\x75\x73\x65\x72\x5f\x6b\x65\x79\x72\x69\x6e\x67\x5f\
\x73\x65\x72\x69\x61\x6c\0\x69\x6e\x6f\x64\x65\0\x61\x64\x64\x72\x65\x73\x73\
\x5f\x73\x70\x61\x63\x65\0\x68\x6c\x69\x73\x74\x5f\x68\x65\x61\x64\0\x76\x66\
\x73\x6d\x6f\x75\x6e\x74\0\x63\x72\x65\x64\0\x66\x69\x6c\x65\x5f\x6f\x70\x65\
\x72\x61\x74\x69\x6f\x6e\x73\0\x66\x6f\x77\x6e\x5f\x73\x74\x72\x75\x63\x74\0\
\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\
\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\
\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\
\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\
\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\
\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x73\x69\x67\x5f\x69\x6e\x5f\
\x78\x61\x74\x74\x72\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\
\x28\x74\x65\x73\x74\x5f\x66\x69\x6c\x65\x5f\x6f\x70\x65\x6e\x2c\x20\x73\x74\
\x72\x75\x63\x74\x20\x66\x69\x6c\x65\x20\x2a\x66\x29\0\x09\x70\x69\x64\x20\x3d\
\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\
\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x3b\0\x09\x69\x66\x20\
\x28\x70\x69\x64\x20\x21\x3d\x20\x6d\x6f\x6e\x69\x74\x6f\x72\x65\x64\x5f\x70\
\x69\x64\x29\0\x09\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x5f\x66\x72\x6f\x6d\
\x5f\x6d\x65\x6d\x28\x64\x69\x67\x65\x73\x74\x20\x2b\x20\x4d\x41\x47\x49\x43\
\x5f\x53\x49\x5a\x45\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x64\x69\x67\x65\x73\
\x74\x29\x20\x2d\x20\x4d\x41\x47\x49\x43\x5f\x53\x49\x5a\x45\x2c\x20\x30\x2c\
\x20\x26\x64\x69\x67\x65\x73\x74\x5f\x70\x74\x72\x29\x3b\0\x09\x72\x65\x74\x20\
\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x66\x73\x76\x65\x72\x69\x74\x79\x5f\
\x64\x69\x67\x65\x73\x74\x28\x66\x2c\x20\x26\x64\x69\x67\x65\x73\x74\x5f\x70\
\x74\x72\x29\x3b\0\x09\x69\x66\x20\x28\x72\x65\x74\x20\x3c\x20\x30\x29\0\x09\
\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x5f\x66\x72\x6f\x6d\x5f\x6d\x65\x6d\
\x28\x64\x69\x67\x65\x73\x74\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x64\x69\x67\
\x65\x73\x74\x29\x2c\x20\x30\x2c\x20\x26\x64\x69\x67\x65\x73\x74\x5f\x70\x74\
\x72\x29\x3b\0\x09\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x5f\x66\x72\x6f\x6d\
\x5f\x6d\x65\x6d\x28\x73\x69\x67\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x69\
\x67\x29\x2c\x20\x30\x2c\x20\x26\x73\x69\x67\x5f\x70\x74\x72\x29\x3b\0\x09\x72\
\x65\x74\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x66\x69\x6c\x65\x5f\x78\
\x61\x74\x74\x72\x28\x66\x2c\x20\x22\x75\x73\x65\x72\x2e\x73\x69\x67\x22\x2c\
\x20\x26\x73\x69\x67\x5f\x70\x74\x72\x29\x3b\0\x09\x74\x72\x75\x73\x74\x65\x64\
\x5f\x6b\x65\x79\x72\x69\x6e\x67\x20\x3d\x20\x62\x70\x66\x5f\x6c\x6f\x6f\x6b\
\x75\x70\x5f\x75\x73\x65\x72\x5f\x6b\x65\x79\x28\x75\x73\x65\x72\x5f\x6b\x65\
\x79\x72\x69\x6e\x67\x5f\x73\x65\x72\x69\x61\x6c\x2c\x20\x30\x29\x3b\0\x09\x69\
\x66\x20\x28\x21\x74\x72\x75\x73\x74\x65\x64\x5f\x6b\x65\x79\x72\x69\x6e\x67\
\x29\0\x09\x72\x65\x74\x20\x3d\x20\x62\x70\x66\x5f\x76\x65\x72\x69\x66\x79\x5f\
\x70\x6b\x63\x73\x37\x5f\x73\x69\x67\x6e\x61\x74\x75\x72\x65\x28\x26\x64\x69\
\x67\x65\x73\x74\x5f\x70\x74\x72\x2c\x20\x26\x73\x69\x67\x5f\x70\x74\x72\x2c\
\x20\x74\x72\x75\x73\x74\x65\x64\x5f\x6b\x65\x79\x72\x69\x6e\x67\x29\x3b\0\x09\
\x62\x70\x66\x5f\x6b\x65\x79\x5f\x70\x75\x74\x28\x74\x72\x75\x73\x74\x65\x64\
\x5f\x6b\x65\x79\x72\x69\x6e\x67\x29\x3b\0\x09\x73\x65\x74\x5f\x69\x66\x5f\x6e\
\x6f\x74\x5f\x65\x72\x72\x6e\x6f\x5f\x6f\x72\x5f\x7a\x65\x72\x6f\x28\x72\x65\
\x74\x2c\x20\x2d\x45\x46\x41\x55\x4c\x54\x29\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\
\0\x2e\x62\x73\x73\0\x2e\x6b\x73\x79\x6d\x73\0\x6c\x73\x6d\x2e\x73\x2f\x66\x69\
\x6c\x65\x5f\x6f\x70\x65\x6e\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\
\0\0\x14\0\0\0\x4c\x01\0\0\x60\x01\0\0\0\0\0\0\x08\0\0\0\x63\x07\0\0\x01\0\0\0\
\0\0\0\0\x05\0\0\0\x10\0\0\0\x63\x07\0\0\x14\0\0\0\0\0\0\0\x2a\x04\0\0\xb7\x04\
\0\0\0\xb8\0\0\x08\0\0\0\x2a\x04\0\0\xb7\x04\0\0\x05\xb8\0\0\x10\0\0\0\x2a\x04\
\0\0\xe4\x04\0\0\x08\xd4\0\0\x18\0\0\0\x2a\x04\0\0\x0d\x05\0\0\x0d\xd8\0\0\x30\
\0\0\0\x2a\x04\0\0\xe4\x04\0\0\x23\xd4\0\0\x38\0\0\0\x2a\x04\0\0\x0d\x05\0\0\
\x06\xd8\0\0\x40\0\0\0\x2a\x04\0\0\x28\x05\0\0\x02\xe8\0\0\x88\0\0\0\x2a\x04\0\
\0\x80\x05\0\0\x08\xf0\0\0\xa0\0\0\0\x2a\x04\0\0\xb0\x05\0\0\x06\xf8\0\0\xb8\0\
\0\0\x2a\x04\0\0\xbe\x05\0\0\x02\x08\x01\0\xf0\0\0\0\x2a\x04\0\0\xfc\x05\0\0\
\x02\x14\x01\0\x20\x01\0\0\x2a\x04\0\0\x31\x06\0\0\x08\x18\x01\0\x50\x01\0\0\
\x2a\x04\0\0\xb0\x05\0\0\x06\x20\x01\0\x58\x01\0\0\x2a\x04\0\0\x65\x06\0\0\x28\
\x2c\x01\0\x70\x01\0\0\x2a\x04\0\0\x65\x06\0\0\x14\x2c\x01\0\x88\x01\0\0\x2a\
\x04\0\0\xa5\x06\0\0\x06\x30\x01\0\xb0\x01\0\0\x2a\x04\0\0\xbc\x06\0\0\x08\x40\
\x01\0\xd0\x01\0\0\x2a\x04\0\0\x07\x07\0\0\x02\x48\x01\0\xe0\x01\0\0\x2a\x04\0\
\0\x26\x07\0\0\x02\x50\x01\0\0\x02\0\0\x2a\x04\0\0\xb7\x04\0\0\x05\xb8\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x27\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x68\x01\0\0\0\0\0\0\x80\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xe8\x02\0\0\0\0\0\0\x10\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x21\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x04\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x29\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xfc\x04\0\0\0\0\0\0\x38\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2e\0\0\0\
\x01\0\0\0\x32\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xfc\x04\0\0\0\0\0\0\x09\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x05\x01\0\0\x09\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x05\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\x02\0\
\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x19\x01\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x05\0\0\0\0\0\0\xeb\x10\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1e\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xa8\x16\0\0\0\0\0\0\x80\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_sig_in_xattr *test_sig_in_xattr::open(const struct bpf_object_open_opts *opts) { return test_sig_in_xattr__open_opts(opts); }
struct test_sig_in_xattr *test_sig_in_xattr::open_and_load() { return test_sig_in_xattr__open_and_load(); }
int test_sig_in_xattr::load(struct test_sig_in_xattr *skel) { return test_sig_in_xattr__load(skel); }
int test_sig_in_xattr::attach(struct test_sig_in_xattr *skel) { return test_sig_in_xattr__attach(skel); }
void test_sig_in_xattr::detach(struct test_sig_in_xattr *skel) { test_sig_in_xattr__detach(skel); }
void test_sig_in_xattr::destroy(struct test_sig_in_xattr *skel) { test_sig_in_xattr__destroy(skel); }
const void *test_sig_in_xattr::elf_bytes(size_t *sz) { return test_sig_in_xattr__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_sig_in_xattr__assert(struct test_sig_in_xattr *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->digest) == 44, "unexpected size of 'digest'");
	_Static_assert(sizeof(s->bss->monitored_pid) == 4, "unexpected size of 'monitored_pid'");
	_Static_assert(sizeof(s->bss->sig) == 1024, "unexpected size of 'sig'");
	_Static_assert(sizeof(s->bss->sig_size) == 4, "unexpected size of 'sig_size'");
	_Static_assert(sizeof(s->bss->user_keyring_serial) == 4, "unexpected size of 'user_keyring_serial'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_SIG_IN_XATTR_SKEL_H__ */
