/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_SOCKMAP_UPDATE_SKEL_H__
#define __TEST_SOCKMAP_UPDATE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_sockmap_update {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *src;
		struct bpf_map *dst_sock_map;
		struct bpf_map *dst_sock_hash;
	} maps;
	struct {
		struct bpf_program *copy_sock_map;
	} progs;
	struct {
		struct bpf_link *copy_sock_map;
	} links;

#ifdef __cplusplus
	static inline struct test_sockmap_update *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_sockmap_update *open_and_load();
	static inline int load(struct test_sockmap_update *skel);
	static inline int attach(struct test_sockmap_update *skel);
	static inline void detach(struct test_sockmap_update *skel);
	static inline void destroy(struct test_sockmap_update *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_sockmap_update__destroy(struct test_sockmap_update *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_sockmap_update__create_skeleton(struct test_sockmap_update *obj);

static inline struct test_sockmap_update *
test_sockmap_update__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_sockmap_update *obj;
	int err;

	obj = (struct test_sockmap_update *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_sockmap_update__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_sockmap_update__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_sockmap_update *
test_sockmap_update__open(void)
{
	return test_sockmap_update__open_opts(NULL);
}

static inline int
test_sockmap_update__load(struct test_sockmap_update *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_sockmap_update *
test_sockmap_update__open_and_load(void)
{
	struct test_sockmap_update *obj;
	int err;

	obj = test_sockmap_update__open();
	if (!obj)
		return NULL;
	err = test_sockmap_update__load(obj);
	if (err) {
		test_sockmap_update__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_sockmap_update__attach(struct test_sockmap_update *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_sockmap_update__detach(struct test_sockmap_update *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_sockmap_update__elf_bytes(size_t *sz);

static inline int
test_sockmap_update__create_skeleton(struct test_sockmap_update *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_sockmap_update";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "src";
	map->map = &obj->maps.src;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "dst_sock_map";
	map->map = &obj->maps.dst_sock_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "dst_sock_hash";
	map->map = &obj->maps.dst_sock_hash;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "copy_sock_map";
	s->progs[0].prog = &obj->progs.copy_sock_map;
	s->progs[0].link = &obj->links.copy_sock_map;

	s->data = test_sockmap_update__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_sockmap_update__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x78\x08\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x63\0\
\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x73\
\x6f\x63\x6b\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x2e\x63\0\x63\x6f\x70\x79\
\x5f\x73\x6f\x63\x6b\x5f\x6d\x61\x70\0\x73\x72\x63\0\x64\x73\x74\x5f\x73\x6f\
\x63\x6b\x5f\x6d\x61\x70\0\x64\x73\x74\x5f\x73\x6f\x63\x6b\x5f\x68\x61\x73\x68\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x74\x63\0\x2e\x42\x54\x46\
\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x22\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\0\0\0\x12\0\x03\0\0\0\0\0\0\
\0\0\0\x08\x01\0\0\0\0\0\0\x46\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\
\0\0\x4a\0\0\0\x11\0\x04\0\x20\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x57\0\0\0\x11\0\
\x04\0\x40\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x65\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\xb4\x07\0\0\0\0\0\0\x63\x7a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\
\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\
\0\x01\0\0\0\xbf\x06\0\0\0\0\0\0\x15\x06\x16\0\0\0\0\0\xbf\xa7\0\0\0\0\0\0\x07\
\x07\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x72\0\0\0\0\0\
\0\xbf\x63\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x02\0\0\0\xbf\x08\0\0\0\0\
\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x72\0\0\0\0\0\0\xbf\x63\0\0\0\0\0\
\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x02\0\0\0\xbf\x09\0\0\0\0\0\0\xbf\x61\0\0\0\0\
\0\0\x85\0\0\0\x56\0\0\0\x4f\x89\0\0\0\0\0\0\xb4\x07\0\0\x01\0\0\0\x15\x09\x01\
\0\0\0\0\0\xb4\x07\0\0\0\0\0\0\xbc\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\0\
\x04\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\
\x06\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x30\x02\0\0\x30\x02\0\0\x21\x02\0\0\
\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\
\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x0f\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\x19\0\0\0\0\0\0\x08\x09\0\0\0\x1f\
\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x0b\0\0\0\x2c\0\0\0\0\0\
\0\x08\x0c\0\0\0\x32\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x04\0\0\x04\
\x20\0\0\0\x45\0\0\0\x01\0\0\0\0\0\0\0\x4a\0\0\0\x05\0\0\0\x40\0\0\0\x56\0\0\0\
\x07\0\0\0\x80\0\0\0\x5a\0\0\0\x0a\0\0\0\xc0\0\0\0\x60\0\0\0\0\0\0\x0e\x0d\0\0\
\0\x01\0\0\0\x64\0\0\0\0\0\0\x0e\x0d\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x11\0\0\
\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x12\0\0\0\0\0\0\0\x04\0\0\x04\
\x20\0\0\0\x45\0\0\0\x10\0\0\0\0\0\0\0\x4a\0\0\0\x05\0\0\0\x40\0\0\0\x56\0\0\0\
\x07\0\0\0\x80\0\0\0\x5a\0\0\0\x0a\0\0\0\xc0\0\0\0\x71\0\0\0\0\0\0\x0e\x12\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x7f\0\0\0\
\x14\0\0\0\x83\0\0\0\x01\0\0\x0c\x15\0\0\0\x91\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\
\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x17\0\0\0\x04\0\0\0\x04\0\0\0\x96\0\0\0\0\0\0\
\x0e\x18\0\0\0\x01\0\0\0\x10\x02\0\0\x03\0\0\x0f\x60\0\0\0\x0e\0\0\0\0\0\0\0\
\x20\0\0\0\x0f\0\0\0\x20\0\0\0\x20\0\0\0\x13\0\0\0\x40\0\0\0\x20\0\0\0\x16\x02\
\0\0\x01\0\0\x0f\x04\0\0\0\x19\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\
\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x5f\
\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\
\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\
\x67\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\
\x79\0\x76\x61\x6c\x75\x65\0\x73\x72\x63\0\x64\x73\x74\x5f\x73\x6f\x63\x6b\x5f\
\x6d\x61\x70\0\x64\x73\x74\x5f\x73\x6f\x63\x6b\x5f\x68\x61\x73\x68\0\x63\x74\
\x78\0\x63\x6f\x70\x79\x5f\x73\x6f\x63\x6b\x5f\x6d\x61\x70\0\x63\x68\x61\x72\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\
\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\
\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\
\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\
\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\
\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\
\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\
\x5f\x73\x6f\x63\x6b\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x2e\x63\0\x69\x6e\
\x74\x20\x63\x6f\x70\x79\x5f\x73\x6f\x63\x6b\x5f\x6d\x61\x70\x28\x76\x6f\x69\
\x64\x20\x2a\x63\x74\x78\x29\0\x09\x5f\x5f\x75\x33\x32\x20\x6b\x65\x79\x20\x3d\
\x20\x30\x3b\0\x09\x73\x6b\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\
\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x73\x72\x63\x2c\x20\x26\x6b\x65\
\x79\x29\x3b\0\x09\x69\x66\x20\x28\x21\x73\x6b\x29\0\x09\x69\x66\x20\x28\x62\
\x70\x66\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\x65\x6d\x28\
\x26\x64\x73\x74\x5f\x73\x6f\x63\x6b\x5f\x6d\x61\x70\x2c\x20\x26\x6b\x65\x79\
\x2c\x20\x73\x6b\x2c\x20\x30\x29\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x6d\
\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\x65\x6d\x28\x26\x64\x73\x74\
\x5f\x73\x6f\x63\x6b\x5f\x68\x61\x73\x68\x2c\x20\x26\x6b\x65\x79\x2c\x20\x73\
\x6b\x2c\x20\x30\x29\x29\0\x09\x62\x70\x66\x5f\x73\x6b\x5f\x72\x65\x6c\x65\x61\
\x73\x65\x28\x73\x6b\x29\x3b\0\x7d\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x74\x63\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\
\x14\0\0\0\xac\0\0\0\xc0\0\0\0\0\0\0\0\x08\0\0\0\x1e\x02\0\0\x01\0\0\0\0\0\0\0\
\x16\0\0\0\x10\0\0\0\x1e\x02\0\0\x0a\0\0\0\0\0\0\0\x9f\0\0\0\x2e\x01\0\0\0\x70\
\0\0\x08\0\0\0\x9f\0\0\0\x4b\x01\0\0\x08\x80\0\0\x20\0\0\0\x9f\0\0\0\x5b\x01\0\
\0\x07\x88\0\0\x40\0\0\0\x9f\0\0\0\x82\x01\0\0\x06\x8c\0\0\x58\0\0\0\x9f\0\0\0\
\x8c\x01\0\0\x06\x98\0\0\x90\0\0\0\x9f\0\0\0\xc2\x01\0\0\x06\xa4\0\0\xc8\0\0\0\
\x9f\0\0\0\xf9\x01\0\0\x02\xb0\0\0\xd8\0\0\0\x9f\0\0\0\xc2\x01\0\0\x06\xa4\0\0\
\xe8\0\0\0\x9f\0\0\0\xf9\x01\0\0\x02\xb0\0\0\xf8\0\0\0\x9f\0\0\0\x0e\x02\0\0\
\x01\xb8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\
\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x83\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x88\x01\0\0\0\0\0\0\x08\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x14\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\
\x02\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x1a\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x02\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6e\0\0\
\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x02\0\0\0\0\0\0\x30\0\0\0\0\
\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x75\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x03\0\0\0\0\0\0\x69\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7a\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x98\x07\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_sockmap_update *test_sockmap_update::open(const struct bpf_object_open_opts *opts) { return test_sockmap_update__open_opts(opts); }
struct test_sockmap_update *test_sockmap_update::open_and_load() { return test_sockmap_update__open_and_load(); }
int test_sockmap_update::load(struct test_sockmap_update *skel) { return test_sockmap_update__load(skel); }
int test_sockmap_update::attach(struct test_sockmap_update *skel) { return test_sockmap_update__attach(skel); }
void test_sockmap_update::detach(struct test_sockmap_update *skel) { test_sockmap_update__detach(skel); }
void test_sockmap_update::destroy(struct test_sockmap_update *skel) { test_sockmap_update__destroy(skel); }
const void *test_sockmap_update::elf_bytes(size_t *sz) { return test_sockmap_update__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_sockmap_update__assert(struct test_sockmap_update *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_SOCKMAP_UPDATE_SKEL_H__ */
