/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_TC_LINK_SKEL_H__
#define __TEST_TC_LINK_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_tc_link {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *tc1;
		struct bpf_program *tc7;
		struct bpf_program *tc2;
		struct bpf_program *tc3;
		struct bpf_program *tc4;
		struct bpf_program *tc5;
		struct bpf_program *tc6;
	} progs;
	struct {
		struct bpf_link *tc1;
		struct bpf_link *tc7;
		struct bpf_link *tc2;
		struct bpf_link *tc3;
		struct bpf_link *tc4;
		struct bpf_link *tc5;
		struct bpf_link *tc6;
	} links;
	struct test_tc_link__bss {
		_Bool seen_eth;
		_Bool seen_host;
		_Bool set_type;
		_Bool seen_tc1;
		_Bool seen_tc2;
		_Bool seen_tc3;
		_Bool seen_tc4;
		_Bool seen_tc5;
		_Bool seen_tc6;
		_Bool seen_mcast;
		_Bool seen_tc7;
	} *bss;

#ifdef __cplusplus
	static inline struct test_tc_link *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_tc_link *open_and_load();
	static inline int load(struct test_tc_link *skel);
	static inline int attach(struct test_tc_link *skel);
	static inline void detach(struct test_tc_link *skel);
	static inline void destroy(struct test_tc_link *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_tc_link__destroy(struct test_tc_link *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_tc_link__create_skeleton(struct test_tc_link *obj);

static inline struct test_tc_link *
test_tc_link__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_tc_link *obj;
	int err;

	obj = (struct test_tc_link *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_tc_link__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_tc_link__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_tc_link *
test_tc_link__open(void)
{
	return test_tc_link__open_opts(NULL);
}

static inline int
test_tc_link__load(struct test_tc_link *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_tc_link *
test_tc_link__open_and_load(void)
{
	struct test_tc_link *obj;
	int err;

	obj = test_tc_link__open();
	if (!obj)
		return NULL;
	err = test_tc_link__load(obj);
	if (err) {
		test_tc_link__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_tc_link__attach(struct test_tc_link *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_tc_link__detach(struct test_tc_link *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_tc_link__elf_bytes(size_t *sz);

static inline int
test_tc_link__create_skeleton(struct test_tc_link *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_tc_link";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "test_tc_.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 7;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "tc1";
	s->progs[0].prog = &obj->progs.tc1;
	s->progs[0].link = &obj->links.tc1;

	s->progs[1].name = "tc7";
	s->progs[1].prog = &obj->progs.tc7;
	s->progs[1].link = &obj->links.tc7;

	s->progs[2].name = "tc2";
	s->progs[2].prog = &obj->progs.tc2;
	s->progs[2].link = &obj->links.tc2;

	s->progs[3].name = "tc3";
	s->progs[3].prog = &obj->progs.tc3;
	s->progs[3].link = &obj->links.tc3;

	s->progs[4].name = "tc4";
	s->progs[4].prog = &obj->progs.tc4;
	s->progs[4].link = &obj->links.tc4;

	s->progs[5].name = "tc5";
	s->progs[5].prog = &obj->progs.tc5;
	s->progs[5].link = &obj->links.tc5;

	s->progs[6].name = "tc6";
	s->progs[6].prog = &obj->progs.tc6;
	s->progs[6].link = &obj->links.tc6;

	s->data = test_tc_link__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_tc_link__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd8\x15\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x63\
\x2f\x69\x6e\x67\x72\x65\x73\x73\0\x74\x63\x2f\x65\x67\x72\x65\x73\x73\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x74\x65\x73\x74\x5f\x74\x63\x5f\
\x6c\x69\x6e\x6b\x2e\x63\0\x74\x63\x31\0\x73\x65\x65\x6e\x5f\x65\x74\x68\0\x73\
\x65\x65\x6e\x5f\x68\x6f\x73\x74\0\x73\x65\x74\x5f\x74\x79\x70\x65\0\x73\x65\
\x65\x6e\x5f\x74\x63\x31\0\x74\x63\x32\0\x73\x65\x65\x6e\x5f\x74\x63\x32\0\x74\
\x63\x33\0\x73\x65\x65\x6e\x5f\x74\x63\x33\0\x74\x63\x34\0\x73\x65\x65\x6e\x5f\
\x74\x63\x34\0\x74\x63\x35\0\x73\x65\x65\x6e\x5f\x74\x63\x35\0\x74\x63\x36\0\
\x73\x65\x65\x6e\x5f\x74\x63\x36\0\x74\x63\x37\0\x73\x65\x65\x6e\x5f\x6d\x63\
\x61\x73\x74\0\x73\x65\x65\x6e\x5f\x74\x63\x37\0\x4c\x49\x43\x45\x4e\x53\x45\0\
\x2e\x72\x65\x6c\x74\x63\x2f\x69\x6e\x67\x72\x65\x73\x73\0\x2e\x72\x65\x6c\x74\
\x63\x2f\x65\x67\x72\x65\x73\x73\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\
\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x33\0\0\0\x04\0\
\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x42\0\0\0\
\x12\0\x03\0\0\0\0\0\0\0\0\0\xa8\x01\0\0\0\0\0\0\x46\0\0\0\x11\0\x06\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\x4f\0\0\0\x11\0\x06\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\x59\0\0\0\x11\0\x06\0\x02\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x62\0\0\0\x11\
\0\x06\0\x03\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x6b\0\0\0\x12\0\x04\0\0\0\0\0\0\0\
\0\0\x30\0\0\0\0\0\0\0\x6f\0\0\0\x11\0\x06\0\x04\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\x78\0\0\0\x12\0\x04\0\x30\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x7c\0\0\0\x11\0\
\x06\0\x05\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x85\0\0\0\x12\0\x04\0\x60\0\0\0\0\0\
\0\0\x30\0\0\0\0\0\0\0\x89\0\0\0\x11\0\x06\0\x06\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\x92\0\0\0\x12\0\x04\0\x90\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x96\0\0\0\x11\0\
\x06\0\x07\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x9f\0\0\0\x12\0\x04\0\xc0\0\0\0\0\0\
\0\0\x30\0\0\0\0\0\0\0\xa3\0\0\0\x11\0\x06\0\x08\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\xac\0\0\0\x12\0\x03\0\xa8\x01\0\0\0\0\0\0\x28\x01\0\0\0\0\0\0\xb0\0\0\0\x11\
\0\x06\0\x09\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\xbb\0\0\0\x11\0\x06\0\x0a\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\xc4\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\
\0\xbf\x16\0\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\x6b\x1a\xfc\xff\0\0\0\0\x63\x1a\xf8\
\xff\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf0\xff\0\0\0\0\x61\x61\x10\0\0\0\0\0\
\x56\x01\x27\0\x08\0\0\0\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xf0\xff\xff\xff\xbf\
\x61\0\0\0\0\0\0\xb4\x02\0\0\0\0\0\0\xb4\x04\0\0\x0e\0\0\0\x85\0\0\0\x1a\0\0\0\
\x55\0\x20\0\0\0\0\0\xb4\x01\0\0\x01\0\0\0\x69\xa3\xfc\xff\0\0\0\0\xb4\x02\0\0\
\x01\0\0\0\x16\x03\x01\0\x08\0\0\0\xb4\x02\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x73\x23\0\0\0\0\0\0\x61\x62\x04\0\0\0\0\0\x16\x02\x01\0\0\0\0\0\
\xb4\x01\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x73\x13\0\0\0\0\0\0\
\x56\x02\x11\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x11\0\0\0\0\0\0\
\x56\x01\x0d\0\x01\0\0\0\xb4\x01\0\0\x04\0\0\0\x73\x1a\xf0\xff\0\0\0\0\xbf\xa3\
\0\0\0\0\0\0\x07\x03\0\0\xf0\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\0\0\0\
\0\xb4\x04\0\0\x0e\0\0\0\xb7\x05\0\0\0\0\0\0\x85\0\0\0\x09\0\0\0\x55\0\x07\0\0\
\0\0\0\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\x02\0\0\0\x85\0\0\0\x20\0\0\0\x18\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\x73\x21\0\0\0\0\0\0\xb4\0\0\0\
\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\x6b\
\x1a\xfc\xff\0\0\0\0\x63\x1a\xf8\xff\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf0\
\xff\0\0\0\0\x61\x61\x10\0\0\0\0\0\x56\x01\x17\0\x08\0\0\0\xbf\xa3\0\0\0\0\0\0\
\x07\x03\0\0\xf0\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\0\0\0\0\xb4\x04\0\
\0\x0e\0\0\0\x85\0\0\0\x1a\0\0\0\x55\0\x10\0\0\0\0\0\x71\xa1\xf0\xff\0\0\0\0\
\x56\x01\x0e\0\x04\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x11\0\0\0\0\0\
\0\x56\x01\x0a\0\x01\0\0\0\x61\x62\x04\0\0\0\0\0\xb4\x01\0\0\x01\0\0\0\x16\x02\
\x01\0\x02\0\0\0\xb4\x01\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x73\
\x12\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\0\0\0\0\x85\0\0\0\x20\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\x73\x21\0\0\0\0\0\0\
\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\
\x02\0\0\x01\0\0\0\x73\x21\0\0\0\0\0\0\xb4\0\0\0\xff\xff\xff\xff\x95\0\0\0\0\0\
\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\x73\x21\0\0\0\0\
\0\0\xb4\0\0\0\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xb4\x02\0\0\x01\0\0\0\x73\x21\0\0\0\0\0\0\xb4\0\0\0\xff\xff\xff\xff\x95\
\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\x73\
\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\x73\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\xa0\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\xd0\0\0\
\0\0\0\0\0\x01\0\0\0\x06\0\0\0\xf0\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x78\x01\0\
\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x30\x02\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x70\x02\
\0\0\0\0\0\0\x01\0\0\0\x14\0\0\0\xa0\x02\0\0\0\0\0\0\x01\0\0\0\x15\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x60\0\0\0\
\0\0\0\0\x01\0\0\0\x0e\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\xc0\0\0\0\0\
\0\0\0\x01\0\0\0\x12\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xbc\x04\0\0\xbc\x04\
\0\0\xc9\x05\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x22\0\0\x04\xc0\0\0\0\
\x0b\0\0\0\x03\0\0\0\0\0\0\0\x0f\0\0\0\x03\0\0\0\x20\0\0\0\x18\0\0\0\x03\0\0\0\
\x40\0\0\0\x1d\0\0\0\x03\0\0\0\x60\0\0\0\x2b\0\0\0\x03\0\0\0\x80\0\0\0\x34\0\0\
\0\x03\0\0\0\xa0\0\0\0\x41\0\0\0\x03\0\0\0\xc0\0\0\0\x4a\0\0\0\x03\0\0\0\xe0\0\
\0\0\x55\0\0\0\x03\0\0\0\0\x01\0\0\x5e\0\0\0\x03\0\0\0\x20\x01\0\0\x6e\0\0\0\
\x03\0\0\0\x40\x01\0\0\x76\0\0\0\x03\0\0\0\x60\x01\0\0\x7f\0\0\0\x05\0\0\0\x80\
\x01\0\0\x82\0\0\0\x03\0\0\0\x20\x02\0\0\x87\0\0\0\x03\0\0\0\x40\x02\0\0\x92\0\
\0\0\x03\0\0\0\x60\x02\0\0\x97\0\0\0\x03\0\0\0\x80\x02\0\0\xa0\0\0\0\x03\0\0\0\
\xa0\x02\0\0\xa8\0\0\0\x03\0\0\0\xc0\x02\0\0\xaf\0\0\0\x03\0\0\0\xe0\x02\0\0\
\xba\0\0\0\x03\0\0\0\0\x03\0\0\xc4\0\0\0\x07\0\0\0\x20\x03\0\0\xcf\0\0\0\x07\0\
\0\0\xa0\x03\0\0\xd9\0\0\0\x03\0\0\0\x20\x04\0\0\xe5\0\0\0\x03\0\0\0\x40\x04\0\
\0\xf0\0\0\0\x03\0\0\0\x60\x04\0\0\0\0\0\0\x08\0\0\0\x80\x04\0\0\xfa\0\0\0\x0a\
\0\0\0\xc0\x04\0\0\x01\x01\0\0\x03\0\0\0\0\x05\0\0\x0a\x01\0\0\x03\0\0\0\x20\
\x05\0\0\0\0\0\0\x0c\0\0\0\x40\x05\0\0\x13\x01\0\0\x03\0\0\0\x80\x05\0\0\x1c\
\x01\0\0\x0e\0\0\0\xa0\x05\0\0\x28\x01\0\0\x0a\0\0\0\xc0\x05\0\0\x31\x01\0\0\0\
\0\0\x08\x04\0\0\0\x37\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\
\0\0\0\0\x03\0\0\0\x06\0\0\0\x05\0\0\0\x44\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\
\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\x05\
\x08\0\0\0\x58\x01\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x28\0\0\0\x62\x01\0\
\0\0\0\0\x08\x0b\0\0\0\x68\x01\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\
\0\x05\x08\0\0\0\x7b\x01\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x29\0\0\0\x7e\
\x01\0\0\0\0\0\x08\x0f\0\0\0\x83\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\
\x01\0\0\x0d\x11\0\0\0\x91\x01\0\0\x01\0\0\0\x95\x01\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\x01\x99\x01\0\0\x01\0\0\x0c\x10\0\0\0\x9d\x01\0\0\x01\0\0\x0c\x10\0\0\
\0\xa1\x01\0\0\x01\0\0\x0c\x10\0\0\0\xa5\x01\0\0\x01\0\0\x0c\x10\0\0\0\xa9\x01\
\0\0\x01\0\0\x0c\x10\0\0\0\xad\x01\0\0\x01\0\0\x0c\x10\0\0\0\xb1\x01\0\0\x01\0\
\0\x0c\x10\0\0\0\xb5\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\
\0\0\0\0\x19\0\0\0\x06\0\0\0\x04\0\0\0\xba\x01\0\0\0\0\0\x0e\x1a\0\0\0\x01\0\0\
\0\xc2\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\xc8\x01\0\0\0\0\0\x0e\x1c\0\0\0\
\x01\0\0\0\xd1\x01\0\0\0\0\0\x0e\x1c\0\0\0\x01\0\0\0\xdb\x01\0\0\0\0\0\x0e\x1c\
\0\0\0\x01\0\0\0\xe4\x01\0\0\0\0\0\x0e\x1c\0\0\0\x01\0\0\0\xed\x01\0\0\0\0\0\
\x0e\x1c\0\0\0\x01\0\0\0\xf6\x01\0\0\0\0\0\x0e\x1c\0\0\0\x01\0\0\0\xff\x01\0\0\
\0\0\0\x0e\x1c\0\0\0\x01\0\0\0\x08\x02\0\0\0\0\0\x0e\x1c\0\0\0\x01\0\0\0\x11\
\x02\0\0\0\0\0\x0e\x1c\0\0\0\x01\0\0\0\x1a\x02\0\0\0\0\0\x0e\x1c\0\0\0\x01\0\0\
\0\x25\x02\0\0\0\0\0\x0e\x1c\0\0\0\x01\0\0\0\x2e\x02\0\0\0\0\0\x07\0\0\0\0\x3c\
\x02\0\0\0\0\0\x07\0\0\0\0\xa7\x05\0\0\x01\0\0\x0f\x04\0\0\0\x1b\0\0\0\0\0\0\0\
\x04\0\0\0\xaf\x05\0\0\x0b\0\0\x0f\x0b\0\0\0\x1d\0\0\0\0\0\0\0\x01\0\0\0\x1e\0\
\0\0\x01\0\0\0\x01\0\0\0\x1f\0\0\0\x02\0\0\0\x01\0\0\0\x20\0\0\0\x03\0\0\0\x01\
\0\0\0\x21\0\0\0\x04\0\0\0\x01\0\0\0\x22\0\0\0\x05\0\0\0\x01\0\0\0\x23\0\0\0\
\x06\0\0\0\x01\0\0\0\x24\0\0\0\x07\0\0\0\x01\0\0\0\x25\0\0\0\x08\0\0\0\x01\0\0\
\0\x26\0\0\0\x09\0\0\0\x01\0\0\0\x27\0\0\0\x0a\0\0\0\x01\0\0\0\0\x5f\x5f\x73\
\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\
\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\
\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\
\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\
\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\
\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\
\x78\0\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\
\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\
\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\
\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\
\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\
\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\
\x74\x61\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\
\x6f\x5f\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\x69\x7a\x65\0\x74\x73\x74\x61\
\x6d\x70\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\x74\x61\x6d\x70\0\x5f\x5f\x75\
\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x41\x52\
\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x66\x6c\x6f\x77\
\x5f\x6b\x65\x79\x73\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x73\x6b\0\x5f\x5f\x75\x38\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x73\x6b\x62\0\x69\x6e\x74\0\x74\
\x63\x31\0\x74\x63\x32\0\x74\x63\x33\0\x74\x63\x34\0\x74\x63\x35\0\x74\x63\x36\
\0\x74\x63\x37\0\x63\x68\x61\x72\0\x4c\x49\x43\x45\x4e\x53\x45\0\x5f\x42\x6f\
\x6f\x6c\0\x73\x65\x65\x6e\x5f\x65\x74\x68\0\x73\x65\x65\x6e\x5f\x68\x6f\x73\
\x74\0\x73\x65\x74\x5f\x74\x79\x70\x65\0\x73\x65\x65\x6e\x5f\x74\x63\x31\0\x73\
\x65\x65\x6e\x5f\x74\x63\x32\0\x73\x65\x65\x6e\x5f\x74\x63\x33\0\x73\x65\x65\
\x6e\x5f\x74\x63\x34\0\x73\x65\x65\x6e\x5f\x74\x63\x35\0\x73\x65\x65\x6e\x5f\
\x74\x63\x36\0\x73\x65\x65\x6e\x5f\x6d\x63\x61\x73\x74\0\x73\x65\x65\x6e\x5f\
\x74\x63\x37\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x62\x70\
\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\
\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\
\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\
\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\
\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\
\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x74\
\x63\x5f\x6c\x69\x6e\x6b\x2e\x63\0\x69\x6e\x74\x20\x74\x63\x31\x28\x73\x74\x72\
\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\
\x09\x73\x74\x72\x75\x63\x74\x20\x65\x74\x68\x68\x64\x72\x20\x65\x74\x68\x20\
\x3d\x20\x7b\x7d\x3b\0\x09\x69\x66\x20\x28\x73\x6b\x62\x2d\x3e\x70\x72\x6f\x74\
\x6f\x63\x6f\x6c\x20\x21\x3d\x20\x5f\x5f\x62\x70\x66\x5f\x63\x6f\x6e\x73\x74\
\x61\x6e\x74\x5f\x68\x74\x6f\x6e\x73\x28\x45\x54\x48\x5f\x50\x5f\x49\x50\x29\
\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x73\x6b\x62\x5f\x6c\x6f\x61\x64\x5f\
\x62\x79\x74\x65\x73\x28\x73\x6b\x62\x2c\x20\x30\x2c\x20\x26\x65\x74\x68\x2c\
\x20\x73\x69\x7a\x65\x6f\x66\x28\x65\x74\x68\x29\x29\x29\0\x09\x73\x65\x65\x6e\
\x5f\x65\x74\x68\x20\x3d\x20\x65\x74\x68\x2e\x68\x5f\x70\x72\x6f\x74\x6f\x20\
\x3d\x3d\x20\x62\x70\x66\x5f\x68\x74\x6f\x6e\x73\x28\x45\x54\x48\x5f\x50\x5f\
\x49\x50\x29\x3b\0\x09\x73\x65\x65\x6e\x5f\x68\x6f\x73\x74\x20\x3d\x20\x73\x6b\
\x62\x2d\x3e\x70\x6b\x74\x5f\x74\x79\x70\x65\x20\x3d\x3d\x20\x50\x41\x43\x4b\
\x45\x54\x5f\x48\x4f\x53\x54\x3b\0\x09\x69\x66\x20\x28\x73\x65\x65\x6e\x5f\x68\
\x6f\x73\x74\x20\x26\x26\x20\x73\x65\x74\x5f\x74\x79\x70\x65\x29\x20\x7b\0\x09\
\x09\x65\x74\x68\x2e\x68\x5f\x64\x65\x73\x74\x5b\x30\x5d\x20\x3d\x20\x34\x3b\0\
\x09\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x73\x6b\x62\x5f\x73\x74\x6f\x72\x65\
\x5f\x62\x79\x74\x65\x73\x28\x73\x6b\x62\x2c\x20\x30\x2c\x20\x26\x65\x74\x68\
\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x65\x74\x68\x29\x2c\x20\x30\x29\x29\0\x09\
\x09\x62\x70\x66\x5f\x73\x6b\x62\x5f\x63\x68\x61\x6e\x67\x65\x5f\x74\x79\x70\
\x65\x28\x73\x6b\x62\x2c\x20\x50\x41\x43\x4b\x45\x54\x5f\x4d\x55\x4c\x54\x49\
\x43\x41\x53\x54\x29\x3b\0\x09\x73\x65\x65\x6e\x5f\x74\x63\x31\x20\x3d\x20\x74\
\x72\x75\x65\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x54\x43\x58\x5f\x4e\x45\x58\
\x54\x3b\0\x69\x6e\x74\x20\x74\x63\x37\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\
\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x69\x66\x20\x28\x65\
\x74\x68\x2e\x68\x5f\x64\x65\x73\x74\x5b\x30\x5d\x20\x3d\x3d\x20\x34\x20\x26\
\x26\x20\x73\x65\x74\x5f\x74\x79\x70\x65\x29\x20\x7b\0\x09\x09\x73\x65\x65\x6e\
\x5f\x6d\x63\x61\x73\x74\x20\x3d\x20\x73\x6b\x62\x2d\x3e\x70\x6b\x74\x5f\x74\
\x79\x70\x65\x20\x3d\x3d\x20\x50\x41\x43\x4b\x45\x54\x5f\x4d\x55\x4c\x54\x49\
\x43\x41\x53\x54\x3b\0\x09\x09\x62\x70\x66\x5f\x73\x6b\x62\x5f\x63\x68\x61\x6e\
\x67\x65\x5f\x74\x79\x70\x65\x28\x73\x6b\x62\x2c\x20\x50\x41\x43\x4b\x45\x54\
\x5f\x48\x4f\x53\x54\x29\x3b\0\x09\x73\x65\x65\x6e\x5f\x74\x63\x37\x20\x3d\x20\
\x74\x72\x75\x65\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x54\x43\x58\x5f\x50\x41\
\x53\x53\x3b\0\x09\x73\x65\x65\x6e\x5f\x74\x63\x32\x20\x3d\x20\x74\x72\x75\x65\
\x3b\0\x09\x73\x65\x65\x6e\x5f\x74\x63\x33\x20\x3d\x20\x74\x72\x75\x65\x3b\0\
\x09\x73\x65\x65\x6e\x5f\x74\x63\x34\x20\x3d\x20\x74\x72\x75\x65\x3b\0\x09\x73\
\x65\x65\x6e\x5f\x74\x63\x35\x20\x3d\x20\x74\x72\x75\x65\x3b\0\x09\x73\x65\x65\
\x6e\x5f\x74\x63\x36\x20\x3d\x20\x74\x72\x75\x65\x3b\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x62\x73\x73\0\x74\x63\x2f\x69\x6e\x67\x72\x65\x73\x73\0\x74\x63\x2f\
\x65\x67\x72\x65\x73\x73\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x4c\0\0\0\x4c\
\0\0\0\xe4\x02\0\0\x30\x03\0\0\0\0\0\0\x08\0\0\0\xb4\x05\0\0\x02\0\0\0\0\0\0\0\
\x12\0\0\0\xa8\x01\0\0\x18\0\0\0\xbf\x05\0\0\x05\0\0\0\0\0\0\0\x13\0\0\0\x30\0\
\0\0\x14\0\0\0\x60\0\0\0\x15\0\0\0\x90\0\0\0\x16\0\0\0\xc0\0\0\0\x17\0\0\0\x10\
\0\0\0\xb4\x05\0\0\x23\0\0\0\0\0\0\0\x45\x02\0\0\xcd\x02\0\0\0\x74\0\0\x10\0\0\
\0\x45\x02\0\0\xec\x02\0\0\x10\x7c\0\0\x30\0\0\0\x45\x02\0\0\x05\x03\0\0\x0b\
\x84\0\0\x38\0\0\0\x45\x02\0\0\x05\x03\0\0\x06\x84\0\0\x50\0\0\0\x45\x02\0\0\
\x3b\x03\0\0\x06\x8c\0\0\x70\0\0\0\x45\x02\0\0\x3b\x03\0\0\x06\x8c\0\0\x80\0\0\
\0\x45\x02\0\0\x6f\x03\0\0\x11\x94\0\0\x90\0\0\0\x45\x02\0\0\x6f\x03\0\0\x19\
\x94\0\0\xa0\0\0\0\x45\x02\0\0\x6f\x03\0\0\x0b\x94\0\0\xb8\0\0\0\x45\x02\0\0\
\x9f\x03\0\0\x13\x98\0\0\xc0\0\0\0\x45\x02\0\0\x9f\x03\0\0\x1c\x98\0\0\xd0\0\0\
\0\x45\x02\0\0\x9f\x03\0\0\x0c\x98\0\0\xe8\0\0\0\x45\x02\0\0\xca\x03\0\0\x10\
\x9c\0\0\xf0\0\0\0\x45\x02\0\0\xca\x03\0\0\x13\x9c\0\0\x08\x01\0\0\x45\x02\0\0\
\xca\x03\0\0\x06\x9c\0\0\x18\x01\0\0\x45\x02\0\0\xe8\x03\0\0\x11\xa0\0\0\x30\
\x01\0\0\x45\x02\0\0\xfd\x03\0\0\x07\xa4\0\0\x58\x01\0\0\x45\x02\0\0\xfd\x03\0\
\0\x07\xa4\0\0\x60\x01\0\0\x45\x02\0\0\x36\x04\0\0\x03\xac\0\0\x78\x01\0\0\x45\
\x02\0\0\x64\x04\0\0\x0b\xb8\0\0\x98\x01\0\0\x45\x02\0\0\x76\x04\0\0\x02\xc0\0\
\0\xa8\x01\0\0\x45\x02\0\0\x88\x04\0\0\0\x5c\x01\0\xb8\x01\0\0\x45\x02\0\0\xec\
\x02\0\0\x10\x64\x01\0\xd8\x01\0\0\x45\x02\0\0\x05\x03\0\0\x0b\x6c\x01\0\xe0\
\x01\0\0\x45\x02\0\0\x05\x03\0\0\x06\x6c\x01\0\xf8\x01\0\0\x45\x02\0\0\x3b\x03\
\0\0\x06\x74\x01\0\x18\x02\0\0\x45\x02\0\0\x3b\x03\0\0\x06\x74\x01\0\x30\x02\0\
\0\x45\x02\0\0\xa7\x04\0\0\x1c\x7c\x01\0\x48\x02\0\0\x45\x02\0\0\xa7\x04\0\0\
\x06\x7c\x01\0\x50\x02\0\0\x45\x02\0\0\xce\x04\0\0\x15\x80\x01\0\x60\x02\0\0\
\x45\x02\0\0\xce\x04\0\0\x1e\x80\x01\0\x70\x02\0\0\x45\x02\0\0\xce\x04\0\0\x0e\
\x80\x01\0\x88\x02\0\0\x45\x02\0\0\0\x05\0\0\x03\x84\x01\0\xa0\x02\0\0\x45\x02\
\0\0\x29\x05\0\0\x0b\x90\x01\0\xc0\x02\0\0\x45\x02\0\0\x3b\x05\0\0\x02\x94\x01\
\0\xbf\x05\0\0\x0a\0\0\0\0\0\0\0\x45\x02\0\0\x4d\x05\0\0\x0b\xd8\0\0\x20\0\0\0\
\x45\x02\0\0\x76\x04\0\0\x02\xdc\0\0\x30\0\0\0\x45\x02\0\0\x5f\x05\0\0\x0b\xf4\
\0\0\x50\0\0\0\x45\x02\0\0\x76\x04\0\0\x02\xf8\0\0\x60\0\0\0\x45\x02\0\0\x71\
\x05\0\0\x0b\x10\x01\0\x80\0\0\0\x45\x02\0\0\x76\x04\0\0\x02\x14\x01\0\x90\0\0\
\0\x45\x02\0\0\x83\x05\0\0\x0b\x2c\x01\0\xb0\0\0\0\x45\x02\0\0\x3b\x05\0\0\x02\
\x30\x01\0\xc0\0\0\0\x45\x02\0\0\x95\x05\0\0\x0b\x48\x01\0\xe0\0\0\0\x45\x02\0\
\0\x3b\x05\0\0\x02\x4c\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xf7\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x01\0\0\0\0\0\0\x28\x02\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x03\0\0\0\0\0\0\xd0\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1c\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x30\x06\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x20\x07\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x2e\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x24\x07\0\
\0\0\0\0\0\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xcc\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x07\0\0\0\0\0\0\x70\
\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xdb\0\0\
\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x07\0\0\0\0\0\0\x50\0\0\0\0\
\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xe9\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x07\0\0\0\0\0\0\x9d\x0a\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xee\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x88\x12\0\0\0\0\0\0\x50\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_tc_link *test_tc_link::open(const struct bpf_object_open_opts *opts) { return test_tc_link__open_opts(opts); }
struct test_tc_link *test_tc_link::open_and_load() { return test_tc_link__open_and_load(); }
int test_tc_link::load(struct test_tc_link *skel) { return test_tc_link__load(skel); }
int test_tc_link::attach(struct test_tc_link *skel) { return test_tc_link__attach(skel); }
void test_tc_link::detach(struct test_tc_link *skel) { test_tc_link__detach(skel); }
void test_tc_link::destroy(struct test_tc_link *skel) { test_tc_link__destroy(skel); }
const void *test_tc_link::elf_bytes(size_t *sz) { return test_tc_link__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_tc_link__assert(struct test_tc_link *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->seen_eth) == 1, "unexpected size of 'seen_eth'");
	_Static_assert(sizeof(s->bss->seen_host) == 1, "unexpected size of 'seen_host'");
	_Static_assert(sizeof(s->bss->set_type) == 1, "unexpected size of 'set_type'");
	_Static_assert(sizeof(s->bss->seen_tc1) == 1, "unexpected size of 'seen_tc1'");
	_Static_assert(sizeof(s->bss->seen_tc2) == 1, "unexpected size of 'seen_tc2'");
	_Static_assert(sizeof(s->bss->seen_tc3) == 1, "unexpected size of 'seen_tc3'");
	_Static_assert(sizeof(s->bss->seen_tc4) == 1, "unexpected size of 'seen_tc4'");
	_Static_assert(sizeof(s->bss->seen_tc5) == 1, "unexpected size of 'seen_tc5'");
	_Static_assert(sizeof(s->bss->seen_tc6) == 1, "unexpected size of 'seen_tc6'");
	_Static_assert(sizeof(s->bss->seen_mcast) == 1, "unexpected size of 'seen_mcast'");
	_Static_assert(sizeof(s->bss->seen_tc7) == 1, "unexpected size of 'seen_tc7'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_TC_LINK_SKEL_H__ */
