/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TRIGGER_BENCH_SKEL_H__
#define __TRIGGER_BENCH_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct trigger_bench {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *rodata;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *bench_trigger_uprobe;
		struct bpf_program *bench_trigger_uprobe_multi;
		struct bpf_program *trigger_count;
		struct bpf_program *trigger_driver;
		struct bpf_program *trigger_driver_kfunc;
		struct bpf_program *bench_trigger_kprobe;
		struct bpf_program *bench_trigger_kretprobe;
		struct bpf_program *bench_trigger_kprobe_multi;
		struct bpf_program *bench_trigger_kretprobe_multi;
		struct bpf_program *bench_trigger_fentry;
		struct bpf_program *bench_trigger_fexit;
		struct bpf_program *bench_trigger_fmodret;
		struct bpf_program *bench_trigger_tp;
		struct bpf_program *bench_trigger_rawtp;
	} progs;
	struct {
		struct bpf_link *bench_trigger_uprobe;
		struct bpf_link *bench_trigger_uprobe_multi;
		struct bpf_link *trigger_count;
		struct bpf_link *trigger_driver;
		struct bpf_link *trigger_driver_kfunc;
		struct bpf_link *bench_trigger_kprobe;
		struct bpf_link *bench_trigger_kretprobe;
		struct bpf_link *bench_trigger_kprobe_multi;
		struct bpf_link *bench_trigger_kretprobe_multi;
		struct bpf_link *bench_trigger_fentry;
		struct bpf_link *bench_trigger_fexit;
		struct bpf_link *bench_trigger_fmodret;
		struct bpf_link *bench_trigger_tp;
		struct bpf_link *bench_trigger_rawtp;
	} links;
	struct trigger_bench__rodata {
		int batch_iters;
	} *rodata;
	struct trigger_bench__bss {
		struct counter hits[256];
	} *bss;

#ifdef __cplusplus
	static inline struct trigger_bench *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct trigger_bench *open_and_load();
	static inline int load(struct trigger_bench *skel);
	static inline int attach(struct trigger_bench *skel);
	static inline void detach(struct trigger_bench *skel);
	static inline void destroy(struct trigger_bench *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
trigger_bench__destroy(struct trigger_bench *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
trigger_bench__create_skeleton(struct trigger_bench *obj);

static inline struct trigger_bench *
trigger_bench__open_opts(const struct bpf_object_open_opts *opts)
{
	struct trigger_bench *obj;
	int err;

	obj = (struct trigger_bench *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = trigger_bench__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	trigger_bench__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct trigger_bench *
trigger_bench__open(void)
{
	return trigger_bench__open_opts(NULL);
}

static inline int
trigger_bench__load(struct trigger_bench *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct trigger_bench *
trigger_bench__open_and_load(void)
{
	struct trigger_bench *obj;
	int err;

	obj = trigger_bench__open();
	if (!obj)
		return NULL;
	err = trigger_bench__load(obj);
	if (err) {
		trigger_bench__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
trigger_bench__attach(struct trigger_bench *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
trigger_bench__detach(struct trigger_bench *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *trigger_bench__elf_bytes(size_t *sz);

static inline int
trigger_bench__create_skeleton(struct trigger_bench *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "trigger_bench";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "trigger_.rodata";
	map->map = &obj->maps.rodata;
	map->mmaped = (void **)&obj->rodata;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "trigger_.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 14;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "bench_trigger_uprobe";
	s->progs[0].prog = &obj->progs.bench_trigger_uprobe;
	s->progs[0].link = &obj->links.bench_trigger_uprobe;

	s->progs[1].name = "bench_trigger_uprobe_multi";
	s->progs[1].prog = &obj->progs.bench_trigger_uprobe_multi;
	s->progs[1].link = &obj->links.bench_trigger_uprobe_multi;

	s->progs[2].name = "trigger_count";
	s->progs[2].prog = &obj->progs.trigger_count;
	s->progs[2].link = &obj->links.trigger_count;

	s->progs[3].name = "trigger_driver";
	s->progs[3].prog = &obj->progs.trigger_driver;
	s->progs[3].link = &obj->links.trigger_driver;

	s->progs[4].name = "trigger_driver_kfunc";
	s->progs[4].prog = &obj->progs.trigger_driver_kfunc;
	s->progs[4].link = &obj->links.trigger_driver_kfunc;

	s->progs[5].name = "bench_trigger_kprobe";
	s->progs[5].prog = &obj->progs.bench_trigger_kprobe;
	s->progs[5].link = &obj->links.bench_trigger_kprobe;

	s->progs[6].name = "bench_trigger_kretprobe";
	s->progs[6].prog = &obj->progs.bench_trigger_kretprobe;
	s->progs[6].link = &obj->links.bench_trigger_kretprobe;

	s->progs[7].name = "bench_trigger_kprobe_multi";
	s->progs[7].prog = &obj->progs.bench_trigger_kprobe_multi;
	s->progs[7].link = &obj->links.bench_trigger_kprobe_multi;

	s->progs[8].name = "bench_trigger_kretprobe_multi";
	s->progs[8].prog = &obj->progs.bench_trigger_kretprobe_multi;
	s->progs[8].link = &obj->links.bench_trigger_kretprobe_multi;

	s->progs[9].name = "bench_trigger_fentry";
	s->progs[9].prog = &obj->progs.bench_trigger_fentry;
	s->progs[9].link = &obj->links.bench_trigger_fentry;

	s->progs[10].name = "bench_trigger_fexit";
	s->progs[10].prog = &obj->progs.bench_trigger_fexit;
	s->progs[10].link = &obj->links.bench_trigger_fexit;

	s->progs[11].name = "bench_trigger_fmodret";
	s->progs[11].prog = &obj->progs.bench_trigger_fmodret;
	s->progs[11].link = &obj->links.bench_trigger_fmodret;

	s->progs[12].name = "bench_trigger_tp";
	s->progs[12].prog = &obj->progs.bench_trigger_tp;
	s->progs[12].link = &obj->links.bench_trigger_tp;

	s->progs[13].name = "bench_trigger_rawtp";
	s->progs[13].prog = &obj->progs.bench_trigger_rawtp;
	s->progs[13].link = &obj->links.bench_trigger_rawtp;

	s->data = trigger_bench__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *trigger_bench__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x98\x1a\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x20\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x3f\x75\
\x70\x72\x6f\x62\x65\0\x3f\x75\x70\x72\x6f\x62\x65\x2e\x6d\x75\x6c\x74\x69\0\
\x3f\x72\x61\x77\x5f\x74\x70\0\x3f\x6b\x70\x72\x6f\x62\x65\x2f\x62\x70\x66\x5f\
\x67\x65\x74\x5f\x6e\x75\x6d\x61\x5f\x6e\x6f\x64\x65\x5f\x69\x64\0\x3f\x6b\x72\
\x65\x74\x70\x72\x6f\x62\x65\x2f\x62\x70\x66\x5f\x67\x65\x74\x5f\x6e\x75\x6d\
\x61\x5f\x6e\x6f\x64\x65\x5f\x69\x64\0\x3f\x6b\x70\x72\x6f\x62\x65\x2e\x6d\x75\
\x6c\x74\x69\x2f\x62\x70\x66\x5f\x67\x65\x74\x5f\x6e\x75\x6d\x61\x5f\x6e\x6f\
\x64\x65\x5f\x69\x64\0\x3f\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x2e\x6d\x75\x6c\
\x74\x69\x2f\x62\x70\x66\x5f\x67\x65\x74\x5f\x6e\x75\x6d\x61\x5f\x6e\x6f\x64\
\x65\x5f\x69\x64\0\x3f\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x67\x65\x74\
\x5f\x6e\x75\x6d\x61\x5f\x6e\x6f\x64\x65\x5f\x69\x64\0\x3f\x66\x65\x78\x69\x74\
\x2f\x62\x70\x66\x5f\x67\x65\x74\x5f\x6e\x75\x6d\x61\x5f\x6e\x6f\x64\x65\x5f\
\x69\x64\0\x3f\x66\x6d\x6f\x64\x5f\x72\x65\x74\x2f\x62\x70\x66\x5f\x6d\x6f\x64\
\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\x5f\x74\x70\0\x3f\
\x74\x70\x2f\x62\x70\x66\x5f\x74\x65\x73\x74\x5f\x72\x75\x6e\x2f\x62\x70\x66\
\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\x74\x70\0\x3f\x72\x61\x77\x5f\x74\x70\x2f\
\x62\x70\x66\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\x74\x70\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\x74\x72\x69\x67\x67\
\x65\x72\x5f\x62\x65\x6e\x63\x68\x2e\x63\0\x62\x65\x6e\x63\x68\x5f\x74\x72\x69\
\x67\x67\x65\x72\x5f\x75\x70\x72\x6f\x62\x65\0\x68\x69\x74\x73\0\x62\x65\x6e\
\x63\x68\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\x75\x70\x72\x6f\x62\x65\x5f\x6d\
\x75\x6c\x74\x69\0\x74\x72\x69\x67\x67\x65\x72\x5f\x63\x6f\x75\x6e\x74\0\x62\
\x61\x74\x63\x68\x5f\x69\x74\x65\x72\x73\0\x74\x72\x69\x67\x67\x65\x72\x5f\x64\
\x72\x69\x76\x65\x72\0\x74\x72\x69\x67\x67\x65\x72\x5f\x64\x72\x69\x76\x65\x72\
\x5f\x6b\x66\x75\x6e\x63\0\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\
\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\x5f\x74\x70\0\x62\x65\x6e\x63\x68\x5f\x74\
\x72\x69\x67\x67\x65\x72\x5f\x6b\x70\x72\x6f\x62\x65\0\x62\x65\x6e\x63\x68\x5f\
\x74\x72\x69\x67\x67\x65\x72\x5f\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\0\x62\x65\
\x6e\x63\x68\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\x6b\x70\x72\x6f\x62\x65\x5f\
\x6d\x75\x6c\x74\x69\0\x62\x65\x6e\x63\x68\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\
\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\0\x62\x65\x6e\x63\
\x68\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\x66\x65\x6e\x74\x72\x79\0\x62\x65\x6e\
\x63\x68\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\x66\x65\x78\x69\x74\0\x62\x65\x6e\
\x63\x68\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\x66\x6d\x6f\x64\x72\x65\x74\0\x62\
\x65\x6e\x63\x68\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\x74\x70\0\x62\x65\x6e\x63\
\x68\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\x72\x61\x77\x74\x70\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x3f\x75\x70\x72\x6f\x62\x65\0\x2e\x72\x65\
\x6c\x3f\x75\x70\x72\x6f\x62\x65\x2e\x6d\x75\x6c\x74\x69\0\x2e\x72\x65\x6c\x3f\
\x72\x61\x77\x5f\x74\x70\0\x2e\x72\x65\x6c\x3f\x6b\x70\x72\x6f\x62\x65\x2f\x62\
\x70\x66\x5f\x67\x65\x74\x5f\x6e\x75\x6d\x61\x5f\x6e\x6f\x64\x65\x5f\x69\x64\0\
\x2e\x72\x65\x6c\x3f\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x2f\x62\x70\x66\x5f\
\x67\x65\x74\x5f\x6e\x75\x6d\x61\x5f\x6e\x6f\x64\x65\x5f\x69\x64\0\x2e\x72\x65\
\x6c\x3f\x6b\x70\x72\x6f\x62\x65\x2e\x6d\x75\x6c\x74\x69\x2f\x62\x70\x66\x5f\
\x67\x65\x74\x5f\x6e\x75\x6d\x61\x5f\x6e\x6f\x64\x65\x5f\x69\x64\0\x2e\x72\x65\
\x6c\x3f\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x2e\x6d\x75\x6c\x74\x69\x2f\x62\
\x70\x66\x5f\x67\x65\x74\x5f\x6e\x75\x6d\x61\x5f\x6e\x6f\x64\x65\x5f\x69\x64\0\
\x2e\x72\x65\x6c\x3f\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x67\x65\x74\
\x5f\x6e\x75\x6d\x61\x5f\x6e\x6f\x64\x65\x5f\x69\x64\0\x2e\x72\x65\x6c\x3f\x66\
\x65\x78\x69\x74\x2f\x62\x70\x66\x5f\x67\x65\x74\x5f\x6e\x75\x6d\x61\x5f\x6e\
\x6f\x64\x65\x5f\x69\x64\0\x2e\x72\x65\x6c\x3f\x66\x6d\x6f\x64\x5f\x72\x65\x74\
\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\
\x74\x65\x73\x74\x5f\x74\x70\0\x2e\x72\x65\x6c\x3f\x74\x70\x2f\x62\x70\x66\x5f\
\x74\x65\x73\x74\x5f\x72\x75\x6e\x2f\x62\x70\x66\x5f\x74\x72\x69\x67\x67\x65\
\x72\x5f\x74\x70\0\x2e\x72\x65\x6c\x3f\x72\x61\x77\x5f\x74\x70\x2f\x62\x70\x66\
\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\x74\x70\0\x2e\x42\x54\x46\0\x2e\x42\x54\
\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x5e\x01\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x09\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0c\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\x0e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6e\x01\0\0\x12\0\
\x03\0\0\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x83\x01\0\0\x11\0\x11\0\0\0\0\0\0\0\0\
\0\0\x80\0\0\0\0\0\0\x88\x01\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\
\xa3\x01\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\xb1\x01\0\0\x11\0\
\x10\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xbd\x01\0\0\x12\0\x05\0\x90\0\0\0\0\0\
\0\0\x58\0\0\0\0\0\0\0\xcc\x01\0\0\x12\0\x05\0\xe8\0\0\0\0\0\0\0\x60\0\0\0\0\0\
\0\0\xe1\x01\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xfb\x01\0\0\x12\0\
\x06\0\0\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x10\x02\0\0\x12\0\x07\0\0\0\0\0\0\0\0\
\0\x50\0\0\0\0\0\0\0\x28\x02\0\0\x12\0\x08\0\0\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\
\x43\x02\0\0\x12\0\x09\0\0\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x61\x02\0\0\x12\0\
\x0a\0\0\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x76\x02\0\0\x12\0\x0b\0\0\0\0\0\0\0\0\
\0\x50\0\0\0\0\0\0\0\x8a\x02\0\0\x12\0\x0c\0\0\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\
\xa0\x02\0\0\x12\0\x0d\0\0\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\xb1\x02\0\0\x12\0\
\x0e\0\0\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\xc5\x02\0\0\x11\0\x0f\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\x85\0\0\0\x08\0\0\0\x54\0\0\0\xff\0\0\0\x67\0\0\0\x07\0\0\
\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x01\0\0\0\0\0\0\xb7\x02\0\0\x01\0\0\
\0\xdb\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\x08\0\0\0\
\x54\0\0\0\xff\0\0\0\x67\0\0\0\x07\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x0f\x01\0\0\0\0\0\0\xb7\x02\0\0\x01\0\0\0\xdb\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\
\0\x95\0\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x61\0\0\0\0\0\0\
\xc6\x01\x0c\0\x01\0\0\0\xb4\x07\0\0\0\0\0\0\x85\0\0\0\x08\0\0\0\x54\0\0\0\xff\
\0\0\0\x67\0\0\0\x07\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x01\0\0\0\0\
\0\0\xb7\x02\0\0\x01\0\0\0\xdb\x21\0\0\0\0\0\0\x04\x07\0\0\x01\0\0\0\x61\x61\0\
\0\0\0\0\0\xce\x17\xf5\xff\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x61\0\0\0\0\0\0\xc6\x01\x05\0\x01\0\0\0\xb4\
\x07\0\0\0\0\0\0\x85\0\0\0\x2a\0\0\0\x04\x07\0\0\x01\0\0\0\x61\x61\0\0\0\0\0\0\
\xce\x17\xfc\xff\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x61\x61\0\0\0\0\0\0\xc6\x01\x06\0\x01\0\0\0\xb4\x07\0\0\0\0\
\0\0\xb4\x01\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x04\x07\0\0\x01\0\0\0\x61\
\x61\0\0\0\0\0\0\xce\x17\xfb\xff\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x85\0\0\0\x08\0\0\0\x54\0\0\0\xff\0\0\0\x67\0\0\0\x07\0\0\0\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x0f\x01\0\0\0\0\0\0\xb7\x02\0\0\x01\0\0\0\xdb\x21\0\0\0\0\0\
\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\x08\0\0\0\x54\0\0\0\xff\0\0\0\
\x67\0\0\0\x07\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x01\0\0\0\0\0\0\
\xb7\x02\0\0\x01\0\0\0\xdb\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x85\0\0\0\x08\0\0\0\x54\0\0\0\xff\0\0\0\x67\0\0\0\x07\0\0\0\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x0f\x01\0\0\0\0\0\0\xb7\x02\0\0\x01\0\0\0\xdb\x21\0\0\0\0\0\
\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\x08\0\0\0\x54\0\0\0\xff\0\0\0\
\x67\0\0\0\x07\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x01\0\0\0\0\0\0\
\xb7\x02\0\0\x01\0\0\0\xdb\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x85\0\0\0\x08\0\0\0\x54\0\0\0\xff\0\0\0\x67\0\0\0\x07\0\0\0\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x0f\x01\0\0\0\0\0\0\xb7\x02\0\0\x01\0\0\0\xdb\x21\0\0\0\0\0\
\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\x08\0\0\0\x54\0\0\0\xff\0\0\0\
\x67\0\0\0\x07\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x01\0\0\0\0\0\0\
\xb7\x02\0\0\x01\0\0\0\xdb\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x85\0\0\0\x08\0\0\0\x54\0\0\0\xff\0\0\0\x67\0\0\0\x07\0\0\0\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x0f\x01\0\0\0\0\0\0\xb7\x02\0\0\x01\0\0\0\xdb\x21\0\0\0\0\0\
\0\xb4\0\0\0\xea\xff\xff\xff\x95\0\0\0\0\0\0\0\x85\0\0\0\x08\0\0\0\x54\0\0\0\
\xff\0\0\0\x67\0\0\0\x07\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x01\0\0\
\0\0\0\0\xb7\x02\0\0\x01\0\0\0\xdb\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\
\0\0\0\0\x85\0\0\0\x08\0\0\0\x54\0\0\0\xff\0\0\0\x67\0\0\0\x07\0\0\0\x18\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x01\0\0\0\0\0\0\xb7\x02\0\0\x01\0\0\0\xdb\x21\0\
\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x0f\0\0\0\x18\0\0\0\0\0\0\
\0\x01\0\0\0\x0f\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x12\0\0\0\x40\0\0\0\0\0\0\0\
\x01\0\0\0\x0f\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\x12\0\0\0\xe8\0\0\0\0\0\0\0\
\x01\0\0\0\x12\0\0\0\x18\x01\0\0\0\0\0\0\x0a\0\0\0\x15\0\0\0\x18\0\0\0\0\0\0\0\
\x01\0\0\0\x0f\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x0f\0\0\0\x18\0\0\0\0\0\0\0\
\x01\0\0\0\x0f\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x0f\0\0\0\x18\0\0\0\0\0\0\0\
\x01\0\0\0\x0f\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x0f\0\0\0\x18\0\0\0\0\0\0\0\
\x01\0\0\0\x0f\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x0f\0\0\0\x18\0\0\0\0\0\0\0\
\x01\0\0\0\x0f\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x18\x02\0\0\x18\x02\0\0\
\x99\x04\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x03\0\0\0\x01\0\0\0\
\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x09\0\0\0\x01\0\0\x0c\x02\
\0\0\0\x1e\0\0\0\x01\0\0\x0c\x02\0\0\0\x39\0\0\0\x01\0\0\x0c\x02\0\0\0\x47\0\0\
\0\x01\0\0\x0c\x02\0\0\0\x56\0\0\0\x01\0\0\x0c\x02\0\0\0\0\0\0\0\x01\0\0\x0d\
\x03\0\0\0\0\0\0\0\x03\0\0\0\x6b\0\0\0\x02\0\0\x0c\x09\0\0\0\x85\0\0\0\x01\0\0\
\x0c\x02\0\0\0\x9a\0\0\0\x01\0\0\x0c\x02\0\0\0\xb2\0\0\0\x01\0\0\x0c\x02\0\0\0\
\xcd\0\0\0\x01\0\0\x0c\x02\0\0\0\xeb\0\0\0\x01\0\0\x0c\x02\0\0\0\0\x01\0\0\x01\
\0\0\x0c\x02\0\0\0\x14\x01\0\0\x01\0\0\x0c\x02\0\0\0\x2a\x01\0\0\x01\0\0\x0c\
\x02\0\0\0\x3b\x01\0\0\x01\0\0\x0c\x02\0\0\0\x4f\x01\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x14\0\0\0\x16\0\0\0\x04\0\0\0\x54\x01\0\
\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x68\x01\0\0\0\0\0\x0e\x15\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\x0a\x19\0\0\0\0\0\0\0\0\0\0\x09\x03\0\0\0\x71\x01\0\0\0\0\0\x0e\x18\
\0\0\0\x01\0\0\0\x7d\x01\0\0\x01\0\0\x04\x80\0\0\0\x85\x01\0\0\x1c\0\0\0\0\0\0\
\0\x8b\x01\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x1b\0\
\0\0\x16\0\0\0\0\x01\0\0\x90\x01\0\0\0\0\0\x0e\x1d\0\0\0\x01\0\0\0\x45\x03\0\0\
\x01\0\0\x0f\x04\0\0\0\x17\0\0\0\0\0\0\0\x04\0\0\0\x4d\x03\0\0\x01\0\0\x0f\x04\
\0\0\0\x1a\0\0\0\0\0\0\0\x04\0\0\0\x55\x03\0\0\x01\0\0\x0f\0\x80\0\0\x1e\0\0\0\
\0\0\0\0\0\x80\0\0\x5a\x03\0\0\x01\0\0\x0f\0\0\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\0\
\x63\x74\x78\0\x69\x6e\x74\0\x62\x65\x6e\x63\x68\x5f\x74\x72\x69\x67\x67\x65\
\x72\x5f\x75\x70\x72\x6f\x62\x65\0\x62\x65\x6e\x63\x68\x5f\x74\x72\x69\x67\x67\
\x65\x72\x5f\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\0\x74\x72\x69\x67\
\x67\x65\x72\x5f\x63\x6f\x75\x6e\x74\0\x74\x72\x69\x67\x67\x65\x72\x5f\x64\x72\
\x69\x76\x65\x72\0\x74\x72\x69\x67\x67\x65\x72\x5f\x64\x72\x69\x76\x65\x72\x5f\
\x6b\x66\x75\x6e\x63\0\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\
\x75\x72\x6e\x5f\x74\x65\x73\x74\x5f\x74\x70\0\x62\x65\x6e\x63\x68\x5f\x74\x72\
\x69\x67\x67\x65\x72\x5f\x6b\x70\x72\x6f\x62\x65\0\x62\x65\x6e\x63\x68\x5f\x74\
\x72\x69\x67\x67\x65\x72\x5f\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\0\x62\x65\x6e\
\x63\x68\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\x6b\x70\x72\x6f\x62\x65\x5f\x6d\
\x75\x6c\x74\x69\0\x62\x65\x6e\x63\x68\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\x6b\
\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\0\x62\x65\x6e\x63\x68\
\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\x66\x65\x6e\x74\x72\x79\0\x62\x65\x6e\x63\
\x68\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\x66\x65\x78\x69\x74\0\x62\x65\x6e\x63\
\x68\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\x66\x6d\x6f\x64\x72\x65\x74\0\x62\x65\
\x6e\x63\x68\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\x74\x70\0\x62\x65\x6e\x63\x68\
\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\x72\x61\x77\x74\x70\0\x63\x68\x61\x72\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\x61\x74\x63\x68\x5f\x69\x74\x65\x72\x73\
\0\x63\x6f\x75\x6e\x74\x65\x72\0\x76\x61\x6c\x75\x65\0\x6c\x6f\x6e\x67\0\x68\
\x69\x74\x73\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\
\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\
\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\
\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\
\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\
\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\
\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x72\x69\x67\x67\x65\x72\x5f\x62\
\x65\x6e\x63\x68\x2e\x63\0\x09\x69\x6e\x74\x20\x63\x70\x75\x20\x3d\x20\x62\x70\
\x66\x5f\x67\x65\x74\x5f\x73\x6d\x70\x5f\x70\x72\x6f\x63\x65\x73\x73\x6f\x72\
\x5f\x69\x64\x28\x29\x3b\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x61\x64\x64\x5f\x61\
\x6e\x64\x5f\x66\x65\x74\x63\x68\x28\x26\x68\x69\x74\x73\x5b\x63\x70\x75\x20\
\x26\x20\x43\x50\x55\x5f\x4d\x41\x53\x4b\x5d\x2e\x76\x61\x6c\x75\x65\x2c\x20\
\x31\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x09\x66\x6f\x72\x20\
\x28\x69\x20\x3d\x20\x30\x3b\x20\x69\x20\x3c\x20\x62\x61\x74\x63\x68\x5f\x69\
\x74\x65\x72\x73\x3b\x20\x69\x2b\x2b\x29\0\x09\x09\x28\x76\x6f\x69\x64\x29\x62\
\x70\x66\x5f\x67\x65\x74\x5f\x6e\x75\x6d\x61\x5f\x6e\x6f\x64\x65\x5f\x69\x64\
\x28\x29\x3b\x20\x2f\x2a\x20\x61\x74\x74\x61\x63\x68\x20\x70\x6f\x69\x6e\x74\
\x20\x66\x6f\x72\x20\x62\x65\x6e\x63\x68\x6d\x61\x72\x6b\x69\x6e\x67\x20\x2a\
\x2f\0\x09\x09\x28\x76\x6f\x69\x64\x29\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\
\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\x5f\x74\x70\x28\x30\x29\x3b\
\x20\x2f\x2a\x20\x61\x74\x74\x61\x63\x68\x20\x70\x6f\x69\x6e\x74\x20\x66\x6f\
\x72\x20\x62\x65\x6e\x63\x68\x6d\x61\x72\x6b\x69\x6e\x67\x20\x2a\x2f\0\x09\x72\
\x65\x74\x75\x72\x6e\x20\x2d\x32\x32\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x72\x6f\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\x2e\x6b\x73\x79\x6d\x73\0\x3f\x75\
\x70\x72\x6f\x62\x65\0\x3f\x75\x70\x72\x6f\x62\x65\x2e\x6d\x75\x6c\x74\x69\0\
\x3f\x72\x61\x77\x5f\x74\x70\0\x3f\x6b\x70\x72\x6f\x62\x65\x2f\x62\x70\x66\x5f\
\x67\x65\x74\x5f\x6e\x75\x6d\x61\x5f\x6e\x6f\x64\x65\x5f\x69\x64\0\x3f\x6b\x72\
\x65\x74\x70\x72\x6f\x62\x65\x2f\x62\x70\x66\x5f\x67\x65\x74\x5f\x6e\x75\x6d\
\x61\x5f\x6e\x6f\x64\x65\x5f\x69\x64\0\x3f\x6b\x70\x72\x6f\x62\x65\x2e\x6d\x75\
\x6c\x74\x69\x2f\x62\x70\x66\x5f\x67\x65\x74\x5f\x6e\x75\x6d\x61\x5f\x6e\x6f\
\x64\x65\x5f\x69\x64\0\x3f\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x2e\x6d\x75\x6c\
\x74\x69\x2f\x62\x70\x66\x5f\x67\x65\x74\x5f\x6e\x75\x6d\x61\x5f\x6e\x6f\x64\
\x65\x5f\x69\x64\0\x3f\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x67\x65\x74\
\x5f\x6e\x75\x6d\x61\x5f\x6e\x6f\x64\x65\x5f\x69\x64\0\x3f\x66\x65\x78\x69\x74\
\x2f\x62\x70\x66\x5f\x67\x65\x74\x5f\x6e\x75\x6d\x61\x5f\x6e\x6f\x64\x65\x5f\
\x69\x64\0\x3f\x66\x6d\x6f\x64\x5f\x72\x65\x74\x2f\x62\x70\x66\x5f\x6d\x6f\x64\
\x69\x66\x79\x5f\x72\x65\x74\x75\x72\x6e\x5f\x74\x65\x73\x74\x5f\x74\x70\0\x3f\
\x74\x70\x2f\x62\x70\x66\x5f\x74\x65\x73\x74\x5f\x72\x75\x6e\x2f\x62\x70\x66\
\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\x74\x70\0\x3f\x72\x61\x77\x5f\x74\x70\x2f\
\x62\x70\x66\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\x74\x70\0\0\0\0\0\0\0\0\x9f\
\xeb\x01\0\x20\0\0\0\0\0\0\0\xd4\0\0\0\xd4\0\0\0\x54\x05\0\0\x28\x06\0\0\0\0\0\
\0\x08\0\0\0\x61\x03\0\0\x01\0\0\0\0\0\0\0\x04\0\0\0\x69\x03\0\0\x01\0\0\0\0\0\
\0\0\x05\0\0\0\x77\x03\0\0\x03\0\0\0\0\0\0\0\x06\0\0\0\x90\0\0\0\x07\0\0\0\xe8\
\0\0\0\x08\0\0\0\x7f\x03\0\0\x01\0\0\0\0\0\0\0\x0b\0\0\0\x9c\x03\0\0\x01\0\0\0\
\0\0\0\0\x0c\0\0\0\xbc\x03\0\0\x01\0\0\0\0\0\0\0\x0d\0\0\0\xdf\x03\0\0\x01\0\0\
\0\0\0\0\0\x0e\0\0\0\x05\x04\0\0\x01\0\0\0\0\0\0\0\x0f\0\0\0\x22\x04\0\0\x01\0\
\0\0\0\0\0\0\x10\0\0\0\x3e\x04\0\0\x01\0\0\0\0\0\0\0\x11\0\0\0\x62\x04\0\0\x01\
\0\0\0\0\0\0\0\x12\0\0\0\x82\x04\0\0\x01\0\0\0\0\0\0\0\x13\0\0\0\x10\0\0\0\x61\
\x03\0\0\x05\0\0\0\0\0\0\0\x95\x01\0\0\x1e\x02\0\0\x0c\x5c\0\0\x08\0\0\0\x95\
\x01\0\0\x45\x02\0\0\x21\x64\0\0\x10\0\0\0\x95\x01\0\0\x45\x02\0\0\x18\x64\0\0\
\x38\0\0\0\x95\x01\0\0\x45\x02\0\0\x02\x64\0\0\x40\0\0\0\x95\x01\0\0\x7c\x02\0\
\0\x02\x80\0\0\x69\x03\0\0\x05\0\0\0\0\0\0\0\x95\x01\0\0\x1e\x02\0\0\x0c\x5c\0\
\0\x08\0\0\0\x95\x01\0\0\x45\x02\0\0\x21\x64\0\0\x10\0\0\0\x95\x01\0\0\x45\x02\
\0\0\x18\x64\0\0\x38\0\0\0\x95\x01\0\0\x45\x02\0\0\x02\x64\0\0\x40\0\0\0\x95\
\x01\0\0\x7c\x02\0\0\x02\x9c\0\0\x77\x03\0\0\x18\0\0\0\0\0\0\0\x95\x01\0\0\x87\
\x02\0\0\x12\xc4\0\0\x18\0\0\0\x95\x01\0\0\x87\x02\0\0\x02\xc4\0\0\x28\0\0\0\
\x95\x01\0\0\x1e\x02\0\0\x0c\x5c\0\0\x30\0\0\0\x95\x01\0\0\x45\x02\0\0\x21\x64\
\0\0\x38\0\0\0\x95\x01\0\0\x45\x02\0\0\x18\x64\0\0\x58\0\0\0\x95\x01\0\0\x45\
\x02\0\0\x02\x64\0\0\x68\0\0\0\x95\x01\0\0\x87\x02\0\0\x20\xc4\0\0\x70\0\0\0\
\x95\x01\0\0\x87\x02\0\0\x12\xc4\0\0\x78\0\0\0\x95\x01\0\0\x87\x02\0\0\x02\xc4\
\0\0\x80\0\0\0\x95\x01\0\0\x7c\x02\0\0\x02\xd0\0\0\x90\0\0\0\x95\x01\0\0\x87\
\x02\0\0\x12\xf0\0\0\xa8\0\0\0\x95\x01\0\0\x87\x02\0\0\x02\xf0\0\0\xb8\0\0\0\
\x95\x01\0\0\xaa\x02\0\0\x09\xf4\0\0\xc0\0\0\0\x95\x01\0\0\x87\x02\0\0\x20\xf0\
\0\0\xc8\0\0\0\x95\x01\0\0\x87\x02\0\0\x12\xf0\0\0\xd0\0\0\0\x95\x01\0\0\x87\
\x02\0\0\x02\xf0\0\0\xd8\0\0\0\x95\x01\0\0\x7c\x02\0\0\x02\xfc\0\0\xe8\0\0\0\
\x95\x01\0\0\x87\x02\0\0\x12\x24\x01\0\0\x01\0\0\x95\x01\0\0\x87\x02\0\0\x02\
\x24\x01\0\x10\x01\0\0\x95\x01\0\0\xee\x02\0\0\x09\x28\x01\0\x20\x01\0\0\x95\
\x01\0\0\x87\x02\0\0\x20\x24\x01\0\x28\x01\0\0\x95\x01\0\0\x87\x02\0\0\x12\x24\
\x01\0\x30\x01\0\0\x95\x01\0\0\x87\x02\0\0\x02\x24\x01\0\x38\x01\0\0\x95\x01\0\
\0\x7c\x02\0\0\x02\x30\x01\0\x7f\x03\0\0\x05\0\0\0\0\0\0\0\x95\x01\0\0\x1e\x02\
\0\0\x0c\x5c\0\0\x08\0\0\0\x95\x01\0\0\x45\x02\0\0\x21\x64\0\0\x10\0\0\0\x95\
\x01\0\0\x45\x02\0\0\x18\x64\0\0\x38\0\0\0\x95\x01\0\0\x45\x02\0\0\x02\x64\0\0\
\x40\0\0\0\x95\x01\0\0\x7c\x02\0\0\x02\x4c\x01\0\x9c\x03\0\0\x05\0\0\0\0\0\0\0\
\x95\x01\0\0\x1e\x02\0\0\x0c\x5c\0\0\x08\0\0\0\x95\x01\0\0\x45\x02\0\0\x21\x64\
\0\0\x10\0\0\0\x95\x01\0\0\x45\x02\0\0\x18\x64\0\0\x38\0\0\0\x95\x01\0\0\x45\
\x02\0\0\x02\x64\0\0\x40\0\0\0\x95\x01\0\0\x7c\x02\0\0\x02\x68\x01\0\xbc\x03\0\
\0\x05\0\0\0\0\0\0\0\x95\x01\0\0\x1e\x02\0\0\x0c\x5c\0\0\x08\0\0\0\x95\x01\0\0\
\x45\x02\0\0\x21\x64\0\0\x10\0\0\0\x95\x01\0\0\x45\x02\0\0\x18\x64\0\0\x38\0\0\
\0\x95\x01\0\0\x45\x02\0\0\x02\x64\0\0\x40\0\0\0\x95\x01\0\0\x7c\x02\0\0\x02\
\x84\x01\0\xdf\x03\0\0\x05\0\0\0\0\0\0\0\x95\x01\0\0\x1e\x02\0\0\x0c\x5c\0\0\
\x08\0\0\0\x95\x01\0\0\x45\x02\0\0\x21\x64\0\0\x10\0\0\0\x95\x01\0\0\x45\x02\0\
\0\x18\x64\0\0\x38\0\0\0\x95\x01\0\0\x45\x02\0\0\x02\x64\0\0\x40\0\0\0\x95\x01\
\0\0\x7c\x02\0\0\x02\xa0\x01\0\x05\x04\0\0\x05\0\0\0\0\0\0\0\x95\x01\0\0\x1e\
\x02\0\0\x0c\x5c\0\0\x08\0\0\0\x95\x01\0\0\x45\x02\0\0\x21\x64\0\0\x10\0\0\0\
\x95\x01\0\0\x45\x02\0\0\x18\x64\0\0\x38\0\0\0\x95\x01\0\0\x45\x02\0\0\x02\x64\
\0\0\x40\0\0\0\x95\x01\0\0\x7c\x02\0\0\x02\xbc\x01\0\x22\x04\0\0\x05\0\0\0\0\0\
\0\0\x95\x01\0\0\x1e\x02\0\0\x0c\x5c\0\0\x08\0\0\0\x95\x01\0\0\x45\x02\0\0\x21\
\x64\0\0\x10\0\0\0\x95\x01\0\0\x45\x02\0\0\x18\x64\0\0\x38\0\0\0\x95\x01\0\0\
\x45\x02\0\0\x02\x64\0\0\x40\0\0\0\x95\x01\0\0\x7c\x02\0\0\x02\xd8\x01\0\x3e\
\x04\0\0\x05\0\0\0\0\0\0\0\x95\x01\0\0\x1e\x02\0\0\x0c\x5c\0\0\x08\0\0\0\x95\
\x01\0\0\x45\x02\0\0\x21\x64\0\0\x10\0\0\0\x95\x01\0\0\x45\x02\0\0\x18\x64\0\0\
\x38\0\0\0\x95\x01\0\0\x45\x02\0\0\x02\x64\0\0\x40\0\0\0\x95\x01\0\0\x38\x03\0\
\0\x02\xf4\x01\0\x62\x04\0\0\x05\0\0\0\0\0\0\0\x95\x01\0\0\x1e\x02\0\0\x0c\x5c\
\0\0\x08\0\0\0\x95\x01\0\0\x45\x02\0\0\x21\x64\0\0\x10\0\0\0\x95\x01\0\0\x45\
\x02\0\0\x18\x64\0\0\x38\0\0\0\x95\x01\0\0\x45\x02\0\0\x02\x64\0\0\x40\0\0\0\
\x95\x01\0\0\x7c\x02\0\0\x02\x10\x02\0\x82\x04\0\0\x05\0\0\0\0\0\0\0\x95\x01\0\
\0\x1e\x02\0\0\x0c\x5c\0\0\x08\0\0\0\x95\x01\0\0\x45\x02\0\0\x21\x64\0\0\x10\0\
\0\0\x95\x01\0\0\x45\x02\0\0\x18\x64\0\0\x38\0\0\0\x95\x01\0\0\x45\x02\0\0\x02\
\x64\0\0\x40\0\0\0\x95\x01\0\0\x7c\x02\0\0\x02\x2c\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x40\0\0\0\0\0\0\0\x44\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x04\0\0\
\0\0\0\0\0\x03\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\
\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x07\0\0\0\0\0\0\
\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x07\0\0\0\0\0\0\x50\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x01\0\0\0\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x08\0\0\0\0\0\0\x48\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x70\x09\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4c\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xc0\x09\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x6c\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x0a\0\
\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x8f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x0a\0\0\0\0\0\0\x50\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb5\0\0\0\x01\
\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x0a\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd2\0\0\0\x01\0\0\0\x06\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xee\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x50\x0b\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x12\x01\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xa0\x0b\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x32\x01\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x0b\0\0\
\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x49\x01\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x0c\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x51\x01\0\
\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x44\x0c\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x59\x01\0\0\x08\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x0c\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xce\x02\0\0\x09\0\0\0\x40\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x80\x0c\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\
\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xda\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x90\x0c\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\
\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xec\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xa0\x0c\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x02\0\0\0\x05\0\0\0\x08\0\0\0\
\0\0\0\0\x10\0\0\0\0\0\0\0\xf8\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xf0\x0c\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\x19\x03\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x0d\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x07\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x3d\x03\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x0d\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x08\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\x64\x03\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x0d\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x09\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x8e\x03\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x0d\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x02\0\0\0\x0a\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xaf\
\x03\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x0d\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x02\0\0\0\x0b\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xcf\x03\0\
\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x0d\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\x02\0\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xf7\x03\0\0\x09\
\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x0d\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x02\0\0\0\x0d\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x1b\x04\0\0\x09\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x0d\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\
\0\0\x0e\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x36\x04\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x0d\0\0\0\0\0\0\xc9\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3b\x04\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x50\x14\0\0\0\0\0\0\x48\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct trigger_bench *trigger_bench::open(const struct bpf_object_open_opts *opts) { return trigger_bench__open_opts(opts); }
struct trigger_bench *trigger_bench::open_and_load() { return trigger_bench__open_and_load(); }
int trigger_bench::load(struct trigger_bench *skel) { return trigger_bench__load(skel); }
int trigger_bench::attach(struct trigger_bench *skel) { return trigger_bench__attach(skel); }
void trigger_bench::detach(struct trigger_bench *skel) { trigger_bench__detach(skel); }
void trigger_bench::destroy(struct trigger_bench *skel) { trigger_bench__destroy(skel); }
const void *trigger_bench::elf_bytes(size_t *sz) { return trigger_bench__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
trigger_bench__assert(struct trigger_bench *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->rodata->batch_iters) == 4, "unexpected size of 'batch_iters'");
	_Static_assert(sizeof(s->bss->hits) == 32768, "unexpected size of 'hits'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TRIGGER_BENCH_SKEL_H__ */
