/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_CGROUP_INV_RETCODE_SKEL_H__
#define __VERIFIER_CGROUP_INV_RETCODE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_cgroup_inv_retcode {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *with_invalid_return_code_test1;
		struct bpf_program *with_invalid_return_code_test2;
		struct bpf_program *with_invalid_return_code_test3;
		struct bpf_program *with_invalid_return_code_test4;
		struct bpf_program *with_invalid_return_code_test5;
		struct bpf_program *with_invalid_return_code_test6;
		struct bpf_program *with_invalid_return_code_test7;
	} progs;
	struct {
		struct bpf_link *with_invalid_return_code_test1;
		struct bpf_link *with_invalid_return_code_test2;
		struct bpf_link *with_invalid_return_code_test3;
		struct bpf_link *with_invalid_return_code_test4;
		struct bpf_link *with_invalid_return_code_test5;
		struct bpf_link *with_invalid_return_code_test6;
		struct bpf_link *with_invalid_return_code_test7;
	} links;

#ifdef __cplusplus
	static inline struct verifier_cgroup_inv_retcode *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_cgroup_inv_retcode *open_and_load();
	static inline int load(struct verifier_cgroup_inv_retcode *skel);
	static inline int attach(struct verifier_cgroup_inv_retcode *skel);
	static inline void detach(struct verifier_cgroup_inv_retcode *skel);
	static inline void destroy(struct verifier_cgroup_inv_retcode *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_cgroup_inv_retcode__destroy(struct verifier_cgroup_inv_retcode *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_cgroup_inv_retcode__create_skeleton(struct verifier_cgroup_inv_retcode *obj);

static inline struct verifier_cgroup_inv_retcode *
verifier_cgroup_inv_retcode__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_cgroup_inv_retcode *obj;
	int err;

	obj = (struct verifier_cgroup_inv_retcode *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_cgroup_inv_retcode__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_cgroup_inv_retcode__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_cgroup_inv_retcode *
verifier_cgroup_inv_retcode__open(void)
{
	return verifier_cgroup_inv_retcode__open_opts(NULL);
}

static inline int
verifier_cgroup_inv_retcode__load(struct verifier_cgroup_inv_retcode *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_cgroup_inv_retcode *
verifier_cgroup_inv_retcode__open_and_load(void)
{
	struct verifier_cgroup_inv_retcode *obj;
	int err;

	obj = verifier_cgroup_inv_retcode__open();
	if (!obj)
		return NULL;
	err = verifier_cgroup_inv_retcode__load(obj);
	if (err) {
		verifier_cgroup_inv_retcode__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_cgroup_inv_retcode__attach(struct verifier_cgroup_inv_retcode *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_cgroup_inv_retcode__detach(struct verifier_cgroup_inv_retcode *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_cgroup_inv_retcode__elf_bytes(size_t *sz);

static inline int
verifier_cgroup_inv_retcode__create_skeleton(struct verifier_cgroup_inv_retcode *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_cgroup_inv_retcode";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 7;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "with_invalid_return_code_test1";
	s->progs[0].prog = &obj->progs.with_invalid_return_code_test1;
	s->progs[0].link = &obj->links.with_invalid_return_code_test1;

	s->progs[1].name = "with_invalid_return_code_test2";
	s->progs[1].prog = &obj->progs.with_invalid_return_code_test2;
	s->progs[1].link = &obj->links.with_invalid_return_code_test2;

	s->progs[2].name = "with_invalid_return_code_test3";
	s->progs[2].prog = &obj->progs.with_invalid_return_code_test3;
	s->progs[2].link = &obj->links.with_invalid_return_code_test3;

	s->progs[3].name = "with_invalid_return_code_test4";
	s->progs[3].prog = &obj->progs.with_invalid_return_code_test4;
	s->progs[3].link = &obj->links.with_invalid_return_code_test4;

	s->progs[4].name = "with_invalid_return_code_test5";
	s->progs[4].prog = &obj->progs.with_invalid_return_code_test5;
	s->progs[4].link = &obj->links.with_invalid_return_code_test5;

	s->progs[5].name = "with_invalid_return_code_test6";
	s->progs[5].prog = &obj->progs.with_invalid_return_code_test6;
	s->progs[5].link = &obj->links.with_invalid_return_code_test6;

	s->progs[6].name = "with_invalid_return_code_test7";
	s->progs[6].prog = &obj->progs.with_invalid_return_code_test7;
	s->progs[6].link = &obj->links.with_invalid_return_code_test7;

	s->data = verifier_cgroup_inv_retcode__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_cgroup_inv_retcode__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x20\x0b\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x63\x67\
\x72\x6f\x75\x70\x2f\x73\x6f\x63\x6b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\
\x72\x69\x66\x69\x65\x72\x5f\x63\x67\x72\x6f\x75\x70\x5f\x69\x6e\x76\x5f\x72\
\x65\x74\x63\x6f\x64\x65\x2e\x63\0\x77\x69\x74\x68\x5f\x69\x6e\x76\x61\x6c\x69\
\x64\x5f\x72\x65\x74\x75\x72\x6e\x5f\x63\x6f\x64\x65\x5f\x74\x65\x73\x74\x31\0\
\x77\x69\x74\x68\x5f\x69\x6e\x76\x61\x6c\x69\x64\x5f\x72\x65\x74\x75\x72\x6e\
\x5f\x63\x6f\x64\x65\x5f\x74\x65\x73\x74\x32\0\x77\x69\x74\x68\x5f\x69\x6e\x76\
\x61\x6c\x69\x64\x5f\x72\x65\x74\x75\x72\x6e\x5f\x63\x6f\x64\x65\x5f\x74\x65\
\x73\x74\x33\0\x77\x69\x74\x68\x5f\x69\x6e\x76\x61\x6c\x69\x64\x5f\x72\x65\x74\
\x75\x72\x6e\x5f\x63\x6f\x64\x65\x5f\x74\x65\x73\x74\x34\0\x77\x69\x74\x68\x5f\
\x69\x6e\x76\x61\x6c\x69\x64\x5f\x72\x65\x74\x75\x72\x6e\x5f\x63\x6f\x64\x65\
\x5f\x74\x65\x73\x74\x35\0\x77\x69\x74\x68\x5f\x69\x6e\x76\x61\x6c\x69\x64\x5f\
\x72\x65\x74\x75\x72\x6e\x5f\x63\x6f\x64\x65\x5f\x74\x65\x73\x74\x36\0\x77\x69\
\x74\x68\x5f\x69\x6e\x76\x61\x6c\x69\x64\x5f\x72\x65\x74\x75\x72\x6e\x5f\x63\
\x6f\x64\x65\x5f\x74\x65\x73\x74\x37\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x25\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x43\0\0\0\x12\0\x03\
\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x62\0\0\0\x12\0\x03\0\x10\0\0\0\0\0\0\0\
\x18\0\0\0\0\0\0\0\x81\0\0\0\x12\0\x03\0\x28\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\
\xa0\0\0\0\x12\0\x03\0\x40\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xbf\0\0\0\x12\0\x03\
\0\x50\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xde\0\0\0\x12\0\x03\0\x60\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\xfd\0\0\0\x12\0\x03\0\x70\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\x1c\x01\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x61\x10\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x61\x10\0\0\0\0\0\0\x57\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\
\x61\x10\0\0\0\0\0\0\x57\0\0\0\x03\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\
\x95\0\0\0\0\0\0\0\xb7\0\0\0\x02\0\0\0\x95\0\0\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x61\x10\0\0\0\0\0\0\x61\x12\x04\0\0\0\0\0\x2f\x20\0\0\0\0\0\
\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xf0\
\x01\0\0\xf0\x01\0\0\x1f\x05\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\x01\0\0\0\x01\0\0\
\x0c\x01\0\0\0\x20\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x62\0\0\0\0\0\0\
\x11\x02\0\0\0\xff\xff\xff\xff\x7e\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\
\xca\0\0\0\x01\0\0\x0c\x01\0\0\0\xe9\0\0\0\0\0\0\x11\x06\0\0\0\xff\xff\xff\xff\
\x2b\x01\0\0\0\0\0\x11\x06\0\0\0\xff\xff\xff\xff\x47\x01\0\0\x01\0\0\x0c\x01\0\
\0\0\x66\x01\0\0\0\0\0\x11\x09\0\0\0\xff\xff\xff\xff\x62\0\0\0\0\0\0\x11\x09\0\
\0\0\xff\xff\xff\xff\xa8\x01\0\0\0\0\0\x11\x09\0\0\0\xff\xff\xff\xff\xeb\x01\0\
\0\x01\0\0\x0c\x01\0\0\0\x0a\x02\0\0\0\0\0\x11\x0d\0\0\0\xff\xff\xff\xff\x2b\
\x01\0\0\0\0\0\x11\x0d\0\0\0\xff\xff\xff\xff\x4c\x02\0\0\x01\0\0\x0c\x01\0\0\0\
\x6b\x02\0\0\0\0\0\x11\x10\0\0\0\xff\xff\xff\xff\x62\0\0\0\0\0\0\x11\x10\0\0\0\
\xff\xff\xff\xff\xad\x02\0\0\0\0\0\x11\x10\0\0\0\xff\xff\xff\xff\xf0\x02\0\0\
\x01\0\0\x0c\x01\0\0\0\x0f\x03\0\0\0\0\0\x11\x14\0\0\0\xff\xff\xff\xff\x62\0\0\
\0\0\0\0\x11\x14\0\0\0\xff\xff\xff\xff\x51\x03\0\0\0\0\0\x11\x14\0\0\0\xff\xff\
\xff\xff\x89\x03\0\0\x01\0\0\x0c\x01\0\0\0\xa8\x03\0\0\0\0\0\x11\x18\0\0\0\xff\
\xff\xff\xff\x62\0\0\0\0\0\0\x11\x18\0\0\0\xff\xff\xff\xff\xea\x03\0\0\0\0\0\
\x11\x18\0\0\0\xff\xff\xff\xff\x3b\x04\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\
\0\0\0\0\0\x03\0\0\0\0\x1c\0\0\0\x1e\0\0\0\x04\0\0\0\x40\x04\0\0\0\0\0\x01\x04\
\0\0\0\x20\0\0\0\x54\x04\0\0\0\0\0\x0e\x1d\0\0\0\x01\0\0\0\x0b\x05\0\0\x01\0\0\
\x0f\x04\0\0\0\x1f\0\0\0\0\0\0\0\x04\0\0\0\0\x77\x69\x74\x68\x5f\x69\x6e\x76\
\x61\x6c\x69\x64\x5f\x72\x65\x74\x75\x72\x6e\x5f\x63\x6f\x64\x65\x5f\x74\x65\
\x73\x74\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\
\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x70\x66\x5f\x65\x78\x69\x74\x20\x77\
\x69\x74\x68\x20\x69\x6e\x76\x61\x6c\x69\x64\x20\x72\x65\x74\x75\x72\x6e\x20\
\x63\x6f\x64\x65\x2e\x20\x74\x65\x73\x74\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x3d\x30\x3d\x73\x6d\x69\x6e\x3d\x30\x20\x73\x6d\x61\x78\x3d\
\x34\x32\x39\x34\x39\x36\x37\x32\x39\x35\x20\x73\x68\x6f\x75\x6c\x64\x20\x68\
\x61\x76\x65\x20\x62\x65\x65\x6e\x20\x69\x6e\x20\x5b\x30\x2c\x20\x31\x5d\0\x77\
\x69\x74\x68\x5f\x69\x6e\x76\x61\x6c\x69\x64\x5f\x72\x65\x74\x75\x72\x6e\x5f\
\x63\x6f\x64\x65\x5f\x74\x65\x73\x74\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x70\x66\
\x5f\x65\x78\x69\x74\x20\x77\x69\x74\x68\x20\x69\x6e\x76\x61\x6c\x69\x64\x20\
\x72\x65\x74\x75\x72\x6e\x20\x63\x6f\x64\x65\x2e\x20\x74\x65\x73\x74\x32\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x73\x75\x63\x63\x65\x73\x73\0\x77\x69\x74\x68\x5f\x69\x6e\x76\x61\x6c\x69\x64\
\x5f\x72\x65\x74\x75\x72\x6e\x5f\x63\x6f\x64\x65\x5f\x74\x65\x73\x74\x33\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\
\x74\x69\x6f\x6e\x3d\x62\x70\x66\x5f\x65\x78\x69\x74\x20\x77\x69\x74\x68\x20\
\x69\x6e\x76\x61\x6c\x69\x64\x20\x72\x65\x74\x75\x72\x6e\x20\x63\x6f\x64\x65\
\x2e\x20\x74\x65\x73\x74\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x3d\x73\x6d\x69\x6e\x3d\
\x30\x20\x73\x6d\x61\x78\x3d\x33\x20\x73\x68\x6f\x75\x6c\x64\x20\x68\x61\x76\
\x65\x20\x62\x65\x65\x6e\x20\x69\x6e\x20\x5b\x30\x2c\x20\x31\x5d\0\x77\x69\x74\
\x68\x5f\x69\x6e\x76\x61\x6c\x69\x64\x5f\x72\x65\x74\x75\x72\x6e\x5f\x63\x6f\
\x64\x65\x5f\x74\x65\x73\x74\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x70\x66\x5f\x65\
\x78\x69\x74\x20\x77\x69\x74\x68\x20\x69\x6e\x76\x61\x6c\x69\x64\x20\x72\x65\
\x74\x75\x72\x6e\x20\x63\x6f\x64\x65\x2e\x20\x74\x65\x73\x74\x34\0\x77\x69\x74\
\x68\x5f\x69\x6e\x76\x61\x6c\x69\x64\x5f\x72\x65\x74\x75\x72\x6e\x5f\x63\x6f\
\x64\x65\x5f\x74\x65\x73\x74\x35\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x70\x66\x5f\x65\
\x78\x69\x74\x20\x77\x69\x74\x68\x20\x69\x6e\x76\x61\x6c\x69\x64\x20\x72\x65\
\x74\x75\x72\x6e\x20\x63\x6f\x64\x65\x2e\x20\x74\x65\x73\x74\x35\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x3d\x32\x3d\x73\x6d\x69\x6e\x3d\x32\x20\x73\x6d\x61\x78\x3d\x32\x20\x73\
\x68\x6f\x75\x6c\x64\x20\x68\x61\x76\x65\x20\x62\x65\x65\x6e\x20\x69\x6e\x20\
\x5b\x30\x2c\x20\x31\x5d\0\x77\x69\x74\x68\x5f\x69\x6e\x76\x61\x6c\x69\x64\x5f\
\x72\x65\x74\x75\x72\x6e\x5f\x63\x6f\x64\x65\x5f\x74\x65\x73\x74\x36\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x62\x70\x66\x5f\x65\x78\x69\x74\x20\x77\x69\x74\x68\x20\x69\
\x6e\x76\x61\x6c\x69\x64\x20\x72\x65\x74\x75\x72\x6e\x20\x63\x6f\x64\x65\x2e\
\x20\x74\x65\x73\x74\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x33\x3d\x52\x30\x20\x69\x73\x20\
\x6e\x6f\x74\x20\x61\x20\x6b\x6e\x6f\x77\x6e\x20\x76\x61\x6c\x75\x65\x20\x28\
\x63\x74\x78\x29\0\x77\x69\x74\x68\x5f\x69\x6e\x76\x61\x6c\x69\x64\x5f\x72\x65\
\x74\x75\x72\x6e\x5f\x63\x6f\x64\x65\x5f\x74\x65\x73\x74\x37\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\
\x6e\x3d\x62\x70\x66\x5f\x65\x78\x69\x74\x20\x77\x69\x74\x68\x20\x69\x6e\x76\
\x61\x6c\x69\x64\x20\x72\x65\x74\x75\x72\x6e\x20\x63\x6f\x64\x65\x2e\x20\x74\
\x65\x73\x74\x37\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x34\x3d\x52\x30\x20\x68\x61\x73\x20\x75\
\x6e\x6b\x6e\x6f\x77\x6e\x20\x73\x63\x61\x6c\x61\x72\x20\x76\x61\x6c\x75\x65\
\x20\x73\x68\x6f\x75\x6c\x64\x20\x68\x61\x76\x65\x20\x62\x65\x65\x6e\x20\x69\
\x6e\x20\x5b\x30\x2c\x20\x31\x5d\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\
\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\
\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\
\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\
\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\
\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\
\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\
\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x63\
\x67\x72\x6f\x75\x70\x5f\x69\x6e\x76\x5f\x72\x65\x74\x63\x6f\x64\x65\x2e\x63\0\
\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\x22\x09\x09\x09\
\x09\x09\x5c\0\x6c\x69\x63\x65\x6e\x73\x65\0\x63\x67\x72\x6f\x75\x70\x2f\x73\
\x6f\x63\x6b\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x44\0\0\0\x44\0\0\0\x7c\0\0\0\
\xc0\0\0\0\0\0\0\0\x08\0\0\0\x13\x05\0\0\x07\0\0\0\0\0\0\0\x02\0\0\0\x10\0\0\0\
\x06\0\0\0\x28\0\0\0\x09\0\0\0\x40\0\0\0\x0d\0\0\0\x50\0\0\0\x10\0\0\0\x60\0\0\
\0\x14\0\0\0\x70\0\0\0\x18\0\0\0\x10\0\0\0\x13\x05\0\0\x07\0\0\0\0\0\0\0\x5d\
\x04\0\0\xf4\x04\0\0\x02\x34\0\0\x10\0\0\0\x5d\x04\0\0\xf4\x04\0\0\x02\x60\0\0\
\x28\0\0\0\x5d\x04\0\0\xf4\x04\0\0\x02\x90\0\0\x40\0\0\0\x5d\x04\0\0\xf4\x04\0\
\0\x02\xc0\0\0\x50\0\0\0\x5d\x04\0\0\xf4\x04\0\0\x02\xec\0\0\x60\0\0\0\x5d\x04\
\0\0\xf4\x04\0\0\x02\x18\x01\0\x70\0\0\0\x5d\x04\0\0\xf4\x04\0\0\x02\x44\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x33\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x78\x01\0\0\0\0\0\0\x08\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x80\x02\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x1d\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x03\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x25\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\x27\
\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2a\x01\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x0a\0\0\0\0\0\0\xe0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_cgroup_inv_retcode *verifier_cgroup_inv_retcode::open(const struct bpf_object_open_opts *opts) { return verifier_cgroup_inv_retcode__open_opts(opts); }
struct verifier_cgroup_inv_retcode *verifier_cgroup_inv_retcode::open_and_load() { return verifier_cgroup_inv_retcode__open_and_load(); }
int verifier_cgroup_inv_retcode::load(struct verifier_cgroup_inv_retcode *skel) { return verifier_cgroup_inv_retcode__load(skel); }
int verifier_cgroup_inv_retcode::attach(struct verifier_cgroup_inv_retcode *skel) { return verifier_cgroup_inv_retcode__attach(skel); }
void verifier_cgroup_inv_retcode::detach(struct verifier_cgroup_inv_retcode *skel) { verifier_cgroup_inv_retcode__detach(skel); }
void verifier_cgroup_inv_retcode::destroy(struct verifier_cgroup_inv_retcode *skel) { verifier_cgroup_inv_retcode__destroy(skel); }
const void *verifier_cgroup_inv_retcode::elf_bytes(size_t *sz) { return verifier_cgroup_inv_retcode__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_cgroup_inv_retcode__assert(struct verifier_cgroup_inv_retcode *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_CGROUP_INV_RETCODE_SKEL_H__ */
