/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_CONST_SKEL_H__
#define __VERIFIER_CONST_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_const {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *rodata;
		struct bpf_map *data;
		struct bpf_map *bss;
		struct bpf_map *rodata_str1_1;
	} maps;
	struct {
		struct bpf_program *tcx1;
		struct bpf_program *tcx2;
		struct bpf_program *tcx3;
		struct bpf_program *tcx4;
		struct bpf_program *tcx5;
		struct bpf_program *tcx6;
		struct bpf_program *tcx7;
		struct bpf_program *bprm;
	} progs;
	struct {
		struct bpf_link *tcx1;
		struct bpf_link *tcx2;
		struct bpf_link *tcx3;
		struct bpf_link *tcx4;
		struct bpf_link *tcx5;
		struct bpf_link *tcx6;
		struct bpf_link *tcx7;
		struct bpf_link *bprm;
	} links;
	struct verifier_const__rodata {
		long foo;
	} *rodata;
	struct verifier_const__data {
		long bart;
	} *data;
	struct verifier_const__bss {
		long bar;
	} *bss;

#ifdef __cplusplus
	static inline struct verifier_const *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_const *open_and_load();
	static inline int load(struct verifier_const *skel);
	static inline int attach(struct verifier_const *skel);
	static inline void detach(struct verifier_const *skel);
	static inline void destroy(struct verifier_const *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_const__destroy(struct verifier_const *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_const__create_skeleton(struct verifier_const *obj);

static inline struct verifier_const *
verifier_const__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_const *obj;
	int err;

	obj = (struct verifier_const *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_const__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_const__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_const *
verifier_const__open(void)
{
	return verifier_const__open_opts(NULL);
}

static inline int
verifier_const__load(struct verifier_const *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_const *
verifier_const__open_and_load(void)
{
	struct verifier_const *obj;
	int err;

	obj = verifier_const__open();
	if (!obj)
		return NULL;
	err = verifier_const__load(obj);
	if (err) {
		verifier_const__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_const__attach(struct verifier_const *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_const__detach(struct verifier_const *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_const__elf_bytes(size_t *sz);

static inline int
verifier_const__create_skeleton(struct verifier_const *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_const";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 4;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "verifier.rodata";
	map->map = &obj->maps.rodata;
	map->mmaped = (void **)&obj->rodata;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "verifier.data";
	map->map = &obj->maps.data;
	map->mmaped = (void **)&obj->data;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "verifier.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 3 * s->map_skel_sz);
	map->name = ".rodata.str1.1";
	map->map = &obj->maps.rodata_str1_1;

	/* programs */
	s->prog_cnt = 8;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "tcx1";
	s->progs[0].prog = &obj->progs.tcx1;
	s->progs[0].link = &obj->links.tcx1;

	s->progs[1].name = "tcx2";
	s->progs[1].prog = &obj->progs.tcx2;
	s->progs[1].link = &obj->links.tcx2;

	s->progs[2].name = "tcx3";
	s->progs[2].prog = &obj->progs.tcx3;
	s->progs[2].link = &obj->links.tcx3;

	s->progs[3].name = "tcx4";
	s->progs[3].prog = &obj->progs.tcx4;
	s->progs[3].link = &obj->links.tcx4;

	s->progs[4].name = "tcx5";
	s->progs[4].prog = &obj->progs.tcx5;
	s->progs[4].link = &obj->links.tcx5;

	s->progs[5].name = "tcx6";
	s->progs[5].prog = &obj->progs.tcx6;
	s->progs[5].link = &obj->links.tcx6;

	s->progs[6].name = "tcx7";
	s->progs[6].prog = &obj->progs.tcx7;
	s->progs[6].link = &obj->links.tcx7;

	s->progs[7].name = "bprm";
	s->progs[7].prog = &obj->progs.bprm;
	s->progs[7].link = &obj->links.bprm;

	s->data = verifier_const__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_const__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xe0\x15\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0e\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x63\
\x2f\x69\x6e\x67\x72\x65\x73\x73\0\x6c\x73\x6d\x2e\x73\x2f\x62\x70\x72\x6d\x5f\
\x63\x6f\x6d\x6d\x69\x74\x74\x65\x64\x5f\x63\x72\x65\x64\x73\0\x2e\x72\x6f\x64\
\x61\x74\x61\0\x2e\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\x2e\x72\x6f\x64\x61\x74\
\x61\x2e\x73\x74\x72\x31\x2e\x31\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\
\x69\x66\x69\x65\x72\x5f\x63\x6f\x6e\x73\x74\x2e\x63\0\x74\x63\x78\x31\0\x66\
\x6f\x6f\0\x74\x63\x78\x32\0\x62\x61\x72\0\x74\x63\x78\x33\0\x62\x61\x72\x74\0\
\x74\x63\x78\x34\0\x74\x63\x78\x35\0\x74\x63\x78\x36\0\x74\x63\x78\x37\0\x62\
\x70\x72\x6d\0\x4c\x49\x43\x45\x4e\x53\x45\0\x2e\x72\x65\x6c\x74\x63\x2f\x69\
\x6e\x67\x72\x65\x73\x73\0\x2e\x72\x65\x6c\x6c\x73\x6d\x2e\x73\x2f\x62\x70\x72\
\x6d\x5f\x63\x6f\x6d\x6d\x69\x74\x74\x65\x64\x5f\x63\x72\x65\x64\x73\0\x2e\x42\
\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x61\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x72\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x68\0\0\0\0\
\0\0\0\x77\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x7b\0\0\0\x12\0\
\x03\0\x68\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\x80\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\x84\0\0\0\x12\0\x03\0\xd0\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\
\x89\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x8e\0\0\0\x12\0\x03\0\
\x38\x01\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x93\0\0\0\x12\0\x03\0\x78\x01\0\0\0\0\0\
\0\x40\0\0\0\0\0\0\0\x98\0\0\0\x12\0\x03\0\xb8\x01\0\0\0\0\0\0\x40\0\0\0\0\0\0\
\0\x9d\0\0\0\x12\0\x03\0\xf8\x01\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\xa2\0\0\0\x12\0\
\x04\0\0\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\xa7\0\0\0\x11\0\x09\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\xb4\x01\0\0\x38\x34\0\0\x6b\x1a\xfc\xff\0\0\0\0\xb4\x01\0\0\
\0\0\0\0\x73\x1a\xfe\xff\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xfc\xff\xff\
\xff\xb7\x02\0\0\x03\0\0\0\xb7\x03\0\0\0\0\0\0\x18\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x85\0\0\0\x69\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x01\0\0\x38\
\x34\0\0\x6b\x1a\xfc\xff\0\0\0\0\xb4\x01\0\0\0\0\0\0\x73\x1a\xfe\xff\0\0\0\0\
\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xfc\xff\xff\xff\xb7\x02\0\0\x03\0\0\0\xb7\x03\
\0\0\0\0\0\0\x18\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x69\0\0\0\xb4\0\0\0\
\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x01\0\0\x38\x34\0\0\x6b\x1a\xfc\xff\0\0\0\0\xb4\
\x01\0\0\0\0\0\0\x73\x1a\xfe\xff\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xfc\
\xff\xff\xff\xb7\x02\0\0\x03\0\0\0\xb7\x03\0\0\0\0\0\0\x18\x04\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x85\0\0\0\x69\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x12\
\x28\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x04\0\0\0\0\0\0\xb7\x05\
\0\0\0\0\0\0\x85\0\0\0\xa3\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x12\
\x28\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x04\0\0\0\0\0\0\xb7\x05\
\0\0\0\0\0\0\x85\0\0\0\xa3\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x12\
\x28\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x04\0\0\0\0\0\0\xb7\x05\
\0\0\0\0\0\0\x85\0\0\0\xa3\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x11\
\x08\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x12\0\0\0\0\0\0\xb4\0\0\
\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\x07\0\0\0\x54\0\0\0\x03\0\0\0\x18\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xbc\x02\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x85\0\0\0\x94\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x2a\0\0\0\0\0\0\0\
\x60\0\0\0\0\0\0\0\x38\x34\0\x47\x50\x4c\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\x05\0\
\0\0\xa8\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x10\x01\0\0\0\0\0\0\x01\0\0\0\x09\0\
\0\0\x40\x01\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x80\x01\0\0\0\0\0\0\x01\0\0\0\x07\
\0\0\0\xc0\x01\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\0\x02\0\0\0\0\0\0\x01\0\0\0\x05\
\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x28\0\0\0\0\0\0\0\x01\0\0\0\x09\0\
\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x78\x05\0\0\x78\x05\0\0\xe5\x07\0\0\0\0\0\
\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x22\0\0\x04\xc0\0\0\0\x0b\0\0\0\x03\0\0\0\0\0\
\0\0\x0f\0\0\0\x03\0\0\0\x20\0\0\0\x18\0\0\0\x03\0\0\0\x40\0\0\0\x1d\0\0\0\x03\
\0\0\0\x60\0\0\0\x2b\0\0\0\x03\0\0\0\x80\0\0\0\x34\0\0\0\x03\0\0\0\xa0\0\0\0\
\x41\0\0\0\x03\0\0\0\xc0\0\0\0\x4a\0\0\0\x03\0\0\0\xe0\0\0\0\x55\0\0\0\x03\0\0\
\0\0\x01\0\0\x5e\0\0\0\x03\0\0\0\x20\x01\0\0\x6e\0\0\0\x03\0\0\0\x40\x01\0\0\
\x76\0\0\0\x03\0\0\0\x60\x01\0\0\x7f\0\0\0\x05\0\0\0\x80\x01\0\0\x82\0\0\0\x03\
\0\0\0\x20\x02\0\0\x87\0\0\0\x03\0\0\0\x40\x02\0\0\x92\0\0\0\x03\0\0\0\x60\x02\
\0\0\x97\0\0\0\x03\0\0\0\x80\x02\0\0\xa0\0\0\0\x03\0\0\0\xa0\x02\0\0\xa8\0\0\0\
\x03\0\0\0\xc0\x02\0\0\xaf\0\0\0\x03\0\0\0\xe0\x02\0\0\xba\0\0\0\x03\0\0\0\0\
\x03\0\0\xc4\0\0\0\x07\0\0\0\x20\x03\0\0\xcf\0\0\0\x07\0\0\0\xa0\x03\0\0\xd9\0\
\0\0\x03\0\0\0\x20\x04\0\0\xe5\0\0\0\x03\0\0\0\x40\x04\0\0\xf0\0\0\0\x03\0\0\0\
\x60\x04\0\0\0\0\0\0\x08\0\0\0\x80\x04\0\0\xfa\0\0\0\x0a\0\0\0\xc0\x04\0\0\x01\
\x01\0\0\x03\0\0\0\0\x05\0\0\x0a\x01\0\0\x03\0\0\0\x20\x05\0\0\0\0\0\0\x0c\0\0\
\0\x40\x05\0\0\x13\x01\0\0\x03\0\0\0\x80\x05\0\0\x1c\x01\0\0\x0e\0\0\0\xa0\x05\
\0\0\x28\x01\0\0\x0a\0\0\0\xc0\x05\0\0\x31\x01\0\0\0\0\0\x08\x04\0\0\0\x37\x01\
\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x06\0\0\
\0\x05\0\0\0\x44\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\0\x03\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x58\x01\0\0\x09\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x39\0\0\0\x62\x01\0\0\0\0\0\x08\x0b\0\0\0\x68\
\x01\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x7b\x01\0\
\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x3a\0\0\0\x7e\x01\0\0\0\0\0\x08\x0f\0\0\
\0\x83\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\x0d\x11\0\0\0\x91\
\x01\0\0\x01\0\0\0\x95\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x99\x01\0\0\x01\
\0\0\x0c\x10\0\0\0\x9e\x01\0\0\0\0\0\x11\x12\0\0\0\xff\xff\xff\xff\xd5\x01\0\0\
\0\0\0\x11\x12\0\0\0\xff\xff\xff\xff\xf1\x01\0\0\0\0\0\x11\x12\0\0\0\xff\xff\
\xff\xff\x24\x02\0\0\x01\0\0\x0c\x10\0\0\0\x29\x02\0\0\0\0\0\x11\x16\0\0\0\xff\
\xff\xff\xff\x5d\x02\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\x79\x02\0\0\x01\0\
\0\x0c\x10\0\0\0\x7e\x02\0\0\0\0\0\x11\x19\0\0\0\xff\xff\xff\xff\x5d\x02\0\0\0\
\0\0\x11\x19\0\0\0\xff\xff\xff\xff\xb3\x02\0\0\x01\0\0\x0c\x10\0\0\0\xb8\x02\0\
\0\0\0\0\x11\x1c\0\0\0\xff\xff\xff\xff\xd5\x01\0\0\0\0\0\x11\x1c\0\0\0\xff\xff\
\xff\xff\xec\x02\0\0\0\0\0\x11\x1c\0\0\0\xff\xff\xff\xff\x1f\x03\0\0\x01\0\0\
\x0c\x10\0\0\0\x24\x03\0\0\0\0\0\x11\x20\0\0\0\xff\xff\xff\xff\x5d\x02\0\0\0\0\
\0\x11\x20\0\0\0\xff\xff\xff\xff\x55\x03\0\0\x01\0\0\x0c\x10\0\0\0\x5a\x03\0\0\
\0\0\0\x11\x23\0\0\0\xff\xff\xff\xff\x5d\x02\0\0\0\0\0\x11\x23\0\0\0\xff\xff\
\xff\xff\x8c\x03\0\0\x01\0\0\x0c\x10\0\0\0\x91\x03\0\0\0\0\0\x11\x26\0\0\0\xff\
\xff\xff\xff\xd5\x01\0\0\0\0\0\x11\x26\0\0\0\xff\xff\xff\xff\xd7\x03\0\0\0\0\0\
\x11\x26\0\0\0\xff\xff\xff\xff\0\0\0\0\0\0\0\x02\x0b\0\0\0\0\0\0\0\x01\0\0\x0d\
\x11\0\0\0\x0a\x04\0\0\x2a\0\0\0\x0e\x04\0\0\x01\0\0\x0c\x2b\0\0\0\x91\x03\0\0\
\0\0\0\x11\x2c\0\0\0\xff\xff\xff\xff\xd5\x01\0\0\0\0\0\x11\x2c\0\0\0\xff\xff\
\xff\xff\x13\x04\0\0\0\0\0\x11\x2c\0\0\0\xff\xff\xff\xff\0\0\0\0\0\0\0\x0a\x31\
\0\0\0\0\0\0\0\0\0\0\x09\x32\0\0\0\x46\x04\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\
\x4b\x04\0\0\0\0\0\x0e\x30\0\0\0\x01\0\0\0\x4f\x04\0\0\0\0\0\x0e\x32\0\0\0\x01\
\0\0\0\x54\x04\0\0\0\0\0\x0e\x32\0\0\0\x01\0\0\0\x58\x04\0\0\0\0\0\x01\x01\0\0\
\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x36\0\0\0\x06\0\0\0\x04\0\0\0\x5d\x04\
\0\0\0\0\0\x0e\x37\0\0\0\x01\0\0\0\x65\x04\0\0\0\0\0\x07\0\0\0\0\x73\x04\0\0\0\
\0\0\x07\0\0\0\0\xa4\x07\0\0\x01\0\0\x0f\x08\0\0\0\x33\0\0\0\0\0\0\0\x08\0\0\0\
\xac\x07\0\0\x01\0\0\x0f\x08\0\0\0\x34\0\0\0\0\0\0\0\x08\0\0\0\xb2\x07\0\0\x01\
\0\0\x0f\x08\0\0\0\x35\0\0\0\0\0\0\0\x08\0\0\0\xb7\x07\0\0\x01\0\0\x0f\x04\0\0\
\0\x38\0\0\0\0\0\0\0\x04\0\0\0\0\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\
\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\x65\
\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\
\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\
\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\
\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\
\x64\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\x61\x73\x68\0\
\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\
\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\
\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\
\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\
\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\
\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x74\x73\x74\x61\x6d\x70\0\
\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\x67\x73\0\x67\x73\
\x6f\x5f\x73\x69\x7a\x65\0\x74\x73\x74\x61\x6d\x70\x5f\x74\x79\x70\x65\0\x68\
\x77\x74\x73\x74\x61\x6d\x70\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\
\x54\x59\x50\x45\x5f\x5f\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x5f\x5f\x75\
\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\
\x67\0\x73\x6b\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\
\x61\x72\0\x73\x6b\x62\0\x69\x6e\x74\0\x74\x63\x78\x31\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\
\x3d\x72\x6f\x64\x61\x74\x61\x2f\x73\x74\x72\x74\x6f\x6c\x3a\x20\x77\x72\x69\
\x74\x65\x20\x72\x65\x6a\x65\x63\x74\x65\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x3d\x30\x3d\x77\x72\x69\x74\x65\x20\x69\x6e\x74\x6f\x20\x6d\
\x61\x70\x20\x66\x6f\x72\x62\x69\x64\x64\x65\x6e\0\x74\x63\x78\x32\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x62\x73\x73\x2f\x73\x74\x72\x74\x6f\x6c\x3a\x20\x77\x72\x69\
\x74\x65\x20\x61\x63\x63\x65\x70\x74\x65\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\
\x74\x63\x78\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\
\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x64\x61\x74\x61\x2f\x73\x74\x72\x74\
\x6f\x6c\x3a\x20\x77\x72\x69\x74\x65\x20\x61\x63\x63\x65\x70\x74\x65\x64\0\x74\
\x63\x78\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\
\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x72\x6f\x64\x61\x74\x61\x2f\x6d\x74\x75\
\x3a\x20\x77\x72\x69\x74\x65\x20\x72\x65\x6a\x65\x63\x74\x65\x64\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x3d\x31\x3d\x77\x72\x69\x74\x65\x20\x69\x6e\x74\x6f\x20\x6d\x61\x70\x20\
\x66\x6f\x72\x62\x69\x64\x64\x65\x6e\0\x74\x63\x78\x35\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\
\x3d\x62\x73\x73\x2f\x6d\x74\x75\x3a\x20\x77\x72\x69\x74\x65\x20\x61\x63\x63\
\x65\x70\x74\x65\x64\0\x74\x63\x78\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x64\x61\x74\
\x61\x2f\x6d\x74\x75\x3a\x20\x77\x72\x69\x74\x65\x20\x61\x63\x63\x65\x70\x74\
\x65\x64\0\x74\x63\x78\x37\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x72\x6f\x64\x61\x74\x61\
\x2f\x6d\x61\x72\x6b\x3a\x20\x77\x72\x69\x74\x65\x20\x77\x69\x74\x68\x20\x75\
\x6e\x6b\x6e\x6f\x77\x6e\x20\x72\x65\x67\x20\x72\x65\x6a\x65\x63\x74\x65\x64\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x3d\x32\x3d\x77\x72\x69\x74\x65\x20\x69\x6e\x74\x6f\x20\x6d\
\x61\x70\x20\x66\x6f\x72\x62\x69\x64\x64\x65\x6e\0\x63\x74\x78\0\x62\x70\x72\
\x6d\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x33\x3d\x77\x72\x69\x74\x65\x20\x69\x6e\x74\x6f\x20\
\x6d\x61\x70\x20\x66\x6f\x72\x62\x69\x64\x64\x65\x6e\0\x6c\x6f\x6e\x67\0\x66\
\x6f\x6f\0\x62\x61\x72\x74\0\x62\x61\x72\0\x63\x68\x61\x72\0\x4c\x49\x43\x45\
\x4e\x53\x45\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x62\x70\
\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\
\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\
\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\
\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\
\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\
\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\
\x65\x72\x5f\x63\x6f\x6e\x73\x74\x2e\x63\0\x69\x6e\x74\x20\x74\x63\x78\x31\x28\
\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\
\x6b\x62\x29\0\x09\x63\x68\x61\x72\x20\x62\x75\x66\x66\x5b\x5d\x20\x3d\x20\x7b\
\x20\x27\x38\x27\x2c\x20\x27\x34\x27\x2c\x20\x27\x5c\x30\x27\x20\x7d\x3b\0\x09\
\x62\x70\x66\x5f\x73\x74\x72\x74\x6f\x6c\x28\x62\x75\x66\x66\x2c\x20\x73\x69\
\x7a\x65\x6f\x66\x28\x62\x75\x66\x66\x29\x2c\x20\x30\x2c\x20\x28\x6c\x6f\x6e\
\x67\x20\x2a\x29\x26\x66\x6f\x6f\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x54\
\x43\x58\x5f\x50\x41\x53\x53\x3b\0\x69\x6e\x74\x20\x74\x63\x78\x32\x28\x73\x74\
\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\
\x29\0\x09\x62\x70\x66\x5f\x73\x74\x72\x74\x6f\x6c\x28\x62\x75\x66\x66\x2c\x20\
\x73\x69\x7a\x65\x6f\x66\x28\x62\x75\x66\x66\x29\x2c\x20\x30\x2c\x20\x26\x62\
\x61\x72\x29\x3b\0\x69\x6e\x74\x20\x74\x63\x78\x33\x28\x73\x74\x72\x75\x63\x74\
\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x62\x70\
\x66\x5f\x73\x74\x72\x74\x6f\x6c\x28\x62\x75\x66\x66\x2c\x20\x73\x69\x7a\x65\
\x6f\x66\x28\x62\x75\x66\x66\x29\x2c\x20\x30\x2c\x20\x26\x62\x61\x72\x74\x29\
\x3b\0\x09\x62\x70\x66\x5f\x63\x68\x65\x63\x6b\x5f\x6d\x74\x75\x28\x73\x6b\x62\
\x2c\x20\x73\x6b\x62\x2d\x3e\x69\x66\x69\x6e\x64\x65\x78\x2c\x20\x28\x5f\x5f\
\x75\x33\x32\x20\x2a\x29\x26\x66\x6f\x6f\x2c\x20\x30\x2c\x20\x30\x29\x3b\0\x09\
\x62\x70\x66\x5f\x63\x68\x65\x63\x6b\x5f\x6d\x74\x75\x28\x73\x6b\x62\x2c\x20\
\x73\x6b\x62\x2d\x3e\x69\x66\x69\x6e\x64\x65\x78\x2c\x20\x28\x5f\x5f\x75\x33\
\x32\x20\x2a\x29\x26\x62\x61\x72\x2c\x20\x30\x2c\x20\x30\x29\x3b\0\x09\x62\x70\
\x66\x5f\x63\x68\x65\x63\x6b\x5f\x6d\x74\x75\x28\x73\x6b\x62\x2c\x20\x73\x6b\
\x62\x2d\x3e\x69\x66\x69\x6e\x64\x65\x78\x2c\x20\x28\x5f\x5f\x75\x33\x32\x20\
\x2a\x29\x26\x62\x61\x72\x74\x2c\x20\x30\x2c\x20\x30\x29\x3b\0\x09\x77\x72\x69\
\x74\x65\x5f\x66\x69\x78\x65\x64\x28\x28\x76\x6f\x69\x64\x20\x2a\x29\x26\x66\
\x6f\x6f\x2c\x20\x73\x6b\x62\x2d\x3e\x6d\x61\x72\x6b\x29\x3b\0\x09\x2a\x28\x76\
\x6f\x6c\x61\x74\x69\x6c\x65\x20\x5f\x5f\x75\x33\x32\x20\x2a\x29\x70\x20\x3d\
\x20\x76\x61\x6c\x3b\0\x09\x77\x72\x69\x74\x65\x5f\x64\x79\x6e\x28\x28\x76\x6f\
\x69\x64\x20\x2a\x29\x26\x66\x6f\x6f\x2c\x20\x26\x62\x61\x72\x74\x2c\x20\x62\
\x70\x66\x5f\x67\x65\x74\x5f\x70\x72\x61\x6e\x64\x6f\x6d\x5f\x75\x33\x32\x28\
\x29\x20\x26\x20\x33\x29\x3b\0\x09\x62\x70\x66\x5f\x63\x6f\x70\x79\x5f\x66\x72\
\x6f\x6d\x5f\x75\x73\x65\x72\x28\x70\x2c\x20\x6c\x65\x6e\x2c\x20\x76\x61\x6c\
\x29\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x62\x70\x72\x6d\
\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x6c\x69\x6e\x75\x78\x5f\x62\x69\x6e\x70\
\x72\x6d\x20\x2a\x62\x70\x72\x6d\x29\0\x30\x3a\x31\x30\0\x30\x3a\x32\0\x2e\x72\
\x6f\x64\x61\x74\x61\0\x2e\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x74\x63\x2f\x69\x6e\x67\x72\x65\x73\x73\0\x6c\x73\x6d\x2e\x73\
\x2f\x62\x70\x72\x6d\x5f\x63\x6f\x6d\x6d\x69\x74\x74\x65\x64\x5f\x63\x72\x65\
\x64\x73\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x54\0\0\0\x54\0\0\0\xd4\x01\0\
\0\x28\x02\0\0\x4c\0\0\0\x08\0\0\0\xbf\x07\0\0\x07\0\0\0\0\0\0\0\x12\0\0\0\x68\
\0\0\0\x16\0\0\0\xd0\0\0\0\x19\0\0\0\x38\x01\0\0\x1c\0\0\0\x78\x01\0\0\x20\0\0\
\0\xb8\x01\0\0\x23\0\0\0\xf8\x01\0\0\x26\0\0\0\xca\x07\0\0\x01\0\0\0\0\0\0\0\
\x2c\0\0\0\x10\0\0\0\xbf\x07\0\0\x18\0\0\0\0\0\0\0\x7c\x04\0\0\x06\x05\0\0\0\
\x40\0\0\x08\0\0\0\x7c\x04\0\0\x26\x05\0\0\x07\x48\0\0\x30\0\0\0\x7c\x04\0\0\
\x49\x05\0\0\x02\x4c\0\0\x58\0\0\0\x7c\x04\0\0\x7b\x05\0\0\x02\x50\0\0\x68\0\0\
\0\x7c\x04\0\0\x8d\x05\0\0\0\x68\0\0\x70\0\0\0\x7c\x04\0\0\x26\x05\0\0\x07\x70\
\0\0\x98\0\0\0\x7c\x04\0\0\xad\x05\0\0\x02\x74\0\0\xc0\0\0\0\x7c\x04\0\0\x7b\
\x05\0\0\x02\x78\0\0\xd0\0\0\0\x7c\x04\0\0\xd7\x05\0\0\0\x90\0\0\xd8\0\0\0\x7c\
\x04\0\0\x26\x05\0\0\x07\x98\0\0\0\x01\0\0\x7c\x04\0\0\xf7\x05\0\0\x02\x9c\0\0\
\x28\x01\0\0\x7c\x04\0\0\x7b\x05\0\0\x02\xa0\0\0\x38\x01\0\0\x7c\x04\0\0\x22\
\x06\0\0\x1a\xc0\0\0\x40\x01\0\0\x7c\x04\0\0\x22\x06\0\0\x02\xc0\0\0\x68\x01\0\
\0\x7c\x04\0\0\x7b\x05\0\0\x02\xc4\0\0\x78\x01\0\0\x7c\x04\0\0\x5a\x06\0\0\x1a\
\xe4\0\0\x80\x01\0\0\x7c\x04\0\0\x5a\x06\0\0\x02\xe4\0\0\xa8\x01\0\0\x7c\x04\0\
\0\x7b\x05\0\0\x02\xe8\0\0\xb8\x01\0\0\x7c\x04\0\0\x92\x06\0\0\x1a\x08\x01\0\
\xc0\x01\0\0\x7c\x04\0\0\x92\x06\0\0\x02\x08\x01\0\xe8\x01\0\0\x7c\x04\0\0\x7b\
\x05\0\0\x02\x0c\x01\0\xf8\x01\0\0\x7c\x04\0\0\xcb\x06\0\0\x21\x54\x01\0\0\x02\
\0\0\x7c\x04\0\0\xf2\x06\0\0\x17\x20\x01\0\x18\x02\0\0\x7c\x04\0\0\x7b\x05\0\0\
\x02\x58\x01\0\xca\x07\0\0\x04\0\0\0\0\0\0\0\x7c\x04\0\0\x0f\x07\0\0\x21\x78\
\x01\0\x08\0\0\0\x7c\x04\0\0\x0f\x07\0\0\x37\x78\x01\0\x10\0\0\0\x7c\x04\0\0\
\x4b\x07\0\0\x02\x34\x01\0\x40\0\0\0\x7c\x04\0\0\x6d\x07\0\0\x05\x70\x01\0\x10\
\0\0\0\xbf\x07\0\0\x04\0\0\0\x38\x01\0\0\x02\0\0\0\x9b\x07\0\0\0\0\0\0\x78\x01\
\0\0\x02\0\0\0\x9b\x07\0\0\0\0\0\0\xb8\x01\0\0\x02\0\0\0\x9b\x07\0\0\0\0\0\0\
\xf8\x01\0\0\x02\0\0\0\xa0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\xeb\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x01\0\0\0\0\0\
\0\x80\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\
\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x02\0\0\0\0\0\0\x28\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1c\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x04\0\0\0\0\0\0\x50\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x37\0\0\0\x01\0\0\0\x02\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x05\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3f\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x30\x05\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x45\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x38\x05\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x4a\0\0\0\x01\0\0\0\x32\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x05\0\0\
\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\x59\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3b\x05\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xaf\0\0\0\x09\
\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x05\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\
\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xbe\0\0\0\x09\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x05\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\
\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xdd\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x05\0\0\0\0\0\0\x75\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe2\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x48\x13\0\0\0\0\0\0\x94\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_const *verifier_const::open(const struct bpf_object_open_opts *opts) { return verifier_const__open_opts(opts); }
struct verifier_const *verifier_const::open_and_load() { return verifier_const__open_and_load(); }
int verifier_const::load(struct verifier_const *skel) { return verifier_const__load(skel); }
int verifier_const::attach(struct verifier_const *skel) { return verifier_const__attach(skel); }
void verifier_const::detach(struct verifier_const *skel) { verifier_const__detach(skel); }
void verifier_const::destroy(struct verifier_const *skel) { verifier_const__destroy(skel); }
const void *verifier_const::elf_bytes(size_t *sz) { return verifier_const__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_const__assert(struct verifier_const *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->rodata->foo) == 8, "unexpected size of 'foo'");
	_Static_assert(sizeof(s->data->bart) == 8, "unexpected size of 'bart'");
	_Static_assert(sizeof(s->bss->bar) == 8, "unexpected size of 'bar'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_CONST_SKEL_H__ */
