/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_CTX_SK_MSG_SKEL_H__
#define __VERIFIER_CTX_SK_MSG_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_ctx_sk_msg {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *access_family_in_sk_msg;
		struct bpf_program *remote_ip4_in_sk_msg;
		struct bpf_program *local_ip4_in_sk_msg;
		struct bpf_program *remote_port_in_sk_msg;
		struct bpf_program *local_port_in_sk_msg;
		struct bpf_program *access_size_in_sk_msg;
		struct bpf_program *of_size_in_sk_msg;
		struct bpf_program *past_end_of_sk_msg;
		struct bpf_program *read_offset_in_sk_msg;
		struct bpf_program *packet_read_for_sk_msg;
		struct bpf_program *packet_write_for_sk_msg;
		struct bpf_program *direct_packet_access_sk_msg;
		struct bpf_program *remote_ip6_in_sk_msg;
		struct bpf_program *local_ip6_in_sk_msg;
	} progs;
	struct {
		struct bpf_link *access_family_in_sk_msg;
		struct bpf_link *remote_ip4_in_sk_msg;
		struct bpf_link *local_ip4_in_sk_msg;
		struct bpf_link *remote_port_in_sk_msg;
		struct bpf_link *local_port_in_sk_msg;
		struct bpf_link *access_size_in_sk_msg;
		struct bpf_link *of_size_in_sk_msg;
		struct bpf_link *past_end_of_sk_msg;
		struct bpf_link *read_offset_in_sk_msg;
		struct bpf_link *packet_read_for_sk_msg;
		struct bpf_link *packet_write_for_sk_msg;
		struct bpf_link *direct_packet_access_sk_msg;
		struct bpf_link *remote_ip6_in_sk_msg;
		struct bpf_link *local_ip6_in_sk_msg;
	} links;

#ifdef __cplusplus
	static inline struct verifier_ctx_sk_msg *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_ctx_sk_msg *open_and_load();
	static inline int load(struct verifier_ctx_sk_msg *skel);
	static inline int attach(struct verifier_ctx_sk_msg *skel);
	static inline void detach(struct verifier_ctx_sk_msg *skel);
	static inline void destroy(struct verifier_ctx_sk_msg *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_ctx_sk_msg__destroy(struct verifier_ctx_sk_msg *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_ctx_sk_msg__create_skeleton(struct verifier_ctx_sk_msg *obj);

static inline struct verifier_ctx_sk_msg *
verifier_ctx_sk_msg__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_ctx_sk_msg *obj;
	int err;

	obj = (struct verifier_ctx_sk_msg *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_ctx_sk_msg__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_ctx_sk_msg__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_ctx_sk_msg *
verifier_ctx_sk_msg__open(void)
{
	return verifier_ctx_sk_msg__open_opts(NULL);
}

static inline int
verifier_ctx_sk_msg__load(struct verifier_ctx_sk_msg *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_ctx_sk_msg *
verifier_ctx_sk_msg__open_and_load(void)
{
	struct verifier_ctx_sk_msg *obj;
	int err;

	obj = verifier_ctx_sk_msg__open();
	if (!obj)
		return NULL;
	err = verifier_ctx_sk_msg__load(obj);
	if (err) {
		verifier_ctx_sk_msg__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_ctx_sk_msg__attach(struct verifier_ctx_sk_msg *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_ctx_sk_msg__detach(struct verifier_ctx_sk_msg *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_ctx_sk_msg__elf_bytes(size_t *sz);

static inline int
verifier_ctx_sk_msg__create_skeleton(struct verifier_ctx_sk_msg *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_ctx_sk_msg";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 14;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "access_family_in_sk_msg";
	s->progs[0].prog = &obj->progs.access_family_in_sk_msg;
	s->progs[0].link = &obj->links.access_family_in_sk_msg;

	s->progs[1].name = "remote_ip4_in_sk_msg";
	s->progs[1].prog = &obj->progs.remote_ip4_in_sk_msg;
	s->progs[1].link = &obj->links.remote_ip4_in_sk_msg;

	s->progs[2].name = "local_ip4_in_sk_msg";
	s->progs[2].prog = &obj->progs.local_ip4_in_sk_msg;
	s->progs[2].link = &obj->links.local_ip4_in_sk_msg;

	s->progs[3].name = "remote_port_in_sk_msg";
	s->progs[3].prog = &obj->progs.remote_port_in_sk_msg;
	s->progs[3].link = &obj->links.remote_port_in_sk_msg;

	s->progs[4].name = "local_port_in_sk_msg";
	s->progs[4].prog = &obj->progs.local_port_in_sk_msg;
	s->progs[4].link = &obj->links.local_port_in_sk_msg;

	s->progs[5].name = "access_size_in_sk_msg";
	s->progs[5].prog = &obj->progs.access_size_in_sk_msg;
	s->progs[5].link = &obj->links.access_size_in_sk_msg;

	s->progs[6].name = "of_size_in_sk_msg";
	s->progs[6].prog = &obj->progs.of_size_in_sk_msg;
	s->progs[6].link = &obj->links.of_size_in_sk_msg;

	s->progs[7].name = "past_end_of_sk_msg";
	s->progs[7].prog = &obj->progs.past_end_of_sk_msg;
	s->progs[7].link = &obj->links.past_end_of_sk_msg;

	s->progs[8].name = "read_offset_in_sk_msg";
	s->progs[8].prog = &obj->progs.read_offset_in_sk_msg;
	s->progs[8].link = &obj->links.read_offset_in_sk_msg;

	s->progs[9].name = "packet_read_for_sk_msg";
	s->progs[9].prog = &obj->progs.packet_read_for_sk_msg;
	s->progs[9].link = &obj->links.packet_read_for_sk_msg;

	s->progs[10].name = "packet_write_for_sk_msg";
	s->progs[10].prog = &obj->progs.packet_write_for_sk_msg;
	s->progs[10].link = &obj->links.packet_write_for_sk_msg;

	s->progs[11].name = "direct_packet_access_sk_msg";
	s->progs[11].prog = &obj->progs.direct_packet_access_sk_msg;
	s->progs[11].link = &obj->links.direct_packet_access_sk_msg;

	s->progs[12].name = "remote_ip6_in_sk_msg";
	s->progs[12].prog = &obj->progs.remote_ip6_in_sk_msg;
	s->progs[12].link = &obj->links.remote_ip6_in_sk_msg;

	s->progs[13].name = "local_ip6_in_sk_msg";
	s->progs[13].prog = &obj->progs.local_ip6_in_sk_msg;
	s->progs[13].link = &obj->links.local_ip6_in_sk_msg;

	s->data = verifier_ctx_sk_msg__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_ctx_sk_msg__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xc8\x10\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x08\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6b\
\x5f\x6d\x73\x67\0\x73\x6b\x5f\x73\x6b\x62\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\
\x65\x72\x69\x66\x69\x65\x72\x5f\x63\x74\x78\x5f\x73\x6b\x5f\x6d\x73\x67\x2e\
\x63\0\x6c\x30\x5f\x30\0\x6c\x30\x5f\x31\0\x6c\x30\x5f\x32\0\x61\x63\x63\x65\
\x73\x73\x5f\x66\x61\x6d\x69\x6c\x79\x5f\x69\x6e\x5f\x73\x6b\x5f\x6d\x73\x67\0\
\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\x5f\x69\x6e\x5f\x73\x6b\x5f\x6d\x73\
\x67\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\x5f\x69\x6e\x5f\x73\x6b\x5f\x6d\x73\
\x67\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\x5f\x69\x6e\x5f\x73\x6b\x5f\
\x6d\x73\x67\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\x5f\x69\x6e\x5f\x73\x6b\
\x5f\x6d\x73\x67\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\x5f\x69\x6e\x5f\x73\
\x6b\x5f\x6d\x73\x67\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\x5f\x69\x6e\x5f\x73\
\x6b\x5f\x6d\x73\x67\0\x61\x63\x63\x65\x73\x73\x5f\x73\x69\x7a\x65\x5f\x69\x6e\
\x5f\x73\x6b\x5f\x6d\x73\x67\0\x6f\x66\x5f\x73\x69\x7a\x65\x5f\x69\x6e\x5f\x73\
\x6b\x5f\x6d\x73\x67\0\x70\x61\x73\x74\x5f\x65\x6e\x64\x5f\x6f\x66\x5f\x73\x6b\
\x5f\x6d\x73\x67\0\x72\x65\x61\x64\x5f\x6f\x66\x66\x73\x65\x74\x5f\x69\x6e\x5f\
\x73\x6b\x5f\x6d\x73\x67\0\x70\x61\x63\x6b\x65\x74\x5f\x72\x65\x61\x64\x5f\x66\
\x6f\x72\x5f\x73\x6b\x5f\x6d\x73\x67\0\x70\x61\x63\x6b\x65\x74\x5f\x77\x72\x69\
\x74\x65\x5f\x66\x6f\x72\x5f\x73\x6b\x5f\x6d\x73\x67\0\x64\x69\x72\x65\x63\x74\
\x5f\x70\x61\x63\x6b\x65\x74\x5f\x61\x63\x63\x65\x73\x73\x5f\x73\x6b\x5f\x6d\
\x73\x67\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\
\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x27\
\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x3d\0\0\0\0\0\x03\0\xc0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x42\0\0\0\0\0\x03\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\0\0\0\0\0\x03\0\x58\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x4c\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x64\0\0\0\
\x12\0\x03\0\x10\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x79\0\0\0\x12\0\x03\0\x20\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x8d\0\0\0\x12\0\x03\0\x30\0\0\0\0\0\0\0\x10\0\0\0\
\0\0\0\0\xa3\0\0\0\x12\0\x03\0\x40\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xb8\0\0\0\
\x12\0\x04\0\0\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\xcd\0\0\0\x12\0\x04\0\x28\0\0\0\
\0\0\0\0\x28\0\0\0\0\0\0\0\xe1\0\0\0\x12\0\x03\0\x50\0\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\xf7\0\0\0\x12\0\x03\0\x60\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x09\x01\0\0\
\x12\0\x03\0\x70\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x1c\x01\0\0\x12\0\x03\0\x80\0\
\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x32\x01\0\0\x12\0\x03\0\x90\0\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\x49\x01\0\0\x12\0\x03\0\xd0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x61\
\x01\0\0\x12\0\x03\0\x10\x01\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\x7d\x01\0\0\x11\0\
\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x61\x10\x10\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\x61\x10\x14\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x10\x18\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\x61\x10\x3c\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x10\x40\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\x61\x10\x44\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x12\x44\0\0\0\0\0\x95\0\0\0\
\0\0\0\0\x61\x12\x48\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x12\x11\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\x79\x12\0\0\0\0\0\0\x79\x13\x08\0\0\0\0\0\xbf\x20\0\0\0\0\0\0\x07\0\
\0\0\x08\0\0\0\x2d\x30\x01\0\0\0\0\0\x71\x20\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\x79\x13\x08\0\0\0\0\0\xbf\x20\0\0\0\0\0\0\
\x07\0\0\0\x08\0\0\0\x2d\x30\x01\0\0\0\0\0\x73\x22\0\0\0\0\0\0\xb7\0\0\0\0\0\0\
\0\x95\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\x79\x13\x08\0\0\0\0\0\xbf\x20\0\0\0\0\
\0\0\x07\0\0\0\x08\0\0\0\x2d\x30\x04\0\0\0\0\0\xbf\x21\0\0\0\0\0\0\x07\x01\0\0\
\x06\0\0\0\x2d\x31\x01\0\0\0\0\0\x69\x20\x06\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\
\0\0\0\0\0\0\x61\x10\x1c\0\0\0\0\0\x61\x10\x20\0\0\0\0\0\x61\x10\x24\0\0\0\0\0\
\x61\x10\x28\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x10\x2c\0\0\0\0\0\x61\x10\x30\0\0\
\0\0\0\x61\x10\x34\0\0\0\0\0\x61\x10\x38\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\
\x4c\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x24\x03\0\0\x24\x03\0\0\x47\x06\
\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\x01\0\0\0\x01\0\0\x0c\x01\0\0\0\x19\0\0\0\0\0\0\
\x11\x02\0\0\0\xff\xff\xff\xff\x50\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\
\x6c\0\0\0\x01\0\0\x0c\x01\0\0\0\x81\0\0\0\0\0\0\x11\x05\0\0\0\xff\xff\xff\xff\
\x50\0\0\0\0\0\0\x11\x05\0\0\0\xff\xff\xff\xff\xbc\0\0\0\x01\0\0\x0c\x01\0\0\0\
\xd0\0\0\0\0\0\0\x11\x08\0\0\0\xff\xff\xff\xff\x50\0\0\0\0\0\0\x11\x08\0\0\0\
\xff\xff\xff\xff\x0a\x01\0\0\x01\0\0\x0c\x01\0\0\0\x20\x01\0\0\0\0\0\x11\x0b\0\
\0\0\xff\xff\xff\xff\x50\0\0\0\0\0\0\x11\x0b\0\0\0\xff\xff\xff\xff\x5c\x01\0\0\
\x01\0\0\x0c\x01\0\0\0\x71\x01\0\0\0\0\0\x11\x0e\0\0\0\xff\xff\xff\xff\x50\0\0\
\0\0\0\0\x11\x0e\0\0\0\xff\xff\xff\xff\xac\x01\0\0\x01\0\0\x0c\x01\0\0\0\xc1\
\x01\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\x50\0\0\0\0\0\0\x11\x11\0\0\0\xff\
\xff\xff\xff\xfc\x01\0\0\x01\0\0\x0c\x01\0\0\0\x10\x02\0\0\0\0\0\x11\x14\0\0\0\
\xff\xff\xff\xff\x50\0\0\0\0\0\0\x11\x14\0\0\0\xff\xff\xff\xff\x4a\x02\0\0\x01\
\0\0\x0c\x01\0\0\0\x60\x02\0\0\0\0\0\x11\x17\0\0\0\xff\xff\xff\xff\x50\0\0\0\0\
\0\0\x11\x17\0\0\0\xff\xff\xff\xff\x95\x02\0\0\x01\0\0\x0c\x01\0\0\0\xa7\x02\0\
\0\0\0\0\x11\x1a\0\0\0\xff\xff\xff\xff\xe3\x02\0\0\0\0\0\x11\x1a\0\0\0\xff\xff\
\xff\xff\xff\x02\0\0\0\0\0\x11\x1a\0\0\0\xff\xff\xff\xff\x34\x03\0\0\0\0\0\x11\
\x1a\0\0\0\xff\xff\xff\xff\x60\x03\0\0\x01\0\0\x0c\x01\0\0\0\x73\x03\0\0\0\0\0\
\x11\x1f\0\0\0\xff\xff\xff\xff\xe3\x02\0\0\0\0\0\x11\x1f\0\0\0\xff\xff\xff\xff\
\xac\x03\0\0\0\0\0\x11\x1f\0\0\0\xff\xff\xff\xff\xe1\x03\0\0\x01\0\0\x0c\x01\0\
\0\0\xf7\x03\0\0\0\0\0\x11\x23\0\0\0\xff\xff\xff\xff\xe3\x02\0\0\0\0\0\x11\x23\
\0\0\0\xff\xff\xff\xff\x2e\x04\0\0\0\0\0\x11\x23\0\0\0\xff\xff\xff\xff\x34\x03\
\0\0\0\0\0\x11\x23\0\0\0\xff\xff\xff\xff\x63\x04\0\0\x01\0\0\x0c\x01\0\0\0\x7a\
\x04\0\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\xff\x50\0\0\0\0\0\0\x11\x28\0\0\0\xff\
\xff\xff\xff\xb1\x04\0\0\x01\0\0\x0c\x01\0\0\0\xc9\x04\0\0\0\0\0\x11\x2b\0\0\0\
\xff\xff\xff\xff\x50\0\0\0\0\0\0\x11\x2b\0\0\0\xff\xff\xff\xff\x01\x05\0\0\x01\
\0\0\x0c\x01\0\0\0\x1d\x05\0\0\0\0\0\x11\x2e\0\0\0\xff\xff\xff\xff\x50\0\0\0\0\
\0\0\x11\x2e\0\0\0\xff\xff\xff\xff\x69\x05\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\
\0\0\0\0\0\0\0\x03\0\0\0\0\x31\0\0\0\x33\0\0\0\x04\0\0\0\x6e\x05\0\0\0\0\0\x01\
\x04\0\0\0\x20\0\0\0\x82\x05\0\0\0\0\0\x0e\x32\0\0\0\x01\0\0\0\x31\x06\0\0\x01\
\0\0\x0f\x04\0\0\0\x34\0\0\0\0\0\0\0\x04\0\0\0\0\x61\x63\x63\x65\x73\x73\x5f\
\x66\x61\x6d\x69\x6c\x79\x5f\x69\x6e\x5f\x73\x6b\x5f\x6d\x73\x67\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\
\x6f\x6e\x3d\x76\x61\x6c\x69\x64\x20\x61\x63\x63\x65\x73\x73\x20\x66\x61\x6d\
\x69\x6c\x79\x20\x69\x6e\x20\x53\x4b\x5f\x4d\x53\x47\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\
\x73\x73\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\x5f\x69\x6e\x5f\x73\x6b\x5f\
\x6d\x73\x67\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\
\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x76\x61\x6c\x69\x64\x20\x61\x63\x63\x65\
\x73\x73\x20\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\x20\x69\x6e\x20\x53\x4b\
\x5f\x4d\x53\x47\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\x5f\x69\x6e\x5f\x73\x6b\
\x5f\x6d\x73\x67\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\
\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x76\x61\x6c\x69\x64\x20\x61\x63\x63\
\x65\x73\x73\x20\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\x20\x69\x6e\x20\x53\x4b\
\x5f\x4d\x53\x47\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\x5f\x69\x6e\x5f\
\x73\x6b\x5f\x6d\x73\x67\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x76\x61\x6c\x69\x64\x20\x61\
\x63\x63\x65\x73\x73\x20\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\x20\x69\
\x6e\x20\x53\x4b\x5f\x4d\x53\x47\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\x5f\
\x69\x6e\x5f\x73\x6b\x5f\x6d\x73\x67\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x76\x61\x6c\x69\
\x64\x20\x61\x63\x63\x65\x73\x73\x20\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\
\x20\x69\x6e\x20\x53\x4b\x5f\x4d\x53\x47\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\
\x36\x5f\x69\x6e\x5f\x73\x6b\x5f\x6d\x73\x67\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x76\x61\
\x6c\x69\x64\x20\x61\x63\x63\x65\x73\x73\x20\x72\x65\x6d\x6f\x74\x65\x5f\x69\
\x70\x36\x20\x69\x6e\x20\x53\x4b\x5f\x4d\x53\x47\0\x6c\x6f\x63\x61\x6c\x5f\x69\
\x70\x36\x5f\x69\x6e\x5f\x73\x6b\x5f\x6d\x73\x67\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x76\
\x61\x6c\x69\x64\x20\x61\x63\x63\x65\x73\x73\x20\x6c\x6f\x63\x61\x6c\x5f\x69\
\x70\x36\x20\x69\x6e\x20\x53\x4b\x5f\x4d\x53\x47\0\x61\x63\x63\x65\x73\x73\x5f\
\x73\x69\x7a\x65\x5f\x69\x6e\x5f\x73\x6b\x5f\x6d\x73\x67\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\
\x3d\x76\x61\x6c\x69\x64\x20\x61\x63\x63\x65\x73\x73\x20\x73\x69\x7a\x65\x20\
\x69\x6e\x20\x53\x4b\x5f\x4d\x53\x47\0\x6f\x66\x5f\x73\x69\x7a\x65\x5f\x69\x6e\
\x5f\x73\x6b\x5f\x6d\x73\x67\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x69\x6e\x76\x61\x6c\x69\
\x64\x20\x36\x34\x42\x20\x72\x65\x61\x64\x20\x6f\x66\x20\x73\x69\x7a\x65\x20\
\x69\x6e\x20\x53\x4b\x5f\x4d\x53\x47\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x30\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x62\x70\x66\x5f\x63\x6f\
\x6e\x74\x65\x78\x74\x20\x61\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x70\x72\x6f\x67\x5f\x66\x6c\x61\x67\x73\x3d\x42\x50\
\x46\x5f\x46\x5f\x41\x4e\x59\x5f\x41\x4c\x49\x47\x4e\x4d\x45\x4e\x54\0\x70\x61\
\x73\x74\x5f\x65\x6e\x64\x5f\x6f\x66\x5f\x73\x6b\x5f\x6d\x73\x67\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\
\x6f\x6e\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x72\x65\x61\x64\x20\x70\x61\x73\
\x74\x20\x65\x6e\x64\x20\x6f\x66\x20\x53\x4b\x5f\x4d\x53\x47\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x31\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x62\x70\x66\x5f\x63\x6f\x6e\x74\
\x65\x78\x74\x20\x61\x63\x63\x65\x73\x73\0\x72\x65\x61\x64\x5f\x6f\x66\x66\x73\
\x65\x74\x5f\x69\x6e\x5f\x73\x6b\x5f\x6d\x73\x67\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x69\
\x6e\x76\x61\x6c\x69\x64\x20\x72\x65\x61\x64\x20\x6f\x66\x66\x73\x65\x74\x20\
\x69\x6e\x20\x53\x4b\x5f\x4d\x53\x47\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x32\x3d\x69\x6e\x76\
\x61\x6c\x69\x64\x20\x62\x70\x66\x5f\x63\x6f\x6e\x74\x65\x78\x74\x20\x61\x63\
\x63\x65\x73\x73\0\x70\x61\x63\x6b\x65\x74\x5f\x72\x65\x61\x64\x5f\x66\x6f\x72\
\x5f\x73\x6b\x5f\x6d\x73\x67\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x64\x69\x72\x65\x63\x74\
\x20\x70\x61\x63\x6b\x65\x74\x20\x72\x65\x61\x64\x20\x66\x6f\x72\x20\x53\x4b\
\x5f\x4d\x53\x47\0\x70\x61\x63\x6b\x65\x74\x5f\x77\x72\x69\x74\x65\x5f\x66\x6f\
\x72\x5f\x73\x6b\x5f\x6d\x73\x67\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x64\x69\x72\x65\x63\
\x74\x20\x70\x61\x63\x6b\x65\x74\x20\x77\x72\x69\x74\x65\x20\x66\x6f\x72\x20\
\x53\x4b\x5f\x4d\x53\x47\0\x64\x69\x72\x65\x63\x74\x5f\x70\x61\x63\x6b\x65\x74\
\x5f\x61\x63\x63\x65\x73\x73\x5f\x73\x6b\x5f\x6d\x73\x67\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\
\x3d\x6f\x76\x65\x72\x6c\x61\x70\x70\x69\x6e\x67\x20\x63\x68\x65\x63\x6b\x73\
\x20\x66\x6f\x72\x20\x64\x69\x72\x65\x63\x74\x20\x70\x61\x63\x6b\x65\x74\x20\
\x61\x63\x63\x65\x73\x73\x20\x53\x4b\x5f\x4d\x53\x47\0\x63\x68\x61\x72\0\x5f\
\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\
\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\
\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\
\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\
\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\
\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\
\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\
\x69\x65\x72\x5f\x63\x74\x78\x5f\x73\x6b\x5f\x6d\x73\x67\x2e\x63\0\x09\x61\x73\
\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x73\x6b\x5f\x6d\x73\x67\0\x73\x6b\x5f\x73\x6b\
\x62\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x84\0\0\0\x84\0\0\0\xf4\0\0\0\
\x78\x01\0\0\0\0\0\0\x08\0\0\0\x39\x06\0\0\x0c\0\0\0\0\0\0\0\x02\0\0\0\x10\0\0\
\0\x05\0\0\0\x20\0\0\0\x08\0\0\0\x30\0\0\0\x0b\0\0\0\x40\0\0\0\x0e\0\0\0\x50\0\
\0\0\x17\0\0\0\x60\0\0\0\x1a\0\0\0\x70\0\0\0\x1f\0\0\0\x80\0\0\0\x23\0\0\0\x90\
\0\0\0\x28\0\0\0\xd0\0\0\0\x2b\0\0\0\x10\x01\0\0\x2e\0\0\0\x40\x06\0\0\x02\0\0\
\0\0\0\0\0\x11\0\0\0\x28\0\0\0\x14\0\0\0\x10\0\0\0\x39\x06\0\0\x0c\0\0\0\0\0\0\
\0\x8b\x05\0\0\x1a\x06\0\0\x02\x34\0\0\x10\0\0\0\x8b\x05\0\0\x1a\x06\0\0\x02\
\x68\0\0\x20\0\0\0\x8b\x05\0\0\x1a\x06\0\0\x02\x9c\0\0\x30\0\0\0\x8b\x05\0\0\
\x1a\x06\0\0\x02\xd0\0\0\x40\0\0\0\x8b\x05\0\0\x1a\x06\0\0\x02\x04\x01\0\x50\0\
\0\0\x8b\x05\0\0\x1a\x06\0\0\x02\xd0\x01\0\x60\0\0\0\x8b\x05\0\0\x1a\x06\0\0\
\x02\x08\x02\0\x70\0\0\0\x8b\x05\0\0\x1a\x06\0\0\x02\x3c\x02\0\x80\0\0\0\x8b\
\x05\0\0\x1a\x06\0\0\x02\x74\x02\0\x90\0\0\0\x8b\x05\0\0\x1a\x06\0\0\x02\xa8\
\x02\0\xd0\0\0\0\x8b\x05\0\0\x1a\x06\0\0\x02\xf8\x02\0\x10\x01\0\0\x8b\x05\0\0\
\x1a\x06\0\0\x02\x48\x03\0\x40\x06\0\0\x02\0\0\0\0\0\0\0\x8b\x05\0\0\x1a\x06\0\
\0\x02\x38\x01\0\x28\0\0\0\x8b\x05\0\0\x1a\x06\0\0\x02\x84\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x94\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\
\x01\0\0\0\0\0\0\x10\x02\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\
\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x03\0\0\
\0\0\0\0\x68\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x18\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x05\0\0\0\0\0\0\x50\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1f\0\0\0\x01\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x05\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x86\x01\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x05\0\0\0\0\0\0\x83\x09\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8b\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x30\x0f\0\0\0\0\0\0\x98\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_ctx_sk_msg *verifier_ctx_sk_msg::open(const struct bpf_object_open_opts *opts) { return verifier_ctx_sk_msg__open_opts(opts); }
struct verifier_ctx_sk_msg *verifier_ctx_sk_msg::open_and_load() { return verifier_ctx_sk_msg__open_and_load(); }
int verifier_ctx_sk_msg::load(struct verifier_ctx_sk_msg *skel) { return verifier_ctx_sk_msg__load(skel); }
int verifier_ctx_sk_msg::attach(struct verifier_ctx_sk_msg *skel) { return verifier_ctx_sk_msg__attach(skel); }
void verifier_ctx_sk_msg::detach(struct verifier_ctx_sk_msg *skel) { verifier_ctx_sk_msg__detach(skel); }
void verifier_ctx_sk_msg::destroy(struct verifier_ctx_sk_msg *skel) { verifier_ctx_sk_msg__destroy(skel); }
const void *verifier_ctx_sk_msg::elf_bytes(size_t *sz) { return verifier_ctx_sk_msg__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_ctx_sk_msg__assert(struct verifier_ctx_sk_msg *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_CTX_SK_MSG_SKEL_H__ */
