/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_DIV_OVERFLOW_SKEL_H__
#define __VERIFIER_DIV_OVERFLOW_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_div_overflow {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *div32_overflow_check_1;
		struct bpf_program *div32_overflow_check_2;
		struct bpf_program *div64_overflow_check_1;
		struct bpf_program *div64_overflow_check_2;
		struct bpf_program *mod32_overflow_check_1;
		struct bpf_program *mod32_overflow_check_2;
		struct bpf_program *mod64_overflow_check_1;
		struct bpf_program *mod64_overflow_check_2;
	} progs;
	struct {
		struct bpf_link *div32_overflow_check_1;
		struct bpf_link *div32_overflow_check_2;
		struct bpf_link *div64_overflow_check_1;
		struct bpf_link *div64_overflow_check_2;
		struct bpf_link *mod32_overflow_check_1;
		struct bpf_link *mod32_overflow_check_2;
		struct bpf_link *mod64_overflow_check_1;
		struct bpf_link *mod64_overflow_check_2;
	} links;

#ifdef __cplusplus
	static inline struct verifier_div_overflow *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_div_overflow *open_and_load();
	static inline int load(struct verifier_div_overflow *skel);
	static inline int attach(struct verifier_div_overflow *skel);
	static inline void detach(struct verifier_div_overflow *skel);
	static inline void destroy(struct verifier_div_overflow *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_div_overflow__destroy(struct verifier_div_overflow *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_div_overflow__create_skeleton(struct verifier_div_overflow *obj);

static inline struct verifier_div_overflow *
verifier_div_overflow__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_div_overflow *obj;
	int err;

	obj = (struct verifier_div_overflow *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_div_overflow__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_div_overflow__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_div_overflow *
verifier_div_overflow__open(void)
{
	return verifier_div_overflow__open_opts(NULL);
}

static inline int
verifier_div_overflow__load(struct verifier_div_overflow *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_div_overflow *
verifier_div_overflow__open_and_load(void)
{
	struct verifier_div_overflow *obj;
	int err;

	obj = verifier_div_overflow__open();
	if (!obj)
		return NULL;
	err = verifier_div_overflow__load(obj);
	if (err) {
		verifier_div_overflow__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_div_overflow__attach(struct verifier_div_overflow *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_div_overflow__detach(struct verifier_div_overflow *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_div_overflow__elf_bytes(size_t *sz);

static inline int
verifier_div_overflow__create_skeleton(struct verifier_div_overflow *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_div_overflow";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 8;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "div32_overflow_check_1";
	s->progs[0].prog = &obj->progs.div32_overflow_check_1;
	s->progs[0].link = &obj->links.div32_overflow_check_1;

	s->progs[1].name = "div32_overflow_check_2";
	s->progs[1].prog = &obj->progs.div32_overflow_check_2;
	s->progs[1].link = &obj->links.div32_overflow_check_2;

	s->progs[2].name = "div64_overflow_check_1";
	s->progs[2].prog = &obj->progs.div64_overflow_check_1;
	s->progs[2].link = &obj->links.div64_overflow_check_1;

	s->progs[3].name = "div64_overflow_check_2";
	s->progs[3].prog = &obj->progs.div64_overflow_check_2;
	s->progs[3].link = &obj->links.div64_overflow_check_2;

	s->progs[4].name = "mod32_overflow_check_1";
	s->progs[4].prog = &obj->progs.mod32_overflow_check_1;
	s->progs[4].link = &obj->links.mod32_overflow_check_1;

	s->progs[5].name = "mod32_overflow_check_2";
	s->progs[5].prog = &obj->progs.mod32_overflow_check_2;
	s->progs[5].link = &obj->links.mod32_overflow_check_2;

	s->progs[6].name = "mod64_overflow_check_1";
	s->progs[6].prog = &obj->progs.mod64_overflow_check_1;
	s->progs[6].link = &obj->links.mod64_overflow_check_1;

	s->progs[7].name = "mod64_overflow_check_2";
	s->progs[7].prog = &obj->progs.mod64_overflow_check_2;
	s->progs[7].link = &obj->links.mod64_overflow_check_2;

	s->data = verifier_div_overflow__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_div_overflow__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x28\x0b\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x63\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x64\x69\x76\
\x5f\x6f\x76\x65\x72\x66\x6c\x6f\x77\x2e\x63\0\x6c\x30\x5f\x30\0\x6c\x30\x5f\
\x31\0\x6c\x30\x5f\x32\0\x6c\x30\x5f\x33\0\x64\x69\x76\x33\x32\x5f\x6f\x76\x65\
\x72\x66\x6c\x6f\x77\x5f\x63\x68\x65\x63\x6b\x5f\x31\0\x64\x69\x76\x33\x32\x5f\
\x6f\x76\x65\x72\x66\x6c\x6f\x77\x5f\x63\x68\x65\x63\x6b\x5f\x32\0\x64\x69\x76\
\x36\x34\x5f\x6f\x76\x65\x72\x66\x6c\x6f\x77\x5f\x63\x68\x65\x63\x6b\x5f\x31\0\
\x64\x69\x76\x36\x34\x5f\x6f\x76\x65\x72\x66\x6c\x6f\x77\x5f\x63\x68\x65\x63\
\x6b\x5f\x32\0\x6d\x6f\x64\x33\x32\x5f\x6f\x76\x65\x72\x66\x6c\x6f\x77\x5f\x63\
\x68\x65\x63\x6b\x5f\x31\0\x6d\x6f\x64\x33\x32\x5f\x6f\x76\x65\x72\x66\x6c\x6f\
\x77\x5f\x63\x68\x65\x63\x6b\x5f\x32\0\x6d\x6f\x64\x36\x34\x5f\x6f\x76\x65\x72\
\x66\x6c\x6f\x77\x5f\x63\x68\x65\x63\x6b\x5f\x31\0\x6d\x6f\x64\x36\x34\x5f\x6f\
\x76\x65\x72\x66\x6c\x6f\x77\x5f\x63\x68\x65\x63\x6b\x5f\x32\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1c\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x34\0\
\0\0\0\0\x03\0\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x39\0\0\0\0\0\x03\0\xa8\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x3e\0\0\0\0\0\x03\0\x28\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x43\0\0\0\0\0\x03\0\x68\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\x12\0\x03\
\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x5f\0\0\0\x12\0\x03\0\x20\0\0\0\0\0\0\0\
\x18\0\0\0\0\0\0\0\x76\0\0\0\x12\0\x03\0\x38\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\x8d\0\0\0\x12\0\x03\0\x78\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\xa4\0\0\0\x12\0\x03\
\0\xb0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xbb\0\0\0\x12\0\x03\0\xd0\0\0\0\0\0\0\0\
\x18\0\0\0\0\0\0\0\xd2\0\0\0\x12\0\x03\0\xe8\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\
\xe9\0\0\0\x12\0\x03\0\x30\x01\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\x01\0\0\x11\0\
\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb4\x01\0\0\xff\xff\xff\xff\xb4\0\0\0\
\0\0\0\x80\x3c\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\0\0\0\0\0\0\x80\x34\0\0\0\
\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\xb7\x01\0\0\xff\xff\xff\xff\x18\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x80\x3f\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x1d\x20\x01\0\0\0\
\0\0\xb4\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x80\x37\x01\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x1d\x10\x01\0\0\0\0\0\xb4\0\
\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\xb4\x01\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\
\x80\x9c\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\0\0\0\0\0\0\x80\x94\0\0\0\xff\
\xff\xff\xff\x95\0\0\0\0\0\0\0\xb7\x01\0\0\xff\xff\xff\xff\x18\x02\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x80\xbf\x23\0\0\0\0\0\0\x9f\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\
\x5d\x23\x01\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x80\xbf\x23\0\0\0\0\0\0\x97\x02\0\0\xff\xff\xff\xff\xb4\0\0\0\
\0\0\0\0\x5d\x23\x01\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\
\x4c\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x4c\x02\0\0\x4c\x02\0\0\x7a\x03\
\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\x01\0\0\0\x01\0\0\x0c\x01\0\0\0\x18\0\0\0\0\0\0\
\x11\x02\0\0\0\xff\xff\xff\xff\x49\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\
\x65\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x7b\0\0\0\x01\0\0\x0c\x01\0\0\0\
\x92\0\0\0\0\0\0\x11\x06\0\0\0\xff\xff\xff\xff\x49\0\0\0\0\0\0\x11\x06\0\0\0\
\xff\xff\xff\xff\x65\0\0\0\0\0\0\x11\x06\0\0\0\xff\xff\xff\xff\xc3\0\0\0\x01\0\
\0\x0c\x01\0\0\0\xda\0\0\0\0\0\0\x11\x0a\0\0\0\xff\xff\xff\xff\x49\0\0\0\0\0\0\
\x11\x0a\0\0\0\xff\xff\xff\xff\x65\0\0\0\0\0\0\x11\x0a\0\0\0\xff\xff\xff\xff\
\x0b\x01\0\0\x01\0\0\x0c\x01\0\0\0\x22\x01\0\0\0\0\0\x11\x0e\0\0\0\xff\xff\xff\
\xff\x49\0\0\0\0\0\0\x11\x0e\0\0\0\xff\xff\xff\xff\x65\0\0\0\0\0\0\x11\x0e\0\0\
\0\xff\xff\xff\xff\x53\x01\0\0\x01\0\0\x0c\x01\0\0\0\x6a\x01\0\0\0\0\0\x11\x12\
\0\0\0\xff\xff\xff\xff\x49\0\0\0\0\0\0\x11\x12\0\0\0\xff\xff\xff\xff\x9b\x01\0\
\0\0\0\0\x11\x12\0\0\0\xff\xff\xff\xff\xb7\x01\0\0\x01\0\0\x0c\x01\0\0\0\xce\
\x01\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\x49\0\0\0\0\0\0\x11\x16\0\0\0\xff\
\xff\xff\xff\x9b\x01\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\xff\x01\0\0\x01\0\
\0\x0c\x01\0\0\0\x16\x02\0\0\0\0\0\x11\x1a\0\0\0\xff\xff\xff\xff\x49\0\0\0\0\0\
\0\x11\x1a\0\0\0\xff\xff\xff\xff\x47\x02\0\0\0\0\0\x11\x1a\0\0\0\xff\xff\xff\
\xff\x5d\x02\0\0\x01\0\0\x0c\x01\0\0\0\x74\x02\0\0\0\0\0\x11\x1e\0\0\0\xff\xff\
\xff\xff\x49\0\0\0\0\0\0\x11\x1e\0\0\0\xff\xff\xff\xff\x47\x02\0\0\0\0\0\x11\
\x1e\0\0\0\xff\xff\xff\xff\xa5\x02\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\
\0\0\0\x03\0\0\0\0\x22\0\0\0\x24\0\0\0\x04\0\0\0\xaa\x02\0\0\0\0\0\x01\x04\0\0\
\0\x20\0\0\0\xbe\x02\0\0\0\0\0\x0e\x23\0\0\0\x01\0\0\0\x6f\x03\0\0\x01\0\0\x0f\
\x04\0\0\0\x25\0\0\0\0\0\0\0\x04\0\0\0\0\x64\x69\x76\x33\x32\x5f\x6f\x76\x65\
\x72\x66\x6c\x6f\x77\x5f\x63\x68\x65\x63\x6b\x5f\x31\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\
\x44\x49\x56\x33\x32\x20\x6f\x76\x65\x72\x66\x6c\x6f\x77\x2c\x20\x63\x68\x65\
\x63\x6b\x20\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x30\0\x64\x69\x76\x33\x32\
\x5f\x6f\x76\x65\x72\x66\x6c\x6f\x77\x5f\x63\x68\x65\x63\x6b\x5f\x32\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x44\x49\x56\x33\x32\x20\x6f\x76\x65\x72\x66\x6c\x6f\x77\x2c\
\x20\x63\x68\x65\x63\x6b\x20\x32\0\x64\x69\x76\x36\x34\x5f\x6f\x76\x65\x72\x66\
\x6c\x6f\x77\x5f\x63\x68\x65\x63\x6b\x5f\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x44\x49\
\x56\x36\x34\x20\x6f\x76\x65\x72\x66\x6c\x6f\x77\x2c\x20\x63\x68\x65\x63\x6b\
\x20\x31\0\x64\x69\x76\x36\x34\x5f\x6f\x76\x65\x72\x66\x6c\x6f\x77\x5f\x63\x68\
\x65\x63\x6b\x5f\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\
\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x44\x49\x56\x36\x34\x20\x6f\x76\
\x65\x72\x66\x6c\x6f\x77\x2c\x20\x63\x68\x65\x63\x6b\x20\x32\0\x6d\x6f\x64\x33\
\x32\x5f\x6f\x76\x65\x72\x66\x6c\x6f\x77\x5f\x63\x68\x65\x63\x6b\x5f\x31\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\
\x74\x69\x6f\x6e\x3d\x4d\x4f\x44\x33\x32\x20\x6f\x76\x65\x72\x66\x6c\x6f\x77\
\x2c\x20\x63\x68\x65\x63\x6b\x20\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x49\x4e\x54\x5f\x4d\x49\x4e\0\x6d\x6f\
\x64\x33\x32\x5f\x6f\x76\x65\x72\x66\x6c\x6f\x77\x5f\x63\x68\x65\x63\x6b\x5f\
\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\
\x69\x70\x74\x69\x6f\x6e\x3d\x4d\x4f\x44\x33\x32\x20\x6f\x76\x65\x72\x66\x6c\
\x6f\x77\x2c\x20\x63\x68\x65\x63\x6b\x20\x32\0\x6d\x6f\x64\x36\x34\x5f\x6f\x76\
\x65\x72\x66\x6c\x6f\x77\x5f\x63\x68\x65\x63\x6b\x5f\x31\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\
\x3d\x4d\x4f\x44\x36\x34\x20\x6f\x76\x65\x72\x66\x6c\x6f\x77\x2c\x20\x63\x68\
\x65\x63\x6b\x20\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\
\x65\x74\x76\x61\x6c\x3d\x31\0\x6d\x6f\x64\x36\x34\x5f\x6f\x76\x65\x72\x66\x6c\
\x6f\x77\x5f\x63\x68\x65\x63\x6b\x5f\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x4d\x4f\x44\
\x36\x34\x20\x6f\x76\x65\x72\x66\x6c\x6f\x77\x2c\x20\x63\x68\x65\x63\x6b\x20\
\x32\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\
\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\
\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\
\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\
\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\
\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\
\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\
\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\
\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x64\x69\x76\x5f\x6f\x76\x65\
\x72\x66\x6c\x6f\x77\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\
\x65\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\
\x63\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x4c\0\0\0\x4c\0\0\0\x8c\0\0\0\xd8\0\
\0\0\0\0\0\0\x08\0\0\0\x77\x03\0\0\x08\0\0\0\0\0\0\0\x02\0\0\0\x20\0\0\0\x06\0\
\0\0\x38\0\0\0\x0a\0\0\0\x78\0\0\0\x0e\0\0\0\xb0\0\0\0\x12\0\0\0\xd0\0\0\0\x16\
\0\0\0\xe8\0\0\0\x1a\0\0\0\x30\x01\0\0\x1e\0\0\0\x10\0\0\0\x77\x03\0\0\x08\0\0\
\0\0\0\0\0\xc7\x02\0\0\x58\x03\0\0\x02\x4c\0\0\x20\0\0\0\xc7\x02\0\0\x58\x03\0\
\0\x02\x88\0\0\x38\0\0\0\xc7\x02\0\0\x58\x03\0\0\x02\xc0\0\0\x78\0\0\0\xc7\x02\
\0\0\x58\x03\0\0\x02\x08\x01\0\xb0\0\0\0\xc7\x02\0\0\x58\x03\0\0\x02\x4c\x01\0\
\xd0\0\0\0\xc7\x02\0\0\x58\x03\0\0\x02\x88\x01\0\xe8\0\0\0\xc7\x02\0\0\x58\x03\
\0\0\x02\xc0\x01\0\x30\x01\0\0\xc7\x02\0\0\x58\x03\0\0\x02\x0c\x02\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x17\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x58\x01\0\0\0\0\0\0\x80\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\
\x02\0\0\0\0\0\0\x70\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x14\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x04\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\
\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x04\0\0\0\0\0\0\xde\x05\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0e\x01\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x0a\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_div_overflow *verifier_div_overflow::open(const struct bpf_object_open_opts *opts) { return verifier_div_overflow__open_opts(opts); }
struct verifier_div_overflow *verifier_div_overflow::open_and_load() { return verifier_div_overflow__open_and_load(); }
int verifier_div_overflow::load(struct verifier_div_overflow *skel) { return verifier_div_overflow__load(skel); }
int verifier_div_overflow::attach(struct verifier_div_overflow *skel) { return verifier_div_overflow__attach(skel); }
void verifier_div_overflow::detach(struct verifier_div_overflow *skel) { verifier_div_overflow__detach(skel); }
void verifier_div_overflow::destroy(struct verifier_div_overflow *skel) { verifier_div_overflow__destroy(skel); }
const void *verifier_div_overflow::elf_bytes(size_t *sz) { return verifier_div_overflow__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_div_overflow__assert(struct verifier_div_overflow *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_DIV_OVERFLOW_SKEL_H__ */
