/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_JIT_CONVERGENCE_SKEL_H__
#define __VERIFIER_JIT_CONVERGENCE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_jit_convergence {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *map_hash;
	} maps;
	struct {
		struct bpf_program *btf_jit_convergence_je_jmp;
	} progs;
	struct {
		struct bpf_link *btf_jit_convergence_je_jmp;
	} links;

#ifdef __cplusplus
	static inline struct verifier_jit_convergence *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_jit_convergence *open_and_load();
	static inline int load(struct verifier_jit_convergence *skel);
	static inline int attach(struct verifier_jit_convergence *skel);
	static inline void detach(struct verifier_jit_convergence *skel);
	static inline void destroy(struct verifier_jit_convergence *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_jit_convergence__destroy(struct verifier_jit_convergence *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_jit_convergence__create_skeleton(struct verifier_jit_convergence *obj);

static inline struct verifier_jit_convergence *
verifier_jit_convergence__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_jit_convergence *obj;
	int err;

	obj = (struct verifier_jit_convergence *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_jit_convergence__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_jit_convergence__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_jit_convergence *
verifier_jit_convergence__open(void)
{
	return verifier_jit_convergence__open_opts(NULL);
}

static inline int
verifier_jit_convergence__load(struct verifier_jit_convergence *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_jit_convergence *
verifier_jit_convergence__open_and_load(void)
{
	struct verifier_jit_convergence *obj;
	int err;

	obj = verifier_jit_convergence__open();
	if (!obj)
		return NULL;
	err = verifier_jit_convergence__load(obj);
	if (err) {
		verifier_jit_convergence__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_jit_convergence__attach(struct verifier_jit_convergence *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_jit_convergence__detach(struct verifier_jit_convergence *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_jit_convergence__elf_bytes(size_t *sz);

static inline int
verifier_jit_convergence__create_skeleton(struct verifier_jit_convergence *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_jit_convergence";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "map_hash";
	map->map = &obj->maps.map_hash;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "btf_jit_convergence_je_jmp";
	s->progs[0].prog = &obj->progs.btf_jit_convergence_je_jmp;
	s->progs[0].link = &obj->links.btf_jit_convergence_je_jmp;

	s->data = verifier_jit_convergence__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_jit_convergence__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x50\x09\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6f\
\x63\x6b\x65\x74\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\
\x72\x69\x66\x69\x65\x72\x5f\x6a\x69\x74\x5f\x63\x6f\x6e\x76\x65\x72\x67\x65\
\x6e\x63\x65\x2e\x63\0\x6c\x32\x30\x5f\x30\0\x6c\x32\x31\x5f\x30\0\x6c\x32\x32\
\x5f\x30\0\x6c\x32\x33\x5f\x30\0\x6c\x32\x34\x5f\x30\0\x6c\x31\x5f\x30\0\x6c\
\x31\x32\x5f\x30\0\x6c\x30\x5f\x30\0\x6c\x39\x5f\x30\0\x6c\x32\x5f\x30\0\x6c\
\x33\x5f\x30\0\x6c\x34\x5f\x30\0\x6c\x38\x5f\x30\0\x6c\x36\x5f\x30\0\x6c\x37\
\x5f\x30\0\x62\x74\x66\x5f\x6a\x69\x74\x5f\x63\x6f\x6e\x76\x65\x72\x67\x65\x6e\
\x63\x65\x5f\x6a\x65\x5f\x6a\x6d\x70\0\x6d\x61\x70\x5f\x68\x61\x73\x68\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x73\x6f\x63\x6b\x65\x74\0\x2e\
\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x26\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x41\0\0\0\0\0\x03\0\x40\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x47\0\0\0\0\0\x03\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x4d\0\0\0\0\0\x03\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x53\0\0\0\0\0\x03\0\x40\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x59\0\0\0\0\0\x03\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x5f\0\0\0\0\0\x03\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x64\0\0\0\0\0\x03\
\0\xe8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6a\0\0\0\0\0\x03\0\xc0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x6f\0\0\0\0\0\x03\0\xc8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x74\0\0\0\
\0\0\x03\0\x78\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\0\0\0\0\0\x03\0\x60\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x7e\0\0\0\0\0\x03\0\x68\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x83\0\0\0\0\0\x03\0\xe0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\0\0\0\0\0\x03\0\
\xa8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8d\0\0\0\0\0\x03\0\xb0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x92\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x10\x02\0\0\0\0\0\0\xad\0\
\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xb6\0\0\0\x11\0\x05\0\0\0\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\x85\0\0\0\x07\0\0\0\x15\0\x06\0\0\0\0\0\x15\0\x05\
\0\x01\0\0\0\x15\0\x04\0\x02\0\0\0\x15\0\x03\0\x03\0\0\0\x15\0\x02\0\x04\0\0\0\
\x85\0\0\0\x07\0\0\0\x85\0\0\0\x07\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf8\xff\0\
\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x30\0\0\0\0\0\xbf\x06\0\0\0\0\0\0\x85\0\
\0\0\x07\0\0\0\xbf\x07\0\0\0\0\0\0\xbf\x65\0\0\0\0\0\0\x55\0\x08\0\0\0\0\0\x85\
\0\0\0\x07\0\0\0\xbf\x01\0\0\0\0\0\0\xbf\x62\0\0\0\0\0\0\x15\x01\x1f\0\0\0\0\0\
\x79\x62\0\0\0\0\0\0\x07\x02\0\0\x01\0\0\0\x7b\x26\0\0\0\0\0\0\x05\0\x23\0\0\0\
\0\0\xbf\x71\0\0\0\0\0\0\x07\x01\0\0\x98\0\0\0\xbf\x52\0\0\0\0\0\0\x07\x02\0\0\
\x90\0\0\0\x61\x22\0\0\0\0\0\0\xbf\x73\0\0\0\0\0\0\x57\x03\0\0\x01\0\0\0\x27\
\x02\0\0\xa8\0\0\0\x15\x03\x09\0\0\0\0\0\x0f\x21\0\0\0\0\0\0\x1f\x71\0\0\0\0\0\
\0\x07\x01\0\0\x08\0\0\0\xb5\x01\x02\0\x20\x0b\0\0\xb7\x01\0\0\0\0\0\0\x05\0\
\x01\0\0\0\0\0\x0f\x71\0\0\0\0\0\0\x15\x01\x0e\0\0\0\0\0\x05\0\xea\xff\0\0\0\0\
\x0f\x21\0\0\0\0\0\0\x1f\x71\0\0\0\0\0\0\x07\x01\0\0\x10\0\0\0\xb5\x01\x02\0\
\x20\x0b\0\0\xb7\x01\0\0\0\0\0\0\x05\0\x01\0\0\0\0\0\x0f\x71\0\0\0\0\0\0\x15\
\x01\x05\0\0\0\0\0\x05\0\xe1\xff\0\0\0\0\xb7\x01\0\0\x03\0\0\0\x7b\x1a\xf0\xff\
\0\0\0\0\xbf\x12\0\0\0\0\0\0\x05\0\x04\0\0\0\0\0\xbf\x51\0\0\0\0\0\0\x07\x01\0\
\0\x04\0\0\0\x61\x11\0\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x47\x50\x4c\0\0\0\0\0\x60\0\0\0\0\0\0\0\x01\0\0\0\x13\0\0\0\x9f\xeb\x01\0\x18\
\0\0\0\0\0\0\0\xb8\x01\0\0\xb8\x01\0\0\xd7\x01\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\
\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\
\x06\0\0\0\x19\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\0\0\0\0\0\0\0\x02\x08\0\0\
\0\x23\0\0\0\x01\0\0\x04\0\x01\0\0\x2b\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\0\x06\0\0\0\x04\0\0\0\x20\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x2d\0\
\0\0\x01\0\0\0\0\0\0\0\x32\0\0\0\x01\0\0\0\x40\0\0\0\x3e\0\0\0\x05\0\0\0\x80\0\
\0\0\x42\0\0\0\x07\0\0\0\xc0\0\0\0\x48\0\0\0\0\0\0\x0e\x0a\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\x0d\0\0\0\0\x51\0\0\0\x01\0\0\x0c\x0c\0\0\0\x6c\0\0\0\0\0\0\x11\x0d\
\0\0\0\xff\xff\xff\xff\xa4\0\0\0\0\0\0\x11\x0d\0\0\0\xff\xff\xff\xff\xc0\0\0\0\
\0\0\0\x11\x0d\0\0\0\xff\xff\xff\xff\xd6\0\0\0\0\0\0\x11\x0d\0\0\0\xff\xff\xff\
\xff\xef\0\0\0\0\0\0\x11\x0d\0\0\0\xff\xff\xff\xff\x10\x01\0\0\0\0\0\x01\x01\0\
\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x13\0\0\0\x04\0\0\0\x04\0\0\0\x15\
\x01\0\0\0\0\0\x0e\x14\0\0\0\x01\0\0\0\xc2\x01\0\0\x01\0\0\x0f\x20\0\0\0\x0b\0\
\0\0\0\0\0\0\x20\0\0\0\xc8\x01\0\0\x01\0\0\x0f\x04\0\0\0\x15\0\0\0\0\0\0\0\x04\
\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\
\x59\x50\x45\x5f\x5f\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x76\x61\x6c\x75\
\x65\x5f\x74\0\x61\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\
\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x6d\x61\x70\x5f\x68\x61\x73\x68\0\
\x62\x74\x66\x5f\x6a\x69\x74\x5f\x63\x6f\x6e\x76\x65\x72\x67\x65\x6e\x63\x65\
\x5f\x6a\x65\x5f\x6a\x6d\x70\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x70\x66\x5f\x6a\x69\
\x74\x5f\x63\x6f\x6e\x76\x65\x72\x67\x65\x6e\x63\x65\x20\x6a\x65\x20\x3c\x2d\
\x3e\x20\x6a\x6d\x70\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x30\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x61\x72\x63\x68\x3d\x58\x38\x36\x5f\x36\
\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6a\x69\x74\x65\x64\
\x3d\x30\x3d\x09\x70\x75\x73\x68\x71\x09\x25\x72\x62\x70\0\x63\x68\x61\x72\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\
\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\
\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\
\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\
\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\
\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\
\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\
\x66\x69\x65\x72\x5f\x6a\x69\x74\x5f\x63\x6f\x6e\x76\x65\x72\x67\x65\x6e\x63\
\x65\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\0\
\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x73\x6f\x63\x6b\x65\x74\0\
\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x1c\0\0\0\x30\0\0\0\0\0\
\0\0\x08\0\0\0\xd0\x01\0\0\x01\0\0\0\0\0\0\0\x0d\0\0\0\x10\0\0\0\xd0\x01\0\0\
\x01\0\0\0\0\0\0\0\x1e\x01\0\0\xb2\x01\0\0\x02\x68\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x40\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x01\0\0\0\0\
\0\0\xf8\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\
\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x03\0\0\0\0\0\0\x10\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\
\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x05\0\0\0\0\0\0\x20\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x05\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x48\x05\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\
\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xca\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x58\x05\0\0\0\0\0\0\xa7\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xcf\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\
\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_jit_convergence *verifier_jit_convergence::open(const struct bpf_object_open_opts *opts) { return verifier_jit_convergence__open_opts(opts); }
struct verifier_jit_convergence *verifier_jit_convergence::open_and_load() { return verifier_jit_convergence__open_and_load(); }
int verifier_jit_convergence::load(struct verifier_jit_convergence *skel) { return verifier_jit_convergence__load(skel); }
int verifier_jit_convergence::attach(struct verifier_jit_convergence *skel) { return verifier_jit_convergence__attach(skel); }
void verifier_jit_convergence::detach(struct verifier_jit_convergence *skel) { verifier_jit_convergence__detach(skel); }
void verifier_jit_convergence::destroy(struct verifier_jit_convergence *skel) { verifier_jit_convergence__destroy(skel); }
const void *verifier_jit_convergence::elf_bytes(size_t *sz) { return verifier_jit_convergence__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_jit_convergence__assert(struct verifier_jit_convergence *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_JIT_CONVERGENCE_SKEL_H__ */
