/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_LINKED_SCALARS_SKEL_H__
#define __VERIFIER_LINKED_SCALARS_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_linked_scalars {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *scalars;
	} progs;
	struct {
		struct bpf_link *scalars;
	} links;

#ifdef __cplusplus
	static inline struct verifier_linked_scalars *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_linked_scalars *open_and_load();
	static inline int load(struct verifier_linked_scalars *skel);
	static inline int attach(struct verifier_linked_scalars *skel);
	static inline void detach(struct verifier_linked_scalars *skel);
	static inline void destroy(struct verifier_linked_scalars *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_linked_scalars__destroy(struct verifier_linked_scalars *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_linked_scalars__create_skeleton(struct verifier_linked_scalars *obj);

static inline struct verifier_linked_scalars *
verifier_linked_scalars__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_linked_scalars *obj;
	int err;

	obj = (struct verifier_linked_scalars *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_linked_scalars__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_linked_scalars__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_linked_scalars *
verifier_linked_scalars__open(void)
{
	return verifier_linked_scalars__open_opts(NULL);
}

static inline int
verifier_linked_scalars__load(struct verifier_linked_scalars *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_linked_scalars *
verifier_linked_scalars__open_and_load(void)
{
	struct verifier_linked_scalars *obj;
	int err;

	obj = verifier_linked_scalars__open();
	if (!obj)
		return NULL;
	err = verifier_linked_scalars__load(obj);
	if (err) {
		verifier_linked_scalars__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_linked_scalars__attach(struct verifier_linked_scalars *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_linked_scalars__detach(struct verifier_linked_scalars *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_linked_scalars__elf_bytes(size_t *sz);

static inline int
verifier_linked_scalars__create_skeleton(struct verifier_linked_scalars *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_linked_scalars";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "scalars";
	s->progs[0].prog = &obj->progs.scalars;
	s->progs[0].link = &obj->links.scalars;

	s->data = verifier_linked_scalars__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_linked_scalars__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x58\x04\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6f\
\x63\x6b\x65\x74\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\x65\
\x72\x5f\x6c\x69\x6e\x6b\x65\x64\x5f\x73\x63\x61\x6c\x61\x72\x73\x2e\x63\0\x6c\
\x31\0\x73\x63\x61\x6c\x61\x72\x73\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x42\
\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3a\0\0\0\0\0\x03\0\x50\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3d\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x88\0\0\0\0\
\0\0\0\x45\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\
\0\x18\x01\0\0\x01\0\0\x80\0\0\0\0\0\0\0\0\x37\x01\0\0\x01\0\0\0\xbf\x12\0\0\0\
\0\0\0\xbf\x14\0\0\0\0\0\0\x04\x02\0\0\xff\xff\xff\x7f\x04\x04\0\0\0\0\0\0\x15\
\x02\x01\0\0\0\0\0\x95\0\0\0\0\0\0\0\x77\x04\0\0\x3f\0\0\0\xb7\x03\0\0\x01\0\0\
\0\x1f\x43\0\0\0\0\0\0\x27\x03\0\0\xff\xff\xff\x7f\x0f\xa3\0\0\0\0\0\0\x73\x03\
\xff\xff\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\
\0\0\0\0\0\xa8\0\0\0\xa8\0\0\0\x85\x01\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\x01\0\0\0\
\x01\0\0\x0c\x01\0\0\0\x09\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x3f\0\0\0\
\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x5b\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\
\xff\xab\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x06\0\
\0\0\x08\0\0\0\x04\0\0\0\xb0\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\xc4\0\0\0\0\0\
\0\x0e\x07\0\0\0\x01\0\0\0\x76\x01\0\0\x01\0\0\x0f\x04\0\0\0\x09\0\0\0\0\0\0\0\
\x04\0\0\0\0\x73\x63\x61\x6c\x61\x72\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x73\x63\x61\
\x6c\x61\x72\x73\x3a\x20\x66\x69\x6e\x64\x20\x6c\x69\x6e\x6b\x65\x64\x20\x73\
\x63\x61\x6c\x61\x72\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\
\x30\x3d\x6d\x61\x74\x68\x20\x62\x65\x74\x77\x65\x65\x6e\x20\x66\x70\x20\x70\
\x6f\x69\x6e\x74\x65\x72\x20\x61\x6e\x64\x20\x32\x31\x34\x37\x34\x38\x33\x36\
\x34\x37\x20\x69\x73\x20\x6e\x6f\x74\x20\x61\x6c\x6c\x6f\x77\x65\x64\0\x63\x68\
\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\
\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\
\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\
\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\
\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\
\x65\x72\x69\x66\x69\x65\x72\x5f\x6c\x69\x6e\x6b\x65\x64\x5f\x73\x63\x61\x6c\
\x61\x72\x73\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\
\x28\x22\x09\x09\x09\x09\x5c\0\x6c\x69\x63\x65\x6e\x73\x65\0\x73\x6f\x63\x6b\
\x65\x74\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x1c\0\0\0\
\x30\0\0\0\0\0\0\0\x08\0\0\0\x7e\x01\0\0\x01\0\0\0\0\0\0\0\x02\0\0\0\x10\0\0\0\
\x7e\x01\0\0\x01\0\0\0\0\0\0\0\xcd\0\0\0\x60\x01\0\0\x02\x34\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x5c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\0\
\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\
\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x01\0\0\0\0\0\
\0\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\
\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x01\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4e\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x01\0\0\0\0\0\0\x45\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x53\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\x04\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_linked_scalars *verifier_linked_scalars::open(const struct bpf_object_open_opts *opts) { return verifier_linked_scalars__open_opts(opts); }
struct verifier_linked_scalars *verifier_linked_scalars::open_and_load() { return verifier_linked_scalars__open_and_load(); }
int verifier_linked_scalars::load(struct verifier_linked_scalars *skel) { return verifier_linked_scalars__load(skel); }
int verifier_linked_scalars::attach(struct verifier_linked_scalars *skel) { return verifier_linked_scalars__attach(skel); }
void verifier_linked_scalars::detach(struct verifier_linked_scalars *skel) { verifier_linked_scalars__detach(skel); }
void verifier_linked_scalars::destroy(struct verifier_linked_scalars *skel) { verifier_linked_scalars__destroy(skel); }
const void *verifier_linked_scalars::elf_bytes(size_t *sz) { return verifier_linked_scalars__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_linked_scalars__assert(struct verifier_linked_scalars *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_LINKED_SCALARS_SKEL_H__ */
