/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_LWT_SKEL_H__
#define __VERIFIER_LWT_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_lwt {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *packet_write_for_lwt_in;
		struct bpf_program *packet_read_for_lwt_in;
		struct bpf_program *not_permitted_for_lwt_prog;
		struct bpf_program *packet_write_for_lwt_out;
		struct bpf_program *packet_read_for_lwt_out;
		struct bpf_program *packet_write_for_lwt_xmit;
		struct bpf_program *packet_read_for_lwt_xmit;
		struct bpf_program *checks_for_direct_packet_access;
		struct bpf_program *make_headroom_for_lwt_xmit;
		struct bpf_program *tc_classid_for_lwt_in;
		struct bpf_program *tc_classid_for_lwt_out;
		struct bpf_program *tc_classid_for_lwt_xmit;
	} progs;
	struct {
		struct bpf_link *packet_write_for_lwt_in;
		struct bpf_link *packet_read_for_lwt_in;
		struct bpf_link *not_permitted_for_lwt_prog;
		struct bpf_link *packet_write_for_lwt_out;
		struct bpf_link *packet_read_for_lwt_out;
		struct bpf_link *packet_write_for_lwt_xmit;
		struct bpf_link *packet_read_for_lwt_xmit;
		struct bpf_link *checks_for_direct_packet_access;
		struct bpf_link *make_headroom_for_lwt_xmit;
		struct bpf_link *tc_classid_for_lwt_in;
		struct bpf_link *tc_classid_for_lwt_out;
		struct bpf_link *tc_classid_for_lwt_xmit;
	} links;

#ifdef __cplusplus
	static inline struct verifier_lwt *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_lwt *open_and_load();
	static inline int load(struct verifier_lwt *skel);
	static inline int attach(struct verifier_lwt *skel);
	static inline void detach(struct verifier_lwt *skel);
	static inline void destroy(struct verifier_lwt *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_lwt__destroy(struct verifier_lwt *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_lwt__create_skeleton(struct verifier_lwt *obj);

static inline struct verifier_lwt *
verifier_lwt__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_lwt *obj;
	int err;

	obj = (struct verifier_lwt *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_lwt__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_lwt__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_lwt *
verifier_lwt__open(void)
{
	return verifier_lwt__open_opts(NULL);
}

static inline int
verifier_lwt__load(struct verifier_lwt *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_lwt *
verifier_lwt__open_and_load(void)
{
	struct verifier_lwt *obj;
	int err;

	obj = verifier_lwt__open();
	if (!obj)
		return NULL;
	err = verifier_lwt__load(obj);
	if (err) {
		verifier_lwt__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_lwt__attach(struct verifier_lwt *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_lwt__detach(struct verifier_lwt *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_lwt__elf_bytes(size_t *sz);

static inline int
verifier_lwt__create_skeleton(struct verifier_lwt *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_lwt";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 12;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "packet_write_for_lwt_in";
	s->progs[0].prog = &obj->progs.packet_write_for_lwt_in;
	s->progs[0].link = &obj->links.packet_write_for_lwt_in;

	s->progs[1].name = "packet_read_for_lwt_in";
	s->progs[1].prog = &obj->progs.packet_read_for_lwt_in;
	s->progs[1].link = &obj->links.packet_read_for_lwt_in;

	s->progs[2].name = "not_permitted_for_lwt_prog";
	s->progs[2].prog = &obj->progs.not_permitted_for_lwt_prog;
	s->progs[2].link = &obj->links.not_permitted_for_lwt_prog;

	s->progs[3].name = "packet_write_for_lwt_out";
	s->progs[3].prog = &obj->progs.packet_write_for_lwt_out;
	s->progs[3].link = &obj->links.packet_write_for_lwt_out;

	s->progs[4].name = "packet_read_for_lwt_out";
	s->progs[4].prog = &obj->progs.packet_read_for_lwt_out;
	s->progs[4].link = &obj->links.packet_read_for_lwt_out;

	s->progs[5].name = "packet_write_for_lwt_xmit";
	s->progs[5].prog = &obj->progs.packet_write_for_lwt_xmit;
	s->progs[5].link = &obj->links.packet_write_for_lwt_xmit;

	s->progs[6].name = "packet_read_for_lwt_xmit";
	s->progs[6].prog = &obj->progs.packet_read_for_lwt_xmit;
	s->progs[6].link = &obj->links.packet_read_for_lwt_xmit;

	s->progs[7].name = "checks_for_direct_packet_access";
	s->progs[7].prog = &obj->progs.checks_for_direct_packet_access;
	s->progs[7].link = &obj->links.checks_for_direct_packet_access;

	s->progs[8].name = "make_headroom_for_lwt_xmit";
	s->progs[8].prog = &obj->progs.make_headroom_for_lwt_xmit;
	s->progs[8].link = &obj->links.make_headroom_for_lwt_xmit;

	s->progs[9].name = "tc_classid_for_lwt_in";
	s->progs[9].prog = &obj->progs.tc_classid_for_lwt_in;
	s->progs[9].link = &obj->links.tc_classid_for_lwt_in;

	s->progs[10].name = "tc_classid_for_lwt_out";
	s->progs[10].prog = &obj->progs.tc_classid_for_lwt_out;
	s->progs[10].link = &obj->links.tc_classid_for_lwt_out;

	s->progs[11].name = "tc_classid_for_lwt_xmit";
	s->progs[11].prog = &obj->progs.tc_classid_for_lwt_xmit;
	s->progs[11].link = &obj->links.tc_classid_for_lwt_xmit;

	s->data = verifier_lwt__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_lwt__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb0\x12\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x6c\x77\
\x74\x5f\x69\x6e\0\x6c\x77\x74\x5f\x6f\x75\x74\0\x6c\x77\x74\x5f\x78\x6d\x69\
\x74\0\x73\x6f\x63\x6b\x65\x74\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\
\x66\x69\x65\x72\x5f\x6c\x77\x74\x2e\x63\0\x6c\x30\x5f\x30\0\x6c\x30\x5f\x31\0\
\x6c\x30\x5f\x32\0\x6c\x30\x5f\x33\0\x6c\x30\x5f\x34\0\x6c\x30\x5f\x35\0\x6c\
\x30\x5f\x36\0\x70\x61\x63\x6b\x65\x74\x5f\x77\x72\x69\x74\x65\x5f\x66\x6f\x72\
\x5f\x6c\x77\x74\x5f\x69\x6e\0\x70\x61\x63\x6b\x65\x74\x5f\x77\x72\x69\x74\x65\
\x5f\x66\x6f\x72\x5f\x6c\x77\x74\x5f\x6f\x75\x74\0\x70\x61\x63\x6b\x65\x74\x5f\
\x77\x72\x69\x74\x65\x5f\x66\x6f\x72\x5f\x6c\x77\x74\x5f\x78\x6d\x69\x74\0\x70\
\x61\x63\x6b\x65\x74\x5f\x72\x65\x61\x64\x5f\x66\x6f\x72\x5f\x6c\x77\x74\x5f\
\x69\x6e\0\x70\x61\x63\x6b\x65\x74\x5f\x72\x65\x61\x64\x5f\x66\x6f\x72\x5f\x6c\
\x77\x74\x5f\x6f\x75\x74\0\x70\x61\x63\x6b\x65\x74\x5f\x72\x65\x61\x64\x5f\x66\
\x6f\x72\x5f\x6c\x77\x74\x5f\x78\x6d\x69\x74\0\x63\x68\x65\x63\x6b\x73\x5f\x66\
\x6f\x72\x5f\x64\x69\x72\x65\x63\x74\x5f\x70\x61\x63\x6b\x65\x74\x5f\x61\x63\
\x63\x65\x73\x73\0\x6d\x61\x6b\x65\x5f\x68\x65\x61\x64\x72\x6f\x6f\x6d\x5f\x66\
\x6f\x72\x5f\x6c\x77\x74\x5f\x78\x6d\x69\x74\0\x74\x63\x5f\x63\x6c\x61\x73\x73\
\x69\x64\x5f\x66\x6f\x72\x5f\x6c\x77\x74\x5f\x69\x6e\0\x74\x63\x5f\x63\x6c\x61\
\x73\x73\x69\x64\x5f\x66\x6f\x72\x5f\x6c\x77\x74\x5f\x6f\x75\x74\0\x74\x63\x5f\
\x63\x6c\x61\x73\x73\x69\x64\x5f\x66\x6f\x72\x5f\x6c\x77\x74\x5f\x78\x6d\x69\
\x74\0\x6e\x6f\x74\x5f\x70\x65\x72\x6d\x69\x74\x74\x65\x64\x5f\x66\x6f\x72\x5f\
\x6c\x77\x74\x5f\x70\x72\x6f\x67\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x42\
\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x38\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\0\0\0\0\0\x03\0\x30\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4c\
\0\0\0\0\0\x04\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x51\0\0\0\0\0\x05\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x56\0\0\0\0\0\x03\0\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5b\0\0\0\0\0\x04\0\x70\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\0\0\x05\0\x70\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x65\0\0\0\0\0\x05\0\xc8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6a\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\x82\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x9b\0\0\0\
\x12\0\x05\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xb5\0\0\0\x12\0\x03\0\x40\0\0\0\
\0\0\0\0\x40\0\0\0\0\0\0\0\xcc\0\0\0\x12\0\x04\0\x40\0\0\0\0\0\0\0\x40\0\0\0\0\
\0\0\0\xe4\0\0\0\x12\0\x05\0\x40\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xfd\0\0\0\x12\
\0\x05\0\x80\0\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\x1d\x01\0\0\x12\0\x05\0\xd8\0\0\0\
\0\0\0\0\x50\0\0\0\0\0\0\0\x38\x01\0\0\x12\0\x06\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\x4e\x01\0\0\x12\0\x06\0\x10\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x65\x01\0\0\
\x12\0\x06\0\x20\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x7d\x01\0\0\x12\0\x03\0\x80\0\
\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x98\x01\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\x61\x12\x4c\0\0\0\0\0\x61\x13\x50\0\0\0\0\0\xbf\x20\0\0\0\0\0\0\x07\
\0\0\0\x08\0\0\0\x2d\x30\x01\0\0\0\0\0\x73\x22\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x61\x12\x4c\0\0\0\0\0\x61\x13\x50\0\0\0\0\0\xbf\x20\0\0\0\0\
\0\0\x07\0\0\0\x08\0\0\0\x2d\x30\x01\0\0\0\0\0\x71\x20\0\0\0\0\0\0\xb7\0\0\0\0\
\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x69\x10\x48\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\x61\x12\x4c\0\0\0\0\0\x61\x13\x50\0\0\0\0\0\xbf\x20\0\0\0\0\0\0\x07\0\0\0\
\x08\0\0\0\x2d\x30\x01\0\0\0\0\0\x73\x22\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\x61\x12\x4c\0\0\0\0\0\x61\x13\x50\0\0\0\0\0\xbf\x20\0\0\0\0\0\0\x07\
\0\0\0\x08\0\0\0\x2d\x30\x01\0\0\0\0\0\x71\x20\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x61\x12\x4c\0\0\0\0\0\x61\x13\x50\0\0\0\0\0\xbf\x20\0\0\0\0\
\0\0\x07\0\0\0\x08\0\0\0\x2d\x30\x01\0\0\0\0\0\x73\x22\0\0\0\0\0\0\xb7\0\0\0\0\
\0\0\0\x95\0\0\0\0\0\0\0\x61\x12\x4c\0\0\0\0\0\x61\x13\x50\0\0\0\0\0\xbf\x20\0\
\0\0\0\0\0\x07\0\0\0\x08\0\0\0\x2d\x30\x01\0\0\0\0\0\x71\x20\0\0\0\0\0\0\xb7\0\
\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x12\x4c\0\0\0\0\0\x61\x13\x50\0\0\0\0\0\xbf\
\x20\0\0\0\0\0\0\x07\0\0\0\x08\0\0\0\x2d\x30\x04\0\0\0\0\0\xbf\x21\0\0\0\0\0\0\
\x07\x01\0\0\x06\0\0\0\x2d\x31\x01\0\0\0\0\0\x69\x20\x06\0\0\0\0\0\xb7\0\0\0\0\
\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb7\x02\0\0\x22\0\0\0\xb7\x03\0\0\
\0\0\0\0\x85\0\0\0\x2b\0\0\0\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\x2a\0\0\0\xb7\x03\
\0\0\0\0\0\0\x85\0\0\0\x2b\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x10\
\x48\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x10\x48\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\
\x10\x48\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x9f\xeb\x01\0\x18\0\
\0\0\0\0\0\0\x6c\x03\0\0\x6c\x03\0\0\xc8\x06\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\x01\
\0\0\0\x01\0\0\x0c\x01\0\0\0\x19\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x59\
\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x75\0\0\0\0\0\0\x11\x02\0\0\0\xff\
\xff\xff\xff\xa8\0\0\0\x01\0\0\x0c\x01\0\0\0\xc1\0\0\0\0\0\0\x11\x06\0\0\0\xff\
\xff\xff\xff\x59\0\0\0\0\0\0\x11\x06\0\0\0\xff\xff\xff\xff\x02\x01\0\0\0\0\0\
\x11\x06\0\0\0\xff\xff\xff\xff\x35\x01\0\0\x01\0\0\x0c\x01\0\0\0\x4f\x01\0\0\0\
\0\0\x11\x0a\0\0\0\xff\xff\xff\xff\x89\x01\0\0\0\0\0\x11\x0a\0\0\0\xff\xff\xff\
\xff\xa5\x01\0\0\0\0\0\x11\x0a\0\0\0\xff\xff\xff\xff\xbb\x01\0\0\x01\0\0\x0c\
\x01\0\0\0\xd2\x01\0\0\0\0\0\x11\x0e\0\0\0\xff\xff\xff\xff\x89\x01\0\0\0\0\0\
\x11\x0e\0\0\0\xff\xff\xff\xff\xa5\x01\0\0\0\0\0\x11\x0e\0\0\0\xff\xff\xff\xff\
\x09\x02\0\0\x01\0\0\x0c\x01\0\0\0\x21\x02\0\0\0\0\0\x11\x12\0\0\0\xff\xff\xff\
\xff\x89\x01\0\0\0\0\0\x11\x12\0\0\0\xff\xff\xff\xff\xa5\x01\0\0\0\0\0\x11\x12\
\0\0\0\xff\xff\xff\xff\x59\x02\0\0\x01\0\0\x0c\x01\0\0\0\x72\x02\0\0\0\0\0\x11\
\x16\0\0\0\xff\xff\xff\xff\x89\x01\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\xa5\
\x01\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\xab\x02\0\0\x01\0\0\x0c\x01\0\0\0\
\xcb\x02\0\0\0\0\0\x11\x1a\0\0\0\xff\xff\xff\xff\x89\x01\0\0\0\0\0\x11\x1a\0\0\
\0\xff\xff\xff\xff\xa5\x01\0\0\0\0\0\x11\x1a\0\0\0\xff\xff\xff\xff\x10\x03\0\0\
\x01\0\0\x0c\x01\0\0\0\x2b\x03\0\0\0\0\0\x11\x1e\0\0\0\xff\xff\xff\xff\x89\x01\
\0\0\0\0\0\x11\x1e\0\0\0\xff\xff\xff\xff\xa5\x01\0\0\0\0\0\x11\x1e\0\0\0\xff\
\xff\xff\xff\x5f\x03\0\0\x01\0\0\x0c\x01\0\0\0\x75\x03\0\0\0\0\0\x11\x22\0\0\0\
\xff\xff\xff\xff\x59\0\0\0\0\0\0\x11\x22\0\0\0\xff\xff\xff\xff\xb6\x03\0\0\0\0\
\0\x11\x22\0\0\0\xff\xff\xff\xff\xeb\x03\0\0\0\0\0\x11\x22\0\0\0\xff\xff\xff\
\xff\x0e\x04\0\0\x01\0\0\x0c\x01\0\0\0\x25\x04\0\0\0\0\0\x11\x27\0\0\0\xff\xff\
\xff\xff\x59\0\0\0\0\0\0\x11\x27\0\0\0\xff\xff\xff\xff\x67\x04\0\0\0\0\0\x11\
\x27\0\0\0\xff\xff\xff\xff\xeb\x03\0\0\0\0\0\x11\x27\0\0\0\xff\xff\xff\xff\x9c\
\x04\0\0\x01\0\0\x0c\x01\0\0\0\xb4\x04\0\0\0\0\0\x11\x2c\0\0\0\xff\xff\xff\xff\
\x59\0\0\0\0\0\0\x11\x2c\0\0\0\xff\xff\xff\xff\xf7\x04\0\0\0\0\0\x11\x2c\0\0\0\
\xff\xff\xff\xff\xeb\x03\0\0\0\0\0\x11\x2c\0\0\0\xff\xff\xff\xff\x2c\x05\0\0\
\x01\0\0\x0c\x01\0\0\0\x47\x05\0\0\0\0\0\x11\x31\0\0\0\xff\xff\xff\xff\x59\0\0\
\0\0\0\0\x11\x31\0\0\0\xff\xff\xff\xff\x9b\x05\0\0\0\0\0\x11\x31\0\0\0\xff\xff\
\xff\xff\xd0\x05\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\
\x35\0\0\0\x37\0\0\0\x04\0\0\0\xd5\x05\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\xe9\
\x05\0\0\0\0\0\x0e\x36\0\0\0\x01\0\0\0\xa1\x06\0\0\x01\0\0\x0f\x04\0\0\0\x38\0\
\0\0\0\0\0\0\x04\0\0\0\0\x70\x61\x63\x6b\x65\x74\x5f\x77\x72\x69\x74\x65\x5f\
\x66\x6f\x72\x5f\x6c\x77\x74\x5f\x69\x6e\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x69\x6e\x76\
\x61\x6c\x69\x64\x20\x64\x69\x72\x65\x63\x74\x20\x70\x61\x63\x6b\x65\x74\x20\
\x77\x72\x69\x74\x65\x20\x66\x6f\x72\x20\x4c\x57\x54\x5f\x49\x4e\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\
\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x30\x3d\x63\x61\x6e\x6e\x6f\x74\x20\
\x77\x72\x69\x74\x65\x20\x69\x6e\x74\x6f\x20\x70\x61\x63\x6b\x65\x74\0\x70\x61\
\x63\x6b\x65\x74\x5f\x77\x72\x69\x74\x65\x5f\x66\x6f\x72\x5f\x6c\x77\x74\x5f\
\x6f\x75\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\
\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x64\x69\
\x72\x65\x63\x74\x20\x70\x61\x63\x6b\x65\x74\x20\x77\x72\x69\x74\x65\x20\x66\
\x6f\x72\x20\x4c\x57\x54\x5f\x4f\x55\x54\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x3d\x63\x61\
\x6e\x6e\x6f\x74\x20\x77\x72\x69\x74\x65\x20\x69\x6e\x74\x6f\x20\x70\x61\x63\
\x6b\x65\x74\0\x70\x61\x63\x6b\x65\x74\x5f\x77\x72\x69\x74\x65\x5f\x66\x6f\x72\
\x5f\x6c\x77\x74\x5f\x78\x6d\x69\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x64\x69\x72\x65\
\x63\x74\x20\x70\x61\x63\x6b\x65\x74\x20\x77\x72\x69\x74\x65\x20\x66\x6f\x72\
\x20\x4c\x57\x54\x5f\x58\x4d\x49\x54\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x30\0\
\x70\x61\x63\x6b\x65\x74\x5f\x72\x65\x61\x64\x5f\x66\x6f\x72\x5f\x6c\x77\x74\
\x5f\x69\x6e\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\
\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x64\x69\x72\x65\x63\x74\x20\x70\x61\x63\
\x6b\x65\x74\x20\x72\x65\x61\x64\x20\x66\x6f\x72\x20\x4c\x57\x54\x5f\x49\x4e\0\
\x70\x61\x63\x6b\x65\x74\x5f\x72\x65\x61\x64\x5f\x66\x6f\x72\x5f\x6c\x77\x74\
\x5f\x6f\x75\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\
\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x64\x69\x72\x65\x63\x74\x20\x70\x61\
\x63\x6b\x65\x74\x20\x72\x65\x61\x64\x20\x66\x6f\x72\x20\x4c\x57\x54\x5f\x4f\
\x55\x54\0\x70\x61\x63\x6b\x65\x74\x5f\x72\x65\x61\x64\x5f\x66\x6f\x72\x5f\x6c\
\x77\x74\x5f\x78\x6d\x69\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x64\x69\x72\x65\x63\x74\
\x20\x70\x61\x63\x6b\x65\x74\x20\x72\x65\x61\x64\x20\x66\x6f\x72\x20\x4c\x57\
\x54\x5f\x58\x4d\x49\x54\0\x63\x68\x65\x63\x6b\x73\x5f\x66\x6f\x72\x5f\x64\x69\
\x72\x65\x63\x74\x5f\x70\x61\x63\x6b\x65\x74\x5f\x61\x63\x63\x65\x73\x73\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\
\x74\x69\x6f\x6e\x3d\x6f\x76\x65\x72\x6c\x61\x70\x70\x69\x6e\x67\x20\x63\x68\
\x65\x63\x6b\x73\x20\x66\x6f\x72\x20\x64\x69\x72\x65\x63\x74\x20\x70\x61\x63\
\x6b\x65\x74\x20\x61\x63\x63\x65\x73\x73\0\x6d\x61\x6b\x65\x5f\x68\x65\x61\x64\
\x72\x6f\x6f\x6d\x5f\x66\x6f\x72\x5f\x6c\x77\x74\x5f\x78\x6d\x69\x74\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x6d\x61\x6b\x65\x20\x68\x65\x61\x64\x72\x6f\x6f\x6d\x20\x66\
\x6f\x72\x20\x4c\x57\x54\x5f\x58\x4d\x49\x54\0\x74\x63\x5f\x63\x6c\x61\x73\x73\
\x69\x64\x5f\x66\x6f\x72\x5f\x6c\x77\x74\x5f\x69\x6e\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\
\x69\x6e\x76\x61\x6c\x69\x64\x20\x61\x63\x63\x65\x73\x73\x20\x6f\x66\x20\x74\
\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\x20\x66\x6f\x72\x20\x4c\x57\x54\x5f\x49\
\x4e\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x32\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x62\x70\x66\
\x5f\x63\x6f\x6e\x74\x65\x78\x74\x20\x61\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\
\x6c\x75\x72\x65\x5f\x75\x6e\x70\x72\x69\x76\0\x74\x63\x5f\x63\x6c\x61\x73\x73\
\x69\x64\x5f\x66\x6f\x72\x5f\x6c\x77\x74\x5f\x6f\x75\x74\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\
\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x61\x63\x63\x65\x73\x73\x20\x6f\x66\x20\
\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\x20\x66\x6f\x72\x20\x4c\x57\x54\x5f\
\x4f\x55\x54\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x33\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x62\
\x70\x66\x5f\x63\x6f\x6e\x74\x65\x78\x74\x20\x61\x63\x63\x65\x73\x73\0\x74\x63\
\x5f\x63\x6c\x61\x73\x73\x69\x64\x5f\x66\x6f\x72\x5f\x6c\x77\x74\x5f\x78\x6d\
\x69\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\
\x72\x69\x70\x74\x69\x6f\x6e\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x61\x63\x63\
\x65\x73\x73\x20\x6f\x66\x20\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\x20\x66\
\x6f\x72\x20\x4c\x57\x54\x5f\x58\x4d\x49\x54\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x34\x3d\x69\
\x6e\x76\x61\x6c\x69\x64\x20\x62\x70\x66\x5f\x63\x6f\x6e\x74\x65\x78\x74\x20\
\x61\x63\x63\x65\x73\x73\0\x6e\x6f\x74\x5f\x70\x65\x72\x6d\x69\x74\x74\x65\x64\
\x5f\x66\x6f\x72\x5f\x6c\x77\x74\x5f\x70\x72\x6f\x67\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\
\x63\x68\x65\x63\x6b\x20\x73\x6b\x62\x2d\x3e\x74\x63\x5f\x63\x6c\x61\x73\x73\
\x69\x64\x20\x68\x61\x6c\x66\x20\x6c\x6f\x61\x64\x20\x6e\x6f\x74\x20\x70\x65\
\x72\x6d\x69\x74\x74\x65\x64\x20\x66\x6f\x72\x20\x6c\x77\x74\x20\x70\x72\x6f\
\x67\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x35\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x62\x70\x66\
\x5f\x63\x6f\x6e\x74\x65\x78\x74\x20\x61\x63\x63\x65\x73\x73\0\x63\x68\x61\x72\
\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\
\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\
\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\
\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\
\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\
\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\
\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\
\x69\x66\x69\x65\x72\x5f\x6c\x77\x74\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\
\x61\x74\x69\x6c\x65\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\x09\x61\x73\x6d\x20\
\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\0\x6c\x69\x63\x65\x6e\x73\x65\0\x6c\
\x77\x74\x5f\x69\x6e\0\x6c\x77\x74\x5f\x6f\x75\x74\0\x6c\x77\x74\x5f\x78\x6d\
\x69\x74\0\x73\x6f\x63\x6b\x65\x74\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\
\x84\0\0\0\x84\0\0\0\xe4\0\0\0\x68\x01\0\0\0\0\0\0\x08\0\0\0\xa9\x06\0\0\x03\0\
\0\0\0\0\0\0\x02\0\0\0\x40\0\0\0\x0e\0\0\0\x80\0\0\0\x31\0\0\0\xb0\x06\0\0\x02\
\0\0\0\0\0\0\0\x06\0\0\0\x40\0\0\0\x12\0\0\0\xb8\x06\0\0\x04\0\0\0\0\0\0\0\x0a\
\0\0\0\x40\0\0\0\x16\0\0\0\x80\0\0\0\x1a\0\0\0\xd8\0\0\0\x1e\0\0\0\xc1\x06\0\0\
\x03\0\0\0\0\0\0\0\x22\0\0\0\x10\0\0\0\x27\0\0\0\x20\0\0\0\x2c\0\0\0\x10\0\0\0\
\xa9\x06\0\0\x03\0\0\0\0\0\0\0\xf2\x05\0\0\x7a\x06\0\0\x02\x34\0\0\x40\0\0\0\
\xf2\x05\0\0\x7a\x06\0\0\x02\x24\x01\0\x80\0\0\0\xf2\x05\0\0\x91\x06\0\0\x02\
\x70\x03\0\xb0\x06\0\0\x02\0\0\0\0\0\0\0\xf2\x05\0\0\x7a\x06\0\0\x02\x84\0\0\
\x40\0\0\0\xf2\x05\0\0\x7a\x06\0\0\x02\x74\x01\0\xb8\x06\0\0\x04\0\0\0\0\0\0\0\
\xf2\x05\0\0\x7a\x06\0\0\x02\xd4\0\0\x40\0\0\0\xf2\x05\0\0\x7a\x06\0\0\x02\xc4\
\x01\0\x80\0\0\0\xf2\x05\0\0\x7a\x06\0\0\x02\x14\x02\0\xd8\0\0\0\xf2\x05\0\0\
\x7a\x06\0\0\x02\x70\x02\0\xc1\x06\0\0\x03\0\0\0\0\0\0\0\xf2\x05\0\0\x7a\x06\0\
\0\x02\xcc\x02\0\x10\0\0\0\xf2\x05\0\0\x7a\x06\0\0\x02\x04\x03\0\x20\0\0\0\xf2\
\x05\0\0\x7a\x06\0\0\x02\x3c\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\xaf\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\
\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x01\0\0\0\0\0\0\x70\x02\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\
\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x04\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x01\0\0\0\x06\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xf8\x04\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x78\x05\0\0\0\0\0\0\x28\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x29\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xa0\x06\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x30\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x06\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa1\
\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x06\0\0\0\0\0\0\x4c\x0a\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa6\x01\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x11\0\0\0\0\0\0\x88\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_lwt *verifier_lwt::open(const struct bpf_object_open_opts *opts) { return verifier_lwt__open_opts(opts); }
struct verifier_lwt *verifier_lwt::open_and_load() { return verifier_lwt__open_and_load(); }
int verifier_lwt::load(struct verifier_lwt *skel) { return verifier_lwt__load(skel); }
int verifier_lwt::attach(struct verifier_lwt *skel) { return verifier_lwt__attach(skel); }
void verifier_lwt::detach(struct verifier_lwt *skel) { verifier_lwt__detach(skel); }
void verifier_lwt::destroy(struct verifier_lwt *skel) { verifier_lwt__destroy(skel); }
const void *verifier_lwt::elf_bytes(size_t *sz) { return verifier_lwt__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_lwt__assert(struct verifier_lwt *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_LWT_SKEL_H__ */
