/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_MASKING_SKEL_H__
#define __VERIFIER_MASKING_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_masking {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *test_out_of_bounds_1;
		struct bpf_program *test_out_of_bounds_2;
		struct bpf_program *test_out_of_bounds_3;
		struct bpf_program *test_out_of_bounds_4;
		struct bpf_program *test_out_of_bounds_5;
		struct bpf_program *test_out_of_bounds_6;
		struct bpf_program *test_out_of_bounds_7;
		struct bpf_program *test_out_of_bounds_8;
		struct bpf_program *test_out_of_bounds_9;
		struct bpf_program *test_out_of_bounds_10;
		struct bpf_program *test_out_of_bounds_11;
		struct bpf_program *test_out_of_bounds_12;
		struct bpf_program *masking_test_in_bounds_1;
		struct bpf_program *masking_test_in_bounds_2;
		struct bpf_program *masking_test_in_bounds_3;
		struct bpf_program *masking_test_in_bounds_4;
		struct bpf_program *masking_test_in_bounds_5;
		struct bpf_program *masking_test_in_bounds_6;
		struct bpf_program *masking_test_in_bounds_7;
		struct bpf_program *masking_test_in_bounds_8;
	} progs;
	struct {
		struct bpf_link *test_out_of_bounds_1;
		struct bpf_link *test_out_of_bounds_2;
		struct bpf_link *test_out_of_bounds_3;
		struct bpf_link *test_out_of_bounds_4;
		struct bpf_link *test_out_of_bounds_5;
		struct bpf_link *test_out_of_bounds_6;
		struct bpf_link *test_out_of_bounds_7;
		struct bpf_link *test_out_of_bounds_8;
		struct bpf_link *test_out_of_bounds_9;
		struct bpf_link *test_out_of_bounds_10;
		struct bpf_link *test_out_of_bounds_11;
		struct bpf_link *test_out_of_bounds_12;
		struct bpf_link *masking_test_in_bounds_1;
		struct bpf_link *masking_test_in_bounds_2;
		struct bpf_link *masking_test_in_bounds_3;
		struct bpf_link *masking_test_in_bounds_4;
		struct bpf_link *masking_test_in_bounds_5;
		struct bpf_link *masking_test_in_bounds_6;
		struct bpf_link *masking_test_in_bounds_7;
		struct bpf_link *masking_test_in_bounds_8;
	} links;

#ifdef __cplusplus
	static inline struct verifier_masking *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_masking *open_and_load();
	static inline int load(struct verifier_masking *skel);
	static inline int attach(struct verifier_masking *skel);
	static inline void detach(struct verifier_masking *skel);
	static inline void destroy(struct verifier_masking *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_masking__destroy(struct verifier_masking *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_masking__create_skeleton(struct verifier_masking *obj);

static inline struct verifier_masking *
verifier_masking__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_masking *obj;
	int err;

	obj = (struct verifier_masking *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_masking__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_masking__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_masking *
verifier_masking__open(void)
{
	return verifier_masking__open_opts(NULL);
}

static inline int
verifier_masking__load(struct verifier_masking *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_masking *
verifier_masking__open_and_load(void)
{
	struct verifier_masking *obj;
	int err;

	obj = verifier_masking__open();
	if (!obj)
		return NULL;
	err = verifier_masking__load(obj);
	if (err) {
		verifier_masking__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_masking__attach(struct verifier_masking *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_masking__detach(struct verifier_masking *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_masking__elf_bytes(size_t *sz);

static inline int
verifier_masking__create_skeleton(struct verifier_masking *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_masking";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 20;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_out_of_bounds_1";
	s->progs[0].prog = &obj->progs.test_out_of_bounds_1;
	s->progs[0].link = &obj->links.test_out_of_bounds_1;

	s->progs[1].name = "test_out_of_bounds_2";
	s->progs[1].prog = &obj->progs.test_out_of_bounds_2;
	s->progs[1].link = &obj->links.test_out_of_bounds_2;

	s->progs[2].name = "test_out_of_bounds_3";
	s->progs[2].prog = &obj->progs.test_out_of_bounds_3;
	s->progs[2].link = &obj->links.test_out_of_bounds_3;

	s->progs[3].name = "test_out_of_bounds_4";
	s->progs[3].prog = &obj->progs.test_out_of_bounds_4;
	s->progs[3].link = &obj->links.test_out_of_bounds_4;

	s->progs[4].name = "test_out_of_bounds_5";
	s->progs[4].prog = &obj->progs.test_out_of_bounds_5;
	s->progs[4].link = &obj->links.test_out_of_bounds_5;

	s->progs[5].name = "test_out_of_bounds_6";
	s->progs[5].prog = &obj->progs.test_out_of_bounds_6;
	s->progs[5].link = &obj->links.test_out_of_bounds_6;

	s->progs[6].name = "test_out_of_bounds_7";
	s->progs[6].prog = &obj->progs.test_out_of_bounds_7;
	s->progs[6].link = &obj->links.test_out_of_bounds_7;

	s->progs[7].name = "test_out_of_bounds_8";
	s->progs[7].prog = &obj->progs.test_out_of_bounds_8;
	s->progs[7].link = &obj->links.test_out_of_bounds_8;

	s->progs[8].name = "test_out_of_bounds_9";
	s->progs[8].prog = &obj->progs.test_out_of_bounds_9;
	s->progs[8].link = &obj->links.test_out_of_bounds_9;

	s->progs[9].name = "test_out_of_bounds_10";
	s->progs[9].prog = &obj->progs.test_out_of_bounds_10;
	s->progs[9].link = &obj->links.test_out_of_bounds_10;

	s->progs[10].name = "test_out_of_bounds_11";
	s->progs[10].prog = &obj->progs.test_out_of_bounds_11;
	s->progs[10].link = &obj->links.test_out_of_bounds_11;

	s->progs[11].name = "test_out_of_bounds_12";
	s->progs[11].prog = &obj->progs.test_out_of_bounds_12;
	s->progs[11].link = &obj->links.test_out_of_bounds_12;

	s->progs[12].name = "masking_test_in_bounds_1";
	s->progs[12].prog = &obj->progs.masking_test_in_bounds_1;
	s->progs[12].link = &obj->links.masking_test_in_bounds_1;

	s->progs[13].name = "masking_test_in_bounds_2";
	s->progs[13].prog = &obj->progs.masking_test_in_bounds_2;
	s->progs[13].link = &obj->links.masking_test_in_bounds_2;

	s->progs[14].name = "masking_test_in_bounds_3";
	s->progs[14].prog = &obj->progs.masking_test_in_bounds_3;
	s->progs[14].link = &obj->links.masking_test_in_bounds_3;

	s->progs[15].name = "masking_test_in_bounds_4";
	s->progs[15].prog = &obj->progs.masking_test_in_bounds_4;
	s->progs[15].link = &obj->links.masking_test_in_bounds_4;

	s->progs[16].name = "masking_test_in_bounds_5";
	s->progs[16].prog = &obj->progs.masking_test_in_bounds_5;
	s->progs[16].link = &obj->links.masking_test_in_bounds_5;

	s->progs[17].name = "masking_test_in_bounds_6";
	s->progs[17].prog = &obj->progs.masking_test_in_bounds_6;
	s->progs[17].link = &obj->links.masking_test_in_bounds_6;

	s->progs[18].name = "masking_test_in_bounds_7";
	s->progs[18].prog = &obj->progs.masking_test_in_bounds_7;
	s->progs[18].link = &obj->links.masking_test_in_bounds_7;

	s->progs[19].name = "masking_test_in_bounds_8";
	s->progs[19].prog = &obj->progs.masking_test_in_bounds_8;
	s->progs[19].link = &obj->links.masking_test_in_bounds_8;

	s->data = verifier_masking__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_masking__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x68\x1a\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6f\
\x63\x6b\x65\x74\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\x65\
\x72\x5f\x6d\x61\x73\x6b\x69\x6e\x67\x2e\x63\0\x74\x65\x73\x74\x5f\x6f\x75\x74\
\x5f\x6f\x66\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x31\0\x74\x65\x73\x74\x5f\x6f\x75\
\x74\x5f\x6f\x66\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x32\0\x74\x65\x73\x74\x5f\x6f\
\x75\x74\x5f\x6f\x66\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x33\0\x74\x65\x73\x74\x5f\
\x6f\x75\x74\x5f\x6f\x66\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x34\0\x74\x65\x73\x74\
\x5f\x6f\x75\x74\x5f\x6f\x66\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x35\0\x74\x65\x73\
\x74\x5f\x6f\x75\x74\x5f\x6f\x66\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x36\0\x74\x65\
\x73\x74\x5f\x6f\x75\x74\x5f\x6f\x66\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x37\0\x74\
\x65\x73\x74\x5f\x6f\x75\x74\x5f\x6f\x66\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x38\0\
\x74\x65\x73\x74\x5f\x6f\x75\x74\x5f\x6f\x66\x5f\x62\x6f\x75\x6e\x64\x73\x5f\
\x39\0\x74\x65\x73\x74\x5f\x6f\x75\x74\x5f\x6f\x66\x5f\x62\x6f\x75\x6e\x64\x73\
\x5f\x31\x30\0\x74\x65\x73\x74\x5f\x6f\x75\x74\x5f\x6f\x66\x5f\x62\x6f\x75\x6e\
\x64\x73\x5f\x31\x31\0\x74\x65\x73\x74\x5f\x6f\x75\x74\x5f\x6f\x66\x5f\x62\x6f\
\x75\x6e\x64\x73\x5f\x31\x32\0\x6d\x61\x73\x6b\x69\x6e\x67\x5f\x74\x65\x73\x74\
\x5f\x69\x6e\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x31\0\x6d\x61\x73\x6b\x69\x6e\x67\
\x5f\x74\x65\x73\x74\x5f\x69\x6e\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x32\0\x6d\x61\
\x73\x6b\x69\x6e\x67\x5f\x74\x65\x73\x74\x5f\x69\x6e\x5f\x62\x6f\x75\x6e\x64\
\x73\x5f\x33\0\x6d\x61\x73\x6b\x69\x6e\x67\x5f\x74\x65\x73\x74\x5f\x69\x6e\x5f\
\x62\x6f\x75\x6e\x64\x73\x5f\x34\0\x6d\x61\x73\x6b\x69\x6e\x67\x5f\x74\x65\x73\
\x74\x5f\x69\x6e\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x35\0\x6d\x61\x73\x6b\x69\x6e\
\x67\x5f\x74\x65\x73\x74\x5f\x69\x6e\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x36\0\x6d\
\x61\x73\x6b\x69\x6e\x67\x5f\x74\x65\x73\x74\x5f\x69\x6e\x5f\x62\x6f\x75\x6e\
\x64\x73\x5f\x37\0\x6d\x61\x73\x6b\x69\x6e\x67\x5f\x74\x65\x73\x74\x5f\x69\x6e\
\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x38\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x33\0\0\0\x12\0\
\x03\0\0\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x48\0\0\0\x12\0\x03\0\x48\0\0\0\0\0\0\
\0\x48\0\0\0\0\0\0\0\x5d\0\0\0\x12\0\x03\0\x90\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\
\x72\0\0\0\x12\0\x03\0\xd8\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x87\0\0\0\x12\0\x03\
\0\x20\x01\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x9c\0\0\0\x12\0\x03\0\x68\x01\0\0\0\0\
\0\0\x48\0\0\0\0\0\0\0\xb1\0\0\0\x12\0\x03\0\xb0\x01\0\0\0\0\0\0\x48\0\0\0\0\0\
\0\0\xc6\0\0\0\x12\0\x03\0\xf8\x01\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\xdb\0\0\0\x12\
\0\x03\0\x40\x02\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\xf0\0\0\0\x12\0\x03\0\x88\x02\0\
\0\0\0\0\0\x48\0\0\0\0\0\0\0\x06\x01\0\0\x12\0\x03\0\xd0\x02\0\0\0\0\0\0\x48\0\
\0\0\0\0\0\0\x1c\x01\0\0\x12\0\x03\0\x18\x03\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x32\
\x01\0\0\x12\0\x03\0\x60\x03\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x4b\x01\0\0\x12\0\
\x03\0\xa8\x03\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x64\x01\0\0\x12\0\x03\0\xf0\x03\0\
\0\0\0\0\0\x48\0\0\0\0\0\0\0\x7d\x01\0\0\x12\0\x03\0\x38\x04\0\0\0\0\0\0\x48\0\
\0\0\0\0\0\0\x96\x01\0\0\x12\0\x03\0\x80\x04\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\xaf\
\x01\0\0\x12\0\x03\0\xc8\x04\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\xc8\x01\0\0\x12\0\
\x03\0\x10\x05\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\xe1\x01\0\0\x12\0\x03\0\x60\x05\0\
\0\0\0\0\0\x50\0\0\0\0\0\0\0\xfa\x01\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\xb4\x01\0\0\x05\0\0\0\xb4\x02\0\0\x04\0\0\0\x1f\x12\0\0\0\0\0\0\x4f\
\x12\0\0\0\0\0\0\x87\x02\0\0\0\0\0\0\xc7\x02\0\0\x3f\0\0\0\x5f\x21\0\0\0\0\0\0\
\xbf\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x01\0\0\x01\0\0\0\xb4\x02\0\0\0\0\0\
\0\x1f\x12\0\0\0\0\0\0\x4f\x12\0\0\0\0\0\0\x87\x02\0\0\0\0\0\0\xc7\x02\0\0\x3f\
\0\0\0\x5f\x21\0\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x01\0\0\
\xff\xff\xff\xff\xb4\x02\0\0\xfe\xff\xff\xff\x1f\x12\0\0\0\0\0\0\x4f\x12\0\0\0\
\0\0\0\x87\x02\0\0\0\0\0\0\xc7\x02\0\0\x3f\0\0\0\x5f\x21\0\0\0\0\0\0\xbf\x10\0\
\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x01\0\0\xff\xff\xff\xff\xb4\x02\0\0\0\0\0\0\
\x1f\x12\0\0\0\0\0\0\x4f\x12\0\0\0\0\0\0\x87\x02\0\0\0\0\0\0\xc7\x02\0\0\x3f\0\
\0\0\x5f\x21\0\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x01\0\0\xff\
\xff\xff\xff\xb4\x02\0\0\0\0\0\0\x1f\x12\0\0\0\0\0\0\x4f\x12\0\0\0\0\0\0\x87\
\x02\0\0\0\0\0\0\xc7\x02\0\0\x3f\0\0\0\x5f\x21\0\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\xb4\x01\0\0\xff\xff\xff\xff\xb4\x02\0\0\xfe\xff\xff\xff\x1f\
\x12\0\0\0\0\0\0\x4f\x12\0\0\0\0\0\0\x87\x02\0\0\0\0\0\0\xc7\x02\0\0\x3f\0\0\0\
\x5f\x21\0\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x01\0\0\x05\0\0\
\0\xb4\x02\0\0\x04\0\0\0\x1f\x12\0\0\0\0\0\0\x4f\x12\0\0\0\0\0\0\x87\x02\0\0\0\
\0\0\0\xc7\x02\0\0\x3f\0\0\0\x5f\x21\0\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\x95\0\0\0\
\0\0\0\0\xb7\x01\0\0\x01\0\0\0\xb4\x02\0\0\0\0\0\0\x1f\x12\0\0\0\0\0\0\x4f\x12\
\0\0\0\0\0\0\x87\x02\0\0\0\0\0\0\xc7\x02\0\0\x3f\0\0\0\x5f\x21\0\0\0\0\0\0\xbf\
\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x01\0\0\xff\xff\xff\xff\xb4\x02\0\0\xfe\
\xff\xff\xff\x1f\x12\0\0\0\0\0\0\x4f\x12\0\0\0\0\0\0\x87\x02\0\0\0\0\0\0\xc7\
\x02\0\0\x3f\0\0\0\x5f\x21\0\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\xb7\x01\0\0\xff\xff\xff\xff\xb4\x02\0\0\0\0\0\0\x1f\x12\0\0\0\0\0\0\x4f\x12\0\
\0\0\0\0\0\x87\x02\0\0\0\0\0\0\xc7\x02\0\0\x3f\0\0\0\x5f\x21\0\0\0\0\0\0\xbf\
\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x01\0\0\xff\xff\xff\xff\xb4\x02\0\0\0\0\
\0\0\x1f\x12\0\0\0\0\0\0\x4f\x12\0\0\0\0\0\0\x87\x02\0\0\0\0\0\0\xc7\x02\0\0\
\x3f\0\0\0\x5f\x21\0\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x01\0\
\0\xff\xff\xff\xff\xb4\x02\0\0\xfe\xff\xff\xff\x1f\x12\0\0\0\0\0\0\x4f\x12\0\0\
\0\0\0\0\x87\x02\0\0\0\0\0\0\xc7\x02\0\0\x3f\0\0\0\x5f\x21\0\0\0\0\0\0\xbf\x10\
\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x01\0\0\x04\0\0\0\xb4\x02\0\0\x04\0\0\0\x1f\
\x12\0\0\0\0\0\0\x4f\x12\0\0\0\0\0\0\x87\x02\0\0\0\0\0\0\xc7\x02\0\0\x3f\0\0\0\
\x5f\x21\0\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\
\xb4\x02\0\0\xfe\xff\xff\xff\x1f\x12\0\0\0\0\0\0\x4f\x12\0\0\0\0\0\0\x87\x02\0\
\0\0\0\0\0\xc7\x02\0\0\x3f\0\0\0\x5f\x21\0\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\x95\0\
\0\0\0\0\0\0\xb4\x01\0\0\xfe\xff\xff\xff\xb4\x02\0\0\xfe\xff\xff\xff\x1f\x12\0\
\0\0\0\0\0\x4f\x12\0\0\0\0\0\0\x87\x02\0\0\0\0\0\0\xc7\x02\0\0\x3f\0\0\0\x5f\
\x21\0\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x01\0\0\xde\xbc\x0a\
\0\xb4\x02\0\0\xee\xcd\xab\0\x1f\x12\0\0\0\0\0\0\x4f\x12\0\0\0\0\0\0\x87\x02\0\
\0\0\0\0\0\xc7\x02\0\0\x3f\0\0\0\x5f\x21\0\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\x95\0\
\0\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\xb4\x02\0\0\0\0\0\0\x1f\x12\0\0\0\0\0\0\x4f\
\x12\0\0\0\0\0\0\x87\x02\0\0\0\0\0\0\xc7\x02\0\0\x3f\0\0\0\x5f\x21\0\0\0\0\0\0\
\xbf\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x01\0\0\x2e\0\0\0\xb4\x02\0\0\x2e\0\
\0\0\x1f\x12\0\0\0\0\0\0\x4f\x12\0\0\0\0\0\0\x87\x02\0\0\0\0\0\0\xc7\x02\0\0\
\x3f\0\0\0\x5f\x21\0\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x03\0\
\0\xd2\xff\xff\xff\x27\x03\0\0\xff\xff\xff\xff\xb4\x02\0\0\x2e\0\0\0\x1f\x32\0\
\0\0\0\0\0\x4f\x32\0\0\0\0\0\0\x87\x02\0\0\0\0\0\0\xc7\x02\0\0\x3f\0\0\0\x5f\
\x23\0\0\0\0\0\0\xbf\x30\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x03\0\0\xd1\xff\xff\
\xff\x27\x03\0\0\xff\xff\xff\xff\xb4\x02\0\0\x2e\0\0\0\x1f\x32\0\0\0\0\0\0\x4f\
\x32\0\0\0\0\0\0\x87\x02\0\0\0\0\0\0\xc7\x02\0\0\x3f\0\0\0\x5f\x23\0\0\0\0\0\0\
\xbf\x30\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x9f\xeb\x01\0\x18\
\0\0\0\0\0\0\0\x5c\x06\0\0\x5c\x06\0\0\x88\x07\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\
\x01\0\0\0\x01\0\0\x0c\x01\0\0\0\x16\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\
\x4d\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x69\0\0\0\0\0\0\x11\x02\0\0\0\
\xff\xff\xff\xff\x8c\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\xa2\0\0\0\x01\0\
\0\x0c\x01\0\0\0\xb7\0\0\0\0\0\0\x11\x07\0\0\0\xff\xff\xff\xff\x4d\0\0\0\0\0\0\
\x11\x07\0\0\0\xff\xff\xff\xff\x69\0\0\0\0\0\0\x11\x07\0\0\0\xff\xff\xff\xff\
\x8c\0\0\0\0\0\0\x11\x07\0\0\0\xff\xff\xff\xff\xee\0\0\0\x01\0\0\x0c\x01\0\0\0\
\x03\x01\0\0\0\0\0\x11\x0c\0\0\0\xff\xff\xff\xff\x4d\0\0\0\0\0\0\x11\x0c\0\0\0\
\xff\xff\xff\xff\x69\0\0\0\0\0\0\x11\x0c\0\0\0\xff\xff\xff\xff\x8c\0\0\0\0\0\0\
\x11\x0c\0\0\0\xff\xff\xff\xff\x3a\x01\0\0\x01\0\0\x0c\x01\0\0\0\x4f\x01\0\0\0\
\0\0\x11\x11\0\0\0\xff\xff\xff\xff\x4d\0\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\
\xff\x69\0\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\x8c\0\0\0\0\0\0\x11\x11\0\0\
\0\xff\xff\xff\xff\x86\x01\0\0\x01\0\0\x0c\x01\0\0\0\x9b\x01\0\0\0\0\0\x11\x16\
\0\0\0\xff\xff\xff\xff\x4d\0\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\x69\0\0\0\
\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\x8c\0\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\
\xff\xd2\x01\0\0\x01\0\0\x0c\x01\0\0\0\xe7\x01\0\0\0\0\0\x11\x1b\0\0\0\xff\xff\
\xff\xff\x4d\0\0\0\0\0\0\x11\x1b\0\0\0\xff\xff\xff\xff\x69\0\0\0\0\0\0\x11\x1b\
\0\0\0\xff\xff\xff\xff\x8c\0\0\0\0\0\0\x11\x1b\0\0\0\xff\xff\xff\xff\x1e\x02\0\
\0\x01\0\0\x0c\x01\0\0\0\x33\x02\0\0\0\0\0\x11\x20\0\0\0\xff\xff\xff\xff\x4d\0\
\0\0\0\0\0\x11\x20\0\0\0\xff\xff\xff\xff\x69\0\0\0\0\0\0\x11\x20\0\0\0\xff\xff\
\xff\xff\x8c\0\0\0\0\0\0\x11\x20\0\0\0\xff\xff\xff\xff\x6a\x02\0\0\x01\0\0\x0c\
\x01\0\0\0\x7f\x02\0\0\0\0\0\x11\x25\0\0\0\xff\xff\xff\xff\x4d\0\0\0\0\0\0\x11\
\x25\0\0\0\xff\xff\xff\xff\x69\0\0\0\0\0\0\x11\x25\0\0\0\xff\xff\xff\xff\x8c\0\
\0\0\0\0\0\x11\x25\0\0\0\xff\xff\xff\xff\xb6\x02\0\0\x01\0\0\x0c\x01\0\0\0\xcb\
\x02\0\0\0\0\0\x11\x2a\0\0\0\xff\xff\xff\xff\x4d\0\0\0\0\0\0\x11\x2a\0\0\0\xff\
\xff\xff\xff\x69\0\0\0\0\0\0\x11\x2a\0\0\0\xff\xff\xff\xff\x8c\0\0\0\0\0\0\x11\
\x2a\0\0\0\xff\xff\xff\xff\x02\x03\0\0\x01\0\0\x0c\x01\0\0\0\x18\x03\0\0\0\0\0\
\x11\x2f\0\0\0\xff\xff\xff\xff\x4d\0\0\0\0\0\0\x11\x2f\0\0\0\xff\xff\xff\xff\
\x69\0\0\0\0\0\0\x11\x2f\0\0\0\xff\xff\xff\xff\x8c\0\0\0\0\0\0\x11\x2f\0\0\0\
\xff\xff\xff\xff\x50\x03\0\0\x01\0\0\x0c\x01\0\0\0\x66\x03\0\0\0\0\0\x11\x34\0\
\0\0\xff\xff\xff\xff\x4d\0\0\0\0\0\0\x11\x34\0\0\0\xff\xff\xff\xff\x69\0\0\0\0\
\0\0\x11\x34\0\0\0\xff\xff\xff\xff\x8c\0\0\0\0\0\0\x11\x34\0\0\0\xff\xff\xff\
\xff\x9e\x03\0\0\x01\0\0\x0c\x01\0\0\0\xb4\x03\0\0\0\0\0\x11\x39\0\0\0\xff\xff\
\xff\xff\x4d\0\0\0\0\0\0\x11\x39\0\0\0\xff\xff\xff\xff\x69\0\0\0\0\0\0\x11\x39\
\0\0\0\xff\xff\xff\xff\x8c\0\0\0\0\0\0\x11\x39\0\0\0\xff\xff\xff\xff\xec\x03\0\
\0\x01\0\0\x0c\x01\0\0\0\x05\x04\0\0\0\0\0\x11\x3e\0\0\0\xff\xff\xff\xff\x4d\0\
\0\0\0\0\0\x11\x3e\0\0\0\xff\xff\xff\xff\x69\0\0\0\0\0\0\x11\x3e\0\0\0\xff\xff\
\xff\xff\x38\x04\0\0\0\0\0\x11\x3e\0\0\0\xff\xff\xff\xff\x4e\x04\0\0\x01\0\0\
\x0c\x01\0\0\0\x67\x04\0\0\0\0\0\x11\x43\0\0\0\xff\xff\xff\xff\x4d\0\0\0\0\0\0\
\x11\x43\0\0\0\xff\xff\xff\xff\x69\0\0\0\0\0\0\x11\x43\0\0\0\xff\xff\xff\xff\
\x8c\0\0\0\0\0\0\x11\x43\0\0\0\xff\xff\xff\xff\x9a\x04\0\0\x01\0\0\x0c\x01\0\0\
\0\xb3\x04\0\0\0\0\0\x11\x48\0\0\0\xff\xff\xff\xff\x4d\0\0\0\0\0\0\x11\x48\0\0\
\0\xff\xff\xff\xff\x69\0\0\0\0\0\0\x11\x48\0\0\0\xff\xff\xff\xff\xe6\x04\0\0\0\
\0\0\x11\x48\0\0\0\xff\xff\xff\xff\x05\x05\0\0\x01\0\0\x0c\x01\0\0\0\x1e\x05\0\
\0\0\0\0\x11\x4d\0\0\0\xff\xff\xff\xff\x4d\0\0\0\0\0\0\x11\x4d\0\0\0\xff\xff\
\xff\xff\x69\0\0\0\0\0\0\x11\x4d\0\0\0\xff\xff\xff\xff\x51\x05\0\0\0\0\0\x11\
\x4d\0\0\0\xff\xff\xff\xff\x6d\x05\0\0\x01\0\0\x0c\x01\0\0\0\x86\x05\0\0\0\0\0\
\x11\x52\0\0\0\xff\xff\xff\xff\x4d\0\0\0\0\0\0\x11\x52\0\0\0\xff\xff\xff\xff\
\x69\0\0\0\0\0\0\x11\x52\0\0\0\xff\xff\xff\xff\x8c\0\0\0\0\0\0\x11\x52\0\0\0\
\xff\xff\xff\xff\xb9\x05\0\0\x01\0\0\x0c\x01\0\0\0\xd2\x05\0\0\0\0\0\x11\x57\0\
\0\0\xff\xff\xff\xff\x4d\0\0\0\0\0\0\x11\x57\0\0\0\xff\xff\xff\xff\x69\0\0\0\0\
\0\0\x11\x57\0\0\0\xff\xff\xff\xff\x05\x06\0\0\0\0\0\x11\x57\0\0\0\xff\xff\xff\
\xff\x1c\x06\0\0\x01\0\0\x0c\x01\0\0\0\x35\x06\0\0\0\0\0\x11\x5c\0\0\0\xff\xff\
\xff\xff\x4d\0\0\0\0\0\0\x11\x5c\0\0\0\xff\xff\xff\xff\x69\0\0\0\0\0\0\x11\x5c\
\0\0\0\xff\xff\xff\xff\x05\x06\0\0\0\0\0\x11\x5c\0\0\0\xff\xff\xff\xff\x68\x06\
\0\0\x01\0\0\x0c\x01\0\0\0\x81\x06\0\0\0\0\0\x11\x61\0\0\0\xff\xff\xff\xff\x4d\
\0\0\0\0\0\0\x11\x61\0\0\0\xff\xff\xff\xff\x69\0\0\0\0\0\0\x11\x61\0\0\0\xff\
\xff\xff\xff\x8c\0\0\0\0\0\0\x11\x61\0\0\0\xff\xff\xff\xff\xb4\x06\0\0\0\0\0\
\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x66\0\0\0\x68\0\0\0\x04\0\
\0\0\xb9\x06\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\xcd\x06\0\0\0\0\0\x0e\x67\0\0\0\
\x01\0\0\0\x79\x07\0\0\x01\0\0\x0f\x04\0\0\0\x69\0\0\0\0\0\0\0\x04\0\0\0\0\x74\
\x65\x73\x74\x5f\x6f\x75\x74\x5f\x6f\x66\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x31\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\
\x70\x74\x69\x6f\x6e\x3d\x6d\x61\x73\x6b\x69\x6e\x67\x2c\x20\x74\x65\x73\x74\
\x20\x6f\x75\x74\x20\x6f\x66\x20\x62\x6f\x75\x6e\x64\x73\x20\x31\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\
\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\x5f\x75\x6e\x70\x72\x69\
\x76\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\
\x6c\x3d\x30\0\x74\x65\x73\x74\x5f\x6f\x75\x74\x5f\x6f\x66\x5f\x62\x6f\x75\x6e\
\x64\x73\x5f\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\
\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6d\x61\x73\x6b\x69\x6e\x67\x2c\x20\
\x74\x65\x73\x74\x20\x6f\x75\x74\x20\x6f\x66\x20\x62\x6f\x75\x6e\x64\x73\x20\
\x32\0\x74\x65\x73\x74\x5f\x6f\x75\x74\x5f\x6f\x66\x5f\x62\x6f\x75\x6e\x64\x73\
\x5f\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\
\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6d\x61\x73\x6b\x69\x6e\x67\x2c\x20\x74\x65\
\x73\x74\x20\x6f\x75\x74\x20\x6f\x66\x20\x62\x6f\x75\x6e\x64\x73\x20\x33\0\x74\
\x65\x73\x74\x5f\x6f\x75\x74\x5f\x6f\x66\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x34\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\
\x70\x74\x69\x6f\x6e\x3d\x6d\x61\x73\x6b\x69\x6e\x67\x2c\x20\x74\x65\x73\x74\
\x20\x6f\x75\x74\x20\x6f\x66\x20\x62\x6f\x75\x6e\x64\x73\x20\x34\0\x74\x65\x73\
\x74\x5f\x6f\x75\x74\x5f\x6f\x66\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x35\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x6d\x61\x73\x6b\x69\x6e\x67\x2c\x20\x74\x65\x73\x74\x20\x6f\
\x75\x74\x20\x6f\x66\x20\x62\x6f\x75\x6e\x64\x73\x20\x35\0\x74\x65\x73\x74\x5f\
\x6f\x75\x74\x5f\x6f\x66\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x36\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\
\x6e\x3d\x6d\x61\x73\x6b\x69\x6e\x67\x2c\x20\x74\x65\x73\x74\x20\x6f\x75\x74\
\x20\x6f\x66\x20\x62\x6f\x75\x6e\x64\x73\x20\x36\0\x74\x65\x73\x74\x5f\x6f\x75\
\x74\x5f\x6f\x66\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x37\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\
\x6d\x61\x73\x6b\x69\x6e\x67\x2c\x20\x74\x65\x73\x74\x20\x6f\x75\x74\x20\x6f\
\x66\x20\x62\x6f\x75\x6e\x64\x73\x20\x37\0\x74\x65\x73\x74\x5f\x6f\x75\x74\x5f\
\x6f\x66\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x38\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6d\x61\
\x73\x6b\x69\x6e\x67\x2c\x20\x74\x65\x73\x74\x20\x6f\x75\x74\x20\x6f\x66\x20\
\x62\x6f\x75\x6e\x64\x73\x20\x38\0\x74\x65\x73\x74\x5f\x6f\x75\x74\x5f\x6f\x66\
\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x39\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6d\x61\x73\x6b\
\x69\x6e\x67\x2c\x20\x74\x65\x73\x74\x20\x6f\x75\x74\x20\x6f\x66\x20\x62\x6f\
\x75\x6e\x64\x73\x20\x39\0\x74\x65\x73\x74\x5f\x6f\x75\x74\x5f\x6f\x66\x5f\x62\
\x6f\x75\x6e\x64\x73\x5f\x31\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6d\x61\x73\x6b\x69\
\x6e\x67\x2c\x20\x74\x65\x73\x74\x20\x6f\x75\x74\x20\x6f\x66\x20\x62\x6f\x75\
\x6e\x64\x73\x20\x31\x30\0\x74\x65\x73\x74\x5f\x6f\x75\x74\x5f\x6f\x66\x5f\x62\
\x6f\x75\x6e\x64\x73\x5f\x31\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6d\x61\x73\x6b\x69\
\x6e\x67\x2c\x20\x74\x65\x73\x74\x20\x6f\x75\x74\x20\x6f\x66\x20\x62\x6f\x75\
\x6e\x64\x73\x20\x31\x31\0\x74\x65\x73\x74\x5f\x6f\x75\x74\x5f\x6f\x66\x5f\x62\
\x6f\x75\x6e\x64\x73\x5f\x31\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6d\x61\x73\x6b\x69\
\x6e\x67\x2c\x20\x74\x65\x73\x74\x20\x6f\x75\x74\x20\x6f\x66\x20\x62\x6f\x75\
\x6e\x64\x73\x20\x31\x32\0\x6d\x61\x73\x6b\x69\x6e\x67\x5f\x74\x65\x73\x74\x5f\
\x69\x6e\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6d\x61\
\x73\x6b\x69\x6e\x67\x2c\x20\x74\x65\x73\x74\x20\x69\x6e\x20\x62\x6f\x75\x6e\
\x64\x73\x20\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\
\x74\x76\x61\x6c\x3d\x34\0\x6d\x61\x73\x6b\x69\x6e\x67\x5f\x74\x65\x73\x74\x5f\
\x69\x6e\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6d\x61\
\x73\x6b\x69\x6e\x67\x2c\x20\x74\x65\x73\x74\x20\x69\x6e\x20\x62\x6f\x75\x6e\
\x64\x73\x20\x32\0\x6d\x61\x73\x6b\x69\x6e\x67\x5f\x74\x65\x73\x74\x5f\x69\x6e\
\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6d\x61\x73\x6b\
\x69\x6e\x67\x2c\x20\x74\x65\x73\x74\x20\x69\x6e\x20\x62\x6f\x75\x6e\x64\x73\
\x20\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\
\x61\x6c\x3d\x30\x78\x66\x66\x66\x66\x66\x66\x66\x65\0\x6d\x61\x73\x6b\x69\x6e\
\x67\x5f\x74\x65\x73\x74\x5f\x69\x6e\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x34\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\
\x74\x69\x6f\x6e\x3d\x6d\x61\x73\x6b\x69\x6e\x67\x2c\x20\x74\x65\x73\x74\x20\
\x69\x6e\x20\x62\x6f\x75\x6e\x64\x73\x20\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x30\x78\x61\x62\x63\x64\x65\0\
\x6d\x61\x73\x6b\x69\x6e\x67\x5f\x74\x65\x73\x74\x5f\x69\x6e\x5f\x62\x6f\x75\
\x6e\x64\x73\x5f\x35\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\
\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6d\x61\x73\x6b\x69\x6e\x67\x2c\
\x20\x74\x65\x73\x74\x20\x69\x6e\x20\x62\x6f\x75\x6e\x64\x73\x20\x35\0\x6d\x61\
\x73\x6b\x69\x6e\x67\x5f\x74\x65\x73\x74\x5f\x69\x6e\x5f\x62\x6f\x75\x6e\x64\
\x73\x5f\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\
\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6d\x61\x73\x6b\x69\x6e\x67\x2c\x20\x74\
\x65\x73\x74\x20\x69\x6e\x20\x62\x6f\x75\x6e\x64\x73\x20\x36\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x34\x36\0\x6d\
\x61\x73\x6b\x69\x6e\x67\x5f\x74\x65\x73\x74\x5f\x69\x6e\x5f\x62\x6f\x75\x6e\
\x64\x73\x5f\x37\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\
\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6d\x61\x73\x6b\x69\x6e\x67\x2c\x20\
\x74\x65\x73\x74\x20\x69\x6e\x20\x62\x6f\x75\x6e\x64\x73\x20\x37\0\x6d\x61\x73\
\x6b\x69\x6e\x67\x5f\x74\x65\x73\x74\x5f\x69\x6e\x5f\x62\x6f\x75\x6e\x64\x73\
\x5f\x38\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\
\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6d\x61\x73\x6b\x69\x6e\x67\x2c\x20\x74\x65\
\x73\x74\x20\x69\x6e\x20\x62\x6f\x75\x6e\x64\x73\x20\x38\0\x63\x68\x61\x72\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\
\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\
\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\
\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\
\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\
\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\
\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\
\x66\x69\x65\x72\x5f\x6d\x61\x73\x6b\x69\x6e\x67\x2e\x63\0\x09\x61\x73\x6d\x20\
\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x73\x6f\x63\x6b\x65\x74\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\
\0\0\0\0\0\xac\0\0\0\xac\0\0\0\x4c\x01\0\0\xf8\x01\0\0\0\0\0\0\x08\0\0\0\x81\
\x07\0\0\x14\0\0\0\0\0\0\0\x02\0\0\0\x48\0\0\0\x07\0\0\0\x90\0\0\0\x0c\0\0\0\
\xd8\0\0\0\x11\0\0\0\x20\x01\0\0\x16\0\0\0\x68\x01\0\0\x1b\0\0\0\xb0\x01\0\0\
\x20\0\0\0\xf8\x01\0\0\x25\0\0\0\x40\x02\0\0\x2a\0\0\0\x88\x02\0\0\x2f\0\0\0\
\xd0\x02\0\0\x34\0\0\0\x18\x03\0\0\x39\0\0\0\x60\x03\0\0\x3e\0\0\0\xa8\x03\0\0\
\x43\0\0\0\xf0\x03\0\0\x48\0\0\0\x38\x04\0\0\x4d\0\0\0\x80\x04\0\0\x52\0\0\0\
\xc8\x04\0\0\x57\0\0\0\x10\x05\0\0\x5c\0\0\0\x60\x05\0\0\x61\0\0\0\x10\0\0\0\
\x81\x07\0\0\x14\0\0\0\0\0\0\0\xd6\x06\0\0\x62\x07\0\0\x02\x34\0\0\x48\0\0\0\
\xd6\x06\0\0\x62\x07\0\0\x02\x84\0\0\x90\0\0\0\xd6\x06\0\0\x62\x07\0\0\x02\xd4\
\0\0\xd8\0\0\0\xd6\x06\0\0\x62\x07\0\0\x02\x24\x01\0\x20\x01\0\0\xd6\x06\0\0\
\x62\x07\0\0\x02\x74\x01\0\x68\x01\0\0\xd6\x06\0\0\x62\x07\0\0\x02\xc4\x01\0\
\xb0\x01\0\0\xd6\x06\0\0\x62\x07\0\0\x02\x14\x02\0\xf8\x01\0\0\xd6\x06\0\0\x62\
\x07\0\0\x02\x64\x02\0\x40\x02\0\0\xd6\x06\0\0\x62\x07\0\0\x02\xb4\x02\0\x88\
\x02\0\0\xd6\x06\0\0\x62\x07\0\0\x02\x04\x03\0\xd0\x02\0\0\xd6\x06\0\0\x62\x07\
\0\0\x02\x54\x03\0\x18\x03\0\0\xd6\x06\0\0\x62\x07\0\0\x02\xa4\x03\0\x60\x03\0\
\0\xd6\x06\0\0\x62\x07\0\0\x02\xf4\x03\0\xa8\x03\0\0\xd6\x06\0\0\x62\x07\0\0\
\x02\x44\x04\0\xf0\x03\0\0\xd6\x06\0\0\x62\x07\0\0\x02\x94\x04\0\x38\x04\0\0\
\xd6\x06\0\0\x62\x07\0\0\x02\xe4\x04\0\x80\x04\0\0\xd6\x06\0\0\x62\x07\0\0\x02\
\x34\x05\0\xc8\x04\0\0\xd6\x06\0\0\x62\x07\0\0\x02\x84\x05\0\x10\x05\0\0\xd6\
\x06\0\0\x62\x07\0\0\x02\xd4\x05\0\x60\x05\0\0\xd6\x06\0\0\x62\x07\0\0\x02\x28\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x11\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x58\x02\0\0\0\0\0\0\x40\x02\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x98\x04\0\0\0\0\0\0\xb0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x48\x0a\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x0a\0\0\0\
\0\0\0\xfc\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x18\0\0\0\0\0\0\x18\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_masking *verifier_masking::open(const struct bpf_object_open_opts *opts) { return verifier_masking__open_opts(opts); }
struct verifier_masking *verifier_masking::open_and_load() { return verifier_masking__open_and_load(); }
int verifier_masking::load(struct verifier_masking *skel) { return verifier_masking__load(skel); }
int verifier_masking::attach(struct verifier_masking *skel) { return verifier_masking__attach(skel); }
void verifier_masking::detach(struct verifier_masking *skel) { verifier_masking__detach(skel); }
void verifier_masking::destroy(struct verifier_masking *skel) { verifier_masking__destroy(skel); }
const void *verifier_masking::elf_bytes(size_t *sz) { return verifier_masking__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_masking__assert(struct verifier_masking *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_MASKING_SKEL_H__ */
