/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_META_ACCESS_SKEL_H__
#define __VERIFIER_META_ACCESS_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_meta_access {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *meta_access_test1;
		struct bpf_program *meta_access_test2;
		struct bpf_program *meta_access_test3;
		struct bpf_program *meta_access_test4;
		struct bpf_program *meta_access_test5;
		struct bpf_program *meta_access_test6;
		struct bpf_program *meta_access_test7;
		struct bpf_program *meta_access_test8;
		struct bpf_program *meta_access_test9;
		struct bpf_program *meta_access_test10;
		struct bpf_program *meta_access_test11;
		struct bpf_program *meta_access_test12;
	} progs;
	struct {
		struct bpf_link *meta_access_test1;
		struct bpf_link *meta_access_test2;
		struct bpf_link *meta_access_test3;
		struct bpf_link *meta_access_test4;
		struct bpf_link *meta_access_test5;
		struct bpf_link *meta_access_test6;
		struct bpf_link *meta_access_test7;
		struct bpf_link *meta_access_test8;
		struct bpf_link *meta_access_test9;
		struct bpf_link *meta_access_test10;
		struct bpf_link *meta_access_test11;
		struct bpf_link *meta_access_test12;
	} links;

#ifdef __cplusplus
	static inline struct verifier_meta_access *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_meta_access *open_and_load();
	static inline int load(struct verifier_meta_access *skel);
	static inline int attach(struct verifier_meta_access *skel);
	static inline void detach(struct verifier_meta_access *skel);
	static inline void destroy(struct verifier_meta_access *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_meta_access__destroy(struct verifier_meta_access *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_meta_access__create_skeleton(struct verifier_meta_access *obj);

static inline struct verifier_meta_access *
verifier_meta_access__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_meta_access *obj;
	int err;

	obj = (struct verifier_meta_access *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_meta_access__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_meta_access__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_meta_access *
verifier_meta_access__open(void)
{
	return verifier_meta_access__open_opts(NULL);
}

static inline int
verifier_meta_access__load(struct verifier_meta_access *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_meta_access *
verifier_meta_access__open_and_load(void)
{
	struct verifier_meta_access *obj;
	int err;

	obj = verifier_meta_access__open();
	if (!obj)
		return NULL;
	err = verifier_meta_access__load(obj);
	if (err) {
		verifier_meta_access__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_meta_access__attach(struct verifier_meta_access *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_meta_access__detach(struct verifier_meta_access *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_meta_access__elf_bytes(size_t *sz);

static inline int
verifier_meta_access__create_skeleton(struct verifier_meta_access *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_meta_access";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 12;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "meta_access_test1";
	s->progs[0].prog = &obj->progs.meta_access_test1;
	s->progs[0].link = &obj->links.meta_access_test1;

	s->progs[1].name = "meta_access_test2";
	s->progs[1].prog = &obj->progs.meta_access_test2;
	s->progs[1].link = &obj->links.meta_access_test2;

	s->progs[2].name = "meta_access_test3";
	s->progs[2].prog = &obj->progs.meta_access_test3;
	s->progs[2].link = &obj->links.meta_access_test3;

	s->progs[3].name = "meta_access_test4";
	s->progs[3].prog = &obj->progs.meta_access_test4;
	s->progs[3].link = &obj->links.meta_access_test4;

	s->progs[4].name = "meta_access_test5";
	s->progs[4].prog = &obj->progs.meta_access_test5;
	s->progs[4].link = &obj->links.meta_access_test5;

	s->progs[5].name = "meta_access_test6";
	s->progs[5].prog = &obj->progs.meta_access_test6;
	s->progs[5].link = &obj->links.meta_access_test6;

	s->progs[6].name = "meta_access_test7";
	s->progs[6].prog = &obj->progs.meta_access_test7;
	s->progs[6].link = &obj->links.meta_access_test7;

	s->progs[7].name = "meta_access_test8";
	s->progs[7].prog = &obj->progs.meta_access_test8;
	s->progs[7].link = &obj->links.meta_access_test8;

	s->progs[8].name = "meta_access_test9";
	s->progs[8].prog = &obj->progs.meta_access_test9;
	s->progs[8].link = &obj->links.meta_access_test9;

	s->progs[9].name = "meta_access_test10";
	s->progs[9].prog = &obj->progs.meta_access_test10;
	s->progs[9].link = &obj->links.meta_access_test10;

	s->progs[10].name = "meta_access_test11";
	s->progs[10].prog = &obj->progs.meta_access_test11;
	s->progs[10].link = &obj->links.meta_access_test11;

	s->progs[11].name = "meta_access_test12";
	s->progs[11].prog = &obj->progs.meta_access_test12;
	s->progs[11].link = &obj->links.meta_access_test12;

	s->data = verifier_meta_access__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_meta_access__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x70\x12\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x78\x64\
\x70\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x6d\
\x65\x74\x61\x5f\x61\x63\x63\x65\x73\x73\x2e\x63\0\x6c\x30\x5f\x30\0\x6c\x30\
\x5f\x31\0\x6c\x30\x5f\x32\0\x6c\x30\x5f\x33\0\x6c\x30\x5f\x34\0\x6c\x30\x5f\
\x35\0\x6c\x30\x5f\x36\0\x6c\x30\x5f\x37\0\x6c\x30\x5f\x38\0\x6c\x30\x5f\x39\0\
\x6c\x30\x5f\x31\x30\0\x6c\x30\x5f\x31\x31\0\x6d\x65\x74\x61\x5f\x61\x63\x63\
\x65\x73\x73\x5f\x74\x65\x73\x74\x31\0\x6d\x65\x74\x61\x5f\x61\x63\x63\x65\x73\
\x73\x5f\x74\x65\x73\x74\x32\0\x6d\x65\x74\x61\x5f\x61\x63\x63\x65\x73\x73\x5f\
\x74\x65\x73\x74\x33\0\x6d\x65\x74\x61\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\
\x73\x74\x34\0\x6d\x65\x74\x61\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\
\x35\0\x6d\x65\x74\x61\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x36\0\
\x6d\x65\x74\x61\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x37\0\x6d\x65\
\x74\x61\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x38\0\x6d\x65\x74\x61\
\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x39\0\x6d\x65\x74\x61\x5f\x61\
\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x31\x30\0\x6d\x65\x74\x61\x5f\x61\x63\
\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x31\x31\0\x6d\x65\x74\x61\x5f\x61\x63\x63\
\x65\x73\x73\x5f\x74\x65\x73\x74\x31\x32\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1d\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x34\0\0\0\0\0\x03\
\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x39\0\0\0\0\0\x03\0\x80\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x3e\0\0\0\0\0\x03\0\xc0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x43\0\0\0\0\
\0\x03\0\x08\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\0\0\x03\0\x58\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x4d\0\0\0\0\0\x03\0\xa8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x52\0\0\0\0\0\x03\0\xf8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x57\0\0\0\0\0\x03\0\
\x38\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5c\0\0\0\0\0\x03\0\x80\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x61\0\0\0\0\0\x03\0\x08\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x66\0\0\
\0\0\0\x03\0\x88\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6c\0\0\0\0\0\x03\0\xf0\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x72\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\
\0\0\x84\0\0\0\x12\0\x03\0\x40\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x96\0\0\0\x12\0\
\x03\0\x90\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xa8\0\0\0\x12\0\x03\0\xd0\0\0\0\0\0\
\0\0\x48\0\0\0\0\0\0\0\xba\0\0\0\x12\0\x03\0\x18\x01\0\0\0\0\0\0\x50\0\0\0\0\0\
\0\0\xcc\0\0\0\x12\0\x03\0\x68\x01\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\xde\0\0\0\x12\
\0\x03\0\xb8\x01\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\xf0\0\0\0\x12\0\x03\0\x08\x02\0\
\0\0\0\0\0\x40\0\0\0\0\0\0\0\x02\x01\0\0\x12\0\x03\0\x48\x02\0\0\0\0\0\0\x48\0\
\0\0\0\0\0\0\x14\x01\0\0\x12\0\x03\0\x90\x02\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\x27\
\x01\0\0\x12\0\x03\0\x18\x03\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x3a\x01\0\0\x12\0\
\x03\0\x98\x03\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\x4d\x01\0\0\x11\0\x04\0\0\0\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\x61\x12\x08\0\0\0\0\0\x61\x13\0\0\0\0\0\0\xbf\x20\0\0\
\0\0\0\0\x07\0\0\0\x08\0\0\0\x2d\x30\x01\0\0\0\0\0\x71\x20\0\0\0\0\0\0\xb7\0\0\
\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x12\x08\0\0\0\0\0\x61\x13\0\0\0\0\0\0\xbf\x20\
\0\0\0\0\0\0\x17\0\0\0\x08\0\0\0\xbf\x24\0\0\0\0\0\0\x07\x04\0\0\x08\0\0\0\x2d\
\x34\x01\0\0\0\0\0\x71\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\
\x12\x08\0\0\0\0\0\x61\x13\x04\0\0\0\0\0\xbf\x20\0\0\0\0\0\0\x07\0\0\0\x08\0\0\
\0\x2d\x30\x01\0\0\0\0\0\x71\x20\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\x61\x12\x08\0\0\0\0\0\x61\x13\x04\0\0\0\0\0\x61\x14\0\0\0\0\0\0\xbf\x40\0\0\
\0\0\0\0\x07\0\0\0\x08\0\0\0\x2d\x30\x01\0\0\0\0\0\x71\x20\0\0\0\0\0\0\xb7\0\0\
\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x13\x08\0\0\0\0\0\x61\x14\0\0\0\0\0\0\xbf\x30\
\0\0\0\0\0\0\x07\0\0\0\x08\0\0\0\x2d\x40\x03\0\0\0\0\0\xb7\x02\0\0\xf8\xff\xff\
\xff\x85\0\0\0\x36\0\0\0\x71\x30\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\x61\x12\x08\0\0\0\0\0\x61\x13\0\0\0\0\0\0\xbf\x30\0\0\0\0\0\0\x07\0\0\0\x08\
\0\0\0\xbf\x24\0\0\0\0\0\0\x07\x04\0\0\x08\0\0\0\x2d\x04\x01\0\0\0\0\0\x71\x20\
\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x12\x08\0\0\0\0\0\x61\x13\
\0\0\0\0\0\0\xbf\x30\0\0\0\0\0\0\x07\0\0\0\x08\0\0\0\xbf\x24\0\0\0\0\0\0\x07\
\x04\0\0\x08\0\0\0\x2d\x34\x01\0\0\0\0\0\x71\x20\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x61\x12\x08\0\0\0\0\0\x61\x13\0\0\0\0\0\0\xbf\x24\0\0\0\0\0\
\0\x07\x04\0\0\xff\xff\0\0\x2d\x34\x01\0\0\0\0\0\x71\x20\0\0\0\0\0\0\xb7\0\0\0\
\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x12\x08\0\0\0\0\0\x61\x13\0\0\0\0\0\0\xbf\x24\0\
\0\0\0\0\0\x07\x04\0\0\xff\xff\0\0\x07\x04\0\0\x01\0\0\0\x2d\x34\x01\0\0\0\0\0\
\x71\x20\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x12\x08\0\0\0\0\0\
\x61\x13\0\0\0\0\0\0\x61\x14\x04\0\0\0\0\0\xb7\x05\0\0\x2a\0\0\0\xb7\x06\0\0\
\x18\0\0\0\x7b\x5a\xf8\xff\0\0\0\0\xdb\x6a\xf8\xff\0\0\0\0\x79\xa5\xf8\xff\0\0\
\0\0\x25\x05\x06\0\x64\0\0\0\x0f\x53\0\0\0\0\0\0\xbf\x35\0\0\0\0\0\0\xbf\x26\0\
\0\0\0\0\0\x07\x06\0\0\x08\0\0\0\x2d\x56\x01\0\0\0\0\0\x71\x22\0\0\0\0\0\0\xb7\
\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x12\x08\0\0\0\0\0\x61\x13\0\0\0\0\0\0\xb7\
\x05\0\0\x2a\0\0\0\xb7\x06\0\0\x18\0\0\0\x7b\x5a\xf8\xff\0\0\0\0\xdb\x6a\xf8\
\xff\0\0\0\0\x79\xa5\xf8\xff\0\0\0\0\x25\x05\x06\0\x64\0\0\0\x0f\x52\0\0\0\0\0\
\0\xbf\x25\0\0\0\0\0\0\xbf\x26\0\0\0\0\0\0\x07\x06\0\0\x08\0\0\0\x2d\x36\x01\0\
\0\0\0\0\x71\x55\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x12\x08\0\
\0\0\0\0\x61\x13\0\0\0\0\0\0\x61\x14\x04\0\0\0\0\0\xbf\x35\0\0\0\0\0\0\x07\x05\
\0\0\x10\0\0\0\x2d\x45\x05\0\0\0\0\0\x71\x30\0\0\0\0\0\0\xbf\x25\0\0\0\0\0\0\
\x07\x05\0\0\x10\0\0\0\x2d\x35\x01\0\0\0\0\0\x71\x20\0\0\0\0\0\0\xb7\0\0\0\0\0\
\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\
\x3c\x03\0\0\x3c\x03\0\0\x72\x05\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\x01\0\0\0\x01\0\
\0\x0c\x01\0\0\0\x13\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x3f\0\0\0\0\0\0\
\x11\x02\0\0\0\xff\xff\xff\xff\x5b\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\
\x71\0\0\0\x01\0\0\x0c\x01\0\0\0\x83\0\0\0\0\0\0\x11\x06\0\0\0\xff\xff\xff\xff\
\xaf\0\0\0\0\0\0\x11\x06\0\0\0\xff\xff\xff\xff\xcb\0\0\0\0\0\0\x11\x06\0\0\0\
\xff\xff\xff\xff\x06\x01\0\0\x01\0\0\x0c\x01\0\0\0\x18\x01\0\0\0\0\0\x11\x0a\0\
\0\0\xff\xff\xff\xff\xaf\0\0\0\0\0\0\x11\x0a\0\0\0\xff\xff\xff\xff\x44\x01\0\0\
\0\0\0\x11\x0a\0\0\0\xff\xff\xff\xff\x77\x01\0\0\x01\0\0\x0c\x01\0\0\0\x89\x01\
\0\0\0\0\0\x11\x0e\0\0\0\xff\xff\xff\xff\xaf\0\0\0\0\0\0\x11\x0e\0\0\0\xff\xff\
\xff\xff\xb5\x01\0\0\0\0\0\x11\x0e\0\0\0\xff\xff\xff\xff\xe8\x01\0\0\x01\0\0\
\x0c\x01\0\0\0\xfa\x01\0\0\0\0\0\x11\x12\0\0\0\xff\xff\xff\xff\xaf\0\0\0\0\0\0\
\x11\x12\0\0\0\xff\xff\xff\xff\x26\x02\0\0\0\0\0\x11\x12\0\0\0\xff\xff\xff\xff\
\x4c\x02\0\0\x01\0\0\x0c\x01\0\0\0\x5e\x02\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\
\xff\xaf\0\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\x8a\x02\0\0\0\0\0\x11\x16\0\
\0\0\xff\xff\xff\xff\xbd\x02\0\0\x01\0\0\x0c\x01\0\0\0\xcf\x02\0\0\0\0\0\x11\
\x1a\0\0\0\xff\xff\xff\xff\x3f\0\0\0\0\0\0\x11\x1a\0\0\0\xff\xff\xff\xff\x5b\0\
\0\0\0\0\0\x11\x1a\0\0\0\xff\xff\xff\xff\xfb\x02\0\0\x01\0\0\x0c\x01\0\0\0\x0d\
\x03\0\0\0\0\0\x11\x1e\0\0\0\xff\xff\xff\xff\x3f\0\0\0\0\0\0\x11\x1e\0\0\0\xff\
\xff\xff\xff\x5b\0\0\0\0\0\0\x11\x1e\0\0\0\xff\xff\xff\xff\x39\x03\0\0\x01\0\0\
\x0c\x01\0\0\0\x4b\x03\0\0\0\0\0\x11\x22\0\0\0\xff\xff\xff\xff\xaf\0\0\0\0\0\0\
\x11\x22\0\0\0\xff\xff\xff\xff\x77\x03\0\0\0\0\0\x11\x22\0\0\0\xff\xff\xff\xff\
\xaa\x03\0\0\x01\0\0\x0c\x01\0\0\0\xbd\x03\0\0\0\0\0\x11\x26\0\0\0\xff\xff\xff\
\xff\xaf\0\0\0\0\0\0\x11\x26\0\0\0\xff\xff\xff\xff\xea\x03\0\0\0\0\0\x11\x26\0\
\0\0\xff\xff\xff\xff\x1d\x04\0\0\x01\0\0\x0c\x01\0\0\0\x30\x04\0\0\0\0\0\x11\
\x2a\0\0\0\xff\xff\xff\xff\x3f\0\0\0\0\0\0\x11\x2a\0\0\0\xff\xff\xff\xff\x5b\0\
\0\0\0\0\0\x11\x2a\0\0\0\xff\xff\xff\xff\x5d\x04\0\0\x01\0\0\x0c\x01\0\0\0\x70\
\x04\0\0\0\0\0\x11\x2e\0\0\0\xff\xff\xff\xff\x3f\0\0\0\0\0\0\x11\x2e\0\0\0\xff\
\xff\xff\xff\x5b\0\0\0\0\0\0\x11\x2e\0\0\0\xff\xff\xff\xff\x9d\x04\0\0\0\0\0\
\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x32\0\0\0\x34\0\0\0\x04\0\
\0\0\xa2\x04\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\xb6\x04\0\0\0\0\0\x0e\x33\0\0\0\
\x01\0\0\0\x66\x05\0\0\x01\0\0\x0f\x04\0\0\0\x35\0\0\0\0\0\0\0\x04\0\0\0\0\x6d\
\x65\x74\x61\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x31\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\
\x6f\x6e\x3d\x6d\x65\x74\x61\x20\x61\x63\x63\x65\x73\x73\x2c\x20\x74\x65\x73\
\x74\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x30\0\x6d\x65\x74\x61\x5f\x61\x63\
\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6d\x65\x74\
\x61\x20\x61\x63\x63\x65\x73\x73\x2c\x20\x74\x65\x73\x74\x32\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\
\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x30\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\
\x61\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x70\x61\x63\x6b\x65\x74\x2c\x20\x6f\
\x66\x66\x3d\x2d\x38\0\x6d\x65\x74\x61\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\
\x73\x74\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\
\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6d\x65\x74\x61\x20\x61\x63\x63\x65\x73\
\x73\x2c\x20\x74\x65\x73\x74\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x3d\x69\x6e\x76\x61\
\x6c\x69\x64\x20\x61\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x70\x61\x63\x6b\x65\
\x74\0\x6d\x65\x74\x61\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x34\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\
\x70\x74\x69\x6f\x6e\x3d\x6d\x65\x74\x61\x20\x61\x63\x63\x65\x73\x73\x2c\x20\
\x74\x65\x73\x74\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x32\x3d\x69\x6e\x76\x61\x6c\x69\x64\
\x20\x61\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x70\x61\x63\x6b\x65\x74\0\x6d\x65\
\x74\x61\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x35\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\
\x6e\x3d\x6d\x65\x74\x61\x20\x61\x63\x63\x65\x73\x73\x2c\x20\x74\x65\x73\x74\
\x35\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x33\x3d\x52\x33\x20\x21\x72\x65\x61\x64\x5f\x6f\x6b\0\
\x6d\x65\x74\x61\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x36\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x6d\x65\x74\x61\x20\x61\x63\x63\x65\x73\x73\x2c\x20\x74\x65\
\x73\x74\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x34\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x61\
\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x70\x61\x63\x6b\x65\x74\0\x6d\x65\x74\x61\
\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x37\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\
\x6d\x65\x74\x61\x20\x61\x63\x63\x65\x73\x73\x2c\x20\x74\x65\x73\x74\x37\0\x6d\
\x65\x74\x61\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x38\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\
\x6f\x6e\x3d\x6d\x65\x74\x61\x20\x61\x63\x63\x65\x73\x73\x2c\x20\x74\x65\x73\
\x74\x38\0\x6d\x65\x74\x61\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x39\
\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\
\x70\x74\x69\x6f\x6e\x3d\x6d\x65\x74\x61\x20\x61\x63\x63\x65\x73\x73\x2c\x20\
\x74\x65\x73\x74\x39\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x35\x3d\x69\x6e\x76\x61\x6c\x69\x64\
\x20\x61\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x70\x61\x63\x6b\x65\x74\0\x6d\x65\
\x74\x61\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x31\x30\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\
\x6f\x6e\x3d\x6d\x65\x74\x61\x20\x61\x63\x63\x65\x73\x73\x2c\x20\x74\x65\x73\
\x74\x31\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x36\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x61\
\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x70\x61\x63\x6b\x65\x74\0\x6d\x65\x74\x61\
\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x31\x31\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\
\x3d\x6d\x65\x74\x61\x20\x61\x63\x63\x65\x73\x73\x2c\x20\x74\x65\x73\x74\x31\
\x31\0\x6d\x65\x74\x61\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x31\x32\
\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\
\x70\x74\x69\x6f\x6e\x3d\x6d\x65\x74\x61\x20\x61\x63\x63\x65\x73\x73\x2c\x20\
\x74\x65\x73\x74\x31\x32\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\
\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\
\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\
\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\
\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\
\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\
\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\
\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x6d\x65\x74\
\x61\x5f\x61\x63\x63\x65\x73\x73\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\
\x74\x69\x6c\x65\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x78\x64\x70\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x6c\0\0\0\x6c\0\0\0\
\xcc\0\0\0\x38\x01\0\0\0\0\0\0\x08\0\0\0\x6e\x05\0\0\x0c\0\0\0\0\0\0\0\x02\0\0\
\0\x40\0\0\0\x06\0\0\0\x90\0\0\0\x0a\0\0\0\xd0\0\0\0\x0e\0\0\0\x18\x01\0\0\x12\
\0\0\0\x68\x01\0\0\x16\0\0\0\xb8\x01\0\0\x1a\0\0\0\x08\x02\0\0\x1e\0\0\0\x48\
\x02\0\0\x22\0\0\0\x90\x02\0\0\x26\0\0\0\x18\x03\0\0\x2a\0\0\0\x98\x03\0\0\x2e\
\0\0\0\x10\0\0\0\x6e\x05\0\0\x0c\0\0\0\0\0\0\0\xbf\x04\0\0\x4f\x05\0\0\x02\x34\
\0\0\x40\0\0\0\xbf\x04\0\0\x4f\x05\0\0\x02\x84\0\0\x90\0\0\0\xbf\x04\0\0\x4f\
\x05\0\0\x02\xdc\0\0\xd0\0\0\0\xbf\x04\0\0\x4f\x05\0\0\x02\x2c\x01\0\x18\x01\0\
\0\xbf\x04\0\0\x4f\x05\0\0\x02\x84\x01\0\x68\x01\0\0\xbf\x04\0\0\x4f\x05\0\0\
\x02\xe0\x01\0\xb8\x01\0\0\xbf\x04\0\0\x4f\x05\0\0\x02\x38\x02\0\x08\x02\0\0\
\xbf\x04\0\0\x4f\x05\0\0\x02\x90\x02\0\x48\x02\0\0\xbf\x04\0\0\x4f\x05\0\0\x02\
\xe0\x02\0\x90\x02\0\0\xbf\x04\0\0\x4f\x05\0\0\x02\x34\x03\0\x18\x03\0\0\xbf\
\x04\0\0\x4f\x05\0\0\x02\xac\x03\0\x98\x03\0\0\xbf\x04\0\0\x4f\x05\0\0\x02\x1c\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x64\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xa8\x01\0\0\0\0\0\0\xa0\x02\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x48\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x48\x08\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x56\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x08\0\0\0\
\0\0\0\xc6\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x5b\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x11\0\0\0\0\0\0\x58\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_meta_access *verifier_meta_access::open(const struct bpf_object_open_opts *opts) { return verifier_meta_access__open_opts(opts); }
struct verifier_meta_access *verifier_meta_access::open_and_load() { return verifier_meta_access__open_and_load(); }
int verifier_meta_access::load(struct verifier_meta_access *skel) { return verifier_meta_access__load(skel); }
int verifier_meta_access::attach(struct verifier_meta_access *skel) { return verifier_meta_access__attach(skel); }
void verifier_meta_access::detach(struct verifier_meta_access *skel) { verifier_meta_access__detach(skel); }
void verifier_meta_access::destroy(struct verifier_meta_access *skel) { verifier_meta_access__destroy(skel); }
const void *verifier_meta_access::elf_bytes(size_t *sz) { return verifier_meta_access__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_meta_access__assert(struct verifier_meta_access *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_META_ACCESS_SKEL_H__ */
