/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_PRECISION_SKEL_H__
#define __VERIFIER_PRECISION_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_precision {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *bpf_neg;
		struct bpf_program *bpf_end_to_le;
		struct bpf_program *bpf_end_to_be;
		struct bpf_program *state_loop_first_last_equal;
	} progs;
	struct {
		struct bpf_link *bpf_neg;
		struct bpf_link *bpf_end_to_le;
		struct bpf_link *bpf_end_to_be;
		struct bpf_link *state_loop_first_last_equal;
	} links;

#ifdef __cplusplus
	static inline struct verifier_precision *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_precision *open_and_load();
	static inline int load(struct verifier_precision *skel);
	static inline int attach(struct verifier_precision *skel);
	static inline void detach(struct verifier_precision *skel);
	static inline void destroy(struct verifier_precision *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_precision__destroy(struct verifier_precision *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_precision__create_skeleton(struct verifier_precision *obj);

static inline struct verifier_precision *
verifier_precision__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_precision *obj;
	int err;

	obj = (struct verifier_precision *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_precision__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_precision__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_precision *
verifier_precision__open(void)
{
	return verifier_precision__open_opts(NULL);
}

static inline int
verifier_precision__load(struct verifier_precision *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_precision *
verifier_precision__open_and_load(void)
{
	struct verifier_precision *obj;
	int err;

	obj = verifier_precision__open();
	if (!obj)
		return NULL;
	err = verifier_precision__load(obj);
	if (err) {
		verifier_precision__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_precision__attach(struct verifier_precision *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_precision__detach(struct verifier_precision *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_precision__elf_bytes(size_t *sz);

static inline int
verifier_precision__create_skeleton(struct verifier_precision *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_precision";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "bpf_neg";
	s->progs[0].prog = &obj->progs.bpf_neg;
	s->progs[0].link = &obj->links.bpf_neg;

	s->progs[1].name = "bpf_end_to_le";
	s->progs[1].prog = &obj->progs.bpf_end_to_le;
	s->progs[1].link = &obj->links.bpf_end_to_le;

	s->progs[2].name = "bpf_end_to_be";
	s->progs[2].prog = &obj->progs.bpf_end_to_be;
	s->progs[2].link = &obj->links.bpf_end_to_be;

	s->progs[3].name = "state_loop_first_last_equal";
	s->progs[3].prog = &obj->progs.state_loop_first_last_equal;
	s->progs[3].link = &obj->links.state_loop_first_last_equal;

	s->data = verifier_precision__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_precision__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x30\x0e\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x3f\x72\
\x61\x77\x5f\x74\x70\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\
\x65\x72\x5f\x70\x72\x65\x63\x69\x73\x69\x6f\x6e\x2e\x63\0\x6c\x30\x5f\x30\0\
\x6c\x31\x5f\x30\0\x62\x70\x66\x5f\x6e\x65\x67\0\x62\x70\x66\x5f\x65\x6e\x64\
\x5f\x74\x6f\x5f\x6c\x65\0\x62\x70\x66\x5f\x65\x6e\x64\x5f\x74\x6f\x5f\x62\x65\
\0\x73\x74\x61\x74\x65\x5f\x6c\x6f\x6f\x70\x5f\x66\x69\x72\x73\x74\x5f\x6c\x61\
\x73\x74\x5f\x65\x71\x75\x61\x6c\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x42\
\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x21\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x36\0\0\0\0\0\x03\0\xb0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x3b\0\0\0\0\0\x03\0\xd0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\x48\0\0\0\x12\0\x03\0\
\x38\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\x56\0\0\0\x12\0\x03\0\x70\0\0\0\0\0\0\0\
\x38\0\0\0\0\0\0\0\x64\0\0\0\x12\0\x03\0\xa8\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\
\x80\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb7\x02\0\0\x08\0\0\0\
\x87\x02\0\0\0\0\0\0\x55\x02\x02\0\xf8\xff\xff\xff\xbf\xa1\0\0\0\0\0\0\x0f\x21\
\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\xd4\x02\0\
\0\x10\0\0\0\x55\x02\x02\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x0f\x21\0\0\0\0\0\0\xb7\
\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\xdc\x02\0\0\x10\0\0\0\x55\
\x02\x02\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x0f\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x07\0\0\0\x01\0\0\0\x07\0\0\0\x01\0\0\0\
\x35\0\x01\0\x0a\0\0\0\x05\0\xfc\xff\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\
\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x7c\x02\0\0\x7c\x02\0\0\x55\x08\0\0\0\0\
\0\0\0\0\0\x0d\x02\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x05\0\0\0\
\x01\0\0\x0c\x01\0\0\0\x0d\0\0\0\0\0\0\x11\x03\0\0\0\xff\xff\xff\xff\x29\0\0\0\
\0\0\0\x11\x03\0\0\0\xff\xff\xff\xff\x42\0\0\0\0\0\0\x11\x03\0\0\0\xff\xff\xff\
\xff\x99\0\0\0\0\0\0\x11\x03\0\0\0\xff\xff\xff\xff\x05\x01\0\0\0\0\0\x11\x03\0\
\0\0\xff\xff\xff\xff\x5c\x01\0\0\0\0\0\x11\x03\0\0\0\xff\xff\xff\xff\xb1\x01\0\
\0\x01\0\0\x0c\x01\0\0\0\x0d\0\0\0\0\0\0\x11\x0a\0\0\0\xff\xff\xff\xff\x29\0\0\
\0\0\0\0\x11\x0a\0\0\0\xff\xff\xff\xff\xbf\x01\0\0\0\0\0\x11\x0a\0\0\0\xff\xff\
\xff\xff\x16\x02\0\0\0\0\0\x11\x0a\0\0\0\xff\xff\xff\xff\x7b\x02\0\0\0\0\0\x11\
\x0a\0\0\0\xff\xff\xff\xff\xd6\x02\0\0\0\0\0\x11\x0a\0\0\0\xff\xff\xff\xff\x2b\
\x03\0\0\x01\0\0\x0c\x01\0\0\0\x0d\0\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\
\x29\0\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\x39\x03\0\0\0\0\0\x11\x11\0\0\0\
\xff\xff\xff\xff\x90\x03\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\xf5\x03\0\0\0\
\0\0\x11\x11\0\0\0\xff\xff\xff\xff\x51\x04\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\
\xff\xa7\x04\0\0\x01\0\0\x0c\x01\0\0\0\x0d\0\0\0\0\0\0\x11\x18\0\0\0\xff\xff\
\xff\xff\x29\0\0\0\0\0\0\x11\x18\0\0\0\xff\xff\xff\xff\xc3\x04\0\0\0\0\0\x11\
\x18\0\0\0\xff\xff\xff\xff\x0d\x05\0\0\0\0\0\x11\x18\0\0\0\xff\xff\xff\xff\x47\
\x05\0\0\0\0\0\x11\x18\0\0\0\xff\xff\xff\xff\x9d\x05\0\0\0\0\0\x11\x18\0\0\0\
\xff\xff\xff\xff\xf4\x05\0\0\0\0\0\x11\x18\0\0\0\xff\xff\xff\xff\x4b\x06\0\0\0\
\0\0\x11\x18\0\0\0\xff\xff\xff\xff\xa4\x06\0\0\0\0\0\x11\x18\0\0\0\xff\xff\xff\
\xff\x0a\x07\0\0\0\0\0\x11\x18\0\0\0\xff\xff\xff\xff\x60\x07\0\0\0\0\0\x11\x18\
\0\0\0\xff\xff\xff\xff\x85\x07\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\
\0\x03\0\0\0\0\x24\0\0\0\x26\0\0\0\x04\0\0\0\x8a\x07\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\0\x9e\x07\0\0\0\0\0\x0e\x25\0\0\0\x01\0\0\0\x45\x08\0\0\x01\0\0\x0f\
\x04\0\0\0\x27\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x62\x70\x66\x5f\x6e\x65\
\x67\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x6c\x6f\x67\x5f\x6c\x65\x76\x65\x6c\x3d\x32\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\
\x30\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\
\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x32\x20\x73\x74\x61\x63\x6b\x3d\
\x20\x62\x65\x66\x6f\x72\x65\x20\x33\x3a\x20\x28\x62\x66\x29\x20\x72\x31\x20\
\x3d\x20\x72\x31\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x3d\x6d\x61\x72\x6b\x5f\x70\x72\
\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\
\x3d\x72\x32\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x32\
\x3a\x20\x28\x35\x35\x29\x20\x69\x66\x20\x72\x32\x20\x21\x3d\x20\x30\x78\x66\
\x66\x66\x66\x66\x66\x66\x38\x20\x67\x6f\x74\x6f\x20\x70\x63\x2b\x32\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x32\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\
\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x32\x20\x73\x74\x61\
\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x3a\x20\x28\x38\x37\x29\x20\
\x72\x32\x20\x3d\x20\x2d\x72\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x33\x3d\x6d\x61\x72\x6b\
\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\
\x65\x67\x73\x3d\x72\x32\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\
\x65\x20\x30\x3a\x20\x28\x62\x37\x29\x20\x72\x32\x20\x3d\x20\x38\0\x62\x70\x66\
\x5f\x65\x6e\x64\x5f\x74\x6f\x5f\x6c\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x34\x3d\x6d\x61\
\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\
\x20\x72\x65\x67\x73\x3d\x72\x32\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\
\x6f\x72\x65\x20\x33\x3a\x20\x28\x62\x66\x29\x20\x72\x31\x20\x3d\x20\x72\x31\
\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x35\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\
\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x32\x20\
\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x32\x3a\x20\x28\x35\
\x35\x29\x20\x69\x66\x20\x72\x32\x20\x21\x3d\x20\x30\x78\x30\x20\x67\x6f\x74\
\x6f\x20\x70\x63\x2b\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x36\x3d\x6d\x61\x72\x6b\x5f\x70\
\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\
\x73\x3d\x72\x32\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\
\x31\x3a\x20\x28\x64\x34\x29\x20\x72\x32\x20\x3d\x20\x6c\x65\x31\x36\x20\x72\
\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x37\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\
\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x32\x20\
\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x30\x3a\x20\x28\x62\
\x37\x29\x20\x72\x32\x20\x3d\x20\x30\0\x62\x70\x66\x5f\x65\x6e\x64\x5f\x74\x6f\
\x5f\x62\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x38\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\
\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\
\x32\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x33\x3a\x20\
\x28\x62\x66\x29\x20\x72\x31\x20\x3d\x20\x72\x31\x30\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x39\
\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\
\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x32\x20\x73\x74\x61\x63\x6b\x3d\x20\
\x62\x65\x66\x6f\x72\x65\x20\x32\x3a\x20\x28\x35\x35\x29\x20\x69\x66\x20\x72\
\x32\x20\x21\x3d\x20\x30\x78\x30\x20\x67\x6f\x74\x6f\x20\x70\x63\x2b\x32\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x31\x30\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\
\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x32\x20\x73\
\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x31\x3a\x20\x28\x64\x63\
\x29\x20\x72\x32\x20\x3d\x20\x62\x65\x31\x36\x20\x72\x32\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\
\x31\x31\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\
\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x32\x20\x73\x74\x61\x63\x6b\
\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x30\x3a\x20\x28\x62\x37\x29\x20\x72\x32\
\x20\x3d\x20\x30\0\x73\x74\x61\x74\x65\x5f\x6c\x6f\x6f\x70\x5f\x66\x69\x72\x73\
\x74\x5f\x6c\x61\x73\x74\x5f\x65\x71\x75\x61\x6c\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x32\
\x3d\x32\x3a\x20\x28\x30\x37\x29\x20\x72\x30\x20\x2b\x3d\x20\x31\x20\x20\x20\
\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\
\x20\x3b\x20\x52\x30\x5f\x77\x3d\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x33\x3d\x33\x3a\
\x20\x28\x33\x35\x29\x20\x69\x66\x20\x72\x30\x20\x3e\x3d\x20\x30\x78\x61\x20\
\x67\x6f\x74\x6f\x20\x70\x63\x2b\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x34\x3d\x6d\x61\
\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\
\x20\x6c\x61\x73\x74\x5f\x69\x64\x78\x20\x33\x20\x66\x69\x72\x73\x74\x5f\x69\
\x64\x78\x20\x33\x20\x73\x75\x62\x73\x65\x71\x5f\x69\x64\x78\x20\x2d\x31\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x31\x35\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\
\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\
\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x32\x3a\x20\x28\x30\x37\
\x29\x20\x72\x30\x20\x2b\x3d\x20\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x36\x3d\x6d\x61\
\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\
\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\
\x6f\x72\x65\x20\x31\x3a\x20\x28\x30\x37\x29\x20\x72\x30\x20\x2b\x3d\x20\x31\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x3d\x31\x37\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\
\x65\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\
\x73\x74\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\x20\x34\x3a\x20\x28\x30\
\x35\x29\x20\x67\x6f\x74\x6f\x20\x70\x63\x2d\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x38\
\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\
\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\
\x62\x65\x66\x6f\x72\x65\x20\x33\x3a\x20\x28\x33\x35\x29\x20\x69\x66\x20\x72\
\x30\x20\x3e\x3d\x20\x30\x78\x61\x20\x67\x6f\x74\x6f\x20\x70\x63\x2b\x31\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x31\x39\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\
\x3a\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x70\x61\x72\x65\x6e\x74\x20\x73\x74\
\x61\x74\x65\x20\x72\x65\x67\x73\x3d\x20\x73\x74\x61\x63\x6b\x3d\x3a\x20\x20\
\x52\x30\x5f\x72\x77\x3d\x50\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x32\x30\x3d\x33\x3a\x20\
\x52\x30\x5f\x77\x3d\x36\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\
\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\
\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\
\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\
\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\
\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\
\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\
\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x70\x72\x65\
\x63\x69\x73\x69\x6f\x6e\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\
\x6c\x65\x20\x28\0\x6c\x69\x63\x65\x6e\x73\x65\0\x3f\x72\x61\x77\x5f\x74\x70\0\
\0\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x2c\0\0\0\x2c\0\0\0\x4c\0\0\0\
\x78\0\0\0\0\0\0\0\x08\0\0\0\x4d\x08\0\0\x04\0\0\0\0\0\0\0\x03\0\0\0\x38\0\0\0\
\x0a\0\0\0\x70\0\0\0\x11\0\0\0\xa8\0\0\0\x18\0\0\0\x10\0\0\0\x4d\x08\0\0\x04\0\
\0\0\0\0\0\0\xa7\x07\0\0\x35\x08\0\0\x02\x3c\0\0\x38\0\0\0\xa7\x07\0\0\x35\x08\
\0\0\x02\x8c\0\0\x70\0\0\0\xa7\x07\0\0\x35\x08\0\0\x02\xe0\0\0\xa8\0\0\0\xa7\
\x07\0\0\x35\x08\0\0\x02\xd0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\x97\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x01\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xa0\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x89\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xa8\x02\0\0\0\0\0\0\xe9\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x8e\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x0d\0\0\0\
\0\0\0\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_precision *verifier_precision::open(const struct bpf_object_open_opts *opts) { return verifier_precision__open_opts(opts); }
struct verifier_precision *verifier_precision::open_and_load() { return verifier_precision__open_and_load(); }
int verifier_precision::load(struct verifier_precision *skel) { return verifier_precision__load(skel); }
int verifier_precision::attach(struct verifier_precision *skel) { return verifier_precision__attach(skel); }
void verifier_precision::detach(struct verifier_precision *skel) { verifier_precision__detach(skel); }
void verifier_precision::destroy(struct verifier_precision *skel) { verifier_precision__destroy(skel); }
const void *verifier_precision::elf_bytes(size_t *sz) { return verifier_precision__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_precision__assert(struct verifier_precision *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_PRECISION_SKEL_H__ */
