/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_RINGBUF_SKEL_H__
#define __VERIFIER_RINGBUF_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_ringbuf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *map_ringbuf;
	} maps;
	struct {
		struct bpf_program *ringbuf_invalid_reservation_offset_1;
		struct bpf_program *ringbuf_invalid_reservation_offset_2;
		struct bpf_program *passing_rb_mem_to_helpers;
	} progs;
	struct {
		struct bpf_link *ringbuf_invalid_reservation_offset_1;
		struct bpf_link *ringbuf_invalid_reservation_offset_2;
		struct bpf_link *passing_rb_mem_to_helpers;
	} links;

#ifdef __cplusplus
	static inline struct verifier_ringbuf *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_ringbuf *open_and_load();
	static inline int load(struct verifier_ringbuf *skel);
	static inline int attach(struct verifier_ringbuf *skel);
	static inline void detach(struct verifier_ringbuf *skel);
	static inline void destroy(struct verifier_ringbuf *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_ringbuf__destroy(struct verifier_ringbuf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_ringbuf__create_skeleton(struct verifier_ringbuf *obj);

static inline struct verifier_ringbuf *
verifier_ringbuf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_ringbuf *obj;
	int err;

	obj = (struct verifier_ringbuf *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_ringbuf__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_ringbuf__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_ringbuf *
verifier_ringbuf__open(void)
{
	return verifier_ringbuf__open_opts(NULL);
}

static inline int
verifier_ringbuf__load(struct verifier_ringbuf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_ringbuf *
verifier_ringbuf__open_and_load(void)
{
	struct verifier_ringbuf *obj;
	int err;

	obj = verifier_ringbuf__open();
	if (!obj)
		return NULL;
	err = verifier_ringbuf__load(obj);
	if (err) {
		verifier_ringbuf__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_ringbuf__attach(struct verifier_ringbuf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_ringbuf__detach(struct verifier_ringbuf *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_ringbuf__elf_bytes(size_t *sz);

static inline int
verifier_ringbuf__create_skeleton(struct verifier_ringbuf *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_ringbuf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "map_ringbuf";
	map->map = &obj->maps.map_ringbuf;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "ringbuf_invalid_reservation_offset_1";
	s->progs[0].prog = &obj->progs.ringbuf_invalid_reservation_offset_1;
	s->progs[0].link = &obj->links.ringbuf_invalid_reservation_offset_1;

	s->progs[1].name = "ringbuf_invalid_reservation_offset_2";
	s->progs[1].prog = &obj->progs.ringbuf_invalid_reservation_offset_2;
	s->progs[1].link = &obj->links.ringbuf_invalid_reservation_offset_2;

	s->progs[2].name = "passing_rb_mem_to_helpers";
	s->progs[2].prog = &obj->progs.passing_rb_mem_to_helpers;
	s->progs[2].link = &obj->links.passing_rb_mem_to_helpers;

	s->data = verifier_ringbuf__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_ringbuf__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x28\x0a\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6f\
\x63\x6b\x65\x74\0\x78\x64\x70\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x2e\x63\
\0\x6c\x30\x5f\x30\0\x6c\x30\x5f\x31\0\x6c\x30\x5f\x32\0\x72\x69\x6e\x67\x62\
\x75\x66\x5f\x69\x6e\x76\x61\x6c\x69\x64\x5f\x72\x65\x73\x65\x72\x76\x61\x74\
\x69\x6f\x6e\x5f\x6f\x66\x66\x73\x65\x74\x5f\x31\0\x6d\x61\x70\x5f\x72\x69\x6e\
\x67\x62\x75\x66\0\x72\x69\x6e\x67\x62\x75\x66\x5f\x69\x6e\x76\x61\x6c\x69\x64\
\x5f\x72\x65\x73\x65\x72\x76\x61\x74\x69\x6f\x6e\x5f\x6f\x66\x66\x73\x65\x74\
\x5f\x32\0\x70\x61\x73\x73\x69\x6e\x67\x5f\x72\x62\x5f\x6d\x65\x6d\x5f\x74\x6f\
\x5f\x68\x65\x6c\x70\x65\x72\x73\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\
\x65\x6c\x73\x6f\x63\x6b\x65\x74\0\x2e\x72\x65\x6c\x78\x64\x70\0\x2e\x42\x54\
\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x2a\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3d\0\0\0\0\0\x03\0\x88\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x42\0\0\0\0\0\x03\0\x20\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\0\0\0\0\0\x04\0\x58\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x4c\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x98\0\0\0\0\0\
\0\0\x71\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x7d\0\0\0\x12\0\
\x03\0\x98\0\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\xa2\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\
\0\xa8\0\0\0\0\0\0\0\xbc\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xb7\x02\0\0\x08\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x83\0\0\0\xbf\x06\0\0\0\
\0\0\0\x15\0\x08\0\0\0\0\0\x7b\x6a\xf8\xff\0\0\0\0\x79\xa7\xf8\xff\0\0\0\0\xb7\
\x01\0\0\0\0\0\0\x7b\x17\0\0\0\0\0\0\xbf\x71\0\0\0\0\0\0\x07\x01\0\0\xfe\xca\0\
\0\xb7\x02\0\0\0\0\0\0\x85\0\0\0\x84\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xb7\x02\0\0\x08\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x83\0\0\0\xbf\x06\0\0\0\
\0\0\0\x15\0\x08\0\0\0\0\0\x7b\x6a\xf8\xff\0\0\0\0\x79\xa7\xf8\xff\0\0\0\0\x07\
\x07\0\0\xfe\xca\0\0\xb7\x01\0\0\0\0\0\0\x7b\x17\0\0\0\0\0\0\xbf\x71\0\0\0\0\0\
\0\xb7\x02\0\0\0\0\0\0\x85\0\0\0\x84\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\xbf\x16\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\x08\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x83\
\0\0\0\xbf\x07\0\0\0\0\0\0\x55\0\x01\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x61\0\0\0\
\0\0\0\xbf\x02\0\0\0\0\0\0\xb7\x03\0\0\x08\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\
\x45\0\0\0\xbf\x71\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\0\0\0\x84\0\0\0\xb7\0\0\
\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\xa8\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\
\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xe4\
\x01\0\0\xe4\x01\0\0\x32\x03\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x1b\0\
\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\0\x10\0\0\0\0\0\0\x02\0\0\x04\x10\0\0\
\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x2a\0\0\0\0\0\0\
\x0e\x07\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\x36\0\0\0\x01\0\0\x0c\x09\0\
\0\0\x5b\0\0\0\0\0\0\x11\x0a\0\0\0\xff\xff\xff\xff\x9a\0\0\0\0\0\0\x11\x0a\0\0\
\0\xff\xff\xff\xff\xb6\0\0\0\0\0\0\x11\x0a\0\0\0\xff\xff\xff\xff\x05\x01\0\0\0\
\0\0\x11\x0a\0\0\0\xff\xff\xff\xff\x28\x01\0\0\x01\0\0\x0c\x09\0\0\0\x4d\x01\0\
\0\0\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\x9a\0\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\
\xff\xff\x8c\x01\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\x05\x01\0\0\0\0\0\x11\
\x0f\0\0\0\xff\xff\xff\xff\xda\x01\0\0\x01\0\0\x0c\x09\0\0\0\xf4\x01\0\0\0\0\0\
\x11\x14\0\0\0\xff\xff\xff\xff\x36\x02\0\0\0\0\0\x11\x14\0\0\0\xff\xff\xff\xff\
\x52\x02\0\0\0\0\0\x11\x14\0\0\0\xff\xff\xff\xff\x68\x02\0\0\0\0\0\x01\x01\0\0\
\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x18\0\0\0\x04\0\0\0\x04\0\0\0\x6d\x02\
\0\0\0\0\0\x0e\x19\0\0\0\x01\0\0\0\x19\x03\0\0\x01\0\0\x0f\x10\0\0\0\x08\0\0\0\
\0\0\0\0\x10\0\0\0\x1f\x03\0\0\x01\0\0\x0f\x04\0\0\0\x1a\0\0\0\0\0\0\0\x04\0\0\
\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\
\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\
\x73\0\x6d\x61\x70\x5f\x72\x69\x6e\x67\x62\x75\x66\0\x72\x69\x6e\x67\x62\x75\
\x66\x5f\x69\x6e\x76\x61\x6c\x69\x64\x5f\x72\x65\x73\x65\x72\x76\x61\x74\x69\
\x6f\x6e\x5f\x6f\x66\x66\x73\x65\x74\x5f\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x72\x69\
\x6e\x67\x62\x75\x66\x3a\x20\x69\x6e\x76\x61\x6c\x69\x64\x20\x72\x65\x73\x65\
\x72\x76\x61\x74\x69\x6f\x6e\x20\x6f\x66\x66\x73\x65\x74\x20\x31\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\
\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x30\x3d\x52\x31\x20\x6d\x75\x73\x74\
\x20\x68\x61\x76\x65\x20\x7a\x65\x72\x6f\x20\x6f\x66\x66\x73\x65\x74\x20\x77\
\x68\x65\x6e\x20\x70\x61\x73\x73\x65\x64\x20\x74\x6f\x20\x72\x65\x6c\x65\x61\
\x73\x65\x20\x66\x75\x6e\x63\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\x5f\x75\x6e\x70\
\x72\x69\x76\0\x72\x69\x6e\x67\x62\x75\x66\x5f\x69\x6e\x76\x61\x6c\x69\x64\x5f\
\x72\x65\x73\x65\x72\x76\x61\x74\x69\x6f\x6e\x5f\x6f\x66\x66\x73\x65\x74\x5f\
\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\
\x69\x70\x74\x69\x6f\x6e\x3d\x72\x69\x6e\x67\x62\x75\x66\x3a\x20\x69\x6e\x76\
\x61\x6c\x69\x64\x20\x72\x65\x73\x65\x72\x76\x61\x74\x69\x6f\x6e\x20\x6f\x66\
\x66\x73\x65\x74\x20\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x3d\x52\x37\x20\x6d\x69\x6e\
\x20\x76\x61\x6c\x75\x65\x20\x69\x73\x20\x6f\x75\x74\x73\x69\x64\x65\x20\x6f\
\x66\x20\x74\x68\x65\x20\x61\x6c\x6c\x6f\x77\x65\x64\x20\x6d\x65\x6d\x6f\x72\
\x79\x20\x72\x61\x6e\x67\x65\0\x70\x61\x73\x73\x69\x6e\x67\x5f\x72\x62\x5f\x6d\
\x65\x6d\x5f\x74\x6f\x5f\x68\x65\x6c\x70\x65\x72\x73\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\
\x72\x69\x6e\x67\x62\x75\x66\x3a\x20\x63\x68\x65\x63\x6b\x20\x70\x61\x73\x73\
\x69\x6e\x67\x20\x72\x62\x20\x6d\x65\x6d\x20\x74\x6f\x20\x68\x65\x6c\x70\x65\
\x72\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x30\0\x63\x68\x61\x72\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\
\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\
\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\
\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\
\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\
\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\
\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\
\x6c\x61\x74\x69\x6c\x65\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\x2e\x6d\x61\x70\
\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x73\x6f\x63\x6b\x65\x74\0\x78\x64\x70\0\0\
\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x2c\0\0\0\x2c\0\0\0\x44\0\0\0\x70\0\0\0\0\0\
\0\0\x08\0\0\0\x27\x03\0\0\x02\0\0\0\0\0\0\0\x0a\0\0\0\x98\0\0\0\x0f\0\0\0\x2e\
\x03\0\0\x01\0\0\0\0\0\0\0\x14\0\0\0\x10\0\0\0\x27\x03\0\0\x02\0\0\0\0\0\0\0\
\x76\x02\0\0\x02\x03\0\0\x02\x4c\0\0\x98\0\0\0\x76\x02\0\0\x02\x03\0\0\x02\xec\
\0\0\x2e\x03\0\0\x01\0\0\0\0\0\0\0\x76\x02\0\0\x02\x03\0\0\x02\x88\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xe6\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x28\x01\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\
\x02\0\0\0\0\0\0\x30\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x18\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x03\0\0\0\0\
\0\0\xa8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1c\0\
\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x04\0\0\0\0\0\0\x10\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x04\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc5\0\0\0\x09\0\0\0\x40\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x38\x04\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xd0\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x58\x04\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\xd8\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x68\x04\0\0\0\0\0\0\x2e\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xdd\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x09\0\0\
\0\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_ringbuf *verifier_ringbuf::open(const struct bpf_object_open_opts *opts) { return verifier_ringbuf__open_opts(opts); }
struct verifier_ringbuf *verifier_ringbuf::open_and_load() { return verifier_ringbuf__open_and_load(); }
int verifier_ringbuf::load(struct verifier_ringbuf *skel) { return verifier_ringbuf__load(skel); }
int verifier_ringbuf::attach(struct verifier_ringbuf *skel) { return verifier_ringbuf__attach(skel); }
void verifier_ringbuf::detach(struct verifier_ringbuf *skel) { verifier_ringbuf__detach(skel); }
void verifier_ringbuf::destroy(struct verifier_ringbuf *skel) { verifier_ringbuf__destroy(skel); }
const void *verifier_ringbuf::elf_bytes(size_t *sz) { return verifier_ringbuf__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_ringbuf__assert(struct verifier_ringbuf *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_RINGBUF_SKEL_H__ */
