/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_RUNTIME_JIT_SKEL_H__
#define __VERIFIER_RUNTIME_JIT_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_runtime_jit {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *map_prog1_socket;
		struct bpf_map *map_prog2_socket;
	} maps;
	struct {
		struct bpf_program *dummy_prog_42_socket;
		struct bpf_program *dummy_prog_loop1_socket;
		struct bpf_program *dummy_prog_24_socket;
		struct bpf_program *dummy_prog_loop2_socket;
		struct bpf_program *call_within_bounds_prog_once;
		struct bpf_program *call_within_bounds_prog_loop;
		struct bpf_program *call_within_bounds_no_prog;
		struct bpf_program *call_within_bounds_key_2;
		struct bpf_program *_2_key_2_first_branch;
		struct bpf_program *_2_key_2_second_branch;
		struct bpf_program *_0_key_2_first_branch;
		struct bpf_program *_0_key_2_second_branch;
		struct bpf_program *bounds_different_maps_first_branch;
		struct bpf_program *bounds_different_maps_second_branch;
		struct bpf_program *tail_call_out_of_bounds;
		struct bpf_program *negative_index_to_tail_call;
		struct bpf_program *_32bit_index_to_tail_call;
	} progs;
	struct {
		struct bpf_link *dummy_prog_42_socket;
		struct bpf_link *dummy_prog_loop1_socket;
		struct bpf_link *dummy_prog_24_socket;
		struct bpf_link *dummy_prog_loop2_socket;
		struct bpf_link *call_within_bounds_prog_once;
		struct bpf_link *call_within_bounds_prog_loop;
		struct bpf_link *call_within_bounds_no_prog;
		struct bpf_link *call_within_bounds_key_2;
		struct bpf_link *_2_key_2_first_branch;
		struct bpf_link *_2_key_2_second_branch;
		struct bpf_link *_0_key_2_first_branch;
		struct bpf_link *_0_key_2_second_branch;
		struct bpf_link *bounds_different_maps_first_branch;
		struct bpf_link *bounds_different_maps_second_branch;
		struct bpf_link *tail_call_out_of_bounds;
		struct bpf_link *negative_index_to_tail_call;
		struct bpf_link *_32bit_index_to_tail_call;
	} links;

#ifdef __cplusplus
	static inline struct verifier_runtime_jit *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_runtime_jit *open_and_load();
	static inline int load(struct verifier_runtime_jit *skel);
	static inline int attach(struct verifier_runtime_jit *skel);
	static inline void detach(struct verifier_runtime_jit *skel);
	static inline void destroy(struct verifier_runtime_jit *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_runtime_jit__destroy(struct verifier_runtime_jit *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_runtime_jit__create_skeleton(struct verifier_runtime_jit *obj);

static inline struct verifier_runtime_jit *
verifier_runtime_jit__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_runtime_jit *obj;
	int err;

	obj = (struct verifier_runtime_jit *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_runtime_jit__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_runtime_jit__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_runtime_jit *
verifier_runtime_jit__open(void)
{
	return verifier_runtime_jit__open_opts(NULL);
}

static inline int
verifier_runtime_jit__load(struct verifier_runtime_jit *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_runtime_jit *
verifier_runtime_jit__open_and_load(void)
{
	struct verifier_runtime_jit *obj;
	int err;

	obj = verifier_runtime_jit__open();
	if (!obj)
		return NULL;
	err = verifier_runtime_jit__load(obj);
	if (err) {
		verifier_runtime_jit__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_runtime_jit__attach(struct verifier_runtime_jit *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_runtime_jit__detach(struct verifier_runtime_jit *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_runtime_jit__elf_bytes(size_t *sz);

static inline int
verifier_runtime_jit__create_skeleton(struct verifier_runtime_jit *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_runtime_jit";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "map_prog1_socket";
	map->map = &obj->maps.map_prog1_socket;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "map_prog2_socket";
	map->map = &obj->maps.map_prog2_socket;

	/* programs */
	s->prog_cnt = 17;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "dummy_prog_42_socket";
	s->progs[0].prog = &obj->progs.dummy_prog_42_socket;
	s->progs[0].link = &obj->links.dummy_prog_42_socket;

	s->progs[1].name = "dummy_prog_loop1_socket";
	s->progs[1].prog = &obj->progs.dummy_prog_loop1_socket;
	s->progs[1].link = &obj->links.dummy_prog_loop1_socket;

	s->progs[2].name = "dummy_prog_24_socket";
	s->progs[2].prog = &obj->progs.dummy_prog_24_socket;
	s->progs[2].link = &obj->links.dummy_prog_24_socket;

	s->progs[3].name = "dummy_prog_loop2_socket";
	s->progs[3].prog = &obj->progs.dummy_prog_loop2_socket;
	s->progs[3].link = &obj->links.dummy_prog_loop2_socket;

	s->progs[4].name = "call_within_bounds_prog_once";
	s->progs[4].prog = &obj->progs.call_within_bounds_prog_once;
	s->progs[4].link = &obj->links.call_within_bounds_prog_once;

	s->progs[5].name = "call_within_bounds_prog_loop";
	s->progs[5].prog = &obj->progs.call_within_bounds_prog_loop;
	s->progs[5].link = &obj->links.call_within_bounds_prog_loop;

	s->progs[6].name = "call_within_bounds_no_prog";
	s->progs[6].prog = &obj->progs.call_within_bounds_no_prog;
	s->progs[6].link = &obj->links.call_within_bounds_no_prog;

	s->progs[7].name = "call_within_bounds_key_2";
	s->progs[7].prog = &obj->progs.call_within_bounds_key_2;
	s->progs[7].link = &obj->links.call_within_bounds_key_2;

	s->progs[8].name = "_2_key_2_first_branch";
	s->progs[8].prog = &obj->progs._2_key_2_first_branch;
	s->progs[8].link = &obj->links._2_key_2_first_branch;

	s->progs[9].name = "_2_key_2_second_branch";
	s->progs[9].prog = &obj->progs._2_key_2_second_branch;
	s->progs[9].link = &obj->links._2_key_2_second_branch;

	s->progs[10].name = "_0_key_2_first_branch";
	s->progs[10].prog = &obj->progs._0_key_2_first_branch;
	s->progs[10].link = &obj->links._0_key_2_first_branch;

	s->progs[11].name = "_0_key_2_second_branch";
	s->progs[11].prog = &obj->progs._0_key_2_second_branch;
	s->progs[11].link = &obj->links._0_key_2_second_branch;

	s->progs[12].name = "bounds_different_maps_first_branch";
	s->progs[12].prog = &obj->progs.bounds_different_maps_first_branch;
	s->progs[12].link = &obj->links.bounds_different_maps_first_branch;

	s->progs[13].name = "bounds_different_maps_second_branch";
	s->progs[13].prog = &obj->progs.bounds_different_maps_second_branch;
	s->progs[13].link = &obj->links.bounds_different_maps_second_branch;

	s->progs[14].name = "tail_call_out_of_bounds";
	s->progs[14].prog = &obj->progs.tail_call_out_of_bounds;
	s->progs[14].link = &obj->links.tail_call_out_of_bounds;

	s->progs[15].name = "negative_index_to_tail_call";
	s->progs[15].prog = &obj->progs.negative_index_to_tail_call;
	s->progs[15].link = &obj->links.negative_index_to_tail_call;

	s->progs[16].name = "_32bit_index_to_tail_call";
	s->progs[16].prog = &obj->progs._32bit_index_to_tail_call;
	s->progs[16].link = &obj->links._32bit_index_to_tail_call;

	s->data = verifier_runtime_jit__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_runtime_jit__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x10\x1e\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6f\
\x63\x6b\x65\x74\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\
\x72\x69\x66\x69\x65\x72\x5f\x72\x75\x6e\x74\x69\x6d\x65\x5f\x6a\x69\x74\x2e\
\x63\0\x6c\x30\x5f\x30\0\x6c\x31\x5f\x30\0\x6c\x30\x5f\x31\0\x6c\x31\x5f\x31\0\
\x6c\x30\x5f\x32\0\x6c\x31\x5f\x32\0\x6c\x30\x5f\x33\0\x6c\x31\x5f\x33\0\x6c\
\x30\x5f\x34\0\x6c\x31\x5f\x34\0\x6c\x30\x5f\x35\0\x6c\x31\x5f\x35\0\x64\x75\
\x6d\x6d\x79\x5f\x70\x72\x6f\x67\x5f\x34\x32\x5f\x73\x6f\x63\x6b\x65\x74\0\x64\
\x75\x6d\x6d\x79\x5f\x70\x72\x6f\x67\x5f\x6c\x6f\x6f\x70\x31\x5f\x73\x6f\x63\
\x6b\x65\x74\0\x6d\x61\x70\x5f\x70\x72\x6f\x67\x31\x5f\x73\x6f\x63\x6b\x65\x74\
\0\x64\x75\x6d\x6d\x79\x5f\x70\x72\x6f\x67\x5f\x32\x34\x5f\x73\x6f\x63\x6b\x65\
\x74\0\x64\x75\x6d\x6d\x79\x5f\x70\x72\x6f\x67\x5f\x6c\x6f\x6f\x70\x32\x5f\x73\
\x6f\x63\x6b\x65\x74\0\x6d\x61\x70\x5f\x70\x72\x6f\x67\x32\x5f\x73\x6f\x63\x6b\
\x65\x74\0\x63\x61\x6c\x6c\x5f\x77\x69\x74\x68\x69\x6e\x5f\x62\x6f\x75\x6e\x64\
\x73\x5f\x70\x72\x6f\x67\x5f\x6f\x6e\x63\x65\0\x63\x61\x6c\x6c\x5f\x77\x69\x74\
\x68\x69\x6e\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x70\x72\x6f\x67\x5f\x6c\x6f\x6f\
\x70\0\x63\x61\x6c\x6c\x5f\x77\x69\x74\x68\x69\x6e\x5f\x62\x6f\x75\x6e\x64\x73\
\x5f\x6e\x6f\x5f\x70\x72\x6f\x67\0\x63\x61\x6c\x6c\x5f\x77\x69\x74\x68\x69\x6e\
\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x6b\x65\x79\x5f\x32\0\x5f\x32\x5f\x6b\x65\x79\
\x5f\x32\x5f\x66\x69\x72\x73\x74\x5f\x62\x72\x61\x6e\x63\x68\0\x5f\x32\x5f\x6b\
\x65\x79\x5f\x32\x5f\x73\x65\x63\x6f\x6e\x64\x5f\x62\x72\x61\x6e\x63\x68\0\x5f\
\x30\x5f\x6b\x65\x79\x5f\x32\x5f\x66\x69\x72\x73\x74\x5f\x62\x72\x61\x6e\x63\
\x68\0\x5f\x30\x5f\x6b\x65\x79\x5f\x32\x5f\x73\x65\x63\x6f\x6e\x64\x5f\x62\x72\
\x61\x6e\x63\x68\0\x62\x6f\x75\x6e\x64\x73\x5f\x64\x69\x66\x66\x65\x72\x65\x6e\
\x74\x5f\x6d\x61\x70\x73\x5f\x66\x69\x72\x73\x74\x5f\x62\x72\x61\x6e\x63\x68\0\
\x62\x6f\x75\x6e\x64\x73\x5f\x64\x69\x66\x66\x65\x72\x65\x6e\x74\x5f\x6d\x61\
\x70\x73\x5f\x73\x65\x63\x6f\x6e\x64\x5f\x62\x72\x61\x6e\x63\x68\0\x74\x61\x69\
\x6c\x5f\x63\x61\x6c\x6c\x5f\x6f\x75\x74\x5f\x6f\x66\x5f\x62\x6f\x75\x6e\x64\
\x73\0\x6e\x65\x67\x61\x74\x69\x76\x65\x5f\x69\x6e\x64\x65\x78\x5f\x74\x6f\x5f\
\x74\x61\x69\x6c\x5f\x63\x61\x6c\x6c\0\x5f\x33\x32\x62\x69\x74\x5f\x69\x6e\x64\
\x65\x78\x5f\x74\x6f\x5f\x74\x61\x69\x6c\x5f\x63\x61\x6c\x6c\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x73\x6f\x63\x6b\x65\x74\0\x2e\x72\x65\x6c\
\x2e\x6d\x61\x70\x73\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x04\0\xf1\xff\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x3d\0\0\0\0\0\x03\0\x80\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x42\0\0\0\0\0\x03\0\
\x98\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\0\0\0\0\0\x03\0\xf0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x4c\0\0\0\0\0\x03\0\x08\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x51\0\0\
\0\0\0\x03\0\x60\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x56\0\0\0\0\0\x03\0\x78\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x5b\0\0\0\0\0\x03\0\xd0\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x60\0\0\0\0\0\x03\0\xe8\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x65\0\0\0\0\0\x03\
\0\x40\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6a\0\0\0\0\0\x03\0\x58\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x6f\0\0\0\0\0\x03\0\xb0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x74\0\
\0\0\0\0\x03\0\xc8\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\0\0\0\x12\0\x03\0\0\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x8e\0\0\0\x12\0\x03\0\x10\0\0\0\0\0\0\0\x30\0\0\0\
\0\0\0\0\xa6\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\xb7\0\0\0\x12\
\0\x03\0\x40\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xcc\0\0\0\x12\0\x03\0\x50\0\0\0\0\
\0\0\0\x30\0\0\0\0\0\0\0\xe4\0\0\0\x11\0\x04\0\x30\0\0\0\0\0\0\0\x58\0\0\0\0\0\
\0\0\xf5\0\0\0\x12\0\x03\0\x80\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x12\x01\0\0\x12\
\0\x03\0\xb0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x2f\x01\0\0\x12\0\x03\0\xe0\0\0\0\
\0\0\0\0\x30\0\0\0\0\0\0\0\x4a\x01\0\0\x12\0\x03\0\x10\x01\0\0\0\0\0\0\x30\0\0\
\0\0\0\0\0\x63\x01\0\0\x12\0\x03\0\x40\x01\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x79\
\x01\0\0\x12\0\x03\0\xb0\x01\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x90\x01\0\0\x12\0\
\x03\0\x20\x02\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\xa6\x01\0\0\x12\0\x03\0\x90\x02\0\
\0\0\0\0\0\x70\0\0\0\0\0\0\0\xbd\x01\0\0\x12\0\x03\0\0\x03\0\0\0\0\0\0\x70\0\0\
\0\0\0\0\0\xe0\x01\0\0\x12\0\x03\0\x70\x03\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x04\
\x02\0\0\x12\0\x03\0\xe0\x03\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x1c\x02\0\0\x12\0\
\x03\0\x10\x04\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x38\x02\0\0\x12\0\x03\0\x40\x04\0\
\0\0\0\0\0\x38\0\0\0\0\0\0\0\x52\x02\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\xb7\0\0\0\x2a\0\0\0\x95\0\0\0\0\0\0\0\xb7\x03\0\0\x01\0\0\0\x18\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x0c\0\0\0\xb7\0\0\0\x29\0\0\0\x95\0\0\0\0\
\0\0\0\xb7\0\0\0\x18\0\0\0\x95\0\0\0\0\0\0\0\xb7\x03\0\0\x01\0\0\0\x18\x02\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x0c\0\0\0\xb7\0\0\0\x29\0\0\0\x95\0\0\0\0\0\
\0\0\xb7\x03\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x0c\0\0\
\0\xb7\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\xb7\x03\0\0\x01\0\0\0\x18\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x0c\0\0\0\xb7\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\
\xb7\x03\0\0\x03\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x0c\0\0\0\
\xb7\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\xb7\x03\0\0\x02\0\0\0\x18\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x85\0\0\0\x0c\0\0\0\xb7\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\
\xb7\0\0\0\x0d\0\0\0\x73\x01\x30\0\0\0\0\0\x71\x10\x30\0\0\0\0\0\x15\0\x04\0\
\x0d\0\0\0\xb7\x03\0\0\x02\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\x03\
\0\0\0\0\0\xb7\x03\0\0\x02\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\
\x0c\0\0\0\xb7\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\x0e\0\0\0\x73\x01\
\x30\0\0\0\0\0\x71\x10\x30\0\0\0\0\0\x15\0\x04\0\x0d\0\0\0\xb7\x03\0\0\x02\0\0\
\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\x03\0\0\0\0\0\xb7\x03\0\0\x02\0\0\
\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x0c\0\0\0\xb7\0\0\0\x01\0\0\0\
\x95\0\0\0\0\0\0\0\xb7\0\0\0\x0d\0\0\0\x73\x01\x30\0\0\0\0\0\x71\x10\x30\0\0\0\
\0\0\x15\0\x04\0\x0d\0\0\0\xb7\x03\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x05\0\x03\0\0\0\0\0\xb7\x03\0\0\x02\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x85\0\0\0\x0c\0\0\0\xb7\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\x0e\0\
\0\0\x73\x01\x30\0\0\0\0\0\x71\x10\x30\0\0\0\0\0\x15\0\x04\0\x0d\0\0\0\xb7\x03\
\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\x03\0\0\0\0\0\xb7\x03\0\
\0\x02\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x0c\0\0\0\xb7\0\0\0\
\x01\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\x0d\0\0\0\x73\x01\x30\0\0\0\0\0\x71\x10\
\x30\0\0\0\0\0\x15\0\x04\0\x0d\0\0\0\xb7\x03\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x05\0\x03\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x85\0\0\0\x0c\0\0\0\xb7\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\
\0\x0e\0\0\0\x73\x01\x30\0\0\0\0\0\x71\x10\x30\0\0\0\0\0\x15\0\x04\0\x0d\0\0\0\
\xb7\x03\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\x03\0\0\0\0\0\
\xb7\x03\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x0c\0\0\0\
\xb7\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\xb7\x03\0\0\0\x01\0\0\x18\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x85\0\0\0\x0c\0\0\0\xb7\0\0\0\x02\0\0\0\x95\0\0\0\0\0\0\0\
\xb7\x03\0\0\xff\xff\xff\xff\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x0c\
\0\0\0\xb7\0\0\0\x02\0\0\0\x95\0\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x0c\0\0\0\xb7\0\0\0\x02\0\0\
\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\
\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\x14\0\0\0\
\x88\0\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\xb8\0\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\
\xe8\0\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\x18\x01\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\
\x68\x01\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\x88\x01\0\0\0\0\0\0\x01\0\0\0\x11\0\0\
\0\xd8\x01\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\xf8\x01\0\0\0\0\0\0\x01\0\0\0\x11\0\
\0\0\x48\x02\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\x68\x02\0\0\0\0\0\0\x01\0\0\0\x11\
\0\0\0\xb8\x02\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\xd8\x02\0\0\0\0\0\0\x01\0\0\0\
\x11\0\0\0\x28\x03\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\x48\x03\0\0\0\0\0\0\x01\0\0\
\0\x14\0\0\0\x98\x03\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\xb8\x03\0\0\0\0\0\0\x01\0\
\0\0\x14\0\0\0\xe8\x03\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\x18\x04\0\0\0\0\0\0\x01\
\0\0\0\x11\0\0\0\x50\x04\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\x18\0\0\0\0\0\0\0\x02\
\0\0\0\x0f\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x10\0\0\0\x28\0\0\0\0\0\0\0\x02\0\
\0\0\x12\0\0\0\x50\0\0\0\0\0\0\0\x02\0\0\0\x13\0\0\0\x58\0\0\0\0\0\0\0\x02\0\0\
\0\x12\0\0\0\x80\0\0\0\0\0\0\0\x02\0\0\0\x0f\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\
\0\0\x84\x06\0\0\x84\x06\0\0\xe1\x08\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\
\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x03\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\x02\x08\
\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x07\0\0\0\x04\0\0\0\
\0\0\0\0\0\0\0\0\x04\0\0\x04\x18\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\
\x05\0\0\0\x40\0\0\0\x2a\0\0\0\x05\0\0\0\x80\0\0\0\x33\0\0\0\x09\0\0\0\xc0\0\0\
\0\x3a\0\0\0\0\0\0\x0e\x0a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0d\0\0\0\0\0\0\0\
\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x04\0\0\x04\x18\0\0\0\
\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x0c\0\0\0\x40\0\0\0\x2a\0\0\0\x05\0\0\0\
\x80\0\0\0\x33\0\0\0\x09\0\0\0\xc0\0\0\0\x4b\0\0\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\
\0\x5c\0\0\0\x01\0\0\x0c\x08\0\0\0\x71\0\0\0\0\0\0\x11\x10\0\0\0\xff\xff\xff\
\xff\x88\0\0\0\0\0\0\x11\x10\0\0\0\xff\xff\xff\xff\xa6\0\0\0\x01\0\0\x0c\x08\0\
\0\0\x71\0\0\0\0\0\0\x11\x13\0\0\0\xff\xff\xff\xff\x88\0\0\0\0\0\0\x11\x13\0\0\
\0\xff\xff\xff\xff\xbe\0\0\0\x01\0\0\x0c\x08\0\0\0\x71\0\0\0\0\0\0\x11\x16\0\0\
\0\xff\xff\xff\xff\x88\0\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\xd3\0\0\0\x01\
\0\0\x0c\x08\0\0\0\x71\0\0\0\0\0\0\x11\x19\0\0\0\xff\xff\xff\xff\x88\0\0\0\0\0\
\0\x11\x19\0\0\0\xff\xff\xff\xff\xeb\0\0\0\x01\0\0\x0c\x08\0\0\0\x08\x01\0\0\0\
\0\0\x11\x1c\0\0\0\xff\xff\xff\xff\x51\x01\0\0\0\0\0\x11\x1c\0\0\0\xff\xff\xff\
\xff\x6d\x01\0\0\0\0\0\x11\x1c\0\0\0\xff\xff\xff\xff\x90\x01\0\0\0\0\0\x11\x1c\
\0\0\0\xff\xff\xff\xff\xa7\x01\0\0\x01\0\0\x0c\x08\0\0\0\xc4\x01\0\0\0\0\0\x11\
\x21\0\0\0\xff\xff\xff\xff\x51\x01\0\0\0\0\0\x11\x21\0\0\0\xff\xff\xff\xff\x6d\
\x01\0\0\0\0\0\x11\x21\0\0\0\xff\xff\xff\xff\x0d\x02\0\0\0\0\0\x11\x21\0\0\0\
\xff\xff\xff\xff\x24\x02\0\0\x01\0\0\x0c\x08\0\0\0\x3f\x02\0\0\0\0\0\x11\x26\0\
\0\0\xff\xff\xff\xff\x51\x01\0\0\0\0\0\x11\x26\0\0\0\xff\xff\xff\xff\x6d\x01\0\
\0\0\0\0\x11\x26\0\0\0\xff\xff\xff\xff\x86\x02\0\0\0\0\0\x11\x26\0\0\0\xff\xff\
\xff\xff\x9c\x02\0\0\x01\0\0\x0c\x08\0\0\0\xb5\x02\0\0\0\0\0\x11\x2b\0\0\0\xff\
\xff\xff\xff\x51\x01\0\0\0\0\0\x11\x2b\0\0\0\xff\xff\xff\xff\x6d\x01\0\0\0\0\0\
\x11\x2b\0\0\0\xff\xff\xff\xff\xfa\x02\0\0\0\0\0\x11\x2b\0\0\0\xff\xff\xff\xff\
\x11\x03\0\0\x01\0\0\x0c\x08\0\0\0\x27\x03\0\0\0\0\0\x11\x30\0\0\0\xff\xff\xff\
\xff\x51\x01\0\0\0\0\0\x11\x30\0\0\0\xff\xff\xff\xff\x6d\x01\0\0\0\0\0\x11\x30\
\0\0\0\xff\xff\xff\xff\xfa\x02\0\0\0\0\0\x11\x30\0\0\0\xff\xff\xff\xff\x82\x03\
\0\0\x01\0\0\x0c\x08\0\0\0\x99\x03\0\0\0\0\0\x11\x35\0\0\0\xff\xff\xff\xff\x51\
\x01\0\0\0\0\0\x11\x35\0\0\0\xff\xff\xff\xff\x6d\x01\0\0\0\0\0\x11\x35\0\0\0\
\xff\xff\xff\xff\xfa\x02\0\0\0\0\0\x11\x35\0\0\0\xff\xff\xff\xff\xf5\x03\0\0\
\x01\0\0\x0c\x08\0\0\0\x0b\x04\0\0\0\0\0\x11\x3a\0\0\0\xff\xff\xff\xff\x51\x01\
\0\0\0\0\0\x11\x3a\0\0\0\xff\xff\xff\xff\x6d\x01\0\0\0\0\0\x11\x3a\0\0\0\xff\
\xff\xff\xff\xfa\x02\0\0\0\0\0\x11\x3a\0\0\0\xff\xff\xff\xff\x66\x04\0\0\x01\0\
\0\x0c\x08\0\0\0\x7d\x04\0\0\0\0\0\x11\x3f\0\0\0\xff\xff\xff\xff\x51\x01\0\0\0\
\0\0\x11\x3f\0\0\0\xff\xff\xff\xff\x6d\x01\0\0\0\0\0\x11\x3f\0\0\0\xff\xff\xff\
\xff\x90\x01\0\0\0\0\0\x11\x3f\0\0\0\xff\xff\xff\xff\xd9\x04\0\0\x01\0\0\x0c\
\x08\0\0\0\xfc\x04\0\0\0\0\0\x11\x44\0\0\0\xff\xff\xff\xff\x51\x01\0\0\0\0\0\
\x11\x44\0\0\0\xff\xff\xff\xff\x58\x05\0\0\0\0\0\x11\x44\0\0\0\xff\xff\xff\xff\
\x7b\x05\0\0\0\0\0\x11\x44\0\0\0\xff\xff\xff\xff\x86\x02\0\0\0\0\0\x11\x44\0\0\
\0\xff\xff\xff\xff\xb6\x05\0\0\x01\0\0\x0c\x08\0\0\0\xda\x05\0\0\0\0\0\x11\x4a\
\0\0\0\xff\xff\xff\xff\x51\x01\0\0\0\0\0\x11\x4a\0\0\0\xff\xff\xff\xff\x58\x05\
\0\0\0\0\0\x11\x4a\0\0\0\xff\xff\xff\xff\x37\x06\0\0\0\0\0\x11\x4a\0\0\0\xff\
\xff\xff\xff\x90\x01\0\0\0\0\0\x11\x4a\0\0\0\xff\xff\xff\xff\x72\x06\0\0\x01\0\
\0\x0c\x08\0\0\0\x8a\x06\0\0\0\0\0\x11\x50\0\0\0\xff\xff\xff\xff\x51\x01\0\0\0\
\0\0\x11\x50\0\0\0\xff\xff\xff\xff\x6d\x01\0\0\0\0\0\x11\x50\0\0\0\xff\xff\xff\
\xff\xc8\x06\0\0\0\0\0\x11\x50\0\0\0\xff\xff\xff\xff\xde\x06\0\0\x01\0\0\x0c\
\x08\0\0\0\xfa\x06\0\0\0\0\0\x11\x55\0\0\0\xff\xff\xff\xff\x51\x01\0\0\0\0\0\
\x11\x55\0\0\0\xff\xff\xff\xff\x6d\x01\0\0\0\0\0\x11\x55\0\0\0\xff\xff\xff\xff\
\xc8\x06\0\0\0\0\0\x11\x55\0\0\0\xff\xff\xff\xff\x41\x07\0\0\x01\0\0\x0c\x08\0\
\0\0\x5b\x07\0\0\0\0\0\x11\x5a\0\0\0\xff\xff\xff\xff\x51\x01\0\0\0\0\0\x11\x5a\
\0\0\0\xff\xff\xff\xff\x6d\x01\0\0\0\0\0\x11\x5a\0\0\0\xff\xff\xff\xff\x90\x01\
\0\0\0\0\0\x11\x5a\0\0\0\xff\xff\xff\xff\xa1\x07\0\0\0\0\0\x11\x5a\0\0\0\xff\
\xff\xff\xff\xbe\x07\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\
\0\0\x60\0\0\0\x04\0\0\0\x04\0\0\0\xc3\x07\0\0\0\0\0\x0e\x61\0\0\0\x01\0\0\0\
\xcc\x08\0\0\x02\0\0\x0f\x88\0\0\0\x0b\0\0\0\0\0\0\0\x30\0\0\0\x0f\0\0\0\x30\0\
\0\0\x58\0\0\0\xd2\x08\0\0\x01\0\0\x0f\x04\0\0\0\x62\0\0\0\0\0\0\0\x04\0\0\0\0\
\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\
\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\
\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x73\0\x6d\x61\x70\x5f\
\x70\x72\x6f\x67\x31\x5f\x73\x6f\x63\x6b\x65\x74\0\x6d\x61\x70\x5f\x70\x72\x6f\
\x67\x32\x5f\x73\x6f\x63\x6b\x65\x74\0\x64\x75\x6d\x6d\x79\x5f\x70\x72\x6f\x67\
\x5f\x34\x32\x5f\x73\x6f\x63\x6b\x65\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x61\x75\x78\x69\x6c\x69\x61\x72\x79\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x61\x75\x78\x69\x6c\x69\x61\x72\x79\x5f\x75\x6e\
\x70\x72\x69\x76\0\x64\x75\x6d\x6d\x79\x5f\x70\x72\x6f\x67\x5f\x6c\x6f\x6f\x70\
\x31\x5f\x73\x6f\x63\x6b\x65\x74\0\x64\x75\x6d\x6d\x79\x5f\x70\x72\x6f\x67\x5f\
\x32\x34\x5f\x73\x6f\x63\x6b\x65\x74\0\x64\x75\x6d\x6d\x79\x5f\x70\x72\x6f\x67\
\x5f\x6c\x6f\x6f\x70\x32\x5f\x73\x6f\x63\x6b\x65\x74\0\x63\x61\x6c\x6c\x5f\x77\
\x69\x74\x68\x69\x6e\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x70\x72\x6f\x67\x5f\x6f\
\x6e\x63\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\
\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x72\x75\x6e\x74\x69\x6d\x65\x2f\x6a\x69\
\x74\x3a\x20\x74\x61\x69\x6c\x5f\x63\x61\x6c\x6c\x20\x77\x69\x74\x68\x69\x6e\
\x20\x62\x6f\x75\x6e\x64\x73\x2c\x20\x70\x72\x6f\x67\x20\x6f\x6e\x63\x65\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x73\x75\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\x5f\x75\x6e\x70\
\x72\x69\x76\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\
\x76\x61\x6c\x3d\x34\x32\0\x63\x61\x6c\x6c\x5f\x77\x69\x74\x68\x69\x6e\x5f\x62\
\x6f\x75\x6e\x64\x73\x5f\x70\x72\x6f\x67\x5f\x6c\x6f\x6f\x70\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\
\x6e\x3d\x72\x75\x6e\x74\x69\x6d\x65\x2f\x6a\x69\x74\x3a\x20\x74\x61\x69\x6c\
\x5f\x63\x61\x6c\x6c\x20\x77\x69\x74\x68\x69\x6e\x20\x62\x6f\x75\x6e\x64\x73\
\x2c\x20\x70\x72\x6f\x67\x20\x6c\x6f\x6f\x70\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x34\x31\0\x63\x61\x6c\x6c\x5f\
\x77\x69\x74\x68\x69\x6e\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x6e\x6f\x5f\x70\x72\
\x6f\x67\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\
\x72\x69\x70\x74\x69\x6f\x6e\x3d\x72\x75\x6e\x74\x69\x6d\x65\x2f\x6a\x69\x74\
\x3a\x20\x74\x61\x69\x6c\x5f\x63\x61\x6c\x6c\x20\x77\x69\x74\x68\x69\x6e\x20\
\x62\x6f\x75\x6e\x64\x73\x2c\x20\x6e\x6f\x20\x70\x72\x6f\x67\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x31\0\x63\x61\
\x6c\x6c\x5f\x77\x69\x74\x68\x69\x6e\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x6b\x65\
\x79\x5f\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\
\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x72\x75\x6e\x74\x69\x6d\x65\x2f\x6a\x69\
\x74\x3a\x20\x74\x61\x69\x6c\x5f\x63\x61\x6c\x6c\x20\x77\x69\x74\x68\x69\x6e\
\x20\x62\x6f\x75\x6e\x64\x73\x2c\x20\x6b\x65\x79\x20\x32\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x32\x34\0\x5f\x32\
\x5f\x6b\x65\x79\x5f\x32\x5f\x66\x69\x72\x73\x74\x5f\x62\x72\x61\x6e\x63\x68\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\
\x70\x74\x69\x6f\x6e\x3d\x72\x75\x6e\x74\x69\x6d\x65\x2f\x6a\x69\x74\x3a\x20\
\x74\x61\x69\x6c\x5f\x63\x61\x6c\x6c\x20\x77\x69\x74\x68\x69\x6e\x20\x62\x6f\
\x75\x6e\x64\x73\x2c\x20\x6b\x65\x79\x20\x32\x20\x2f\x20\x6b\x65\x79\x20\x32\
\x2c\x20\x66\x69\x72\x73\x74\x20\x62\x72\x61\x6e\x63\x68\0\x5f\x32\x5f\x6b\x65\
\x79\x5f\x32\x5f\x73\x65\x63\x6f\x6e\x64\x5f\x62\x72\x61\x6e\x63\x68\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x72\x75\x6e\x74\x69\x6d\x65\x2f\x6a\x69\x74\x3a\x20\x74\x61\
\x69\x6c\x5f\x63\x61\x6c\x6c\x20\x77\x69\x74\x68\x69\x6e\x20\x62\x6f\x75\x6e\
\x64\x73\x2c\x20\x6b\x65\x79\x20\x32\x20\x2f\x20\x6b\x65\x79\x20\x32\x2c\x20\
\x73\x65\x63\x6f\x6e\x64\x20\x62\x72\x61\x6e\x63\x68\0\x5f\x30\x5f\x6b\x65\x79\
\x5f\x32\x5f\x66\x69\x72\x73\x74\x5f\x62\x72\x61\x6e\x63\x68\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\
\x6e\x3d\x72\x75\x6e\x74\x69\x6d\x65\x2f\x6a\x69\x74\x3a\x20\x74\x61\x69\x6c\
\x5f\x63\x61\x6c\x6c\x20\x77\x69\x74\x68\x69\x6e\x20\x62\x6f\x75\x6e\x64\x73\
\x2c\x20\x6b\x65\x79\x20\x30\x20\x2f\x20\x6b\x65\x79\x20\x32\x2c\x20\x66\x69\
\x72\x73\x74\x20\x62\x72\x61\x6e\x63\x68\0\x5f\x30\x5f\x6b\x65\x79\x5f\x32\x5f\
\x73\x65\x63\x6f\x6e\x64\x5f\x62\x72\x61\x6e\x63\x68\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\
\x72\x75\x6e\x74\x69\x6d\x65\x2f\x6a\x69\x74\x3a\x20\x74\x61\x69\x6c\x5f\x63\
\x61\x6c\x6c\x20\x77\x69\x74\x68\x69\x6e\x20\x62\x6f\x75\x6e\x64\x73\x2c\x20\
\x6b\x65\x79\x20\x30\x20\x2f\x20\x6b\x65\x79\x20\x32\x2c\x20\x73\x65\x63\x6f\
\x6e\x64\x20\x62\x72\x61\x6e\x63\x68\0\x62\x6f\x75\x6e\x64\x73\x5f\x64\x69\x66\
\x66\x65\x72\x65\x6e\x74\x5f\x6d\x61\x70\x73\x5f\x66\x69\x72\x73\x74\x5f\x62\
\x72\x61\x6e\x63\x68\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\
\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x72\x75\x6e\x74\x69\x6d\x65\x2f\
\x6a\x69\x74\x3a\x20\x74\x61\x69\x6c\x5f\x63\x61\x6c\x6c\x20\x77\x69\x74\x68\
\x69\x6e\x20\x62\x6f\x75\x6e\x64\x73\x2c\x20\x64\x69\x66\x66\x65\x72\x65\x6e\
\x74\x20\x6d\x61\x70\x73\x2c\x20\x66\x69\x72\x73\x74\x20\x62\x72\x61\x6e\x63\
\x68\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\x5f\x75\x6e\x70\x72\x69\x76\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x5f\x75\x6e\x70\x72\x69\x76\x3d\x30\x3d\x74\x61\x69\x6c\x5f\x63\x61\x6c\
\x6c\x20\x61\x62\x75\x73\x69\x6e\x67\x20\x6d\x61\x70\x5f\x70\x74\x72\0\x62\x6f\
\x75\x6e\x64\x73\x5f\x64\x69\x66\x66\x65\x72\x65\x6e\x74\x5f\x6d\x61\x70\x73\
\x5f\x73\x65\x63\x6f\x6e\x64\x5f\x62\x72\x61\x6e\x63\x68\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\
\x3d\x72\x75\x6e\x74\x69\x6d\x65\x2f\x6a\x69\x74\x3a\x20\x74\x61\x69\x6c\x5f\
\x63\x61\x6c\x6c\x20\x77\x69\x74\x68\x69\x6e\x20\x62\x6f\x75\x6e\x64\x73\x2c\
\x20\x64\x69\x66\x66\x65\x72\x65\x6e\x74\x20\x6d\x61\x70\x73\x2c\x20\x73\x65\
\x63\x6f\x6e\x64\x20\x62\x72\x61\x6e\x63\x68\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x5f\x75\x6e\x70\
\x72\x69\x76\x3d\x31\x3d\x74\x61\x69\x6c\x5f\x63\x61\x6c\x6c\x20\x61\x62\x75\
\x73\x69\x6e\x67\x20\x6d\x61\x70\x5f\x70\x74\x72\0\x74\x61\x69\x6c\x5f\x63\x61\
\x6c\x6c\x5f\x6f\x75\x74\x5f\x6f\x66\x5f\x62\x6f\x75\x6e\x64\x73\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\
\x6f\x6e\x3d\x72\x75\x6e\x74\x69\x6d\x65\x2f\x6a\x69\x74\x3a\x20\x74\x61\x69\
\x6c\x5f\x63\x61\x6c\x6c\x20\x6f\x75\x74\x20\x6f\x66\x20\x62\x6f\x75\x6e\x64\
\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\
\x6c\x3d\x32\0\x6e\x65\x67\x61\x74\x69\x76\x65\x5f\x69\x6e\x64\x65\x78\x5f\x74\
\x6f\x5f\x74\x61\x69\x6c\x5f\x63\x61\x6c\x6c\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x72\x75\
\x6e\x74\x69\x6d\x65\x2f\x6a\x69\x74\x3a\x20\x70\x61\x73\x73\x20\x6e\x65\x67\
\x61\x74\x69\x76\x65\x20\x69\x6e\x64\x65\x78\x20\x74\x6f\x20\x74\x61\x69\x6c\
\x5f\x63\x61\x6c\x6c\0\x5f\x33\x32\x62\x69\x74\x5f\x69\x6e\x64\x65\x78\x5f\x74\
\x6f\x5f\x74\x61\x69\x6c\x5f\x63\x61\x6c\x6c\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x72\x75\
\x6e\x74\x69\x6d\x65\x2f\x6a\x69\x74\x3a\x20\x70\x61\x73\x73\x20\x3e\x20\x33\
\x32\x62\x69\x74\x20\x69\x6e\x64\x65\x78\x20\x74\x6f\x20\x74\x61\x69\x6c\x5f\
\x63\x61\x6c\x6c\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\
\x74\x76\x61\x6c\x5f\x75\x6e\x70\x72\x69\x76\x3d\x32\0\x63\x68\x61\x72\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\
\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\
\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\
\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\
\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\
\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\
\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\
\x69\x65\x72\x5f\x72\x75\x6e\x74\x69\x6d\x65\x5f\x6a\x69\x74\x2e\x63\0\x09\x61\
\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\x22\x72\x30\x20\x3d\x20\
\x34\x32\x3b\x20\x65\x78\x69\x74\x3b\x22\x29\x3b\0\x09\x61\x73\x6d\x20\x76\x6f\
\x6c\x61\x74\x69\x6c\x65\x20\x28\x22\x09\x09\x09\x5c\0\x09\x61\x73\x6d\x20\x76\
\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\x22\x72\x30\x20\x3d\x20\x32\x34\x3b\x20\
\x65\x78\x69\x74\x3b\x22\x29\x3b\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\
\x6c\x65\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\x2e\x6d\x61\x70\x73\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x73\x6f\x63\x6b\x65\x74\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\
\0\0\0\0\x94\0\0\0\x94\0\0\0\x1c\x01\0\0\xb0\x01\0\0\0\0\0\0\x08\0\0\0\xda\x08\
\0\0\x11\0\0\0\0\0\0\0\x10\0\0\0\x10\0\0\0\x13\0\0\0\x40\0\0\0\x16\0\0\0\x50\0\
\0\0\x19\0\0\0\x80\0\0\0\x1c\0\0\0\xb0\0\0\0\x21\0\0\0\xe0\0\0\0\x26\0\0\0\x10\
\x01\0\0\x2b\0\0\0\x40\x01\0\0\x30\0\0\0\xb0\x01\0\0\x35\0\0\0\x20\x02\0\0\x3a\
\0\0\0\x90\x02\0\0\x3f\0\0\0\0\x03\0\0\x44\0\0\0\x70\x03\0\0\x4a\0\0\0\xe0\x03\
\0\0\x50\0\0\0\x10\x04\0\0\x55\0\0\0\x40\x04\0\0\x5a\0\0\0\x10\0\0\0\xda\x08\0\
\0\x11\0\0\0\0\0\0\0\xcc\x07\0\0\x5c\x08\0\0\x02\xac\0\0\x10\0\0\0\xcc\x07\0\0\
\x7e\x08\0\0\x02\xe4\0\0\x40\0\0\0\xcc\x07\0\0\x93\x08\0\0\x02\xc8\0\0\x50\0\0\
\0\xcc\x07\0\0\x7e\x08\0\0\x02\x24\x01\0\x80\0\0\0\xcc\x07\0\0\xb5\x08\0\0\x02\
\x68\x01\0\xb0\0\0\0\xcc\x07\0\0\xb5\x08\0\0\x02\xac\x01\0\xe0\0\0\0\xcc\x07\0\
\0\xb5\x08\0\0\x02\xf0\x01\0\x10\x01\0\0\xcc\x07\0\0\xb5\x08\0\0\x02\x34\x02\0\
\x40\x01\0\0\xcc\x07\0\0\xb5\x08\0\0\x02\x78\x02\0\xb0\x01\0\0\xcc\x07\0\0\xb5\
\x08\0\0\x02\xdc\x02\0\x20\x02\0\0\xcc\x07\0\0\xb5\x08\0\0\x02\x40\x03\0\x90\
\x02\0\0\xcc\x07\0\0\xb5\x08\0\0\x02\xa4\x03\0\0\x03\0\0\xcc\x07\0\0\xb5\x08\0\
\0\x02\x0c\x04\0\x70\x03\0\0\xcc\x07\0\0\xb5\x08\0\0\x02\x78\x04\0\xe0\x03\0\0\
\xcc\x07\0\0\xb5\x08\0\0\x02\xe0\x04\0\x10\x04\0\0\xcc\x07\0\0\xb5\x08\0\0\x02\
\x24\x05\0\x40\x04\0\0\xcc\x07\0\0\xb5\x08\0\0\x02\x70\x05\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x40\0\0\0\0\0\0\0\x7e\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x02\
\0\0\0\0\0\0\x48\x03\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\
\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x06\0\0\0\0\
\0\0\x78\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\
\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x0a\0\0\0\0\0\0\x88\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x0b\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5b\x02\0\0\x09\0\0\0\x40\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x10\x0b\0\0\0\0\0\0\x50\x01\0\0\0\0\0\0\x02\0\0\0\x03\
\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x66\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x60\x0c\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x70\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xc0\x0c\0\0\0\0\0\0\x7d\x0f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x75\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\x1c\0\0\0\0\0\0\xd0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_runtime_jit *verifier_runtime_jit::open(const struct bpf_object_open_opts *opts) { return verifier_runtime_jit__open_opts(opts); }
struct verifier_runtime_jit *verifier_runtime_jit::open_and_load() { return verifier_runtime_jit__open_and_load(); }
int verifier_runtime_jit::load(struct verifier_runtime_jit *skel) { return verifier_runtime_jit__load(skel); }
int verifier_runtime_jit::attach(struct verifier_runtime_jit *skel) { return verifier_runtime_jit__attach(skel); }
void verifier_runtime_jit::detach(struct verifier_runtime_jit *skel) { verifier_runtime_jit__detach(skel); }
void verifier_runtime_jit::destroy(struct verifier_runtime_jit *skel) { verifier_runtime_jit__destroy(skel); }
const void *verifier_runtime_jit::elf_bytes(size_t *sz) { return verifier_runtime_jit__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_runtime_jit__assert(struct verifier_runtime_jit *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_RUNTIME_JIT_SKEL_H__ */
