/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_SDIV_SKEL_H__
#define __VERIFIER_SDIV_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_sdiv {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *dummy_test;
	} progs;
	struct {
		struct bpf_link *dummy_test;
	} links;

#ifdef __cplusplus
	static inline struct verifier_sdiv *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_sdiv *open_and_load();
	static inline int load(struct verifier_sdiv *skel);
	static inline int attach(struct verifier_sdiv *skel);
	static inline void detach(struct verifier_sdiv *skel);
	static inline void destroy(struct verifier_sdiv *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_sdiv__destroy(struct verifier_sdiv *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_sdiv__create_skeleton(struct verifier_sdiv *obj);

static inline struct verifier_sdiv *
verifier_sdiv__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_sdiv *obj;
	int err;

	obj = (struct verifier_sdiv *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_sdiv__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_sdiv__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_sdiv *
verifier_sdiv__open(void)
{
	return verifier_sdiv__open_opts(NULL);
}

static inline int
verifier_sdiv__load(struct verifier_sdiv *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_sdiv *
verifier_sdiv__open_and_load(void)
{
	struct verifier_sdiv *obj;
	int err;

	obj = verifier_sdiv__open();
	if (!obj)
		return NULL;
	err = verifier_sdiv__load(obj);
	if (err) {
		verifier_sdiv__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_sdiv__attach(struct verifier_sdiv *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_sdiv__detach(struct verifier_sdiv *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_sdiv__elf_bytes(size_t *sz);

static inline int
verifier_sdiv__create_skeleton(struct verifier_sdiv *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_sdiv";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "dummy_test";
	s->progs[0].prog = &obj->progs.dummy_test;
	s->progs[0].link = &obj->links.dummy_test;

	s->data = verifier_sdiv__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_sdiv__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x80\x03\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6f\
\x63\x6b\x65\x74\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\x65\
\x72\x5f\x73\x64\x69\x76\x2e\x63\0\x64\x75\x6d\x6d\x79\x5f\x74\x65\x73\x74\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\
\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\
\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x3b\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xa8\0\0\0\
\xa8\0\0\0\x46\x01\0\0\0\0\0\0\0\0\0\x0d\x02\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\
\0\x20\0\0\x01\x05\0\0\0\x01\0\0\x0c\x01\0\0\0\x10\0\0\0\0\0\0\x11\x03\0\0\0\
\xff\xff\xff\xff\x65\0\0\0\0\0\0\x11\x03\0\0\0\xff\xff\xff\xff\x81\0\0\0\0\0\0\
\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x06\0\0\0\x08\0\0\0\x04\0\
\0\0\x86\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x9a\0\0\0\0\0\0\x0e\x07\0\0\0\x01\
\0\0\0\x37\x01\0\0\x01\0\0\x0f\x04\0\0\0\x09\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\
\x74\0\x64\x75\x6d\x6d\x79\x5f\x74\x65\x73\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x63\
\x70\x75\x76\x34\x20\x69\x73\x20\x6e\x6f\x74\x20\x73\x75\x70\x70\x6f\x72\x74\
\x65\x64\x20\x62\x79\x20\x63\x6f\x6d\x70\x69\x6c\x65\x72\x20\x6f\x72\x20\x6a\
\x69\x74\x2c\x20\x75\x73\x65\x20\x61\x20\x64\x75\x6d\x6d\x79\x20\x74\x65\x73\
\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\
\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\
\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\
\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\
\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\
\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\
\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\
\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\
\x73\x64\x69\x76\x2e\x63\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x73\x6f\x63\x6b\x65\x74\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\
\0\0\0\x14\0\0\0\x14\0\0\0\x1c\0\0\0\x30\0\0\0\0\0\0\0\x08\0\0\0\x3f\x01\0\0\
\x01\0\0\0\0\0\0\0\x03\0\0\0\x10\0\0\0\x3f\x01\0\0\x01\0\0\0\0\0\0\0\xa3\0\0\0\
\x2c\x01\0\0\x02\x0c\x13\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x52\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x10\x01\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x20\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x44\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\
\x01\0\0\0\0\0\0\x06\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x49\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x03\0\0\0\0\0\
\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_sdiv *verifier_sdiv::open(const struct bpf_object_open_opts *opts) { return verifier_sdiv__open_opts(opts); }
struct verifier_sdiv *verifier_sdiv::open_and_load() { return verifier_sdiv__open_and_load(); }
int verifier_sdiv::load(struct verifier_sdiv *skel) { return verifier_sdiv__load(skel); }
int verifier_sdiv::attach(struct verifier_sdiv *skel) { return verifier_sdiv__attach(skel); }
void verifier_sdiv::detach(struct verifier_sdiv *skel) { verifier_sdiv__detach(skel); }
void verifier_sdiv::destroy(struct verifier_sdiv *skel) { verifier_sdiv__destroy(skel); }
const void *verifier_sdiv::elf_bytes(size_t *sz) { return verifier_sdiv__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_sdiv__assert(struct verifier_sdiv *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_SDIV_SKEL_H__ */
