/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __XDP_REDIRECT_MAP_SKEL_H__
#define __XDP_REDIRECT_MAP_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct xdp_redirect_map {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *tx_port;
	} maps;
	struct {
		struct bpf_program *xdp_redirect_map_0;
		struct bpf_program *xdp_redirect_map_1;
		struct bpf_program *xdp_redirect_map_2;
	} progs;
	struct {
		struct bpf_link *xdp_redirect_map_0;
		struct bpf_link *xdp_redirect_map_1;
		struct bpf_link *xdp_redirect_map_2;
	} links;

#ifdef __cplusplus
	static inline struct xdp_redirect_map *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct xdp_redirect_map *open_and_load();
	static inline int load(struct xdp_redirect_map *skel);
	static inline int attach(struct xdp_redirect_map *skel);
	static inline void detach(struct xdp_redirect_map *skel);
	static inline void destroy(struct xdp_redirect_map *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
xdp_redirect_map__destroy(struct xdp_redirect_map *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
xdp_redirect_map__create_skeleton(struct xdp_redirect_map *obj);

static inline struct xdp_redirect_map *
xdp_redirect_map__open_opts(const struct bpf_object_open_opts *opts)
{
	struct xdp_redirect_map *obj;
	int err;

	obj = (struct xdp_redirect_map *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = xdp_redirect_map__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	xdp_redirect_map__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct xdp_redirect_map *
xdp_redirect_map__open(void)
{
	return xdp_redirect_map__open_opts(NULL);
}

static inline int
xdp_redirect_map__load(struct xdp_redirect_map *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct xdp_redirect_map *
xdp_redirect_map__open_and_load(void)
{
	struct xdp_redirect_map *obj;
	int err;

	obj = xdp_redirect_map__open();
	if (!obj)
		return NULL;
	err = xdp_redirect_map__load(obj);
	if (err) {
		xdp_redirect_map__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
xdp_redirect_map__attach(struct xdp_redirect_map *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
xdp_redirect_map__detach(struct xdp_redirect_map *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *xdp_redirect_map__elf_bytes(size_t *sz);

static inline int
xdp_redirect_map__create_skeleton(struct xdp_redirect_map *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "xdp_redirect_map";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "tx_port";
	map->map = &obj->maps.tx_port;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "xdp_redirect_map_0";
	s->progs[0].prog = &obj->progs.xdp_redirect_map_0;
	s->progs[0].link = &obj->links.xdp_redirect_map_0;

	s->progs[1].name = "xdp_redirect_map_1";
	s->progs[1].prog = &obj->progs.xdp_redirect_map_1;
	s->progs[1].link = &obj->links.xdp_redirect_map_1;

	s->progs[2].name = "xdp_redirect_map_2";
	s->progs[2].prog = &obj->progs.xdp_redirect_map_2;
	s->progs[2].link = &obj->links.xdp_redirect_map_2;

	s->data = xdp_redirect_map__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *xdp_redirect_map__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x48\x07\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x78\x64\
\x70\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x78\x64\x70\x5f\x72\
\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x2e\x63\0\x78\x64\x70\x5f\x72\x65\
\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x5f\x30\0\x74\x78\x5f\x70\x6f\x72\x74\
\0\x78\x64\x70\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x5f\x31\0\
\x78\x64\x70\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x5f\x32\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x78\x64\x70\0\x2e\x42\x54\x46\0\
\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x23\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x36\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\
\x30\0\0\0\0\0\0\0\x49\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x51\
\0\0\0\x12\0\x03\0\x30\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x64\0\0\0\x12\0\x03\0\
\x60\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x77\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\xb7\x03\
\0\0\0\0\0\0\x85\0\0\0\x33\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xb7\x02\0\0\x01\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x33\0\0\0\x95\0\0\
\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\x02\0\0\0\xb7\x03\0\
\0\0\0\0\0\x85\0\0\0\x33\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\x04\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x60\0\0\0\0\0\0\0\x01\0\0\
\0\x04\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xf4\x01\0\0\xf4\x01\0\0\x09\x02\0\
\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\
\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x0e\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\
\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\
\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\
\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x2a\0\0\0\x07\0\0\0\x80\0\0\0\x33\0\0\0\
\x07\0\0\0\xc0\0\0\0\x3e\0\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\
\x0c\0\0\0\x46\0\0\0\x06\0\0\x04\x18\0\0\0\x4d\0\0\0\x0d\0\0\0\0\0\0\0\x52\0\0\
\0\x0d\0\0\0\x20\0\0\0\x5b\0\0\0\x0d\0\0\0\x40\0\0\0\x65\0\0\0\x0d\0\0\0\x60\0\
\0\0\x75\0\0\0\x0d\0\0\0\x80\0\0\0\x84\0\0\0\x0d\0\0\0\xa0\0\0\0\x93\0\0\0\0\0\
\0\x08\x0e\0\0\0\x99\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\x0d\
\x02\0\0\0\xa6\0\0\0\x0b\0\0\0\xaa\0\0\0\x01\0\0\x0c\x0f\0\0\0\xbd\0\0\0\x01\0\
\0\x0c\x0f\0\0\0\xd0\0\0\0\x01\0\0\x0c\x0f\0\0\0\xe3\0\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x13\0\0\0\x04\0\0\0\x04\0\0\0\xe8\0\0\0\
\0\0\0\x0e\x14\0\0\0\x01\0\0\0\xfb\x01\0\0\x01\0\0\x0f\x20\0\0\0\x0a\0\0\0\0\0\
\0\0\x20\0\0\0\x01\x02\0\0\x01\0\0\x0f\x04\0\0\0\x15\0\0\0\0\0\0\0\x04\0\0\0\0\
\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\
\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\
\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\
\x74\x78\x5f\x70\x6f\x72\x74\0\x78\x64\x70\x5f\x6d\x64\0\x64\x61\x74\x61\0\x64\
\x61\x74\x61\x5f\x65\x6e\x64\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x69\x6e\
\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x72\x78\x5f\x71\x75\x65\
\x75\x65\x5f\x69\x6e\x64\x65\x78\0\x65\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\
\x64\x65\x78\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\
\x6e\x74\0\x78\x64\x70\0\x78\x64\x70\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\
\x6d\x61\x70\x5f\x30\0\x78\x64\x70\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\
\x61\x70\x5f\x31\0\x78\x64\x70\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\
\x70\x5f\x32\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\
\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\
\x32\x2e\x30\x2d\x35\x35\x2e\x31\x32\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\
\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\
\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\
\x6f\x67\x73\x2f\x78\x64\x70\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\
\x70\x2e\x63\0\x09\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x72\x65\x64\x69\
\x72\x65\x63\x74\x5f\x6d\x61\x70\x28\x26\x74\x78\x5f\x70\x6f\x72\x74\x2c\x20\
\x30\x2c\x20\x30\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x72\
\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x28\x26\x74\x78\x5f\x70\x6f\x72\
\x74\x2c\x20\x31\x2c\x20\x30\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x62\x70\
\x66\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x28\x26\x74\x78\x5f\
\x70\x6f\x72\x74\x2c\x20\x32\x2c\x20\x30\x29\x3b\0\x2e\x6d\x61\x70\x73\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\
\0\0\0\x6c\0\0\0\x90\0\0\0\0\0\0\0\x08\0\0\0\xa6\0\0\0\x03\0\0\0\0\0\0\0\x10\0\
\0\0\x30\0\0\0\x11\0\0\0\x60\0\0\0\x12\0\0\0\x10\0\0\0\xa6\0\0\0\x06\0\0\0\0\0\
\0\0\xf1\0\0\0\x7d\x01\0\0\x09\x40\0\0\x28\0\0\0\xf1\0\0\0\x7d\x01\0\0\x02\x40\
\0\0\x30\0\0\0\xf1\0\0\0\xa7\x01\0\0\x09\x58\0\0\x58\0\0\0\xf1\0\0\0\xa7\x01\0\
\0\x02\x58\0\0\x60\0\0\0\xf1\0\0\0\xd1\x01\0\0\x09\x70\0\0\x88\0\0\0\xf1\0\0\0\
\xd1\x01\0\0\x02\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x96\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x98\x01\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x28\x02\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x1b\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x02\
\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x80\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x02\0\0\0\0\0\0\
\x30\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x88\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x02\0\0\0\0\0\0\x15\x04\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8d\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x06\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct xdp_redirect_map *xdp_redirect_map::open(const struct bpf_object_open_opts *opts) { return xdp_redirect_map__open_opts(opts); }
struct xdp_redirect_map *xdp_redirect_map::open_and_load() { return xdp_redirect_map__open_and_load(); }
int xdp_redirect_map::load(struct xdp_redirect_map *skel) { return xdp_redirect_map__load(skel); }
int xdp_redirect_map::attach(struct xdp_redirect_map *skel) { return xdp_redirect_map__attach(skel); }
void xdp_redirect_map::detach(struct xdp_redirect_map *skel) { xdp_redirect_map__detach(skel); }
void xdp_redirect_map::destroy(struct xdp_redirect_map *skel) { xdp_redirect_map__destroy(skel); }
const void *xdp_redirect_map::elf_bytes(size_t *sz) { return xdp_redirect_map__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
xdp_redirect_map__assert(struct xdp_redirect_map *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __XDP_REDIRECT_MAP_SKEL_H__ */
